/*===========================================================================*/
/*   (Ast/shrinkify.scm)                                                     */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/shrinkify.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_shrinkifyz00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt);
	static obj_t BGl_z62shrinkzd2nodez12zd2funcall1257z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2conditi1265z70zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzast_shrinkifyz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2sync1251z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkifyz12z70zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2fail1267z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2boxzd2ref1274za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2variablez121238za2zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2makezd2bo1272za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_shrinkifyz00();
	static obj_t BGl_z62shrinkzd2nodez12zd2app1253z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2letzd2fun1278za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t
		BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez121240za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 = BUNSPEC;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2appzd2ly1255za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2select1270z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_z62shrinkzd2nodez12zd2extern1259z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzast_shrinkifyz00();
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2kwote1247z70zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2setzd2exzd21282z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2cast1261z70zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2setq1263z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2boxzd2set1276za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2letzd2var1280za2zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2sequenc1249z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2var1245z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2jumpzd2ex1284za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2atom1243z70zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string1808z00zzast_shrinkifyz00,
		BgL_bgl_string1808za700za7za7a1839za7, "shrink-variable!1238", 20);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_shrinkifyz12zd2envzc0zzast_shrinkifyz00,
		BgL_bgl_za762shrinkifyza712za71840za7,
		BGl_z62shrinkifyz12z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1810z00zzast_shrinkifyz00,
		BgL_bgl_string1810za700za7za7a1841za7, "shrink-node!1240", 16);
	      DEFINE_STRING(BGl_string1811z00zzast_shrinkifyz00,
		BgL_bgl_string1811za700za7za7a1842za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1813z00zzast_shrinkifyz00,
		BgL_bgl_string1813za700za7za7a1843za7, "shrink-node!", 12);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2vari1844z00,
		BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1834z00zzast_shrinkifyz00,
		BgL_bgl_string1834za700za7za7a1845za7, "ast_shrinkify", 13);
	      DEFINE_STRING(BGl_string1835z00zzast_shrinkifyz00,
		BgL_bgl_string1835za700za7za7a1846za7, "shrink-node!1240 ", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1807z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2vari1847z00,
		BGl_z62shrinkzd2variablez121238za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1809z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1848z00,
		BGl_z62shrinkzd2nodez121240za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1812z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1849z00,
		BGl_z62shrinkzd2nodez12zd2atom1243z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1814z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1850z00,
		BGl_z62shrinkzd2nodez12zd2var1245z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1815z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1851z00,
		BGl_z62shrinkzd2nodez12zd2kwote1247z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1816z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1852z00,
		BGl_z62shrinkzd2nodez12zd2sequenc1249z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1817z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1853z00,
		BGl_z62shrinkzd2nodez12zd2sync1251z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1818z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1854z00,
		BGl_z62shrinkzd2nodez12zd2app1253z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1819z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1855z00,
		BGl_z62shrinkzd2nodez12zd2appzd2ly1255za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1820z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1856z00,
		BGl_z62shrinkzd2nodez12zd2funcall1257z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1821z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1857z00,
		BGl_z62shrinkzd2nodez12zd2extern1259z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1822z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1858z00,
		BGl_z62shrinkzd2nodez12zd2cast1261z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1823z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1859z00,
		BGl_z62shrinkzd2nodez12zd2setq1263z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1824z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1860z00,
		BGl_z62shrinkzd2nodez12zd2conditi1265z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1825z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1861z00,
		BGl_z62shrinkzd2nodez12zd2fail1267z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1826z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1862z00,
		BGl_z62shrinkzd2nodez12zd2select1270z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1827z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1863z00,
		BGl_z62shrinkzd2nodez12zd2makezd2bo1272za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1828z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1864z00,
		BGl_z62shrinkzd2nodez12zd2boxzd2ref1274za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1829z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1865z00,
		BGl_z62shrinkzd2nodez12zd2boxzd2set1276za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1830z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1866z00,
		BGl_z62shrinkzd2nodez12zd2letzd2fun1278za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1831z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1867z00,
		BGl_z62shrinkzd2nodez12zd2letzd2var1280za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1832z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1868z00,
		BGl_z62shrinkzd2nodez12zd2setzd2exzd21282z70zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1833z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1869z00,
		BGl_z62shrinkzd2nodez12zd2jumpzd2ex1284za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1870z00,
		BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzast_shrinkifyz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long
		BgL_checksumz00_2128, char *BgL_fromz00_2129)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_shrinkifyz00))
				{
					BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_shrinkifyz00();
					BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00();
					BGl_cnstzd2initzd2zzast_shrinkifyz00();
					BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00();
					BGl_genericzd2initzd2zzast_shrinkifyz00();
					BGl_methodzd2initzd2zzast_shrinkifyz00();
					return BGl_toplevelzd2initzd2zzast_shrinkifyz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_shrinkify");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			{	/* Ast/shrinkify.scm 15 */
				obj_t BgL_cportz00_2003;

				{	/* Ast/shrinkify.scm 15 */
					obj_t BgL_startz00_2012;

					BgL_startz00_2012 = BINT(((long) 0));
					{	/* Ast/shrinkify.scm 15 */
						obj_t BgL_endz00_2013;

						BgL_endz00_2013 =
							BINT(STRING_LENGTH(BGl_string1835z00zzast_shrinkifyz00));
						{	/* Ast/shrinkify.scm 15 */

							BgL_cportz00_2003 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1835z00zzast_shrinkifyz00, BgL_startz00_2012,
								BgL_endz00_2013);
				}}}
				{
					long BgL_iz00_2004;

					BgL_iz00_2004 = ((long) 0);
				BgL_loopz00_2005:
					if ((BgL_iz00_2004 == ((long) -1)))
						{	/* Ast/shrinkify.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Ast/shrinkify.scm 15 */
							{	/* Ast/shrinkify.scm 15 */
								obj_t BgL_arg1837z00_2007;

								{	/* Ast/shrinkify.scm 15 */

									{	/* Ast/shrinkify.scm 15 */
										obj_t BgL_locationz00_2009;

										BgL_locationz00_2009 = BBOOL(((bool_t) 0));
										{	/* Ast/shrinkify.scm 15 */

											BgL_arg1837z00_2007 =
												BGl_readz00zz__readerz00(BgL_cportz00_2003,
												BgL_locationz00_2009);
										}
									}
								}
								{	/* Ast/shrinkify.scm 15 */
									int BgL_tmpz00_2156;

									BgL_tmpz00_2156 = (int) (BgL_iz00_2004);
									CNST_TABLE_SET(BgL_tmpz00_2156, BgL_arg1837z00_2007);
							}}
							{	/* Ast/shrinkify.scm 15 */
								int BgL_auxz00_2010;

								BgL_auxz00_2010 = (int) ((BgL_iz00_2004 - ((long) 1)));
								{
									long BgL_iz00_2161;

									BgL_iz00_2161 = (long) (BgL_auxz00_2010);
									BgL_iz00_2004 = BgL_iz00_2161;
									goto BgL_loopz00_2005;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			return BUNSPEC;
		}
	}



/* shrinkify! */
	BGL_EXPORTED_DEF obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 25 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00
				(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00, BNIL);
			{
				obj_t BgL_l1222z00_1265;

				BgL_l1222z00_1265 = BgL_globalsz00_3;
			BgL_zc3anonymousza31315ze3z83_1266:
				if (PAIRP(BgL_l1222z00_1265))
					{	/* Ast/shrinkify.scm 27 */
						{	/* Ast/shrinkify.scm 28 */
							obj_t BgL_globalz00_1268;

							BgL_globalz00_1268 = CAR(BgL_l1222z00_1265);
							{	/* Ast/shrinkify.scm 28 */
								BgL_valuez00_bglt BgL_sfunz00_1269;

								BgL_sfunz00_1269 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1268))))->
									BgL_valuez00);
								{	/* Ast/shrinkify.scm 29 */
									obj_t BgL_g1221z00_1270;

									BgL_g1221z00_1270 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_sfunz00_1269)))->BgL_argsz00);
									{
										obj_t BgL_l1219z00_1272;

										BgL_l1219z00_1272 = BgL_g1221z00_1270;
									BgL_zc3anonymousza31317ze3z83_1273:
										if (PAIRP(BgL_l1219z00_1272))
											{	/* Ast/shrinkify.scm 29 */
												{	/* Ast/shrinkify.scm 29 */
													obj_t BgL_arg1322z00_1275;

													BgL_arg1322z00_1275 = CAR(BgL_l1219z00_1272);
													BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
														((BgL_variablez00_bglt) BgL_arg1322z00_1275));
												}
												{
													obj_t BgL_l1219z00_2178;

													BgL_l1219z00_2178 = CDR(BgL_l1219z00_1272);
													BgL_l1219z00_1272 = BgL_l1219z00_2178;
													goto BgL_zc3anonymousza31317ze3z83_1273;
												}
											}
										else
											{	/* Ast/shrinkify.scm 29 */
												((bool_t) 1);
											}
									}
								}
								{	/* Ast/shrinkify.scm 30 */
									obj_t BgL_arg1332z00_1278;

									BgL_arg1332z00_1278 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_globalz00_1268))))->
														BgL_valuez00))))->BgL_bodyz00);
									BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(((BgL_nodez00_bglt)
											BgL_arg1332z00_1278));
								}
							}
						}
						{
							obj_t BgL_l1222z00_2187;

							BgL_l1222z00_2187 = CDR(BgL_l1222z00_1265);
							BgL_l1222z00_1265 = BgL_l1222z00_2187;
							goto BgL_zc3anonymousza31315ze3z83_1266;
						}
					}
				else
					{	/* Ast/shrinkify.scm 27 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}
	}



/* &shrinkify! */
	obj_t BGl_z62shrinkifyz12z70zzast_shrinkifyz00(obj_t BgL_envz00_1927,
		obj_t BgL_globalsz00_1928)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 25 */
			return BGl_shrinkifyz12z12zzast_shrinkifyz00(BgL_globalsz00_1928);
		}
	}



/* shrink-node*! */
	bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t BgL_nodeza2za2_27)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 230 */
			{
				obj_t BgL_l1236z00_1283;

				BgL_l1236z00_1283 = BgL_nodeza2za2_27;
			BgL_zc3anonymousza31339ze3z83_1284:
				if (PAIRP(BgL_l1236z00_1283))
					{	/* Ast/shrinkify.scm 231 */
						{	/* Ast/shrinkify.scm 231 */
							obj_t BgL_arg1367z00_1286;

							BgL_arg1367z00_1286 = CAR(BgL_l1236z00_1283);
							BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
								((BgL_nodez00_bglt) BgL_arg1367z00_1286));
						}
						{
							obj_t BgL_l1236z00_2195;

							BgL_l1236z00_2195 = CDR(BgL_l1236z00_1283);
							BgL_l1236z00_1283 = BgL_l1236z00_2195;
							goto BgL_zc3anonymousza31339ze3z83_1284;
						}
					}
				else
					{	/* Ast/shrinkify.scm 231 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
				BGl_proc1807z00zzast_shrinkifyz00, BGl_variablez00zzast_varz00,
				BGl_string1808z00zzast_shrinkifyz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_proc1809z00zzast_shrinkifyz00, BGl_nodez00zzast_nodez00,
				BGl_string1810z00zzast_shrinkifyz00);
		}
	}



/* &shrink-node!1240 */
	obj_t BGl_z62shrinkzd2nodez121240za2zzast_shrinkifyz00(obj_t BgL_envz00_1933,
		obj_t BgL_nodez00_1934)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 46 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string1811z00zzast_shrinkifyz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_1934)));
		}
	}



/* &shrink-variable!1238 */
	obj_t BGl_z62shrinkzd2variablez121238za2zzast_shrinkifyz00(obj_t
		BgL_envz00_1935, obj_t BgL_variablez00_1936)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 37 */
			{	/* Ast/shrinkify.scm 38 */
				bool_t BgL_testz00_2203;

				{	/* Ast/shrinkify.scm 38 */
					bool_t BgL_testz00_2204;

					{	/* Ast/shrinkify.scm 38 */
						obj_t BgL_tmpz00_2205;

						{	/* Ast/shrinkify.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_2206;

							BgL_tmpz00_2206 =
								((BgL_objectz00_bglt)
								((BgL_variablez00_bglt) BgL_variablez00_1936));
							BgL_tmpz00_2205 = BGL_OBJECT_WIDENING(BgL_tmpz00_2206);
						}
						BgL_testz00_2204 = CBOOL(BgL_tmpz00_2205);
					}
					if (BgL_testz00_2204)
						{	/* Ast/shrinkify.scm 38 */
							BgL_testz00_2203 = ((bool_t) 1);
						}
					else
						{	/* Ast/shrinkify.scm 38 */
							BgL_testz00_2203 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2203)
					{	/* Ast/shrinkify.scm 38 */
						{	/* Ast/shrinkify.scm 39 */
							long BgL_arg1406z00_2018;

							{	/* Ast/shrinkify.scm 39 */
								obj_t BgL_arg1409z00_2019;

								{	/* Ast/shrinkify.scm 39 */
									obj_t BgL_arg1413z00_2020;

									{	/* Ast/shrinkify.scm 39 */
										long BgL_arg1722z00_2021;

										{	/* Ast/shrinkify.scm 39 */
											long BgL_arg1723z00_2022;

											{	/* Ast/shrinkify.scm 39 */
												long BgL_res1754z00_2023;

												BgL_res1754z00_2023 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_variablez00_bglt) BgL_variablez00_1936)));
												BgL_arg1723z00_2022 = BgL_res1754z00_2023;
											}
											BgL_arg1722z00_2021 = (BgL_arg1723z00_2022 - OBJECT_TYPE);
										}
										BgL_arg1413z00_2020 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											(int) (BgL_arg1722z00_2021));
									}
									BgL_arg1409z00_2019 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1413z00_2020);
								}
								{	/* Ast/shrinkify.scm 39 */
									long BgL_res1756z00_2024;

									BgL_res1756z00_2024 = BGL_CLASS_INDEX(BgL_arg1409z00_2019);
									BgL_arg1406z00_2018 = BgL_res1756z00_2024;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_variablez00_bglt) BgL_variablez00_1936)),
								BgL_arg1406z00_2018);
						}
						{	/* Ast/shrinkify.scm 39 */
							BgL_objectz00_bglt BgL_tmpz00_2222;

							BgL_tmpz00_2222 =
								((BgL_objectz00_bglt)
								((BgL_variablez00_bglt) BgL_variablez00_1936));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2222, BFALSE);
						}
						((obj_t) ((BgL_variablez00_bglt) BgL_variablez00_1936));
					}
				else
					{	/* Ast/shrinkify.scm 38 */
						BFALSE;
					}
			}
			{	/* Ast/shrinkify.scm 40 */
				bool_t BgL_testz00_2228;

				{	/* Ast/shrinkify.scm 40 */
					bool_t BgL_testz00_2229;

					{	/* Ast/shrinkify.scm 40 */
						obj_t BgL_tmpz00_2230;

						{	/* Ast/shrinkify.scm 40 */
							BgL_objectz00_bglt BgL_tmpz00_2231;

							BgL_tmpz00_2231 =
								((BgL_objectz00_bglt)
								(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_variablez00_1936)))->
									BgL_valuez00));
							BgL_tmpz00_2230 = BGL_OBJECT_WIDENING(BgL_tmpz00_2231);
						}
						BgL_testz00_2229 = CBOOL(BgL_tmpz00_2230);
					}
					if (BgL_testz00_2229)
						{	/* Ast/shrinkify.scm 40 */
							BgL_testz00_2228 = ((bool_t) 1);
						}
					else
						{	/* Ast/shrinkify.scm 40 */
							BgL_testz00_2228 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2228)
					{	/* Ast/shrinkify.scm 41 */
						BgL_valuez00_bglt BgL_o1098z00_2025;

						BgL_o1098z00_2025 =
							(((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_variablez00_1936)))->
							BgL_valuez00);
						{	/* Ast/shrinkify.scm 41 */
							long BgL_arg1416z00_2026;

							{	/* Ast/shrinkify.scm 41 */
								obj_t BgL_arg1423z00_2027;

								{	/* Ast/shrinkify.scm 41 */
									obj_t BgL_arg1436z00_2028;

									{	/* Ast/shrinkify.scm 41 */
										long BgL_arg1722z00_2029;

										{	/* Ast/shrinkify.scm 41 */
											long BgL_arg1723z00_2030;

											{	/* Ast/shrinkify.scm 41 */
												long BgL_res1758z00_2031;

												BgL_res1758z00_2031 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt) BgL_o1098z00_2025));
												BgL_arg1723z00_2030 = BgL_res1758z00_2031;
											}
											BgL_arg1722z00_2029 = (BgL_arg1723z00_2030 - OBJECT_TYPE);
										}
										BgL_arg1436z00_2028 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											(int) (BgL_arg1722z00_2029));
									}
									BgL_arg1423z00_2027 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1436z00_2028);
								}
								{	/* Ast/shrinkify.scm 41 */
									long BgL_res1760z00_2032;

									BgL_res1760z00_2032 = BGL_CLASS_INDEX(BgL_arg1423z00_2027);
									BgL_arg1416z00_2026 = BgL_res1760z00_2032;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_o1098z00_2025), BgL_arg1416z00_2026);
						}
						{	/* Ast/shrinkify.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_2248;

							BgL_tmpz00_2248 = ((BgL_objectz00_bglt) BgL_o1098z00_2025);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2248, BFALSE);
						}
						return ((obj_t) BgL_o1098z00_2025);
					}
				else
					{	/* Ast/shrinkify.scm 40 */
						return BFALSE;
					}
			}
		}
	}



/* shrink-variable! */
	obj_t BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt
		BgL_variablez00_4)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 37 */
			{	/* Ast/shrinkify.scm 37 */
				obj_t BgL_method1239z00_1309;

				{	/* Ast/shrinkify.scm 37 */
					obj_t BgL_res1767z00_1730;

					{	/* Ast/shrinkify.scm 37 */
						long BgL_objzd2classzd2numz00_1703;

						{	/* Ast/shrinkify.scm 37 */
							long BgL_res1761z00_1706;

							BgL_res1761z00_1706 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_variablez00_4));
							BgL_objzd2classzd2numz00_1703 = BgL_res1761z00_1706;
						}
						{	/* Ast/shrinkify.scm 37 */
							obj_t BgL_arg1718z00_1704;

							BgL_arg1718z00_1704 =
								PROCEDURE_REF
								(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
								(int) (((long) 1)));
							{	/* Ast/shrinkify.scm 37 */
								int BgL_offsetz00_1708;

								BgL_offsetz00_1708 = (int) (BgL_objzd2classzd2numz00_1703);
								{	/* Ast/shrinkify.scm 37 */
									long BgL_offsetz00_1709;

									BgL_offsetz00_1709 =
										((long) (BgL_offsetz00_1708) - OBJECT_TYPE);
									{	/* Ast/shrinkify.scm 37 */
										long BgL_modz00_1710;

										{	/* Ast/shrinkify.scm 37 */
											int BgL_arg1721z00_1711;

											BgL_arg1721z00_1711 = (int) (((long) 16));
											{	/* Ast/shrinkify.scm 37 */
												long BgL_res1764z00_1721;

												{	/* Ast/shrinkify.scm 37 */
													long BgL_tmpz00_2260;

													BgL_tmpz00_2260 = (long) (BgL_arg1721z00_1711);
													BgL_res1764z00_1721 =
														(BgL_offsetz00_1709 / BgL_tmpz00_2260);
												}
												BgL_modz00_1710 = BgL_res1764z00_1721;
										}}
										{	/* Ast/shrinkify.scm 37 */
											long BgL_restz00_1712;

											{	/* Ast/shrinkify.scm 37 */
												int BgL_arg1719z00_1713;

												BgL_arg1719z00_1713 = (int) (((long) 16));
												{	/* Ast/shrinkify.scm 37 */
													long BgL_res1766z00_1725;

													{	/* Ast/shrinkify.scm 37 */
														long BgL_tmpz00_2264;

														BgL_tmpz00_2264 = (long) (BgL_arg1719z00_1713);
														BgL_res1766z00_1725 =
															(BgL_offsetz00_1709 % BgL_tmpz00_2264);
													}
													BgL_restz00_1712 = BgL_res1766z00_1725;
											}}
											{	/* Ast/shrinkify.scm 37 */

												BgL_res1767z00_1730 =
													VECTOR_REF(VECTOR_REF(BgL_arg1718z00_1704,
														(int) (BgL_modz00_1710)), (int) (BgL_restz00_1712));
					}}}}}}}
					BgL_method1239z00_1309 = BgL_res1767z00_1730;
				}
				return
					PROCEDURE_ENTRY(BgL_method1239z00_1309) (BgL_method1239z00_1309,
					((obj_t) BgL_variablez00_4), BEOA);
			}
		}
	}



/* &shrink-variable! */
	obj_t BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00(obj_t BgL_envz00_1929,
		obj_t BgL_variablez00_1930)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 37 */
			return
				BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
				((BgL_variablez00_bglt) BgL_variablez00_1930));
		}
	}



/* shrink-node! */
	obj_t BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 46 */
			{	/* Ast/shrinkify.scm 46 */
				obj_t BgL_method1241z00_1310;

				{	/* Ast/shrinkify.scm 46 */
					obj_t BgL_res1774z00_1759;

					{	/* Ast/shrinkify.scm 46 */
						long BgL_objzd2classzd2numz00_1732;

						{	/* Ast/shrinkify.scm 46 */
							long BgL_res1768z00_1735;

							BgL_res1768z00_1735 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
							BgL_objzd2classzd2numz00_1732 = BgL_res1768z00_1735;
						}
						{	/* Ast/shrinkify.scm 46 */
							obj_t BgL_arg1718z00_1733;

							BgL_arg1718z00_1733 =
								PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
								(int) (((long) 1)));
							{	/* Ast/shrinkify.scm 46 */
								int BgL_offsetz00_1737;

								BgL_offsetz00_1737 = (int) (BgL_objzd2classzd2numz00_1732);
								{	/* Ast/shrinkify.scm 46 */
									long BgL_offsetz00_1738;

									BgL_offsetz00_1738 =
										((long) (BgL_offsetz00_1737) - OBJECT_TYPE);
									{	/* Ast/shrinkify.scm 46 */
										long BgL_modz00_1739;

										{	/* Ast/shrinkify.scm 46 */
											int BgL_arg1721z00_1740;

											BgL_arg1721z00_1740 = (int) (((long) 16));
											{	/* Ast/shrinkify.scm 46 */
												long BgL_res1771z00_1750;

												{	/* Ast/shrinkify.scm 46 */
													long BgL_tmpz00_2286;

													BgL_tmpz00_2286 = (long) (BgL_arg1721z00_1740);
													BgL_res1771z00_1750 =
														(BgL_offsetz00_1738 / BgL_tmpz00_2286);
												}
												BgL_modz00_1739 = BgL_res1771z00_1750;
										}}
										{	/* Ast/shrinkify.scm 46 */
											long BgL_restz00_1741;

											{	/* Ast/shrinkify.scm 46 */
												int BgL_arg1719z00_1742;

												BgL_arg1719z00_1742 = (int) (((long) 16));
												{	/* Ast/shrinkify.scm 46 */
													long BgL_res1773z00_1754;

													{	/* Ast/shrinkify.scm 46 */
														long BgL_tmpz00_2290;

														BgL_tmpz00_2290 = (long) (BgL_arg1719z00_1742);
														BgL_res1773z00_1754 =
															(BgL_offsetz00_1738 % BgL_tmpz00_2290);
													}
													BgL_restz00_1741 = BgL_res1773z00_1754;
											}}
											{	/* Ast/shrinkify.scm 46 */

												BgL_res1774z00_1759 =
													VECTOR_REF(VECTOR_REF(BgL_arg1718z00_1733,
														(int) (BgL_modz00_1739)), (int) (BgL_restz00_1741));
					}}}}}}}
					BgL_method1241z00_1310 = BgL_res1774z00_1759;
				}
				{	/* Ast/shrinkify.scm 46 */
					obj_t BgL_xz00_2002;

					BgL_xz00_2002 =
						PROCEDURE_ENTRY(BgL_method1241z00_1310) (BgL_method1241z00_1310,
						((obj_t) BgL_nodez00_5), BEOA);
					return BUNSPEC;
				}
			}
		}
	}



/* &shrink-node! */
	obj_t BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00(obj_t BgL_envz00_1937,
		obj_t BgL_nodez00_1938)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 46 */
			return
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				((BgL_nodez00_bglt) BgL_nodez00_1938));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_atomz00zzast_nodez00, BGl_proc1812z00zzast_shrinkifyz00,
				BGl_string1813z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_varz00zzast_nodez00, BGl_proc1814z00zzast_shrinkifyz00,
				BGl_string1813z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_kwotez00zzast_nodez00, BGl_proc1815z00zzast_shrinkifyz00,
				BGl_string1813z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1816z00zzast_shrinkifyz00,
				BGl_string1813z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_syncz00zzast_nodez00, BGl_proc1817z00zzast_shrinkifyz00,
				BGl_string1813z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_appz00zzast_nodez00, BGl_proc1818z00zzast_shrinkifyz00,
				BGl_string1813z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1819z00zzast_shrinkifyz00,
				BGl_string1813z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1820z00zzast_shrinkifyz00,
				BGl_string1813z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_externz00zzast_nodez00, BGl_proc1821z00zzast_shrinkifyz00,
				BGl_string1813z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_castz00zzast_nodez00, BGl_proc1822z00zzast_shrinkifyz00,
				BGl_string1813z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_setqz00zzast_nodez00, BGl_proc1823z00zzast_shrinkifyz00,
				BGl_string1813z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1824z00zzast_shrinkifyz00,
				BGl_string1813z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_failz00zzast_nodez00, BGl_proc1825z00zzast_shrinkifyz00,
				BGl_string1813z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_selectz00zzast_nodez00, BGl_proc1826z00zzast_shrinkifyz00,
				BGl_string1813z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1827z00zzast_shrinkifyz00,
				BGl_string1813z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1828z00zzast_shrinkifyz00,
				BGl_string1813z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1829z00zzast_shrinkifyz00,
				BGl_string1813z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1830z00zzast_shrinkifyz00,
				BGl_string1813z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1831z00zzast_shrinkifyz00,
				BGl_string1813z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1832z00zzast_shrinkifyz00,
				BGl_string1813z00zzast_shrinkifyz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1833z00zzast_shrinkifyz00,
				BGl_string1813z00zzast_shrinkifyz00);
		}
	}



/* &shrink-node!-jump-ex1284 */
	obj_t BGl_z62shrinkzd2nodez12zd2jumpzd2ex1284za2zzast_shrinkifyz00(obj_t
		BgL_envz00_1960, obj_t BgL_nodez00_1961)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 222 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_jumpzd2exzd2itz00_bglt) CREF(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1961)))->BgL_exitz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_jumpzd2exzd2itz00_bglt) CREF(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1961)))->BgL_valuez00));
			return BUNSPEC;
		}
	}



/* &shrink-node!-set-ex-1282 */
	obj_t BGl_z62shrinkzd2nodez12zd2setzd2exzd21282z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1962, obj_t BgL_nodez00_1963)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 213 */
			{	/* Ast/shrinkify.scm 215 */
				BgL_varz00_bglt BgL_arg1642z00_2035;

				BgL_arg1642z00_2035 =
					(((BgL_setzd2exzd2itz00_bglt) CREF(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1963)))->BgL_varz00);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					((BgL_nodez00_bglt) BgL_arg1642z00_2035));
			}
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_setzd2exzd2itz00_bglt) CREF(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1963)))->BgL_bodyz00));
			return BUNSPEC;
		}
	}



/* &shrink-node!-let-var1280 */
	obj_t BGl_z62shrinkzd2nodez12zd2letzd2var1280za2zzast_shrinkifyz00(obj_t
		BgL_envz00_1964, obj_t BgL_nodez00_1965)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 201 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_letzd2varzd2_bglt) CREF(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_1965)))->BgL_bodyz00));
			{	/* Ast/shrinkify.scm 204 */
				obj_t BgL_g1235z00_2037;

				BgL_g1235z00_2037 =
					(((BgL_letzd2varzd2_bglt) CREF(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_1965)))->BgL_bindingsz00);
				{
					obj_t BgL_l1233z00_2039;

					BgL_l1233z00_2039 = BgL_g1235z00_2037;
				BgL_zc3anonymousza31637ze3z83_2038:
					if (PAIRP(BgL_l1233z00_2039))
						{	/* Ast/shrinkify.scm 204 */
							{	/* Ast/shrinkify.scm 205 */
								obj_t BgL_bindingz00_2040;

								BgL_bindingz00_2040 = CAR(BgL_l1233z00_2039);
								{	/* Ast/shrinkify.scm 205 */
									obj_t BgL_arg1639z00_2041;

									BgL_arg1639z00_2041 = CAR(BgL_bindingz00_2040);
									BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
										((BgL_variablez00_bglt) BgL_arg1639z00_2041));
								}
								{	/* Ast/shrinkify.scm 206 */
									obj_t BgL_arg1640z00_2042;

									BgL_arg1640z00_2042 = CDR(BgL_bindingz00_2040);
									BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
										((BgL_nodez00_bglt) BgL_arg1640z00_2042));
								}
							}
							{
								obj_t BgL_l1233z00_2352;

								BgL_l1233z00_2352 = CDR(BgL_l1233z00_2039);
								BgL_l1233z00_2039 = BgL_l1233z00_2352;
								goto BgL_zc3anonymousza31637ze3z83_2038;
							}
						}
					else
						{	/* Ast/shrinkify.scm 204 */
							((bool_t) 1);
						}
				}
			}
			return BUNSPEC;
		}
	}



/* &shrink-node!-let-fun1278 */
	obj_t BGl_z62shrinkzd2nodez12zd2letzd2fun1278za2zzast_shrinkifyz00(obj_t
		BgL_envz00_1966, obj_t BgL_nodez00_1967)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 187 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_letzd2funzd2_bglt) CREF(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_1967)))->BgL_bodyz00));
			{	/* Ast/shrinkify.scm 190 */
				obj_t BgL_g1232z00_2044;

				BgL_g1232z00_2044 =
					(((BgL_letzd2funzd2_bglt) CREF(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_1967)))->BgL_localsz00);
				{
					obj_t BgL_l1230z00_2046;

					BgL_l1230z00_2046 = BgL_g1232z00_2044;
				BgL_zc3anonymousza31616ze3z83_2045:
					if (PAIRP(BgL_l1230z00_2046))
						{	/* Ast/shrinkify.scm 190 */
							{	/* Ast/shrinkify.scm 191 */
								obj_t BgL_localz00_2047;

								BgL_localz00_2047 = CAR(BgL_l1230z00_2046);
								{	/* Ast/shrinkify.scm 191 */
									BgL_valuez00_bglt BgL_sfunz00_2048;

									BgL_sfunz00_2048 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2047))))->
										BgL_valuez00);
									BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00((
											(BgL_variablez00_bglt) BgL_localz00_2047));
									{	/* Ast/shrinkify.scm 193 */
										obj_t BgL_g1229z00_2049;

										BgL_g1229z00_2049 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_sfunz00_2048)))->BgL_argsz00);
										{
											obj_t BgL_l1227z00_2051;

											BgL_l1227z00_2051 = BgL_g1229z00_2049;
										BgL_zc3anonymousza31618ze3z83_2050:
											if (PAIRP(BgL_l1227z00_2051))
												{	/* Ast/shrinkify.scm 193 */
													{	/* Ast/shrinkify.scm 193 */
														obj_t BgL_arg1626z00_2052;

														BgL_arg1626z00_2052 = CAR(BgL_l1227z00_2051);
														BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
															((BgL_variablez00_bglt) BgL_arg1626z00_2052));
													}
													{
														obj_t BgL_l1227z00_2374;

														BgL_l1227z00_2374 = CDR(BgL_l1227z00_2051);
														BgL_l1227z00_2051 = BgL_l1227z00_2374;
														goto BgL_zc3anonymousza31618ze3z83_2050;
													}
												}
											else
												{	/* Ast/shrinkify.scm 193 */
													((bool_t) 1);
												}
										}
									}
									{	/* Ast/shrinkify.scm 194 */
										obj_t BgL_arg1632z00_2053;

										BgL_arg1632z00_2053 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_sfunz00_2048)))->BgL_bodyz00);
										BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
											((BgL_nodez00_bglt) BgL_arg1632z00_2053));
									}
								}
							}
							{
								obj_t BgL_l1230z00_2380;

								BgL_l1230z00_2380 = CDR(BgL_l1230z00_2046);
								BgL_l1230z00_2046 = BgL_l1230z00_2380;
								goto BgL_zc3anonymousza31616ze3z83_2045;
							}
						}
					else
						{	/* Ast/shrinkify.scm 190 */
							((bool_t) 1);
						}
				}
			}
			return BUNSPEC;
		}
	}



/* &shrink-node!-box-set1276 */
	obj_t BGl_z62shrinkzd2nodez12zd2boxzd2set1276za2zzast_shrinkifyz00(obj_t
		BgL_envz00_1968, obj_t BgL_nodez00_1969)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 178 */
			{	/* Ast/shrinkify.scm 179 */
				bool_t BgL_testz00_2382;

				{	/* Ast/shrinkify.scm 179 */
					bool_t BgL_testz00_2383;

					{	/* Ast/shrinkify.scm 179 */
						obj_t BgL_tmpz00_2384;

						{	/* Ast/shrinkify.scm 179 */
							BgL_objectz00_bglt BgL_tmpz00_2385;

							BgL_tmpz00_2385 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1969));
							BgL_tmpz00_2384 = BGL_OBJECT_WIDENING(BgL_tmpz00_2385);
						}
						BgL_testz00_2383 = CBOOL(BgL_tmpz00_2384);
					}
					if (BgL_testz00_2383)
						{	/* Ast/shrinkify.scm 179 */
							BgL_testz00_2382 = ((bool_t) 1);
						}
					else
						{	/* Ast/shrinkify.scm 179 */
							BgL_testz00_2382 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2382)
					{	/* Ast/shrinkify.scm 179 */
						{	/* Ast/shrinkify.scm 179 */
							long BgL_arg1604z00_2055;

							{	/* Ast/shrinkify.scm 179 */
								obj_t BgL_arg1606z00_2056;

								{	/* Ast/shrinkify.scm 179 */
									obj_t BgL_arg1607z00_2057;

									{	/* Ast/shrinkify.scm 179 */
										long BgL_arg1722z00_2058;

										{	/* Ast/shrinkify.scm 179 */
											long BgL_arg1723z00_2059;

											{	/* Ast/shrinkify.scm 179 */
												long BgL_res1801z00_2060;

												BgL_res1801z00_2060 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1969)));
												BgL_arg1723z00_2059 = BgL_res1801z00_2060;
											}
											BgL_arg1722z00_2058 = (BgL_arg1723z00_2059 - OBJECT_TYPE);
										}
										BgL_arg1607z00_2057 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											(int) (BgL_arg1722z00_2058));
									}
									BgL_arg1606z00_2056 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1607z00_2057);
								}
								{	/* Ast/shrinkify.scm 179 */
									long BgL_res1803z00_2061;

									BgL_res1803z00_2061 = BGL_CLASS_INDEX(BgL_arg1606z00_2056);
									BgL_arg1604z00_2055 = BgL_res1803z00_2061;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1969)),
								BgL_arg1604z00_2055);
						}
						{	/* Ast/shrinkify.scm 179 */
							BgL_objectz00_bglt BgL_tmpz00_2401;

							BgL_tmpz00_2401 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1969));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2401, BFALSE);
						}
						((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1969));
					}
				else
					{	/* Ast/shrinkify.scm 179 */
						BFALSE;
					}
			}
			{	/* Ast/shrinkify.scm 180 */
				BgL_varz00_bglt BgL_arg1610z00_2062;

				BgL_arg1610z00_2062 =
					(((BgL_boxzd2setz12zc0_bglt) CREF(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1969)))->BgL_varz00);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					((BgL_nodez00_bglt) BgL_arg1610z00_2062));
			}
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_boxzd2setz12zc0_bglt) CREF(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1969)))->BgL_valuez00));
			return BUNSPEC;
		}
	}



/* &shrink-node!-box-ref1274 */
	obj_t BGl_z62shrinkzd2nodez12zd2boxzd2ref1274za2zzast_shrinkifyz00(obj_t
		BgL_envz00_1970, obj_t BgL_nodez00_1971)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 170 */
			{	/* Ast/shrinkify.scm 171 */
				bool_t BgL_testz00_2414;

				{	/* Ast/shrinkify.scm 171 */
					bool_t BgL_testz00_2415;

					{	/* Ast/shrinkify.scm 171 */
						obj_t BgL_tmpz00_2416;

						{	/* Ast/shrinkify.scm 171 */
							BgL_objectz00_bglt BgL_tmpz00_2417;

							BgL_tmpz00_2417 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_1971));
							BgL_tmpz00_2416 = BGL_OBJECT_WIDENING(BgL_tmpz00_2417);
						}
						BgL_testz00_2415 = CBOOL(BgL_tmpz00_2416);
					}
					if (BgL_testz00_2415)
						{	/* Ast/shrinkify.scm 171 */
							BgL_testz00_2414 = ((bool_t) 1);
						}
					else
						{	/* Ast/shrinkify.scm 171 */
							BgL_testz00_2414 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2414)
					{	/* Ast/shrinkify.scm 171 */
						{	/* Ast/shrinkify.scm 171 */
							long BgL_arg1595z00_2064;

							{	/* Ast/shrinkify.scm 171 */
								obj_t BgL_arg1598z00_2065;

								{	/* Ast/shrinkify.scm 171 */
									obj_t BgL_arg1599z00_2066;

									{	/* Ast/shrinkify.scm 171 */
										long BgL_arg1722z00_2067;

										{	/* Ast/shrinkify.scm 171 */
											long BgL_arg1723z00_2068;

											{	/* Ast/shrinkify.scm 171 */
												long BgL_res1797z00_2069;

												BgL_res1797z00_2069 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_boxzd2refzd2_bglt) BgL_nodez00_1971)));
												BgL_arg1723z00_2068 = BgL_res1797z00_2069;
											}
											BgL_arg1722z00_2067 = (BgL_arg1723z00_2068 - OBJECT_TYPE);
										}
										BgL_arg1599z00_2066 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											(int) (BgL_arg1722z00_2067));
									}
									BgL_arg1598z00_2065 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1599z00_2066);
								}
								{	/* Ast/shrinkify.scm 171 */
									long BgL_res1799z00_2070;

									BgL_res1799z00_2070 = BGL_CLASS_INDEX(BgL_arg1598z00_2065);
									BgL_arg1595z00_2064 = BgL_res1799z00_2070;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_1971)),
								BgL_arg1595z00_2064);
						}
						{	/* Ast/shrinkify.scm 171 */
							BgL_objectz00_bglt BgL_tmpz00_2433;

							BgL_tmpz00_2433 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_1971));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2433, BFALSE);
						}
						((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_1971));
					}
				else
					{	/* Ast/shrinkify.scm 171 */
						BFALSE;
					}
			}
			{	/* Ast/shrinkify.scm 172 */
				BgL_varz00_bglt BgL_arg1601z00_2071;

				BgL_arg1601z00_2071 =
					(((BgL_boxzd2refzd2_bglt) CREF(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_1971)))->BgL_varz00);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					((BgL_nodez00_bglt) BgL_arg1601z00_2071));
			}
			return BUNSPEC;
		}
	}



/* &shrink-node!-make-bo1272 */
	obj_t BGl_z62shrinkzd2nodez12zd2makezd2bo1272za2zzast_shrinkifyz00(obj_t
		BgL_envz00_1972, obj_t BgL_nodez00_1973)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 162 */
			{	/* Ast/shrinkify.scm 163 */
				bool_t BgL_testz00_2443;

				{	/* Ast/shrinkify.scm 163 */
					bool_t BgL_testz00_2444;

					{	/* Ast/shrinkify.scm 163 */
						obj_t BgL_tmpz00_2445;

						{	/* Ast/shrinkify.scm 163 */
							BgL_objectz00_bglt BgL_tmpz00_2446;

							BgL_tmpz00_2446 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_1973));
							BgL_tmpz00_2445 = BGL_OBJECT_WIDENING(BgL_tmpz00_2446);
						}
						BgL_testz00_2444 = CBOOL(BgL_tmpz00_2445);
					}
					if (BgL_testz00_2444)
						{	/* Ast/shrinkify.scm 163 */
							BgL_testz00_2443 = ((bool_t) 1);
						}
					else
						{	/* Ast/shrinkify.scm 163 */
							BgL_testz00_2443 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2443)
					{	/* Ast/shrinkify.scm 163 */
						{	/* Ast/shrinkify.scm 163 */
							long BgL_arg1583z00_2073;

							{	/* Ast/shrinkify.scm 163 */
								obj_t BgL_arg1586z00_2074;

								{	/* Ast/shrinkify.scm 163 */
									obj_t BgL_arg1590z00_2075;

									{	/* Ast/shrinkify.scm 163 */
										long BgL_arg1722z00_2076;

										{	/* Ast/shrinkify.scm 163 */
											long BgL_arg1723z00_2077;

											{	/* Ast/shrinkify.scm 163 */
												long BgL_res1793z00_2078;

												BgL_res1793z00_2078 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_makezd2boxzd2_bglt) BgL_nodez00_1973)));
												BgL_arg1723z00_2077 = BgL_res1793z00_2078;
											}
											BgL_arg1722z00_2076 = (BgL_arg1723z00_2077 - OBJECT_TYPE);
										}
										BgL_arg1590z00_2075 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											(int) (BgL_arg1722z00_2076));
									}
									BgL_arg1586z00_2074 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1590z00_2075);
								}
								{	/* Ast/shrinkify.scm 163 */
									long BgL_res1795z00_2079;

									BgL_res1795z00_2079 = BGL_CLASS_INDEX(BgL_arg1586z00_2074);
									BgL_arg1583z00_2073 = BgL_res1795z00_2079;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_1973)),
								BgL_arg1583z00_2073);
						}
						{	/* Ast/shrinkify.scm 163 */
							BgL_objectz00_bglt BgL_tmpz00_2462;

							BgL_tmpz00_2462 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_1973));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2462, BFALSE);
						}
						((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_1973));
					}
				else
					{	/* Ast/shrinkify.scm 163 */
						BFALSE;
					}
			}
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_makezd2boxzd2_bglt) CREF(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_1973)))->BgL_valuez00));
			return BUNSPEC;
		}
	}



/* &shrink-node!-select1270 */
	obj_t BGl_z62shrinkzd2nodez12zd2select1270z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1974, obj_t BgL_nodez00_1975)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 152 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_selectz00_bglt) CREF(
							((BgL_selectz00_bglt) BgL_nodez00_1975)))->BgL_testz00));
			{	/* Ast/shrinkify.scm 154 */
				obj_t BgL_g1226z00_2081;

				BgL_g1226z00_2081 =
					(((BgL_selectz00_bglt) CREF(
							((BgL_selectz00_bglt) BgL_nodez00_1975)))->BgL_clausesz00);
				{
					obj_t BgL_l1224z00_2083;

					BgL_l1224z00_2083 = BgL_g1226z00_2081;
				BgL_zc3anonymousza31571ze3z83_2082:
					if (PAIRP(BgL_l1224z00_2083))
						{	/* Ast/shrinkify.scm 156 */
							{	/* Ast/shrinkify.scm 155 */
								obj_t BgL_clausez00_2084;

								BgL_clausez00_2084 = CAR(BgL_l1224z00_2083);
								{	/* Ast/shrinkify.scm 155 */
									obj_t BgL_arg1579z00_2085;

									BgL_arg1579z00_2085 = CDR(BgL_clausez00_2084);
									BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
										((BgL_nodez00_bglt) BgL_arg1579z00_2085));
								}
							}
							{
								obj_t BgL_l1224z00_2482;

								BgL_l1224z00_2482 = CDR(BgL_l1224z00_2083);
								BgL_l1224z00_2083 = BgL_l1224z00_2482;
								goto BgL_zc3anonymousza31571ze3z83_2082;
							}
						}
					else
						{	/* Ast/shrinkify.scm 156 */
							((bool_t) 1);
						}
				}
			}
			return BUNSPEC;
		}
	}



/* &shrink-node!-fail1267 */
	obj_t BGl_z62shrinkzd2nodez12zd2fail1267z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1976, obj_t BgL_nodez00_1977)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 143 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_failz00_bglt) CREF(
							((BgL_failz00_bglt) BgL_nodez00_1977)))->BgL_procz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_failz00_bglt) CREF(
							((BgL_failz00_bglt) BgL_nodez00_1977)))->BgL_msgz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_failz00_bglt) CREF(
							((BgL_failz00_bglt) BgL_nodez00_1977)))->BgL_objz00));
			return BUNSPEC;
		}
	}



/* &shrink-node!-conditi1265 */
	obj_t BGl_z62shrinkzd2nodez12zd2conditi1265z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1978, obj_t BgL_nodez00_1979)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 134 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_conditionalz00_bglt) CREF(
							((BgL_conditionalz00_bglt) BgL_nodez00_1979)))->BgL_testz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_conditionalz00_bglt) CREF(
							((BgL_conditionalz00_bglt) BgL_nodez00_1979)))->BgL_truez00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_conditionalz00_bglt) CREF(
							((BgL_conditionalz00_bglt) BgL_nodez00_1979)))->BgL_falsez00));
			return BUNSPEC;
		}
	}



/* &shrink-node!-setq1263 */
	obj_t BGl_z62shrinkzd2nodez12zd2setq1263z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1980, obj_t BgL_nodez00_1981)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 127 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_setqz00_bglt) CREF(
							((BgL_setqz00_bglt) BgL_nodez00_1981)))->BgL_valuez00));
			return BUNSPEC;
		}
	}



/* &shrink-node!-cast1261 */
	obj_t BGl_z62shrinkzd2nodez12zd2cast1261z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1982, obj_t BgL_nodez00_1983)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 120 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_castz00_bglt) CREF(
							((BgL_castz00_bglt) BgL_nodez00_1983)))->BgL_argz00));
			return BUNSPEC;
		}
	}



/* &shrink-node!-extern1259 */
	obj_t BGl_z62shrinkzd2nodez12zd2extern1259z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1984, obj_t BgL_nodez00_1985)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 112 */
			{	/* Ast/shrinkify.scm 113 */
				bool_t BgL_testz00_2508;

				{	/* Ast/shrinkify.scm 113 */
					bool_t BgL_testz00_2509;

					{	/* Ast/shrinkify.scm 113 */
						obj_t BgL_tmpz00_2510;

						{	/* Ast/shrinkify.scm 113 */
							BgL_objectz00_bglt BgL_tmpz00_2511;

							BgL_tmpz00_2511 =
								((BgL_objectz00_bglt) ((BgL_externz00_bglt) BgL_nodez00_1985));
							BgL_tmpz00_2510 = BGL_OBJECT_WIDENING(BgL_tmpz00_2511);
						}
						BgL_testz00_2509 = CBOOL(BgL_tmpz00_2510);
					}
					if (BgL_testz00_2509)
						{	/* Ast/shrinkify.scm 113 */
							BgL_testz00_2508 = ((bool_t) 1);
						}
					else
						{	/* Ast/shrinkify.scm 113 */
							BgL_testz00_2508 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2508)
					{	/* Ast/shrinkify.scm 113 */
						{	/* Ast/shrinkify.scm 113 */
							long BgL_arg1537z00_2091;

							{	/* Ast/shrinkify.scm 113 */
								obj_t BgL_arg1540z00_2092;

								{	/* Ast/shrinkify.scm 113 */
									obj_t BgL_arg1541z00_2093;

									{	/* Ast/shrinkify.scm 113 */
										long BgL_arg1722z00_2094;

										{	/* Ast/shrinkify.scm 113 */
											long BgL_arg1723z00_2095;

											{	/* Ast/shrinkify.scm 113 */
												long BgL_res1788z00_2096;

												BgL_res1788z00_2096 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_externz00_bglt) BgL_nodez00_1985)));
												BgL_arg1723z00_2095 = BgL_res1788z00_2096;
											}
											BgL_arg1722z00_2094 = (BgL_arg1723z00_2095 - OBJECT_TYPE);
										}
										BgL_arg1541z00_2093 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											(int) (BgL_arg1722z00_2094));
									}
									BgL_arg1540z00_2092 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1541z00_2093);
								}
								{	/* Ast/shrinkify.scm 113 */
									long BgL_res1790z00_2097;

									BgL_res1790z00_2097 = BGL_CLASS_INDEX(BgL_arg1540z00_2092);
									BgL_arg1537z00_2091 = BgL_res1790z00_2097;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_externz00_bglt) BgL_nodez00_1985)),
								BgL_arg1537z00_2091);
						}
						{	/* Ast/shrinkify.scm 113 */
							BgL_objectz00_bglt BgL_tmpz00_2527;

							BgL_tmpz00_2527 =
								((BgL_objectz00_bglt) ((BgL_externz00_bglt) BgL_nodez00_1985));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2527, BFALSE);
						}
						((obj_t) ((BgL_externz00_bglt) BgL_nodez00_1985));
					}
				else
					{	/* Ast/shrinkify.scm 113 */
						BFALSE;
					}
			}
			BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
				(((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_nodez00_1985)))->BgL_exprza2za2));
			return BUNSPEC;
		}
	}



/* &shrink-node!-funcall1257 */
	obj_t BGl_z62shrinkzd2nodez12zd2funcall1257z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1986, obj_t BgL_nodez00_1987)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 103 */
			{	/* Ast/shrinkify.scm 104 */
				bool_t BgL_testz00_2536;

				{	/* Ast/shrinkify.scm 104 */
					bool_t BgL_testz00_2537;

					{	/* Ast/shrinkify.scm 104 */
						obj_t BgL_tmpz00_2538;

						{	/* Ast/shrinkify.scm 104 */
							BgL_objectz00_bglt BgL_tmpz00_2539;

							BgL_tmpz00_2539 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_1987));
							BgL_tmpz00_2538 = BGL_OBJECT_WIDENING(BgL_tmpz00_2539);
						}
						BgL_testz00_2537 = CBOOL(BgL_tmpz00_2538);
					}
					if (BgL_testz00_2537)
						{	/* Ast/shrinkify.scm 104 */
							BgL_testz00_2536 = ((bool_t) 1);
						}
					else
						{	/* Ast/shrinkify.scm 104 */
							BgL_testz00_2536 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2536)
					{	/* Ast/shrinkify.scm 104 */
						{	/* Ast/shrinkify.scm 104 */
							long BgL_arg1526z00_2099;

							{	/* Ast/shrinkify.scm 104 */
								obj_t BgL_arg1527z00_2100;

								{	/* Ast/shrinkify.scm 104 */
									obj_t BgL_arg1530z00_2101;

									{	/* Ast/shrinkify.scm 104 */
										long BgL_arg1722z00_2102;

										{	/* Ast/shrinkify.scm 104 */
											long BgL_arg1723z00_2103;

											{	/* Ast/shrinkify.scm 104 */
												long BgL_res1784z00_2104;

												BgL_res1784z00_2104 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_funcallz00_bglt) BgL_nodez00_1987)));
												BgL_arg1723z00_2103 = BgL_res1784z00_2104;
											}
											BgL_arg1722z00_2102 = (BgL_arg1723z00_2103 - OBJECT_TYPE);
										}
										BgL_arg1530z00_2101 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											(int) (BgL_arg1722z00_2102));
									}
									BgL_arg1527z00_2100 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1530z00_2101);
								}
								{	/* Ast/shrinkify.scm 104 */
									long BgL_res1786z00_2105;

									BgL_res1786z00_2105 = BGL_CLASS_INDEX(BgL_arg1527z00_2100);
									BgL_arg1526z00_2099 = BgL_res1786z00_2105;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_1987)),
								BgL_arg1526z00_2099);
						}
						{	/* Ast/shrinkify.scm 104 */
							BgL_objectz00_bglt BgL_tmpz00_2555;

							BgL_tmpz00_2555 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_1987));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2555, BFALSE);
						}
						((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_1987));
					}
				else
					{	/* Ast/shrinkify.scm 104 */
						BFALSE;
					}
			}
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_funcallz00_bglt) CREF(
							((BgL_funcallz00_bglt) BgL_nodez00_1987)))->BgL_funz00));
			BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
				(((BgL_funcallz00_bglt) CREF(
							((BgL_funcallz00_bglt) BgL_nodez00_1987)))->BgL_argsz00));
			return BUNSPEC;
		}
	}



/* &shrink-node!-app-ly1255 */
	obj_t BGl_z62shrinkzd2nodez12zd2appzd2ly1255za2zzast_shrinkifyz00(obj_t
		BgL_envz00_1988, obj_t BgL_nodez00_1989)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 94 */
			{	/* Ast/shrinkify.scm 95 */
				bool_t BgL_testz00_2567;

				{	/* Ast/shrinkify.scm 95 */
					bool_t BgL_testz00_2568;

					{	/* Ast/shrinkify.scm 95 */
						obj_t BgL_tmpz00_2569;

						{	/* Ast/shrinkify.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_2570;

							BgL_tmpz00_2570 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_1989));
							BgL_tmpz00_2569 = BGL_OBJECT_WIDENING(BgL_tmpz00_2570);
						}
						BgL_testz00_2568 = CBOOL(BgL_tmpz00_2569);
					}
					if (BgL_testz00_2568)
						{	/* Ast/shrinkify.scm 95 */
							BgL_testz00_2567 = ((bool_t) 1);
						}
					else
						{	/* Ast/shrinkify.scm 95 */
							BgL_testz00_2567 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2567)
					{	/* Ast/shrinkify.scm 95 */
						{	/* Ast/shrinkify.scm 95 */
							long BgL_arg1494z00_2107;

							{	/* Ast/shrinkify.scm 95 */
								obj_t BgL_arg1504z00_2108;

								{	/* Ast/shrinkify.scm 95 */
									obj_t BgL_arg1507z00_2109;

									{	/* Ast/shrinkify.scm 95 */
										long BgL_arg1722z00_2110;

										{	/* Ast/shrinkify.scm 95 */
											long BgL_arg1723z00_2111;

											{	/* Ast/shrinkify.scm 95 */
												long BgL_res1780z00_2112;

												BgL_res1780z00_2112 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_appzd2lyzd2_bglt) BgL_nodez00_1989)));
												BgL_arg1723z00_2111 = BgL_res1780z00_2112;
											}
											BgL_arg1722z00_2110 = (BgL_arg1723z00_2111 - OBJECT_TYPE);
										}
										BgL_arg1507z00_2109 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											(int) (BgL_arg1722z00_2110));
									}
									BgL_arg1504z00_2108 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1507z00_2109);
								}
								{	/* Ast/shrinkify.scm 95 */
									long BgL_res1782z00_2113;

									BgL_res1782z00_2113 = BGL_CLASS_INDEX(BgL_arg1504z00_2108);
									BgL_arg1494z00_2107 = BgL_res1782z00_2113;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_1989)),
								BgL_arg1494z00_2107);
						}
						{	/* Ast/shrinkify.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_2586;

							BgL_tmpz00_2586 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_1989));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2586, BFALSE);
						}
						((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_1989));
					}
				else
					{	/* Ast/shrinkify.scm 95 */
						BFALSE;
					}
			}
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_appzd2lyzd2_bglt) CREF(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_1989)))->BgL_funz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_appzd2lyzd2_bglt) CREF(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_1989)))->BgL_argz00));
			return BUNSPEC;
		}
	}



/* &shrink-node!-app1253 */
	obj_t BGl_z62shrinkzd2nodez12zd2app1253z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1990, obj_t BgL_nodez00_1991)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 85 */
			{	/* Ast/shrinkify.scm 86 */
				bool_t BgL_testz00_2598;

				{	/* Ast/shrinkify.scm 86 */
					bool_t BgL_testz00_2599;

					{	/* Ast/shrinkify.scm 86 */
						obj_t BgL_tmpz00_2600;

						{	/* Ast/shrinkify.scm 86 */
							BgL_objectz00_bglt BgL_tmpz00_2601;

							BgL_tmpz00_2601 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_1991));
							BgL_tmpz00_2600 = BGL_OBJECT_WIDENING(BgL_tmpz00_2601);
						}
						BgL_testz00_2599 = CBOOL(BgL_tmpz00_2600);
					}
					if (BgL_testz00_2599)
						{	/* Ast/shrinkify.scm 86 */
							BgL_testz00_2598 = ((bool_t) 1);
						}
					else
						{	/* Ast/shrinkify.scm 86 */
							BgL_testz00_2598 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2598)
					{	/* Ast/shrinkify.scm 86 */
						{	/* Ast/shrinkify.scm 86 */
							long BgL_arg1481z00_2115;

							{	/* Ast/shrinkify.scm 86 */
								obj_t BgL_arg1484z00_2116;

								{	/* Ast/shrinkify.scm 86 */
									obj_t BgL_arg1485z00_2117;

									{	/* Ast/shrinkify.scm 86 */
										long BgL_arg1722z00_2118;

										{	/* Ast/shrinkify.scm 86 */
											long BgL_arg1723z00_2119;

											{	/* Ast/shrinkify.scm 86 */
												long BgL_res1776z00_2120;

												BgL_res1776z00_2120 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_1991)));
												BgL_arg1723z00_2119 = BgL_res1776z00_2120;
											}
											BgL_arg1722z00_2118 = (BgL_arg1723z00_2119 - OBJECT_TYPE);
										}
										BgL_arg1485z00_2117 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											(int) (BgL_arg1722z00_2118));
									}
									BgL_arg1484z00_2116 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1485z00_2117);
								}
								{	/* Ast/shrinkify.scm 86 */
									long BgL_res1778z00_2121;

									BgL_res1778z00_2121 = BGL_CLASS_INDEX(BgL_arg1484z00_2116);
									BgL_arg1481z00_2115 = BgL_res1778z00_2121;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_1991)), BgL_arg1481z00_2115);
						}
						{	/* Ast/shrinkify.scm 86 */
							BgL_objectz00_bglt BgL_tmpz00_2617;

							BgL_tmpz00_2617 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_1991));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2617, BFALSE);
						}
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_1991));
					}
				else
					{	/* Ast/shrinkify.scm 86 */
						BFALSE;
					}
			}
			{	/* Ast/shrinkify.scm 87 */
				BgL_varz00_bglt BgL_arg1490z00_2122;

				BgL_arg1490z00_2122 =
					(((BgL_appz00_bglt) CREF(
							((BgL_appz00_bglt) BgL_nodez00_1991)))->BgL_funz00);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					((BgL_nodez00_bglt) BgL_arg1490z00_2122));
			}
			BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
				(((BgL_appz00_bglt) CREF(
							((BgL_appz00_bglt) BgL_nodez00_1991)))->BgL_argsz00));
			return BUNSPEC;
		}
	}



/* &shrink-node!-sync1251 */
	obj_t BGl_z62shrinkzd2nodez12zd2sync1251z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1992, obj_t BgL_nodez00_1993)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 76 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_syncz00_bglt) CREF(
							((BgL_syncz00_bglt) BgL_nodez00_1993)))->BgL_mutexz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_syncz00_bglt) CREF(
							((BgL_syncz00_bglt) BgL_nodez00_1993)))->BgL_prelockz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_syncz00_bglt) CREF(
							((BgL_syncz00_bglt) BgL_nodez00_1993)))->BgL_bodyz00));
			return BUNSPEC;
		}
	}



/* &shrink-node!-sequenc1249 */
	obj_t BGl_z62shrinkzd2nodez12zd2sequenc1249z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1994, obj_t BgL_nodez00_1995)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 69 */
			BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
				(((BgL_sequencez00_bglt) CREF(
							((BgL_sequencez00_bglt) BgL_nodez00_1995)))->BgL_nodesz00));
			return BUNSPEC;
		}
	}



/* &shrink-node!-kwote1247 */
	obj_t BGl_z62shrinkzd2nodez12zd2kwote1247z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1996, obj_t BgL_nodez00_1997)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 63 */
			return BUNSPEC;
		}
	}



/* &shrink-node!-var1245 */
	obj_t BGl_z62shrinkzd2nodez12zd2var1245z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1998, obj_t BgL_nodez00_1999)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 57 */
			return BUNSPEC;
		}
	}



/* &shrink-node!-atom1243 */
	obj_t BGl_z62shrinkzd2nodez12zd2atom1243z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2000, obj_t BgL_nodez00_2001)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 51 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1834z00zzast_shrinkifyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1834z00zzast_shrinkifyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1834z00zzast_shrinkifyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1834z00zzast_shrinkifyz00));
		}
	}

#ifdef __cplusplus
}
#endif
