/*===========================================================================*/
/*   (Ast/venv.scm)                                                          */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/venv.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
		bool_t BgL_tailrecz00;
	}               *BgL_isfunz00_bglt;


	static obj_t BGl_z62globalzd2bucketzd2positionz62zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_za2Genvza2z00zzast_envz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzast_envz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62unbindzd2globalz12za2zzast_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_envz00();
	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
	static obj_t BGl_z62restorezd2valuezd2typesz12z70zzast_envz00(obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt);
	static obj_t BGl_z62getzd2globalzf2modulez42zzast_envz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62alreadyzd2restoredzf3z43zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
	static obj_t BGl_z62restorezd2valuezd2typesz121295z70zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121298z70zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31728ze3ze1zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_envz00();
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00();
	static obj_t BGl_requirezd2initializa7ationz75zzast_envz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
	extern obj_t BGl_funz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	extern obj_t BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_envz00();
	static obj_t BGl_z62addzd2genvz12za2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31318ze3ze1zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_bindzd2globalz12zc0zzast_envz00(obj_t, obj_t, obj_t, BgL_valuez00_bglt,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_envz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	static obj_t
		BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00(obj_t);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_z62findzd2globalzf2modulez42zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121300z70zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121302z70zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121304z70zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_z62forzd2eachzd2globalz12z70zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62restorezd2globalz12za2zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	static obj_t BGl_z62initializa7ezd2Genvz12z05zzast_envz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static obj_t BGl_z62getzd2genvzb0zzast_envz00(obj_t);
	static BgL_globalz00_bglt BGl_z62bindzd2globalz12za2zzast_envz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BUNSPEC;
	static obj_t BGl_z62findzd2globalzb0zzast_envz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzast_envz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00();
	BGL_EXPORTED_DECL obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_envz00();
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	static obj_t BGl_za2restoredza2z00zzast_envz00 = BUNSPEC;
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2genvz12za2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2genvzd2zzast_envz00();
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_warningzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl_za762setza7d2genvza7121917za7, BGl_z62setzd2genvz12za2zzast_envz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzd2envz00zzast_envz00,
		BgL_bgl_za762findza7d2global1918z00, va_generic_entry,
		BGl_z62findzd2globalzb0zzast_envz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unbindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762unbindza7d2glob1919z00,
		BGl_z62unbindzd2globalz12za2zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1901z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val1920z00,
		BGl_z62restorezd2valuezd2typesz121295z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1903z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val1921z00,
		BGl_z62restorezd2valuezd2typesz121298z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1905z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val1922z00,
		BGl_z62restorezd2valuezd2typesz121300z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1906z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val1923z00,
		BGl_z62restorezd2valuezd2typesz121302z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1907z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val1924z00,
		BGl_z62restorezd2valuezd2typesz121304z70zzast_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2bucketzd2positionzd2envzd2zzast_envz00,
		BgL_bgl_za762globalza7d2buck1925z00,
		BGl_z62globalzd2bucketzd2positionz62zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl_za762getza7d2globalza71926za7,
		BGl_z62getzd2globalzf2modulez42zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2genvzd2envz00zzast_envz00,
		BgL_bgl_za762getza7d2genvza7b01927za7, BGl_z62getzd2genvzb0zzast_envz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1894z00zzast_envz00,
		BgL_bgl_string1894za700za7za7a1928za7, "~a::~a", 6);
	      DEFINE_STRING(BGl_string1895z00zzast_envz00,
		BgL_bgl_string1895za700za7za7a1929za7, "Cannot find global variable", 27);
	      DEFINE_STRING(BGl_string1896z00zzast_envz00,
		BgL_bgl_string1896za700za7za7a1930za7, "Variable overridden by", 22);
	      DEFINE_STRING(BGl_string1897z00zzast_envz00,
		BgL_bgl_string1897za700za7za7a1931za7, "Duplicate definition", 20);
	      DEFINE_STRING(BGl_string1898z00zzast_envz00,
		BgL_bgl_string1898za700za7za7a1932za7, "eval", 4);
	      DEFINE_STRING(BGl_string1899z00zzast_envz00,
		BgL_bgl_string1899za700za7za7a1933za7, "unbind-global!", 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_alreadyzd2restoredzf3zd2envzf3zzast_envz00,
		BgL_bgl_za762alreadyza7d2res1934z00,
		BGl_z62alreadyzd2restoredzf3z43zzast_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_additionalzd2heapzd2restorezd2globalsz12zd2envz12zzast_envz00,
		BgL_bgl_za762additionalza7d21935z00,
		BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00, 0L, BUNSPEC,
		0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl_za762addza7d2genvza7121936za7, BGl_z62addzd2genvz12za2zzast_envz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl_za762findza7d2global1937z00,
		BGl_z62findzd2globalzf2modulez42zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_initializa7ezd2Genvz12zd2envzb5zzast_envz00,
		BgL_bgl_za762initializa7a7eza71938za7,
		BGl_z62initializa7ezd2Genvz12z05zzast_envz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1900z00zzast_envz00,
		BgL_bgl_string1900za700za7za7a1939za7, "Can't find global", 17);
	      DEFINE_STRING(BGl_string1902z00zzast_envz00,
		BgL_bgl_string1902za700za7za7a1940za7, "restore-value-types!1295", 24);
	      DEFINE_STRING(BGl_string1904z00zzast_envz00,
		BgL_bgl_string1904za700za7za7a1941za7, "restore-value-types!", 20);
	      DEFINE_STRING(BGl_string1908z00zzast_envz00,
		BgL_bgl_string1908za700za7za7a1942za7, "restore-value-types(sfun)", 25);
	      DEFINE_STRING(BGl_string1909z00zzast_envz00,
		BgL_bgl_string1909za700za7za7a1943za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string1910z00zzast_envz00,
		BgL_bgl_string1910za700za7za7a1944za7, "restore-value-types", 19);
	      DEFINE_STRING(BGl_string1911z00zzast_envz00,
		BgL_bgl_string1911za700za7za7a1945za7, "Illegal non pair argument", 25);
	      DEFINE_STRING(BGl_string1912z00zzast_envz00,
		BgL_bgl_string1912za700za7za7a1946za7, "ast_env", 7);
	      DEFINE_STRING(BGl_string1913z00zzast_envz00,
		BgL_bgl_string1913za700za7za7a1947za7,
		"eval now read @ get-global/module foreign the-global-environment ", 65);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
		BgL_bgl_za762restoreza7d2val1948z00,
		BGl_z62restorezd2valuezd2typesz12z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1893z00zzast_envz00,
		BgL_bgl_za762za7c3anonymousza71949za7,
		BGl_z62zc3anonymousza31318ze3ze1zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_forzd2eachzd2globalz12zd2envzc0zzast_envz00,
		BgL_bgl_za762forza7d2eachza7d21950za7, va_generic_entry,
		BGl_z62forzd2eachzd2globalz12z70zzast_envz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762bindza7d2global1951z00, BGl_z62bindzd2globalz12za2zzast_envz00,
		0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_restorezd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762restoreza7d2glo1952z00,
		BGl_z62restorezd2globalz12za2zzast_envz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2Genvza2z00zzast_envz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_envz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00));
		     ADD_ROOT((void *) (&BGl_za2restoredza2z00zzast_envz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long
		BgL_checksumz00_2273, char *BgL_fromz00_2274)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_envz00))
				{
					BGl_requirezd2initializa7ationz75zzast_envz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_envz00();
					BGl_libraryzd2moduleszd2initz00zzast_envz00();
					BGl_cnstzd2initzd2zzast_envz00();
					BGl_importedzd2moduleszd2initz00zzast_envz00();
					BGl_genericzd2initzd2zzast_envz00();
					BGl_methodzd2initzd2zzast_envz00();
					return BGl_toplevelzd2initzd2zzast_envz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_env");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			{	/* Ast/venv.scm 14 */
				obj_t BgL_cportz00_2213;

				{	/* Ast/venv.scm 14 */
					obj_t BgL_startz00_2222;

					BgL_startz00_2222 = BINT(((long) 0));
					{	/* Ast/venv.scm 14 */
						obj_t BgL_endz00_2223;

						BgL_endz00_2223 =
							BINT(STRING_LENGTH(BGl_string1913z00zzast_envz00));
						{	/* Ast/venv.scm 14 */

							BgL_cportz00_2213 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1913z00zzast_envz00, BgL_startz00_2222,
								BgL_endz00_2223);
				}}}
				{
					long BgL_iz00_2214;

					BgL_iz00_2214 = ((long) 6);
				BgL_loopz00_2215:
					if ((BgL_iz00_2214 == ((long) -1)))
						{	/* Ast/venv.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/venv.scm 14 */
							{	/* Ast/venv.scm 14 */
								obj_t BgL_arg1915z00_2217;

								{	/* Ast/venv.scm 14 */

									{	/* Ast/venv.scm 14 */
										obj_t BgL_locationz00_2219;

										BgL_locationz00_2219 = BBOOL(((bool_t) 0));
										{	/* Ast/venv.scm 14 */

											BgL_arg1915z00_2217 =
												BGl_readz00zz__readerz00(BgL_cportz00_2213,
												BgL_locationz00_2219);
										}
									}
								}
								{	/* Ast/venv.scm 14 */
									int BgL_tmpz00_2304;

									BgL_tmpz00_2304 = (int) (BgL_iz00_2214);
									CNST_TABLE_SET(BgL_tmpz00_2304, BgL_arg1915z00_2217);
							}}
							{	/* Ast/venv.scm 14 */
								int BgL_auxz00_2220;

								BgL_auxz00_2220 = (int) ((BgL_iz00_2214 - ((long) 1)));
								{
									long BgL_iz00_2309;

									BgL_iz00_2309 = (long) (BgL_auxz00_2220);
									BgL_iz00_2214 = BgL_iz00_2309;
									goto BgL_loopz00_2215;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_za2Genvza2z00zzast_envz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BNIL;
			BGl_za2restoredza2z00zzast_envz00 = BNIL;
			return BUNSPEC;
		}
	}



/* set-genv! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_3)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 55 */
			return (BGl_za2Genvza2z00zzast_envz00 = BgL_genvz00_3, BUNSPEC);
		}
	}



/* &set-genv! */
	obj_t BGl_z62setzd2genvz12za2zzast_envz00(obj_t BgL_envz00_2151,
		obj_t BgL_genvz00_2152)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 55 */
			return BGl_setzd2genvz12zc0zzast_envz00(BgL_genvz00_2152);
		}
	}



/* add-genv! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_4)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 64 */
			BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_4,
				BGl_proc1893z00zzast_envz00);
			return (BGl_za2restoredza2z00zzast_envz00 = BNIL, BUNSPEC);
		}
	}



/* &add-genv! */
	obj_t BGl_z62addzd2genvz12za2zzast_envz00(obj_t BgL_envz00_2154,
		obj_t BgL_genvz00_2155)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 64 */
			return BGl_addzd2genvz12zc0zzast_envz00(BgL_genvz00_2155);
		}
	}



/* &<anonymous:1318> */
	obj_t BGl_z62zc3anonymousza31318ze3ze1zzast_envz00(obj_t BgL_envz00_2156,
		obj_t BgL_kz00_2157, obj_t BgL_bucketz00_2158)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 67 */
			{	/* Ast/venv.scm 68 */
				bool_t BgL_tmpz00_2316;

				{	/* Ast/venv.scm 68 */
					obj_t BgL_g1289z00_2226;

					BgL_g1289z00_2226 = CDR(BgL_bucketz00_2158);
					{
						obj_t BgL_l1287z00_2228;

						BgL_l1287z00_2228 = BgL_g1289z00_2226;
					BgL_zc3anonymousza31319ze3z83_2227:
						if (PAIRP(BgL_l1287z00_2228))
							{	/* Ast/venv.scm 88 */
								{	/* Ast/venv.scm 69 */
									obj_t BgL_newz00_2229;

									BgL_newz00_2229 = CAR(BgL_l1287z00_2228);
									BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 =
										MAKE_YOUNG_PAIR(BgL_newz00_2229,
										BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00);
									{	/* Ast/venv.scm 70 */
										obj_t BgL_modulez00_2230;

										BgL_modulez00_2230 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_newz00_2229)))->
											BgL_modulez00);
										{	/* Ast/venv.scm 70 */
											obj_t BgL_idz00_2231;

											BgL_idz00_2231 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_newz00_2229))))->
												BgL_idz00);
											{	/* Ast/venv.scm 71 */
												obj_t BgL_bucketz00_2232;

												BgL_bucketz00_2232 =
													BGl_hashtablezd2getzd2zz__hashz00
													(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_2231);
												{	/* Ast/venv.scm 72 */

													if (PAIRP(BgL_bucketz00_2232))
														{	/* Ast/venv.scm 76 */
															bool_t BgL_testz00_2330;

															if (
																(BgL_modulez00_2230 ==
																	BGl_za2moduleza2z00zzmodule_modulez00))
																{	/* Ast/venv.scm 76 */
																	BgL_testz00_2330 = ((bool_t) 1);
																}
															else
																{	/* Ast/venv.scm 77 */
																	bool_t BgL_testz00_2333;

																	{	/* Ast/venv.scm 78 */
																		obj_t BgL_arg1413z00_2233;

																		{
																			BgL_globalz00_bglt BgL_auxz00_2334;

																			{	/* Ast/venv.scm 78 */
																				obj_t BgL_pairz00_2234;

																				BgL_pairz00_2234 =
																					CDR(BgL_bucketz00_2232);
																				BgL_auxz00_2334 =
																					((BgL_globalz00_bglt)
																					CAR(BgL_pairz00_2234));
																			}
																			BgL_arg1413z00_2233 =
																				(((BgL_globalz00_bglt)
																					CREF(BgL_auxz00_2334))->
																				BgL_modulez00);
																		}
																		BgL_testz00_2333 =
																			(BGl_za2moduleza2z00zzmodule_modulez00 ==
																			BgL_arg1413z00_2233);
																	}
																	if (BgL_testz00_2333)
																		{	/* Ast/venv.scm 77 */
																			BgL_testz00_2330 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 77 */
																			BgL_testz00_2330 = ((bool_t) 1);
																		}
																}
															if (BgL_testz00_2330)
																{	/* Ast/venv.scm 84 */
																	obj_t BgL_newzd2bucketzd2_2235;

																	BgL_newzd2bucketzd2_2235 =
																		MAKE_YOUNG_PAIR(BgL_newz00_2229,
																		CDR(BgL_bucketz00_2232));
																	SET_CDR(BgL_bucketz00_2232,
																		BgL_newzd2bucketzd2_2235);
																}
															else
																{	/* Ast/venv.scm 87 */
																	obj_t BgL_arg1376z00_2236;
																	obj_t BgL_arg1406z00_2237;

																	BgL_arg1376z00_2236 = CDR(BgL_bucketz00_2232);
																	BgL_arg1406z00_2237 =
																		MAKE_YOUNG_PAIR(BgL_newz00_2229,
																		CDR(CDR(BgL_bucketz00_2232)));
																	SET_CDR(BgL_arg1376z00_2236,
																		BgL_arg1406z00_2237);
																}
														}
													else
														{	/* Ast/venv.scm 75 */
															obj_t BgL_arg1415z00_2238;

															{	/* Ast/venv.scm 75 */
																obj_t BgL_list1416z00_2239;

																{	/* Ast/venv.scm 75 */
																	obj_t BgL_arg1423z00_2240;

																	BgL_arg1423z00_2240 =
																		MAKE_YOUNG_PAIR(BgL_newz00_2229, BNIL);
																	BgL_list1416z00_2239 =
																		MAKE_YOUNG_PAIR(BgL_idz00_2231,
																		BgL_arg1423z00_2240);
																}
																BgL_arg1415z00_2238 = BgL_list1416z00_2239;
															}
															BGl_hashtablezd2putz12zc0zz__hashz00
																(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_2231,
																BgL_arg1415z00_2238);
														}
												}
											}
										}
									}
								}
								{
									obj_t BgL_l1287z00_2351;

									BgL_l1287z00_2351 = CDR(BgL_l1287z00_2228);
									BgL_l1287z00_2228 = BgL_l1287z00_2351;
									goto BgL_zc3anonymousza31319ze3z83_2227;
								}
							}
						else
							{	/* Ast/venv.scm 88 */
								BgL_tmpz00_2316 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2316);
			}
		}
	}



/* additional-heap-restore-globals! */
	BGL_EXPORTED_DEF obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 105 */
			{
				obj_t BgL_l1290z00_1487;

				BgL_l1290z00_1487 =
					BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00;
			BgL_zc3anonymousza31437ze3z83_1488:
				if (PAIRP(BgL_l1290z00_1487))
					{	/* Ast/venv.scm 106 */
						BGl_restorezd2globalz12zc0zzast_envz00(CAR(BgL_l1290z00_1487));
						{
							obj_t BgL_l1290z00_2358;

							BgL_l1290z00_2358 = CDR(BgL_l1290z00_1487);
							BgL_l1290z00_1487 = BgL_l1290z00_2358;
							goto BgL_zc3anonymousza31437ze3z83_1488;
						}
					}
				else
					{	/* Ast/venv.scm 106 */
						((bool_t) 1);
					}
			}
			return BTRUE;
		}
	}



/* &additional-heap-restore-globals! */
	obj_t BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00(obj_t
		BgL_envz00_2159)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 105 */
			return BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
		}
	}



/* restore-global! */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t
		BgL_newz00_6)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 112 */
			BGl_za2restoredza2z00zzast_envz00 =
				MAKE_YOUNG_PAIR(BgL_newz00_6, BGl_za2restoredza2z00zzast_envz00);
			{	/* Ast/venv.scm 115 */
				BgL_typez00_bglt BgL_typez00_1494;

				BgL_typez00_1494 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_newz00_6))))->BgL_typez00);
				{	/* Ast/venv.scm 116 */
					BgL_valuez00_bglt BgL_valuez00_1495;

					BgL_valuez00_1495 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_newz00_6))))->BgL_valuez00);
					{	/* Ast/venv.scm 117 */
						obj_t BgL_typeidz00_1496;

						BgL_typeidz00_1496 =
							(((BgL_typez00_bglt) CREF(BgL_typez00_1494))->BgL_idz00);
						{	/* Ast/venv.scm 118 */

							{	/* Ast/venv.scm 120 */
								BgL_typez00_bglt BgL_arg1460z00_1497;

								BgL_arg1460z00_1497 =
									BGl_findzd2typezd2zztype_envz00(BgL_typeidz00_1496);
								((((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_newz00_6))))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_arg1460z00_1497), BUNSPEC);
							}
							BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_1495);
							{	/* Ast/venv.scm 124 */
								bool_t BgL_testz00_2374;

								{	/* Ast/venv.scm 124 */
									bool_t BgL_testz00_2375;

									{	/* Ast/venv.scm 124 */
										obj_t BgL_arg1504z00_1512;

										BgL_arg1504z00_1512 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_testz00_2375 =
											(((BgL_backendz00_bglt) CREF(
													((BgL_backendz00_bglt) BgL_arg1504z00_1512)))->
											BgL_qualifiedzd2typeszd2);
									}
									if (BgL_testz00_2375)
										{	/* Ast/venv.scm 124 */
											if (
												((((BgL_globalz00_bglt) CREF(
																((BgL_globalz00_bglt) BgL_newz00_6)))->
														BgL_modulez00) == CNST_TABLE_REF(((long) 1))))
												{	/* Ast/venv.scm 125 */
													BgL_testz00_2374 = ((bool_t) 0);
												}
											else
												{	/* Ast/venv.scm 125 */
													BgL_testz00_2374 = ((bool_t) 1);
												}
										}
									else
										{	/* Ast/venv.scm 124 */
											BgL_testz00_2374 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_2374)
									{	/* Ast/venv.scm 126 */
										obj_t BgL_arg1490z00_1505;
										obj_t BgL_arg1491z00_1506;
										obj_t BgL_arg1492z00_1507;

										BgL_arg1490z00_1505 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_newz00_6)))->BgL_modulez00);
										BgL_arg1491z00_1506 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_newz00_6)))->
											BgL_jvmzd2typezd2namez00);
										BgL_arg1492z00_1507 =
											BGl_shapez00zztools_shapez00(BgL_newz00_6);
										{	/* Ast/venv.scm 126 */
											obj_t BgL_list1493z00_1508;

											BgL_list1493z00_1508 =
												MAKE_YOUNG_PAIR(BgL_arg1492z00_1507, BNIL);
											return
												BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
												(BgL_arg1490z00_1505, BgL_arg1491z00_1506,
												BgL_list1493z00_1508);
										}
									}
								else
									{	/* Ast/venv.scm 124 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}
	}



/* &restore-global! */
	obj_t BGl_z62restorezd2globalz12za2zzast_envz00(obj_t BgL_envz00_2160,
		obj_t BgL_newz00_2161)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 112 */
			return BGl_restorezd2globalz12zc0zzast_envz00(BgL_newz00_2161);
		}
	}



/* already-restored? */
	BGL_EXPORTED_DEF obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t
		BgL_funz00_8)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 147 */
			return
				BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_funz00_8,
				BGl_za2restoredza2z00zzast_envz00);
		}
	}



/* &already-restored? */
	obj_t BGl_z62alreadyzd2restoredzf3z43zzast_envz00(obj_t BgL_envz00_2162,
		obj_t BgL_funz00_2163)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 147 */
			return BGl_alreadyzd2restoredzf3z21zzast_envz00(BgL_funz00_2163);
		}
	}



/* get-genv */
	BGL_EXPORTED_DEF obj_t BGl_getzd2genvzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 220 */
			return BGl_za2Genvza2z00zzast_envz00;
		}
	}



/* &get-genv */
	obj_t BGl_z62getzd2genvzb0zzast_envz00(obj_t BgL_envz00_2164)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 220 */
			return BGl_getzd2genvzd2zzast_envz00();
		}
	}



/* initialize-Genv! */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 226 */
			return (BGl_za2Genvza2z00zzast_envz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC);
		}
	}



/* &initialize-Genv! */
	obj_t BGl_z62initializa7ezd2Genvz12z05zzast_envz00(obj_t BgL_envz00_2165)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 226 */
			return BGl_initializa7ezd2Genvz12z67zzast_envz00();
		}
	}



/* find-global */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzd2zzast_envz00(obj_t BgL_idz00_14,
		obj_t BgL_modulez00_15)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 232 */
			{	/* Ast/venv.scm 234 */
				obj_t BgL_bucketz00_1514;
				obj_t BgL_modulez00_1515;

				BgL_bucketz00_1514 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_14);
				if (NULLP(BgL_modulez00_15))
					{	/* Ast/venv.scm 235 */
						BgL_modulez00_1515 = BNIL;
					}
				else
					{	/* Ast/venv.scm 235 */
						BgL_modulez00_1515 = CAR(BgL_modulez00_15);
					}
				if (PAIRP(BgL_bucketz00_1514))
					{	/* Ast/venv.scm 237 */
						if (NULLP(CDR(BgL_bucketz00_1514)))
							{	/* Ast/venv.scm 239 */
								return BFALSE;
							}
						else
							{	/* Ast/venv.scm 239 */
								if (NULLP(BgL_modulez00_1515))
									{	/* Ast/venv.scm 241 */
										return CAR(CDR(BgL_bucketz00_1514));
									}
								else
									{	/* Ast/venv.scm 244 */
										obj_t BgL_g1103z00_1520;

										BgL_g1103z00_1520 = CDR(BgL_bucketz00_1514);
										{
											obj_t BgL_globalsz00_1522;

											BgL_globalsz00_1522 = BgL_g1103z00_1520;
										BgL_zc3anonymousza31511ze3z83_1523:
											if (NULLP(BgL_globalsz00_1522))
												{	/* Ast/venv.scm 246 */
													return BFALSE;
												}
											else
												{	/* Ast/venv.scm 246 */
													if (
														((((BgL_globalz00_bglt) CREF(
																		((BgL_globalz00_bglt)
																			CAR(BgL_globalsz00_1522))))->
																BgL_modulez00) == BgL_modulez00_1515))
														{	/* Ast/venv.scm 248 */
															return CAR(BgL_globalsz00_1522);
														}
													else
														{
															obj_t BgL_globalsz00_2419;

															BgL_globalsz00_2419 = CDR(BgL_globalsz00_1522);
															BgL_globalsz00_1522 = BgL_globalsz00_2419;
															goto BgL_zc3anonymousza31511ze3z83_1523;
														}
												}
										}
									}
							}
					}
				else
					{	/* Ast/venv.scm 237 */
						return BFALSE;
					}
			}
		}
	}



/* &find-global */
	obj_t BGl_z62findzd2globalzb0zzast_envz00(obj_t BgL_envz00_2166,
		obj_t BgL_idz00_2167, obj_t BgL_modulez00_2168)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 232 */
			return
				BGl_findzd2globalzd2zzast_envz00(BgL_idz00_2167, BgL_modulez00_2168);
		}
	}



/* find-global/module */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_16, obj_t BgL_modulez00_17)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 256 */
			{	/* Ast/venv.scm 257 */
				obj_t BgL_bucketz00_1534;

				BgL_bucketz00_1534 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_16);
				if (PAIRP(BgL_bucketz00_1534))
					{	/* Ast/venv.scm 259 */
						if (NULLP(CDR(BgL_bucketz00_1534)))
							{	/* Ast/venv.scm 261 */
								return BFALSE;
							}
						else
							{	/* Ast/venv.scm 266 */
								obj_t BgL_g1107z00_1539;

								BgL_g1107z00_1539 = CDR(BgL_bucketz00_1534);
								{
									obj_t BgL_globalsz00_1541;

									BgL_globalsz00_1541 = BgL_g1107z00_1539;
								BgL_zc3anonymousza31544ze3z83_1542:
									if (NULLP(BgL_globalsz00_1541))
										{	/* Ast/venv.scm 268 */
											return BFALSE;
										}
									else
										{	/* Ast/venv.scm 268 */
											if (
												((((BgL_globalz00_bglt) CREF(
																((BgL_globalz00_bglt)
																	CAR(BgL_globalsz00_1541))))->BgL_modulez00) ==
													BgL_modulez00_17))
												{	/* Ast/venv.scm 270 */
													return CAR(BgL_globalsz00_1541);
												}
											else
												{
													obj_t BgL_globalsz00_2437;

													BgL_globalsz00_2437 = CDR(BgL_globalsz00_1541);
													BgL_globalsz00_1541 = BgL_globalsz00_2437;
													goto BgL_zc3anonymousza31544ze3z83_1542;
												}
										}
								}
							}
					}
				else
					{	/* Ast/venv.scm 259 */
						return BFALSE;
					}
			}
		}
	}



/* &find-global/module */
	obj_t BGl_z62findzd2globalzf2modulez42zzast_envz00(obj_t BgL_envz00_2169,
		obj_t BgL_idz00_2170, obj_t BgL_modulez00_2171)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 256 */
			return
				BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_2170,
				BgL_modulez00_2171);
		}
	}



/* get-global/module */
	BGL_EXPORTED_DEF obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_18, obj_t BgL_modulez00_19)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 278 */
			{	/* Ast/venv.scm 279 */
				obj_t BgL_globalz00_1552;

				BgL_globalz00_1552 =
					BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_18,
					BgL_modulez00_19);
				{	/* Ast/venv.scm 280 */
					bool_t BgL_testz00_2441;

					if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_1552,
							BGl_globalz00zzast_varz00))
						{	/* Ast/venv.scm 280 */
							BgL_testz00_2441 = ((bool_t) 0);
						}
					else
						{	/* Ast/venv.scm 280 */
							if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
								{	/* Ast/venv.scm 280 */
									BgL_testz00_2441 = ((bool_t) 0);
								}
							else
								{	/* Ast/venv.scm 280 */
									BgL_testz00_2441 = ((bool_t) 1);
								}
						}
					if (BgL_testz00_2441)
						{	/* Ast/venv.scm 283 */
							obj_t BgL_arg1568z00_1555;

							{	/* Ast/venv.scm 283 */
								obj_t BgL_list1569z00_1556;

								{	/* Ast/venv.scm 283 */
									obj_t BgL_arg1570z00_1557;

									BgL_arg1570z00_1557 = MAKE_YOUNG_PAIR(BgL_modulez00_19, BNIL);
									BgL_list1569z00_1556 =
										MAKE_YOUNG_PAIR(BgL_idz00_18, BgL_arg1570z00_1557);
								}
								BgL_arg1568z00_1555 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string1894z00zzast_envz00, BgL_list1569z00_1556);
							}
							BGl_internalzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long)
										2)), BGl_string1895z00zzast_envz00, BgL_arg1568z00_1555);
						}
					else
						{	/* Ast/venv.scm 280 */
							BFALSE;
						}
				}
				return BgL_globalz00_1552;
			}
		}
	}



/* &get-global/module */
	obj_t BGl_z62getzd2globalzf2modulez42zzast_envz00(obj_t BgL_envz00_2172,
		obj_t BgL_idz00_2173, obj_t BgL_modulez00_2174)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 278 */
			return
				BGl_getzd2globalzf2modulez20zzast_envz00(BgL_idz00_2173,
				BgL_modulez00_2174);
		}
	}



/* warning-override-global! */
	obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t BgL_nz00_20,
		obj_t BgL_oz00_21, obj_t BgL_msgz00_22)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 289 */
			{	/* Ast/venv.scm 290 */
				bool_t BgL_testz00_2452;

				{	/* Ast/venv.scm 290 */
					bool_t BgL_testz00_2453;

					{	/* Ast/venv.scm 290 */
						int BgL_arg1610z00_1579;

						BgL_arg1610z00_1579 = BGl_bigloozd2warningzd2zz__paramz00();
						BgL_testz00_2453 = ((long) (BgL_arg1610z00_1579) > ((long) 0));
					}
					if (BgL_testz00_2453)
						{	/* Ast/venv.scm 290 */
							BgL_testz00_2452 =
								CBOOL
								(BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00);
						}
					else
						{	/* Ast/venv.scm 290 */
							BgL_testz00_2452 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2452)
					{	/* Ast/venv.scm 292 */
						obj_t BgL_locz00_1564;
						obj_t BgL_oldz00_1565;
						obj_t BgL_newz00_1566;
						obj_t BgL_msgz00_1567;

						{	/* Ast/venv.scm 292 */
							obj_t BgL_arg1586z00_1568;

							BgL_arg1586z00_1568 =
								(((BgL_globalz00_bglt) CREF(
										((BgL_globalz00_bglt) BgL_oz00_21)))->BgL_srcz00);
							BgL_locz00_1564 =
								BGl_findzd2locationzd2zztools_locationz00(BgL_arg1586z00_1568);
						}
						{	/* Ast/venv.scm 293 */
							obj_t BgL_arg1590z00_1569;

							{	/* Ast/venv.scm 293 */
								obj_t BgL_arg1591z00_1570;
								obj_t BgL_arg1595z00_1571;

								BgL_arg1591z00_1570 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_oz00_21))))->BgL_idz00);
								{	/* Ast/venv.scm 293 */
									obj_t BgL_arg1598z00_1572;

									BgL_arg1598z00_1572 =
										(((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt) BgL_oz00_21)))->BgL_modulez00);
									BgL_arg1595z00_1571 =
										MAKE_YOUNG_PAIR(BgL_arg1598z00_1572, BNIL);
								}
								BgL_arg1590z00_1569 =
									MAKE_YOUNG_PAIR(BgL_arg1591z00_1570, BgL_arg1595z00_1571);
							}
							BgL_oldz00_1565 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
								BgL_arg1590z00_1569);
						}
						{	/* Ast/venv.scm 294 */
							obj_t BgL_arg1599z00_1573;

							{	/* Ast/venv.scm 294 */
								obj_t BgL_arg1601z00_1574;
								obj_t BgL_arg1604z00_1575;

								BgL_arg1601z00_1574 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_nz00_20))))->BgL_idz00);
								{	/* Ast/venv.scm 294 */
									obj_t BgL_arg1606z00_1576;

									BgL_arg1606z00_1576 =
										(((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt) BgL_nz00_20)))->BgL_modulez00);
									BgL_arg1604z00_1575 =
										MAKE_YOUNG_PAIR(BgL_arg1606z00_1576, BNIL);
								}
								BgL_arg1599z00_1573 =
									MAKE_YOUNG_PAIR(BgL_arg1601z00_1574, BgL_arg1604z00_1575);
							}
							BgL_newz00_1566 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
								BgL_arg1599z00_1573);
						}
						if (PAIRP(BgL_msgz00_22))
							{	/* Ast/venv.scm 295 */
								BgL_msgz00_1567 = CAR(BgL_msgz00_22);
							}
						else
							{	/* Ast/venv.scm 295 */
								BgL_msgz00_1567 = BGl_string1896z00zzast_envz00;
							}
						if (CBOOL(BgL_locz00_1564))
							{	/* Ast/venv.scm 296 */
								return
									BGl_userzd2warningzf2locationz20zztools_errorz00
									(BgL_locz00_1564, BgL_oldz00_1565, BgL_msgz00_1567,
									BgL_newz00_1566);
							}
						else
							{	/* Ast/venv.scm 296 */
								return
									BGl_userzd2warningzd2zztools_errorz00(BgL_oldz00_1565,
									BgL_msgz00_1567, BgL_newz00_1566);
							}
					}
				else
					{	/* Ast/venv.scm 290 */
						return BFALSE;
					}
			}
		}
	}



/* error-rebind-global! */
	obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt
		BgL_oz00_23, obj_t BgL_srcz00_24)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 303 */
			{	/* Ast/venv.scm 305 */
				obj_t BgL_locz00_1581;

				BgL_locz00_1581 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_24);
				if (CBOOL(BgL_locz00_1581))
					{	/* Ast/venv.scm 308 */
						obj_t BgL_arg1611z00_1583;
						obj_t BgL_arg1615z00_1584;

						BgL_arg1611z00_1583 =
							(((BgL_globalz00_bglt) CREF(BgL_oz00_23))->BgL_modulez00);
						BgL_arg1615z00_1584 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_23));
						return
							BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_1581,
							BgL_arg1611z00_1583, BGl_string1897z00zzast_envz00,
							BgL_arg1615z00_1584, BNIL);
					}
				else
					{	/* Ast/venv.scm 309 */
						obj_t BgL_arg1626z00_1586;
						obj_t BgL_arg1630z00_1587;

						BgL_arg1626z00_1586 =
							(((BgL_globalz00_bglt) CREF(BgL_oz00_23))->BgL_modulez00);
						BgL_arg1630z00_1587 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_23));
						return
							BGl_userzd2errorzd2zztools_errorz00(BgL_arg1626z00_1586,
							BGl_string1897z00zzast_envz00, BgL_arg1630z00_1587, BNIL);
					}
			}
		}
	}



/* warning-rebind-global! */
	obj_t BGl_warningzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt
		BgL_oz00_25, obj_t BgL_srcz00_26)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 314 */
			{	/* Ast/venv.scm 316 */
				obj_t BgL_locz00_1590;

				BgL_locz00_1590 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_26);
				if (CBOOL(BgL_locz00_1590))
					{	/* Ast/venv.scm 319 */
						obj_t BgL_arg1632z00_1592;
						obj_t BgL_arg1635z00_1593;

						BgL_arg1632z00_1592 =
							(((BgL_globalz00_bglt) CREF(BgL_oz00_25))->BgL_modulez00);
						BgL_arg1635z00_1593 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_25));
						return
							BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_1590,
							BgL_arg1632z00_1592, BGl_string1897z00zzast_envz00,
							BgL_arg1635z00_1593);
					}
				else
					{	/* Ast/venv.scm 320 */
						obj_t BgL_arg1636z00_1594;
						obj_t BgL_arg1637z00_1595;

						BgL_arg1636z00_1594 =
							(((BgL_globalz00_bglt) CREF(BgL_oz00_25))->BgL_modulez00);
						BgL_arg1637z00_1595 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_25));
						return
							BGl_userzd2warningzd2zztools_errorz00(BgL_arg1636z00_1594,
							BGl_string1897z00zzast_envz00, BgL_arg1637z00_1595);
					}
			}
		}
	}



/* bind-global! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_27, obj_t BgL_aliasz00_28, obj_t BgL_modulez00_29,
		BgL_valuez00_bglt BgL_valuez00_30, obj_t BgL_importz00_31,
		obj_t BgL_srcz00_32)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 337 */
			{	/* Ast/venv.scm 340 */
				obj_t BgL_identz00_1596;

				if (CBOOL(BgL_aliasz00_28))
					{	/* Ast/venv.scm 340 */
						BgL_identz00_1596 = BgL_aliasz00_28;
					}
				else
					{	/* Ast/venv.scm 340 */
						BgL_identz00_1596 = BgL_idz00_27;
					}
				{	/* Ast/venv.scm 340 */
					obj_t BgL_oldz00_1597;

					{	/* Ast/venv.scm 341 */
						obj_t BgL_list1684z00_1639;

						BgL_list1684z00_1639 = MAKE_YOUNG_PAIR(BgL_modulez00_29, BNIL);
						BgL_oldz00_1597 =
							BGl_findzd2globalzd2zzast_envz00(BgL_identz00_1596,
							BgL_list1684z00_1639);
					}
					{	/* Ast/venv.scm 341 */

						if (BGl_isazf3zf3zz__objectz00(BgL_oldz00_1597,
								BGl_globalz00zzast_varz00))
							{	/* Ast/venv.scm 342 */
								if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
									{	/* Ast/venv.scm 344 */
										return ((BgL_globalz00_bglt) BgL_oldz00_1597);
									}
								else
									{	/* Ast/venv.scm 344 */
										if (
											(BgL_modulez00_29 ==
												(((BgL_globalz00_bglt) CREF(
															((BgL_globalz00_bglt) BgL_oldz00_1597)))->
													BgL_modulez00)))
											{	/* Ast/venv.scm 346 */
												BGl_warningzd2rebindzd2globalz12z12zzast_envz00(
													((BgL_globalz00_bglt) BgL_oldz00_1597),
													BgL_srcz00_32);
												return ((BgL_globalz00_bglt) BgL_oldz00_1597);
											}
										else
											{	/* Ast/venv.scm 346 */
												return
													((BgL_globalz00_bglt)
													BGl_errorzd2rebindzd2globalz12z12zzast_envz00(
														((BgL_globalz00_bglt) BgL_oldz00_1597),
														BgL_srcz00_32));
											}
									}
							}
						else
							{	/* Ast/venv.scm 351 */
								obj_t BgL_bucketz00_1602;
								BgL_globalz00_bglt BgL_newz00_1603;

								BgL_bucketz00_1602 =
									BGl_hashtablezd2getzd2zz__hashz00
									(BGl_za2Genvza2z00zzast_envz00, BgL_identz00_1596);
								{	/* Ast/venv.scm 352 */
									BgL_globalz00_bglt BgL_new1114z00_1635;

									{	/* Ast/venv.scm 358 */
										BgL_globalz00_bglt BgL_new1112z00_1637;

										BgL_new1112z00_1637 =
											((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
														BgL_globalz00_bgl))));
										{	/* Ast/venv.scm 358 */
											long BgL_arg1683z00_1638;

											{	/* Ast/venv.scm 358 */
												long BgL_res1868z00_2052;

												BgL_res1868z00_2052 =
													BGL_CLASS_INDEX(BGl_globalz00zzast_varz00);
												BgL_arg1683z00_1638 = BgL_res1868z00_2052;
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1112z00_1637),
												BgL_arg1683z00_1638);
										}
										{	/* Ast/venv.scm 358 */
											BgL_objectz00_bglt BgL_tmpz00_2532;

											BgL_tmpz00_2532 =
												((BgL_objectz00_bglt) BgL_new1112z00_1637);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2532, BFALSE);
										}
										BgL_new1114z00_1635 = BgL_new1112z00_1637;
									}
									((((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_new1114z00_1635)))->
											BgL_idz00) = ((obj_t) BgL_identz00_1596), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1114z00_1635)))->BgL_namez00) =
										((obj_t) BFALSE), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1114z00_1635)))->BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1114z00_1635)))->BgL_valuez00) =
										((BgL_valuez00_bglt) BgL_valuez00_30), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1114z00_1635)))->BgL_accessz00) =
										((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1114z00_1635)))->BgL_fastzd2alphazd2) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1114z00_1635)))->BgL_removablez00) =
										((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1114z00_1635)))->BgL_occurrencez00) =
										((long) ((long) 0)), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1114z00_1635)))->BgL_occurrencewz00) =
										((long) ((long) 0)), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1114z00_1635)))->BgL_userzf3zf3) =
										((bool_t) ((bool_t) 1)), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1114z00_1635))->
											BgL_modulez00) = ((obj_t) BgL_modulez00_29), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1114z00_1635))->
											BgL_importz00) = ((obj_t) BgL_importz00_31), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1114z00_1635))->
											BgL_evaluablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1114z00_1635))->
											BgL_evalzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1114z00_1635))->
											BgL_libraryz00) = ((obj_t) BFALSE), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1114z00_1635))->
											BgL_pragmaz00) = ((obj_t) BNIL), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1114z00_1635))->
											BgL_srcz00) = ((obj_t) BgL_srcz00_32), BUNSPEC);
									{
										obj_t BgL_auxz00_2565;

										if ((BgL_importz00_31 == CNST_TABLE_REF(((long) 6))))
											{	/* Ast/venv.scm 355 */
												BgL_auxz00_2565 = BGl_string1898z00zzast_envz00;
											}
										else
											{	/* Ast/venv.scm 355 */
												BgL_auxz00_2565 =
													BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
													(BgL_modulez00_29);
											}
										((((BgL_globalz00_bglt) CREF(BgL_new1114z00_1635))->
												BgL_jvmzd2typezd2namez00) =
											((obj_t) BgL_auxz00_2565), BUNSPEC);
									}
									((((BgL_globalz00_bglt) CREF(BgL_new1114z00_1635))->
											BgL_initz00) = ((obj_t) BUNSPEC), BUNSPEC);
									{
										obj_t BgL_auxz00_2572;

										if (CBOOL(BgL_aliasz00_28))
											{	/* Ast/venv.scm 359 */
												BgL_auxz00_2572 = BgL_idz00_27;
											}
										else
											{	/* Ast/venv.scm 359 */
												BgL_auxz00_2572 = BFALSE;
											}
										((((BgL_globalz00_bglt) CREF(BgL_new1114z00_1635))->
												BgL_aliasz00) = ((obj_t) BgL_auxz00_2572), BUNSPEC);
									}
									BgL_newz00_1603 = BgL_new1114z00_1635;
								}
								{	/* Ast/venv.scm 365 */
									bool_t BgL_testz00_2576;

									if (PAIRP(BgL_bucketz00_1602))
										{	/* Ast/venv.scm 365 */
											BgL_testz00_2576 = NULLP(CDR(BgL_bucketz00_1602));
										}
									else
										{	/* Ast/venv.scm 365 */
											BgL_testz00_2576 = ((bool_t) 1);
										}
									if (BgL_testz00_2576)
										{	/* Ast/venv.scm 365 */
											{	/* Ast/venv.scm 367 */
												obj_t BgL_arg1645z00_1607;

												{	/* Ast/venv.scm 367 */
													obj_t BgL_list1646z00_1608;

													{	/* Ast/venv.scm 367 */
														obj_t BgL_arg1647z00_1609;

														BgL_arg1647z00_1609 =
															MAKE_YOUNG_PAIR(((obj_t) BgL_newz00_1603), BNIL);
														BgL_list1646z00_1608 =
															MAKE_YOUNG_PAIR(BgL_identz00_1596,
															BgL_arg1647z00_1609);
													}
													BgL_arg1645z00_1607 = BgL_list1646z00_1608;
												}
												BGl_hashtablezd2putz12zc0zz__hashz00
													(BGl_za2Genvza2z00zzast_envz00, BgL_identz00_1596,
													BgL_arg1645z00_1607);
											}
											return BgL_newz00_1603;
										}
									else
										{	/* Ast/venv.scm 370 */
											obj_t BgL_oldza2za2_1610;

											BgL_oldza2za2_1610 = CDR(BgL_bucketz00_1602);
											{	/* Ast/venv.scm 370 */
												obj_t BgL_midz00_1611;

												{	/* Ast/venv.scm 372 */
													obj_t BgL_arg1669z00_1631;

													BgL_arg1669z00_1631 =
														(((BgL_globalz00_bglt) CREF(
																((BgL_globalz00_bglt)
																	CAR(BgL_oldza2za2_1610))))->BgL_modulez00);
													BgL_midz00_1611 =
														BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
														(BgL_arg1669z00_1631);
												}
												{	/* Ast/venv.scm 371 */

													{	/* Ast/venv.scm 374 */
														bool_t BgL_testz00_2590;

														{	/* Ast/venv.scm 374 */
															obj_t BgL_arg1667z00_1629;

															BgL_arg1667z00_1629 =
																(((BgL_globalz00_bglt) CREF(
																		((BgL_globalz00_bglt)
																			CAR(BgL_oldza2za2_1610))))->
																BgL_modulez00);
															BgL_testz00_2590 =
																(BgL_arg1667z00_1629 ==
																BGl_za2moduleza2z00zzmodule_modulez00);
														}
														if (BgL_testz00_2590)
															{	/* Ast/venv.scm 374 */
																{	/* Ast/venv.scm 376 */
																	bool_t BgL_testz00_2595;

																	if ((BgL_identz00_1596 == BgL_midz00_1611))
																		{	/* Ast/venv.scm 376 */
																			BgL_testz00_2595 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 376 */
																			if (CBOOL
																				(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																				{	/* Ast/venv.scm 376 */
																					BgL_testz00_2595 = ((bool_t) 0);
																				}
																			else
																				{	/* Ast/venv.scm 376 */
																					BgL_testz00_2595 = ((bool_t) 1);
																				}
																		}
																	if (BgL_testz00_2595)
																		{	/* Ast/venv.scm 377 */
																			obj_t BgL_arg1658z00_1617;

																			BgL_arg1658z00_1617 =
																				CAR(BgL_oldza2za2_1610);
																			BGl_warningzd2overridezd2globalz12z12zzast_envz00
																				(BgL_arg1658z00_1617,
																				((obj_t) BgL_newz00_1603), BNIL);
																		}
																	else
																		{	/* Ast/venv.scm 376 */
																			BFALSE;
																		}
																}
																{	/* Ast/venv.scm 378 */
																	obj_t BgL_arg1660z00_1620;
																	obj_t BgL_arg1661z00_1621;

																	BgL_arg1660z00_1620 = CDR(BgL_bucketz00_1602);
																	{	/* Ast/venv.scm 378 */
																		obj_t BgL_arg1662z00_1622;

																		BgL_arg1662z00_1622 =
																			CDR(CDR(BgL_bucketz00_1602));
																		BgL_arg1661z00_1621 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_newz00_1603),
																			BgL_arg1662z00_1622);
																	}
																	SET_CDR(BgL_arg1660z00_1620,
																		BgL_arg1661z00_1621);
																}
																return BgL_newz00_1603;
															}
														else
															{	/* Ast/venv.scm 381 */
																obj_t BgL_newza2za2_1623;

																BgL_newza2za2_1623 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_newz00_1603),
																	BgL_oldza2za2_1610);
																{	/* Ast/venv.scm 382 */
																	bool_t BgL_testz00_2611;

																	if ((BgL_identz00_1596 == BgL_midz00_1611))
																		{	/* Ast/venv.scm 382 */
																			BgL_testz00_2611 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 382 */
																			if (CBOOL
																				(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																				{	/* Ast/venv.scm 382 */
																					BgL_testz00_2611 = ((bool_t) 0);
																				}
																			else
																				{	/* Ast/venv.scm 382 */
																					BgL_testz00_2611 = ((bool_t) 1);
																				}
																		}
																	if (BgL_testz00_2611)
																		{	/* Ast/venv.scm 383 */
																			obj_t BgL_arg1665z00_1626;

																			BgL_arg1665z00_1626 =
																				CAR(BgL_oldza2za2_1610);
																			BGl_warningzd2overridezd2globalz12z12zzast_envz00
																				(((obj_t) BgL_newz00_1603),
																				BgL_arg1665z00_1626, BNIL);
																		}
																	else
																		{	/* Ast/venv.scm 382 */
																			BFALSE;
																		}
																}
																SET_CDR(BgL_bucketz00_1602, BgL_newza2za2_1623);
																return BgL_newz00_1603;
															}
													}
												}
											}
										}
								}
							}
					}
				}
			}
		}
	}



/* &bind-global! */
	BgL_globalz00_bglt BGl_z62bindzd2globalz12za2zzast_envz00(obj_t
		BgL_envz00_2175, obj_t BgL_idz00_2176, obj_t BgL_aliasz00_2177,
		obj_t BgL_modulez00_2178, obj_t BgL_valuez00_2179, obj_t BgL_importz00_2180,
		obj_t BgL_srcz00_2181)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 337 */
			return
				BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_2176, BgL_aliasz00_2177,
				BgL_modulez00_2178, ((BgL_valuez00_bglt) BgL_valuez00_2179),
				BgL_importz00_2180, BgL_srcz00_2181);
		}
	}



/* unbind-global! */
	BGL_EXPORTED_DEF obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_33, obj_t BgL_modulez00_34)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 390 */
			{	/* Ast/venv.scm 391 */
				obj_t BgL_globalz00_1641;

				{	/* Ast/venv.scm 391 */
					obj_t BgL_list1721z00_1660;

					BgL_list1721z00_1660 = MAKE_YOUNG_PAIR(BgL_modulez00_34, BNIL);
					BgL_globalz00_1641 =
						BGl_findzd2globalzd2zzast_envz00(BgL_idz00_33,
						BgL_list1721z00_1660);
				}
				if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_1641,
						BGl_globalz00zzast_varz00))
					{	/* Ast/venv.scm 394 */
						obj_t BgL_bucketz00_1643;

						BgL_bucketz00_1643 =
							BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
							BgL_idz00_33);
						{	/* Ast/venv.scm 395 */
							obj_t BgL_g1117z00_1644;

							BgL_g1117z00_1644 = CDR(BgL_bucketz00_1643);
							{
								obj_t BgL_curz00_1646;
								obj_t BgL_prevz00_1647;

								BgL_curz00_1646 = BgL_g1117z00_1644;
								BgL_prevz00_1647 = BgL_bucketz00_1643;
							BgL_zc3anonymousza31686ze3z83_1648:
								if ((CAR(BgL_curz00_1646) == BgL_globalz00_1641))
									{	/* Ast/venv.scm 398 */
										obj_t BgL_tmpz00_2631;

										BgL_tmpz00_2631 = CDR(BgL_curz00_1646);
										return SET_CDR(BgL_prevz00_1647, BgL_tmpz00_2631);
									}
								else
									{
										obj_t BgL_prevz00_2636;
										obj_t BgL_curz00_2634;

										BgL_curz00_2634 = CDR(BgL_curz00_1646);
										BgL_prevz00_2636 = CDR(BgL_prevz00_1647);
										BgL_prevz00_1647 = BgL_prevz00_2636;
										BgL_curz00_1646 = BgL_curz00_2634;
										goto BgL_zc3anonymousza31686ze3z83_1648;
									}
							}
						}
					}
				else
					{	/* Ast/venv.scm 393 */
						obj_t BgL_arg1713z00_1656;

						{	/* Ast/venv.scm 393 */
							obj_t BgL_arg1716z00_1658;

							{	/* Ast/venv.scm 393 */
								obj_t BgL_arg1720z00_1659;

								BgL_arg1720z00_1659 = MAKE_YOUNG_PAIR(BgL_modulez00_34, BNIL);
								BgL_arg1716z00_1658 =
									MAKE_YOUNG_PAIR(BgL_idz00_33, BgL_arg1720z00_1659);
							}
							BgL_arg1713z00_1656 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
								BgL_arg1716z00_1658);
						}
						return
							BGl_userzd2errorzd2zztools_errorz00(BGl_string1899z00zzast_envz00,
							BGl_string1900z00zzast_envz00, BgL_arg1713z00_1656, BNIL);
					}
			}
		}
	}



/* &unbind-global! */
	obj_t BGl_z62unbindzd2globalz12za2zzast_envz00(obj_t BgL_envz00_2182,
		obj_t BgL_idz00_2183, obj_t BgL_modulez00_2184)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 390 */
			return
				BGl_unbindzd2globalz12zc0zzast_envz00(BgL_idz00_2183,
				BgL_modulez00_2184);
		}
	}



/* for-each-global! */
	BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t
		BgL_procz00_35, obj_t BgL_envz00_36)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 404 */
			{	/* Ast/venv.scm 405 */
				obj_t BgL_arg1724z00_1661;

				if (NULLP(BgL_envz00_36))
					{	/* Ast/venv.scm 405 */
						BgL_arg1724z00_1661 = BGl_za2Genvza2z00zzast_envz00;
					}
				else
					{	/* Ast/venv.scm 405 */
						BgL_arg1724z00_1661 = CAR(BgL_envz00_36);
					}
				{	/* Ast/venv.scm 406 */
					obj_t BgL_zc3anonymousza31728ze3z83_2185;

					BgL_zc3anonymousza31728ze3z83_2185 =
						MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31728ze3ze1zzast_envz00,
						(int) (((long) 2)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza31728ze3z83_2185,
						(int) (((long) 0)), BgL_procz00_35);
					return
						BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_arg1724z00_1661,
						BgL_zc3anonymousza31728ze3z83_2185);
				}
			}
		}
	}



/* &for-each-global! */
	obj_t BGl_z62forzd2eachzd2globalz12z70zzast_envz00(obj_t BgL_envz00_2186,
		obj_t BgL_procz00_2187, obj_t BgL_envz00_2188)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 404 */
			return
				BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_procz00_2187,
				BgL_envz00_2188);
		}
	}



/* &<anonymous:1728> */
	obj_t BGl_z62zc3anonymousza31728ze3ze1zzast_envz00(obj_t BgL_envz00_2189,
		obj_t BgL_kz00_2191, obj_t BgL_bucketz00_2192)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 406 */
			{	/* Ast/venv.scm 406 */
				obj_t BgL_procz00_2190;

				BgL_procz00_2190 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2189, (int) (((long) 0))));
				{	/* Ast/venv.scm 406 */
					bool_t BgL_tmpz00_2657;

					{	/* Ast/venv.scm 406 */
						obj_t BgL_g1294z00_2241;

						BgL_g1294z00_2241 = CDR(BgL_bucketz00_2192);
						{
							obj_t BgL_l1292z00_2243;

							BgL_l1292z00_2243 = BgL_g1294z00_2241;
						BgL_zc3anonymousza31729ze3z83_2242:
							if (PAIRP(BgL_l1292z00_2243))
								{	/* Ast/venv.scm 406 */
									{	/* Ast/venv.scm 406 */
										obj_t BgL_arg1732z00_2244;

										BgL_arg1732z00_2244 = CAR(BgL_l1292z00_2243);
										PROCEDURE_ENTRY(BgL_procz00_2190) (BgL_procz00_2190,
											BgL_arg1732z00_2244, BEOA);
									}
									{
										obj_t BgL_l1292z00_2666;

										BgL_l1292z00_2666 = CDR(BgL_l1292z00_2243);
										BgL_l1292z00_2243 = BgL_l1292z00_2666;
										goto BgL_zc3anonymousza31729ze3z83_2242;
									}
								}
							else
								{	/* Ast/venv.scm 406 */
									BgL_tmpz00_2657 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_tmpz00_2657);
				}
			}
		}
	}



/* global-bucket-position */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t
		BgL_idz00_37, obj_t BgL_modulez00_38)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 411 */
			{	/* Ast/venv.scm 412 */
				obj_t BgL_bucketz00_1676;

				BgL_bucketz00_1676 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_37);
				if (PAIRP(BgL_bucketz00_1676))
					{	/* Ast/venv.scm 415 */
						obj_t BgL_g1118z00_1678;

						BgL_g1118z00_1678 = CDR(BgL_bucketz00_1676);
						{
							obj_t BgL_globalsz00_1680;
							long BgL_posz00_1681;

							{	/* Ast/venv.scm 415 */
								long BgL_tmpz00_2673;

								BgL_globalsz00_1680 = BgL_g1118z00_1678;
								BgL_posz00_1681 = ((long) 0);
							BgL_zc3anonymousza31736ze3z83_1682:
								if (NULLP(BgL_globalsz00_1680))
									{	/* Ast/venv.scm 418 */
										BgL_tmpz00_2673 = ((long) -1);
									}
								else
									{	/* Ast/venv.scm 418 */
										if (
											((((BgL_globalz00_bglt) CREF(
															((BgL_globalz00_bglt)
																CAR(BgL_globalsz00_1680))))->BgL_modulez00) ==
												BgL_modulez00_38))
											{	/* Ast/venv.scm 420 */
												BgL_tmpz00_2673 = BgL_posz00_1681;
											}
										else
											{
												long BgL_posz00_2683;
												obj_t BgL_globalsz00_2681;

												BgL_globalsz00_2681 = CDR(BgL_globalsz00_1680);
												BgL_posz00_2683 = (BgL_posz00_1681 + ((long) 1));
												BgL_posz00_1681 = BgL_posz00_2683;
												BgL_globalsz00_1680 = BgL_globalsz00_2681;
												goto BgL_zc3anonymousza31736ze3z83_1682;
											}
									}
								return BINT(BgL_tmpz00_2673);
							}
						}
					}
				else
					{	/* Ast/venv.scm 413 */
						return BINT(((long) -1));
		}}}
	}



/* &global-bucket-position */
	obj_t BGl_z62globalzd2bucketzd2positionz62zzast_envz00(obj_t BgL_envz00_2193,
		obj_t BgL_idz00_2194, obj_t BgL_modulez00_2195)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 411 */
			return
				BGl_globalzd2bucketzd2positionz00zzast_envz00(BgL_idz00_2194,
				BgL_modulez00_2195);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_proc1901z00zzast_envz00, BGl_valuez00zzast_varz00,
				BGl_string1902z00zzast_envz00);
		}
	}



/* &restore-value-types!1295 */
	obj_t BGl_z62restorezd2valuezd2typesz121295z70zzast_envz00(obj_t
		BgL_envz00_2197, obj_t BgL_valuez00_2198)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 153 */
			return BUNSPEC;
		}
	}



/* restore-value-types! */
	obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt
		BgL_valuez00_9)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 153 */
			{	/* Ast/venv.scm 153 */
				obj_t BgL_method1296z00_1696;

				{	/* Ast/venv.scm 153 */
					obj_t BgL_res1884z00_2122;

					{	/* Ast/venv.scm 153 */
						long BgL_objzd2classzd2numz00_2095;

						{	/* Ast/venv.scm 153 */
							long BgL_res1878z00_2098;

							BgL_res1878z00_2098 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_9));
							BgL_objzd2classzd2numz00_2095 = BgL_res1878z00_2098;
						}
						{	/* Ast/venv.scm 153 */
							obj_t BgL_arg1718z00_2096;

							BgL_arg1718z00_2096 =
								PROCEDURE_REF
								(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
								(int) (((long) 1)));
							{	/* Ast/venv.scm 153 */
								int BgL_offsetz00_2100;

								BgL_offsetz00_2100 = (int) (BgL_objzd2classzd2numz00_2095);
								{	/* Ast/venv.scm 153 */
									long BgL_offsetz00_2101;

									BgL_offsetz00_2101 =
										((long) (BgL_offsetz00_2100) - OBJECT_TYPE);
									{	/* Ast/venv.scm 153 */
										long BgL_modz00_2102;

										{	/* Ast/venv.scm 153 */
											int BgL_arg1721z00_2103;

											BgL_arg1721z00_2103 = (int) (((long) 16));
											{	/* Ast/venv.scm 153 */
												long BgL_res1881z00_2113;

												{	/* Ast/venv.scm 153 */
													long BgL_tmpz00_2697;

													BgL_tmpz00_2697 = (long) (BgL_arg1721z00_2103);
													BgL_res1881z00_2113 =
														(BgL_offsetz00_2101 / BgL_tmpz00_2697);
												}
												BgL_modz00_2102 = BgL_res1881z00_2113;
										}}
										{	/* Ast/venv.scm 153 */
											long BgL_restz00_2104;

											{	/* Ast/venv.scm 153 */
												int BgL_arg1719z00_2105;

												BgL_arg1719z00_2105 = (int) (((long) 16));
												{	/* Ast/venv.scm 153 */
													long BgL_res1883z00_2117;

													{	/* Ast/venv.scm 153 */
														long BgL_tmpz00_2701;

														BgL_tmpz00_2701 = (long) (BgL_arg1719z00_2105);
														BgL_res1883z00_2117 =
															(BgL_offsetz00_2101 % BgL_tmpz00_2701);
													}
													BgL_restz00_2104 = BgL_res1883z00_2117;
											}}
											{	/* Ast/venv.scm 153 */

												BgL_res1884z00_2122 =
													VECTOR_REF(VECTOR_REF(BgL_arg1718z00_2096,
														(int) (BgL_modz00_2102)), (int) (BgL_restz00_2104));
					}}}}}}}
					BgL_method1296z00_1696 = BgL_res1884z00_2122;
				}
				return
					PROCEDURE_ENTRY(BgL_method1296z00_1696) (BgL_method1296z00_1696,
					((obj_t) BgL_valuez00_9), BEOA);
			}
		}
	}



/* &restore-value-types! */
	obj_t BGl_z62restorezd2valuezd2typesz12z70zzast_envz00(obj_t BgL_envz00_2199,
		obj_t BgL_valuez00_2200)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 153 */
			return
				BGl_restorezd2valuezd2typesz12z12zzast_envz00(
				((BgL_valuez00_bglt) BgL_valuez00_2200));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_funz00zzast_varz00, BGl_proc1903z00zzast_envz00,
				BGl_string1904z00zzast_envz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_sfunz00zzast_varz00, BGl_proc1905z00zzast_envz00,
				BGl_string1904z00zzast_envz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_isfunz00zzinline_inlinez00, BGl_proc1906z00zzast_envz00,
				BGl_string1904z00zzast_envz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_cfunz00zzast_varz00, BGl_proc1907z00zzast_envz00,
				BGl_string1904z00zzast_envz00);
		}
	}



/* &restore-value-types!1304 */
	obj_t BGl_z62restorezd2valuezd2typesz121304z70zzast_envz00(obj_t
		BgL_envz00_2205, obj_t BgL_valuez00_2206)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 208 */
			{	/* Ast/venv.scm 208 */
				bool_t BgL_tmpz00_2719;

				{

					{	/* Ast/venv.scm 208 */
						obj_t BgL_nextzd2method1303zd2_2248;

						BgL_nextzd2method1303zd2_2248 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_cfunz00_bglt) BgL_valuez00_2206)),
							BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
							BGl_cfunz00zzast_varz00);
						PROCEDURE_ENTRY(BgL_nextzd2method1303zd2_2248)
							(BgL_nextzd2method1303zd2_2248,
							((obj_t) ((BgL_cfunz00_bglt) BgL_valuez00_2206)), BEOA);
					}
					{
						obj_t BgL_argsz00_2250;

						BgL_argsz00_2250 =
							(((BgL_cfunz00_bglt) CREF(
									((BgL_cfunz00_bglt) BgL_valuez00_2206)))->BgL_argszd2typezd2);
					BgL_loopz00_2249:
						if (PAIRP(BgL_argsz00_2250))
							{	/* Ast/venv.scm 212 */
								{	/* Ast/venv.scm 214 */
									BgL_typez00_bglt BgL_arg1778z00_2251;

									{	/* Ast/venv.scm 214 */
										obj_t BgL_arg1779z00_2252;

										BgL_arg1779z00_2252 =
											(((BgL_typez00_bglt) CREF(
													((BgL_typez00_bglt)
														CAR(BgL_argsz00_2250))))->BgL_idz00);
										BgL_arg1778z00_2251 =
											BGl_findzd2typezd2zztype_envz00(BgL_arg1779z00_2252);
									}
									{	/* Ast/venv.scm 214 */
										obj_t BgL_tmpz00_2735;

										BgL_tmpz00_2735 = ((obj_t) BgL_arg1778z00_2251);
										SET_CAR(BgL_argsz00_2250, BgL_tmpz00_2735);
									}
								}
								{
									obj_t BgL_argsz00_2738;

									BgL_argsz00_2738 = CDR(BgL_argsz00_2250);
									BgL_argsz00_2250 = BgL_argsz00_2738;
									goto BgL_loopz00_2249;
								}
							}
						else
							{	/* Ast/venv.scm 212 */
								BgL_tmpz00_2719 = ((bool_t) 0);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2719);
			}
		}
	}



/* &restore-value-types!1302 */
	obj_t BGl_z62restorezd2valuezd2typesz121302z70zzast_envz00(obj_t
		BgL_envz00_2207, obj_t BgL_valuez00_2208)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 201 */
			{

				{	/* Ast/venv.scm 201 */
					obj_t BgL_nextzd2method1301zd2_2255;

					BgL_nextzd2method1301zd2_2255 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt) BgL_valuez00_2208)),
						BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
						BGl_isfunz00zzinline_inlinez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1301zd2_2255)
						(BgL_nextzd2method1301zd2_2255,
						((obj_t) ((BgL_sfunz00_bglt) BgL_valuez00_2208)), BEOA);
				}
				{	/* Ast/venv.scm 203 */
					BgL_nodez00_bglt BgL_arg1774z00_2256;

					{
						BgL_isfunz00_bglt BgL_auxz00_2752;

						{
							obj_t BgL_auxz00_2753;

							{	/* Ast/venv.scm 203 */
								BgL_objectz00_bglt BgL_tmpz00_2754;

								BgL_tmpz00_2754 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_valuez00_2208));
								BgL_auxz00_2753 = BGL_OBJECT_WIDENING(BgL_tmpz00_2754);
							}
							BgL_auxz00_2752 = ((BgL_isfunz00_bglt) BgL_auxz00_2753);
						}
						BgL_arg1774z00_2256 =
							(((BgL_isfunz00_bglt) CREF(BgL_auxz00_2752))->
							BgL_originalzd2bodyzd2);
					}
					return BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_arg1774z00_2256);
				}
			}
		}
	}



/* &restore-value-types!1300 */
	obj_t BGl_z62restorezd2valuezd2typesz121300z70zzast_envz00(obj_t
		BgL_envz00_2209, obj_t BgL_valuez00_2210)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 167 */
			{

				{	/* Ast/venv.scm 167 */
					obj_t BgL_nextzd2method1299zd2_2259;

					BgL_nextzd2method1299zd2_2259 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt) BgL_valuez00_2210)),
						BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
						BGl_sfunz00zzast_varz00);
					PROCEDURE_ENTRY(BgL_nextzd2method1299zd2_2259)
						(BgL_nextzd2method1299zd2_2259,
						((obj_t) ((BgL_sfunz00_bglt) BgL_valuez00_2210)), BEOA);
				}
				{
					obj_t BgL_argsz00_2261;

					BgL_argsz00_2261 =
						(((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_valuez00_2210)))->BgL_argsz00);
				BgL_loopz00_2260:
					if (PAIRP(BgL_argsz00_2261))
						{	/* Ast/venv.scm 173 */
							obj_t BgL_argz00_2262;

							BgL_argz00_2262 = CAR(BgL_argsz00_2261);
							if (BGl_isazf3zf3zz__objectz00(BgL_argz00_2262,
									BGl_typez00zztype_typez00))
								{	/* Ast/venv.scm 176 */
									BgL_typez00_bglt BgL_arg1757z00_2263;

									{	/* Ast/venv.scm 176 */
										obj_t BgL_arg1759z00_2264;

										BgL_arg1759z00_2264 =
											(((BgL_typez00_bglt) CREF(
													((BgL_typez00_bglt) BgL_argz00_2262)))->BgL_idz00);
										BgL_arg1757z00_2263 =
											BGl_findzd2typezd2zztype_envz00(BgL_arg1759z00_2264);
									}
									{	/* Ast/venv.scm 176 */
										obj_t BgL_tmpz00_2778;

										BgL_tmpz00_2778 = ((obj_t) BgL_arg1757z00_2263);
										SET_CAR(BgL_argsz00_2261, BgL_tmpz00_2778);
									}
								}
							else
								{	/* Ast/venv.scm 175 */
									if (BGl_isazf3zf3zz__objectz00(BgL_argz00_2262,
											BGl_localz00zzast_varz00))
										{	/* Ast/venv.scm 178 */
											BgL_typez00_bglt BgL_newzd2typezd2_2265;

											{	/* Ast/venv.scm 178 */
												obj_t BgL_arg1761z00_2266;

												BgL_arg1761z00_2266 =
													(((BgL_typez00_bglt) CREF(
															(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_argz00_2262))))->
																BgL_typez00)))->BgL_idz00);
												BgL_newzd2typezd2_2265 =
													BGl_findzd2typezd2zztype_envz00(BgL_arg1761z00_2266);
											}
											((((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_argz00_2262))))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_newzd2typezd2_2265), BUNSPEC);
										}
									else
										{	/* Ast/venv.scm 177 */
											BGl_errorz00zz__errorz00(BGl_string1908z00zzast_envz00,
												BGl_string1909z00zzast_envz00,
												BGl_shapez00zztools_shapez00(BgL_argz00_2262));
										}
								}
							{
								obj_t BgL_argsz00_2793;

								BgL_argsz00_2793 = CDR(BgL_argsz00_2261);
								BgL_argsz00_2261 = BgL_argsz00_2793;
								goto BgL_loopz00_2260;
							}
						}
					else
						{	/* Ast/venv.scm 172 */
							if (NULLP(BgL_argsz00_2261))
								{	/* Ast/venv.scm 186 */
									obj_t BgL_bodyz00_2267;

									BgL_bodyz00_2267 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_valuez00_2210)))->BgL_bodyz00);
									if (BGl_isazf3zf3zz__objectz00(BgL_bodyz00_2267,
											BGl_nodez00zzast_nodez00))
										{	/* Ast/venv.scm 189 */
											BgL_typez00_bglt BgL_tresz00_2268;

											BgL_tresz00_2268 =
												(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_bodyz00_2267)))->
												BgL_typez00);
											BGl_hrtypezd2nodez12zc0zzast_hrtypez00(((BgL_nodez00_bglt)
													BgL_bodyz00_2267));
											{	/* Ast/venv.scm 192 */
												BgL_typez00_bglt BgL_arg1768z00_2269;

												BgL_arg1768z00_2269 =
													BGl_findzd2typezd2zztype_envz00(
													(((BgL_typez00_bglt) CREF(BgL_tresz00_2268))->
														BgL_idz00));
												return ((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																	BgL_bodyz00_2267)))->BgL_typez00) =
													((BgL_typez00_bglt) BgL_arg1768z00_2269), BUNSPEC);
											}
										}
									else
										{	/* Ast/venv.scm 188 */
											return BFALSE;
										}
								}
							else
								{	/* Ast/venv.scm 185 */
									return
										BGl_errorz00zz__errorz00(BGl_string1910z00zzast_envz00,
										BGl_string1911z00zzast_envz00,
										BGl_shapez00zztools_shapez00(BgL_argsz00_2261));
								}
						}
				}
			}
		}
	}



/* &restore-value-types!1298 */
	obj_t BGl_z62restorezd2valuezd2typesz121298z70zzast_envz00(obj_t
		BgL_envz00_2211, obj_t BgL_valuez00_2212)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 159 */
			{	/* Ast/venv.scm 161 */
				bool_t BgL_testz00_2813;

				{	/* Ast/venv.scm 161 */
					obj_t BgL_arg1752z00_2271;

					BgL_arg1752z00_2271 =
						(((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_valuez00_2212)))->BgL_predicatezd2ofzd2);
					BgL_testz00_2813 =
						BGl_isazf3zf3zz__objectz00(BgL_arg1752z00_2271,
						BGl_typez00zztype_typez00);
				}
				if (BgL_testz00_2813)
					{
						obj_t BgL_auxz00_2817;

						{	/* Ast/venv.scm 162 */
							obj_t BgL_arg1750z00_2272;

							BgL_arg1750z00_2272 =
								(((BgL_typez00_bglt) CREF(
										((BgL_typez00_bglt)
											(((BgL_funz00_bglt) CREF(
														((BgL_funz00_bglt) BgL_valuez00_2212)))->
												BgL_predicatezd2ofzd2))))->BgL_idz00);
							BgL_auxz00_2817 =
								((obj_t) BGl_findzd2typezd2zztype_envz00(BgL_arg1750z00_2272));
						}
						return
							((((BgL_funz00_bglt) CREF(
										((BgL_funz00_bglt) BgL_valuez00_2212)))->
								BgL_predicatezd2ofzd2) = ((obj_t) BgL_auxz00_2817), BUNSPEC);
					}
				else
					{	/* Ast/venv.scm 161 */
						return BFALSE;
					}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1912z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 209108747),
				BSTRING_TO_STRING(BGl_string1912z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1912z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1912z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1912z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1912z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1912z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1912z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_hrtypez00(((long) 156957722),
				BSTRING_TO_STRING(BGl_string1912z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1912z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string1912z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1912z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1912z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1912z00zzast_envz00));
			return
				BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string1912z00zzast_envz00));
		}
	}

#ifdef __cplusplus
}
#endif
