/*===========================================================================*/
/*   (Cfa/arithmetic.scm)                                                    */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/arithmetic.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;


	static obj_t
		BGl_z62cleanupzd2nodez12zd2funcal1563z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_arithmeticz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00(obj_t);
	static obj_t
		BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2select1545z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t
		BGl_z62nodezd2setupz12zd2prezd2arit1567za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2setzd2ex1551za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cleanupzd2nodez12zd2app1565z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2boxzd2se1559za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BUNSPEC;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2sequen1535z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_prezd2arithmeticzd2appz00zzcfa_info2z00;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t);
	extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00(obj_t);
	static obj_t BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00(obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2makezd2b1555za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2jumpzd2e1553za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_z62cleanupzd2nodez121531za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62cleanupzd2nodez12zd2setq1539z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_arithmeticz00();
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	static obj_t
		BGl_z62cleanupzd2nodez12zd2letzd2va1549za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2letzd2fu1547za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2appzd2ly1561za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 = BUNSPEC;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2condit1541z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
	static obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00();
	static obj_t
		BGl_z62cleanupzd2nodez12zd2boxzd2re1557za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	extern obj_t BGl_typez00zztype_typez00;
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
	static obj_t BGl_z62cleanupzd2nodez12zd2fail1543z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	static obj_t BGl_z62cleanupzd2nodez12zd2sync1537z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2arithmeticzd2app1569z70zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2093z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2122z00,
		BGl_z62cleanupzd2nodez121531za2zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2095z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2123z00,
		BGl_z62cleanupzd2nodez12zd2sequen1535z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2097z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2124z00,
		BGl_z62cleanupzd2nodez12zd2sync1537z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2098z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2125z00,
		BGl_z62cleanupzd2nodez12zd2setq1539z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2099z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2126z00,
		BGl_z62cleanupzd2nodez12zd2condit1541z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2100z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2127z00,
		BGl_z62cleanupzd2nodez12zd2fail1543z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2101z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2128z00,
		BGl_z62cleanupzd2nodez12zd2select1545z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2102z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2129z00,
		BGl_z62cleanupzd2nodez12zd2letzd2fu1547za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2103z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2130z00,
		BGl_z62cleanupzd2nodez12zd2letzd2va1549za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2104z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2131z00,
		BGl_z62cleanupzd2nodez12zd2setzd2ex1551za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2105z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2132z00,
		BGl_z62cleanupzd2nodez12zd2jumpzd2e1553za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2106z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2133z00,
		BGl_z62cleanupzd2nodez12zd2makezd2b1555za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2107z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2134z00,
		BGl_z62cleanupzd2nodez12zd2boxzd2re1557za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2108z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2135z00,
		BGl_z62cleanupzd2nodez12zd2boxzd2se1559za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2109z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2136z00,
		BGl_z62cleanupzd2nodez12zd2appzd2ly1561za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2110z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2137z00,
		BGl_z62cleanupzd2nodez12zd2funcal1563z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2111z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2138z00,
		BGl_z62cleanupzd2nodez12zd2app1565z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2112z00zzcfa_arithmeticz00,
		BgL_bgl_za762nodeza7d2setupza72139za7,
		BGl_z62nodezd2setupz12zd2prezd2arit1567za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2114z00zzcfa_arithmeticz00,
		BgL_bgl_za762cfaza712za7d2arit2140za7,
		BGl_z62cfaz12zd2arithmeticzd2app1569z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2141z00,
		BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_STRING(BGl_string2094z00zzcfa_arithmeticz00,
		BgL_bgl_string2094za700za7za7c2142za7, "cleanup-node!1531", 17);
	      DEFINE_STRING(BGl_string2096z00zzcfa_arithmeticz00,
		BgL_bgl_string2096za700za7za7c2143za7, "cleanup-node!", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cleanupzd2arithmeticzd2nodesz12zd2envzc0zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2ari2144z00,
		BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2113z00zzcfa_arithmeticz00,
		BgL_bgl_string2113za700za7za7c2145za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string2115z00zzcfa_arithmeticz00,
		BgL_bgl_string2115za700za7za7c2146za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string2116z00zzcfa_arithmeticz00,
		BgL_bgl_string2116za700za7za7c2147za7, "Illegal arithmetic node", 23);
	      DEFINE_STRING(BGl_string2117z00zzcfa_arithmeticz00,
		BgL_bgl_string2117za700za7za7c2148za7, "cfa_arithmetic", 14);
	      DEFINE_STRING(BGl_string2118z00zzcfa_arithmeticz00,
		BgL_bgl_string2118za700za7za7c2149za7, "all c-eq? arithmetic-app ", 25);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long
		BgL_checksumz00_3948, char *BgL_fromz00_3949)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_arithmeticz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_cnstzd2initzd2zzcfa_arithmeticz00();
					BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_genericzd2initzd2zzcfa_arithmeticz00();
					BGl_methodzd2initzd2zzcfa_arithmeticz00();
					return BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_arithmetic");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			{	/* Cfa/arithmetic.scm 28 */
				obj_t BgL_cportz00_3797;

				{	/* Cfa/arithmetic.scm 28 */
					obj_t BgL_startz00_3806;

					BgL_startz00_3806 = BINT(((long) 0));
					{	/* Cfa/arithmetic.scm 28 */
						obj_t BgL_endz00_3807;

						BgL_endz00_3807 =
							BINT(STRING_LENGTH(BGl_string2118z00zzcfa_arithmeticz00));
						{	/* Cfa/arithmetic.scm 28 */

							BgL_cportz00_3797 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string2118z00zzcfa_arithmeticz00, BgL_startz00_3806,
								BgL_endz00_3807);
				}}}
				{
					long BgL_iz00_3798;

					BgL_iz00_3798 = ((long) 2);
				BgL_loopz00_3799:
					if ((BgL_iz00_3798 == ((long) -1)))
						{	/* Cfa/arithmetic.scm 28 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/arithmetic.scm 28 */
							{	/* Cfa/arithmetic.scm 28 */
								obj_t BgL_arg2120z00_3801;

								{	/* Cfa/arithmetic.scm 28 */

									{	/* Cfa/arithmetic.scm 28 */
										obj_t BgL_locationz00_3803;

										BgL_locationz00_3803 = BBOOL(((bool_t) 0));
										{	/* Cfa/arithmetic.scm 28 */

											BgL_arg2120z00_3801 =
												BGl_readz00zz__readerz00(BgL_cportz00_3797,
												BgL_locationz00_3803);
										}
									}
								}
								{	/* Cfa/arithmetic.scm 28 */
									int BgL_tmpz00_3976;

									BgL_tmpz00_3976 = (int) (BgL_iz00_3798);
									CNST_TABLE_SET(BgL_tmpz00_3976, BgL_arg2120z00_3801);
							}}
							{	/* Cfa/arithmetic.scm 28 */
								int BgL_auxz00_3804;

								BgL_auxz00_3804 = (int) ((BgL_iz00_3798 - ((long) 1)));
								{
									long BgL_iz00_3981;

									BgL_iz00_3981 = (long) (BgL_auxz00_3804);
									BgL_iz00_3798 = BgL_iz00_3981;
									goto BgL_loopz00_3799;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BNIL;
			return BUNSPEC;
		}
	}



/* cleanup-arithmetic-nodes! */
	BGL_EXPORTED_DEF obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 52 */
			{
				obj_t BgL_l1495z00_2667;

				BgL_l1495z00_2667 = BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00;
			BgL_zc3anonymousza31581ze3z83_2668:
				if (PAIRP(BgL_l1495z00_2667))
					{	/* Cfa/arithmetic.scm 63 */
						{	/* Cfa/arithmetic.scm 64 */
							obj_t BgL_nodez00_2670;

							BgL_nodez00_2670 = CAR(BgL_l1495z00_2667);
							{	/* Cfa/arithmetic.scm 65 */
								BgL_variablez00_bglt BgL_fz00_2672;

								BgL_fz00_2672 =
									(((BgL_varz00_bglt) CREF(
											(((BgL_appz00_bglt) CREF(
														((BgL_appz00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_2670))))->
												BgL_funz00)))->BgL_variablez00);
								{	/* Cfa/arithmetic.scm 65 */
									BgL_valuez00_bglt BgL_valz00_2673;

									BgL_valz00_2673 =
										(((BgL_variablez00_bglt) CREF(BgL_fz00_2672))->
										BgL_valuez00);
									{	/* Cfa/arithmetic.scm 66 */

										{	/* Cfa/arithmetic.scm 68 */
											bool_t BgL_testz00_3992;

											{	/* Cfa/arithmetic.scm 68 */
												BgL_typez00_bglt BgL_arg1586z00_2676;

												BgL_arg1586z00_2676 =
													(((BgL_variablez00_bglt) CREF(BgL_fz00_2672))->
													BgL_typez00);
												BgL_testz00_3992 =
													(((obj_t) BgL_arg1586z00_2676) ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_testz00_3992)
												{	/* Cfa/arithmetic.scm 69 */
													BgL_typez00_bglt BgL_vz00_3552;

													BgL_vz00_3552 =
														((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00);
													((((BgL_variablez00_bglt) CREF(BgL_fz00_2672))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_3552), BUNSPEC);
												}
											else
												{	/* Cfa/arithmetic.scm 68 */
													BFALSE;
												}
										}
										{	/* Cfa/arithmetic.scm 70 */
											bool_t BgL_testz00_3998;

											{	/* Cfa/arithmetic.scm 70 */
												BgL_typez00_bglt BgL_arg1595z00_2679;

												BgL_arg1595z00_2679 =
													(((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_nodez00_2670)))->
													BgL_typez00);
												BgL_testz00_3998 =
													(((obj_t) BgL_arg1595z00_2679) ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_testz00_3998)
												{	/* Cfa/arithmetic.scm 71 */
													BgL_typez00_bglt BgL_vz00_3555;

													BgL_vz00_3555 =
														((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00);
													((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																		BgL_nodez00_2670)))->BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_3555), BUNSPEC);
												}
											else
												{	/* Cfa/arithmetic.scm 70 */
													BFALSE;
												}
										}
										{	/* Cfa/arithmetic.scm 73 */
											bool_t BgL_testz00_4006;

											{	/* Cfa/arithmetic.scm 73 */
												bool_t BgL_res2048z00_3556;

												BgL_res2048z00_3556 =
													BGl_isazf3zf3zz__objectz00(
													((obj_t) BgL_valz00_2673), BGl_sfunz00zzast_varz00);
												BgL_testz00_4006 = BgL_res2048z00_3556;
											}
											if (BgL_testz00_4006)
												{	/* Cfa/arithmetic.scm 74 */
													obj_t BgL_arg1598z00_2681;

													{	/* Cfa/arithmetic.scm 74 */
														obj_t BgL_l1489z00_2682;

														BgL_l1489z00_2682 =
															(((BgL_sfunz00_bglt) CREF(
																	((BgL_sfunz00_bglt) BgL_valz00_2673)))->
															BgL_argsz00);
														if (NULLP(BgL_l1489z00_2682))
															{	/* Cfa/arithmetic.scm 74 */
																BgL_arg1598z00_2681 = BNIL;
															}
														else
															{	/* Cfa/arithmetic.scm 74 */
																obj_t BgL_head1491z00_2684;

																{	/* Cfa/arithmetic.scm 74 */
																	obj_t BgL_arg1610z00_2696;

																	BgL_arg1610z00_2696 =
																		BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00
																		(CAR(BgL_l1489z00_2682));
																	{	/* Cfa/arithmetic.scm 74 */
																		obj_t BgL_res2050z00_3560;

																		BgL_res2050z00_3560 =
																			MAKE_YOUNG_PAIR(BgL_arg1610z00_2696,
																			BNIL);
																		BgL_head1491z00_2684 = BgL_res2050z00_3560;
																	}
																}
																{	/* Cfa/arithmetic.scm 74 */
																	obj_t BgL_g1494z00_2685;

																	BgL_g1494z00_2685 = CDR(BgL_l1489z00_2682);
																	{
																		obj_t BgL_l1489z00_2687;
																		obj_t BgL_tail1492z00_2688;

																		BgL_l1489z00_2687 = BgL_g1494z00_2685;
																		BgL_tail1492z00_2688 = BgL_head1491z00_2684;
																	BgL_zc3anonymousza31600ze3z83_2689:
																		if (NULLP(BgL_l1489z00_2687))
																			{	/* Cfa/arithmetic.scm 74 */
																				BgL_arg1598z00_2681 =
																					BgL_head1491z00_2684;
																			}
																		else
																			{	/* Cfa/arithmetic.scm 74 */
																				obj_t BgL_newtail1493z00_2691;

																				{	/* Cfa/arithmetic.scm 74 */
																					obj_t BgL_arg1606z00_2693;

																					BgL_arg1606z00_2693 =
																						BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00
																						(CAR(BgL_l1489z00_2687));
																					{	/* Cfa/arithmetic.scm 74 */
																						obj_t BgL_res2052z00_3564;

																						BgL_res2052z00_3564 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1606z00_2693, BNIL);
																						BgL_newtail1493z00_2691 =
																							BgL_res2052z00_3564;
																					}
																				}
																				SET_CDR(BgL_tail1492z00_2688,
																					BgL_newtail1493z00_2691);
																				{
																					obj_t BgL_tail1492z00_4025;
																					obj_t BgL_l1489z00_4023;

																					BgL_l1489z00_4023 =
																						CDR(BgL_l1489z00_2687);
																					BgL_tail1492z00_4025 =
																						BgL_newtail1493z00_2691;
																					BgL_tail1492z00_2688 =
																						BgL_tail1492z00_4025;
																					BgL_l1489z00_2687 = BgL_l1489z00_4023;
																					goto
																						BgL_zc3anonymousza31600ze3z83_2689;
																				}
																			}
																	}
																}
															}
													}
													((((BgL_sfunz00_bglt) CREF(
																	((BgL_sfunz00_bglt) BgL_valz00_2673)))->
															BgL_argsz00) =
														((obj_t) BgL_arg1598z00_2681), BUNSPEC);
												}
											else
												{	/* Cfa/arithmetic.scm 75 */
													bool_t BgL_testz00_4028;

													{	/* Cfa/arithmetic.scm 75 */
														bool_t BgL_res2053z00_3568;

														BgL_res2053z00_3568 =
															BGl_isazf3zf3zz__objectz00(
															((obj_t) BgL_valz00_2673),
															BGl_cfunz00zzast_varz00);
														BgL_testz00_4028 = BgL_res2053z00_3568;
													}
													if (BgL_testz00_4028)
														{	/* Cfa/arithmetic.scm 76 */
															obj_t BgL_g1154z00_2699;

															BgL_g1154z00_2699 =
																(((BgL_cfunz00_bglt) CREF(
																		((BgL_cfunz00_bglt) BgL_valz00_2673)))->
																BgL_argszd2typezd2);
															{
																obj_t BgL_lz00_2701;

																{	/* Cfa/arithmetic.scm 76 */
																	bool_t BgL_tmpz00_4033;

																	BgL_lz00_2701 = BgL_g1154z00_2699;
																BgL_zc3anonymousza31613ze3z83_2702:
																	if (PAIRP(BgL_lz00_2701))
																		{	/* Cfa/arithmetic.scm 77 */
																			{	/* Cfa/arithmetic.scm 79 */
																				obj_t BgL_tmpz00_4036;

																				BgL_tmpz00_4036 =
																					BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00
																					(CAR(BgL_lz00_2701));
																				SET_CAR(BgL_lz00_2701, BgL_tmpz00_4036);
																			}
																			{
																				obj_t BgL_lz00_4040;

																				BgL_lz00_4040 = CDR(BgL_lz00_2701);
																				BgL_lz00_2701 = BgL_lz00_4040;
																				goto BgL_zc3anonymousza31613ze3z83_2702;
																			}
																		}
																	else
																		{	/* Cfa/arithmetic.scm 77 */
																			BgL_tmpz00_4033 = ((bool_t) 0);
																		}
																	BBOOL(BgL_tmpz00_4033);
																}
															}
														}
													else
														{	/* Cfa/arithmetic.scm 75 */
															BFALSE;
														}
												}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l1495z00_4043;

							BgL_l1495z00_4043 = CDR(BgL_l1495z00_2667);
							BgL_l1495z00_2667 = BgL_l1495z00_4043;
							goto BgL_zc3anonymousza31581ze3z83_2668;
						}
					}
				else
					{	/* Cfa/arithmetic.scm 63 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1497z00_2712;

				BgL_l1497z00_2712 = BgL_globalsz00_3;
			BgL_zc3anonymousza31636ze3z83_2713:
				if (PAIRP(BgL_l1497z00_2712))
					{	/* Cfa/arithmetic.scm 83 */
						{	/* Cfa/arithmetic.scm 83 */
							obj_t BgL_arg1638z00_2715;

							BgL_arg1638z00_2715 = CAR(BgL_l1497z00_2712);
							{	/* Cfa/arithmetic.scm 90 */
								BgL_valuez00_bglt BgL_funz00_3577;

								BgL_funz00_3577 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_arg1638z00_2715)))->
									BgL_valuez00);
								{	/* Cfa/arithmetic.scm 90 */
									obj_t BgL_bodyz00_3578;

									BgL_bodyz00_3578 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_funz00_3577)))->BgL_bodyz00);
									{	/* Cfa/arithmetic.scm 91 */

										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_bodyz00_3578));
									}
								}
							}
						}
						{
							obj_t BgL_l1497z00_4054;

							BgL_l1497z00_4054 = CDR(BgL_l1497z00_2712);
							BgL_l1497z00_2712 = BgL_l1497z00_4054;
							goto BgL_zc3anonymousza31636ze3z83_2713;
						}
					}
				else
					{	/* Cfa/arithmetic.scm 83 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}
	}



/* cleanup-type~0 */
	obj_t BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00(obj_t BgL_tz00_2718)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 62 */
			if (BGl_isazf3zf3zz__objectz00(BgL_tz00_2718, BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 55 */
					if ((BgL_tz00_2718 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/arithmetic.scm 56 */
							return BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Cfa/arithmetic.scm 56 */
							return BgL_tz00_2718;
						}
				}
			else
				{	/* Cfa/arithmetic.scm 55 */
					if (BGl_isazf3zf3zz__objectz00(BgL_tz00_2718,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 57 */
							{	/* Cfa/arithmetic.scm 58 */
								bool_t BgL_testz00_4062;

								{	/* Cfa/arithmetic.scm 58 */
									BgL_typez00_bglt BgL_arg1646z00_2725;

									BgL_arg1646z00_2725 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_tz00_2718))))->BgL_typez00);
									BgL_testz00_4062 =
										(
										((obj_t) BgL_arg1646z00_2725) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_4062)
									{	/* Cfa/arithmetic.scm 59 */
										BgL_typez00_bglt BgL_vz00_3545;

										BgL_vz00_3545 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_tz00_2718))))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_3545), BUNSPEC);
									}
								else
									{	/* Cfa/arithmetic.scm 58 */
										BFALSE;
									}
							}
							return BgL_tz00_2718;
						}
					else
						{	/* Cfa/arithmetic.scm 57 */
							return BgL_tz00_2718;
						}
				}
		}
	}



/* &cleanup-arithmetic-nodes! */
	obj_t BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3731, obj_t BgL_globalsz00_3732)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 52 */
			return
				BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00
				(BgL_globalsz00_3732);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_proc2093z00zzcfa_arithmeticz00, BGl_nodez00zzast_nodez00,
				BGl_string2094z00zzcfa_arithmeticz00);
		}
	}



/* &cleanup-node!1531 */
	obj_t BGl_z62cleanupzd2nodez121531za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3734, obj_t BgL_nodez00_3735)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 97 */
			return BUNSPEC;
		}
	}



/* cleanup-node! */
	obj_t BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 97 */
			{	/* Cfa/arithmetic.scm 97 */
				obj_t BgL_method1533z00_2733;

				{	/* Cfa/arithmetic.scm 97 */
					obj_t BgL_res2062z00_3614;

					{	/* Cfa/arithmetic.scm 97 */
						long BgL_objzd2classzd2numz00_3587;

						{	/* Cfa/arithmetic.scm 97 */
							long BgL_res2056z00_3590;

							BgL_res2056z00_3590 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
							BgL_objzd2classzd2numz00_3587 = BgL_res2056z00_3590;
						}
						{	/* Cfa/arithmetic.scm 97 */
							obj_t BgL_arg1718z00_3588;

							BgL_arg1718z00_3588 =
								PROCEDURE_REF(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
								(int) (((long) 1)));
							{	/* Cfa/arithmetic.scm 97 */
								int BgL_offsetz00_3592;

								BgL_offsetz00_3592 = (int) (BgL_objzd2classzd2numz00_3587);
								{	/* Cfa/arithmetic.scm 97 */
									long BgL_offsetz00_3593;

									BgL_offsetz00_3593 =
										((long) (BgL_offsetz00_3592) - OBJECT_TYPE);
									{	/* Cfa/arithmetic.scm 97 */
										long BgL_modz00_3594;

										{	/* Cfa/arithmetic.scm 97 */
											int BgL_arg1721z00_3595;

											BgL_arg1721z00_3595 = (int) (((long) 16));
											{	/* Cfa/arithmetic.scm 97 */
												long BgL_res2059z00_3605;

												{	/* Cfa/arithmetic.scm 97 */
													long BgL_tmpz00_4082;

													BgL_tmpz00_4082 = (long) (BgL_arg1721z00_3595);
													BgL_res2059z00_3605 =
														(BgL_offsetz00_3593 / BgL_tmpz00_4082);
												}
												BgL_modz00_3594 = BgL_res2059z00_3605;
										}}
										{	/* Cfa/arithmetic.scm 97 */
											long BgL_restz00_3596;

											{	/* Cfa/arithmetic.scm 97 */
												int BgL_arg1719z00_3597;

												BgL_arg1719z00_3597 = (int) (((long) 16));
												{	/* Cfa/arithmetic.scm 97 */
													long BgL_res2061z00_3609;

													{	/* Cfa/arithmetic.scm 97 */
														long BgL_tmpz00_4086;

														BgL_tmpz00_4086 = (long) (BgL_arg1719z00_3597);
														BgL_res2061z00_3609 =
															(BgL_offsetz00_3593 % BgL_tmpz00_4086);
													}
													BgL_restz00_3596 = BgL_res2061z00_3609;
											}}
											{	/* Cfa/arithmetic.scm 97 */

												BgL_res2062z00_3614 =
													VECTOR_REF(VECTOR_REF(BgL_arg1718z00_3588,
														(int) (BgL_modz00_3594)), (int) (BgL_restz00_3596));
					}}}}}}}
					BgL_method1533z00_2733 = BgL_res2062z00_3614;
				}
				return
					PROCEDURE_ENTRY(BgL_method1533z00_2733) (BgL_method1533z00_2733,
					((obj_t) BgL_nodez00_5), BEOA);
			}
		}
	}



/* &cleanup-node! */
	obj_t BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00(obj_t BgL_envz00_3736,
		obj_t BgL_nodez00_3737)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 97 */
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				((BgL_nodez00_bglt) BgL_nodez00_3737));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2095z00zzcfa_arithmeticz00,
				BGl_string2096z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_syncz00zzast_nodez00, BGl_proc2097z00zzcfa_arithmeticz00,
				BGl_string2096z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_setqz00zzast_nodez00, BGl_proc2098z00zzcfa_arithmeticz00,
				BGl_string2096z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2099z00zzcfa_arithmeticz00,
				BGl_string2096z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_failz00zzast_nodez00, BGl_proc2100z00zzcfa_arithmeticz00,
				BGl_string2096z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_selectz00zzast_nodez00, BGl_proc2101z00zzcfa_arithmeticz00,
				BGl_string2096z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2102z00zzcfa_arithmeticz00,
				BGl_string2096z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2103z00zzcfa_arithmeticz00,
				BGl_string2096z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2104z00zzcfa_arithmeticz00,
				BGl_string2096z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2105z00zzcfa_arithmeticz00,
				BGl_string2096z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2106z00zzcfa_arithmeticz00,
				BGl_string2096z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2107z00zzcfa_arithmeticz00,
				BGl_string2096z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2108z00zzcfa_arithmeticz00,
				BGl_string2096z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2109z00zzcfa_arithmeticz00,
				BGl_string2096z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2110z00zzcfa_arithmeticz00,
				BGl_string2096z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_appz00zzast_nodez00, BGl_proc2111z00zzcfa_arithmeticz00,
				BGl_string2096z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2arithmeticzd2appz00zzcfa_info2z00,
				BGl_proc2112z00zzcfa_arithmeticz00,
				BGl_string2113z00zzcfa_arithmeticz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_arithmeticzd2appzd2zzcfa_info2z00,
				BGl_proc2114z00zzcfa_arithmeticz00,
				BGl_string2115z00zzcfa_arithmeticz00);
		}
	}



/* &cfa!-arithmetic-app1569 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2arithmeticzd2app1569z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3756, obj_t BgL_nodez00_3757)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 287 */
			{
				obj_t BgL_argszd2approxzd2_3830;
				obj_t BgL_argszd2approxzd2_3821;
				obj_t BgL_typez00_3822;
				obj_t BgL_speczd2typeszd2_3823;
				obj_t BgL_argszd2approxzd2_3815;
				obj_t BgL_speczd2typeszd2_3816;

				{	/* Cfa/arithmetic.scm 328 */
					obj_t BgL_argszd2approxzd2_3835;

					{	/* Cfa/arithmetic.scm 328 */
						obj_t BgL_l1523z00_3836;

						BgL_l1523z00_3836 =
							(((BgL_appz00_bglt) CREF(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_3757))))->BgL_argsz00);
						if (NULLP(BgL_l1523z00_3836))
							{	/* Cfa/arithmetic.scm 328 */
								BgL_argszd2approxzd2_3835 = BNIL;
							}
						else
							{	/* Cfa/arithmetic.scm 328 */
								obj_t BgL_head1525z00_3837;

								{	/* Cfa/arithmetic.scm 328 */
									BgL_approxz00_bglt BgL_arg1843z00_3838;

									{	/* Cfa/arithmetic.scm 328 */
										obj_t BgL_arg1844z00_3839;

										BgL_arg1844z00_3839 = CAR(BgL_l1523z00_3836);
										BgL_arg1843z00_3838 =
											BGl_cfaz12z12zzcfa_cfaz00(
											((BgL_nodez00_bglt) BgL_arg1844z00_3839));
									}
									{	/* Cfa/arithmetic.scm 328 */
										obj_t BgL_res2087z00_3840;

										BgL_res2087z00_3840 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg1843z00_3838), BNIL);
										BgL_head1525z00_3837 = BgL_res2087z00_3840;
									}
								}
								{	/* Cfa/arithmetic.scm 328 */
									obj_t BgL_g1528z00_3841;

									BgL_g1528z00_3841 = CDR(BgL_l1523z00_3836);
									{
										obj_t BgL_l1523z00_3843;
										obj_t BgL_tail1526z00_3844;

										BgL_l1523z00_3843 = BgL_g1528z00_3841;
										BgL_tail1526z00_3844 = BgL_head1525z00_3837;
									BgL_zc3anonymousza31838ze3z83_3842:
										if (NULLP(BgL_l1523z00_3843))
											{	/* Cfa/arithmetic.scm 328 */
												BgL_argszd2approxzd2_3835 = BgL_head1525z00_3837;
											}
										else
											{	/* Cfa/arithmetic.scm 328 */
												obj_t BgL_newtail1527z00_3845;

												{	/* Cfa/arithmetic.scm 328 */
													BgL_approxz00_bglt BgL_arg1841z00_3846;

													{	/* Cfa/arithmetic.scm 328 */
														obj_t BgL_arg1842z00_3847;

														BgL_arg1842z00_3847 = CAR(BgL_l1523z00_3843);
														BgL_arg1841z00_3846 =
															BGl_cfaz12z12zzcfa_cfaz00(
															((BgL_nodez00_bglt) BgL_arg1842z00_3847));
													}
													{	/* Cfa/arithmetic.scm 328 */
														obj_t BgL_res2089z00_3848;

														BgL_res2089z00_3848 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1841z00_3846), BNIL);
														BgL_newtail1527z00_3845 = BgL_res2089z00_3848;
													}
												}
												SET_CDR(BgL_tail1526z00_3844, BgL_newtail1527z00_3845);
												{
													obj_t BgL_tail1526z00_4139;
													obj_t BgL_l1523z00_4137;

													BgL_l1523z00_4137 = CDR(BgL_l1523z00_3843);
													BgL_tail1526z00_4139 = BgL_newtail1527z00_3845;
													BgL_tail1526z00_3844 = BgL_tail1526z00_4139;
													BgL_l1523z00_3843 = BgL_l1523z00_4137;
													goto BgL_zc3anonymousza31838ze3z83_3842;
												}
											}
									}
								}
							}
					}
					{	/* Cfa/arithmetic.scm 330 */
						obj_t BgL_tyz00_3849;

						BgL_argszd2approxzd2_3830 = BgL_argszd2approxzd2_3835;
						{
							obj_t BgL_argsz00_3832;

							BgL_argsz00_3832 = BgL_argszd2approxzd2_3830;
						BgL_loopz00_3831:
							if (NULLP(BgL_argsz00_3832))
								{	/* Cfa/arithmetic.scm 296 */
									BgL_tyz00_3849 = BFALSE;
								}
							else
								{	/* Cfa/arithmetic.scm 298 */
									obj_t BgL_tz00_3833;

									{	/* Cfa/arithmetic.scm 298 */
										BgL_typez00_bglt BgL_arg1852z00_3834;

										BgL_arg1852z00_3834 =
											(((BgL_approxz00_bglt) CREF(
													((BgL_approxz00_bglt)
														CAR(BgL_argsz00_3832))))->BgL_typez00);
										if (
											(((obj_t) BgL_arg1852z00_3834) ==
												BGl_za2intza2z00zztype_cachez00))
											{	/* Cfa/arithmetic.scm 290 */
												BgL_tz00_3833 = BGl_za2longza2z00zztype_cachez00;
											}
										else
											{	/* Cfa/arithmetic.scm 290 */
												BgL_tz00_3833 = ((obj_t) BgL_arg1852z00_3834);
											}
									}
									if ((BgL_tz00_3833 == BGl_za2_za2z00zztype_cachez00))
										{
											obj_t BgL_argsz00_4151;

											BgL_argsz00_4151 = CDR(BgL_argsz00_3832);
											BgL_argsz00_3832 = BgL_argsz00_4151;
											goto BgL_loopz00_3831;
										}
									else
										{	/* Cfa/arithmetic.scm 299 */
											BgL_tyz00_3849 = BgL_tz00_3833;
										}
								}
						}
						{	/* Cfa/arithmetic.scm 336 */
							bool_t BgL_testz00_4153;

							{	/* Cfa/arithmetic.scm 336 */
								obj_t BgL_arg1836z00_3850;

								{
									BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4154;

									{
										obj_t BgL_auxz00_4155;

										{	/* Cfa/arithmetic.scm 336 */
											BgL_objectz00_bglt BgL_tmpz00_4156;

											BgL_tmpz00_4156 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_3757));
											BgL_auxz00_4155 = BGL_OBJECT_WIDENING(BgL_tmpz00_4156);
										}
										BgL_auxz00_4154 =
											((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4155);
									}
									BgL_arg1836z00_3850 =
										(((BgL_arithmeticzd2appzd2_bglt) CREF(BgL_auxz00_4154))->
										BgL_speczd2typeszd2);
								}
								BgL_argszd2approxzd2_3821 = BgL_argszd2approxzd2_3835;
								BgL_typez00_3822 = BgL_tyz00_3849;
								BgL_speczd2typeszd2_3823 = BgL_arg1836z00_3850;
								{	/* Cfa/arithmetic.scm 305 */
									bool_t BgL__ortest_1179z00_3824;

									if (CBOOL(BgL_typez00_3822))
										{	/* Cfa/arithmetic.scm 305 */
											BgL__ortest_1179z00_3824 = ((bool_t) 0);
										}
									else
										{	/* Cfa/arithmetic.scm 305 */
											BgL__ortest_1179z00_3824 = ((bool_t) 1);
										}
									if (BgL__ortest_1179z00_3824)
										{	/* Cfa/arithmetic.scm 305 */
											BgL_testz00_4153 = BgL__ortest_1179z00_3824;
										}
									else
										{	/* Cfa/arithmetic.scm 306 */
											obj_t BgL__andtest_1180z00_3825;

											BgL__andtest_1180z00_3825 =
												BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(BgL_typez00_3822, BgL_speczd2typeszd2_3823);
											if (CBOOL(BgL__andtest_1180z00_3825))
												{
													obj_t BgL_argsz00_3827;

													BgL_argsz00_3827 = BgL_argszd2approxzd2_3821;
												BgL_loopz00_3826:
													if (NULLP(BgL_argsz00_3827))
														{	/* Cfa/arithmetic.scm 308 */
															BgL_testz00_4153 = ((bool_t) 1);
														}
													else
														{	/* Cfa/arithmetic.scm 310 */
															obj_t BgL_tz00_3828;

															{	/* Cfa/arithmetic.scm 310 */
																BgL_typez00_bglt BgL_arg1860z00_3829;

																BgL_arg1860z00_3829 =
																	(((BgL_approxz00_bglt) CREF(
																			((BgL_approxz00_bglt)
																				CAR(BgL_argsz00_3827))))->BgL_typez00);
																if (
																	(((obj_t) BgL_arg1860z00_3829) ==
																		BGl_za2intza2z00zztype_cachez00))
																	{	/* Cfa/arithmetic.scm 290 */
																		BgL_tz00_3828 =
																			BGl_za2longza2z00zztype_cachez00;
																	}
																else
																	{	/* Cfa/arithmetic.scm 290 */
																		BgL_tz00_3828 =
																			((obj_t) BgL_arg1860z00_3829);
																	}
															}
															{	/* Cfa/arithmetic.scm 311 */
																bool_t BgL_testz00_4177;

																if ((BgL_tz00_3828 == BgL_typez00_3822))
																	{	/* Cfa/arithmetic.scm 311 */
																		BgL_testz00_4177 = ((bool_t) 1);
																	}
																else
																	{	/* Cfa/arithmetic.scm 311 */
																		BgL_testz00_4177 =
																			(BgL_tz00_3828 ==
																			BGl_za2_za2z00zztype_cachez00);
																	}
																if (BgL_testz00_4177)
																	{
																		obj_t BgL_argsz00_4181;

																		BgL_argsz00_4181 = CDR(BgL_argsz00_3827);
																		BgL_argsz00_3827 = BgL_argsz00_4181;
																		goto BgL_loopz00_3826;
																	}
																else
																	{	/* Cfa/arithmetic.scm 311 */
																		BgL_testz00_4153 = ((bool_t) 0);
																	}
															}
														}
												}
											else
												{	/* Cfa/arithmetic.scm 306 */
													BgL_testz00_4153 = ((bool_t) 0);
												}
										}
								}
							}
							if (BgL_testz00_4153)
								{	/* Cfa/arithmetic.scm 336 */
									{	/* Cfa/arithmetic.scm 339 */
										bool_t BgL_testz00_4183;

										{	/* Cfa/arithmetic.scm 339 */
											bool_t BgL_testz00_4184;

											{	/* Cfa/arithmetic.scm 339 */
												obj_t BgL_arg1817z00_3851;

												{
													BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4185;

													{
														obj_t BgL_auxz00_4186;

														{	/* Cfa/arithmetic.scm 339 */
															BgL_objectz00_bglt BgL_tmpz00_4187;

															BgL_tmpz00_4187 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_3757));
															BgL_auxz00_4186 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_4187);
														}
														BgL_auxz00_4185 =
															((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4186);
													}
													BgL_arg1817z00_3851 =
														(((BgL_arithmeticzd2appzd2_bglt)
															CREF(BgL_auxz00_4185))->BgL_speczd2typeszd2);
												}
												BgL_argszd2approxzd2_3815 = BgL_argszd2approxzd2_3835;
												BgL_speczd2typeszd2_3816 = BgL_arg1817z00_3851;
												{
													obj_t BgL_argsz00_3818;

													BgL_argsz00_3818 = BgL_argszd2approxzd2_3815;
												BgL_loopz00_3817:
													if (NULLP(BgL_argsz00_3818))
														{	/* Cfa/arithmetic.scm 318 */
															BgL_testz00_4184 = ((bool_t) 1);
														}
													else
														{	/* Cfa/arithmetic.scm 320 */
															bool_t BgL_testz00_4195;

															{	/* Cfa/arithmetic.scm 320 */
																obj_t BgL_arg1870z00_3819;

																{	/* Cfa/arithmetic.scm 320 */
																	BgL_typez00_bglt BgL_arg1871z00_3820;

																	BgL_arg1871z00_3820 =
																		(((BgL_approxz00_bglt) CREF(
																				((BgL_approxz00_bglt)
																					CAR(BgL_argsz00_3818))))->
																		BgL_typez00);
																	if ((((obj_t) BgL_arg1871z00_3820) ==
																			BGl_za2intza2z00zztype_cachez00))
																		{	/* Cfa/arithmetic.scm 290 */
																			BgL_arg1870z00_3819 =
																				BGl_za2longza2z00zztype_cachez00;
																		}
																	else
																		{	/* Cfa/arithmetic.scm 290 */
																			BgL_arg1870z00_3819 =
																				((obj_t) BgL_arg1871z00_3820);
																		}
																}
																BgL_testz00_4195 =
																	CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg1870z00_3819,
																		BgL_speczd2typeszd2_3816));
															}
															if (BgL_testz00_4195)
																{
																	obj_t BgL_argsz00_4205;

																	BgL_argsz00_4205 = CDR(BgL_argsz00_3818);
																	BgL_argsz00_3818 = BgL_argsz00_4205;
																	goto BgL_loopz00_3817;
																}
															else
																{	/* Cfa/arithmetic.scm 320 */
																	BgL_testz00_4184 = ((bool_t) 0);
																}
														}
												}
											}
											if (BgL_testz00_4184)
												{	/* Cfa/arithmetic.scm 340 */
													BgL_typez00_bglt BgL_arg1814z00_3852;

													{
														BgL_approxz00_bglt BgL_auxz00_4207;

														{
															BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4208;

															{
																obj_t BgL_auxz00_4209;

																{	/* Cfa/arithmetic.scm 340 */
																	BgL_objectz00_bglt BgL_tmpz00_4210;

																	BgL_tmpz00_4210 =
																		((BgL_objectz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_3757));
																	BgL_auxz00_4209 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_4210);
																}
																BgL_auxz00_4208 =
																	((BgL_arithmeticzd2appzd2_bglt)
																	BgL_auxz00_4209);
															}
															BgL_auxz00_4207 =
																(((BgL_arithmeticzd2appzd2_bglt)
																	CREF(BgL_auxz00_4208))->BgL_approxz00);
														}
														BgL_arg1814z00_3852 =
															(((BgL_approxz00_bglt) CREF(BgL_auxz00_4207))->
															BgL_typez00);
													}
													BgL_testz00_4183 =
														(
														((obj_t) BgL_arg1814z00_3852) ==
														BGl_za2_za2z00zztype_cachez00);
												}
											else
												{	/* Cfa/arithmetic.scm 339 */
													BgL_testz00_4183 = ((bool_t) 0);
												}
										}
										if (BgL_testz00_4183)
											{	/* Cfa/arithmetic.scm 339 */
												{	/* Cfa/arithmetic.scm 343 */
													BgL_approxz00_bglt BgL_arg1813z00_3853;

													{
														BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4219;

														{
															obj_t BgL_auxz00_4220;

															{	/* Cfa/arithmetic.scm 343 */
																BgL_objectz00_bglt BgL_tmpz00_4221;

																BgL_tmpz00_4221 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_3757));
																BgL_auxz00_4220 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4221);
															}
															BgL_auxz00_4219 =
																((BgL_arithmeticzd2appzd2_bglt)
																BgL_auxz00_4220);
														}
														BgL_arg1813z00_3853 =
															(((BgL_arithmeticzd2appzd2_bglt)
																CREF(BgL_auxz00_4219))->BgL_approxz00);
													}
													BGl_approxzd2setzd2typez12z12zzcfa_approxz00
														(BgL_arg1813z00_3853,
														((BgL_typez00_bglt) BgL_tyz00_3849));
												}
												BGl_continuezd2cfaz12zc0zzcfa_iteratez00(CNST_TABLE_REF(
														((long) 0)));
											}
										else
											{	/* Cfa/arithmetic.scm 339 */
												BFALSE;
											}
									}
								}
							else
								{	/* Cfa/arithmetic.scm 345 */
									bool_t BgL_testz00_4231;

									if (
										((((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt)
																(((BgL_varz00_bglt) CREF(
																			(((BgL_appz00_bglt) CREF(
																						((BgL_appz00_bglt)
																							((BgL_appz00_bglt)
																								BgL_nodez00_3757))))->
																				BgL_funz00)))->BgL_variablez00)))))->
												BgL_idz00) == CNST_TABLE_REF(((long) 1))))
										{	/* Cfa/arithmetic.scm 345 */
											BgL_testz00_4231 = ((bool_t) 0);
										}
									else
										{	/* Cfa/arithmetic.scm 345 */
											BgL_testz00_4231 = ((bool_t) 1);
										}
									if (BgL_testz00_4231)
										{	/* Cfa/arithmetic.scm 345 */
											{
												obj_t BgL_l1529z00_3855;

												BgL_l1529z00_3855 = BgL_argszd2approxzd2_3835;
											BgL_zc3anonymousza31829ze3z83_3854:
												if (PAIRP(BgL_l1529z00_3855))
													{	/* Cfa/arithmetic.scm 346 */
														{	/* Cfa/arithmetic.scm 346 */
															obj_t BgL_az00_3856;

															BgL_az00_3856 = CAR(BgL_l1529z00_3855);
															BGl_loosez12z12zzcfa_loosez00(
																((BgL_approxz00_bglt) BgL_az00_3856),
																CNST_TABLE_REF(((long) 2)));
														}
														{
															obj_t BgL_l1529z00_4248;

															BgL_l1529z00_4248 = CDR(BgL_l1529z00_3855);
															BgL_l1529z00_3855 = BgL_l1529z00_4248;
															goto BgL_zc3anonymousza31829ze3z83_3854;
														}
													}
												else
													{	/* Cfa/arithmetic.scm 346 */
														((bool_t) 1);
													}
											}
											{	/* Cfa/arithmetic.scm 347 */
												BgL_approxz00_bglt BgL_arg1832z00_3857;

												{
													BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4250;

													{
														obj_t BgL_auxz00_4251;

														{	/* Cfa/arithmetic.scm 347 */
															BgL_objectz00_bglt BgL_tmpz00_4252;

															BgL_tmpz00_4252 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_3757));
															BgL_auxz00_4251 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_4252);
														}
														BgL_auxz00_4250 =
															((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4251);
													}
													BgL_arg1832z00_3857 =
														(((BgL_arithmeticzd2appzd2_bglt)
															CREF(BgL_auxz00_4250))->BgL_approxz00);
												}
												BGl_approxzd2setzd2typez12z12zzcfa_approxz00
													(BgL_arg1832z00_3857,
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
											}
										}
									else
										{	/* Cfa/arithmetic.scm 345 */
											BFALSE;
										}
								}
						}
					}
				}
				{
					BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4260;

					{
						obj_t BgL_auxz00_4261;

						{	/* Cfa/arithmetic.scm 350 */
							BgL_objectz00_bglt BgL_tmpz00_4262;

							BgL_tmpz00_4262 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3757));
							BgL_auxz00_4261 = BGL_OBJECT_WIDENING(BgL_tmpz00_4262);
						}
						BgL_auxz00_4260 = ((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4261);
					}
					return
						(((BgL_arithmeticzd2appzd2_bglt) CREF(BgL_auxz00_4260))->
						BgL_approxz00);
				}
			}
		}
	}



/* &node-setup!-pre-arit1567 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2arit1567za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3758, obj_t BgL_nodez00_3759)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 244 */
			{	/* Cfa/arithmetic.scm 255 */
				BgL_variablez00_bglt BgL_fz00_3859;

				BgL_fz00_3859 =
					(((BgL_varz00_bglt) CREF(
							(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_3759))))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Cfa/arithmetic.scm 255 */
					BgL_valuez00_bglt BgL_valz00_3860;

					BgL_valz00_3860 =
						(((BgL_variablez00_bglt) CREF(BgL_fz00_3859))->BgL_valuez00);
					{	/* Cfa/arithmetic.scm 256 */

						{	/* Cfa/arithmetic.scm 258 */
							bool_t BgL_testz00_4273;

							{	/* Cfa/arithmetic.scm 258 */
								BgL_typez00_bglt BgL_arg1768z00_3861;

								BgL_arg1768z00_3861 =
									(((BgL_variablez00_bglt) CREF(BgL_fz00_3859))->BgL_typez00);
								BgL_testz00_4273 =
									(
									((obj_t) BgL_arg1768z00_3861) ==
									BGl_za2objza2z00zztype_cachez00);
							}
							if (BgL_testz00_4273)
								{	/* Cfa/arithmetic.scm 258 */
									{	/* Cfa/arithmetic.scm 261 */
										BgL_typez00_bglt BgL_vz00_3862;

										BgL_vz00_3862 =
											((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
										((((BgL_variablez00_bglt) CREF(BgL_fz00_3859))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_3862), BUNSPEC);
									}
									{	/* Cfa/arithmetic.scm 262 */
										BgL_typez00_bglt BgL_vz00_3863;

										BgL_vz00_3863 =
											((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
										((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_3759))))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_3863), BUNSPEC);
									}
								}
							else
								{	/* Cfa/arithmetic.scm 258 */
									BFALSE;
								}
						}
						{	/* Cfa/arithmetic.scm 264 */
							bool_t BgL_testz00_4283;

							{	/* Cfa/arithmetic.scm 264 */
								bool_t BgL_res2072z00_3864;

								BgL_res2072z00_3864 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_valz00_3860), BGl_sfunz00zzast_varz00);
								BgL_testz00_4283 = BgL_res2072z00_3864;
							}
							if (BgL_testz00_4283)
								{	/* Cfa/arithmetic.scm 265 */
									obj_t BgL_arg1770z00_3865;

									{	/* Cfa/arithmetic.scm 265 */
										obj_t BgL_l1517z00_3866;

										BgL_l1517z00_3866 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_valz00_3860)))->BgL_argsz00);
										if (NULLP(BgL_l1517z00_3866))
											{	/* Cfa/arithmetic.scm 265 */
												BgL_arg1770z00_3865 = BNIL;
											}
										else
											{	/* Cfa/arithmetic.scm 265 */
												obj_t BgL_head1519z00_3867;

												{	/* Cfa/arithmetic.scm 265 */
													obj_t BgL_arg1777z00_3868;

													BgL_arg1777z00_3868 =
														BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00(CAR
														(BgL_l1517z00_3866));
													{	/* Cfa/arithmetic.scm 265 */
														obj_t BgL_res2074z00_3869;

														BgL_res2074z00_3869 =
															MAKE_YOUNG_PAIR(BgL_arg1777z00_3868, BNIL);
														BgL_head1519z00_3867 = BgL_res2074z00_3869;
													}
												}
												{	/* Cfa/arithmetic.scm 265 */
													obj_t BgL_g1522z00_3870;

													BgL_g1522z00_3870 = CDR(BgL_l1517z00_3866);
													{
														obj_t BgL_l1517z00_3872;
														obj_t BgL_tail1520z00_3873;

														BgL_l1517z00_3872 = BgL_g1522z00_3870;
														BgL_tail1520z00_3873 = BgL_head1519z00_3867;
													BgL_zc3anonymousza31772ze3z83_3871:
														if (NULLP(BgL_l1517z00_3872))
															{	/* Cfa/arithmetic.scm 265 */
																BgL_arg1770z00_3865 = BgL_head1519z00_3867;
															}
														else
															{	/* Cfa/arithmetic.scm 265 */
																obj_t BgL_newtail1521z00_3874;

																{	/* Cfa/arithmetic.scm 265 */
																	obj_t BgL_arg1775z00_3875;

																	BgL_arg1775z00_3875 =
																		BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00
																		(CAR(BgL_l1517z00_3872));
																	{	/* Cfa/arithmetic.scm 265 */
																		obj_t BgL_res2076z00_3876;

																		BgL_res2076z00_3876 =
																			MAKE_YOUNG_PAIR(BgL_arg1775z00_3875,
																			BNIL);
																		BgL_newtail1521z00_3874 =
																			BgL_res2076z00_3876;
																	}
																}
																SET_CDR(BgL_tail1520z00_3873,
																	BgL_newtail1521z00_3874);
																{
																	obj_t BgL_tail1520z00_4302;
																	obj_t BgL_l1517z00_4300;

																	BgL_l1517z00_4300 = CDR(BgL_l1517z00_3872);
																	BgL_tail1520z00_4302 =
																		BgL_newtail1521z00_3874;
																	BgL_tail1520z00_3873 = BgL_tail1520z00_4302;
																	BgL_l1517z00_3872 = BgL_l1517z00_4300;
																	goto BgL_zc3anonymousza31772ze3z83_3871;
																}
															}
													}
												}
											}
									}
									((((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_valz00_3860)))->BgL_argsz00) =
										((obj_t) BgL_arg1770z00_3865), BUNSPEC);
								}
							else
								{	/* Cfa/arithmetic.scm 266 */
									bool_t BgL_testz00_4305;

									{	/* Cfa/arithmetic.scm 266 */
										bool_t BgL_res2077z00_3877;

										BgL_res2077z00_3877 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_valz00_3860), BGl_cfunz00zzast_varz00);
										BgL_testz00_4305 = BgL_res2077z00_3877;
									}
									if (BgL_testz00_4305)
										{	/* Cfa/arithmetic.scm 267 */
											obj_t BgL_g1172z00_3878;

											BgL_g1172z00_3878 =
												(((BgL_cfunz00_bglt) CREF(
														((BgL_cfunz00_bglt) BgL_valz00_3860)))->
												BgL_argszd2typezd2);
											{
												obj_t BgL_lz00_3880;

												BgL_lz00_3880 = BgL_g1172z00_3878;
											BgL_loopz00_3879:
												if (PAIRP(BgL_lz00_3880))
													{	/* Cfa/arithmetic.scm 269 */
														obj_t BgL_tmpz00_4312;

														BgL_tmpz00_4312 =
															BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00
															(CAR(BgL_lz00_3880));
														SET_CAR(BgL_lz00_3880, BgL_tmpz00_4312);
													}
												else
													{
														obj_t BgL_lz00_4316;

														BgL_lz00_4316 = CDR(BgL_lz00_3880);
														BgL_lz00_3880 = BgL_lz00_4316;
														goto BgL_loopz00_3879;
													}
											}
										}
									else
										{	/* Cfa/arithmetic.scm 266 */
											BGl_errorz00zz__errorz00
												(BGl_string2113z00zzcfa_arithmeticz00,
												BGl_string2116z00zzcfa_arithmeticz00,
												((obj_t) ((BgL_appz00_bglt) BgL_nodez00_3759)));
										}
								}
						}
						BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 =
							MAKE_YOUNG_PAIR(
							((obj_t)
								((BgL_appz00_bglt) BgL_nodez00_3759)),
							BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00);
						{	/* Cfa/arithmetic.scm 275 */
							obj_t BgL_arg1786z00_3881;

							BgL_arg1786z00_3881 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_3759))))->BgL_argsz00);
							BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1786z00_3881);
						}
						{	/* Cfa/arithmetic.scm 276 */
							obj_t BgL_speczd2typeszd2_3882;

							{
								BgL_prezd2arithmeticzd2appz00_bglt BgL_auxz00_4328;

								{
									obj_t BgL_auxz00_4329;

									{	/* Cfa/arithmetic.scm 276 */
										BgL_objectz00_bglt BgL_tmpz00_4330;

										BgL_tmpz00_4330 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_3759));
										BgL_auxz00_4329 = BGL_OBJECT_WIDENING(BgL_tmpz00_4330);
									}
									BgL_auxz00_4328 =
										((BgL_prezd2arithmeticzd2appz00_bglt) BgL_auxz00_4329);
								}
								BgL_speczd2typeszd2_3882 =
									(((BgL_prezd2arithmeticzd2appz00_bglt)
										CREF(BgL_auxz00_4328))->BgL_speczd2typeszd2);
							}
							{	/* Cfa/arithmetic.scm 276 */
								BgL_appz00_bglt BgL_nodez00_3883;

								{	/* Cfa/arithmetic.scm 277 */
									long BgL_arg1793z00_3884;

									{	/* Cfa/arithmetic.scm 277 */
										obj_t BgL_arg1794z00_3885;

										{	/* Cfa/arithmetic.scm 277 */
											obj_t BgL_arg1795z00_3886;

											{	/* Cfa/arithmetic.scm 277 */
												long BgL_arg1722z00_3887;

												{	/* Cfa/arithmetic.scm 277 */
													long BgL_arg1723z00_3888;

													{	/* Cfa/arithmetic.scm 277 */
														long BgL_res2079z00_3889;

														BgL_res2079z00_3889 =
															BGL_OBJECT_CLASS_NUM(
															((BgL_objectz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_3759)));
														BgL_arg1723z00_3888 = BgL_res2079z00_3889;
													}
													BgL_arg1722z00_3887 =
														(BgL_arg1723z00_3888 - OBJECT_TYPE);
												}
												BgL_arg1795z00_3886 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1722z00_3887));
											}
											BgL_arg1794z00_3885 =
												BGl_classzd2superzd2zz__objectz00(BgL_arg1795z00_3886);
										}
										{	/* Cfa/arithmetic.scm 277 */
											long BgL_res2081z00_3890;

											BgL_res2081z00_3890 =
												BGL_CLASS_INDEX(BgL_arg1794z00_3885);
											BgL_arg1793z00_3884 = BgL_res2081z00_3890;
									}}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_3759)),
										BgL_arg1793z00_3884);
								}
								{	/* Cfa/arithmetic.scm 277 */
									BgL_objectz00_bglt BgL_tmpz00_4347;

									BgL_tmpz00_4347 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3759));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4347, BFALSE);
								}
								BgL_nodez00_3883 = ((BgL_appz00_bglt) BgL_nodez00_3759);
								{	/* Cfa/arithmetic.scm 277 */

									{	/* Cfa/arithmetic.scm 278 */
										BgL_arithmeticzd2appzd2_bglt BgL_wide1176z00_3891;

										BgL_wide1176z00_3891 =
											((BgL_arithmeticzd2appzd2_bglt)
											BREF(GC_MALLOC(sizeof(struct
														BgL_arithmeticzd2appzd2_bgl))));
										{	/* Cfa/arithmetic.scm 278 */
											obj_t BgL_auxz00_4357;
											BgL_objectz00_bglt BgL_tmpz00_4353;

											BgL_auxz00_4357 = ((obj_t) BgL_wide1176z00_3891);
											BgL_tmpz00_4353 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_3883)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4353, BgL_auxz00_4357);
										}
										{	/* Cfa/arithmetic.scm 278 */
											long BgL_arg1787z00_3892;

											{	/* Cfa/arithmetic.scm 278 */
												long BgL_res2082z00_3893;

												BgL_res2082z00_3893 =
													BGL_CLASS_INDEX
													(BGl_arithmeticzd2appzd2zzcfa_info2z00);
												BgL_arg1787z00_3892 = BgL_res2082z00_3893;
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_3883))),
												BgL_arg1787z00_3892);
										}
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3883)));
									}
									{
										BgL_approxz00_bglt BgL_auxz00_4376;
										BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4368;

										{	/* Cfa/arithmetic.scm 280 */
											bool_t BgL_testz00_4377;

											{	/* Cfa/arithmetic.scm 280 */
												BgL_typez00_bglt BgL_arg1791z00_3894;

												BgL_arg1791z00_3894 =
													(((BgL_variablez00_bglt) CREF(BgL_fz00_3859))->
													BgL_typez00);
												BgL_testz00_4377 =
													(((obj_t) BgL_arg1791z00_3894) ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_testz00_4377)
												{	/* Cfa/arithmetic.scm 280 */
													BgL_auxz00_4376 =
														BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
												}
											else
												{	/* Cfa/arithmetic.scm 282 */
													BgL_typez00_bglt BgL_arg1790z00_3895;

													BgL_arg1790z00_3895 =
														(((BgL_variablez00_bglt) CREF(BgL_fz00_3859))->
														BgL_typez00);
													BgL_auxz00_4376 =
														BGl_makezd2typezd2approxz00zzcfa_approxz00
														(BgL_arg1790z00_3895);
												}
										}
										{
											obj_t BgL_auxz00_4369;

											{	/* Cfa/arithmetic.scm 280 */
												BgL_objectz00_bglt BgL_tmpz00_4370;

												BgL_tmpz00_4370 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_3883)));
												BgL_auxz00_4369 = BGL_OBJECT_WIDENING(BgL_tmpz00_4370);
											}
											BgL_auxz00_4368 =
												((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4369);
										}
										((((BgL_arithmeticzd2appzd2_bglt) CREF(BgL_auxz00_4368))->
												BgL_approxz00) =
											((BgL_approxz00_bglt) BgL_auxz00_4376), BUNSPEC);
									}
									{
										BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4385;

										{
											obj_t BgL_auxz00_4386;

											{	/* Cfa/arithmetic.scm 279 */
												BgL_objectz00_bglt BgL_tmpz00_4387;

												BgL_tmpz00_4387 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_3883)));
												BgL_auxz00_4386 = BGL_OBJECT_WIDENING(BgL_tmpz00_4387);
											}
											BgL_auxz00_4385 =
												((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4386);
										}
										((((BgL_arithmeticzd2appzd2_bglt) CREF(BgL_auxz00_4385))->
												BgL_speczd2typeszd2) =
											((obj_t) BgL_speczd2typeszd2_3882), BUNSPEC);
									}
									return
										((obj_t)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3883)));
								}
							}
						}
					}
				}
			}
		}
	}



/* unspecified-type~0 */
	obj_t BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00(obj_t BgL_lz00_2965)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 253 */
			if (BGl_isazf3zf3zz__objectz00(BgL_lz00_2965, BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 247 */
					return BGl_za2_za2z00zztype_cachez00;
				}
			else
				{	/* Cfa/arithmetic.scm 247 */
					if (BGl_isazf3zf3zz__objectz00(BgL_lz00_2965,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 249 */
							{	/* Cfa/arithmetic.scm 250 */
								BgL_typez00_bglt BgL_vz00_3654;

								BgL_vz00_3654 =
									((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
								((((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_lz00_2965))))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_vz00_3654), BUNSPEC);
							}
							return BgL_lz00_2965;
						}
					else
						{	/* Cfa/arithmetic.scm 249 */
							return BgL_lz00_2965;
						}
				}
		}
	}



/* &cleanup-node!-app1565 */
	obj_t BGl_z62cleanupzd2nodez12zd2app1565z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3760, obj_t BgL_nodez00_3761)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 231 */
			{	/* Cfa/arithmetic.scm 232 */
				bool_t BgL_tmpz00_4405;

				{	/* Cfa/arithmetic.scm 233 */
					BgL_varz00_bglt BgL_arg1759z00_3897;

					BgL_arg1759z00_3897 =
						(((BgL_appz00_bglt) CREF(
								((BgL_appz00_bglt) BgL_nodez00_3761)))->BgL_funz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						((BgL_nodez00_bglt) BgL_arg1759z00_3897));
				}
				{	/* Cfa/arithmetic.scm 234 */
					obj_t BgL_g1516z00_3898;

					BgL_g1516z00_3898 =
						(((BgL_appz00_bglt) CREF(
								((BgL_appz00_bglt) BgL_nodez00_3761)))->BgL_argsz00);
					{
						obj_t BgL_l1514z00_3900;

						BgL_l1514z00_3900 = BgL_g1516z00_3898;
					BgL_zc3anonymousza31760ze3z83_3899:
						if (PAIRP(BgL_l1514z00_3900))
							{	/* Cfa/arithmetic.scm 234 */
								{	/* Cfa/arithmetic.scm 234 */
									obj_t BgL_arg1762z00_3901;

									BgL_arg1762z00_3901 = CAR(BgL_l1514z00_3900);
									BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
										((BgL_nodez00_bglt) BgL_arg1762z00_3901));
								}
								{
									obj_t BgL_l1514z00_4417;

									BgL_l1514z00_4417 = CDR(BgL_l1514z00_3900);
									BgL_l1514z00_3900 = BgL_l1514z00_4417;
									goto BgL_zc3anonymousza31760ze3z83_3899;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 234 */
								BgL_tmpz00_4405 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_4405);
			}
		}
	}



/* &cleanup-node!-funcal1563 */
	obj_t BGl_z62cleanupzd2nodez12zd2funcal1563z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3762, obj_t BgL_nodez00_3763)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 223 */
			{	/* Cfa/arithmetic.scm 224 */
				bool_t BgL_tmpz00_4420;

				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_funcallz00_bglt) CREF(
								((BgL_funcallz00_bglt) BgL_nodez00_3763)))->BgL_funz00));
				{	/* Cfa/arithmetic.scm 226 */
					obj_t BgL_g1513z00_3903;

					BgL_g1513z00_3903 =
						(((BgL_funcallz00_bglt) CREF(
								((BgL_funcallz00_bglt) BgL_nodez00_3763)))->BgL_argsz00);
					{
						obj_t BgL_l1511z00_3905;

						BgL_l1511z00_3905 = BgL_g1513z00_3903;
					BgL_zc3anonymousza31754ze3z83_3904:
						if (PAIRP(BgL_l1511z00_3905))
							{	/* Cfa/arithmetic.scm 226 */
								{	/* Cfa/arithmetic.scm 226 */
									obj_t BgL_arg1756z00_3906;

									BgL_arg1756z00_3906 = CAR(BgL_l1511z00_3905);
									BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
										((BgL_nodez00_bglt) BgL_arg1756z00_3906));
								}
								{
									obj_t BgL_l1511z00_4431;

									BgL_l1511z00_4431 = CDR(BgL_l1511z00_3905);
									BgL_l1511z00_3905 = BgL_l1511z00_4431;
									goto BgL_zc3anonymousza31754ze3z83_3904;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 226 */
								BgL_tmpz00_4420 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_4420);
			}
		}
	}



/* &cleanup-node!-app-ly1561 */
	obj_t BGl_z62cleanupzd2nodez12zd2appzd2ly1561za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3764, obj_t BgL_nodez00_3765)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 215 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_appzd2lyzd2_bglt) CREF(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_3765)))->BgL_funz00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_appzd2lyzd2_bglt) CREF(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_3765)))->BgL_argz00));
		}
	}



/* &cleanup-node!-box-se1559 */
	obj_t BGl_z62cleanupzd2nodez12zd2boxzd2se1559za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3766, obj_t BgL_nodez00_3767)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 207 */
			{	/* Cfa/arithmetic.scm 209 */
				BgL_varz00_bglt BgL_arg1749z00_3909;

				BgL_arg1749z00_3909 =
					(((BgL_boxzd2setz12zc0_bglt) CREF(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3767)))->BgL_varz00);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					((BgL_nodez00_bglt) BgL_arg1749z00_3909));
			}
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_boxzd2setz12zc0_bglt) CREF(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3767)))->BgL_valuez00));
		}
	}



/* &cleanup-node!-box-re1557 */
	obj_t BGl_z62cleanupzd2nodez12zd2boxzd2re1557za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3768, obj_t BgL_nodez00_3769)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 200 */
			{	/* Cfa/arithmetic.scm 202 */
				BgL_varz00_bglt BgL_arg1748z00_3911;

				BgL_arg1748z00_3911 =
					(((BgL_boxzd2refzd2_bglt) CREF(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_3769)))->BgL_varz00);
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					((BgL_nodez00_bglt) BgL_arg1748z00_3911));
			}
		}
	}



/* &cleanup-node!-make-b1555 */
	obj_t BGl_z62cleanupzd2nodez12zd2makezd2b1555za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3770, obj_t BgL_nodez00_3771)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 193 */
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_makezd2boxzd2_bglt) CREF(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3771)))->BgL_valuez00));
		}
	}



/* &cleanup-node!-jump-e1553 */
	obj_t BGl_z62cleanupzd2nodez12zd2jumpzd2e1553za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3772, obj_t BgL_nodez00_3773)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 185 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_jumpzd2exzd2itz00_bglt) CREF(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3773)))->BgL_exitz00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_jumpzd2exzd2itz00_bglt) CREF(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3773)))->BgL_valuez00));
		}
	}



/* &cleanup-node!-set-ex1551 */
	obj_t BGl_z62cleanupzd2nodez12zd2setzd2ex1551za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3774, obj_t BgL_nodez00_3775)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 177 */
			{	/* Cfa/arithmetic.scm 179 */
				BgL_varz00_bglt BgL_arg1741z00_3915;

				BgL_arg1741z00_3915 =
					(((BgL_setzd2exzd2itz00_bglt) CREF(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3775)))->BgL_varz00);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					((BgL_nodez00_bglt) BgL_arg1741z00_3915));
			}
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_setzd2exzd2itz00_bglt) CREF(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3775)))->BgL_bodyz00));
		}
	}



/* &cleanup-node!-let-va1549 */
	obj_t BGl_z62cleanupzd2nodez12zd2letzd2va1549za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3776, obj_t BgL_nodez00_3777)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 167 */
			{	/* Cfa/arithmetic.scm 169 */
				obj_t BgL_g1510z00_3917;

				BgL_g1510z00_3917 =
					(((BgL_letzd2varzd2_bglt) CREF(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3777)))->BgL_bindingsz00);
				{
					obj_t BgL_l1508z00_3919;

					BgL_l1508z00_3919 = BgL_g1510z00_3917;
				BgL_zc3anonymousza31731ze3z83_3918:
					if (PAIRP(BgL_l1508z00_3919))
						{	/* Cfa/arithmetic.scm 169 */
							{	/* Cfa/arithmetic.scm 169 */
								obj_t BgL_bz00_3920;

								BgL_bz00_3920 = CAR(BgL_l1508z00_3919);
								{	/* Cfa/arithmetic.scm 169 */
									obj_t BgL_arg1734z00_3921;

									BgL_arg1734z00_3921 = CDR(BgL_bz00_3920);
									BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
										((BgL_nodez00_bglt) BgL_arg1734z00_3921));
								}
							}
							{
								obj_t BgL_l1508z00_4475;

								BgL_l1508z00_4475 = CDR(BgL_l1508z00_3919);
								BgL_l1508z00_3919 = BgL_l1508z00_4475;
								goto BgL_zc3anonymousza31731ze3z83_3918;
							}
						}
					else
						{	/* Cfa/arithmetic.scm 169 */
							((bool_t) 1);
						}
				}
			}
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_letzd2varzd2_bglt) CREF(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3777)))->BgL_bodyz00));
			{	/* Cfa/arithmetic.scm 171 */
				bool_t BgL_testz00_4480;

				{	/* Cfa/arithmetic.scm 171 */
					BgL_typez00_bglt BgL_arg1740z00_3922;

					BgL_arg1740z00_3922 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nodez00_3777))))->BgL_typez00);
					BgL_testz00_4480 =
						(((obj_t) BgL_arg1740z00_3922) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_testz00_4480)
					{	/* Cfa/arithmetic.scm 171 */
						return
							((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nodez00_3777))))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										CREF((((BgL_letzd2varzd2_bglt) CREF(((BgL_letzd2varzd2_bglt)
															BgL_nodez00_3777)))->BgL_bodyz00)))->
									BgL_typez00)), BUNSPEC);
					}
				else
					{	/* Cfa/arithmetic.scm 171 */
						return BFALSE;
					}
			}
		}
	}



/* &cleanup-node!-let-fu1547 */
	obj_t BGl_z62cleanupzd2nodez12zd2letzd2fu1547za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3778, obj_t BgL_nodez00_3779)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 157 */
			{	/* Cfa/arithmetic.scm 159 */
				obj_t BgL_g1507z00_3924;

				BgL_g1507z00_3924 =
					(((BgL_letzd2funzd2_bglt) CREF(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3779)))->BgL_localsz00);
				{
					obj_t BgL_l1505z00_3926;

					BgL_l1505z00_3926 = BgL_g1507z00_3924;
				BgL_zc3anonymousza31721ze3z83_3925:
					if (PAIRP(BgL_l1505z00_3926))
						{	/* Cfa/arithmetic.scm 159 */
							{	/* Cfa/arithmetic.scm 159 */
								obj_t BgL_arg1724z00_3927;

								BgL_arg1724z00_3927 = CAR(BgL_l1505z00_3926);
								{	/* Cfa/arithmetic.scm 90 */
									BgL_valuez00_bglt BgL_funz00_3928;

									BgL_funz00_3928 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_arg1724z00_3927)))->
										BgL_valuez00);
									{	/* Cfa/arithmetic.scm 90 */
										obj_t BgL_bodyz00_3929;

										BgL_bodyz00_3929 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_funz00_3928)))->BgL_bodyz00);
										{	/* Cfa/arithmetic.scm 91 */

											BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
												((BgL_nodez00_bglt) BgL_bodyz00_3929));
										}
									}
								}
							}
							{
								obj_t BgL_l1505z00_4503;

								BgL_l1505z00_4503 = CDR(BgL_l1505z00_3926);
								BgL_l1505z00_3926 = BgL_l1505z00_4503;
								goto BgL_zc3anonymousza31721ze3z83_3925;
							}
						}
					else
						{	/* Cfa/arithmetic.scm 159 */
							((bool_t) 1);
						}
				}
			}
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_letzd2funzd2_bglt) CREF(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3779)))->BgL_bodyz00));
			{	/* Cfa/arithmetic.scm 161 */
				bool_t BgL_testz00_4508;

				{	/* Cfa/arithmetic.scm 161 */
					BgL_typez00_bglt BgL_arg1730z00_3930;

					BgL_arg1730z00_3930 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt)
									((BgL_letzd2funzd2_bglt) BgL_nodez00_3779))))->BgL_typez00);
					BgL_testz00_4508 =
						(((obj_t) BgL_arg1730z00_3930) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_testz00_4508)
					{	/* Cfa/arithmetic.scm 161 */
						return
							((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt)
											((BgL_letzd2funzd2_bglt) BgL_nodez00_3779))))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										CREF((((BgL_letzd2funzd2_bglt) CREF(((BgL_letzd2funzd2_bglt)
															BgL_nodez00_3779)))->BgL_bodyz00)))->
									BgL_typez00)), BUNSPEC);
					}
				else
					{	/* Cfa/arithmetic.scm 161 */
						return BFALSE;
					}
			}
		}
	}



/* &cleanup-node!-select1545 */
	obj_t BGl_z62cleanupzd2nodez12zd2select1545z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3780, obj_t BgL_nodez00_3781)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 149 */
			{	/* Cfa/arithmetic.scm 150 */
				bool_t BgL_tmpz00_4520;

				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_selectz00_bglt) CREF(
								((BgL_selectz00_bglt) BgL_nodez00_3781)))->BgL_testz00));
				{	/* Cfa/arithmetic.scm 152 */
					obj_t BgL_g1504z00_3932;

					BgL_g1504z00_3932 =
						(((BgL_selectz00_bglt) CREF(
								((BgL_selectz00_bglt) BgL_nodez00_3781)))->BgL_clausesz00);
					{
						obj_t BgL_l1502z00_3934;

						BgL_l1502z00_3934 = BgL_g1504z00_3932;
					BgL_zc3anonymousza31714ze3z83_3933:
						if (PAIRP(BgL_l1502z00_3934))
							{	/* Cfa/arithmetic.scm 152 */
								{	/* Cfa/arithmetic.scm 152 */
									obj_t BgL_clausez00_3935;

									BgL_clausez00_3935 = CAR(BgL_l1502z00_3934);
									{	/* Cfa/arithmetic.scm 152 */
										obj_t BgL_arg1716z00_3936;

										BgL_arg1716z00_3936 = CDR(BgL_clausez00_3935);
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg1716z00_3936));
									}
								}
								{
									obj_t BgL_l1502z00_4532;

									BgL_l1502z00_4532 = CDR(BgL_l1502z00_3934);
									BgL_l1502z00_3934 = BgL_l1502z00_4532;
									goto BgL_zc3anonymousza31714ze3z83_3933;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 152 */
								BgL_tmpz00_4520 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_4520);
			}
		}
	}



/* &cleanup-node!-fail1543 */
	obj_t BGl_z62cleanupzd2nodez12zd2fail1543z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3782, obj_t BgL_nodez00_3783)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 140 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_failz00_bglt) CREF(
							((BgL_failz00_bglt) BgL_nodez00_3783)))->BgL_procz00));
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_failz00_bglt) CREF(
							((BgL_failz00_bglt) BgL_nodez00_3783)))->BgL_msgz00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_failz00_bglt) CREF(
							((BgL_failz00_bglt) BgL_nodez00_3783)))->BgL_objz00));
		}
	}



/* &cleanup-node!-condit1541 */
	obj_t BGl_z62cleanupzd2nodez12zd2condit1541z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3784, obj_t BgL_nodez00_3785)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 131 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_conditionalz00_bglt) CREF(
							((BgL_conditionalz00_bglt) BgL_nodez00_3785)))->BgL_testz00));
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_conditionalz00_bglt) CREF(
							((BgL_conditionalz00_bglt) BgL_nodez00_3785)))->BgL_truez00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_conditionalz00_bglt) CREF(
							((BgL_conditionalz00_bglt) BgL_nodez00_3785)))->BgL_falsez00));
		}
	}



/* &cleanup-node!-setq1539 */
	obj_t BGl_z62cleanupzd2nodez12zd2setq1539z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3786, obj_t BgL_nodez00_3787)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 124 */
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_setqz00_bglt) CREF(
							((BgL_setqz00_bglt) BgL_nodez00_3787)))->BgL_valuez00));
		}
	}



/* &cleanup-node!-sync1537 */
	obj_t BGl_z62cleanupzd2nodez12zd2sync1537z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3788, obj_t BgL_nodez00_3789)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 113 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_syncz00_bglt) CREF(
							((BgL_syncz00_bglt) BgL_nodez00_3789)))->BgL_mutexz00));
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_syncz00_bglt) CREF(
							((BgL_syncz00_bglt) BgL_nodez00_3789)))->BgL_prelockz00));
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_syncz00_bglt) CREF(
							((BgL_syncz00_bglt) BgL_nodez00_3789)))->BgL_bodyz00));
			{	/* Cfa/arithmetic.scm 118 */
				bool_t BgL_testz00_4565;

				{	/* Cfa/arithmetic.scm 118 */
					BgL_typez00_bglt BgL_arg1678z00_3941;

					BgL_arg1678z00_3941 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt)
									((BgL_syncz00_bglt) BgL_nodez00_3789))))->BgL_typez00);
					BgL_testz00_4565 =
						(((obj_t) BgL_arg1678z00_3941) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_testz00_4565)
					{	/* Cfa/arithmetic.scm 118 */
						return
							((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt)
											((BgL_syncz00_bglt) BgL_nodez00_3789))))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt) CREF((((BgL_syncz00_bglt)
													CREF(((BgL_syncz00_bglt) BgL_nodez00_3789)))->
												BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
					}
				else
					{	/* Cfa/arithmetic.scm 118 */
						return BFALSE;
					}
			}
		}
	}



/* &cleanup-node!-sequen1535 */
	obj_t BGl_z62cleanupzd2nodez12zd2sequen1535z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3790, obj_t BgL_nodez00_3791)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 103 */
			{	/* Cfa/arithmetic.scm 105 */
				bool_t BgL_testz00_4577;

				{	/* Cfa/arithmetic.scm 105 */
					obj_t BgL_tmpz00_4578;

					BgL_tmpz00_4578 =
						(((BgL_sequencez00_bglt) CREF(
								((BgL_sequencez00_bglt) BgL_nodez00_3791)))->BgL_nodesz00);
					BgL_testz00_4577 = PAIRP(BgL_tmpz00_4578);
				}
				if (BgL_testz00_4577)
					{	/* Cfa/arithmetic.scm 105 */
						{	/* Cfa/arithmetic.scm 106 */
							obj_t BgL_g1501z00_3943;

							BgL_g1501z00_3943 =
								(((BgL_sequencez00_bglt) CREF(
										((BgL_sequencez00_bglt) BgL_nodez00_3791)))->BgL_nodesz00);
							{
								obj_t BgL_l1499z00_3945;

								BgL_l1499z00_3945 = BgL_g1501z00_3943;
							BgL_zc3anonymousza31651ze3z83_3944:
								if (PAIRP(BgL_l1499z00_3945))
									{	/* Cfa/arithmetic.scm 106 */
										{	/* Cfa/arithmetic.scm 106 */
											obj_t BgL_arg1658z00_3946;

											BgL_arg1658z00_3946 = CAR(BgL_l1499z00_3945);
											BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
												((BgL_nodez00_bglt) BgL_arg1658z00_3946));
										}
										{
											obj_t BgL_l1499z00_4589;

											BgL_l1499z00_4589 = CDR(BgL_l1499z00_3945);
											BgL_l1499z00_3945 = BgL_l1499z00_4589;
											goto BgL_zc3anonymousza31651ze3z83_3944;
										}
									}
								else
									{	/* Cfa/arithmetic.scm 106 */
										((bool_t) 1);
									}
							}
						}
						{	/* Cfa/arithmetic.scm 107 */
							bool_t BgL_testz00_4591;

							{	/* Cfa/arithmetic.scm 107 */
								BgL_typez00_bglt BgL_arg1665z00_3947;

								BgL_arg1665z00_3947 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt)
												((BgL_sequencez00_bglt) BgL_nodez00_3791))))->
									BgL_typez00);
								BgL_testz00_4591 =
									(((obj_t) BgL_arg1665z00_3947) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_testz00_4591)
								{	/* Cfa/arithmetic.scm 107 */
									return
										((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt)
														((BgL_sequencez00_bglt) BgL_nodez00_3791))))->
											BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_nodez00_bglt)
													CREF(((BgL_nodez00_bglt)
															CAR
															(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00((
																		((BgL_sequencez00_bglt)
																			CREF(((BgL_sequencez00_bglt)
																					BgL_nodez00_3791)))->
																		BgL_nodesz00))))))->BgL_typez00)), BUNSPEC);
								}
							else
								{	/* Cfa/arithmetic.scm 107 */
									return BFALSE;
								}
						}
					}
				else
					{	/* Cfa/arithmetic.scm 105 */
						return BFALSE;
					}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2117z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2117z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2117z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2117z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2117z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2117z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string2117z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string2117z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2117z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string2117z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string2117z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string2117z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 168272122),
				BSTRING_TO_STRING(BGl_string2117z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string2117z00zzcfa_arithmeticz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string2117z00zzcfa_arithmeticz00));
		}
	}

#ifdef __cplusplus
}
#endif
