/*===========================================================================*/
/*   (Coerce/convert.scm)                                                    */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/convert.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;


	extern obj_t BGl_za2uint32za2z00zztype_cachez00;
	extern obj_t BGl_za2uint16za2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static BgL_nodez00_bglt BGl_dozd2convertzd2zzcoerce_convertz00(obj_t,
		BgL_nodez00_bglt, BgL_typez00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2stackzd2checkz00zzcoerce_convertz00();
	static obj_t BGl_notifyzd2typezd2testz00zzcoerce_convertz00(obj_t, obj_t,
		obj_t);
	static long BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcoerce_convertz00();
	BGL_IMPORT obj_t BGl_warningzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_notifiedzd2locationszd2zzcoerce_convertz00 = BUNSPEC;
	extern obj_t BGl_za2stringza2z00zztype_cachez00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_convertz00();
	static obj_t BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2int32za2z00zztype_cachez00;
	extern obj_t BGl_za2int16za2z00zztype_cachez00;
	extern obj_t BGl_za2uint8za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2scharza2z00zztype_cachez00;
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt BGl_z62convertz12z70zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2elongza2z00zztype_cachez00;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2int8za2z00zztype_cachez00;
	static obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcoerce_convertz00();
	BGL_IMPORT obj_t BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t,
		BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt, BgL_typez00_bglt,
		BgL_typez00_bglt, bool_t);
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t
		BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(int);
	extern obj_t BGl_za2warningzd2typezd2errorza2z00zzengine_paramz00;
	extern obj_t BGl_za2charza2z00zztype_cachez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_convertz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00();
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzcoerce_convertz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static BgL_nodez00_bglt
		BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t, obj_t, obj_t,
		obj_t, BgL_nodez00_bglt, bool_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, BgL_nodez00_bglt);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static long BGl_za2checkza2z00zzcoerce_convertz00;
	extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2uint64za2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2warningzd2typesza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt,
		BgL_typez00_bglt, obj_t, BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(BgL_typez00_bglt,
		obj_t, obj_t, obj_t, BgL_nodez00_bglt);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_EXPORTED_DEF obj_t BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzcoerce_convertz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
	extern obj_t BGl_za2llongza2z00zztype_cachez00;
	extern obj_t BGl_za2int64za2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT int BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00();
	extern BgL_typez00_bglt
		BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t __cnst[11];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_convertz12zd2envzc0zzcoerce_convertz00,
		BgL_bgl_za762convertza712za7701999za7,
		BGl_z62convertz12z70zzcoerce_convertz00, 0L, BUNSPEC, 4);
	      DEFINE_REAL(BGl_real1992z00zzcoerce_convertz00,
		BgL_bgl_real1992za700za7za7coe2000za7, 0.0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2stackzd2checkzd2envzd2zzcoerce_convertz00,
		BgL_bgl_za762getza7d2stackza7d2001za7,
		BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_runtimezd2typezd2errorzd2envzd2zzcoerce_convertz00,
		BgL_bgl_za762runtimeza7d2typ2002z00,
		BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1989z00zzcoerce_convertz00,
		BgL_bgl_string1989za700za7za7c2003za7,
		" ~a. Type test inserted \"~a\" -> \"~a\"", 36);
	      DEFINE_STRING(BGl_string1990z00zzcoerce_convertz00,
		BgL_bgl_string1990za700za7za7c2004za7, "", 0);
	      DEFINE_STRING(BGl_string1991z00zzcoerce_convertz00,
		BgL_bgl_string1991za700za7za7c2005za7, "Type error", 10);
	      DEFINE_STRING(BGl_string1993z00zzcoerce_convertz00,
		BgL_bgl_string1993za700za7za7c2006za7, "Illegal conversion", 18);
	      DEFINE_STRING(BGl_string1994z00zzcoerce_convertz00,
		BgL_bgl_string1994za700za7za7c2007za7, "coerce_convert", 14);
	      DEFINE_STRING(BGl_string1995z00zzcoerce_convertz00,
		BgL_bgl_string1995za700za7za7c2008za7,
		"aux2 if coercer let ::obj aux failure @ type-error __error location ", 68);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_notifiedzd2locationszd2zzcoerce_convertz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcoerce_convertz00));
		     ADD_ROOT((void
				*) (&BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long
		BgL_checksumz00_2487, char *BgL_fromz00_2488)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_convertz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_convertz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcoerce_convertz00();
					BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
					BGl_cnstzd2initzd2zzcoerce_convertz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
					return BGl_toplevelzd2initzd2zzcoerce_convertz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"coerce_convert");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			{	/* Coerce/convert.scm 16 */
				obj_t BgL_cportz00_2474;

				{	/* Coerce/convert.scm 16 */
					obj_t BgL_startz00_2483;

					BgL_startz00_2483 = BINT(((long) 0));
					{	/* Coerce/convert.scm 16 */
						obj_t BgL_endz00_2484;

						BgL_endz00_2484 =
							BINT(STRING_LENGTH(BGl_string1995z00zzcoerce_convertz00));
						{	/* Coerce/convert.scm 16 */

							BgL_cportz00_2474 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1995z00zzcoerce_convertz00, BgL_startz00_2483,
								BgL_endz00_2484);
				}}}
				{
					long BgL_iz00_2475;

					BgL_iz00_2475 = ((long) 10);
				BgL_loopz00_2476:
					if ((BgL_iz00_2475 == ((long) -1)))
						{	/* Coerce/convert.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/convert.scm 16 */
							{	/* Coerce/convert.scm 16 */
								obj_t BgL_arg1997z00_2478;

								{	/* Coerce/convert.scm 16 */

									{	/* Coerce/convert.scm 16 */
										obj_t BgL_locationz00_2480;

										BgL_locationz00_2480 = BBOOL(((bool_t) 0));
										{	/* Coerce/convert.scm 16 */

											BgL_arg1997z00_2478 =
												BGl_readz00zz__readerz00(BgL_cportz00_2474,
												BgL_locationz00_2480);
										}
									}
								}
								{	/* Coerce/convert.scm 16 */
									int BgL_tmpz00_2517;

									BgL_tmpz00_2517 = (int) (BgL_iz00_2475);
									CNST_TABLE_SET(BgL_tmpz00_2517, BgL_arg1997z00_2478);
							}}
							{	/* Coerce/convert.scm 16 */
								int BgL_auxz00_2481;

								BgL_auxz00_2481 = (int) ((BgL_iz00_2475 - ((long) 1)));
								{
									long BgL_iz00_2522;

									BgL_iz00_2522 = (long) (BgL_auxz00_2481);
									BgL_iz00_2475 = BgL_iz00_2522;
									goto BgL_loopz00_2476;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_za2checkza2z00zzcoerce_convertz00 = ((long) 0);
			BGl_notifiedzd2locationszd2zzcoerce_convertz00 = BNIL;
			BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 = BTRUE;
			return (BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
				((long) 0), BUNSPEC);
		}
	}



/* notify-type-test */
	obj_t BGl_notifyzd2typezd2testz00zzcoerce_convertz00(obj_t BgL_fromz00_35,
		obj_t BgL_toz00_36, obj_t BgL_locz00_37)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 59 */
			if (CBOOL(BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00))
				{	/* Coerce/convert.scm 61 */
					int BgL_stz00_1647;

					BgL_stz00_1647 = BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00();
					BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(
						(int) (((long) 0)));
					if (CBOOL(BgL_locz00_37))
						{	/* Coerce/convert.scm 64 */
							if (CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
									(BgL_locz00_37,
										BGl_notifiedzd2locationszd2zzcoerce_convertz00)))
								{	/* Coerce/convert.scm 69 */
									BFALSE;
								}
							else
								{	/* Coerce/convert.scm 69 */
									BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
										(((long) 1) +
										BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00);
									BGl_notifiedzd2locationszd2zzcoerce_convertz00 =
										MAKE_YOUNG_PAIR(BgL_locz00_37,
										BGl_notifiedzd2locationszd2zzcoerce_convertz00);
									{	/* Coerce/convert.scm 72 */
										obj_t BgL_arg1423z00_1649;
										obj_t BgL_arg1436z00_1650;
										obj_t BgL_arg1437z00_1651;

										BgL_arg1423z00_1649 =
											BGl_locationzd2fullzd2fnamez00zztools_locationz00
											(BgL_locz00_37);
										BgL_arg1436z00_1650 =
											STRUCT_REF(BgL_locz00_37, (int) (((long) 1)));
										{	/* Coerce/convert.scm 75 */
											obj_t BgL_arg1446z00_1653;
											obj_t BgL_arg1454z00_1654;

											BgL_arg1446z00_1653 =
												BGl_shapez00zztools_shapez00(BgL_fromz00_35);
											BgL_arg1454z00_1654 =
												BGl_shapez00zztools_shapez00(BgL_toz00_36);
											{	/* Coerce/convert.scm 74 */
												obj_t BgL_list1455z00_1655;

												{	/* Coerce/convert.scm 74 */
													obj_t BgL_arg1460z00_1656;

													{	/* Coerce/convert.scm 74 */
														obj_t BgL_arg1465z00_1657;

														BgL_arg1465z00_1657 =
															MAKE_YOUNG_PAIR(BgL_arg1454z00_1654, BNIL);
														BgL_arg1460z00_1656 =
															MAKE_YOUNG_PAIR(BgL_arg1446z00_1653,
															BgL_arg1465z00_1657);
													}
													BgL_list1455z00_1655 =
														MAKE_YOUNG_PAIR(BINT
														(BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00),
														BgL_arg1460z00_1656);
												}
												BgL_arg1437z00_1651 =
													BGl_formatz00zz__r4_output_6_10_3z00
													(BGl_string1989z00zzcoerce_convertz00,
													BgL_list1455z00_1655);
										}}
										{	/* Coerce/convert.scm 72 */
											obj_t BgL_list1438z00_1652;

											BgL_list1438z00_1652 =
												MAKE_YOUNG_PAIR(BgL_arg1437z00_1651, BNIL);
											BGl_warningzf2locationzf2zz__errorz00(BgL_arg1423z00_1649,
												BgL_arg1436z00_1650, BgL_list1438z00_1652);
						}}}}
					else
						{	/* Coerce/convert.scm 64 */
							BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
								(((long) 1) + BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00);
							{	/* Coerce/convert.scm 68 */
								obj_t BgL_arg1469z00_1658;

								{	/* Coerce/convert.scm 68 */
									obj_t BgL_arg1481z00_1660;
									obj_t BgL_arg1484z00_1661;

									BgL_arg1481z00_1660 =
										BGl_shapez00zztools_shapez00(BgL_fromz00_35);
									BgL_arg1484z00_1661 =
										BGl_shapez00zztools_shapez00(BgL_toz00_36);
									{	/* Coerce/convert.scm 67 */
										obj_t BgL_list1485z00_1662;

										{	/* Coerce/convert.scm 67 */
											obj_t BgL_arg1490z00_1663;

											{	/* Coerce/convert.scm 67 */
												obj_t BgL_arg1491z00_1664;

												BgL_arg1491z00_1664 =
													MAKE_YOUNG_PAIR(BgL_arg1484z00_1661, BNIL);
												BgL_arg1490z00_1663 =
													MAKE_YOUNG_PAIR(BgL_arg1481z00_1660,
													BgL_arg1491z00_1664);
											}
											BgL_list1485z00_1662 =
												MAKE_YOUNG_PAIR(BINT
												(BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00),
												BgL_arg1490z00_1663);
										}
										BgL_arg1469z00_1658 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string1989z00zzcoerce_convertz00,
											BgL_list1485z00_1662);
								}}
								{	/* Coerce/convert.scm 66 */
									obj_t BgL_list1470z00_1659;

									BgL_list1470z00_1659 =
										MAKE_YOUNG_PAIR(BgL_arg1469z00_1658, BNIL);
									BGl_warningz00zz__errorz00(BgL_list1470z00_1659);
						}}}
					return
						BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00
						(BgL_stz00_1647);
				}
			else
				{	/* Coerce/convert.scm 60 */
					return BFALSE;
				}
		}
	}



/* get-stack-check */
	BGL_EXPORTED_DEF obj_t BGl_getzd2stackzd2checkz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 88 */
			return BINT(BGl_za2checkza2z00zzcoerce_convertz00);
		}
	}



/* &get-stack-check */
	obj_t BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00(obj_t BgL_envz00_2462)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 88 */
			return BGl_getzd2stackzd2checkz00zzcoerce_convertz00();
		}
	}



/* runtime-type-error/id */
	obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t
		BgL_locz00_49, obj_t BgL_tiz00_50, obj_t BgL_idz00_51)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 114 */
			{	/* Coerce/convert.scm 116 */
				obj_t BgL_fnamez00_1672;
				obj_t BgL_posz00_1673;

				{	/* Coerce/convert.scm 116 */
					bool_t BgL_testz00_2562;

					if (STRUCTP(BgL_locz00_49))
						{	/* Coerce/convert.scm 116 */
							BgL_testz00_2562 =
								(STRUCT_KEY(BgL_locz00_49) == CNST_TABLE_REF(((long) 0)));
						}
					else
						{	/* Coerce/convert.scm 116 */
							BgL_testz00_2562 = ((bool_t) 0);
						}
					if (BgL_testz00_2562)
						{	/* Coerce/convert.scm 116 */
							BgL_fnamez00_1672 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_49);
						}
					else
						{	/* Coerce/convert.scm 116 */
							BgL_fnamez00_1672 = BFALSE;
						}
				}
				{	/* Coerce/convert.scm 117 */
					bool_t BgL_testz00_2569;

					if (STRUCTP(BgL_locz00_49))
						{	/* Coerce/convert.scm 117 */
							BgL_testz00_2569 =
								(STRUCT_KEY(BgL_locz00_49) == CNST_TABLE_REF(((long) 0)));
						}
					else
						{	/* Coerce/convert.scm 117 */
							BgL_testz00_2569 = ((bool_t) 0);
						}
					if (BgL_testz00_2569)
						{	/* Coerce/convert.scm 117 */
							BgL_posz00_1673 = STRUCT_REF(BgL_locz00_49, (int) (((long) 1)));
						}
					else
						{	/* Coerce/convert.scm 117 */
							BgL_posz00_1673 = BFALSE;
						}
				}
				{	/* Coerce/convert.scm 119 */
					obj_t BgL_arg1511z00_1674;

					{	/* Coerce/convert.scm 119 */
						obj_t BgL_arg1526z00_1675;
						obj_t BgL_arg1527z00_1676;

						{	/* Coerce/convert.scm 119 */
							obj_t BgL_arg1530z00_1677;
							obj_t BgL_arg1533z00_1678;

							{	/* Coerce/convert.scm 119 */
								obj_t BgL_arg1535z00_1679;

								{	/* Coerce/convert.scm 119 */
									obj_t BgL_arg1537z00_1680;

									BgL_arg1537z00_1680 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 1)), BNIL);
									BgL_arg1535z00_1679 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)),
										BgL_arg1537z00_1680);
								}
								BgL_arg1530z00_1677 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
									BgL_arg1535z00_1679);
							}
							{	/* Coerce/convert.scm 120 */
								obj_t BgL_arg1540z00_1681;

								{	/* Coerce/convert.scm 120 */
									obj_t BgL_arg1541z00_1682;

									{	/* Coerce/convert.scm 120 */
										obj_t BgL_arg1542z00_1683;
										obj_t BgL_arg1545z00_1684;

										{	/* Coerce/convert.scm 120 */
											obj_t BgL_arg1546z00_1685;

											BgL_arg1546z00_1685 =
												BGl_currentzd2functionzd2zztools_errorz00();
											{	/* Coerce/convert.scm 120 */
												obj_t BgL_res1943z00_2239;

												{	/* Coerce/convert.scm 120 */
													obj_t BgL_arg1377z00_2238;

													BgL_arg1377z00_2238 =
														SYMBOL_TO_STRING(BgL_arg1546z00_1685);
													BgL_res1943z00_2239 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1377z00_2238);
												}
												BgL_arg1542z00_1683 = BgL_res1943z00_2239;
										}}
										{	/* Coerce/convert.scm 121 */
											obj_t BgL_arg1551z00_1686;
											obj_t BgL_arg1555z00_1687;

											{	/* Coerce/convert.scm 121 */
												obj_t BgL_res1944z00_2242;

												{	/* Coerce/convert.scm 121 */
													obj_t BgL_arg1377z00_2241;

													BgL_arg1377z00_2241 = SYMBOL_TO_STRING(BgL_tiz00_50);
													BgL_res1944z00_2242 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1377z00_2241);
												}
												BgL_arg1551z00_1686 = BgL_res1944z00_2242;
											}
											BgL_arg1555z00_1687 = MAKE_YOUNG_PAIR(BgL_idz00_51, BNIL);
											BgL_arg1545z00_1684 =
												MAKE_YOUNG_PAIR(BgL_arg1551z00_1686,
												BgL_arg1555z00_1687);
										}
										BgL_arg1541z00_1682 =
											MAKE_YOUNG_PAIR(BgL_arg1542z00_1683, BgL_arg1545z00_1684);
									}
									BgL_arg1540z00_1681 =
										MAKE_YOUNG_PAIR(BgL_posz00_1673, BgL_arg1541z00_1682);
								}
								BgL_arg1533z00_1678 =
									MAKE_YOUNG_PAIR(BgL_fnamez00_1672, BgL_arg1540z00_1681);
							}
							BgL_arg1526z00_1675 =
								MAKE_YOUNG_PAIR(BgL_arg1530z00_1677, BgL_arg1533z00_1678);
						}
						{	/* Coerce/convert.scm 118 */
							obj_t BgL_arg1556z00_1688;

							BgL_arg1556z00_1688 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							BgL_arg1527z00_1676 =
								MAKE_YOUNG_PAIR(BFALSE, BgL_arg1556z00_1688);
						}
						BgL_arg1511z00_1674 =
							MAKE_YOUNG_PAIR(BgL_arg1526z00_1675, BgL_arg1527z00_1676);
					}
					return
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)), BgL_arg1511z00_1674);
		}}}
	}



/* runtime-type-error */
	BGL_EXPORTED_DEF obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t
		BgL_locz00_52, obj_t BgL_tiz00_53, BgL_nodez00_bglt BgL_valuez00_54)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 128 */
			{	/* Coerce/convert.scm 130 */
				obj_t BgL_auxz00_1691;

				BgL_auxz00_1691 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5)));
				{	/* Coerce/convert.scm 130 */
					BgL_nodez00_bglt BgL_uvaluez00_1692;

					{	/* Coerce/convert.scm 131 */
						bool_t BgL_testz00_2601;

						{	/* Coerce/convert.scm 131 */
							bool_t BgL_res1945z00_2243;

							BgL_res1945z00_2243 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_valuez00_54), BGl_varz00zzast_nodez00);
							BgL_testz00_2601 = BgL_res1945z00_2243;
						}
						if (BgL_testz00_2601)
							{	/* Coerce/convert.scm 132 */
								BgL_varz00_bglt BgL_new1108z00_1710;

								{	/* Coerce/convert.scm 132 */
									BgL_varz00_bglt BgL_new1112z00_1712;

									BgL_new1112z00_1712 =
										((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_varz00_bgl))));
									{	/* Coerce/convert.scm 132 */
										long BgL_arg1607z00_1713;

										{	/* Coerce/convert.scm 132 */
											long BgL_res1946z00_2245;

											BgL_res1946z00_2245 =
												BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
											BgL_arg1607z00_1713 = BgL_res1946z00_2245;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1112z00_1712),
											BgL_arg1607z00_1713);
									}
									BgL_new1108z00_1710 = BgL_new1112z00_1712;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1108z00_1710)))->
										BgL_locz00) =
									((obj_t) (((BgL_nodez00_bglt) CREF(BgL_valuez00_54))->
											BgL_locz00)), BUNSPEC);
								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
													BgL_new1108z00_1710)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
								((((BgL_varz00_bglt) CREF(BgL_new1108z00_1710))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) (((BgL_varz00_bglt)
												CREF(((BgL_varz00_bglt) BgL_valuez00_54)))->
											BgL_variablez00)), BUNSPEC);
								BgL_uvaluez00_1692 = ((BgL_nodez00_bglt) BgL_new1108z00_1710);
							}
						else
							{	/* Coerce/convert.scm 131 */
								BgL_uvaluez00_1692 = BgL_valuez00_54;
							}
					}
					{	/* Coerce/convert.scm 131 */
						BgL_nodez00_bglt BgL_resz00_1693;

						{	/* Coerce/convert.scm 136 */
							obj_t BgL_arg1570z00_1696;

							{	/* Coerce/convert.scm 136 */
								obj_t BgL_arg1579z00_1697;

								{	/* Coerce/convert.scm 136 */
									obj_t BgL_arg1580z00_1698;
									obj_t BgL_arg1583z00_1699;

									{	/* Coerce/convert.scm 136 */
										obj_t BgL_arg1586z00_1700;

										{	/* Coerce/convert.scm 136 */
											obj_t BgL_arg1590z00_1701;
											obj_t BgL_arg1591z00_1702;

											{	/* Coerce/convert.scm 136 */
												obj_t BgL_arg1595z00_1703;

												{	/* Coerce/convert.scm 136 */
													obj_t BgL_arg1598z00_1704;

													{	/* Coerce/convert.scm 136 */
														obj_t BgL_arg1599z00_1705;
														obj_t BgL_arg1601z00_1706;

														{	/* Coerce/convert.scm 136 */
															obj_t BgL_res1947z00_2250;

															{	/* Coerce/convert.scm 136 */
																obj_t BgL_arg1377z00_2249;

																BgL_arg1377z00_2249 =
																	SYMBOL_TO_STRING(BgL_auxz00_1691);
																BgL_res1947z00_2250 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1377z00_2249);
															}
															BgL_arg1599z00_1705 = BgL_res1947z00_2250;
														}
														{	/* Coerce/convert.scm 136 */
															obj_t BgL_res1948z00_2253;

															{	/* Coerce/convert.scm 136 */
																obj_t BgL_symbolz00_2251;

																BgL_symbolz00_2251 = CNST_TABLE_REF(((long) 6));
																{	/* Coerce/convert.scm 136 */
																	obj_t BgL_arg1377z00_2252;

																	BgL_arg1377z00_2252 =
																		SYMBOL_TO_STRING(BgL_symbolz00_2251);
																	BgL_res1948z00_2253 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1377z00_2252);
															}}
															BgL_arg1601z00_1706 = BgL_res1948z00_2253;
														}
														BgL_arg1598z00_1704 =
															string_append(BgL_arg1599z00_1705,
															BgL_arg1601z00_1706);
													}
													BgL_arg1595z00_1703 =
														bstring_to_symbol(BgL_arg1598z00_1704);
												}
												BgL_arg1590z00_1701 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BgL_arg1595z00_1703);
											}
											BgL_arg1591z00_1702 = MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
											BgL_arg1586z00_1700 =
												MAKE_YOUNG_PAIR(BgL_arg1590z00_1701,
												BgL_arg1591z00_1702);
										}
										BgL_arg1580z00_1698 =
											MAKE_YOUNG_PAIR(BgL_arg1586z00_1700, BNIL);
									}
									BgL_arg1583z00_1699 =
										MAKE_YOUNG_PAIR
										(BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
										(BgL_locz00_52, BgL_tiz00_53, BgL_auxz00_1691), BNIL);
									BgL_arg1579z00_1697 =
										MAKE_YOUNG_PAIR(BgL_arg1580z00_1698, BgL_arg1583z00_1699);
								}
								BgL_arg1570z00_1696 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
									BgL_arg1579z00_1697);
							}
							BgL_resz00_1693 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg1570z00_1696, BgL_locz00_52);
						}
						{	/* Coerce/convert.scm 135 */

							{	/* Coerce/convert.scm 140 */
								obj_t BgL_arg1560z00_1694;

								{	/* Coerce/convert.scm 140 */
									obj_t BgL_pairz00_2257;

									BgL_pairz00_2257 =
										(((BgL_letzd2varzd2_bglt) CREF(
												((BgL_letzd2varzd2_bglt) BgL_resz00_1693)))->
										BgL_bindingsz00);
									BgL_arg1560z00_1694 = CAR(BgL_pairz00_2257);
								}
								{	/* Coerce/convert.scm 140 */
									obj_t BgL_tmpz00_2638;

									BgL_tmpz00_2638 = ((obj_t) BgL_uvaluez00_1692);
									SET_CDR(BgL_arg1560z00_1694, BgL_tmpz00_2638);
							}}
							return ((obj_t) BgL_resz00_1693);
						}
					}
				}
			}
		}
	}



/* &runtime-type-error */
	obj_t BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00(obj_t
		BgL_envz00_2463, obj_t BgL_locz00_2464, obj_t BgL_tiz00_2465,
		obj_t BgL_valuez00_2466)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 128 */
			return
				BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_2464,
				BgL_tiz00_2465, ((BgL_nodez00_bglt) BgL_valuez00_2466));
		}
	}



/* convert-error */
	obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt
		BgL_fromz00_55, BgL_typez00_bglt BgL_toz00_56, obj_t BgL_locz00_57,
		BgL_nodez00_bglt BgL_nodez00_58)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 150 */
			{	/* Coerce/convert.scm 154 */
				bool_t BgL_testz00_2644;

				if ((((obj_t) BgL_toz00_56) == BGl_za2objza2z00zztype_cachez00))
					{	/* Coerce/convert.scm 154 */
						BgL_testz00_2644 = ((bool_t) 0);
					}
				else
					{	/* Coerce/convert.scm 154 */
						BgL_testz00_2644 =
							BGl_subzd2typezf3z21zztype_envz00(BgL_toz00_56,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
					}
				if (BgL_testz00_2644)
					{	/* Coerce/convert.scm 155 */
						obj_t BgL_nodez00_1716;

						BgL_nodez00_1716 =
							BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_57,
							(((BgL_typez00_bglt) CREF(BgL_toz00_56))->BgL_idz00),
							BgL_nodez00_58);
						{	/* Coerce/convert.scm 156 */
							obj_t BgL_arg1610z00_1717;

							BgL_arg1610z00_1717 = BGl_currentzd2functionzd2zztools_errorz00();
							{	/* Coerce/convert.scm 108 */
								obj_t BgL_arg1507z00_2260;

								{	/* Coerce/convert.scm 108 */
									obj_t BgL_arg1509z00_2261;
									obj_t BgL_arg1510z00_2262;

									BgL_arg1509z00_2261 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_toz00_56));
									BgL_arg1510z00_2262 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_fromz00_55));
									BgL_arg1507z00_2260 =
										BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
										(BGl_string1990z00zzcoerce_convertz00, BgL_arg1509z00_2261,
										BgL_arg1510z00_2262);
								}
								BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_57,
									BgL_arg1610z00_1717, BGl_string1991z00zzcoerce_convertz00,
									BgL_arg1507z00_2260);
							}
						}
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
							((BgL_nodez00_bglt) BgL_nodez00_1716));
						return
							((obj_t)
							BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_nodez00_1716), BUNSPEC, BgL_fromz00_55,
								((bool_t) 0)));
					}
				else
					{	/* Coerce/convert.scm 159 */
						bool_t BgL_testz00_2664;

						{	/* Coerce/convert.scm 159 */
							bool_t BgL_res1950z00_2263;

							BgL_res1950z00_2263 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_toz00_56), BGl_tclassz00zzobject_classz00);
							BgL_testz00_2664 = BgL_res1950z00_2263;
						}
						if (BgL_testz00_2664)
							{	/* Coerce/convert.scm 160 */
								obj_t BgL_nodez00_1720;

								BgL_nodez00_1720 =
									BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
									(BgL_locz00_57,
									(((BgL_typez00_bglt) CREF(BgL_toz00_56))->BgL_idz00),
									BgL_nodez00_58);
								{	/* Coerce/convert.scm 161 */
									obj_t BgL_arg1615z00_1721;

									BgL_arg1615z00_1721 =
										BGl_currentzd2functionzd2zztools_errorz00();
									{	/* Coerce/convert.scm 108 */
										obj_t BgL_arg1507z00_2265;

										{	/* Coerce/convert.scm 108 */
											obj_t BgL_arg1509z00_2266;
											obj_t BgL_arg1510z00_2267;

											BgL_arg1509z00_2266 =
												BGl_shapez00zztools_shapez00(((obj_t) BgL_toz00_56));
											BgL_arg1510z00_2267 =
												BGl_shapez00zztools_shapez00(((obj_t) BgL_fromz00_55));
											BgL_arg1507z00_2265 =
												BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
												(BGl_string1990z00zzcoerce_convertz00,
												BgL_arg1509z00_2266, BgL_arg1510z00_2267);
										}
										BGl_userzd2warningzf2locationz20zztools_errorz00
											(BgL_locz00_57, BgL_arg1615z00_1721,
											BGl_string1991z00zzcoerce_convertz00,
											BgL_arg1507z00_2265);
									}
								}
								BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
									((BgL_nodez00_bglt) BgL_nodez00_1720));
								return
									((obj_t)
									BGl_coercez12z12zzcoerce_coercez00(
										((BgL_nodez00_bglt) BgL_nodez00_1720), BUNSPEC,
										BgL_fromz00_55, ((bool_t) 0)));
							}
						else
							{	/* Coerce/convert.scm 159 */
								if (CBOOL(BGl_za2warningzd2typezd2errorza2z00zzengine_paramz00))
									{	/* Coerce/convert.scm 233 */
										obj_t BgL_arg1630z00_1723;

										BgL_arg1630z00_1723 =
											BGl_currentzd2functionzd2zztools_errorz00();
										{	/* Coerce/convert.scm 97 */
											obj_t BgL_arg1492z00_2268;

											{	/* Coerce/convert.scm 97 */
												obj_t BgL_arg1494z00_2269;
												obj_t BgL_arg1504z00_2270;

												BgL_arg1494z00_2269 =
													BGl_shapez00zztools_shapez00(((obj_t) BgL_toz00_56));
												BgL_arg1504z00_2270 =
													BGl_shapez00zztools_shapez00(
													((obj_t) BgL_fromz00_55));
												BgL_arg1492z00_2268 =
													BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
													(BGl_string1990z00zzcoerce_convertz00,
													BgL_arg1494z00_2269, BgL_arg1504z00_2270);
											}
											return
												BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_locz00_57, BgL_arg1630z00_1723,
												BGl_string1991z00zzcoerce_convertz00,
												BgL_arg1492z00_2268, BNIL);
										}
									}
								else
									{	/* Coerce/convert.scm 166 */
										bool_t BgL_testz00_2690;

										if (
											(((obj_t) BgL_toz00_56) ==
												BGl_za2intza2z00zztype_cachez00))
											{	/* Coerce/convert.scm 166 */
												BgL_testz00_2690 = ((bool_t) 1);
											}
										else
											{	/* Coerce/convert.scm 166 */
												if (
													(((obj_t) BgL_toz00_56) ==
														BGl_za2longza2z00zztype_cachez00))
													{	/* Coerce/convert.scm 166 */
														BgL_testz00_2690 = ((bool_t) 1);
													}
												else
													{	/* Coerce/convert.scm 166 */
														if (
															(((obj_t) BgL_toz00_56) ==
																BGl_za2elongza2z00zztype_cachez00))
															{	/* Coerce/convert.scm 167 */
																BgL_testz00_2690 = ((bool_t) 1);
															}
														else
															{	/* Coerce/convert.scm 167 */
																if (
																	(((obj_t) BgL_toz00_56) ==
																		BGl_za2llongza2z00zztype_cachez00))
																	{	/* Coerce/convert.scm 168 */
																		BgL_testz00_2690 = ((bool_t) 1);
																	}
																else
																	{	/* Coerce/convert.scm 168 */
																		if (
																			(((obj_t) BgL_toz00_56) ==
																				BGl_za2int8za2z00zztype_cachez00))
																			{	/* Coerce/convert.scm 169 */
																				BgL_testz00_2690 = ((bool_t) 1);
																			}
																		else
																			{	/* Coerce/convert.scm 169 */
																				if (
																					(((obj_t) BgL_toz00_56) ==
																						BGl_za2uint8za2z00zztype_cachez00))
																					{	/* Coerce/convert.scm 170 */
																						BgL_testz00_2690 = ((bool_t) 1);
																					}
																				else
																					{	/* Coerce/convert.scm 170 */
																						if (
																							(((obj_t) BgL_toz00_56) ==
																								BGl_za2int16za2z00zztype_cachez00))
																							{	/* Coerce/convert.scm 171 */
																								BgL_testz00_2690 = ((bool_t) 1);
																							}
																						else
																							{	/* Coerce/convert.scm 171 */
																								if (
																									(((obj_t) BgL_toz00_56) ==
																										BGl_za2uint16za2z00zztype_cachez00))
																									{	/* Coerce/convert.scm 172 */
																										BgL_testz00_2690 =
																											((bool_t) 1);
																									}
																								else
																									{	/* Coerce/convert.scm 172 */
																										if (
																											(((obj_t) BgL_toz00_56) ==
																												BGl_za2int32za2z00zztype_cachez00))
																											{	/* Coerce/convert.scm 173 */
																												BgL_testz00_2690 =
																													((bool_t) 1);
																											}
																										else
																											{	/* Coerce/convert.scm 173 */
																												if (
																													(((obj_t)
																															BgL_toz00_56) ==
																														BGl_za2uint32za2z00zztype_cachez00))
																													{	/* Coerce/convert.scm 174 */
																														BgL_testz00_2690 =
																															((bool_t) 1);
																													}
																												else
																													{	/* Coerce/convert.scm 174 */
																														if (
																															(((obj_t)
																																	BgL_toz00_56)
																																==
																																BGl_za2int64za2z00zztype_cachez00))
																															{	/* Coerce/convert.scm 175 */
																																BgL_testz00_2690
																																	=
																																	((bool_t) 1);
																															}
																														else
																															{	/* Coerce/convert.scm 175 */
																																BgL_testz00_2690
																																	=
																																	(((obj_t)
																																		BgL_toz00_56)
																																	==
																																	BGl_za2uint64za2z00zztype_cachez00);
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
										if (BgL_testz00_2690)
											{	/* Coerce/convert.scm 177 */
												obj_t BgL_nodez00_1736;

												BgL_nodez00_1736 =
													BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
													(BgL_locz00_57,
													(((BgL_typez00_bglt) CREF(BgL_toz00_56))->BgL_idz00),
													BgL_nodez00_58);
												{	/* Coerce/convert.scm 178 */
													obj_t BgL_arg1647z00_1737;

													BgL_arg1647z00_1737 =
														BGl_currentzd2functionzd2zztools_errorz00();
													{	/* Coerce/convert.scm 108 */
														obj_t BgL_arg1507z00_2273;

														{	/* Coerce/convert.scm 108 */
															obj_t BgL_arg1509z00_2274;
															obj_t BgL_arg1510z00_2275;

															BgL_arg1509z00_2274 =
																BGl_shapez00zztools_shapez00(
																((obj_t) BgL_toz00_56));
															BgL_arg1510z00_2275 =
																BGl_shapez00zztools_shapez00(
																((obj_t) BgL_fromz00_55));
															BgL_arg1507z00_2273 =
																BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																(BGl_string1990z00zzcoerce_convertz00,
																BgL_arg1509z00_2274, BgL_arg1510z00_2275);
														}
														BGl_userzd2warningzf2locationz20zztools_errorz00
															(BgL_locz00_57, BgL_arg1647z00_1737,
															BGl_string1991z00zzcoerce_convertz00,
															BgL_arg1507z00_2273);
													}
												}
												BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
													((BgL_nodez00_bglt) BgL_nodez00_1736));
												{	/* Coerce/convert.scm 180 */
													BgL_sequencez00_bglt BgL_new1115z00_1738;

													{	/* Coerce/convert.scm 180 */
														BgL_sequencez00_bglt BgL_new1114z00_1746;

														BgL_new1114z00_1746 =
															((BgL_sequencez00_bglt)
															BREF(GC_MALLOC(sizeof(struct
																		BgL_sequencez00_bgl))));
														{	/* Coerce/convert.scm 180 */
															long BgL_arg1660z00_1747;

															{	/* Coerce/convert.scm 180 */
																long BgL_res1951z00_2277;

																BgL_res1951z00_2277 =
																	BGL_CLASS_INDEX(BGl_sequencez00zzast_nodez00);
																BgL_arg1660z00_1747 = BgL_res1951z00_2277;
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1114z00_1746),
																BgL_arg1660z00_1747);
														}
														{	/* Coerce/convert.scm 180 */
															BgL_objectz00_bglt BgL_tmpz00_2741;

															BgL_tmpz00_2741 =
																((BgL_objectz00_bglt) BgL_new1114z00_1746);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2741, BFALSE);
														}
														BgL_new1115z00_1738 = BgL_new1114z00_1746;
													}
													((((BgL_nodez00_bglt) CREF(
																	((BgL_nodez00_bglt) BgL_new1115z00_1738)))->
															BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
													((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																		BgL_new1115z00_1738)))->BgL_typez00) =
														((BgL_typez00_bglt) BgL_toz00_56), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																CREF(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1115z00_1738)))->
															BgL_sidezd2effectzd2) =
														((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																CREF(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1115z00_1738)))->BgL_keyz00) =
														((obj_t) BINT(((long) -1))), BUNSPEC);
													{
														obj_t BgL_auxz00_2753;

														{	/* Coerce/convert.scm 183 */
															BgL_nodez00_bglt BgL_arg1649z00_1739;
															BgL_atomz00_bglt BgL_arg1650z00_1740;

															BgL_arg1649z00_1739 =
																BGl_coercez12z12zzcoerce_coercez00(
																((BgL_nodez00_bglt) BgL_nodez00_1736), BUNSPEC,
																BgL_fromz00_55, ((bool_t) 0));
															{	/* Coerce/convert.scm 184 */
																BgL_atomz00_bglt BgL_new1117z00_1743;

																{	/* Coerce/convert.scm 184 */
																	BgL_atomz00_bglt BgL_new1116z00_1744;

																	BgL_new1116z00_1744 =
																		((BgL_atomz00_bglt)
																		BREF(GC_MALLOC(sizeof(struct
																					BgL_atomz00_bgl))));
																	{	/* Coerce/convert.scm 184 */
																		long BgL_arg1659z00_1745;

																		{	/* Coerce/convert.scm 184 */
																			long BgL_res1952z00_2281;

																			{	/* Coerce/convert.scm 184 */
																				obj_t BgL_classz00_2280;

																				BgL_classz00_2280 =
																					BGl_atomz00zzast_nodez00;
																				BgL_res1952z00_2281 =
																					BGL_CLASS_INDEX(BgL_classz00_2280);
																			}
																			BgL_arg1659z00_1745 = BgL_res1952z00_2281;
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1116z00_1744),
																			BgL_arg1659z00_1745);
																	}
																	{	/* Coerce/convert.scm 184 */
																		BgL_objectz00_bglt BgL_tmpz00_2760;

																		BgL_tmpz00_2760 =
																			((BgL_objectz00_bglt)
																			BgL_new1116z00_1744);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2760,
																			BFALSE);
																	}
																	BgL_new1117z00_1743 = BgL_new1116z00_1744;
																}
																((((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_new1117z00_1743)))->BgL_locz00) =
																	((obj_t) BFALSE), BUNSPEC);
																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																					BgL_new1117z00_1743)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_toz00_56), BUNSPEC);
																((((BgL_atomz00_bglt)
																			CREF(BgL_new1117z00_1743))->
																		BgL_valuez00) =
																	((obj_t) BINT(((long) 0))), BUNSPEC);
																BgL_arg1650z00_1740 = BgL_new1117z00_1743;
															}
															{	/* Coerce/convert.scm 182 */
																obj_t BgL_list1651z00_1741;

																{	/* Coerce/convert.scm 182 */
																	obj_t BgL_arg1658z00_1742;

																	BgL_arg1658z00_1742 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1650z00_1740), BNIL);
																	BgL_list1651z00_1741 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1649z00_1739),
																		BgL_arg1658z00_1742);
																}
																BgL_auxz00_2753 = BgL_list1651z00_1741;
														}}
														((((BgL_sequencez00_bglt)
																	CREF(BgL_new1115z00_1738))->BgL_nodesz00) =
															((obj_t) BgL_auxz00_2753), BUNSPEC);
													}
													((((BgL_sequencez00_bglt) CREF(BgL_new1115z00_1738))->
															BgL_unsafez00) =
														((bool_t) ((bool_t) 0)), BUNSPEC);
													return ((obj_t) BgL_new1115z00_1738);
												}
											}
										else
											{	/* Coerce/convert.scm 166 */
												if (
													(((obj_t) BgL_toz00_56) ==
														BGl_za2boolza2z00zztype_cachez00))
													{	/* Coerce/convert.scm 186 */
														obj_t BgL_nodez00_1750;

														BgL_nodez00_1750 =
															BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
															(BgL_locz00_57,
															(((BgL_typez00_bglt) CREF(BgL_toz00_56))->
																BgL_idz00), BgL_nodez00_58);
														{	/* Coerce/convert.scm 187 */
															obj_t BgL_arg1663z00_1751;

															BgL_arg1663z00_1751 =
																BGl_currentzd2functionzd2zztools_errorz00();
															{	/* Coerce/convert.scm 108 */
																obj_t BgL_arg1507z00_2286;

																{	/* Coerce/convert.scm 108 */
																	obj_t BgL_arg1509z00_2287;
																	obj_t BgL_arg1510z00_2288;

																	BgL_arg1509z00_2287 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_toz00_56));
																	BgL_arg1510z00_2288 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_fromz00_55));
																	BgL_arg1507z00_2286 =
																		BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																		(BGl_string1990z00zzcoerce_convertz00,
																		BgL_arg1509z00_2287, BgL_arg1510z00_2288);
																}
																BGl_userzd2warningzf2locationz20zztools_errorz00
																	(BgL_locz00_57, BgL_arg1663z00_1751,
																	BGl_string1991z00zzcoerce_convertz00,
																	BgL_arg1507z00_2286);
															}
														}
														BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
															((BgL_nodez00_bglt) BgL_nodez00_1750));
														{	/* Coerce/convert.scm 189 */
															BgL_sequencez00_bglt BgL_new1119z00_1752;

															{	/* Coerce/convert.scm 189 */
																BgL_sequencez00_bglt BgL_new1118z00_1760;

																BgL_new1118z00_1760 =
																	((BgL_sequencez00_bglt)
																	BREF(GC_MALLOC(sizeof(struct
																				BgL_sequencez00_bgl))));
																{	/* Coerce/convert.scm 189 */
																	long BgL_arg1669z00_1761;

																	{	/* Coerce/convert.scm 189 */
																		long BgL_res1954z00_2290;

																		BgL_res1954z00_2290 =
																			BGL_CLASS_INDEX
																			(BGl_sequencez00zzast_nodez00);
																		BgL_arg1669z00_1761 = BgL_res1954z00_2290;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1118z00_1760),
																		BgL_arg1669z00_1761);
																}
																{	/* Coerce/convert.scm 189 */
																	BgL_objectz00_bglt BgL_tmpz00_2794;

																	BgL_tmpz00_2794 =
																		((BgL_objectz00_bglt) BgL_new1118z00_1760);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2794,
																		BFALSE);
																}
																BgL_new1119z00_1752 = BgL_new1118z00_1760;
															}
															((((BgL_nodez00_bglt) CREF(
																			((BgL_nodez00_bglt)
																				BgL_new1119z00_1752)))->BgL_locz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																				BgL_new1119z00_1752)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_toz00_56), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		CREF(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1119z00_1752)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		CREF(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1119z00_1752)))->BgL_keyz00) =
																((obj_t) BINT(((long) -1))), BUNSPEC);
															{
																obj_t BgL_auxz00_2806;

																{	/* Coerce/convert.scm 192 */
																	BgL_nodez00_bglt BgL_arg1664z00_1753;
																	BgL_atomz00_bglt BgL_arg1665z00_1754;

																	BgL_arg1664z00_1753 =
																		BGl_coercez12z12zzcoerce_coercez00(
																		((BgL_nodez00_bglt) BgL_nodez00_1750),
																		BUNSPEC, BgL_fromz00_55, ((bool_t) 0));
																	{	/* Coerce/convert.scm 193 */
																		BgL_atomz00_bglt BgL_new1121z00_1757;

																		{	/* Coerce/convert.scm 193 */
																			BgL_atomz00_bglt BgL_new1120z00_1758;

																			BgL_new1120z00_1758 =
																				((BgL_atomz00_bglt)
																				BREF(GC_MALLOC(sizeof(struct
																							BgL_atomz00_bgl))));
																			{	/* Coerce/convert.scm 193 */
																				long BgL_arg1668z00_1759;

																				{	/* Coerce/convert.scm 193 */
																					long BgL_res1955z00_2294;

																					{	/* Coerce/convert.scm 193 */
																						obj_t BgL_classz00_2293;

																						BgL_classz00_2293 =
																							BGl_atomz00zzast_nodez00;
																						BgL_res1955z00_2294 =
																							BGL_CLASS_INDEX
																							(BgL_classz00_2293);
																					}
																					BgL_arg1668z00_1759 =
																						BgL_res1955z00_2294;
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1120z00_1758),
																					BgL_arg1668z00_1759);
																			}
																			{	/* Coerce/convert.scm 193 */
																				BgL_objectz00_bglt BgL_tmpz00_2813;

																				BgL_tmpz00_2813 =
																					((BgL_objectz00_bglt)
																					BgL_new1120z00_1758);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2813,
																					BFALSE);
																			}
																			BgL_new1121z00_1757 = BgL_new1120z00_1758;
																		}
																		((((BgL_nodez00_bglt) CREF(
																						((BgL_nodez00_bglt)
																							BgL_new1121z00_1757)))->
																				BgL_locz00) =
																			((obj_t) BFALSE), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					CREF(((BgL_nodez00_bglt)
																							BgL_new1121z00_1757)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_toz00_56),
																			BUNSPEC);
																		((((BgL_atomz00_bglt)
																					CREF(BgL_new1121z00_1757))->
																				BgL_valuez00) =
																			((obj_t) BINT(((long) 0))), BUNSPEC);
																		BgL_arg1665z00_1754 = BgL_new1121z00_1757;
																	}
																	{	/* Coerce/convert.scm 191 */
																		obj_t BgL_list1666z00_1755;

																		{	/* Coerce/convert.scm 191 */
																			obj_t BgL_arg1667z00_1756;

																			BgL_arg1667z00_1756 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_arg1665z00_1754), BNIL);
																			BgL_list1666z00_1755 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_arg1664z00_1753),
																				BgL_arg1667z00_1756);
																		}
																		BgL_auxz00_2806 = BgL_list1666z00_1755;
																}}
																((((BgL_sequencez00_bglt)
																			CREF(BgL_new1119z00_1752))->
																		BgL_nodesz00) =
																	((obj_t) BgL_auxz00_2806), BUNSPEC);
															}
															((((BgL_sequencez00_bglt)
																		CREF(BgL_new1119z00_1752))->BgL_unsafez00) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
															return ((obj_t) BgL_new1119z00_1752);
														}
													}
												else
													{	/* Coerce/convert.scm 185 */
														if (
															(((obj_t) BgL_toz00_56) ==
																BGl_za2realza2z00zztype_cachez00))
															{	/* Coerce/convert.scm 195 */
																obj_t BgL_nodez00_1764;

																BgL_nodez00_1764 =
																	BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
																	(BgL_locz00_57,
																	(((BgL_typez00_bglt) CREF(BgL_toz00_56))->
																		BgL_idz00), BgL_nodez00_58);
																{	/* Coerce/convert.scm 196 */
																	obj_t BgL_arg1677z00_1765;

																	BgL_arg1677z00_1765 =
																		BGl_currentzd2functionzd2zztools_errorz00();
																	{	/* Coerce/convert.scm 108 */
																		obj_t BgL_arg1507z00_2299;

																		{	/* Coerce/convert.scm 108 */
																			obj_t BgL_arg1509z00_2300;
																			obj_t BgL_arg1510z00_2301;

																			BgL_arg1509z00_2300 =
																				BGl_shapez00zztools_shapez00(
																				((obj_t) BgL_toz00_56));
																			BgL_arg1510z00_2301 =
																				BGl_shapez00zztools_shapez00(
																				((obj_t) BgL_fromz00_55));
																			BgL_arg1507z00_2299 =
																				BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																				(BGl_string1990z00zzcoerce_convertz00,
																				BgL_arg1509z00_2300,
																				BgL_arg1510z00_2301);
																		}
																		BGl_userzd2warningzf2locationz20zztools_errorz00
																			(BgL_locz00_57, BgL_arg1677z00_1765,
																			BGl_string1991z00zzcoerce_convertz00,
																			BgL_arg1507z00_2299);
																	}
																}
																BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
																	((BgL_nodez00_bglt) BgL_nodez00_1764));
																{	/* Coerce/convert.scm 198 */
																	BgL_sequencez00_bglt BgL_new1124z00_1766;

																	{	/* Coerce/convert.scm 198 */
																		BgL_sequencez00_bglt BgL_new1122z00_1774;

																		BgL_new1122z00_1774 =
																			((BgL_sequencez00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_sequencez00_bgl))));
																		{	/* Coerce/convert.scm 198 */
																			long BgL_arg1690z00_1775;

																			{	/* Coerce/convert.scm 198 */
																				long BgL_res1957z00_2303;

																				BgL_res1957z00_2303 =
																					BGL_CLASS_INDEX
																					(BGl_sequencez00zzast_nodez00);
																				BgL_arg1690z00_1775 =
																					BgL_res1957z00_2303;
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1122z00_1774),
																				BgL_arg1690z00_1775);
																		}
																		{	/* Coerce/convert.scm 198 */
																			BgL_objectz00_bglt BgL_tmpz00_2847;

																			BgL_tmpz00_2847 =
																				((BgL_objectz00_bglt)
																				BgL_new1122z00_1774);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2847,
																				BFALSE);
																		}
																		BgL_new1124z00_1766 = BgL_new1122z00_1774;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1124z00_1766)))->
																			BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																						BgL_new1124z00_1766)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_toz00_56), BUNSPEC);
																	((((BgL_nodezf2effectzf2_bglt)
																				CREF(((BgL_nodezf2effectzf2_bglt)
																						BgL_new1124z00_1766)))->
																			BgL_sidezd2effectzd2) =
																		((obj_t) BUNSPEC), BUNSPEC);
																	((((BgL_nodezf2effectzf2_bglt)
																				CREF(((BgL_nodezf2effectzf2_bglt)
																						BgL_new1124z00_1766)))->
																			BgL_keyz00) =
																		((obj_t) BINT(((long) -1))), BUNSPEC);
																	{
																		obj_t BgL_auxz00_2859;

																		{	/* Coerce/convert.scm 201 */
																			BgL_nodez00_bglt BgL_arg1678z00_1767;
																			BgL_atomz00_bglt BgL_arg1679z00_1768;

																			BgL_arg1678z00_1767 =
																				BGl_coercez12z12zzcoerce_coercez00(
																				((BgL_nodez00_bglt) BgL_nodez00_1764),
																				BUNSPEC, BgL_fromz00_55, ((bool_t) 0));
																			{	/* Coerce/convert.scm 202 */
																				BgL_atomz00_bglt BgL_new1126z00_1771;

																				{	/* Coerce/convert.scm 202 */
																					BgL_atomz00_bglt BgL_new1125z00_1772;

																					BgL_new1125z00_1772 =
																						((BgL_atomz00_bglt)
																						BREF(GC_MALLOC(sizeof(struct
																									BgL_atomz00_bgl))));
																					{	/* Coerce/convert.scm 202 */
																						long BgL_arg1687z00_1773;

																						{	/* Coerce/convert.scm 202 */
																							long BgL_res1958z00_2307;

																							{	/* Coerce/convert.scm 202 */
																								obj_t BgL_classz00_2306;

																								BgL_classz00_2306 =
																									BGl_atomz00zzast_nodez00;
																								BgL_res1958z00_2307 =
																									BGL_CLASS_INDEX
																									(BgL_classz00_2306);
																							}
																							BgL_arg1687z00_1773 =
																								BgL_res1958z00_2307;
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1125z00_1772),
																							BgL_arg1687z00_1773);
																					}
																					{	/* Coerce/convert.scm 202 */
																						BgL_objectz00_bglt BgL_tmpz00_2866;

																						BgL_tmpz00_2866 =
																							((BgL_objectz00_bglt)
																							BgL_new1125z00_1772);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_2866, BFALSE);
																					}
																					BgL_new1126z00_1771 =
																						BgL_new1125z00_1772;
																				}
																				((((BgL_nodez00_bglt) CREF(
																								((BgL_nodez00_bglt)
																									BgL_new1126z00_1771)))->
																						BgL_locz00) =
																					((obj_t) BFALSE), BUNSPEC);
																				((((BgL_nodez00_bglt)
																							CREF(((BgL_nodez00_bglt)
																									BgL_new1126z00_1771)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_toz00_56),
																					BUNSPEC);
																				((((BgL_atomz00_bglt)
																							CREF(BgL_new1126z00_1771))->
																						BgL_valuez00) =
																					((obj_t)
																						BGl_real1992z00zzcoerce_convertz00),
																					BUNSPEC);
																				BgL_arg1679z00_1768 =
																					BgL_new1126z00_1771;
																			}
																			{	/* Coerce/convert.scm 200 */
																				obj_t BgL_list1680z00_1769;

																				{	/* Coerce/convert.scm 200 */
																					obj_t BgL_arg1683z00_1770;

																					BgL_arg1683z00_1770 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_arg1679z00_1768),
																						BNIL);
																					BgL_list1680z00_1769 =
																						MAKE_YOUNG_PAIR(((obj_t)
																							BgL_arg1678z00_1767),
																						BgL_arg1683z00_1770);
																				}
																				BgL_auxz00_2859 = BgL_list1680z00_1769;
																		}}
																		((((BgL_sequencez00_bglt)
																					CREF(BgL_new1124z00_1766))->
																				BgL_nodesz00) =
																			((obj_t) BgL_auxz00_2859), BUNSPEC);
																	}
																	((((BgL_sequencez00_bglt)
																				CREF(BgL_new1124z00_1766))->
																			BgL_unsafez00) =
																		((bool_t) ((bool_t) 0)), BUNSPEC);
																	return ((obj_t) BgL_new1124z00_1766);
																}
															}
														else
															{	/* Coerce/convert.scm 194 */
																if (
																	(((obj_t) BgL_toz00_56) ==
																		BGl_za2charza2z00zztype_cachez00))
																	{	/* Coerce/convert.scm 204 */
																		obj_t BgL_nodez00_1778;

																		BgL_nodez00_1778 =
																			BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
																			(BgL_locz00_57,
																			(((BgL_typez00_bglt) CREF(BgL_toz00_56))->
																				BgL_idz00), BgL_nodez00_58);
																		{	/* Coerce/convert.scm 205 */
																			obj_t BgL_arg1694z00_1779;

																			BgL_arg1694z00_1779 =
																				BGl_currentzd2functionzd2zztools_errorz00
																				();
																			{	/* Coerce/convert.scm 108 */
																				obj_t BgL_arg1507z00_2312;

																				{	/* Coerce/convert.scm 108 */
																					obj_t BgL_arg1509z00_2313;
																					obj_t BgL_arg1510z00_2314;

																					BgL_arg1509z00_2313 =
																						BGl_shapez00zztools_shapez00(
																						((obj_t) BgL_toz00_56));
																					BgL_arg1510z00_2314 =
																						BGl_shapez00zztools_shapez00(
																						((obj_t) BgL_fromz00_55));
																					BgL_arg1507z00_2312 =
																						BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																						(BGl_string1990z00zzcoerce_convertz00,
																						BgL_arg1509z00_2313,
																						BgL_arg1510z00_2314);
																				}
																				BGl_userzd2warningzf2locationz20zztools_errorz00
																					(BgL_locz00_57, BgL_arg1694z00_1779,
																					BGl_string1991z00zzcoerce_convertz00,
																					BgL_arg1507z00_2312);
																			}
																		}
																		BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
																			((BgL_nodez00_bglt) BgL_nodez00_1778));
																		{	/* Coerce/convert.scm 207 */
																			BgL_sequencez00_bglt BgL_new1130z00_1780;

																			{	/* Coerce/convert.scm 207 */
																				BgL_sequencez00_bglt
																					BgL_new1127z00_1788;
																				BgL_new1127z00_1788 =
																					((BgL_sequencez00_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_sequencez00_bgl))));
																				{	/* Coerce/convert.scm 207 */
																					long BgL_arg1724z00_1789;

																					{	/* Coerce/convert.scm 207 */
																						long BgL_res1960z00_2316;

																						BgL_res1960z00_2316 =
																							BGL_CLASS_INDEX
																							(BGl_sequencez00zzast_nodez00);
																						BgL_arg1724z00_1789 =
																							BgL_res1960z00_2316;
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1127z00_1788),
																						BgL_arg1724z00_1789);
																				}
																				{	/* Coerce/convert.scm 207 */
																					BgL_objectz00_bglt BgL_tmpz00_2899;

																					BgL_tmpz00_2899 =
																						((BgL_objectz00_bglt)
																						BgL_new1127z00_1788);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_2899, BFALSE);
																				}
																				BgL_new1130z00_1780 =
																					BgL_new1127z00_1788;
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_new1130z00_1780)))->
																					BgL_locz00) =
																				((obj_t) BFALSE), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_new1130z00_1780)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_toz00_56),
																				BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						CREF(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1130z00_1780)))->
																					BgL_sidezd2effectzd2) =
																				((obj_t) BUNSPEC), BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						CREF(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1130z00_1780)))->
																					BgL_keyz00) =
																				((obj_t) BINT(((long) -1))), BUNSPEC);
																			{
																				obj_t BgL_auxz00_2911;

																				{	/* Coerce/convert.scm 210 */
																					BgL_nodez00_bglt BgL_arg1700z00_1781;
																					BgL_atomz00_bglt BgL_arg1713z00_1782;

																					BgL_arg1700z00_1781 =
																						BGl_coercez12z12zzcoerce_coercez00(
																						((BgL_nodez00_bglt)
																							BgL_nodez00_1778), BUNSPEC,
																						BgL_fromz00_55, ((bool_t) 0));
																					{	/* Coerce/convert.scm 211 */
																						BgL_atomz00_bglt
																							BgL_new1132z00_1785;
																						{	/* Coerce/convert.scm 211 */
																							BgL_atomz00_bglt
																								BgL_new1131z00_1786;
																							BgL_new1131z00_1786 =
																								((BgL_atomz00_bglt)
																								BREF(GC_MALLOC(sizeof(struct
																											BgL_atomz00_bgl))));
																							{	/* Coerce/convert.scm 211 */
																								long BgL_arg1720z00_1787;

																								{	/* Coerce/convert.scm 211 */
																									long BgL_res1961z00_2320;

																									{	/* Coerce/convert.scm 211 */
																										obj_t BgL_classz00_2319;

																										BgL_classz00_2319 =
																											BGl_atomz00zzast_nodez00;
																										BgL_res1961z00_2320 =
																											BGL_CLASS_INDEX
																											(BgL_classz00_2319);
																									}
																									BgL_arg1720z00_1787 =
																										BgL_res1961z00_2320;
																								}
																								BGL_OBJECT_CLASS_NUM_SET(
																									((BgL_objectz00_bglt)
																										BgL_new1131z00_1786),
																									BgL_arg1720z00_1787);
																							}
																							{	/* Coerce/convert.scm 211 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_2918;
																								BgL_tmpz00_2918 =
																									((BgL_objectz00_bglt)
																									BgL_new1131z00_1786);
																								BGL_OBJECT_WIDENING_SET
																									(BgL_tmpz00_2918, BFALSE);
																							}
																							BgL_new1132z00_1785 =
																								BgL_new1131z00_1786;
																						}
																						((((BgL_nodez00_bglt) CREF(
																										((BgL_nodez00_bglt)
																											BgL_new1132z00_1785)))->
																								BgL_locz00) =
																							((obj_t) BFALSE), BUNSPEC);
																						((((BgL_nodez00_bglt)
																									CREF(((BgL_nodez00_bglt)
																											BgL_new1132z00_1785)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt) BgL_toz00_56),
																							BUNSPEC);
																						((((BgL_atomz00_bglt)
																									CREF(BgL_new1132z00_1785))->
																								BgL_valuez00) =
																							((obj_t) BCHAR(((unsigned char)
																										'\000'))), BUNSPEC);
																						BgL_arg1713z00_1782 =
																							BgL_new1132z00_1785;
																					}
																					{	/* Coerce/convert.scm 209 */
																						obj_t BgL_list1714z00_1783;

																						{	/* Coerce/convert.scm 209 */
																							obj_t BgL_arg1716z00_1784;

																							BgL_arg1716z00_1784 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_arg1713z00_1782),
																								BNIL);
																							BgL_list1714z00_1783 =
																								MAKE_YOUNG_PAIR(((obj_t)
																									BgL_arg1700z00_1781),
																								BgL_arg1716z00_1784);
																						}
																						BgL_auxz00_2911 =
																							BgL_list1714z00_1783;
																				}}
																				((((BgL_sequencez00_bglt)
																							CREF(BgL_new1130z00_1780))->
																						BgL_nodesz00) =
																					((obj_t) BgL_auxz00_2911), BUNSPEC);
																			}
																			((((BgL_sequencez00_bglt)
																						CREF(BgL_new1130z00_1780))->
																					BgL_unsafez00) =
																				((bool_t) ((bool_t) 0)), BUNSPEC);
																			return ((obj_t) BgL_new1130z00_1780);
																		}
																	}
																else
																	{	/* Coerce/convert.scm 203 */
																		if (
																			(((obj_t) BgL_toz00_56) ==
																				BGl_za2scharza2z00zztype_cachez00))
																			{	/* Coerce/convert.scm 213 */
																				obj_t BgL_nodez00_1792;

																				BgL_nodez00_1792 =
																					BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
																					(BgL_locz00_57,
																					(((BgL_typez00_bglt)
																							CREF(BgL_toz00_56))->BgL_idz00),
																					BgL_nodez00_58);
																				{	/* Coerce/convert.scm 214 */
																					obj_t BgL_arg1729z00_1793;

																					BgL_arg1729z00_1793 =
																						BGl_currentzd2functionzd2zztools_errorz00
																						();
																					{	/* Coerce/convert.scm 108 */
																						obj_t BgL_arg1507z00_2325;

																						{	/* Coerce/convert.scm 108 */
																							obj_t BgL_arg1509z00_2326;
																							obj_t BgL_arg1510z00_2327;

																							BgL_arg1509z00_2326 =
																								BGl_shapez00zztools_shapez00(
																								((obj_t) BgL_toz00_56));
																							BgL_arg1510z00_2327 =
																								BGl_shapez00zztools_shapez00(
																								((obj_t) BgL_fromz00_55));
																							BgL_arg1507z00_2325 =
																								BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																								(BGl_string1990z00zzcoerce_convertz00,
																								BgL_arg1509z00_2326,
																								BgL_arg1510z00_2327);
																						}
																						BGl_userzd2warningzf2locationz20zztools_errorz00
																							(BgL_locz00_57,
																							BgL_arg1729z00_1793,
																							BGl_string1991z00zzcoerce_convertz00,
																							BgL_arg1507z00_2325);
																					}
																				}
																				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
																					((BgL_nodez00_bglt)
																						BgL_nodez00_1792));
																				{	/* Coerce/convert.scm 216 */
																					BgL_sequencez00_bglt
																						BgL_new1135z00_1794;
																					{	/* Coerce/convert.scm 216 */
																						BgL_sequencez00_bglt
																							BgL_new1133z00_1802;
																						BgL_new1133z00_1802 =
																							((BgL_sequencez00_bglt)
																							BREF(GC_MALLOC(sizeof(struct
																										BgL_sequencez00_bgl))));
																						{	/* Coerce/convert.scm 216 */
																							long BgL_arg1736z00_1803;

																							{	/* Coerce/convert.scm 216 */
																								long BgL_res1963z00_2329;

																								BgL_res1963z00_2329 =
																									BGL_CLASS_INDEX
																									(BGl_sequencez00zzast_nodez00);
																								BgL_arg1736z00_1803 =
																									BgL_res1963z00_2329;
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1133z00_1802),
																								BgL_arg1736z00_1803);
																						}
																						{	/* Coerce/convert.scm 216 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_2952;
																							BgL_tmpz00_2952 =
																								((BgL_objectz00_bglt)
																								BgL_new1133z00_1802);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_2952, BFALSE);
																						}
																						BgL_new1135z00_1794 =
																							BgL_new1133z00_1802;
																					}
																					((((BgL_nodez00_bglt) CREF(
																									((BgL_nodez00_bglt)
																										BgL_new1135z00_1794)))->
																							BgL_locz00) =
																						((obj_t) BFALSE), BUNSPEC);
																					((((BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_new1135z00_1794)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) (
																								(BgL_typez00_bglt)
																								BGl_za2charza2z00zztype_cachez00)),
																						BUNSPEC);
																					((((BgL_nodezf2effectzf2_bglt)
																								CREF((
																										(BgL_nodezf2effectzf2_bglt)
																										BgL_new1135z00_1794)))->
																							BgL_sidezd2effectzd2) =
																						((obj_t) BUNSPEC), BUNSPEC);
																					((((BgL_nodezf2effectzf2_bglt)
																								CREF((
																										(BgL_nodezf2effectzf2_bglt)
																										BgL_new1135z00_1794)))->
																							BgL_keyz00) =
																						((obj_t) BINT(((long) -1))),
																						BUNSPEC);
																					{
																						obj_t BgL_auxz00_2965;

																						{	/* Coerce/convert.scm 219 */
																							BgL_nodez00_bglt
																								BgL_arg1730z00_1795;
																							BgL_atomz00_bglt
																								BgL_arg1732z00_1796;
																							BgL_arg1730z00_1795 =
																								BGl_coercez12z12zzcoerce_coercez00
																								(((BgL_nodez00_bglt)
																									BgL_nodez00_1792), BUNSPEC,
																								BgL_fromz00_55, ((bool_t) 0));
																							{	/* Coerce/convert.scm 220 */
																								BgL_atomz00_bglt
																									BgL_new1137z00_1799;
																								{	/* Coerce/convert.scm 220 */
																									BgL_atomz00_bglt
																										BgL_new1136z00_1800;
																									BgL_new1136z00_1800 =
																										((BgL_atomz00_bglt)
																										BREF(GC_MALLOC(sizeof(struct
																													BgL_atomz00_bgl))));
																									{	/* Coerce/convert.scm 220 */
																										long BgL_arg1735z00_1801;

																										{	/* Coerce/convert.scm 220 */
																											long BgL_res1964z00_2333;

																											{	/* Coerce/convert.scm 220 */
																												obj_t BgL_classz00_2332;

																												BgL_classz00_2332 =
																													BGl_atomz00zzast_nodez00;
																												BgL_res1964z00_2333 =
																													BGL_CLASS_INDEX
																													(BgL_classz00_2332);
																											}
																											BgL_arg1735z00_1801 =
																												BgL_res1964z00_2333;
																										}
																										BGL_OBJECT_CLASS_NUM_SET(
																											((BgL_objectz00_bglt)
																												BgL_new1136z00_1800),
																											BgL_arg1735z00_1801);
																									}
																									{	/* Coerce/convert.scm 220 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_2972;
																										BgL_tmpz00_2972 =
																											((BgL_objectz00_bglt)
																											BgL_new1136z00_1800);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_tmpz00_2972, BFALSE);
																									}
																									BgL_new1137z00_1799 =
																										BgL_new1136z00_1800;
																								}
																								((((BgL_nodez00_bglt) CREF(
																												((BgL_nodez00_bglt)
																													BgL_new1137z00_1799)))->
																										BgL_locz00) =
																									((obj_t) BFALSE), BUNSPEC);
																								((((BgL_nodez00_bglt)
																											CREF(((BgL_nodez00_bglt)
																													BgL_new1137z00_1799)))->
																										BgL_typez00) =
																									((BgL_typez00_bglt) (
																											(BgL_typez00_bglt)
																											BGl_za2charza2z00zztype_cachez00)),
																									BUNSPEC);
																								((((BgL_atomz00_bglt)
																											CREF
																											(BgL_new1137z00_1799))->
																										BgL_valuez00) =
																									((obj_t) BCHAR(((unsigned
																													char) '\000'))),
																									BUNSPEC);
																								BgL_arg1732z00_1796 =
																									BgL_new1137z00_1799;
																							}
																							{	/* Coerce/convert.scm 218 */
																								obj_t BgL_list1733z00_1797;

																								{	/* Coerce/convert.scm 218 */
																									obj_t BgL_arg1734z00_1798;

																									BgL_arg1734z00_1798 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											BgL_arg1732z00_1796),
																										BNIL);
																									BgL_list1733z00_1797 =
																										MAKE_YOUNG_PAIR(((obj_t)
																											BgL_arg1730z00_1795),
																										BgL_arg1734z00_1798);
																								}
																								BgL_auxz00_2965 =
																									BgL_list1733z00_1797;
																						}}
																						((((BgL_sequencez00_bglt)
																									CREF(BgL_new1135z00_1794))->
																								BgL_nodesz00) =
																							((obj_t) BgL_auxz00_2965),
																							BUNSPEC);
																					}
																					((((BgL_sequencez00_bglt)
																								CREF(BgL_new1135z00_1794))->
																							BgL_unsafez00) =
																						((bool_t) ((bool_t) 0)), BUNSPEC);
																					return ((obj_t) BgL_new1135z00_1794);
																				}
																			}
																		else
																			{	/* Coerce/convert.scm 212 */
																				if (
																					(((obj_t) BgL_toz00_56) ==
																						BGl_za2stringza2z00zztype_cachez00))
																					{	/* Coerce/convert.scm 222 */
																						obj_t BgL_nodez00_1806;

																						BgL_nodez00_1806 =
																							BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
																							(BgL_locz00_57,
																							(((BgL_typez00_bglt)
																									CREF(BgL_toz00_56))->
																								BgL_idz00), BgL_nodez00_58);
																						{	/* Coerce/convert.scm 223 */
																							obj_t BgL_arg1739z00_1807;

																							BgL_arg1739z00_1807 =
																								BGl_currentzd2functionzd2zztools_errorz00
																								();
																							{	/* Coerce/convert.scm 108 */
																								obj_t BgL_arg1507z00_2338;

																								{	/* Coerce/convert.scm 108 */
																									obj_t BgL_arg1509z00_2339;
																									obj_t BgL_arg1510z00_2340;

																									BgL_arg1509z00_2339 =
																										BGl_shapez00zztools_shapez00
																										(((obj_t) BgL_toz00_56));
																									BgL_arg1510z00_2340 =
																										BGl_shapez00zztools_shapez00
																										(((obj_t) BgL_fromz00_55));
																									BgL_arg1507z00_2338 =
																										BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																										(BGl_string1990z00zzcoerce_convertz00,
																										BgL_arg1509z00_2339,
																										BgL_arg1510z00_2340);
																								}
																								BGl_userzd2warningzf2locationz20zztools_errorz00
																									(BgL_locz00_57,
																									BgL_arg1739z00_1807,
																									BGl_string1991z00zzcoerce_convertz00,
																									BgL_arg1507z00_2338);
																							}
																						}
																						BGl_lvtypezd2nodez12zc0zzast_lvtypez00
																							(((BgL_nodez00_bglt)
																								BgL_nodez00_1806));
																						{	/* Coerce/convert.scm 225 */
																							BgL_sequencez00_bglt
																								BgL_new1139z00_1808;
																							{	/* Coerce/convert.scm 225 */
																								BgL_sequencez00_bglt
																									BgL_new1138z00_1816;
																								BgL_new1138z00_1816 =
																									((BgL_sequencez00_bglt)
																									BREF(GC_MALLOC(sizeof(struct
																												BgL_sequencez00_bgl))));
																								{	/* Coerce/convert.scm 225 */
																									long BgL_arg1746z00_1817;

																									{	/* Coerce/convert.scm 225 */
																										long BgL_res1966z00_2342;

																										BgL_res1966z00_2342 =
																											BGL_CLASS_INDEX
																											(BGl_sequencez00zzast_nodez00);
																										BgL_arg1746z00_1817 =
																											BgL_res1966z00_2342;
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1138z00_1816),
																										BgL_arg1746z00_1817);
																								}
																								{	/* Coerce/convert.scm 225 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_3007;
																									BgL_tmpz00_3007 =
																										((BgL_objectz00_bglt)
																										BgL_new1138z00_1816);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_tmpz00_3007, BFALSE);
																								}
																								BgL_new1139z00_1808 =
																									BgL_new1138z00_1816;
																							}
																							((((BgL_nodez00_bglt) CREF(
																											((BgL_nodez00_bglt)
																												BgL_new1139z00_1808)))->
																									BgL_locz00) =
																								((obj_t) BFALSE), BUNSPEC);
																							((((BgL_nodez00_bglt)
																										CREF(((BgL_nodez00_bglt)
																												BgL_new1139z00_1808)))->
																									BgL_typez00) =
																								((BgL_typez00_bglt)
																									BgL_toz00_56), BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										CREF((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1139z00_1808)))->
																									BgL_sidezd2effectzd2) =
																								((obj_t) BUNSPEC), BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										CREF((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1139z00_1808)))->
																									BgL_keyz00) =
																								((obj_t) BINT(((long) -1))),
																								BUNSPEC);
																							{
																								obj_t BgL_auxz00_3019;

																								{	/* Coerce/convert.scm 228 */
																									BgL_nodez00_bglt
																										BgL_arg1740z00_1809;
																									BgL_atomz00_bglt
																										BgL_arg1741z00_1810;
																									BgL_arg1740z00_1809 =
																										BGl_coercez12z12zzcoerce_coercez00
																										(((BgL_nodez00_bglt)
																											BgL_nodez00_1806),
																										BUNSPEC, BgL_fromz00_55,
																										((bool_t) 0));
																									{	/* Coerce/convert.scm 229 */
																										BgL_atomz00_bglt
																											BgL_new1141z00_1813;
																										{	/* Coerce/convert.scm 229 */
																											BgL_atomz00_bglt
																												BgL_new1140z00_1814;
																											BgL_new1140z00_1814 =
																												((BgL_atomz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_atomz00_bgl))));
																											{	/* Coerce/convert.scm 229 */
																												long
																													BgL_arg1744z00_1815;
																												{	/* Coerce/convert.scm 229 */
																													long
																														BgL_res1967z00_2346;
																													{	/* Coerce/convert.scm 229 */
																														obj_t
																															BgL_classz00_2345;
																														BgL_classz00_2345 =
																															BGl_atomz00zzast_nodez00;
																														BgL_res1967z00_2346
																															=
																															BGL_CLASS_INDEX
																															(BgL_classz00_2345);
																													}
																													BgL_arg1744z00_1815 =
																														BgL_res1967z00_2346;
																												}
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1140z00_1814),
																													BgL_arg1744z00_1815);
																											}
																											{	/* Coerce/convert.scm 229 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_3026;
																												BgL_tmpz00_3026 =
																													((BgL_objectz00_bglt)
																													BgL_new1140z00_1814);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_tmpz00_3026,
																													BFALSE);
																											}
																											BgL_new1141z00_1813 =
																												BgL_new1140z00_1814;
																										}
																										((((BgL_nodez00_bglt) CREF(
																														((BgL_nodez00_bglt)
																															BgL_new1141z00_1813)))->
																												BgL_locz00) =
																											((obj_t) BFALSE),
																											BUNSPEC);
																										((((BgL_nodez00_bglt)
																													CREF((
																															(BgL_nodez00_bglt)
																															BgL_new1141z00_1813)))->
																												BgL_typez00) =
																											((BgL_typez00_bglt)
																												BgL_toz00_56), BUNSPEC);
																										((((BgL_atomz00_bglt)
																													CREF
																													(BgL_new1141z00_1813))->
																												BgL_valuez00) =
																											((obj_t)
																												BGl_string1990z00zzcoerce_convertz00),
																											BUNSPEC);
																										BgL_arg1741z00_1810 =
																											BgL_new1141z00_1813;
																									}
																									{	/* Coerce/convert.scm 227 */
																										obj_t BgL_list1742z00_1811;

																										{	/* Coerce/convert.scm 227 */
																											obj_t BgL_arg1743z00_1812;

																											BgL_arg1743z00_1812 =
																												MAKE_YOUNG_PAIR(
																												((obj_t)
																													BgL_arg1741z00_1810),
																												BNIL);
																											BgL_list1742z00_1811 =
																												MAKE_YOUNG_PAIR(((obj_t)
																													BgL_arg1740z00_1809),
																												BgL_arg1743z00_1812);
																										}
																										BgL_auxz00_3019 =
																											BgL_list1742z00_1811;
																								}}
																								((((BgL_sequencez00_bglt)
																											CREF
																											(BgL_new1139z00_1808))->
																										BgL_nodesz00) =
																									((obj_t) BgL_auxz00_3019),
																									BUNSPEC);
																							}
																							((((BgL_sequencez00_bglt)
																										CREF(BgL_new1139z00_1808))->
																									BgL_unsafez00) =
																								((bool_t) ((bool_t) 0)),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1139z00_1808);
																						}
																					}
																				else
																					{	/* Coerce/convert.scm 231 */
																						obj_t BgL_arg1748z00_1819;

																						BgL_arg1748z00_1819 =
																							BGl_currentzd2functionzd2zztools_errorz00
																							();
																						{	/* Coerce/convert.scm 97 */
																							obj_t BgL_arg1492z00_2350;

																							{	/* Coerce/convert.scm 97 */
																								obj_t BgL_arg1494z00_2351;
																								obj_t BgL_arg1504z00_2352;

																								BgL_arg1494z00_2351 =
																									BGl_shapez00zztools_shapez00(
																									((obj_t) BgL_toz00_56));
																								BgL_arg1504z00_2352 =
																									BGl_shapez00zztools_shapez00(
																									((obj_t) BgL_fromz00_55));
																								BgL_arg1492z00_2350 =
																									BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																									(BGl_string1990z00zzcoerce_convertz00,
																									BgL_arg1494z00_2351,
																									BgL_arg1504z00_2352);
																							}
																							return
																								BGl_userzd2errorzf2locationz20zztools_errorz00
																								(BgL_locz00_57,
																								BgL_arg1748z00_1819,
																								BGl_string1991z00zzcoerce_convertz00,
																								BgL_arg1492z00_2350, BNIL);
																						}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}
	}



/* convert! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt BgL_nodez00_59,
		BgL_typez00_bglt BgL_fromz00_60, BgL_typez00_bglt BgL_toz00_61,
		bool_t BgL_safez00_62)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 241 */
			if ((((obj_t) BgL_fromz00_60) == ((obj_t) BgL_toz00_61)))
				{	/* Coerce/convert.scm 245 */
					return BgL_nodez00_59;
				}
			else
				{	/* Coerce/convert.scm 247 */
					BgL_typez00_bglt BgL_toz00_1833;
					BgL_typez00_bglt BgL_froz00_1834;

					BgL_toz00_1833 =
						BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_toz00_61);
					BgL_froz00_1834 =
						BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_fromz00_60);
					{	/* Coerce/convert.scm 249 */
						bool_t BgL_testz00_3054;

						if ((((obj_t) BgL_froz00_1834) == ((obj_t) BgL_toz00_1833)))
							{	/* Coerce/convert.scm 249 */
								BgL_testz00_3054 = ((bool_t) 1);
							}
						else
							{	/* Coerce/convert.scm 249 */
								BgL_testz00_3054 =
									(((BgL_typez00_bglt) CREF(BgL_froz00_1834))->BgL_magiczf3zf3);
							}
						if (BgL_testz00_3054)
							{	/* Coerce/convert.scm 249 */
								return BgL_nodez00_59;
							}
						else
							{	/* Coerce/convert.scm 251 */
								obj_t BgL_coercerz00_1837;
								obj_t BgL_locz00_1838;

								BgL_coercerz00_1837 =
									BGl_findzd2coercerzd2zztype_coercionz00(BgL_froz00_1834,
									BgL_toz00_1833);
								BgL_locz00_1838 =
									(((BgL_nodez00_bglt) CREF(BgL_nodez00_59))->BgL_locz00);
								{	/* Coerce/convert.scm 253 */
									bool_t BgL_testz00_3062;

									if (STRUCTP(BgL_coercerz00_1837))
										{	/* Coerce/convert.scm 253 */
											BgL_testz00_3062 =
												(STRUCT_KEY(BgL_coercerz00_1837) ==
												CNST_TABLE_REF(((long) 8)));
										}
									else
										{	/* Coerce/convert.scm 253 */
											BgL_testz00_3062 = ((bool_t) 0);
										}
									if (BgL_testz00_3062)
										{	/* Coerce/convert.scm 257 */
											obj_t BgL_g1143z00_1840;
											obj_t BgL_g1144z00_1841;

											BgL_g1143z00_1840 =
												STRUCT_REF(BgL_coercerz00_1837, (int) (((long) 2)));
											BgL_g1144z00_1841 =
												STRUCT_REF(BgL_coercerz00_1837, (int) (((long) 3)));
											{
												obj_t BgL_checksz00_1843;
												obj_t BgL_coercesz00_1844;
												BgL_nodez00_bglt BgL_nodez00_1845;

												{
													obj_t BgL_auxz00_3072;

													BgL_checksz00_1843 = BgL_g1143z00_1840;
													BgL_coercesz00_1844 = BgL_g1144z00_1841;
													BgL_nodez00_1845 = BgL_nodez00_59;
												BgL_zc3anonymousza31753ze3z83_1846:
													if (NULLP(BgL_checksz00_1843))
														{	/* Coerce/convert.scm 261 */
															if (NULLP(BgL_coercesz00_1844))
																{	/* Coerce/convert.scm 262 */
																	BgL_auxz00_3072 = ((obj_t) BgL_nodez00_1845);
																}
															else
																{	/* Coerce/convert.scm 265 */
																	obj_t BgL_arg1756z00_1849;
																	obj_t BgL_arg1757z00_1850;

																	BgL_arg1756z00_1849 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_fromz00_60));
																	BgL_arg1757z00_1850 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_toz00_1833));
																	BgL_auxz00_3072 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string1993z00zzcoerce_convertz00,
																		BgL_arg1756z00_1849, BgL_arg1757z00_1850);
																}
														}
													else
														{	/* Coerce/convert.scm 261 */
															if (NULLP(BgL_coercesz00_1844))
																{	/* Coerce/convert.scm 269 */
																	obj_t BgL_arg1759z00_1852;
																	obj_t BgL_arg1760z00_1853;

																	BgL_arg1759z00_1852 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_fromz00_60));
																	BgL_arg1760z00_1853 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_toz00_1833));
																	BgL_auxz00_3072 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string1993z00zzcoerce_convertz00,
																		BgL_arg1759z00_1852, BgL_arg1760z00_1853);
																}
															else
																{
																	BgL_nodez00_bglt BgL_nodez00_3094;
																	obj_t BgL_coercesz00_3092;
																	obj_t BgL_checksz00_3090;

																	BgL_checksz00_3090 = CDR(BgL_checksz00_1843);
																	BgL_coercesz00_3092 =
																		CDR(BgL_coercesz00_1844);
																	BgL_nodez00_3094 =
																		BGl_makezd2onezd2conversionz00zzcoerce_convertz00
																		(CDR(CAR(BgL_checksz00_1843)),
																		CDR(CAR(BgL_coercesz00_1844)),
																		CAR(CAR(BgL_checksz00_1843)),
																		CAR(CAR(BgL_coercesz00_1844)),
																		BgL_nodez00_1845, BgL_safez00_62);
																	BgL_nodez00_1845 = BgL_nodez00_3094;
																	BgL_coercesz00_1844 = BgL_coercesz00_3092;
																	BgL_checksz00_1843 = BgL_checksz00_3090;
																	goto BgL_zc3anonymousza31753ze3z83_1846;
																}
														}
													return ((BgL_nodez00_bglt) BgL_auxz00_3072);
												}
											}
										}
									else
										{	/* Coerce/convert.scm 253 */
											return
												((BgL_nodez00_bglt)
												BGl_convertzd2errorzd2zzcoerce_convertz00
												(BgL_froz00_1834, BgL_toz00_1833, BgL_locz00_1838,
													BgL_nodez00_59));
										}
								}
							}
					}
				}
		}
	}



/* &convert! */
	BgL_nodez00_bglt BGl_z62convertz12z70zzcoerce_convertz00(obj_t
		BgL_envz00_2467, obj_t BgL_nodez00_2468, obj_t BgL_fromz00_2469,
		obj_t BgL_toz00_2470, obj_t BgL_safez00_2471)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 241 */
			return
				BGl_convertz12z12zzcoerce_convertz00(
				((BgL_nodez00_bglt) BgL_nodez00_2468),
				((BgL_typez00_bglt) BgL_fromz00_2469),
				((BgL_typez00_bglt) BgL_toz00_2470), CBOOL(BgL_safez00_2471));
		}
	}



/* make-one-conversion */
	BgL_nodez00_bglt BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t
		BgL_fromz00_63, obj_t BgL_toz00_64, obj_t BgL_checkopz00_65,
		obj_t BgL_coerceopz00_66, BgL_nodez00_bglt BgL_nodez00_67,
		bool_t BgL_safez00_68)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 290 */
			{	/* Coerce/convert.scm 291 */
				bool_t BgL_testz00_3112;

				if ((BgL_checkopz00_65 == BTRUE))
					{	/* Coerce/convert.scm 291 */
						BgL_testz00_3112 = ((bool_t) 1);
					}
				else
					{	/* Coerce/convert.scm 291 */
						if (BgL_safez00_68)
							{	/* Coerce/convert.scm 291 */
								BgL_testz00_3112 = ((bool_t) 0);
							}
						else
							{	/* Coerce/convert.scm 291 */
								BgL_testz00_3112 = ((bool_t) 1);
							}
					}
				if (BgL_testz00_3112)
					{	/* Coerce/convert.scm 291 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coerceopz00_66,
							BgL_nodez00_67, ((BgL_typez00_bglt) BgL_fromz00_63));
					}
				else
					{	/* Coerce/convert.scm 291 */
						if (BGl_isazf3zf3zz__objectz00(BgL_fromz00_63,
								BGl_tclassz00zzobject_classz00))
							{	/* Coerce/convert.scm 293 */
								return
									BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(
									((BgL_typez00_bglt) BgL_fromz00_63), BgL_toz00_64,
									BgL_checkopz00_65, BgL_coerceopz00_66, BgL_nodez00_67);
							}
						else
							{	/* Coerce/convert.scm 293 */
								return
									BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00
									(BgL_fromz00_63, BgL_toz00_64, BgL_checkopz00_65,
									BgL_coerceopz00_66, BgL_nodez00_67);
							}
					}
			}
		}
	}



/* skip-let-var */
	BgL_nodez00_bglt BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt
		BgL_nodez00_69)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 300 */
		BGl_skipzd2letzd2varz00zzcoerce_convertz00:
			{	/* Coerce/convert.scm 301 */
				bool_t BgL_testz00_3123;

				{	/* Coerce/convert.scm 301 */
					bool_t BgL_res1975z00_2385;

					BgL_res1975z00_2385 =
						BGl_isazf3zf3zz__objectz00(
						((obj_t) BgL_nodez00_69), BGl_letzd2varzd2zzast_nodez00);
					BgL_testz00_3123 = BgL_res1975z00_2385;
				}
				if (BgL_testz00_3123)
					{	/* Coerce/convert.scm 302 */
						BgL_nodez00_bglt BgL_arg1778z00_1868;

						BgL_arg1778z00_1868 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_69)))->BgL_bodyz00);
						{
							BgL_nodez00_bglt BgL_nodez00_3128;

							BgL_nodez00_3128 = BgL_arg1778z00_1868;
							BgL_nodez00_69 = BgL_nodez00_3128;
							goto BGl_skipzd2letzd2varz00zzcoerce_convertz00;
						}
					}
				else
					{	/* Coerce/convert.scm 301 */
						return BgL_nodez00_69;
					}
			}
		}
	}



/* make-one-type-conversion */
	BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t
		BgL_fromz00_70, obj_t BgL_toz00_71, obj_t BgL_checkzd2opzd2_72,
		obj_t BgL_coercezd2opzd2_73, BgL_nodez00_bglt BgL_nodez00_74)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 308 */
			{	/* Coerce/convert.scm 311 */
				obj_t BgL_auxz00_1869;

				BgL_auxz00_1869 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5))));
				{	/* Coerce/convert.scm 311 */
					obj_t BgL_locz00_1870;

					BgL_locz00_1870 =
						(((BgL_nodez00_bglt) CREF(BgL_nodez00_74))->BgL_locz00);
					{	/* Coerce/convert.scm 312 */
						BgL_nodez00_bglt BgL_lnodez00_1871;

						{	/* Coerce/convert.scm 320 */
							obj_t BgL_arg1788z00_1885;

							{	/* Coerce/convert.scm 320 */
								obj_t BgL_arg1789z00_1886;

								{	/* Coerce/convert.scm 320 */
									obj_t BgL_arg1790z00_1887;
									obj_t BgL_arg1791z00_1888;

									{	/* Coerce/convert.scm 320 */
										obj_t BgL_arg1793z00_1889;

										{	/* Coerce/convert.scm 320 */
											obj_t BgL_arg1794z00_1890;
											obj_t BgL_arg1795z00_1891;

											{	/* Coerce/convert.scm 320 */
												obj_t BgL_arg1796z00_1892;

												{	/* Coerce/convert.scm 320 */
													obj_t BgL_arg1797z00_1893;

													BgL_arg1797z00_1893 =
														(((BgL_typez00_bglt) CREF(
																((BgL_typez00_bglt) BgL_fromz00_70)))->
														BgL_idz00);
													BgL_arg1796z00_1892 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_auxz00_1869, BgL_arg1797z00_1893);
												}
												BgL_arg1794z00_1890 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BgL_arg1796z00_1892);
											}
											BgL_arg1795z00_1891 = MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
											BgL_arg1793z00_1889 =
												MAKE_YOUNG_PAIR(BgL_arg1794z00_1890,
												BgL_arg1795z00_1891);
										}
										BgL_arg1790z00_1887 =
											MAKE_YOUNG_PAIR(BgL_arg1793z00_1889, BNIL);
									}
									{	/* Coerce/convert.scm 322 */
										obj_t BgL_arg1798z00_1894;

										{	/* Coerce/convert.scm 322 */
											obj_t BgL_arg1799z00_1895;

											{	/* Coerce/convert.scm 322 */
												obj_t BgL_arg1800z00_1896;
												obj_t BgL_arg1802z00_1897;

												{	/* Coerce/convert.scm 322 */
													obj_t BgL_arg1803z00_1898;

													BgL_arg1803z00_1898 =
														MAKE_YOUNG_PAIR(BgL_auxz00_1869, BNIL);
													BgL_arg1800z00_1896 =
														MAKE_YOUNG_PAIR(BgL_checkzd2opzd2_72,
														BgL_arg1803z00_1898);
												}
												{	/* Coerce/convert.scm 324 */
													obj_t BgL_arg1805z00_1899;

													{	/* Coerce/convert.scm 324 */
														obj_t BgL_arg1807z00_1900;

														{	/* Coerce/convert.scm 324 */
															obj_t BgL_arg1811z00_1901;

															BgL_arg1811z00_1901 =
																(((BgL_typez00_bglt) CREF(
																		((BgL_typez00_bglt) BgL_toz00_71)))->
																BgL_idz00);
															BgL_arg1807z00_1900 =
																BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
																(BgL_locz00_1870, BgL_arg1811z00_1901,
																BgL_auxz00_1869);
														}
														BgL_arg1805z00_1899 =
															MAKE_YOUNG_PAIR(BgL_arg1807z00_1900, BNIL);
													}
													BgL_arg1802z00_1897 =
														MAKE_YOUNG_PAIR(BgL_auxz00_1869,
														BgL_arg1805z00_1899);
												}
												BgL_arg1799z00_1895 =
													MAKE_YOUNG_PAIR(BgL_arg1800z00_1896,
													BgL_arg1802z00_1897);
											}
											BgL_arg1798z00_1894 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 9)),
												BgL_arg1799z00_1895);
										}
										BgL_arg1791z00_1888 =
											MAKE_YOUNG_PAIR(BgL_arg1798z00_1894, BNIL);
									}
									BgL_arg1789z00_1886 =
										MAKE_YOUNG_PAIR(BgL_arg1790z00_1887, BgL_arg1791z00_1888);
								}
								BgL_arg1788z00_1885 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
									BgL_arg1789z00_1886);
							}
							BgL_lnodez00_1871 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg1788z00_1885, BgL_locz00_1870);
						}
						{	/* Coerce/convert.scm 313 */

							BGl_za2checkza2z00zzcoerce_convertz00 =
								(((long) 1) + BGl_za2checkza2z00zzcoerce_convertz00);
							if (CBOOL(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
								{	/* Coerce/convert.scm 83 */
									BGl_notifyzd2typezd2testz00zzcoerce_convertz00(BgL_fromz00_70,
										BgL_toz00_71, BgL_locz00_1870);
								}
							else
								{	/* Coerce/convert.scm 83 */
									BFALSE;
								}
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
								(BgL_lnodez00_1871);
							{	/* Coerce/convert.scm 328 */
								obj_t BgL_varz00_1872;

								{	/* Coerce/convert.scm 328 */
									obj_t BgL_pairz00_2394;

									{	/* Coerce/convert.scm 328 */
										obj_t BgL_pairz00_2393;

										BgL_pairz00_2393 =
											(((BgL_letzd2varzd2_bglt) CREF(
													((BgL_letzd2varzd2_bglt) BgL_lnodez00_1871)))->
											BgL_bindingsz00);
										BgL_pairz00_2394 = CAR(BgL_pairz00_2393);
									}
									BgL_varz00_1872 = CAR(BgL_pairz00_2394);
								}
								{	/* Coerce/convert.scm 328 */
									BgL_nodez00_bglt BgL_coercezd2appzd2_1873;

									{	/* Coerce/convert.scm 330 */
										BgL_varz00_bglt BgL_arg1783z00_1879;

										{	/* Coerce/convert.scm 330 */
											BgL_varz00_bglt BgL_new1146z00_1880;

											{	/* Coerce/convert.scm 331 */
												BgL_varz00_bglt BgL_new1145z00_1881;

												BgL_new1145z00_1881 =
													((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_varz00_bgl))));
												{	/* Coerce/convert.scm 331 */
													long BgL_arg1785z00_1882;

													{	/* Coerce/convert.scm 331 */
														long BgL_res1977z00_2396;

														BgL_res1977z00_2396 =
															BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
														BgL_arg1785z00_1882 = BgL_res1977z00_2396;
													}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1145z00_1881),
														BgL_arg1785z00_1882);
												}
												BgL_new1146z00_1880 = BgL_new1145z00_1881;
											}
											((((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_new1146z00_1880)))->
													BgL_locz00) = ((obj_t) BgL_locz00_1870), BUNSPEC);
											((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																BgL_new1146z00_1880)))->BgL_typez00) =
												((BgL_typez00_bglt)
													BGl_strictzd2nodezd2typez00zzast_nodez00((
															(BgL_typez00_bglt) BgL_toz00_71),
														((BgL_typez00_bglt) BgL_fromz00_70))), BUNSPEC);
											((((BgL_varz00_bglt) CREF(BgL_new1146z00_1880))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_varz00_1872)), BUNSPEC);
											BgL_arg1783z00_1879 = BgL_new1146z00_1880;
										}
										BgL_coercezd2appzd2_1873 =
											BGl_dozd2convertzd2zzcoerce_convertz00
											(BgL_coercezd2opzd2_73,
											((BgL_nodez00_bglt) BgL_arg1783z00_1879),
											((BgL_typez00_bglt) BgL_fromz00_70));
									}
									{	/* Coerce/convert.scm 329 */
										BgL_nodez00_bglt BgL_condnz00_1874;

										BgL_condnz00_1874 =
											BGl_skipzd2letzd2varz00zzcoerce_convertz00
											(BgL_lnodez00_1871);
										{	/* Coerce/convert.scm 335 */

											((((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_1872))))->
													BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BgL_fromz00_70)), BUNSPEC);
											{	/* Coerce/convert.scm 339 */
												obj_t BgL_arg1779z00_1875;

												{	/* Coerce/convert.scm 339 */
													obj_t BgL_pairz00_2402;

													BgL_pairz00_2402 =
														(((BgL_letzd2varzd2_bglt) CREF(
																((BgL_letzd2varzd2_bglt) BgL_lnodez00_1871)))->
														BgL_bindingsz00);
													BgL_arg1779z00_1875 = CAR(BgL_pairz00_2402);
												}
												{	/* Coerce/convert.scm 339 */
													obj_t BgL_tmpz00_3188;

													BgL_tmpz00_3188 = ((obj_t) BgL_nodez00_74);
													SET_CDR(BgL_arg1779z00_1875, BgL_tmpz00_3188);
											}}
											((((BgL_nodez00_bglt) CREF(BgL_nodez00_74))->
													BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BgL_fromz00_70)), BUNSPEC);
											((((BgL_conditionalz00_bglt)
														CREF(((BgL_conditionalz00_bglt)
																BgL_condnz00_1874)))->BgL_truez00) =
												((BgL_nodez00_bglt) BgL_coercezd2appzd2_1873), BUNSPEC);
											{	/* Coerce/convert.scm 343 */
												BgL_nodez00_bglt BgL_arg1781z00_1877;

												{	/* Coerce/convert.scm 343 */
													BgL_nodez00_bglt BgL_arg1782z00_1878;

													BgL_arg1782z00_1878 =
														(((BgL_conditionalz00_bglt) CREF(
																((BgL_conditionalz00_bglt)
																	BgL_condnz00_1874)))->BgL_falsez00);
													BgL_arg1781z00_1877 =
														BGl_coercez12z12zzcoerce_coercez00
														(BgL_arg1782z00_1878, BUNSPEC,
														((BgL_typez00_bglt) BgL_fromz00_70), ((bool_t) 0));
												}
												((((BgL_conditionalz00_bglt) CREF(
																((BgL_conditionalz00_bglt)
																	BgL_condnz00_1874)))->BgL_falsez00) =
													((BgL_nodez00_bglt) BgL_arg1781z00_1877), BUNSPEC);
											}
											BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_lnodez00_1871);
											return BgL_lnodez00_1871;
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* make-one-class-conversion */
	BgL_nodez00_bglt
		BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(BgL_typez00_bglt
		BgL_fromz00_75, obj_t BgL_toz00_76, obj_t BgL_checkzd2opzd2_77,
		obj_t BgL_coercezd2opzd2_78, BgL_nodez00_bglt BgL_nodez00_79)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 353 */
			{	/* Coerce/convert.scm 354 */
				bool_t BgL_testz00_3202;

				if (BGl_isazf3zf3zz__objectz00(BgL_toz00_76,
						BGl_tclassz00zzobject_classz00))
					{	/* Coerce/convert.scm 354 */
						BgL_testz00_3202 =
							BGl_typezd2subclasszf3z21zzobject_classz00(
							((BgL_typez00_bglt) BgL_fromz00_75),
							((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_toz00_76)));
					}
				else
					{	/* Coerce/convert.scm 354 */
						BgL_testz00_3202 = ((bool_t) 0);
					}
				if (BgL_testz00_3202)
					{	/* Coerce/convert.scm 354 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coercezd2opzd2_78,
							BgL_nodez00_79, ((BgL_typez00_bglt) BgL_fromz00_75));
					}
				else
					{	/* Coerce/convert.scm 356 */
						obj_t BgL_auxz00_1905;

						BgL_auxz00_1905 =
							BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5)));
						{	/* Coerce/convert.scm 356 */
							obj_t BgL_aux2z00_1906;

							BgL_aux2z00_1906 =
								BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 10)));
							{	/* Coerce/convert.scm 357 */
								obj_t BgL_locz00_1907;

								BgL_locz00_1907 =
									(((BgL_nodez00_bglt) CREF(BgL_nodez00_79))->BgL_locz00);
								{	/* Coerce/convert.scm 358 */
									BgL_nodez00_bglt BgL_lnodez00_1908;

									{	/* Coerce/convert.scm 361 */
										obj_t BgL_arg1833z00_1932;

										{	/* Coerce/convert.scm 361 */
											obj_t BgL_arg1834z00_1933;

											{	/* Coerce/convert.scm 361 */
												obj_t BgL_arg1835z00_1934;
												obj_t BgL_arg1836z00_1935;

												{	/* Coerce/convert.scm 361 */
													obj_t BgL_arg1837z00_1936;

													{	/* Coerce/convert.scm 361 */
														obj_t BgL_arg1838z00_1937;
														obj_t BgL_arg1839z00_1938;

														{	/* Coerce/convert.scm 361 */
															obj_t BgL_arg1840z00_1939;

															{	/* Coerce/convert.scm 361 */
																obj_t BgL_arg1841z00_1940;

																{	/* Coerce/convert.scm 361 */
																	obj_t BgL_arg1842z00_1941;
																	obj_t BgL_arg1843z00_1942;

																	{	/* Coerce/convert.scm 361 */
																		obj_t BgL_res1979z00_2415;

																		{	/* Coerce/convert.scm 361 */
																			obj_t BgL_arg1377z00_2414;

																			BgL_arg1377z00_2414 =
																				SYMBOL_TO_STRING(BgL_auxz00_1905);
																			BgL_res1979z00_2415 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1377z00_2414);
																		}
																		BgL_arg1842z00_1941 = BgL_res1979z00_2415;
																	}
																	{	/* Coerce/convert.scm 361 */
																		obj_t BgL_res1980z00_2418;

																		{	/* Coerce/convert.scm 361 */
																			obj_t BgL_symbolz00_2416;

																			BgL_symbolz00_2416 =
																				CNST_TABLE_REF(((long) 6));
																			{	/* Coerce/convert.scm 361 */
																				obj_t BgL_arg1377z00_2417;

																				BgL_arg1377z00_2417 =
																					SYMBOL_TO_STRING(BgL_symbolz00_2416);
																				BgL_res1980z00_2418 =
																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																					(BgL_arg1377z00_2417);
																		}}
																		BgL_arg1843z00_1942 = BgL_res1980z00_2418;
																	}
																	BgL_arg1841z00_1940 =
																		string_append(BgL_arg1842z00_1941,
																		BgL_arg1843z00_1942);
																}
																BgL_arg1840z00_1939 =
																	bstring_to_symbol(BgL_arg1841z00_1940);
															}
															BgL_arg1838z00_1937 =
																BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																(BgL_arg1840z00_1939);
														}
														BgL_arg1839z00_1938 =
															MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
														BgL_arg1837z00_1936 =
															MAKE_YOUNG_PAIR(BgL_arg1838z00_1937,
															BgL_arg1839z00_1938);
													}
													BgL_arg1835z00_1934 =
														MAKE_YOUNG_PAIR(BgL_arg1837z00_1936, BNIL);
												}
												{	/* Coerce/convert.scm 363 */
													obj_t BgL_arg1844z00_1943;

													{	/* Coerce/convert.scm 363 */
														obj_t BgL_arg1845z00_1944;

														{	/* Coerce/convert.scm 363 */
															obj_t BgL_arg1846z00_1945;
															obj_t BgL_arg1847z00_1946;

															{	/* Coerce/convert.scm 363 */
																obj_t BgL_arg1849z00_1947;

																{	/* Coerce/convert.scm 363 */
																	obj_t BgL_arg1850z00_1948;
																	obj_t BgL_arg1851z00_1949;

																	{	/* Coerce/convert.scm 363 */
																		obj_t BgL_arg1852z00_1950;

																		{	/* Coerce/convert.scm 363 */
																			obj_t BgL_arg1853z00_1951;

																			{	/* Coerce/convert.scm 363 */
																				obj_t BgL_arg1854z00_1952;
																				obj_t BgL_arg1855z00_1953;

																				{	/* Coerce/convert.scm 363 */
																					obj_t BgL_res1982z00_2423;

																					{	/* Coerce/convert.scm 363 */
																						obj_t BgL_arg1377z00_2422;

																						BgL_arg1377z00_2422 =
																							SYMBOL_TO_STRING
																							(BgL_aux2z00_1906);
																						BgL_res1982z00_2423 =
																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																							(BgL_arg1377z00_2422);
																					}
																					BgL_arg1854z00_1952 =
																						BgL_res1982z00_2423;
																				}
																				{	/* Coerce/convert.scm 363 */
																					obj_t BgL_res1983z00_2426;

																					{	/* Coerce/convert.scm 363 */
																						obj_t BgL_symbolz00_2424;

																						BgL_symbolz00_2424 =
																							CNST_TABLE_REF(((long) 6));
																						{	/* Coerce/convert.scm 363 */
																							obj_t BgL_arg1377z00_2425;

																							BgL_arg1377z00_2425 =
																								SYMBOL_TO_STRING
																								(BgL_symbolz00_2424);
																							BgL_res1983z00_2426 =
																								BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																								(BgL_arg1377z00_2425);
																					}}
																					BgL_arg1855z00_1953 =
																						BgL_res1983z00_2426;
																				}
																				BgL_arg1853z00_1951 =
																					string_append(BgL_arg1854z00_1952,
																					BgL_arg1855z00_1953);
																			}
																			BgL_arg1852z00_1950 =
																				bstring_to_symbol(BgL_arg1853z00_1951);
																		}
																		BgL_arg1850z00_1948 =
																			BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																			(BgL_arg1852z00_1950);
																	}
																	BgL_arg1851z00_1949 =
																		MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
																	BgL_arg1849z00_1947 =
																		MAKE_YOUNG_PAIR(BgL_arg1850z00_1948,
																		BgL_arg1851z00_1949);
																}
																BgL_arg1846z00_1945 =
																	MAKE_YOUNG_PAIR(BgL_arg1849z00_1947, BNIL);
															}
															{	/* Coerce/convert.scm 364 */
																obj_t BgL_arg1856z00_1954;

																{	/* Coerce/convert.scm 364 */
																	obj_t BgL_arg1857z00_1955;

																	{	/* Coerce/convert.scm 364 */
																		obj_t BgL_arg1858z00_1956;
																		obj_t BgL_arg1859z00_1957;

																		{	/* Coerce/convert.scm 364 */
																			obj_t BgL_arg1860z00_1958;

																			BgL_arg1860z00_1958 =
																				MAKE_YOUNG_PAIR(BgL_aux2z00_1906, BNIL);
																			BgL_arg1858z00_1956 =
																				MAKE_YOUNG_PAIR(BgL_checkzd2opzd2_77,
																				BgL_arg1860z00_1958);
																		}
																		{	/* Coerce/convert.scm 366 */
																			obj_t BgL_arg1861z00_1959;

																			{	/* Coerce/convert.scm 366 */
																				obj_t BgL_arg1862z00_1960;

																				{	/* Coerce/convert.scm 366 */
																					obj_t BgL_arg1863z00_1961;

																					BgL_arg1863z00_1961 =
																						(((BgL_typez00_bglt) CREF(
																								((BgL_typez00_bglt)
																									BgL_toz00_76)))->BgL_idz00);
																					BgL_arg1862z00_1960 =
																						BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
																						(BgL_locz00_1907,
																						BgL_arg1863z00_1961,
																						BgL_auxz00_1905);
																				}
																				BgL_arg1861z00_1959 =
																					MAKE_YOUNG_PAIR(BgL_arg1862z00_1960,
																					BNIL);
																			}
																			BgL_arg1859z00_1957 =
																				MAKE_YOUNG_PAIR(BgL_auxz00_1905,
																				BgL_arg1861z00_1959);
																		}
																		BgL_arg1857z00_1955 =
																			MAKE_YOUNG_PAIR(BgL_arg1858z00_1956,
																			BgL_arg1859z00_1957);
																	}
																	BgL_arg1856z00_1954 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 9)),
																		BgL_arg1857z00_1955);
																}
																BgL_arg1847z00_1946 =
																	MAKE_YOUNG_PAIR(BgL_arg1856z00_1954, BNIL);
															}
															BgL_arg1845z00_1944 =
																MAKE_YOUNG_PAIR(BgL_arg1846z00_1945,
																BgL_arg1847z00_1946);
														}
														BgL_arg1844z00_1943 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
															BgL_arg1845z00_1944);
													}
													BgL_arg1836z00_1935 =
														MAKE_YOUNG_PAIR(BgL_arg1844z00_1943, BNIL);
												}
												BgL_arg1834z00_1933 =
													MAKE_YOUNG_PAIR(BgL_arg1835z00_1934,
													BgL_arg1836z00_1935);
											}
											BgL_arg1833z00_1932 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
												BgL_arg1834z00_1933);
										}
										BgL_lnodez00_1908 =
											BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
											(BgL_arg1833z00_1932, BgL_locz00_1907);
									}
									{	/* Coerce/convert.scm 359 */

										BGl_za2checkza2z00zzcoerce_convertz00 =
											(((long) 1) + BGl_za2checkza2z00zzcoerce_convertz00);
										if (CBOOL(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
											{	/* Coerce/convert.scm 83 */
												BGl_notifyzd2typezd2testz00zzcoerce_convertz00(
													((obj_t) BgL_fromz00_75), BgL_toz00_76,
													BgL_locz00_1907);
											}
										else
											{	/* Coerce/convert.scm 83 */
												BFALSE;
											}
										BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
											(BgL_lnodez00_1908);
										{	/* Coerce/convert.scm 370 */
											obj_t BgL_varz00_1909;

											{	/* Coerce/convert.scm 370 */
												obj_t BgL_pairz00_2434;

												{	/* Coerce/convert.scm 370 */
													obj_t BgL_pairz00_2433;

													BgL_pairz00_2433 =
														(((BgL_letzd2varzd2_bglt) CREF(
																((BgL_letzd2varzd2_bglt) BgL_lnodez00_1908)))->
														BgL_bindingsz00);
													BgL_pairz00_2434 = CAR(BgL_pairz00_2433);
												}
												BgL_varz00_1909 = CAR(BgL_pairz00_2434);
											}
											{	/* Coerce/convert.scm 370 */
												BgL_nodez00_bglt BgL_coercezd2appzd2_1910;

												{	/* Coerce/convert.scm 372 */
													BgL_varz00_bglt BgL_arg1829z00_1926;

													{	/* Coerce/convert.scm 372 */
														BgL_varz00_bglt BgL_new1148z00_1927;

														{	/* Coerce/convert.scm 373 */
															BgL_varz00_bglt BgL_new1147z00_1928;

															BgL_new1147z00_1928 =
																((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																			BgL_varz00_bgl))));
															{	/* Coerce/convert.scm 373 */
																long BgL_arg1830z00_1929;

																{	/* Coerce/convert.scm 373 */
																	long BgL_res1986z00_2436;

																	BgL_res1986z00_2436 =
																		BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
																	BgL_arg1830z00_1929 = BgL_res1986z00_2436;
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1147z00_1928),
																	BgL_arg1830z00_1929);
															}
															BgL_new1148z00_1927 = BgL_new1147z00_1928;
														}
														((((BgL_nodez00_bglt) CREF(
																		((BgL_nodez00_bglt) BgL_new1148z00_1927)))->
																BgL_locz00) =
															((obj_t) BgL_locz00_1907), BUNSPEC);
														((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																			BgL_new1148z00_1927)))->BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BgL_fromz00_75)), BUNSPEC);
														((((BgL_varz00_bglt) CREF(BgL_new1148z00_1927))->
																BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_varz00_1909)), BUNSPEC);
														BgL_arg1829z00_1926 = BgL_new1148z00_1927;
													}
													BgL_coercezd2appzd2_1910 =
														BGl_dozd2convertzd2zzcoerce_convertz00
														(BgL_coercezd2opzd2_78,
														((BgL_nodez00_bglt) BgL_arg1829z00_1926),
														((BgL_typez00_bglt) BgL_fromz00_75));
												}
												{	/* Coerce/convert.scm 371 */
													BgL_nodez00_bglt BgL_condnz00_1911;

													BgL_condnz00_1911 =
														BGl_skipzd2letzd2varz00zzcoerce_convertz00
														(BgL_lnodez00_1908);
													{	/* Coerce/convert.scm 377 */

														((((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_varz00_1909))))->
																BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BgL_fromz00_75)), BUNSPEC);
														{	/* Coerce/convert.scm 381 */
															obj_t BgL_arg1816z00_1912;

															{	/* Coerce/convert.scm 381 */
																obj_t BgL_pairz00_2442;

																BgL_pairz00_2442 =
																	(((BgL_letzd2varzd2_bglt) CREF(
																			((BgL_letzd2varzd2_bglt)
																				BgL_lnodez00_1908)))->BgL_bindingsz00);
																BgL_arg1816z00_1912 = CAR(BgL_pairz00_2442);
															}
															{	/* Coerce/convert.scm 381 */
																obj_t BgL_tmpz00_3289;

																BgL_tmpz00_3289 = ((obj_t) BgL_nodez00_79);
																SET_CDR(BgL_arg1816z00_1912, BgL_tmpz00_3289);
														}}
														{	/* Coerce/convert.scm 382 */
															obj_t BgL_binding2z00_1914;

															{	/* Coerce/convert.scm 382 */
																obj_t BgL_pairz00_2446;

																BgL_pairz00_2446 =
																	(((BgL_letzd2varzd2_bglt) CREF(
																			((BgL_letzd2varzd2_bglt)
																				(((BgL_letzd2varzd2_bglt) CREF(
																							((BgL_letzd2varzd2_bglt)
																								BgL_lnodez00_1908)))->
																					BgL_bodyz00))))->BgL_bindingsz00);
																BgL_binding2z00_1914 = CAR(BgL_pairz00_2446);
															}
															{	/* Coerce/convert.scm 383 */
																BgL_castz00_bglt BgL_arg1818z00_1915;

																{	/* Coerce/convert.scm 383 */
																	BgL_castz00_bglt BgL_new1150z00_1916;

																	{	/* Coerce/convert.scm 384 */
																		BgL_castz00_bglt BgL_new1149z00_1920;

																		BgL_new1149z00_1920 =
																			((BgL_castz00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_castz00_bgl))));
																		{	/* Coerce/convert.scm 384 */
																			long BgL_arg1822z00_1921;

																			{	/* Coerce/convert.scm 384 */
																				long BgL_res1987z00_2448;

																				BgL_res1987z00_2448 =
																					BGL_CLASS_INDEX
																					(BGl_castz00zzast_nodez00);
																				BgL_arg1822z00_1921 =
																					BgL_res1987z00_2448;
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1149z00_1920),
																				BgL_arg1822z00_1921);
																		}
																		{	/* Coerce/convert.scm 384 */
																			BgL_objectz00_bglt BgL_tmpz00_3301;

																			BgL_tmpz00_3301 =
																				((BgL_objectz00_bglt)
																				BgL_new1149z00_1920);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3301,
																				BFALSE);
																		}
																		BgL_new1150z00_1916 = BgL_new1149z00_1920;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1150z00_1916)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_1907), BUNSPEC);
																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																						BgL_new1150z00_1916)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2objza2z00zztype_cachez00)),
																		BUNSPEC);
																	{
																		BgL_nodez00_bglt BgL_auxz00_3309;

																		{	/* Coerce/convert.scm 386 */
																			BgL_varz00_bglt BgL_new1152z00_1917;

																			{	/* Coerce/convert.scm 387 */
																				BgL_varz00_bglt BgL_new1151z00_1918;

																				BgL_new1151z00_1918 =
																					((BgL_varz00_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_varz00_bgl))));
																				{	/* Coerce/convert.scm 387 */
																					long BgL_arg1819z00_1919;

																					{	/* Coerce/convert.scm 387 */
																						long BgL_res1988z00_2452;

																						{	/* Coerce/convert.scm 387 */
																							obj_t BgL_classz00_2451;

																							BgL_classz00_2451 =
																								BGl_varz00zzast_nodez00;
																							BgL_res1988z00_2452 =
																								BGL_CLASS_INDEX
																								(BgL_classz00_2451);
																						}
																						BgL_arg1819z00_1919 =
																							BgL_res1988z00_2452;
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1151z00_1918),
																						BgL_arg1819z00_1919);
																				}
																				BgL_new1152z00_1917 =
																					BgL_new1151z00_1918;
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_new1152z00_1917)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_1907), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_new1152z00_1917)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BgL_fromz00_75)), BUNSPEC);
																			((((BgL_varz00_bglt)
																						CREF(BgL_new1152z00_1917))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) (
																						(BgL_variablez00_bglt)
																						BgL_varz00_1909)), BUNSPEC);
																			BgL_auxz00_3309 =
																				((BgL_nodez00_bglt)
																				BgL_new1152z00_1917);
																		}
																		((((BgL_castz00_bglt)
																					CREF(BgL_new1150z00_1916))->
																				BgL_argz00) =
																			((BgL_nodez00_bglt) BgL_auxz00_3309),
																			BUNSPEC);
																	}
																	BgL_arg1818z00_1915 = BgL_new1150z00_1916;
																}
																{	/* Coerce/convert.scm 383 */
																	obj_t BgL_tmpz00_3323;

																	BgL_tmpz00_3323 =
																		((obj_t) BgL_arg1818z00_1915);
																	SET_CDR(BgL_binding2z00_1914,
																		BgL_tmpz00_3323);
														}}}
														((((BgL_conditionalz00_bglt) CREF(
																		((BgL_conditionalz00_bglt)
																			BgL_condnz00_1911)))->BgL_truez00) =
															((BgL_nodez00_bglt) BgL_coercezd2appzd2_1910),
															BUNSPEC);
														{	/* Coerce/convert.scm 392 */
															BgL_nodez00_bglt BgL_arg1827z00_1924;

															{	/* Coerce/convert.scm 392 */
																BgL_nodez00_bglt BgL_arg1828z00_1925;

																BgL_arg1828z00_1925 =
																	(((BgL_conditionalz00_bglt) CREF(
																			((BgL_conditionalz00_bglt)
																				BgL_condnz00_1911)))->BgL_falsez00);
																BgL_arg1827z00_1924 =
																	BGl_coercez12z12zzcoerce_coercez00
																	(BgL_arg1828z00_1925, BUNSPEC,
																	((BgL_typez00_bglt) BgL_fromz00_75),
																	((bool_t) 0));
															}
															((((BgL_conditionalz00_bglt) CREF(
																			((BgL_conditionalz00_bglt)
																				BgL_condnz00_1911)))->BgL_falsez00) =
																((BgL_nodez00_bglt) BgL_arg1827z00_1924),
																BUNSPEC);
														}
														BGl_lvtypezd2nodez12zc0zzast_lvtypez00
															(BgL_lnodez00_1908);
														return BgL_lnodez00_1908;
													}
												}
											}
										}
									}
								}
							}
						}
					}
			}
		}
	}



/* do-convert */
	BgL_nodez00_bglt BGl_dozd2convertzd2zzcoerce_convertz00(obj_t
		BgL_coercezd2opzd2_80, BgL_nodez00_bglt BgL_nodez00_81,
		BgL_typez00_bglt BgL_fromz00_82)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 402 */
			if ((BgL_coercezd2opzd2_80 == BTRUE))
				{	/* Coerce/convert.scm 405 */
					return BgL_nodez00_81;
				}
			else
				{	/* Coerce/convert.scm 407 */
					BgL_nodez00_bglt BgL_nnodez00_1964;

					{	/* Coerce/convert.scm 407 */
						obj_t BgL_arg1865z00_1965;
						obj_t BgL_arg1866z00_1966;

						{	/* Coerce/convert.scm 407 */
							obj_t BgL_arg1867z00_1967;

							BgL_arg1867z00_1967 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_nodez00_81), BNIL);
							BgL_arg1865z00_1965 =
								MAKE_YOUNG_PAIR(BgL_coercezd2opzd2_80, BgL_arg1867z00_1967);
						}
						BgL_arg1866z00_1966 =
							(((BgL_nodez00_bglt) CREF(BgL_nodez00_81))->BgL_locz00);
						BgL_nnodez00_1964 =
							BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
							(BgL_arg1865z00_1965, BgL_arg1866z00_1966);
					}
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nnodez00_1964);
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nnodez00_1964);
					return BgL_nnodez00_1964;
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1994z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 209108747),
				BSTRING_TO_STRING(BGl_string1994z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1994z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1994z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1994z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1994z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1994z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1994z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1994z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string1994z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1994z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string1994z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1994z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1994z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1994z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1994z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1994z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string1994z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string1994z00zzcoerce_convertz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string1994z00zzcoerce_convertz00));
		}
	}

#ifdef __cplusplus
}
#endif
