/*===========================================================================*/
/*   (Sync/failsafe.scm)                                                     */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Sync/failsafe.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_failsafezd2funzf3z21zzsync_failsafez00(BgL_funz00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzsync_failsafez00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsync_failsafez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2letzd2fun1306z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2app1286z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2boxzd2setz121314z83zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2makezd2box1310z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_za2optimzd2synczd2failsafezf3za2zf3zzengine_paramz00;
	static obj_t BGl_z62failsafezf3z91zzsync_failsafez00(obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsync_failsafez00();
	static obj_t BGl_z62failsafezd2funzf3z43zzsync_failsafez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2letzd2var1308z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezd2funzf31287z43zzsync_failsafez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_failsafezf3zf3zzsync_failsafez00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62failsafezf3zd2cast1298z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_syncz00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzsync_failsafez00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_z62failsafezd2funzf3zd2sfun1290z91zzsync_failsafez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2sequence1282z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzsync_failsafez00();
	static obj_t BGl_z62failsafezf3zd2extern1294z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsync_failsafez00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2var1278z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2atom1276z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2kwote1280z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2pragma1296z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl_z62failsafezd2funzf3zd2cfun1292z91zzsync_failsafez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsync_failsafez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2setq1300z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzsync_failsafez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsync_failsafez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzsync_failsafez00();
	static obj_t BGl_z62failsafezf3zd2select1304z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2conditiona1302z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62failsafezd2synczf3z43zzsync_failsafez00(obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2boxzd2ref1312z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2sync1284z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf31273z91zzsync_failsafez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1752z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3121782z00,
		BGl_z62failsafezf31273z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1754z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1783z00,
		BGl_z62failsafezd2funzf31287z43zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1756z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1784za7,
		BGl_z62failsafezf3zd2atom1276z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1758z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1785za7,
		BGl_z62failsafezf3zd2var1278z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1759z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1786za7,
		BGl_z62failsafezf3zd2kwote1280z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1760z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1787za7,
		BGl_z62failsafezf3zd2sequence1282z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1761z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1788za7,
		BGl_z62failsafezf3zd2sync1284z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1762z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1789za7,
		BGl_z62failsafezf3zd2app1286z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1763z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1790z00,
		BGl_z62failsafezd2funzf3zd2sfun1290z91zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1765z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1791z00,
		BGl_z62failsafezd2funzf3zd2cfun1292z91zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1766z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1792za7,
		BGl_z62failsafezf3zd2extern1294z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1767z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1793za7,
		BGl_z62failsafezf3zd2pragma1296z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1768z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1794za7,
		BGl_z62failsafezf3zd2cast1298z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1769z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1795za7,
		BGl_z62failsafezf3zd2setq1300z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failsafezd2synczf3zd2envzf3zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2sy1796z00,
		BGl_z62failsafezd2synczf3z43zzsync_failsafez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1770z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1797za7,
		BGl_z62failsafezf3zd2conditiona1302z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1771z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1798za7,
		BGl_z62failsafezf3zd2select1304z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1772z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1799za7,
		BGl_z62failsafezf3zd2letzd2fun1306z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1773z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1800za7,
		BGl_z62failsafezf3zd2letzd2var1308z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1774z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1801za7,
		BGl_z62failsafezf3zd2makezd2box1310z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1775z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1802za7,
		BGl_z62failsafezf3zd2boxzd2ref1312z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1776z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1803za7,
		BGl_z62failsafezf3zd2boxzd2setz121314z83zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_failsafezf3zd2envz21zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za791804za7,
		BGl_z62failsafezf3z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1805z00,
		BGl_z62failsafezd2funzf3z43zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1753z00zzsync_failsafez00,
		BgL_bgl_string1753za700za7za7s1806za7, "failsafe?1273", 13);
	      DEFINE_STRING(BGl_string1755z00zzsync_failsafez00,
		BgL_bgl_string1755za700za7za7s1807za7, "failsafe-fun?1287", 17);
	      DEFINE_STRING(BGl_string1757z00zzsync_failsafez00,
		BgL_bgl_string1757za700za7za7s1808za7, "failsafe?", 9);
	      DEFINE_STRING(BGl_string1764z00zzsync_failsafez00,
		BgL_bgl_string1764za700za7za7s1809za7, "failsafe-fun?", 13);
	      DEFINE_STRING(BGl_string1777z00zzsync_failsafez00,
		BgL_bgl_string1777za700za7za7s1810za7, "sync_failsafe", 13);
	      DEFINE_STRING(BGl_string1778z00zzsync_failsafez00,
		BgL_bgl_string1778za700za7za7s1811za7, "fail-safe ", 10);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsync_failsafez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsync_failsafez00(long
		BgL_checksumz00_2254, char *BgL_fromz00_2255)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsync_failsafez00))
				{
					BGl_requirezd2initializa7ationz75zzsync_failsafez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsync_failsafez00();
					BGl_libraryzd2moduleszd2initz00zzsync_failsafez00();
					BGl_cnstzd2initzd2zzsync_failsafez00();
					BGl_importedzd2moduleszd2initz00zzsync_failsafez00();
					BGl_genericzd2initzd2zzsync_failsafez00();
					BGl_methodzd2initzd2zzsync_failsafez00();
					return BGl_toplevelzd2initzd2zzsync_failsafez00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"sync_failsafe");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			{	/* Sync/failsafe.scm 16 */
				obj_t BgL_cportz00_2175;

				{	/* Sync/failsafe.scm 16 */
					obj_t BgL_startz00_2184;

					BgL_startz00_2184 = BINT(((long) 0));
					{	/* Sync/failsafe.scm 16 */
						obj_t BgL_endz00_2185;

						BgL_endz00_2185 =
							BINT(STRING_LENGTH(BGl_string1778z00zzsync_failsafez00));
						{	/* Sync/failsafe.scm 16 */

							BgL_cportz00_2175 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1778z00zzsync_failsafez00, BgL_startz00_2184,
								BgL_endz00_2185);
				}}}
				{
					long BgL_iz00_2176;

					BgL_iz00_2176 = ((long) 0);
				BgL_loopz00_2177:
					if ((BgL_iz00_2176 == ((long) -1)))
						{	/* Sync/failsafe.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Sync/failsafe.scm 16 */
							{	/* Sync/failsafe.scm 16 */
								obj_t BgL_arg1780z00_2179;

								{	/* Sync/failsafe.scm 16 */

									{	/* Sync/failsafe.scm 16 */
										obj_t BgL_locationz00_2181;

										BgL_locationz00_2181 = BBOOL(((bool_t) 0));
										{	/* Sync/failsafe.scm 16 */

											BgL_arg1780z00_2179 =
												BGl_readz00zz__readerz00(BgL_cportz00_2175,
												BgL_locationz00_2181);
										}
									}
								}
								{	/* Sync/failsafe.scm 16 */
									int BgL_tmpz00_2283;

									BgL_tmpz00_2283 = (int) (BgL_iz00_2176);
									CNST_TABLE_SET(BgL_tmpz00_2283, BgL_arg1780z00_2179);
							}}
							{	/* Sync/failsafe.scm 16 */
								int BgL_auxz00_2182;

								BgL_auxz00_2182 = (int) ((BgL_iz00_2176 - ((long) 1)));
								{
									long BgL_iz00_2288;

									BgL_iz00_2288 = (long) (BgL_auxz00_2182);
									BgL_iz00_2176 = BgL_iz00_2288;
									goto BgL_loopz00_2177;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			return BUNSPEC;
		}
	}



/* failsafe-sync? */
	BGL_EXPORTED_DEF obj_t
		BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_syncz00_bglt BgL_nz00_17)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 45 */
			if (CBOOL(BGl_za2optimzd2synczd2failsafezf3za2zf3zzengine_paramz00))
				{	/* Sync/failsafe.scm 46 */
					return
						BGl_failsafezf3zf3zzsync_failsafez00(
						(((BgL_syncz00_bglt) CREF(BgL_nz00_17))->BgL_bodyz00), BNIL);
				}
			else
				{	/* Sync/failsafe.scm 46 */
					return BFALSE;
				}
		}
	}



/* &failsafe-sync? */
	obj_t BGl_z62failsafezd2synczf3z43zzsync_failsafez00(obj_t BgL_envz00_2078,
		obj_t BgL_nz00_2079)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 45 */
			return
				BGl_failsafezd2synczf3z21zzsync_failsafez00(
				((BgL_syncz00_bglt) BgL_nz00_2079));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_proc1752z00zzsync_failsafez00, BGl_nodez00zzast_nodez00,
				BGl_string1753z00zzsync_failsafez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_proc1754z00zzsync_failsafez00, BGl_funz00zzast_varz00,
				BGl_string1755z00zzsync_failsafez00);
		}
	}



/* &failsafe-fun?1287 */
	obj_t BGl_z62failsafezd2funzf31287z43zzsync_failsafez00(obj_t BgL_envz00_2082,
		obj_t BgL_funz00_2083, obj_t BgL_varz00_2084, obj_t BgL_stkz00_2085)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 102 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &failsafe?1273 */
	obj_t BGl_z62failsafezf31273z91zzsync_failsafez00(obj_t BgL_envz00_2086,
		obj_t BgL_nz00_2087, obj_t BgL_stkz00_2088)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 53 */
			return BBOOL(((bool_t) 0));
		}
	}



/* failsafe? */
	obj_t BGl_failsafezf3zf3zzsync_failsafez00(BgL_nodez00_bglt BgL_nz00_18,
		obj_t BgL_stkz00_19)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 53 */
			{	/* Sync/failsafe.scm 53 */
				obj_t BgL_method1274z00_1586;

				{	/* Sync/failsafe.scm 53 */
					obj_t BgL_res1732z00_2010;

					{	/* Sync/failsafe.scm 53 */
						long BgL_objzd2classzd2numz00_1983;

						{	/* Sync/failsafe.scm 53 */
							long BgL_res1726z00_1986;

							BgL_res1726z00_1986 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_18));
							BgL_objzd2classzd2numz00_1983 = BgL_res1726z00_1986;
						}
						{	/* Sync/failsafe.scm 53 */
							obj_t BgL_arg1718z00_1984;

							BgL_arg1718z00_1984 =
								PROCEDURE_REF(BGl_failsafezf3zd2envz21zzsync_failsafez00,
								(int) (((long) 1)));
							{	/* Sync/failsafe.scm 53 */
								int BgL_offsetz00_1988;

								BgL_offsetz00_1988 = (int) (BgL_objzd2classzd2numz00_1983);
								{	/* Sync/failsafe.scm 53 */
									long BgL_offsetz00_1989;

									BgL_offsetz00_1989 =
										((long) (BgL_offsetz00_1988) - OBJECT_TYPE);
									{	/* Sync/failsafe.scm 53 */
										long BgL_modz00_1990;

										{	/* Sync/failsafe.scm 53 */
											int BgL_arg1721z00_1991;

											BgL_arg1721z00_1991 = (int) (((long) 16));
											{	/* Sync/failsafe.scm 53 */
												long BgL_res1729z00_2001;

												{	/* Sync/failsafe.scm 53 */
													long BgL_tmpz00_2309;

													BgL_tmpz00_2309 = (long) (BgL_arg1721z00_1991);
													BgL_res1729z00_2001 =
														(BgL_offsetz00_1989 / BgL_tmpz00_2309);
												}
												BgL_modz00_1990 = BgL_res1729z00_2001;
										}}
										{	/* Sync/failsafe.scm 53 */
											long BgL_restz00_1992;

											{	/* Sync/failsafe.scm 53 */
												int BgL_arg1719z00_1993;

												BgL_arg1719z00_1993 = (int) (((long) 16));
												{	/* Sync/failsafe.scm 53 */
													long BgL_res1731z00_2005;

													{	/* Sync/failsafe.scm 53 */
														long BgL_tmpz00_2313;

														BgL_tmpz00_2313 = (long) (BgL_arg1719z00_1993);
														BgL_res1731z00_2005 =
															(BgL_offsetz00_1989 % BgL_tmpz00_2313);
													}
													BgL_restz00_1992 = BgL_res1731z00_2005;
											}}
											{	/* Sync/failsafe.scm 53 */

												BgL_res1732z00_2010 =
													VECTOR_REF(VECTOR_REF(BgL_arg1718z00_1984,
														(int) (BgL_modz00_1990)), (int) (BgL_restz00_1992));
					}}}}}}}
					BgL_method1274z00_1586 = BgL_res1732z00_2010;
				}
				return
					PROCEDURE_ENTRY(BgL_method1274z00_1586) (BgL_method1274z00_1586,
					((obj_t) BgL_nz00_18), BgL_stkz00_19, BEOA);
			}
		}
	}



/* &failsafe? */
	obj_t BGl_z62failsafezf3z91zzsync_failsafez00(obj_t BgL_envz00_2089,
		obj_t BgL_nz00_2090, obj_t BgL_stkz00_2091)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 53 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				((BgL_nodez00_bglt) BgL_nz00_2090), BgL_stkz00_2091);
		}
	}



/* failsafe-fun? */
	obj_t BGl_failsafezd2funzf3z21zzsync_failsafez00(BgL_funz00_bglt
		BgL_funz00_32, BgL_variablez00_bglt BgL_varz00_33, obj_t BgL_stkz00_34)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 102 */
			{	/* Sync/failsafe.scm 102 */
				obj_t BgL_method1288z00_1587;

				{	/* Sync/failsafe.scm 102 */
					obj_t BgL_res1739z00_2039;

					{	/* Sync/failsafe.scm 102 */
						long BgL_objzd2classzd2numz00_2012;

						{	/* Sync/failsafe.scm 102 */
							long BgL_res1733z00_2015;

							BgL_res1733z00_2015 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_32));
							BgL_objzd2classzd2numz00_2012 = BgL_res1733z00_2015;
						}
						{	/* Sync/failsafe.scm 102 */
							obj_t BgL_arg1718z00_2013;

							BgL_arg1718z00_2013 =
								PROCEDURE_REF(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
								(int) (((long) 1)));
							{	/* Sync/failsafe.scm 102 */
								int BgL_offsetz00_2017;

								BgL_offsetz00_2017 = (int) (BgL_objzd2classzd2numz00_2012);
								{	/* Sync/failsafe.scm 102 */
									long BgL_offsetz00_2018;

									BgL_offsetz00_2018 =
										((long) (BgL_offsetz00_2017) - OBJECT_TYPE);
									{	/* Sync/failsafe.scm 102 */
										long BgL_modz00_2019;

										{	/* Sync/failsafe.scm 102 */
											int BgL_arg1721z00_2020;

											BgL_arg1721z00_2020 = (int) (((long) 16));
											{	/* Sync/failsafe.scm 102 */
												long BgL_res1736z00_2030;

												{	/* Sync/failsafe.scm 102 */
													long BgL_tmpz00_2336;

													BgL_tmpz00_2336 = (long) (BgL_arg1721z00_2020);
													BgL_res1736z00_2030 =
														(BgL_offsetz00_2018 / BgL_tmpz00_2336);
												}
												BgL_modz00_2019 = BgL_res1736z00_2030;
										}}
										{	/* Sync/failsafe.scm 102 */
											long BgL_restz00_2021;

											{	/* Sync/failsafe.scm 102 */
												int BgL_arg1719z00_2022;

												BgL_arg1719z00_2022 = (int) (((long) 16));
												{	/* Sync/failsafe.scm 102 */
													long BgL_res1738z00_2034;

													{	/* Sync/failsafe.scm 102 */
														long BgL_tmpz00_2340;

														BgL_tmpz00_2340 = (long) (BgL_arg1719z00_2022);
														BgL_res1738z00_2034 =
															(BgL_offsetz00_2018 % BgL_tmpz00_2340);
													}
													BgL_restz00_2021 = BgL_res1738z00_2034;
											}}
											{	/* Sync/failsafe.scm 102 */

												BgL_res1739z00_2039 =
													VECTOR_REF(VECTOR_REF(BgL_arg1718z00_2013,
														(int) (BgL_modz00_2019)), (int) (BgL_restz00_2021));
					}}}}}}}
					BgL_method1288z00_1587 = BgL_res1739z00_2039;
				}
				return
					PROCEDURE_ENTRY(BgL_method1288z00_1587) (BgL_method1288z00_1587,
					((obj_t) BgL_funz00_32),
					((obj_t) BgL_varz00_33), BgL_stkz00_34, BEOA);
			}
		}
	}



/* &failsafe-fun? */
	obj_t BGl_z62failsafezd2funzf3z43zzsync_failsafez00(obj_t BgL_envz00_2092,
		obj_t BgL_funz00_2093, obj_t BgL_varz00_2094, obj_t BgL_stkz00_2095)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 102 */
			return
				BGl_failsafezd2funzf3z21zzsync_failsafez00(
				((BgL_funz00_bglt) BgL_funz00_2093),
				((BgL_variablez00_bglt) BgL_varz00_2094), BgL_stkz00_2095);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_atomz00zzast_nodez00,
				BGl_proc1756z00zzsync_failsafez00, BGl_string1757z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_varz00zzast_nodez00,
				BGl_proc1758z00zzsync_failsafez00, BGl_string1757z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_kwotez00zzast_nodez00,
				BGl_proc1759z00zzsync_failsafez00, BGl_string1757z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1760z00zzsync_failsafez00,
				BGl_string1757z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_syncz00zzast_nodez00,
				BGl_proc1761z00zzsync_failsafez00, BGl_string1757z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_appz00zzast_nodez00,
				BGl_proc1762z00zzsync_failsafez00, BGl_string1757z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_sfunz00zzast_varz00, BGl_proc1763z00zzsync_failsafez00,
				BGl_string1764z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_cfunz00zzast_varz00, BGl_proc1765z00zzsync_failsafez00,
				BGl_string1764z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_externz00zzast_nodez00,
				BGl_proc1766z00zzsync_failsafez00, BGl_string1757z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_pragmaz00zzast_nodez00,
				BGl_proc1767z00zzsync_failsafez00, BGl_string1757z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_castz00zzast_nodez00,
				BGl_proc1768z00zzsync_failsafez00, BGl_string1757z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_setqz00zzast_nodez00,
				BGl_proc1769z00zzsync_failsafez00, BGl_string1757z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1770z00zzsync_failsafez00,
				BGl_string1757z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_selectz00zzast_nodez00,
				BGl_proc1771z00zzsync_failsafez00, BGl_string1757z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1772z00zzsync_failsafez00,
				BGl_string1757z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1773z00zzsync_failsafez00,
				BGl_string1757z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1774z00zzsync_failsafez00,
				BGl_string1757z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1775z00zzsync_failsafez00,
				BGl_string1757z00zzsync_failsafez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1776z00zzsync_failsafez00,
				BGl_string1757z00zzsync_failsafez00);
		}
	}



/* &failsafe?-box-set!1314 */
	obj_t BGl_z62failsafezf3zd2boxzd2setz121314z83zzsync_failsafez00(obj_t
		BgL_envz00_2115, obj_t BgL_nz00_2116, obj_t BgL_stkz00_2117)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 216 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_boxzd2setz12zc0_bglt) CREF(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_2116)))->BgL_valuez00),
				BgL_stkz00_2117);
		}
	}



/* &failsafe?-box-ref1312 */
	obj_t BGl_z62failsafezf3zd2boxzd2ref1312z91zzsync_failsafez00(obj_t
		BgL_envz00_2118, obj_t BgL_nz00_2119, obj_t BgL_stkz00_2120)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 210 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &failsafe?-make-box1310 */
	obj_t BGl_z62failsafezf3zd2makezd2box1310z91zzsync_failsafez00(obj_t
		BgL_envz00_2121, obj_t BgL_nz00_2122, obj_t BgL_stkz00_2123)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 203 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_makezd2boxzd2_bglt) CREF(
							((BgL_makezd2boxzd2_bglt) BgL_nz00_2122)))->BgL_valuez00),
				BgL_stkz00_2123);
		}
	}



/* &failsafe?-let-var1308 */
	obj_t BGl_z62failsafezf3zd2letzd2var1308z91zzsync_failsafez00(obj_t
		BgL_envz00_2124, obj_t BgL_nz00_2125, obj_t BgL_stkz00_2126)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 195 */
			{	/* Sync/failsafe.scm 196 */
				bool_t BgL_tmpz00_2384;

				{	/* Sync/failsafe.scm 197 */
					bool_t BgL_testz00_2385;

					{	/* Sync/failsafe.scm 197 */
						BgL_nodez00_bglt BgL_arg1570z00_2196;

						BgL_arg1570z00_2196 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((BgL_letzd2varzd2_bglt) BgL_nz00_2125)))->BgL_bodyz00);
						BgL_testz00_2385 =
							CBOOL(BGl_failsafezf3zf3zzsync_failsafez00(BgL_arg1570z00_2196,
								BgL_stkz00_2126));
					}
					if (BgL_testz00_2385)
						{	/* Sync/failsafe.scm 198 */
							obj_t BgL_g1271z00_2197;

							BgL_g1271z00_2197 =
								(((BgL_letzd2varzd2_bglt) CREF(
										((BgL_letzd2varzd2_bglt) BgL_nz00_2125)))->BgL_bindingsz00);
							{
								obj_t BgL_l1269z00_2199;

								BgL_l1269z00_2199 = BgL_g1271z00_2197;
							BgL_zc3anonymousza31558ze3z83_2198:
								if (NULLP(BgL_l1269z00_2199))
									{	/* Sync/failsafe.scm 198 */
										BgL_tmpz00_2384 = ((bool_t) 1);
									}
								else
									{	/* Sync/failsafe.scm 198 */
										obj_t BgL_nvz00_2200;

										{	/* Sync/failsafe.scm 198 */
											obj_t BgL_bz00_2201;

											BgL_bz00_2201 = CAR(BgL_l1269z00_2199);
											{	/* Sync/failsafe.scm 198 */
												obj_t BgL_arg1568z00_2202;

												BgL_arg1568z00_2202 = CDR(BgL_bz00_2201);
												BgL_nvz00_2200 =
													BGl_failsafezf3zf3zzsync_failsafez00(
													((BgL_nodez00_bglt) BgL_arg1568z00_2202),
													BgL_stkz00_2126);
											}
										}
										if (CBOOL(BgL_nvz00_2200))
											{
												obj_t BgL_l1269z00_2400;

												BgL_l1269z00_2400 = CDR(BgL_l1269z00_2199);
												BgL_l1269z00_2199 = BgL_l1269z00_2400;
												goto BgL_zc3anonymousza31558ze3z83_2198;
											}
										else
											{	/* Sync/failsafe.scm 198 */
												BgL_tmpz00_2384 = ((bool_t) 0);
											}
									}
							}
						}
					else
						{	/* Sync/failsafe.scm 197 */
							BgL_tmpz00_2384 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2384);
			}
		}
	}



/* &failsafe?-let-fun1306 */
	obj_t BGl_z62failsafezf3zd2letzd2fun1306z91zzsync_failsafez00(obj_t
		BgL_envz00_2127, obj_t BgL_nz00_2128, obj_t BgL_stkz00_2129)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 187 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_letzd2funzd2_bglt) CREF(
							((BgL_letzd2funzd2_bglt) BgL_nz00_2128)))->BgL_bodyz00),
				BgL_stkz00_2129);
		}
	}



/* &failsafe?-select1304 */
	obj_t BGl_z62failsafezf3zd2select1304z43zzsync_failsafez00(obj_t
		BgL_envz00_2130, obj_t BgL_nz00_2131, obj_t BgL_stkz00_2132)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 179 */
			{	/* Sync/failsafe.scm 180 */
				bool_t BgL_tmpz00_2406;

				{	/* Sync/failsafe.scm 181 */
					bool_t BgL_testz00_2407;

					{	/* Sync/failsafe.scm 181 */
						BgL_nodez00_bglt BgL_arg1551z00_2205;

						BgL_arg1551z00_2205 =
							(((BgL_selectz00_bglt) CREF(
									((BgL_selectz00_bglt) BgL_nz00_2131)))->BgL_testz00);
						BgL_testz00_2407 =
							CBOOL(BGl_failsafezf3zf3zzsync_failsafez00(BgL_arg1551z00_2205,
								BgL_stkz00_2132));
					}
					if (BgL_testz00_2407)
						{	/* Sync/failsafe.scm 182 */
							obj_t BgL_g1267z00_2206;

							BgL_g1267z00_2206 =
								(((BgL_selectz00_bglt) CREF(
										((BgL_selectz00_bglt) BgL_nz00_2131)))->BgL_clausesz00);
							{
								obj_t BgL_l1265z00_2208;

								BgL_l1265z00_2208 = BgL_g1267z00_2206;
							BgL_zc3anonymousza31542ze3z83_2207:
								if (NULLP(BgL_l1265z00_2208))
									{	/* Sync/failsafe.scm 182 */
										BgL_tmpz00_2406 = ((bool_t) 1);
									}
								else
									{	/* Sync/failsafe.scm 182 */
										obj_t BgL_nvz00_2209;

										{	/* Sync/failsafe.scm 182 */
											obj_t BgL_cz00_2210;

											BgL_cz00_2210 = CAR(BgL_l1265z00_2208);
											{	/* Sync/failsafe.scm 182 */
												obj_t BgL_arg1546z00_2211;

												BgL_arg1546z00_2211 = CDR(BgL_cz00_2210);
												BgL_nvz00_2209 =
													BGl_failsafezf3zf3zzsync_failsafez00(
													((BgL_nodez00_bglt) BgL_arg1546z00_2211),
													BgL_stkz00_2132);
											}
										}
										if (CBOOL(BgL_nvz00_2209))
											{
												obj_t BgL_l1265z00_2422;

												BgL_l1265z00_2422 = CDR(BgL_l1265z00_2208);
												BgL_l1265z00_2208 = BgL_l1265z00_2422;
												goto BgL_zc3anonymousza31542ze3z83_2207;
											}
										else
											{	/* Sync/failsafe.scm 182 */
												BgL_tmpz00_2406 = ((bool_t) 0);
											}
									}
							}
						}
					else
						{	/* Sync/failsafe.scm 181 */
							BgL_tmpz00_2406 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2406);
			}
		}
	}



/* &failsafe?-conditiona1302 */
	obj_t BGl_z62failsafezf3zd2conditiona1302z43zzsync_failsafez00(obj_t
		BgL_envz00_2133, obj_t BgL_nz00_2134, obj_t BgL_stkz00_2135)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 172 */
			{	/* Sync/failsafe.scm 174 */
				obj_t BgL__andtest_1124z00_2213;

				BgL__andtest_1124z00_2213 =
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_conditionalz00_bglt) CREF(
								((BgL_conditionalz00_bglt) BgL_nz00_2134)))->BgL_testz00),
					BgL_stkz00_2135);
				if (CBOOL(BgL__andtest_1124z00_2213))
					{	/* Sync/failsafe.scm 174 */
						obj_t BgL__andtest_1125z00_2214;

						BgL__andtest_1125z00_2214 =
							BGl_failsafezf3zf3zzsync_failsafez00(
							(((BgL_conditionalz00_bglt) CREF(
										((BgL_conditionalz00_bglt) BgL_nz00_2134)))->BgL_truez00),
							BgL_stkz00_2135);
						if (CBOOL(BgL__andtest_1125z00_2214))
							{	/* Sync/failsafe.scm 174 */
								return
									BGl_failsafezf3zf3zzsync_failsafez00(
									(((BgL_conditionalz00_bglt) CREF(
												((BgL_conditionalz00_bglt) BgL_nz00_2134)))->
										BgL_falsez00), BgL_stkz00_2135);
							}
						else
							{	/* Sync/failsafe.scm 174 */
								return BFALSE;
							}
					}
				else
					{	/* Sync/failsafe.scm 174 */
						return BFALSE;
					}
			}
		}
	}



/* &failsafe?-setq1300 */
	obj_t BGl_z62failsafezf3zd2setq1300z43zzsync_failsafez00(obj_t
		BgL_envz00_2136, obj_t BgL_nz00_2137, obj_t BgL_stkz00_2138)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 165 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_setqz00_bglt) CREF(
							((BgL_setqz00_bglt) BgL_nz00_2137)))->BgL_valuez00),
				BgL_stkz00_2138);
		}
	}



/* &failsafe?-cast1298 */
	obj_t BGl_z62failsafezf3zd2cast1298z43zzsync_failsafez00(obj_t
		BgL_envz00_2139, obj_t BgL_nz00_2140, obj_t BgL_stkz00_2141)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 158 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_castz00_bglt) CREF(
							((BgL_castz00_bglt) BgL_nz00_2140)))->BgL_argz00),
				BgL_stkz00_2141);
		}
	}



/* &failsafe?-pragma1296 */
	obj_t BGl_z62failsafezf3zd2pragma1296z43zzsync_failsafez00(obj_t
		BgL_envz00_2142, obj_t BgL_nz00_2143, obj_t BgL_stkz00_2144)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 152 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &failsafe?-extern1294 */
	obj_t BGl_z62failsafezf3zd2extern1294z43zzsync_failsafez00(obj_t
		BgL_envz00_2145, obj_t BgL_nz00_2146, obj_t BgL_stkz00_2147)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 145 */
			{	/* Sync/failsafe.scm 146 */
				bool_t BgL_tmpz00_2445;

				{	/* Sync/failsafe.scm 147 */
					obj_t BgL_g1263z00_2219;

					BgL_g1263z00_2219 =
						(((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_nz00_2146)))->BgL_exprza2za2);
					{
						obj_t BgL_l1261z00_2221;

						BgL_l1261z00_2221 = BgL_g1263z00_2219;
					BgL_zc3anonymousza31510ze3z83_2220:
						if (NULLP(BgL_l1261z00_2221))
							{	/* Sync/failsafe.scm 147 */
								BgL_tmpz00_2445 = ((bool_t) 1);
							}
						else
							{	/* Sync/failsafe.scm 147 */
								obj_t BgL_nvz00_2222;

								{	/* Sync/failsafe.scm 147 */
									obj_t BgL_nz00_2223;

									BgL_nz00_2223 = CAR(BgL_l1261z00_2221);
									BgL_nvz00_2222 =
										BGl_failsafezf3zf3zzsync_failsafez00(
										((BgL_nodez00_bglt) BgL_nz00_2223), BgL_stkz00_2147);
								}
								if (CBOOL(BgL_nvz00_2222))
									{
										obj_t BgL_l1261z00_2455;

										BgL_l1261z00_2455 = CDR(BgL_l1261z00_2221);
										BgL_l1261z00_2221 = BgL_l1261z00_2455;
										goto BgL_zc3anonymousza31510ze3z83_2220;
									}
								else
									{	/* Sync/failsafe.scm 147 */
										BgL_tmpz00_2445 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2445);
			}
		}
	}



/* &failsafe-fun?-cfun1292 */
	obj_t BGl_z62failsafezd2funzf3zd2cfun1292z91zzsync_failsafez00(obj_t
		BgL_envz00_2148, obj_t BgL_funz00_2149, obj_t BgL_varz00_2150,
		obj_t BgL_stkz00_2151)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 130 */
			{	/* Sync/failsafe.scm 133 */
				bool_t BgL_testz00_2458;

				{	/* Sync/failsafe.scm 133 */
					obj_t BgL_tmpz00_2459;

					BgL_tmpz00_2459 =
						(((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt)
									((BgL_cfunz00_bglt) BgL_funz00_2149))))->BgL_failsafez00);
					BgL_testz00_2458 = BOOLEANP(BgL_tmpz00_2459);
				}
				if (BgL_testz00_2458)
					{	/* Sync/failsafe.scm 133 */
						return
							(((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt)
										((BgL_cfunz00_bglt) BgL_funz00_2149))))->BgL_failsafez00);
					}
				else
					{	/* Sync/failsafe.scm 135 */
						bool_t BgL_testz00_2467;

						{	/* Sync/failsafe.scm 135 */
							bool_t BgL_res1747z00_2226;

							BgL_res1747z00_2226 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t)
									((BgL_variablez00_bglt) BgL_varz00_2150)),
								BGl_globalz00zzast_varz00);
							BgL_testz00_2467 = BgL_res1747z00_2226;
						}
						if (BgL_testz00_2467)
							{	/* Sync/failsafe.scm 135 */
								{
									obj_t BgL_auxz00_2471;

									{	/* Sync/failsafe.scm 137 */
										bool_t BgL_tmpz00_2474;

										{	/* Sync/failsafe.scm 137 */
											obj_t BgL_tmpz00_2475;

											BgL_tmpz00_2475 =
												BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF(
													((long) 0)),
												(((BgL_globalz00_bglt)
														CREF(((BgL_globalz00_bglt) ((BgL_variablez00_bglt)
																	BgL_varz00_2150))))->BgL_pragmaz00));
											BgL_tmpz00_2474 = PAIRP(BgL_tmpz00_2475);
										}
										BgL_auxz00_2471 = BBOOL(BgL_tmpz00_2474);
									}
									((((BgL_funz00_bglt) CREF(
													((BgL_funz00_bglt)
														((BgL_cfunz00_bglt) BgL_funz00_2149))))->
											BgL_failsafez00) = ((obj_t) BgL_auxz00_2471), BUNSPEC);
								}
								return
									(((BgL_funz00_bglt) CREF(
											((BgL_funz00_bglt)
												((BgL_cfunz00_bglt) BgL_funz00_2149))))->
									BgL_failsafez00);
							}
						else
							{	/* Sync/failsafe.scm 135 */
								return BFALSE;
							}
					}
			}
		}
	}



/* &failsafe-fun?-sfun1290 */
	obj_t BGl_z62failsafezd2funzf3zd2sfun1290z91zzsync_failsafez00(obj_t
		BgL_envz00_2152, obj_t BgL_funz00_2153, obj_t BgL_varz00_2154,
		obj_t BgL_stkz00_2155)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 108 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t)
							((BgL_variablez00_bglt) BgL_varz00_2154)), BgL_stkz00_2155)))
				{	/* Sync/failsafe.scm 111 */
					return BTRUE;
				}
			else
				{	/* Sync/failsafe.scm 113 */
					bool_t BgL_testz00_2492;

					{	/* Sync/failsafe.scm 113 */
						obj_t BgL_tmpz00_2493;

						BgL_tmpz00_2493 =
							(((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt)
										((BgL_sfunz00_bglt) BgL_funz00_2153))))->BgL_failsafez00);
						BgL_testz00_2492 = BOOLEANP(BgL_tmpz00_2493);
					}
					if (BgL_testz00_2492)
						{	/* Sync/failsafe.scm 113 */
							return
								(((BgL_funz00_bglt) CREF(
										((BgL_funz00_bglt)
											((BgL_sfunz00_bglt) BgL_funz00_2153))))->BgL_failsafez00);
						}
					else
						{	/* Sync/failsafe.scm 115 */
							bool_t BgL_testz00_2501;

							{	/* Sync/failsafe.scm 115 */
								bool_t BgL_testz00_2502;

								{	/* Sync/failsafe.scm 115 */
									bool_t BgL_res1743z00_2229;

									BgL_res1743z00_2229 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t)
											((BgL_variablez00_bglt) BgL_varz00_2154)),
										BGl_globalz00zzast_varz00);
									BgL_testz00_2502 = BgL_res1743z00_2229;
								}
								if (BgL_testz00_2502)
									{	/* Sync/failsafe.scm 115 */
										bool_t BgL_testz00_2506;

										{	/* Sync/failsafe.scm 115 */
											obj_t BgL_arg1485z00_2230;

											BgL_arg1485z00_2230 =
												(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt)
															((BgL_variablez00_bglt) BgL_varz00_2154))))->
												BgL_modulez00);
											BgL_testz00_2506 =
												(BgL_arg1485z00_2230 ==
												BGl_za2moduleza2z00zzmodule_modulez00);
										}
										if (BgL_testz00_2506)
											{	/* Sync/failsafe.scm 115 */
												BgL_testz00_2501 = ((bool_t) 0);
											}
										else
											{	/* Sync/failsafe.scm 115 */
												BgL_testz00_2501 = ((bool_t) 1);
											}
									}
								else
									{	/* Sync/failsafe.scm 115 */
										BgL_testz00_2501 = ((bool_t) 0);
									}
							}
							if (BgL_testz00_2501)
								{	/* Sync/failsafe.scm 115 */
									{
										obj_t BgL_auxz00_2511;

										{	/* Sync/failsafe.scm 118 */
											bool_t BgL_tmpz00_2514;

											{	/* Sync/failsafe.scm 118 */
												obj_t BgL_tmpz00_2515;

												BgL_tmpz00_2515 =
													BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(CNST_TABLE_REF(((long) 0)),
													(((BgL_globalz00_bglt)
															CREF(((BgL_globalz00_bglt) ((BgL_variablez00_bglt)
																		BgL_varz00_2154))))->BgL_pragmaz00));
												BgL_tmpz00_2514 = PAIRP(BgL_tmpz00_2515);
											}
											BgL_auxz00_2511 = BBOOL(BgL_tmpz00_2514);
										}
										((((BgL_funz00_bglt) CREF(
														((BgL_funz00_bglt)
															((BgL_sfunz00_bglt) BgL_funz00_2153))))->
												BgL_failsafez00) = ((obj_t) BgL_auxz00_2511), BUNSPEC);
									}
									return
										(((BgL_funz00_bglt) CREF(
												((BgL_funz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_2153))))->
										BgL_failsafez00);
								}
							else
								{	/* Sync/failsafe.scm 122 */
									obj_t BgL_fsafez00_2231;

									{	/* Sync/failsafe.scm 122 */
										obj_t BgL_arg1481z00_2232;
										obj_t BgL_arg1484z00_2233;

										BgL_arg1481z00_2232 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_funz00_2153)))->BgL_bodyz00);
										BgL_arg1484z00_2233 =
											MAKE_YOUNG_PAIR(
											((obj_t)
												((BgL_variablez00_bglt) BgL_varz00_2154)),
											BgL_stkz00_2155);
										BgL_fsafez00_2231 =
											BGl_failsafezf3zf3zzsync_failsafez00(((BgL_nodez00_bglt)
												BgL_arg1481z00_2232), BgL_arg1484z00_2233);
									}
									if (NULLP(BgL_stkz00_2155))
										{	/* Sync/failsafe.scm 124 */
											((((BgL_funz00_bglt) CREF(
															((BgL_funz00_bglt)
																((BgL_sfunz00_bglt) BgL_funz00_2153))))->
													BgL_failsafez00) =
												((obj_t) BgL_fsafez00_2231), BUNSPEC);
										}
									else
										{	/* Sync/failsafe.scm 124 */
											BFALSE;
										}
									return BgL_fsafez00_2231;
								}
						}
				}
		}
	}



/* &failsafe?-app1286 */
	obj_t BGl_z62failsafezf3zd2app1286z43zzsync_failsafez00(obj_t BgL_envz00_2156,
		obj_t BgL_nz00_2157, obj_t BgL_stkz00_2158)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 93 */
			{	/* Sync/failsafe.scm 94 */
				bool_t BgL_tmpz00_2539;

				{	/* Sync/failsafe.scm 95 */
					BgL_variablez00_bglt BgL_vz00_2235;

					BgL_vz00_2235 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(
											((BgL_appz00_bglt) BgL_nz00_2157)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Sync/failsafe.scm 96 */
						bool_t BgL_testz00_2543;

						{	/* Sync/failsafe.scm 96 */
							BgL_valuez00_bglt BgL_arg1436z00_2236;

							BgL_arg1436z00_2236 =
								(((BgL_variablez00_bglt) CREF(BgL_vz00_2235))->BgL_valuez00);
							BgL_testz00_2543 =
								CBOOL(BGl_failsafezd2funzf3z21zzsync_failsafez00(
									((BgL_funz00_bglt) BgL_arg1436z00_2236), BgL_vz00_2235,
									BgL_stkz00_2158));
						}
						if (BgL_testz00_2543)
							{	/* Sync/failsafe.scm 97 */
								obj_t BgL_g1259z00_2237;

								BgL_g1259z00_2237 =
									(((BgL_appz00_bglt) CREF(
											((BgL_appz00_bglt) BgL_nz00_2157)))->BgL_argsz00);
								{
									obj_t BgL_l1257z00_2239;

									BgL_l1257z00_2239 = BgL_g1259z00_2237;
								BgL_zc3anonymousza31417ze3z83_2238:
									if (NULLP(BgL_l1257z00_2239))
										{	/* Sync/failsafe.scm 97 */
											BgL_tmpz00_2539 = ((bool_t) 1);
										}
									else
										{	/* Sync/failsafe.scm 97 */
											obj_t BgL_nvz00_2240;

											{	/* Sync/failsafe.scm 97 */
												obj_t BgL_nz00_2241;

												BgL_nz00_2241 = CAR(BgL_l1257z00_2239);
												BgL_nvz00_2240 =
													BGl_failsafezf3zf3zzsync_failsafez00(
													((BgL_nodez00_bglt) BgL_nz00_2241), BgL_stkz00_2158);
											}
											if (CBOOL(BgL_nvz00_2240))
												{
													obj_t BgL_l1257z00_2557;

													BgL_l1257z00_2557 = CDR(BgL_l1257z00_2239);
													BgL_l1257z00_2239 = BgL_l1257z00_2557;
													goto BgL_zc3anonymousza31417ze3z83_2238;
												}
											else
												{	/* Sync/failsafe.scm 97 */
													BgL_tmpz00_2539 = ((bool_t) 0);
												}
										}
								}
							}
						else
							{	/* Sync/failsafe.scm 96 */
								BgL_tmpz00_2539 = ((bool_t) 0);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2539);
			}
		}
	}



/* &failsafe?-sync1284 */
	obj_t BGl_z62failsafezf3zd2sync1284z43zzsync_failsafez00(obj_t
		BgL_envz00_2159, obj_t BgL_nz00_2160, obj_t BgL_stkz00_2161)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 84 */
			{	/* Sync/failsafe.scm 86 */
				obj_t BgL__andtest_1112z00_2243;

				BgL__andtest_1112z00_2243 =
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_syncz00_bglt) CREF(
								((BgL_syncz00_bglt) BgL_nz00_2160)))->BgL_mutexz00),
					BgL_stkz00_2161);
				if (CBOOL(BgL__andtest_1112z00_2243))
					{	/* Sync/failsafe.scm 87 */
						obj_t BgL__andtest_1113z00_2244;

						BgL__andtest_1113z00_2244 =
							BGl_failsafezf3zf3zzsync_failsafez00(
							(((BgL_syncz00_bglt) CREF(
										((BgL_syncz00_bglt) BgL_nz00_2160)))->BgL_prelockz00),
							BgL_stkz00_2161);
						if (CBOOL(BgL__andtest_1113z00_2244))
							{	/* Sync/failsafe.scm 87 */
								return
									BGl_failsafezf3zf3zzsync_failsafez00(
									(((BgL_syncz00_bglt) CREF(
												((BgL_syncz00_bglt) BgL_nz00_2160)))->BgL_bodyz00),
									BgL_stkz00_2161);
							}
						else
							{	/* Sync/failsafe.scm 87 */
								return BFALSE;
							}
					}
				else
					{	/* Sync/failsafe.scm 86 */
						return BFALSE;
					}
			}
		}
	}



/* &failsafe?-sequence1282 */
	obj_t BGl_z62failsafezf3zd2sequence1282z43zzsync_failsafez00(obj_t
		BgL_envz00_2162, obj_t BgL_nz00_2163, obj_t BgL_stkz00_2164)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 77 */
			{	/* Sync/failsafe.scm 78 */
				bool_t BgL_tmpz00_2573;

				{	/* Sync/failsafe.scm 79 */
					obj_t BgL_g1255z00_2246;

					BgL_g1255z00_2246 =
						(((BgL_sequencez00_bglt) CREF(
								((BgL_sequencez00_bglt) BgL_nz00_2163)))->BgL_nodesz00);
					{
						obj_t BgL_l1253z00_2248;

						BgL_l1253z00_2248 = BgL_g1255z00_2246;
					BgL_zc3anonymousza31376ze3z83_2247:
						if (NULLP(BgL_l1253z00_2248))
							{	/* Sync/failsafe.scm 79 */
								BgL_tmpz00_2573 = ((bool_t) 1);
							}
						else
							{	/* Sync/failsafe.scm 79 */
								obj_t BgL_nvz00_2249;

								{	/* Sync/failsafe.scm 79 */
									obj_t BgL_nz00_2250;

									BgL_nz00_2250 = CAR(BgL_l1253z00_2248);
									BgL_nvz00_2249 =
										BGl_failsafezf3zf3zzsync_failsafez00(
										((BgL_nodez00_bglt) BgL_nz00_2250), BgL_stkz00_2164);
								}
								if (CBOOL(BgL_nvz00_2249))
									{
										obj_t BgL_l1253z00_2583;

										BgL_l1253z00_2583 = CDR(BgL_l1253z00_2248);
										BgL_l1253z00_2248 = BgL_l1253z00_2583;
										goto BgL_zc3anonymousza31376ze3z83_2247;
									}
								else
									{	/* Sync/failsafe.scm 79 */
										BgL_tmpz00_2573 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2573);
			}
		}
	}



/* &failsafe?-kwote1280 */
	obj_t BGl_z62failsafezf3zd2kwote1280z43zzsync_failsafez00(obj_t
		BgL_envz00_2165, obj_t BgL_nz00_2166, obj_t BgL_stkz00_2167)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 71 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &failsafe?-var1278 */
	obj_t BGl_z62failsafezf3zd2var1278z43zzsync_failsafez00(obj_t BgL_envz00_2168,
		obj_t BgL_nz00_2169, obj_t BgL_stkz00_2170)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 65 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &failsafe?-atom1276 */
	obj_t BGl_z62failsafezf3zd2atom1276z43zzsync_failsafez00(obj_t
		BgL_envz00_2171, obj_t BgL_nz00_2172, obj_t BgL_stkz00_2173)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 59 */
			return BBOOL(((bool_t) 1));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1777z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1777z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1777z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 209108747),
				BSTRING_TO_STRING(BGl_string1777z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1777z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string1777z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1777z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1777z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string1777z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string1777z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1777z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1777z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1777z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string1777z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string1777z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1777z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1777z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1777z00zzsync_failsafez00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string1777z00zzsync_failsafez00));
		}
	}

#ifdef __cplusplus
}
#endif
