/*===========================================================================*/
/*   (Eval/evaluate_uncomp.scm)                                              */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_uncomp.scm -indent -o objs/obj_u/Eval/evaluate_uncomp.c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62uncompzd2ev_setlocal1212zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t
		BGl_z62uncompzd2ev_bindzd2exit1214z62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncomp1189z62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_prog21204zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t
		BGl_z62uncompzd2ev_unwindzd2pro1216z62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_z62uncompzd2ev_goto1230zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_recze70ze7zz__evaluate_uncompz00(obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static obj_t BGl_keyword2031z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2023z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2025z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2027z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2029z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2033z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_labels1228zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2035z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2037z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2039z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2041z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2043z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2045z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2047z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2049z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2051z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2053z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol2055z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_uncompz00();
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_trap1206zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_if1198zb0zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_global1194zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t
		BGl_z62uncompzd2ev_withzd2handl1218z62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_litt1196zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
		BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_let1222zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_redovarsze70ze7zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol1997z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_defglobal1210zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_setglobal1208zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_var1192zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_app1232zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_and1202zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62uncompzd2ev_synchroniza71220z17zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62uncompzd2ev_abs1234zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_letza21224z12zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_letrec1226zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t bstring_to_keyword(obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_or1200zb0zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1995z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncomp1189za7622058z00,
		BGl_z62uncomp1189z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza762za7za7__2059z00,
		BGl_z62uncompz62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2001z00zz__evaluate_uncompz00,
		BgL_bgl_string2001za700za7za7_2060za7, "uncomp", 6);
	      DEFINE_STRING(BGl_string2024z00zz__evaluate_uncompz00,
		BgL_bgl_string2024za700za7za7_2061za7, "lambda", 6);
	      DEFINE_STRING(BGl_string2026z00zz__evaluate_uncompz00,
		BgL_bgl_string2026za700za7za7_2062za7, "letrec", 6);
	      DEFINE_STRING(BGl_string2028z00zz__evaluate_uncompz00,
		BgL_bgl_string2028za700za7za7_2063za7, "let*", 4);
	      DEFINE_STRING(BGl_string2030z00zz__evaluate_uncompz00,
		BgL_bgl_string2030za700za7za7_2064za7, "let", 3);
	      DEFINE_STRING(BGl_string2032z00zz__evaluate_uncompz00,
		BgL_bgl_string2032za700za7za7_2065za7, "prelock", 7);
	      DEFINE_STRING(BGl_string2034z00zz__evaluate_uncompz00,
		BgL_bgl_string2034za700za7za7_2066za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string2036z00zz__evaluate_uncompz00,
		BgL_bgl_string2036za700za7za7_2067za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string2038z00zz__evaluate_uncompz00,
		BgL_bgl_string2038za700za7za7_2068za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string2040z00zz__evaluate_uncompz00,
		BgL_bgl_string2040za700za7za7_2069za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string2042z00zz__evaluate_uncompz00,
		BgL_bgl_string2042za700za7za7_2070za7, "set!", 4);
	      DEFINE_STRING(BGl_string2044z00zz__evaluate_uncompz00,
		BgL_bgl_string2044za700za7za7_2071za7, "define", 6);
	      DEFINE_STRING(BGl_string2046z00zz__evaluate_uncompz00,
		BgL_bgl_string2046za700za7za7_2072za7, "trap", 4);
	      DEFINE_STRING(BGl_string2048z00zz__evaluate_uncompz00,
		BgL_bgl_string2048za700za7za7_2073za7, "begin", 5);
	      DEFINE_STRING(BGl_string2050z00zz__evaluate_uncompz00,
		BgL_bgl_string2050za700za7za7_2074za7, "and", 3);
	      DEFINE_STRING(BGl_string2052z00zz__evaluate_uncompz00,
		BgL_bgl_string2052za700za7za7_2075za7, "or", 2);
	      DEFINE_STRING(BGl_string2054z00zz__evaluate_uncompz00,
		BgL_bgl_string2054za700za7za7_2076za7, "if", 2);
	      DEFINE_STRING(BGl_string2056z00zz__evaluate_uncompz00,
		BgL_bgl_string2056za700za7za7_2077za7, "quote", 5);
	      DEFINE_STRING(BGl_string2057z00zz__evaluate_uncompz00,
		BgL_bgl_string2057za700za7za7_2078za7, "__evaluate_uncomp", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_uncompilezd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompileza762za72079za7,
		BGl_z62uncompilez62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1992z00zz__evaluate_uncompz00,
		BgL_bgl_string1992za700za7za7_2080za7,
		"/tmp/bigloo/runtime/Eval/evaluate_uncomp.scm", 44);
	      DEFINE_STRING(BGl_string1993z00zz__evaluate_uncompz00,
		BgL_bgl_string1993za700za7za7_2081za7, "&uncompile", 10);
	      DEFINE_STRING(BGl_string1994z00zz__evaluate_uncompz00,
		BgL_bgl_string1994za700za7za7_2082za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string1996z00zz__evaluate_uncompz00,
		BgL_bgl_string1996za700za7za7_2083za7, "uncomp1189", 10);
	      DEFINE_STRING(BGl_string1998z00zz__evaluate_uncompz00,
		BgL_bgl_string1998za700za7za7_2084za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1999z00zz__evaluate_uncompz00,
		BgL_bgl_string1999za700za7za7_2085za7, "&uncomp", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2000z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_v2086z00,
		BGl_z62uncompzd2ev_var1192zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2002z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g2087z00,
		BGl_z62uncompzd2ev_global1194zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2003z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2088z00,
		BGl_z62uncompzd2ev_litt1196zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2004z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_i2089z00,
		BGl_z62uncompzd2ev_if1198zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2005z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_o2090z00,
		BGl_z62uncompzd2ev_or1200zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2006z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a2091z00,
		BGl_z62uncompzd2ev_and1202zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2007z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_p2092z00,
		BGl_z62uncompzd2ev_prog21204zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2008z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_t2093z00,
		BGl_z62uncompzd2ev_trap1206zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2009z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s2094z00,
		BGl_z62uncompzd2ev_setglobal1208zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2010z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_d2095z00,
		BGl_z62uncompzd2ev_defglobal1210zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2011z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s2096z00,
		BGl_z62uncompzd2ev_setlocal1212zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2012z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_b2097z00,
		BGl_z62uncompzd2ev_bindzd2exit1214z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2013z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_u2098z00,
		BGl_z62uncompzd2ev_unwindzd2pro1216z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2014z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_w2099z00,
		BGl_z62uncompzd2ev_withzd2handl1218z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2015z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s2100z00,
		BGl_z62uncompzd2ev_synchroniza71220z17zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2016z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2101z00,
		BGl_z62uncompzd2ev_let1222zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2017z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2102z00,
		BGl_z62uncompzd2ev_letza21224z12zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2018z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2103z00,
		BGl_z62uncompzd2ev_letrec1226zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2019z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2104z00,
		BGl_z62uncompzd2ev_labels1228zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2020z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g2105z00,
		BGl_z62uncompzd2ev_goto1230zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2021z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a2106z00,
		BGl_z62uncompzd2ev_app1232zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2022z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a2107z00,
		BGl_z62uncompzd2ev_abs1234zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_keyword2031z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2023z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2025z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2027z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2029z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2033z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2035z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2037z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2039z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2041z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2043z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2045z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2047z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2049z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2051z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2053z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol2055z00zz__evaluate_uncompz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1997z00zz__evaluate_uncompz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long
		BgL_checksumz00_2717, char *BgL_fromz00_2718)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_uncompz00();
					BGl_cnstzd2initzd2zz__evaluate_uncompz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
					BGl_genericzd2initzd2zz__evaluate_uncompz00();
					BGl_methodzd2initzd2zz__evaluate_uncompz00();
					return BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_symbol1997z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1996z00zz__evaluate_uncompz00);
			BGl_symbol2023z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2024z00zz__evaluate_uncompz00);
			BGl_symbol2025z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2026z00zz__evaluate_uncompz00);
			BGl_symbol2027z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2028z00zz__evaluate_uncompz00);
			BGl_symbol2029z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2030z00zz__evaluate_uncompz00);
			BGl_keyword2031z00zz__evaluate_uncompz00 =
				bstring_to_keyword(BGl_string2032z00zz__evaluate_uncompz00);
			BGl_symbol2033z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2034z00zz__evaluate_uncompz00);
			BGl_symbol2035z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2036z00zz__evaluate_uncompz00);
			BGl_symbol2037z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2038z00zz__evaluate_uncompz00);
			BGl_symbol2039z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2040z00zz__evaluate_uncompz00);
			BGl_symbol2041z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2042z00zz__evaluate_uncompz00);
			BGl_symbol2043z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2044z00zz__evaluate_uncompz00);
			BGl_symbol2045z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2046z00zz__evaluate_uncompz00);
			BGl_symbol2047z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2048z00zz__evaluate_uncompz00);
			BGl_symbol2049z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2050z00zz__evaluate_uncompz00);
			BGl_symbol2051z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2052z00zz__evaluate_uncompz00);
			BGl_symbol2053z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2054z00zz__evaluate_uncompz00);
			return (BGl_symbol2055z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string2056z00zz__evaluate_uncompz00), BUNSPEC);
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}
	}



/* uncompile */
	BGL_EXPORTED_DEF obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 62 */
			return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_3);
		}
	}



/* &uncompile */
	obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t BgL_envz00_2389,
		obj_t BgL_ez00_2390)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 62 */
			{	/* Eval/evaluate_uncomp.scm 63 */
				BgL_ev_exprz00_bglt BgL_auxz00_2748;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2390,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 63 */
						BgL_auxz00_2748 = ((BgL_ev_exprz00_bglt) BgL_ez00_2390);
					}
				else
					{
						obj_t BgL_auxz00_2752;

						BgL_auxz00_2752 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1992z00zz__evaluate_uncompz00, BINT(((long) 1816)),
							BGl_string1993z00zz__evaluate_uncompz00,
							BGl_string1994z00zz__evaluate_uncompz00, BgL_ez00_2390);
						FAILURE(BgL_auxz00_2752, BFALSE, BFALSE);
					}
				return BGl_uncompilez00zz__evaluate_uncompz00(BgL_auxz00_2748);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_proc1995z00zz__evaluate_uncompz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1996z00zz__evaluate_uncompz00);
		}
	}



/* &uncomp1189 */
	obj_t BGl_z62uncomp1189z62zz__evaluate_uncompz00(obj_t BgL_envz00_2392,
		obj_t BgL_ez00_2393)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 65 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol1997z00zz__evaluate_uncompz00,
				BGl_string1998z00zz__evaluate_uncompz00,
				((obj_t) ((BgL_ev_exprz00_bglt) BgL_ez00_2393)));
		}
	}



/* uncomp */
	obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				obj_t BgL_method1190z00_1076;

				{	/* Eval/evaluate_uncomp.scm 65 */
					obj_t BgL_res1869z00_1859;

					{	/* Eval/evaluate_uncomp.scm 65 */
						long BgL_objzd2classzd2numz00_1832;

						{	/* Eval/evaluate_uncomp.scm 65 */
							long BgL_res1863z00_1835;

							BgL_res1863z00_1835 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_4));
							BgL_objzd2classzd2numz00_1832 = BgL_res1863z00_1835;
						}
						{	/* Eval/evaluate_uncomp.scm 65 */
							obj_t BgL_arg1857z00_1833;

							BgL_arg1857z00_1833 =
								PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
								(int) (((long) 1)));
							{	/* Eval/evaluate_uncomp.scm 65 */
								int BgL_offsetz00_1837;

								BgL_offsetz00_1837 = (int) (BgL_objzd2classzd2numz00_1832);
								{	/* Eval/evaluate_uncomp.scm 65 */
									long BgL_offsetz00_1838;

									BgL_offsetz00_1838 =
										((long) (BgL_offsetz00_1837) - OBJECT_TYPE);
									{	/* Eval/evaluate_uncomp.scm 65 */
										long BgL_modz00_1839;

										{	/* Eval/evaluate_uncomp.scm 65 */
											int BgL_arg1859z00_1840;

											BgL_arg1859z00_1840 = (int) (((long) 16));
											{	/* Eval/evaluate_uncomp.scm 65 */
												long BgL_res1866z00_1850;

												{	/* Eval/evaluate_uncomp.scm 65 */
													long BgL_tmpz00_2769;

													BgL_tmpz00_2769 = (long) (BgL_arg1859z00_1840);
													BgL_res1866z00_1850 =
														(BgL_offsetz00_1838 / BgL_tmpz00_2769);
												}
												BgL_modz00_1839 = BgL_res1866z00_1850;
										}}
										{	/* Eval/evaluate_uncomp.scm 65 */
											long BgL_restz00_1841;

											{	/* Eval/evaluate_uncomp.scm 65 */
												int BgL_arg1858z00_1842;

												BgL_arg1858z00_1842 = (int) (((long) 16));
												{	/* Eval/evaluate_uncomp.scm 65 */
													long BgL_res1868z00_1854;

													{	/* Eval/evaluate_uncomp.scm 65 */
														long BgL_tmpz00_2773;

														BgL_tmpz00_2773 = (long) (BgL_arg1858z00_1842);
														BgL_res1868z00_1854 =
															(BgL_offsetz00_1838 % BgL_tmpz00_2773);
													}
													BgL_restz00_1841 = BgL_res1868z00_1854;
											}}
											{	/* Eval/evaluate_uncomp.scm 65 */

												BgL_res1869z00_1859 =
													VECTOR_REF(VECTOR_REF(BgL_arg1857z00_1833,
														(int) (BgL_modz00_1839)), (int) (BgL_restz00_1841));
					}}}}}}}
					BgL_method1190z00_1076 = BgL_res1869z00_1859;
				}
				return
					PROCEDURE_ENTRY(BgL_method1190z00_1076) (BgL_method1190z00_1076,
					((obj_t) BgL_ez00_4), BEOA);
			}
		}
	}



/* &uncomp */
	obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t BgL_envz00_2394,
		obj_t BgL_ez00_2395)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				BgL_ev_exprz00_bglt BgL_auxz00_2785;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2395,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 65 */
						BgL_auxz00_2785 = ((BgL_ev_exprz00_bglt) BgL_ez00_2395);
					}
				else
					{
						obj_t BgL_auxz00_2789;

						BgL_auxz00_2789 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1992z00zz__evaluate_uncompz00, BINT(((long) 1830)),
							BGl_string1999z00zz__evaluate_uncompz00,
							BGl_string1994z00zz__evaluate_uncompz00, BgL_ez00_2395);
						FAILURE(BgL_auxz00_2789, BFALSE, BFALSE);
					}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_auxz00_2785);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2000z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2002z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2003z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2004z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_orz00zz__evaluate_typesz00,
				BGl_proc2005z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_andz00zz__evaluate_typesz00,
				BGl_proc2006z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2007z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc2008z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc2009z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc2010z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc2011z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2012z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2013z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2014z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2015z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc2016z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc2017z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2018z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2019z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2020z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2021z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2022z00zz__evaluate_uncompz00,
				BGl_string2001z00zz__evaluate_uncompz00);
		}
	}



/* &uncomp-ev_abs1234 */
	obj_t BGl_z62uncompzd2ev_abs1234zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2418, obj_t BgL_ez00_2419)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 157 */
			{	/* Eval/evaluate_uncomp.scm 166 */
				obj_t BgL_arg1528z00_2472;

				{	/* Eval/evaluate_uncomp.scm 166 */
					obj_t BgL_arg1529z00_2473;
					obj_t BgL_arg1530z00_2474;

					{	/* Eval/evaluate_uncomp.scm 166 */
						obj_t BgL_arg1531z00_2475;
						obj_t BgL_arg1532z00_2476;

						BgL_arg1531z00_2475 =
							(((BgL_ev_absz00_bglt) CREF(
									((BgL_ev_absz00_bglt) BgL_ez00_2419)))->BgL_arityz00);
						{	/* Eval/evaluate_uncomp.scm 166 */
							obj_t BgL_l1174z00_2477;

							BgL_l1174z00_2477 =
								(((BgL_ev_absz00_bglt) CREF(
										((BgL_ev_absz00_bglt) BgL_ez00_2419)))->BgL_varsz00);
							if (NULLP(BgL_l1174z00_2477))
								{	/* Eval/evaluate_uncomp.scm 166 */
									BgL_arg1532z00_2476 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 166 */
									obj_t BgL_head1176z00_2478;

									{	/* Eval/evaluate_uncomp.scm 166 */
										obj_t BgL_res1933z00_2479;

										BgL_res1933z00_2479 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										BgL_head1176z00_2478 = BgL_res1933z00_2479;
									}
									{
										obj_t BgL_l1174z00_2481;
										obj_t BgL_tail1177z00_2482;

										BgL_l1174z00_2481 = BgL_l1174z00_2477;
										BgL_tail1177z00_2482 = BgL_head1176z00_2478;
									BgL_zc3anonymousza31534ze3z83_2480:
										if (NULLP(BgL_l1174z00_2481))
											{	/* Eval/evaluate_uncomp.scm 166 */
												BgL_arg1532z00_2476 = CDR(BgL_head1176z00_2478);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 166 */
												obj_t BgL_newtail1178z00_2483;

												{	/* Eval/evaluate_uncomp.scm 166 */
													obj_t BgL_arg1538z00_2484;

													BgL_arg1538z00_2484 =
														(((BgL_ev_varz00_bglt) CREF(
																((BgL_ev_varz00_bglt)
																	CAR(BgL_l1174z00_2481))))->BgL_namez00);
													{	/* Eval/evaluate_uncomp.scm 166 */
														obj_t BgL_res1940z00_2485;

														BgL_res1940z00_2485 =
															MAKE_YOUNG_PAIR(BgL_arg1538z00_2484, BNIL);
														BgL_newtail1178z00_2483 = BgL_res1940z00_2485;
													}
												}
												SET_CDR(BgL_tail1177z00_2482, BgL_newtail1178z00_2483);
												{
													obj_t BgL_tail1177z00_2833;
													obj_t BgL_l1174z00_2831;

													BgL_l1174z00_2831 = CDR(BgL_l1174z00_2481);
													BgL_tail1177z00_2833 = BgL_newtail1178z00_2483;
													BgL_tail1177z00_2482 = BgL_tail1177z00_2833;
													BgL_l1174z00_2481 = BgL_l1174z00_2831;
													goto BgL_zc3anonymousza31534ze3z83_2480;
												}
											}
									}
								}
						}
						BgL_arg1529z00_2473 =
							BGl_redovarsze70ze7zz__evaluate_uncompz00(BgL_arg1531z00_2475,
							BgL_arg1532z00_2476);
					}
					BgL_arg1530z00_2474 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_absz00_bglt) CREF(
										((BgL_ev_absz00_bglt) BgL_ez00_2419)))->BgL_bodyz00)),
						BNIL);
					BgL_arg1528z00_2472 =
						MAKE_YOUNG_PAIR(BgL_arg1529z00_2473, BgL_arg1530z00_2474);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2023z00zz__evaluate_uncompz00,
					BgL_arg1528z00_2472);
			}
		}
	}



/* rec~0 */
	obj_t BGl_recze70ze7zz__evaluate_uncompz00(obj_t BgL_lz00_1483)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 162 */
			if (NULLP(CDR(BgL_lz00_1483)))
				{	/* Eval/evaluate_uncomp.scm 163 */
					return CAR(BgL_lz00_1483);
				}
			else
				{	/* Eval/evaluate_uncomp.scm 163 */
					return
						MAKE_YOUNG_PAIR(CAR(BgL_lz00_1483),
						BGl_recze70ze7zz__evaluate_uncompz00(CDR(BgL_lz00_1483)));
				}
		}
	}



/* redovars~0 */
	obj_t BGl_redovarsze70ze7zz__evaluate_uncompz00(obj_t BgL_nz00_1478,
		obj_t BgL_lz00_1479)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 165 */
			if (((long) CINT(BgL_nz00_1478) >= ((long) 0)))
				{	/* Eval/evaluate_uncomp.scm 160 */
					return BgL_lz00_1479;
				}
			else
				{	/* Eval/evaluate_uncomp.scm 160 */
					return BGl_recze70ze7zz__evaluate_uncompz00(BgL_lz00_1479);
				}
		}
	}



/* &uncomp-ev_app1232 */
	obj_t BGl_z62uncompzd2ev_app1232zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2420, obj_t BgL_ez00_2421)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 153 */
			{	/* Eval/evaluate_uncomp.scm 155 */
				obj_t BgL_arg1509z00_2487;
				obj_t BgL_arg1510z00_2488;

				BgL_arg1509z00_2487 =
					BGl_uncompz00zz__evaluate_uncompz00(
					(((BgL_ev_appz00_bglt) CREF(
								((BgL_ev_appz00_bglt) BgL_ez00_2421)))->BgL_funz00));
				{	/* Eval/evaluate_uncomp.scm 155 */
					obj_t BgL_arg1514z00_2489;

					{	/* Eval/evaluate_uncomp.scm 155 */
						obj_t BgL_l1168z00_2490;

						BgL_l1168z00_2490 =
							(((BgL_ev_appz00_bglt) CREF(
									((BgL_ev_appz00_bglt) BgL_ez00_2421)))->BgL_argsz00);
						if (NULLP(BgL_l1168z00_2490))
							{	/* Eval/evaluate_uncomp.scm 155 */
								BgL_arg1514z00_2489 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 155 */
								obj_t BgL_head1170z00_2491;

								{	/* Eval/evaluate_uncomp.scm 155 */
									obj_t BgL_arg1526z00_2492;

									{	/* Eval/evaluate_uncomp.scm 155 */
										obj_t BgL_arg1527z00_2493;

										BgL_arg1527z00_2493 = CAR(BgL_l1168z00_2490);
										BgL_arg1526z00_2492 =
											BGl_uncompz00zz__evaluate_uncompz00(
											((BgL_ev_exprz00_bglt) BgL_arg1527z00_2493));
									}
									{	/* Eval/evaluate_uncomp.scm 155 */
										obj_t BgL_res1922z00_2494;

										BgL_res1922z00_2494 =
											MAKE_YOUNG_PAIR(BgL_arg1526z00_2492, BNIL);
										BgL_head1170z00_2491 = BgL_res1922z00_2494;
									}
								}
								{	/* Eval/evaluate_uncomp.scm 155 */
									obj_t BgL_g1173z00_2495;

									BgL_g1173z00_2495 = CDR(BgL_l1168z00_2490);
									{
										obj_t BgL_l1168z00_2497;
										obj_t BgL_tail1171z00_2498;

										BgL_l1168z00_2497 = BgL_g1173z00_2495;
										BgL_tail1171z00_2498 = BgL_head1170z00_2491;
									BgL_zc3anonymousza31516ze3z83_2496:
										if (NULLP(BgL_l1168z00_2497))
											{	/* Eval/evaluate_uncomp.scm 155 */
												BgL_arg1514z00_2489 = BgL_head1170z00_2491;
											}
										else
											{	/* Eval/evaluate_uncomp.scm 155 */
												obj_t BgL_newtail1172z00_2499;

												{	/* Eval/evaluate_uncomp.scm 155 */
													obj_t BgL_arg1519z00_2500;

													{	/* Eval/evaluate_uncomp.scm 155 */
														obj_t BgL_arg1520z00_2501;

														BgL_arg1520z00_2501 = CAR(BgL_l1168z00_2497);
														BgL_arg1519z00_2500 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_arg1520z00_2501));
													}
													{	/* Eval/evaluate_uncomp.scm 155 */
														obj_t BgL_res1928z00_2502;

														BgL_res1928z00_2502 =
															MAKE_YOUNG_PAIR(BgL_arg1519z00_2500, BNIL);
														BgL_newtail1172z00_2499 = BgL_res1928z00_2502;
													}
												}
												SET_CDR(BgL_tail1171z00_2498, BgL_newtail1172z00_2499);
												{
													obj_t BgL_tail1171z00_2874;
													obj_t BgL_l1168z00_2872;

													BgL_l1168z00_2872 = CDR(BgL_l1168z00_2497);
													BgL_tail1171z00_2874 = BgL_newtail1172z00_2499;
													BgL_tail1171z00_2498 = BgL_tail1171z00_2874;
													BgL_l1168z00_2497 = BgL_l1168z00_2872;
													goto BgL_zc3anonymousza31516ze3z83_2496;
												}
											}
									}
								}
							}
					}
					BgL_arg1510z00_2488 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1514z00_2489,
						BNIL);
				}
				return MAKE_YOUNG_PAIR(BgL_arg1509z00_2487, BgL_arg1510z00_2488);
			}
		}
	}



/* &uncomp-ev_goto1230 */
	obj_t BGl_z62uncompzd2ev_goto1230zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2422, obj_t BgL_ez00_2423)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 149 */
			{	/* Eval/evaluate_uncomp.scm 151 */
				obj_t BgL_arg1495z00_2504;
				obj_t BgL_arg1496z00_2505;

				{	/* Eval/evaluate_uncomp.scm 151 */
					BgL_ev_varz00_bglt BgL_arg1497z00_2506;

					BgL_arg1497z00_2506 =
						(((BgL_ev_gotoz00_bglt) CREF(
								((BgL_ev_gotoz00_bglt) BgL_ez00_2423)))->BgL_labelz00);
					BgL_arg1495z00_2504 =
						BGl_uncompz00zz__evaluate_uncompz00(
						((BgL_ev_exprz00_bglt) BgL_arg1497z00_2506));
				}
				{	/* Eval/evaluate_uncomp.scm 151 */
					obj_t BgL_arg1499z00_2507;

					{	/* Eval/evaluate_uncomp.scm 151 */
						obj_t BgL_l1162z00_2508;

						BgL_l1162z00_2508 =
							(((BgL_ev_gotoz00_bglt) CREF(
									((BgL_ev_gotoz00_bglt) BgL_ez00_2423)))->BgL_argsz00);
						if (NULLP(BgL_l1162z00_2508))
							{	/* Eval/evaluate_uncomp.scm 151 */
								BgL_arg1499z00_2507 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 151 */
								obj_t BgL_head1164z00_2509;

								{	/* Eval/evaluate_uncomp.scm 151 */
									obj_t BgL_arg1507z00_2510;

									{	/* Eval/evaluate_uncomp.scm 151 */
										obj_t BgL_arg1508z00_2511;

										BgL_arg1508z00_2511 = CAR(BgL_l1162z00_2508);
										BgL_arg1507z00_2510 =
											BGl_uncompz00zz__evaluate_uncompz00(
											((BgL_ev_exprz00_bglt) BgL_arg1508z00_2511));
									}
									{	/* Eval/evaluate_uncomp.scm 151 */
										obj_t BgL_res1912z00_2512;

										BgL_res1912z00_2512 =
											MAKE_YOUNG_PAIR(BgL_arg1507z00_2510, BNIL);
										BgL_head1164z00_2509 = BgL_res1912z00_2512;
									}
								}
								{	/* Eval/evaluate_uncomp.scm 151 */
									obj_t BgL_g1167z00_2513;

									BgL_g1167z00_2513 = CDR(BgL_l1162z00_2508);
									{
										obj_t BgL_l1162z00_2515;
										obj_t BgL_tail1165z00_2516;

										BgL_l1162z00_2515 = BgL_g1167z00_2513;
										BgL_tail1165z00_2516 = BgL_head1164z00_2509;
									BgL_zc3anonymousza31501ze3z83_2514:
										if (NULLP(BgL_l1162z00_2515))
											{	/* Eval/evaluate_uncomp.scm 151 */
												BgL_arg1499z00_2507 = BgL_head1164z00_2509;
											}
										else
											{	/* Eval/evaluate_uncomp.scm 151 */
												obj_t BgL_newtail1166z00_2517;

												{	/* Eval/evaluate_uncomp.scm 151 */
													obj_t BgL_arg1505z00_2518;

													{	/* Eval/evaluate_uncomp.scm 151 */
														obj_t BgL_arg1506z00_2519;

														BgL_arg1506z00_2519 = CAR(BgL_l1162z00_2515);
														BgL_arg1505z00_2518 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_arg1506z00_2519));
													}
													{	/* Eval/evaluate_uncomp.scm 151 */
														obj_t BgL_res1919z00_2520;

														BgL_res1919z00_2520 =
															MAKE_YOUNG_PAIR(BgL_arg1505z00_2518, BNIL);
														BgL_newtail1166z00_2517 = BgL_res1919z00_2520;
													}
												}
												SET_CDR(BgL_tail1165z00_2516, BgL_newtail1166z00_2517);
												{
													obj_t BgL_tail1165z00_2899;
													obj_t BgL_l1162z00_2897;

													BgL_l1162z00_2897 = CDR(BgL_l1162z00_2515);
													BgL_tail1165z00_2899 = BgL_newtail1166z00_2517;
													BgL_tail1165z00_2516 = BgL_tail1165z00_2899;
													BgL_l1162z00_2515 = BgL_l1162z00_2897;
													goto BgL_zc3anonymousza31501ze3z83_2514;
												}
											}
									}
								}
							}
					}
					BgL_arg1496z00_2505 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1499z00_2507,
						BNIL);
				}
				return MAKE_YOUNG_PAIR(BgL_arg1495z00_2504, BgL_arg1496z00_2505);
			}
		}
	}



/* &uncomp-ev_labels1228 */
	obj_t BGl_z62uncompzd2ev_labels1228zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2424, obj_t BgL_ez00_2425)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 142 */
			{	/* Eval/evaluate_uncomp.scm 144 */
				obj_t BgL_arg1465z00_2522;

				{	/* Eval/evaluate_uncomp.scm 144 */
					obj_t BgL_arg1466z00_2523;
					obj_t BgL_arg1467z00_2524;

					{	/* Eval/evaluate_uncomp.scm 144 */
						obj_t BgL_ll1156z00_2525;
						obj_t BgL_ll1157z00_2526;

						BgL_ll1156z00_2525 =
							(((BgL_ev_labelsz00_bglt) CREF(
									((BgL_ev_labelsz00_bglt) BgL_ez00_2425)))->BgL_varsz00);
						BgL_ll1157z00_2526 =
							(((BgL_ev_labelsz00_bglt) CREF(
									((BgL_ev_labelsz00_bglt) BgL_ez00_2425)))->BgL_valsz00);
						if (NULLP(BgL_ll1156z00_2525))
							{	/* Eval/evaluate_uncomp.scm 144 */
								BgL_arg1466z00_2523 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 144 */
								obj_t BgL_head1158z00_2527;

								{	/* Eval/evaluate_uncomp.scm 144 */
									obj_t BgL_res1900z00_2528;

									BgL_res1900z00_2528 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1158z00_2527 = BgL_res1900z00_2528;
								}
								{
									obj_t BgL_ll1156z00_2530;
									obj_t BgL_ll1157z00_2531;
									obj_t BgL_tail1159z00_2532;

									BgL_ll1156z00_2530 = BgL_ll1156z00_2525;
									BgL_ll1157z00_2531 = BgL_ll1157z00_2526;
									BgL_tail1159z00_2532 = BgL_head1158z00_2527;
								BgL_zc3anonymousza31469ze3z83_2529:
									if (NULLP(BgL_ll1156z00_2530))
										{	/* Eval/evaluate_uncomp.scm 144 */
											BgL_arg1466z00_2523 = CDR(BgL_head1158z00_2527);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 144 */
											obj_t BgL_newtail1160z00_2533;

											{	/* Eval/evaluate_uncomp.scm 144 */
												obj_t BgL_arg1473z00_2534;

												{	/* Eval/evaluate_uncomp.scm 144 */
													obj_t BgL_vz00_2535;
													obj_t BgL_az00_2536;

													BgL_vz00_2535 = CAR(BgL_ll1156z00_2530);
													BgL_az00_2536 = CAR(BgL_ll1157z00_2531);
													{	/* Eval/evaluate_uncomp.scm 144 */
														obj_t BgL_arg1474z00_2537;
														obj_t BgL_arg1475z00_2538;

														BgL_arg1474z00_2537 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2535));
														{	/* Eval/evaluate_uncomp.scm 144 */
															obj_t BgL_arg1478z00_2539;

															{	/* Eval/evaluate_uncomp.scm 144 */
																obj_t BgL_arg1480z00_2540;

																{	/* Eval/evaluate_uncomp.scm 144 */
																	obj_t BgL_arg1481z00_2541;
																	obj_t BgL_arg1482z00_2542;

																	{	/* Eval/evaluate_uncomp.scm 144 */
																		obj_t BgL_l1150z00_2543;

																		BgL_l1150z00_2543 = CAR(BgL_az00_2536);
																		if (NULLP(BgL_l1150z00_2543))
																			{	/* Eval/evaluate_uncomp.scm 144 */
																				BgL_arg1481z00_2541 = BNIL;
																			}
																		else
																			{	/* Eval/evaluate_uncomp.scm 144 */
																				obj_t BgL_head1152z00_2544;

																				{	/* Eval/evaluate_uncomp.scm 144 */
																					obj_t BgL_arg1489z00_2545;

																					{	/* Eval/evaluate_uncomp.scm 144 */
																						obj_t BgL_arg1490z00_2546;

																						BgL_arg1490z00_2546 =
																							CAR(BgL_l1150z00_2543);
																						BgL_arg1489z00_2545 =
																							BGl_uncompz00zz__evaluate_uncompz00
																							(((BgL_ev_exprz00_bglt)
																								BgL_arg1490z00_2546));
																					}
																					{	/* Eval/evaluate_uncomp.scm 144 */
																						obj_t BgL_res1903z00_2547;

																						BgL_res1903z00_2547 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1489z00_2545, BNIL);
																						BgL_head1152z00_2544 =
																							BgL_res1903z00_2547;
																					}
																				}
																				{	/* Eval/evaluate_uncomp.scm 144 */
																					obj_t BgL_g1155z00_2548;

																					BgL_g1155z00_2548 =
																						CDR(BgL_l1150z00_2543);
																					{
																						obj_t BgL_l1150z00_2550;
																						obj_t BgL_tail1153z00_2551;

																						BgL_l1150z00_2550 =
																							BgL_g1155z00_2548;
																						BgL_tail1153z00_2551 =
																							BgL_head1152z00_2544;
																					BgL_zc3anonymousza31484ze3z83_2549:
																						if (NULLP(BgL_l1150z00_2550))
																							{	/* Eval/evaluate_uncomp.scm 144 */
																								BgL_arg1481z00_2541 =
																									BgL_head1152z00_2544;
																							}
																						else
																							{	/* Eval/evaluate_uncomp.scm 144 */
																								obj_t BgL_newtail1154z00_2552;

																								{	/* Eval/evaluate_uncomp.scm 144 */
																									obj_t BgL_arg1487z00_2553;

																									{	/* Eval/evaluate_uncomp.scm 144 */
																										obj_t BgL_arg1488z00_2554;

																										BgL_arg1488z00_2554 =
																											CAR(BgL_l1150z00_2550);
																										BgL_arg1487z00_2553 =
																											BGl_uncompz00zz__evaluate_uncompz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg1488z00_2554));
																									}
																									{	/* Eval/evaluate_uncomp.scm 144 */
																										obj_t BgL_res1909z00_2555;

																										BgL_res1909z00_2555 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1487z00_2553,
																											BNIL);
																										BgL_newtail1154z00_2552 =
																											BgL_res1909z00_2555;
																									}
																								}
																								SET_CDR(BgL_tail1153z00_2551,
																									BgL_newtail1154z00_2552);
																								{
																									obj_t BgL_tail1153z00_2933;
																									obj_t BgL_l1150z00_2931;

																									BgL_l1150z00_2931 =
																										CDR(BgL_l1150z00_2550);
																									BgL_tail1153z00_2933 =
																										BgL_newtail1154z00_2552;
																									BgL_tail1153z00_2551 =
																										BgL_tail1153z00_2933;
																									BgL_l1150z00_2550 =
																										BgL_l1150z00_2931;
																									goto
																										BgL_zc3anonymousza31484ze3z83_2549;
																								}
																							}
																					}
																				}
																			}
																	}
																	{	/* Eval/evaluate_uncomp.scm 145 */
																		obj_t BgL_arg1491z00_2556;

																		{	/* Eval/evaluate_uncomp.scm 145 */
																			obj_t BgL_arg1492z00_2557;

																			BgL_arg1492z00_2557 = CDR(BgL_az00_2536);
																			BgL_arg1491z00_2556 =
																				BGl_uncompz00zz__evaluate_uncompz00(
																				((BgL_ev_exprz00_bglt)
																					BgL_arg1492z00_2557));
																		}
																		BgL_arg1482z00_2542 =
																			MAKE_YOUNG_PAIR(BgL_arg1491z00_2556,
																			BNIL);
																	}
																	BgL_arg1480z00_2540 =
																		MAKE_YOUNG_PAIR(BgL_arg1481z00_2541,
																		BgL_arg1482z00_2542);
																}
																BgL_arg1478z00_2539 =
																	MAKE_YOUNG_PAIR
																	(BGl_symbol2023z00zz__evaluate_uncompz00,
																	BgL_arg1480z00_2540);
															}
															BgL_arg1475z00_2538 =
																MAKE_YOUNG_PAIR(BgL_arg1478z00_2539, BNIL);
														}
														BgL_arg1473z00_2534 =
															MAKE_YOUNG_PAIR(BgL_arg1474z00_2537,
															BgL_arg1475z00_2538);
													}
												}
												{	/* Eval/evaluate_uncomp.scm 144 */
													obj_t BgL_res1910z00_2558;

													BgL_res1910z00_2558 =
														MAKE_YOUNG_PAIR(BgL_arg1473z00_2534, BNIL);
													BgL_newtail1160z00_2533 = BgL_res1910z00_2558;
												}
											}
											SET_CDR(BgL_tail1159z00_2532, BgL_newtail1160z00_2533);
											{
												obj_t BgL_tail1159z00_2948;
												obj_t BgL_ll1157z00_2946;
												obj_t BgL_ll1156z00_2944;

												BgL_ll1156z00_2944 = CDR(BgL_ll1156z00_2530);
												BgL_ll1157z00_2946 = CDR(BgL_ll1157z00_2531);
												BgL_tail1159z00_2948 = BgL_newtail1160z00_2533;
												BgL_tail1159z00_2532 = BgL_tail1159z00_2948;
												BgL_ll1157z00_2531 = BgL_ll1157z00_2946;
												BgL_ll1156z00_2530 = BgL_ll1156z00_2944;
												goto BgL_zc3anonymousza31469ze3z83_2529;
											}
										}
								}
							}
					}
					BgL_arg1467z00_2524 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_labelsz00_bglt) CREF(
										((BgL_ev_labelsz00_bglt) BgL_ez00_2425)))->BgL_bodyz00)),
						BNIL);
					BgL_arg1465z00_2522 =
						MAKE_YOUNG_PAIR(BgL_arg1466z00_2523, BgL_arg1467z00_2524);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2025z00zz__evaluate_uncompz00,
					BgL_arg1465z00_2522);
			}
		}
	}



/* &uncomp-ev_letrec1226 */
	obj_t BGl_z62uncompzd2ev_letrec1226zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2426, obj_t BgL_ez00_2427)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 138 */
			{	/* Eval/evaluate_uncomp.scm 140 */
				obj_t BgL_arg1448z00_2560;

				{	/* Eval/evaluate_uncomp.scm 140 */
					obj_t BgL_arg1449z00_2561;
					obj_t BgL_arg1450z00_2562;

					{	/* Eval/evaluate_uncomp.scm 140 */
						obj_t BgL_ll1144z00_2563;
						obj_t BgL_ll1145z00_2564;

						BgL_ll1144z00_2563 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_2427))))->BgL_varsz00);
						BgL_ll1145z00_2564 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_2427))))->BgL_valsz00);
						if (NULLP(BgL_ll1144z00_2563))
							{	/* Eval/evaluate_uncomp.scm 140 */
								BgL_arg1449z00_2561 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 140 */
								obj_t BgL_head1146z00_2565;

								{	/* Eval/evaluate_uncomp.scm 140 */
									obj_t BgL_res1896z00_2566;

									BgL_res1896z00_2566 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1146z00_2565 = BgL_res1896z00_2566;
								}
								{
									obj_t BgL_ll1144z00_2568;
									obj_t BgL_ll1145z00_2569;
									obj_t BgL_tail1147z00_2570;

									BgL_ll1144z00_2568 = BgL_ll1144z00_2563;
									BgL_ll1145z00_2569 = BgL_ll1145z00_2564;
									BgL_tail1147z00_2570 = BgL_head1146z00_2565;
								BgL_zc3anonymousza31452ze3z83_2567:
									if (NULLP(BgL_ll1144z00_2568))
										{	/* Eval/evaluate_uncomp.scm 140 */
											BgL_arg1449z00_2561 = CDR(BgL_head1146z00_2565);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 140 */
											obj_t BgL_newtail1148z00_2571;

											{	/* Eval/evaluate_uncomp.scm 140 */
												obj_t BgL_arg1456z00_2572;

												{	/* Eval/evaluate_uncomp.scm 140 */
													obj_t BgL_vz00_2573;
													obj_t BgL_az00_2574;

													BgL_vz00_2573 = CAR(BgL_ll1144z00_2568);
													BgL_az00_2574 = CAR(BgL_ll1145z00_2569);
													{	/* Eval/evaluate_uncomp.scm 140 */
														obj_t BgL_arg1458z00_2575;
														obj_t BgL_arg1460z00_2576;

														BgL_arg1458z00_2575 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2573));
														{	/* Eval/evaluate_uncomp.scm 140 */
															obj_t BgL_arg1461z00_2577;

															BgL_arg1461z00_2577 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_az00_2574));
															BgL_arg1460z00_2576 =
																MAKE_YOUNG_PAIR(BgL_arg1461z00_2577, BNIL);
														}
														BgL_arg1456z00_2572 =
															MAKE_YOUNG_PAIR(BgL_arg1458z00_2575,
															BgL_arg1460z00_2576);
													}
												}
												{	/* Eval/evaluate_uncomp.scm 140 */
													obj_t BgL_res1898z00_2578;

													BgL_res1898z00_2578 =
														MAKE_YOUNG_PAIR(BgL_arg1456z00_2572, BNIL);
													BgL_newtail1148z00_2571 = BgL_res1898z00_2578;
												}
											}
											SET_CDR(BgL_tail1147z00_2570, BgL_newtail1148z00_2571);
											{
												obj_t BgL_tail1147z00_2981;
												obj_t BgL_ll1145z00_2979;
												obj_t BgL_ll1144z00_2977;

												BgL_ll1144z00_2977 = CDR(BgL_ll1144z00_2568);
												BgL_ll1145z00_2979 = CDR(BgL_ll1145z00_2569);
												BgL_tail1147z00_2981 = BgL_newtail1148z00_2571;
												BgL_tail1147z00_2570 = BgL_tail1147z00_2981;
												BgL_ll1145z00_2569 = BgL_ll1145z00_2979;
												BgL_ll1144z00_2568 = BgL_ll1144z00_2977;
												goto BgL_zc3anonymousza31452ze3z83_2567;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_uncomp.scm 140 */
						obj_t BgL_arg1463z00_2579;

						{	/* Eval/evaluate_uncomp.scm 140 */
							BgL_ev_exprz00_bglt BgL_arg1464z00_2580;

							BgL_arg1464z00_2580 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letrecz00_bglt) BgL_ez00_2427))))->BgL_bodyz00);
							BgL_arg1463z00_2579 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1464z00_2580);
						}
						BgL_arg1450z00_2562 = MAKE_YOUNG_PAIR(BgL_arg1463z00_2579, BNIL);
					}
					BgL_arg1448z00_2560 =
						MAKE_YOUNG_PAIR(BgL_arg1449z00_2561, BgL_arg1450z00_2562);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2025z00zz__evaluate_uncompz00,
					BgL_arg1448z00_2560);
			}
		}
	}



/* &uncomp-ev_let*1224 */
	obj_t BGl_z62uncompzd2ev_letza21224z12zz__evaluate_uncompz00(obj_t
		BgL_envz00_2428, obj_t BgL_ez00_2429)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 134 */
			{	/* Eval/evaluate_uncomp.scm 136 */
				obj_t BgL_arg1434z00_2582;

				{	/* Eval/evaluate_uncomp.scm 136 */
					obj_t BgL_arg1435z00_2583;
					obj_t BgL_arg1436z00_2584;

					{	/* Eval/evaluate_uncomp.scm 136 */
						obj_t BgL_ll1138z00_2585;
						obj_t BgL_ll1139z00_2586;

						BgL_ll1138z00_2585 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_2429))))->BgL_varsz00);
						BgL_ll1139z00_2586 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_2429))))->BgL_valsz00);
						if (NULLP(BgL_ll1138z00_2585))
							{	/* Eval/evaluate_uncomp.scm 136 */
								BgL_arg1435z00_2583 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 136 */
								obj_t BgL_head1140z00_2587;

								{	/* Eval/evaluate_uncomp.scm 136 */
									obj_t BgL_res1892z00_2588;

									BgL_res1892z00_2588 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1140z00_2587 = BgL_res1892z00_2588;
								}
								{
									obj_t BgL_ll1138z00_2590;
									obj_t BgL_ll1139z00_2591;
									obj_t BgL_tail1141z00_2592;

									BgL_ll1138z00_2590 = BgL_ll1138z00_2585;
									BgL_ll1139z00_2591 = BgL_ll1139z00_2586;
									BgL_tail1141z00_2592 = BgL_head1140z00_2587;
								BgL_zc3anonymousza31438ze3z83_2589:
									if (NULLP(BgL_ll1138z00_2590))
										{	/* Eval/evaluate_uncomp.scm 136 */
											BgL_arg1435z00_2583 = CDR(BgL_head1140z00_2587);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 136 */
											obj_t BgL_newtail1142z00_2593;

											{	/* Eval/evaluate_uncomp.scm 136 */
												obj_t BgL_arg1442z00_2594;

												{	/* Eval/evaluate_uncomp.scm 136 */
													obj_t BgL_vz00_2595;
													obj_t BgL_az00_2596;

													BgL_vz00_2595 = CAR(BgL_ll1138z00_2590);
													BgL_az00_2596 = CAR(BgL_ll1139z00_2591);
													{	/* Eval/evaluate_uncomp.scm 136 */
														obj_t BgL_arg1443z00_2597;
														obj_t BgL_arg1444z00_2598;

														BgL_arg1443z00_2597 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2595));
														{	/* Eval/evaluate_uncomp.scm 136 */
															obj_t BgL_arg1445z00_2599;

															BgL_arg1445z00_2599 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_az00_2596));
															BgL_arg1444z00_2598 =
																MAKE_YOUNG_PAIR(BgL_arg1445z00_2599, BNIL);
														}
														BgL_arg1442z00_2594 =
															MAKE_YOUNG_PAIR(BgL_arg1443z00_2597,
															BgL_arg1444z00_2598);
													}
												}
												{	/* Eval/evaluate_uncomp.scm 136 */
													obj_t BgL_res1894z00_2600;

													BgL_res1894z00_2600 =
														MAKE_YOUNG_PAIR(BgL_arg1442z00_2594, BNIL);
													BgL_newtail1142z00_2593 = BgL_res1894z00_2600;
												}
											}
											SET_CDR(BgL_tail1141z00_2592, BgL_newtail1142z00_2593);
											{
												obj_t BgL_tail1141z00_3015;
												obj_t BgL_ll1139z00_3013;
												obj_t BgL_ll1138z00_3011;

												BgL_ll1138z00_3011 = CDR(BgL_ll1138z00_2590);
												BgL_ll1139z00_3013 = CDR(BgL_ll1139z00_2591);
												BgL_tail1141z00_3015 = BgL_newtail1142z00_2593;
												BgL_tail1141z00_2592 = BgL_tail1141z00_3015;
												BgL_ll1139z00_2591 = BgL_ll1139z00_3013;
												BgL_ll1138z00_2590 = BgL_ll1138z00_3011;
												goto BgL_zc3anonymousza31438ze3z83_2589;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_uncomp.scm 136 */
						obj_t BgL_arg1446z00_2601;

						{	/* Eval/evaluate_uncomp.scm 136 */
							BgL_ev_exprz00_bglt BgL_arg1447z00_2602;

							BgL_arg1447z00_2602 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letza2za2_bglt) BgL_ez00_2429))))->BgL_bodyz00);
							BgL_arg1446z00_2601 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1447z00_2602);
						}
						BgL_arg1436z00_2584 = MAKE_YOUNG_PAIR(BgL_arg1446z00_2601, BNIL);
					}
					BgL_arg1434z00_2582 =
						MAKE_YOUNG_PAIR(BgL_arg1435z00_2583, BgL_arg1436z00_2584);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2027z00zz__evaluate_uncompz00,
					BgL_arg1434z00_2582);
			}
		}
	}



/* &uncomp-ev_let1222 */
	obj_t BGl_z62uncompzd2ev_let1222zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2430, obj_t BgL_ez00_2431)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 130 */
			{	/* Eval/evaluate_uncomp.scm 132 */
				obj_t BgL_arg1418z00_2604;

				{	/* Eval/evaluate_uncomp.scm 132 */
					obj_t BgL_arg1419z00_2605;
					obj_t BgL_arg1420z00_2606;

					{	/* Eval/evaluate_uncomp.scm 132 */
						obj_t BgL_ll1132z00_2607;
						obj_t BgL_ll1133z00_2608;

						BgL_ll1132z00_2607 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_2431))))->BgL_varsz00);
						BgL_ll1133z00_2608 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_2431))))->BgL_valsz00);
						if (NULLP(BgL_ll1132z00_2607))
							{	/* Eval/evaluate_uncomp.scm 132 */
								BgL_arg1419z00_2605 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 132 */
								obj_t BgL_head1134z00_2609;

								{	/* Eval/evaluate_uncomp.scm 132 */
									obj_t BgL_res1888z00_2610;

									BgL_res1888z00_2610 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1134z00_2609 = BgL_res1888z00_2610;
								}
								{
									obj_t BgL_ll1132z00_2612;
									obj_t BgL_ll1133z00_2613;
									obj_t BgL_tail1135z00_2614;

									BgL_ll1132z00_2612 = BgL_ll1132z00_2607;
									BgL_ll1133z00_2613 = BgL_ll1133z00_2608;
									BgL_tail1135z00_2614 = BgL_head1134z00_2609;
								BgL_zc3anonymousza31422ze3z83_2611:
									if (NULLP(BgL_ll1132z00_2612))
										{	/* Eval/evaluate_uncomp.scm 132 */
											BgL_arg1419z00_2605 = CDR(BgL_head1134z00_2609);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 132 */
											obj_t BgL_newtail1136z00_2615;

											{	/* Eval/evaluate_uncomp.scm 132 */
												obj_t BgL_arg1427z00_2616;

												{	/* Eval/evaluate_uncomp.scm 132 */
													obj_t BgL_vz00_2617;
													obj_t BgL_az00_2618;

													BgL_vz00_2617 = CAR(BgL_ll1132z00_2612);
													BgL_az00_2618 = CAR(BgL_ll1133z00_2613);
													{	/* Eval/evaluate_uncomp.scm 132 */
														obj_t BgL_arg1428z00_2619;
														obj_t BgL_arg1429z00_2620;

														BgL_arg1428z00_2619 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2617));
														{	/* Eval/evaluate_uncomp.scm 132 */
															obj_t BgL_arg1430z00_2621;

															BgL_arg1430z00_2621 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_az00_2618));
															BgL_arg1429z00_2620 =
																MAKE_YOUNG_PAIR(BgL_arg1430z00_2621, BNIL);
														}
														BgL_arg1427z00_2616 =
															MAKE_YOUNG_PAIR(BgL_arg1428z00_2619,
															BgL_arg1429z00_2620);
													}
												}
												{	/* Eval/evaluate_uncomp.scm 132 */
													obj_t BgL_res1890z00_2622;

													BgL_res1890z00_2622 =
														MAKE_YOUNG_PAIR(BgL_arg1427z00_2616, BNIL);
													BgL_newtail1136z00_2615 = BgL_res1890z00_2622;
												}
											}
											SET_CDR(BgL_tail1135z00_2614, BgL_newtail1136z00_2615);
											{
												obj_t BgL_tail1135z00_3049;
												obj_t BgL_ll1133z00_3047;
												obj_t BgL_ll1132z00_3045;

												BgL_ll1132z00_3045 = CDR(BgL_ll1132z00_2612);
												BgL_ll1133z00_3047 = CDR(BgL_ll1133z00_2613);
												BgL_tail1135z00_3049 = BgL_newtail1136z00_2615;
												BgL_tail1135z00_2614 = BgL_tail1135z00_3049;
												BgL_ll1133z00_2613 = BgL_ll1133z00_3047;
												BgL_ll1132z00_2612 = BgL_ll1132z00_3045;
												goto BgL_zc3anonymousza31422ze3z83_2611;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_uncomp.scm 132 */
						obj_t BgL_arg1431z00_2623;

						{	/* Eval/evaluate_uncomp.scm 132 */
							BgL_ev_exprz00_bglt BgL_arg1432z00_2624;

							BgL_arg1432z00_2624 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letz00_bglt) BgL_ez00_2431))))->BgL_bodyz00);
							BgL_arg1431z00_2623 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1432z00_2624);
						}
						BgL_arg1420z00_2606 = MAKE_YOUNG_PAIR(BgL_arg1431z00_2623, BNIL);
					}
					BgL_arg1418z00_2604 =
						MAKE_YOUNG_PAIR(BgL_arg1419z00_2605, BgL_arg1420z00_2606);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2029z00zz__evaluate_uncompz00,
					BgL_arg1418z00_2604);
			}
		}
	}



/* &uncomp-ev_synchroniz1220 */
	obj_t BGl_z62uncompzd2ev_synchroniza71220z17zz__evaluate_uncompz00(obj_t
		BgL_envz00_2432, obj_t BgL_ez00_2433)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 126 */
			{	/* Eval/evaluate_uncomp.scm 128 */
				obj_t BgL_arg1406z00_2626;

				{	/* Eval/evaluate_uncomp.scm 128 */
					obj_t BgL_arg1407z00_2627;
					obj_t BgL_arg1408z00_2628;

					BgL_arg1407z00_2627 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_synchroniza7eza7_bglt) CREF(
									((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2433)))->
							BgL_mutexz00));
					{	/* Eval/evaluate_uncomp.scm 128 */
						obj_t BgL_arg1412z00_2629;

						{	/* Eval/evaluate_uncomp.scm 128 */
							obj_t BgL_arg1413z00_2630;
							obj_t BgL_arg1414z00_2631;

							BgL_arg1413z00_2630 =
								BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_synchroniza7eza7_bglt) CREF(
											((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2433)))->
									BgL_prelockz00));
							BgL_arg1414z00_2631 =
								MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
											(BgL_ev_synchroniza7eza7_bglt)
											CREF(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2433)))->
										BgL_bodyz00)), BNIL);
							BgL_arg1412z00_2629 =
								MAKE_YOUNG_PAIR(BgL_arg1413z00_2630, BgL_arg1414z00_2631);
						}
						BgL_arg1408z00_2628 =
							MAKE_YOUNG_PAIR(BGl_keyword2031z00zz__evaluate_uncompz00,
							BgL_arg1412z00_2629);
					}
					BgL_arg1406z00_2626 =
						MAKE_YOUNG_PAIR(BgL_arg1407z00_2627, BgL_arg1408z00_2628);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2033z00zz__evaluate_uncompz00,
					BgL_arg1406z00_2626);
			}
		}
	}



/* &uncomp-ev_with-handl1218 */
	obj_t BGl_z62uncompzd2ev_withzd2handl1218z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2434, obj_t BgL_ez00_2435)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 122 */
			{	/* Eval/evaluate_uncomp.scm 124 */
				obj_t BgL_arg1400z00_2633;

				{	/* Eval/evaluate_uncomp.scm 124 */
					obj_t BgL_arg1401z00_2634;
					obj_t BgL_arg1402z00_2635;

					BgL_arg1401z00_2634 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2435)))->
							BgL_handlerz00));
					BgL_arg1402z00_2635 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
									(BgL_ev_withzd2handlerzd2_bglt)
									CREF(((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2435)))->
								BgL_bodyz00)), BNIL);
					BgL_arg1400z00_2633 =
						MAKE_YOUNG_PAIR(BgL_arg1401z00_2634, BgL_arg1402z00_2635);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2035z00zz__evaluate_uncompz00,
					BgL_arg1400z00_2633);
			}
		}
	}



/* &uncomp-ev_unwind-pro1216 */
	obj_t BGl_z62uncompzd2ev_unwindzd2pro1216z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2436, obj_t BgL_ez00_2437)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 118 */
			{	/* Eval/evaluate_uncomp.scm 120 */
				obj_t BgL_arg1392z00_2637;

				{	/* Eval/evaluate_uncomp.scm 120 */
					obj_t BgL_arg1393z00_2638;
					obj_t BgL_arg1394z00_2639;

					BgL_arg1393z00_2638 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2437)))->
							BgL_ez00));
					BgL_arg1394z00_2639 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
									(BgL_ev_unwindzd2protectzd2_bglt)
									CREF(((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2437)))->
								BgL_bodyz00)), BNIL);
					BgL_arg1392z00_2637 =
						MAKE_YOUNG_PAIR(BgL_arg1393z00_2638, BgL_arg1394z00_2639);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2037z00zz__evaluate_uncompz00,
					BgL_arg1392z00_2637);
			}
		}
	}



/* &uncomp-ev_bind-exit1214 */
	obj_t BGl_z62uncompzd2ev_bindzd2exit1214z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2438, obj_t BgL_ez00_2439)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 114 */
			{	/* Eval/evaluate_uncomp.scm 116 */
				obj_t BgL_arg1382z00_2641;

				{	/* Eval/evaluate_uncomp.scm 116 */
					obj_t BgL_arg1383z00_2642;
					obj_t BgL_arg1385z00_2643;

					{	/* Eval/evaluate_uncomp.scm 116 */
						obj_t BgL_arg1386z00_2644;

						{	/* Eval/evaluate_uncomp.scm 116 */
							BgL_ev_varz00_bglt BgL_arg1387z00_2645;

							BgL_arg1387z00_2645 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(
										((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_2439)))->BgL_varz00);
							BgL_arg1386z00_2644 =
								BGl_uncompz00zz__evaluate_uncompz00(
								((BgL_ev_exprz00_bglt) BgL_arg1387z00_2645));
						}
						BgL_arg1383z00_2642 = MAKE_YOUNG_PAIR(BgL_arg1386z00_2644, BNIL);
					}
					BgL_arg1385z00_2643 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(
										((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_2439)))->
								BgL_bodyz00)), BNIL);
					BgL_arg1382z00_2641 =
						MAKE_YOUNG_PAIR(BgL_arg1383z00_2642, BgL_arg1385z00_2643);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2039z00zz__evaluate_uncompz00,
					BgL_arg1382z00_2641);
			}
		}
	}



/* &uncomp-ev_setlocal1212 */
	obj_t BGl_z62uncompzd2ev_setlocal1212zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2440, obj_t BgL_ez00_2441)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 110 */
			{	/* Eval/evaluate_uncomp.scm 112 */
				obj_t BgL_arg1374z00_2647;

				{	/* Eval/evaluate_uncomp.scm 112 */
					obj_t BgL_arg1375z00_2648;
					obj_t BgL_arg1376z00_2649;

					{	/* Eval/evaluate_uncomp.scm 112 */
						BgL_ev_varz00_bglt BgL_arg1379z00_2650;

						BgL_arg1379z00_2650 =
							(((BgL_ev_setlocalz00_bglt) CREF(
									((BgL_ev_setlocalz00_bglt) BgL_ez00_2441)))->BgL_vz00);
						BgL_arg1375z00_2648 =
							BGl_uncompz00zz__evaluate_uncompz00(
							((BgL_ev_exprz00_bglt) BgL_arg1379z00_2650));
					}
					{	/* Eval/evaluate_uncomp.scm 112 */
						obj_t BgL_arg1380z00_2651;

						{	/* Eval/evaluate_uncomp.scm 112 */
							BgL_ev_exprz00_bglt BgL_arg1381z00_2652;

							BgL_arg1381z00_2652 =
								(((BgL_ev_hookz00_bglt) CREF(
										((BgL_ev_hookz00_bglt)
											((BgL_ev_setlocalz00_bglt) BgL_ez00_2441))))->BgL_ez00);
							BgL_arg1380z00_2651 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1381z00_2652);
						}
						BgL_arg1376z00_2649 = MAKE_YOUNG_PAIR(BgL_arg1380z00_2651, BNIL);
					}
					BgL_arg1374z00_2647 =
						MAKE_YOUNG_PAIR(BgL_arg1375z00_2648, BgL_arg1376z00_2649);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2041z00zz__evaluate_uncompz00,
					BgL_arg1374z00_2647);
			}
		}
	}



/* &uncomp-ev_defglobal1210 */
	obj_t BGl_z62uncompzd2ev_defglobal1210zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2442, obj_t BgL_ez00_2443)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 106 */
			{	/* Eval/evaluate_uncomp.scm 108 */
				obj_t BgL_arg1369z00_2654;

				{	/* Eval/evaluate_uncomp.scm 108 */
					obj_t BgL_arg1370z00_2655;
					obj_t BgL_arg1371z00_2656;

					BgL_arg1370z00_2655 =
						(((BgL_ev_setglobalz00_bglt) CREF(
								((BgL_ev_setglobalz00_bglt)
									((BgL_ev_defglobalz00_bglt) BgL_ez00_2443))))->BgL_namez00);
					{	/* Eval/evaluate_uncomp.scm 108 */
						obj_t BgL_arg1372z00_2657;

						{	/* Eval/evaluate_uncomp.scm 108 */
							BgL_ev_exprz00_bglt BgL_arg1373z00_2658;

							BgL_arg1373z00_2658 =
								(((BgL_ev_hookz00_bglt) CREF(
										((BgL_ev_hookz00_bglt)
											((BgL_ev_defglobalz00_bglt) BgL_ez00_2443))))->BgL_ez00);
							BgL_arg1372z00_2657 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1373z00_2658);
						}
						BgL_arg1371z00_2656 = MAKE_YOUNG_PAIR(BgL_arg1372z00_2657, BNIL);
					}
					BgL_arg1369z00_2654 =
						MAKE_YOUNG_PAIR(BgL_arg1370z00_2655, BgL_arg1371z00_2656);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2043z00zz__evaluate_uncompz00,
					BgL_arg1369z00_2654);
			}
		}
	}



/* &uncomp-ev_setglobal1208 */
	obj_t BGl_z62uncompzd2ev_setglobal1208zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2444, obj_t BgL_ez00_2445)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 102 */
			{	/* Eval/evaluate_uncomp.scm 104 */
				obj_t BgL_arg1364z00_2660;

				{	/* Eval/evaluate_uncomp.scm 104 */
					obj_t BgL_arg1365z00_2661;
					obj_t BgL_arg1366z00_2662;

					BgL_arg1365z00_2661 =
						(((BgL_ev_setglobalz00_bglt) CREF(
								((BgL_ev_setglobalz00_bglt) BgL_ez00_2445)))->BgL_namez00);
					{	/* Eval/evaluate_uncomp.scm 104 */
						obj_t BgL_arg1367z00_2663;

						{	/* Eval/evaluate_uncomp.scm 104 */
							BgL_ev_exprz00_bglt BgL_arg1368z00_2664;

							BgL_arg1368z00_2664 =
								(((BgL_ev_hookz00_bglt) CREF(
										((BgL_ev_hookz00_bglt)
											((BgL_ev_setglobalz00_bglt) BgL_ez00_2445))))->BgL_ez00);
							BgL_arg1367z00_2663 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1368z00_2664);
						}
						BgL_arg1366z00_2662 = MAKE_YOUNG_PAIR(BgL_arg1367z00_2663, BNIL);
					}
					BgL_arg1364z00_2660 =
						MAKE_YOUNG_PAIR(BgL_arg1365z00_2661, BgL_arg1366z00_2662);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2041z00zz__evaluate_uncompz00,
					BgL_arg1364z00_2660);
			}
		}
	}



/* &uncomp-ev_trap1206 */
	obj_t BGl_z62uncompzd2ev_trap1206zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2446, obj_t BgL_ez00_2447)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 98 */
			{	/* Eval/evaluate_uncomp.scm 100 */
				obj_t BgL_arg1360z00_2666;

				{	/* Eval/evaluate_uncomp.scm 100 */
					obj_t BgL_arg1362z00_2667;

					{	/* Eval/evaluate_uncomp.scm 100 */
						BgL_ev_exprz00_bglt BgL_arg1363z00_2668;

						BgL_arg1363z00_2668 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_trapz00_bglt) BgL_ez00_2447))))->BgL_ez00);
						BgL_arg1362z00_2667 =
							BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1363z00_2668);
					}
					BgL_arg1360z00_2666 = MAKE_YOUNG_PAIR(BgL_arg1362z00_2667, BNIL);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2045z00zz__evaluate_uncompz00,
					BgL_arg1360z00_2666);
			}
		}
	}



/* &uncomp-ev_prog21204 */
	obj_t BGl_z62uncompzd2ev_prog21204zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2448, obj_t BgL_ez00_2449)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 91 */
			{	/* Eval/evaluate_uncomp.scm 93 */
				obj_t BgL_e1z00_2670;
				obj_t BgL_e2z00_2671;

				BgL_e1z00_2670 =
					BGl_uncompz00zz__evaluate_uncompz00(
					(((BgL_ev_prog2z00_bglt) CREF(
								((BgL_ev_prog2z00_bglt) BgL_ez00_2449)))->BgL_e1z00));
				BgL_e2z00_2671 =
					BGl_uncompz00zz__evaluate_uncompz00(
					(((BgL_ev_prog2z00_bglt) CREF(
								((BgL_ev_prog2z00_bglt) BgL_ez00_2449)))->BgL_e2z00));
				{	/* Eval/evaluate_uncomp.scm 94 */
					bool_t BgL_testz00_3142;

					if (PAIRP(BgL_e2z00_2671))
						{	/* Eval/evaluate_uncomp.scm 94 */
							BgL_testz00_3142 =
								(CAR(BgL_e2z00_2671) ==
								BGl_symbol2047z00zz__evaluate_uncompz00);
						}
					else
						{	/* Eval/evaluate_uncomp.scm 94 */
							BgL_testz00_3142 = ((bool_t) 0);
						}
					if (BgL_testz00_3142)
						{	/* Eval/evaluate_uncomp.scm 95 */
							obj_t BgL_arg1352z00_2672;

							BgL_arg1352z00_2672 =
								MAKE_YOUNG_PAIR(BgL_e1z00_2670,
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(CDR
									(BgL_e2z00_2671), BNIL));
							return MAKE_YOUNG_PAIR(BGl_symbol2047z00zz__evaluate_uncompz00,
								BgL_arg1352z00_2672);
						}
					else
						{	/* Eval/evaluate_uncomp.scm 96 */
							obj_t BgL_arg1355z00_2673;

							{	/* Eval/evaluate_uncomp.scm 96 */
								obj_t BgL_arg1356z00_2674;

								BgL_arg1356z00_2674 = MAKE_YOUNG_PAIR(BgL_e2z00_2671, BNIL);
								BgL_arg1355z00_2673 =
									MAKE_YOUNG_PAIR(BgL_e1z00_2670, BgL_arg1356z00_2674);
							}
							return
								MAKE_YOUNG_PAIR(BGl_symbol2047z00zz__evaluate_uncompz00,
								BgL_arg1355z00_2673);
						}
				}
			}
		}
	}



/* &uncomp-ev_and1202 */
	obj_t BGl_z62uncompzd2ev_and1202zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2450, obj_t BgL_ez00_2451)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 87 */
			{	/* Eval/evaluate_uncomp.scm 89 */
				obj_t BgL_arg1338z00_2676;

				{	/* Eval/evaluate_uncomp.scm 89 */
					obj_t BgL_arg1339z00_2677;

					{	/* Eval/evaluate_uncomp.scm 89 */
						obj_t BgL_l1126z00_2678;

						BgL_l1126z00_2678 =
							(((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt)
										((BgL_ev_andz00_bglt) BgL_ez00_2451))))->BgL_argsz00);
						if (NULLP(BgL_l1126z00_2678))
							{	/* Eval/evaluate_uncomp.scm 89 */
								BgL_arg1339z00_2677 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 89 */
								obj_t BgL_head1128z00_2679;

								{	/* Eval/evaluate_uncomp.scm 89 */
									obj_t BgL_arg1346z00_2680;

									{	/* Eval/evaluate_uncomp.scm 89 */
										obj_t BgL_arg1347z00_2681;

										BgL_arg1347z00_2681 = CAR(BgL_l1126z00_2678);
										BgL_arg1346z00_2680 =
											BGl_uncompz00zz__evaluate_uncompz00(
											((BgL_ev_exprz00_bglt) BgL_arg1347z00_2681));
									}
									{	/* Eval/evaluate_uncomp.scm 89 */
										obj_t BgL_res1879z00_2682;

										BgL_res1879z00_2682 =
											MAKE_YOUNG_PAIR(BgL_arg1346z00_2680, BNIL);
										BgL_head1128z00_2679 = BgL_res1879z00_2682;
									}
								}
								{	/* Eval/evaluate_uncomp.scm 89 */
									obj_t BgL_g1131z00_2683;

									BgL_g1131z00_2683 = CDR(BgL_l1126z00_2678);
									{
										obj_t BgL_l1126z00_2685;
										obj_t BgL_tail1129z00_2686;

										BgL_l1126z00_2685 = BgL_g1131z00_2683;
										BgL_tail1129z00_2686 = BgL_head1128z00_2679;
									BgL_zc3anonymousza31341ze3z83_2684:
										if (NULLP(BgL_l1126z00_2685))
											{	/* Eval/evaluate_uncomp.scm 89 */
												BgL_arg1339z00_2677 = BgL_head1128z00_2679;
											}
										else
											{	/* Eval/evaluate_uncomp.scm 89 */
												obj_t BgL_newtail1130z00_2687;

												{	/* Eval/evaluate_uncomp.scm 89 */
													obj_t BgL_arg1344z00_2688;

													{	/* Eval/evaluate_uncomp.scm 89 */
														obj_t BgL_arg1345z00_2689;

														BgL_arg1345z00_2689 = CAR(BgL_l1126z00_2685);
														BgL_arg1344z00_2688 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_arg1345z00_2689));
													}
													{	/* Eval/evaluate_uncomp.scm 89 */
														obj_t BgL_res1885z00_2690;

														BgL_res1885z00_2690 =
															MAKE_YOUNG_PAIR(BgL_arg1344z00_2688, BNIL);
														BgL_newtail1130z00_2687 = BgL_res1885z00_2690;
													}
												}
												SET_CDR(BgL_tail1129z00_2686, BgL_newtail1130z00_2687);
												{
													obj_t BgL_tail1129z00_3173;
													obj_t BgL_l1126z00_3171;

													BgL_l1126z00_3171 = CDR(BgL_l1126z00_2685);
													BgL_tail1129z00_3173 = BgL_newtail1130z00_2687;
													BgL_tail1129z00_2686 = BgL_tail1129z00_3173;
													BgL_l1126z00_2685 = BgL_l1126z00_3171;
													goto BgL_zc3anonymousza31341ze3z83_2684;
												}
											}
									}
								}
							}
					}
					BgL_arg1338z00_2676 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1339z00_2677,
						BNIL);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2049z00zz__evaluate_uncompz00,
					BgL_arg1338z00_2676);
			}
		}
	}



/* &uncomp-ev_or1200 */
	obj_t BGl_z62uncompzd2ev_or1200zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2452, obj_t BgL_ez00_2453)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 83 */
			{	/* Eval/evaluate_uncomp.scm 85 */
				obj_t BgL_arg1327z00_2692;

				{	/* Eval/evaluate_uncomp.scm 85 */
					obj_t BgL_arg1328z00_2693;

					{	/* Eval/evaluate_uncomp.scm 85 */
						obj_t BgL_l1120z00_2694;

						BgL_l1120z00_2694 =
							(((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt)
										((BgL_ev_orz00_bglt) BgL_ez00_2453))))->BgL_argsz00);
						if (NULLP(BgL_l1120z00_2694))
							{	/* Eval/evaluate_uncomp.scm 85 */
								BgL_arg1328z00_2693 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 85 */
								obj_t BgL_head1122z00_2695;

								{	/* Eval/evaluate_uncomp.scm 85 */
									obj_t BgL_arg1335z00_2696;

									{	/* Eval/evaluate_uncomp.scm 85 */
										obj_t BgL_arg1336z00_2697;

										BgL_arg1336z00_2697 = CAR(BgL_l1120z00_2694);
										BgL_arg1335z00_2696 =
											BGl_uncompz00zz__evaluate_uncompz00(
											((BgL_ev_exprz00_bglt) BgL_arg1336z00_2697));
									}
									{	/* Eval/evaluate_uncomp.scm 85 */
										obj_t BgL_res1871z00_2698;

										BgL_res1871z00_2698 =
											MAKE_YOUNG_PAIR(BgL_arg1335z00_2696, BNIL);
										BgL_head1122z00_2695 = BgL_res1871z00_2698;
									}
								}
								{	/* Eval/evaluate_uncomp.scm 85 */
									obj_t BgL_g1125z00_2699;

									BgL_g1125z00_2699 = CDR(BgL_l1120z00_2694);
									{
										obj_t BgL_l1120z00_2701;
										obj_t BgL_tail1123z00_2702;

										BgL_l1120z00_2701 = BgL_g1125z00_2699;
										BgL_tail1123z00_2702 = BgL_head1122z00_2695;
									BgL_zc3anonymousza31330ze3z83_2700:
										if (NULLP(BgL_l1120z00_2701))
											{	/* Eval/evaluate_uncomp.scm 85 */
												BgL_arg1328z00_2693 = BgL_head1122z00_2695;
											}
										else
											{	/* Eval/evaluate_uncomp.scm 85 */
												obj_t BgL_newtail1124z00_2703;

												{	/* Eval/evaluate_uncomp.scm 85 */
													obj_t BgL_arg1333z00_2704;

													{	/* Eval/evaluate_uncomp.scm 85 */
														obj_t BgL_arg1334z00_2705;

														BgL_arg1334z00_2705 = CAR(BgL_l1120z00_2701);
														BgL_arg1333z00_2704 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_arg1334z00_2705));
													}
													{	/* Eval/evaluate_uncomp.scm 85 */
														obj_t BgL_res1877z00_2706;

														BgL_res1877z00_2706 =
															MAKE_YOUNG_PAIR(BgL_arg1333z00_2704, BNIL);
														BgL_newtail1124z00_2703 = BgL_res1877z00_2706;
													}
												}
												SET_CDR(BgL_tail1123z00_2702, BgL_newtail1124z00_2703);
												{
													obj_t BgL_tail1123z00_3195;
													obj_t BgL_l1120z00_3193;

													BgL_l1120z00_3193 = CDR(BgL_l1120z00_2701);
													BgL_tail1123z00_3195 = BgL_newtail1124z00_2703;
													BgL_tail1123z00_2702 = BgL_tail1123z00_3195;
													BgL_l1120z00_2701 = BgL_l1120z00_3193;
													goto BgL_zc3anonymousza31330ze3z83_2700;
												}
											}
									}
								}
							}
					}
					BgL_arg1327z00_2692 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1328z00_2693,
						BNIL);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2051z00zz__evaluate_uncompz00,
					BgL_arg1327z00_2692);
			}
		}
	}



/* &uncomp-ev_if1198 */
	obj_t BGl_z62uncompzd2ev_if1198zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2454, obj_t BgL_ez00_2455)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 79 */
			{	/* Eval/evaluate_uncomp.scm 81 */
				obj_t BgL_arg1292z00_2708;

				{	/* Eval/evaluate_uncomp.scm 81 */
					obj_t BgL_arg1313z00_2709;
					obj_t BgL_arg1316z00_2710;

					BgL_arg1313z00_2709 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_ifz00_bglt) CREF(
									((BgL_ev_ifz00_bglt) BgL_ez00_2455)))->BgL_pz00));
					{	/* Eval/evaluate_uncomp.scm 81 */
						obj_t BgL_arg1321z00_2711;
						obj_t BgL_arg1322z00_2712;

						BgL_arg1321z00_2711 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_ifz00_bglt) CREF(
										((BgL_ev_ifz00_bglt) BgL_ez00_2455)))->BgL_tz00));
						BgL_arg1322z00_2712 =
							MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_ifz00_bglt) CREF(
											((BgL_ev_ifz00_bglt) BgL_ez00_2455)))->BgL_ez00)), BNIL);
						BgL_arg1316z00_2710 =
							MAKE_YOUNG_PAIR(BgL_arg1321z00_2711, BgL_arg1322z00_2712);
					}
					BgL_arg1292z00_2708 =
						MAKE_YOUNG_PAIR(BgL_arg1313z00_2709, BgL_arg1316z00_2710);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol2053z00zz__evaluate_uncompz00,
					BgL_arg1292z00_2708);
			}
		}
	}



/* &uncomp-ev_litt1196 */
	obj_t BGl_z62uncompzd2ev_litt1196zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2456, obj_t BgL_ez00_2457)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 75 */
			{	/* Eval/evaluate_uncomp.scm 77 */
				obj_t BgL_arg1284z00_2714;

				BgL_arg1284z00_2714 =
					MAKE_YOUNG_PAIR(
					(((BgL_ev_littz00_bglt) CREF(
								((BgL_ev_littz00_bglt) BgL_ez00_2457)))->BgL_valuez00), BNIL);
				return
					MAKE_YOUNG_PAIR(BGl_symbol2055z00zz__evaluate_uncompz00,
					BgL_arg1284z00_2714);
			}
		}
	}



/* &uncomp-ev_global1194 */
	obj_t BGl_z62uncompzd2ev_global1194zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2458, obj_t BgL_varz00_2459)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 71 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_varz00_2459)))->BgL_namez00);
		}
	}



/* &uncomp-ev_var1192 */
	obj_t BGl_z62uncompzd2ev_var1192zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2460, obj_t BgL_varz00_2461)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 67 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_varz00_2461)))->BgL_namez00);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 129954706),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 444693568),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 298117425),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 439353001),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1047446),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 454272164),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					381113196),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					231310901),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -282360853),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 525089452),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 159480991),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2057z00zz__evaluate_uncompz00));
		}
	}

#ifdef __cplusplus
}
#endif
