/*===========================================================================*/
/*   (Ast/sexp.scm)                                                          */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/sexp.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_stringzd2replacezd2zz__r4_strings_6_7z00(obj_t,
		unsigned char, unsigned char);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_ifzd2symzd2zzast_sexpz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_addzd2staticzd2pragmaz12z12zzast_pragmaz00(BgL_nodez00_bglt);
	static obj_t BGl_objectzd2initzd2zzast_sexpz00();
	extern obj_t BGl_privatezd2nodezd2zzast_privatez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_castzd2sexpzd2typez00zzast_privatez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_letzd2symzf3z21zzast_letz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzast_sexpz00();
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_z62zc3anonymousza36301ze3ze1zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt);
	static BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31494ze3ze1zzast_sexpz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t,
		obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	extern BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31495ze3ze1zzast_sexpz00(obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_sexpz00();
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_za2sitesza2z00zzast_sexpz00 = BUNSPEC;
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	static obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t, obj_t);
	extern obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt, obj_t, obj_t);
	static obj_t BGl_za2ifza2z00zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	static obj_t BGl_loopze70ze7zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_letrecza2zd2ze3nodez93zzast_letz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_sexpz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	static bool_t BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(obj_t);
	static obj_t BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BUNSPEC;
	static obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_sexpz00();
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_sexpz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern bool_t BGl_privatezd2sexpzf3z21zzast_privatez00(obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_labelszd2symzf3z21zzast_labelsz00(obj_t);
	extern obj_t BGl_labelszd2symzd2zzast_labelsz00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_za2cachezd2resza2zd2zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
	static obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	extern BgL_nodez00_bglt BGl_letzd2ze3nodez31zzast_letz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t,
		obj_t);
	static obj_t BGl_liipze70ze7zzast_sexpz00(obj_t);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern bool_t BGl_castzd2sexpzf3z21zzast_privatez00(obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzast_sexpz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_letzd2symzd2zzast_letz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	extern BgL_nodez00_bglt BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern BgL_feffectz00_bglt BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	static obj_t BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BUNSPEC;
	static obj_t __cnst[46];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim7301z00,
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_errorzd2sexpzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762errorza7d2sexpza77302za7,
		BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string7264z00zzast_sexpz00,
		BgL_bgl_string7264za700za7za7a7303za7, "Illegal `application' form", 26);
	      DEFINE_STRING(BGl_string7265z00zzast_sexpz00,
		BgL_bgl_string7265za700za7za7a7304za7, "Illegal `case' form", 19);
	      DEFINE_STRING(BGl_string7266z00zzast_sexpz00,
		BgL_bgl_string7266za700za7za7a7305za7, "Illegal `failure' form", 22);
	      DEFINE_STRING(BGl_string7267z00zzast_sexpz00,
		BgL_bgl_string7267za700za7za7a7306za7, "Illegal `static-pragma' expression",
		34);
	      DEFINE_STRING(BGl_string7268z00zzast_sexpz00,
		BgL_bgl_string7268za700za7za7a7307za7, "Illegal `lambda' form", 21);
	      DEFINE_STRING(BGl_string7269z00zzast_sexpz00,
		BgL_bgl_string7269za700za7za7a7308za7, "Illegal `define' form", 21);
	BGL_IMPORT obj_t BGl_expzd2envzd2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string7270z00zzast_sexpz00,
		BgL_bgl_string7270za700za7za7a7309za7, "illegal `define' expression", 27);
	      DEFINE_STRING(BGl_string7271z00zzast_sexpz00,
		BgL_bgl_string7271za700za7za7a7310za7, "Illegal `set!' form", 19);
	      DEFINE_STRING(BGl_string7272z00zzast_sexpz00,
		BgL_bgl_string7272za700za7za7a7311za7, "Read-only variable", 18);
	      DEFINE_STRING(BGl_string7273z00zzast_sexpz00,
		BgL_bgl_string7273za700za7za7a7312za7, "illegal `set!' expression", 25);
	      DEFINE_STRING(BGl_string7274z00zzast_sexpz00,
		BgL_bgl_string7274za700za7za7a7313za7, "Illegal ->", 10);
	      DEFINE_STRING(BGl_string7275z00zzast_sexpz00,
		BgL_bgl_string7275za700za7za7a7314za7, "Illegal `if' form", 17);
	      DEFINE_STRING(BGl_string7276z00zzast_sexpz00,
		BgL_bgl_string7276za700za7za7a7315za7, "Illegal `quote' expression", 26);
	      DEFINE_STRING(BGl_string7277z00zzast_sexpz00,
		BgL_bgl_string7277za700za7za7a7316za7, "Illegal `@' expression", 22);
	      DEFINE_STRING(BGl_string7278z00zzast_sexpz00,
		BgL_bgl_string7278za700za7za7a7317za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string7279z00zzast_sexpz00,
		BgL_bgl_string7279za700za7za7a7318za7, "Illegal atom in s-expression", 28);
	      DEFINE_STRING(BGl_string7280z00zzast_sexpz00,
		BgL_bgl_string7280za700za7za7a7319za7, "Illegal `()' expression", 23);
	      DEFINE_STRING(BGl_string7281z00zzast_sexpz00,
		BgL_bgl_string7281za700za7za7a7320za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string7282z00zzast_sexpz00,
		BgL_bgl_string7282za700za7za7a7321za7, "Illegal formal argument", 23);
	      DEFINE_STRING(BGl_string7283z00zzast_sexpz00,
		BgL_bgl_string7283za700za7za7a7322za7,
		"Backend (~a) does not support external first class function", 59);
	      DEFINE_STRING(BGl_string7284z00zzast_sexpz00,
		BgL_bgl_string7284za700za7za7a7323za7, "Illegal pragma/effect", 21);
	      DEFINE_STRING(BGl_string7285z00zzast_sexpz00,
		BgL_bgl_string7285za700za7za7a7324za7, "Illegal free-pragma/effect", 26);
	      DEFINE_STRING(BGl_string7286z00zzast_sexpz00,
		BgL_bgl_string7286za700za7za7a7325za7, "Illegal lambda", 14);
	      DEFINE_STRING(BGl_string7287z00zzast_sexpz00,
		BgL_bgl_string7287za700za7za7a7326za7, "Illegal empty sequence", 22);
	      DEFINE_STRING(BGl_string7288z00zzast_sexpz00,
		BgL_bgl_string7288za700za7za7a7327za7, "Illegal mutation", 16);
	      DEFINE_STRING(BGl_string7289z00zzast_sexpz00,
		BgL_bgl_string7289za700za7za7a7328za7, "($1)", 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2anonymouszd2namezd2envzd2zzast_sexpz00,
		BgL_bgl_za762makeza7d2anonym7329z00, va_generic_entry,
		BGl_z62makezd2anonymouszd2namez62zzast_sexpz00, BUNSPEC, -2);
	      DEFINE_STRING(BGl_string7290z00zzast_sexpz00,
		BgL_bgl_string7290za700za7za7a7330za7, "anonymous", 9);
	      DEFINE_STRING(BGl_string7291z00zzast_sexpz00,
		BgL_bgl_string7291za700za7za7a7331za7, "<", 1);
	      DEFINE_STRING(BGl_string7292z00zzast_sexpz00,
		BgL_bgl_string7292za700za7za7a7332za7, ":", 1);
	      DEFINE_STRING(BGl_string7293z00zzast_sexpz00,
		BgL_bgl_string7293za700za7za7a7333za7, "./", 2);
	      DEFINE_STRING(BGl_string7294z00zzast_sexpz00,
		BgL_bgl_string7294za700za7za7a7334za7, ">", 1);
	      DEFINE_STRING(BGl_string7295z00zzast_sexpz00,
		BgL_bgl_string7295za700za7za7a7335za7, "-", 1);
	      DEFINE_STRING(BGl_string7296z00zzast_sexpz00,
		BgL_bgl_string7296za700za7za7a7336za7, "ast_sexp", 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2localzd2envz00zzast_sexpz00,
		BgL_bgl_za762findza7d2localza77337za7, BGl_z62findzd2localzb0zzast_sexpz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string7297z00zzast_sexpz00,
		BgL_bgl_string7297za700za7za7a7338za7,
		"mutex > bdb location pragma::obj (@ __evmeaning_address foreign) (@ define-primop! __evenv) (@ define-primop-ref! __evenv) write car exp app cons :prelock apply synchronize jump-exit set-exit case failure free-pragma/effect static-pragma free-pragma pragma/effect letrec* labels letrec let define begin -> __r4_control_features_6_9 quote @ eval not bool test set! pragma else (quote ()) lambda value if (value apply app set! test) ",
		431);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_locationzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762locationza7d2za7e7339za7,
		BGl_z62locationzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762sexpza7d2za7e3nod7340za7,
		BGl_z62sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_topzd2levelzd2sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762topza7d2levelza7d7341za7,
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpza2zd2ze3nodezd2envz41zzast_sexpz00,
		BgL_bgl_za762sexpza7a2za7d2za7e37342z00,
		BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ifzd2symzd2envz00zzast_sexpz00,
		BgL_bgl_za762ifza7d2symza7b0za7za77343za7, BGl_z62ifzd2symzb0zzast_sexpz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_usezd2variablez12zd2envz12zzast_sexpz00,
		BgL_bgl_za762useza7d2variabl7344z00,
		BGl_z62usezd2variablez12za2zzast_sexpz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2refzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim7345z00,
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2sitesza2z00zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2ifza2z00zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2cachezd2nameza2zd2zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2cachezd2resza2zd2zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2cachezd2stackza2zd2zzast_sexpz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long
		BgL_checksumz00_12186, char *BgL_fromz00_12187)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_sexpz00))
				{
					BGl_requirezd2initializa7ationz75zzast_sexpz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_sexpz00();
					BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
					BGl_cnstzd2initzd2zzast_sexpz00();
					BGl_importedzd2moduleszd2initz00zzast_sexpz00();
					return BGl_toplevelzd2initzd2zzast_sexpz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "ast_sexp");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			{	/* Ast/sexp.scm 14 */
				obj_t BgL_cportz00_12173;

				{	/* Ast/sexp.scm 14 */
					obj_t BgL_startz00_12182;

					BgL_startz00_12182 = BINT(((long) 0));
					{	/* Ast/sexp.scm 14 */
						obj_t BgL_endz00_12183;

						BgL_endz00_12183 =
							BINT(STRING_LENGTH(BGl_string7297z00zzast_sexpz00));
						{	/* Ast/sexp.scm 14 */

							BgL_cportz00_12173 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string7297z00zzast_sexpz00, BgL_startz00_12182,
								BgL_endz00_12183);
				}}}
				{
					long BgL_iz00_12174;

					BgL_iz00_12174 = ((long) 45);
				BgL_loopz00_12175:
					if ((BgL_iz00_12174 == ((long) -1)))
						{	/* Ast/sexp.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/sexp.scm 14 */
							{	/* Ast/sexp.scm 14 */
								obj_t BgL_arg7299z00_12177;

								{	/* Ast/sexp.scm 14 */

									{	/* Ast/sexp.scm 14 */
										obj_t BgL_locationz00_12179;

										BgL_locationz00_12179 = BBOOL(((bool_t) 0));
										{	/* Ast/sexp.scm 14 */

											BgL_arg7299z00_12177 =
												BGl_readz00zz__readerz00(BgL_cportz00_12173,
												BgL_locationz00_12179);
										}
									}
								}
								{	/* Ast/sexp.scm 14 */
									int BgL_tmpz00_12224;

									BgL_tmpz00_12224 = (int) (BgL_iz00_12174);
									CNST_TABLE_SET(BgL_tmpz00_12224, BgL_arg7299z00_12177);
							}}
							{	/* Ast/sexp.scm 14 */
								int BgL_auxz00_12180;

								BgL_auxz00_12180 = (int) ((BgL_iz00_12174 - ((long) 1)));
								{
									long BgL_iz00_12229;

									BgL_iz00_12229 = (long) (BgL_auxz00_12180);
									BgL_iz00_12174 = BgL_iz00_12229;
									goto BgL_loopz00_12175;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_za2sitesza2z00zzast_sexpz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2ifza2z00zzast_sexpz00 =
				BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 1)));
			BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BFALSE;
			BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BFALSE;
			return (BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE, BUNSPEC);
		}
	}



/* top-level-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_17,
		obj_t BgL_locz00_18)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 64 */
			{

				{
					obj_t BgL_auxz00_12235;
					jmp_buf_t jmpbuf;
					void *BgL_an_exit1108z00_1614;

					if (SET_EXIT(BgL_an_exit1108z00_1614))
						{
							BgL_auxz00_12235 = BGL_EXIT_VALUE();
						}
					else
						{
#if( SIGSETJMP_SAVESIGS == 0 )
							bgl_restore_signal_handlers();
#endif

							BgL_an_exit1108z00_1614 = (void *) jmpbuf;
							{	/* Ast/sexp.scm 65 */

								PUSH_EXIT(BgL_an_exit1108z00_1614, ((long) 1));
								{	/* Ast/sexp.scm 65 */
									obj_t BgL_an_exitd1109z00_1615;

									BgL_an_exitd1109z00_1615 = ((obj_t) (&exitd));
									{	/* Ast/sexp.scm 68 */
										obj_t BgL_res1111z00_1618;

										{	/* Ast/sexp.scm 68 */
											obj_t BgL_zc3anonymousza31495ze3z83_12119;
											obj_t BgL_zc3anonymousza31494ze3z83_12120;

											BgL_zc3anonymousza31495ze3z83_12119 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza31495ze3ze1zzast_sexpz00,
												(int) (((long) 0)), (int) (((long) 2)));
											BgL_zc3anonymousza31494ze3z83_12120 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza31494ze3ze1zzast_sexpz00,
												(int) (((long) 1)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3anonymousza31495ze3z83_12119,
												(int) (((long) 0)), BgL_expz00_17);
											PROCEDURE_SET(BgL_zc3anonymousza31495ze3z83_12119,
												(int) (((long) 1)), BgL_locz00_18);
											PROCEDURE_SET(BgL_zc3anonymousza31494ze3z83_12120,
												(int) (((long) 0)), BgL_an_exitd1109z00_1615);
											BgL_res1111z00_1618 =
												BGl_withzd2exceptionzd2handlerz00zz__errorz00
												(BgL_zc3anonymousza31494ze3z83_12120,
												BgL_zc3anonymousza31495ze3z83_12119);
										}
										POP_EXIT();
										BgL_auxz00_12235 = BgL_res1111z00_1618;
							}}}
						}
					return ((BgL_nodez00_bglt) BgL_auxz00_12235);
				}
			}
		}
	}



/* &top-level-sexp->node */
	BgL_nodez00_bglt BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_12121, obj_t BgL_expz00_12122, obj_t BgL_locz00_12123)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 64 */
			return
				BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_12122,
				BgL_locz00_12123);
		}
	}



/* &<anonymous:1495> */
	obj_t BGl_z62zc3anonymousza31495ze3ze1zzast_sexpz00(obj_t BgL_envz00_12124)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 70 */
			{	/* Ast/sexp.scm 71 */
				obj_t BgL_expz00_12125;
				obj_t BgL_locz00_12126;

				BgL_expz00_12125 = PROCEDURE_REF(BgL_envz00_12124, (int) (((long) 0)));
				BgL_locz00_12126 = PROCEDURE_REF(BgL_envz00_12124, (int) (((long) 1)));
				{

					{
						BgL_nodez00_bglt BgL_auxz00_12259;

						BgL_auxz00_12259 =
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_12125, BNIL,
							BgL_locz00_12126, CNST_TABLE_REF(((long) 2)));
						return ((obj_t) BgL_auxz00_12259);
					}
				}
			}
		}
	}



/* &<anonymous:1494> */
	obj_t BGl_z62zc3anonymousza31494ze3ze1zzast_sexpz00(obj_t BgL_envz00_12127,
		obj_t BgL_ez00_12129)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 67 */
			{	/* Ast/sexp.scm 68 */
				obj_t BgL_an_exitd1109z00_12128;

				BgL_an_exitd1109z00_12128 =
					PROCEDURE_REF(BgL_envz00_12127, (int) (((long) 0)));
				BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_12129);
				return
					BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1109z00_12128,
					BUNSPEC);
			}
		}
	}



/* if-sym */
	BGL_EXPORTED_DEF obj_t BGl_ifzd2symzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 86 */
			return BGl_za2ifza2z00zzast_sexpz00;
		}
	}



/* &if-sym */
	obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t BgL_envz00_12130)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 86 */
			return BGl_ifzd2symzd2zzast_sexpz00();
		}
	}



/* proc-or-lambda? */
	bool_t BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(obj_t BgL_ez00_20)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 98 */
			if (SYMBOLP(BgL_ez00_20))
				{	/* Ast/sexp.scm 99 */
					return ((bool_t) 1);
				}
			else
				{	/* Ast/sexp.scm 99 */
					if (PAIRP(BgL_ez00_20))
						{	/* Ast/sexp.scm 99 */
							if ((CAR(BgL_ez00_20) == CNST_TABLE_REF(((long) 3))))
								{	/* Ast/sexp.scm 99 */
									bool_t BgL_testz00_12276;

									{	/* Ast/sexp.scm 99 */
										obj_t BgL_tmpz00_12277;

										BgL_tmpz00_12277 = CDR(BgL_ez00_20);
										BgL_testz00_12276 = PAIRP(BgL_tmpz00_12277);
									}
									if (BgL_testz00_12276)
										{	/* Ast/sexp.scm 99 */
											return ((bool_t) 1);
										}
									else
										{	/* Ast/sexp.scm 99 */
											return ((bool_t) 0);
										}
								}
							else
								{	/* Ast/sexp.scm 99 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* Ast/sexp.scm 99 */
							return ((bool_t) 0);
						}
				}
		}
	}



/* sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t
		BgL_expz00_21, obj_t BgL_stackz00_22, obj_t BgL_locz00_23,
		obj_t BgL_sitez00_24)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 112 */
		BGl_sexpzd2ze3nodez31zzast_sexpz00:
			{
				obj_t BgL_atomz00_1640;
				obj_t BgL_lz00_1645;
				obj_t BgL_bodyz00_1649;
				obj_t BgL_lz00_1654;
				obj_t BgL_valz00_1655;
				obj_t BgL_bodyz00_1659;
				obj_t BgL_argsz00_1660;
				obj_t BgL_varz00_1665;
				obj_t BgL_bodyz00_1666;
				obj_t BgL_argz00_1667;
				obj_t BgL_varsz00_1669;
				obj_t BgL_bodyz00_1670;
				obj_t BgL_argsz00_1671;
				obj_t BgL_testz00_1673;
				obj_t BgL_proc1z00_1674;
				obj_t BgL_proc2z00_1675;
				obj_t BgL_argsz00_1676;
				obj_t BgL_testz00_1678;
				obj_t BgL_proc1z00_1679;
				obj_t BgL_proc2z00_1680;
				obj_t BgL_argsz00_1681;
				obj_t BgL_effectz00_1685;
				obj_t BgL_restz00_1686;
				obj_t BgL_effectz00_1690;
				obj_t BgL_restz00_1691;

				if (NULLP(BgL_expz00_21))
					{	/* Ast/sexp.scm 117 */
						{	/* Ast/sexp.scm 120 */
							BgL_nodez00_bglt BgL_res6656z00_8582;

							{	/* Ast/sexp.scm 692 */
								obj_t BgL_arg6515z00_8578;
								BgL_nodez00_bglt BgL_arg6516z00_8579;

								BgL_arg6515z00_8578 =
									BGl_shapez00zztools_shapez00
									(BGl_currentzd2functionzd2zztools_errorz00());
								BgL_arg6516z00_8579 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)),
									BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
								{	/* Ast/sexp.scm 691 */
									obj_t BgL_list6517z00_8581;

									BgL_list6517z00_8581 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg6516z00_8579), BNIL);
									BgL_res6656z00_8582 =
										((BgL_nodez00_bglt)
										BGl_userzd2errorzf2locationz20zztools_errorz00
										(BgL_locz00_23, BgL_arg6515z00_8578,
											BGl_string7280z00zzast_sexpz00, BgL_expz00_21,
											BgL_list6517z00_8581));
							}}
							return BgL_res6656z00_8582;
						}
					}
				else
					{	/* Ast/sexp.scm 117 */
						if (BGl_isazf3zf3zz__objectz00(BgL_expz00_21,
								BGl_nodez00zzast_nodez00))
							{
								obj_t BgL_auxz00_12293;

								if (BGl_isazf3zf3zz__objectz00(BgL_expz00_21,
										BGl_externz00zzast_nodez00))
									{	/* Ast/sexp.scm 125 */
										obj_t BgL_l01338z00_7477;

										BgL_l01338z00_7477 =
											(((BgL_externz00_bglt) CREF(
													((BgL_externz00_bglt) BgL_expz00_21)))->
											BgL_exprza2za2);
										{
											obj_t BgL_l1337z00_7479;

											BgL_l1337z00_7479 = BgL_l01338z00_7477;
										BgL_zc3anonymousza36045ze3z83_7480:
											if (NULLP(BgL_l1337z00_7479))
												{	/* Ast/sexp.scm 125 */
													BgL_l01338z00_7477;
												}
											else
												{	/* Ast/sexp.scm 125 */
													{	/* Ast/sexp.scm 125 */
														BgL_nodez00_bglt BgL_arg6047z00_7482;

														{	/* Ast/sexp.scm 125 */
															obj_t BgL_ez00_7483;

															BgL_ez00_7483 = CAR(BgL_l1337z00_7479);
															{	/* Ast/sexp.scm 125 */
																obj_t BgL_arg6048z00_7484;

																BgL_arg6048z00_7484 =
																	(((BgL_nodez00_bglt) CREF(
																			((BgL_nodez00_bglt)
																				((BgL_externz00_bglt)
																					BgL_expz00_21))))->BgL_locz00);
																BgL_arg6047z00_7482 =
																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																	(BgL_ez00_7483, BgL_stackz00_22,
																	BgL_arg6048z00_7484,
																	CNST_TABLE_REF(((long) 2)));
														}}
														{	/* Ast/sexp.scm 125 */
															obj_t BgL_tmpz00_12306;

															BgL_tmpz00_12306 = ((obj_t) BgL_arg6047z00_7482);
															SET_CAR(BgL_l1337z00_7479, BgL_tmpz00_12306);
													}}
													{
														obj_t BgL_l1337z00_12309;

														BgL_l1337z00_12309 = CDR(BgL_l1337z00_7479);
														BgL_l1337z00_7479 = BgL_l1337z00_12309;
														goto BgL_zc3anonymousza36045ze3z83_7480;
													}
												}
										}
									}
								else
									{	/* Ast/sexp.scm 123 */
										BFALSE;
									}
								if (BGl_isazf3zf3zz__objectz00(BgL_expz00_21,
										BGl_appz00zzast_nodez00))
									{	/* Ast/sexp.scm 128 */
										obj_t BgL_l01341z00_7489;

										BgL_l01341z00_7489 =
											(((BgL_appz00_bglt) CREF(
													((BgL_appz00_bglt) BgL_expz00_21)))->BgL_argsz00);
										{
											obj_t BgL_l1340z00_7491;

											BgL_l1340z00_7491 = BgL_l01341z00_7489;
										BgL_zc3anonymousza36051ze3z83_7492:
											if (NULLP(BgL_l1340z00_7491))
												{	/* Ast/sexp.scm 128 */
													BgL_l01341z00_7489;
												}
											else
												{	/* Ast/sexp.scm 128 */
													{	/* Ast/sexp.scm 128 */
														BgL_nodez00_bglt BgL_arg6053z00_7494;

														{	/* Ast/sexp.scm 128 */
															obj_t BgL_ez00_7495;

															BgL_ez00_7495 = CAR(BgL_l1340z00_7491);
															{	/* Ast/sexp.scm 128 */
																obj_t BgL_arg6054z00_7496;

																BgL_arg6054z00_7496 =
																	(((BgL_nodez00_bglt) CREF(
																			((BgL_nodez00_bglt)
																				((BgL_appz00_bglt) BgL_expz00_21))))->
																	BgL_locz00);
																BgL_arg6053z00_7494 =
																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																	(BgL_ez00_7495, BgL_stackz00_22,
																	BgL_arg6054z00_7496,
																	CNST_TABLE_REF(((long) 2)));
														}}
														{	/* Ast/sexp.scm 128 */
															obj_t BgL_tmpz00_12323;

															BgL_tmpz00_12323 = ((obj_t) BgL_arg6053z00_7494);
															SET_CAR(BgL_l1340z00_7491, BgL_tmpz00_12323);
													}}
													{
														obj_t BgL_l1340z00_12326;

														BgL_l1340z00_12326 = CDR(BgL_l1340z00_7491);
														BgL_l1340z00_7491 = BgL_l1340z00_12326;
														goto BgL_zc3anonymousza36051ze3z83_7492;
													}
												}
										}
									}
								else
									{	/* Ast/sexp.scm 126 */
										BFALSE;
									}
								BgL_auxz00_12293 = BgL_expz00_21;
								return ((BgL_nodez00_bglt) BgL_auxz00_12293);
							}
						else
							{	/* Ast/sexp.scm 117 */
								if (PAIRP(BgL_expz00_21))
									{	/* Ast/sexp.scm 117 */
										obj_t BgL_carzd2470zd2_1712;

										BgL_carzd2470zd2_1712 = CAR(BgL_expz00_21);
										if (SYMBOLP(BgL_carzd2470zd2_1712))
											{	/* Ast/sexp.scm 117 */
												bool_t BgL_testz00_12334;

												{	/* Ast/sexp.scm 117 */
													obj_t BgL__ortest_1146z00_4597;

													BgL__ortest_1146z00_4597 =
														BGl_findzd2localzd2zzast_sexpz00
														(BgL_carzd2470zd2_1712, BgL_stackz00_22);
													if (CBOOL(BgL__ortest_1146z00_4597))
														{	/* Ast/sexp.scm 117 */
															BgL_testz00_12334 =
																CBOOL(BgL__ortest_1146z00_4597);
														}
													else
														{	/* Ast/sexp.scm 117 */
															obj_t BgL_gz00_4598;

															BgL_gz00_4598 =
																BGl_findzd2globalzd2zzast_envz00
																(BgL_carzd2470zd2_1712, BNIL);
															if (CBOOL(BgL_gz00_4598))
																{	/* Ast/sexp.scm 117 */
																	if (
																		((((BgL_globalz00_bglt) CREF(
																						((BgL_globalz00_bglt)
																							BgL_gz00_4598)))->
																				BgL_modulez00) ==
																			CNST_TABLE_REF(((long) 14))))
																		{	/* Ast/sexp.scm 117 */
																			BgL_testz00_12334 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/sexp.scm 117 */
																			BgL_testz00_12334 = ((bool_t) 1);
																		}
																}
															else
																{	/* Ast/sexp.scm 117 */
																	BgL_testz00_12334 = ((bool_t) 0);
																}
														}
												}
												if (BgL_testz00_12334)
													{	/* Ast/sexp.scm 117 */
														return
															BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_21,
															BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
													}
												else
													{	/* Ast/sexp.scm 117 */
														if (
															(CAR(BgL_expz00_21) ==
																CNST_TABLE_REF(((long) 12))))
															{	/* Ast/sexp.scm 117 */
															BgL_tagzd2371zd2_1644:
																{	/* Ast/sexp.scm 168 */
																	obj_t BgL_locz00_7526;

																	BgL_locz00_7526 =
																		BGl_findzd2locationzf2locz20zztools_locationz00
																		(BgL_expz00_21, BgL_locz00_23);
																	{
																		obj_t BgL_namez00_7527;
																		obj_t BgL_modulez00_7528;

																		if (PAIRP(BgL_expz00_21))
																			{	/* Ast/sexp.scm 169 */
																				obj_t BgL_cdrzd254896zd2_7533;

																				BgL_cdrzd254896zd2_7533 =
																					CDR(BgL_expz00_21);
																				if (
																					(CAR(BgL_expz00_21) ==
																						CNST_TABLE_REF(((long) 12))))
																					{	/* Ast/sexp.scm 169 */
																						if (PAIRP(BgL_cdrzd254896zd2_7533))
																							{	/* Ast/sexp.scm 169 */
																								obj_t BgL_carzd254899zd2_7537;
																								obj_t BgL_cdrzd254900zd2_7538;

																								BgL_carzd254899zd2_7537 =
																									CAR(BgL_cdrzd254896zd2_7533);
																								BgL_cdrzd254900zd2_7538 =
																									CDR(BgL_cdrzd254896zd2_7533);
																								if (SYMBOLP
																									(BgL_carzd254899zd2_7537))
																									{	/* Ast/sexp.scm 169 */
																										if (PAIRP
																											(BgL_cdrzd254900zd2_7538))
																											{	/* Ast/sexp.scm 169 */
																												obj_t
																													BgL_carzd254905zd2_7541;
																												BgL_carzd254905zd2_7541
																													=
																													CAR
																													(BgL_cdrzd254900zd2_7538);
																												if (SYMBOLP
																													(BgL_carzd254905zd2_7541))
																													{	/* Ast/sexp.scm 169 */
																														if (NULLP(CDR
																																(BgL_cdrzd254900zd2_7538)))
																															{	/* Ast/sexp.scm 169 */
																																BgL_namez00_7527
																																	=
																																	BgL_carzd254899zd2_7537;
																																BgL_modulez00_7528
																																	=
																																	BgL_carzd254905zd2_7541;
																																{	/* Ast/sexp.scm 171 */
																																	obj_t
																																		BgL_globalz00_7547;
																																	BgL_globalz00_7547
																																		=
																																		BGl_findzd2globalzf2modulez20zzast_envz00
																																		(BgL_namez00_7527,
																																		BgL_modulez00_7528);
																																	if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_7547, BGl_globalz00zzast_varz00))
																																		{	/* Ast/sexp.scm 173 */
																																			if (
																																				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt) BgL_globalz00_7547)))->BgL_importz00) == CNST_TABLE_REF(((long) 11))))
																																				{	/* Ast/sexp.scm 176 */
																																					obj_t
																																						BgL_arg6087z00_7551;
																																					{	/* Ast/sexp.scm 176 */
																																						obj_t
																																							BgL_arg6088z00_7552;
																																						BgL_arg6088z00_7552
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BGl_atomz00zzast_nodez00,
																																							BNIL);
																																						BgL_arg6087z00_7551
																																							=
																																							MAKE_YOUNG_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 11)), BgL_arg6088z00_7552);
																																					}
																																					{
																																						obj_t
																																							BgL_locz00_12386;
																																						obj_t
																																							BgL_expz00_12385;
																																						BgL_expz00_12385
																																							=
																																							BgL_arg6087z00_7551;
																																						BgL_locz00_12386
																																							=
																																							BgL_locz00_7526;
																																						BgL_locz00_23
																																							=
																																							BgL_locz00_12386;
																																						BgL_expz00_21
																																							=
																																							BgL_expz00_12385;
																																						goto
																																							BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 175 */
																																					return
																																						BGl_variablezd2ze3nodez31zzast_sexpz00
																																						(BgL_globalz00_7547,
																																						BgL_locz00_7526,
																																						BgL_sitez00_24);
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 174 */
																																			BgL_nodez00_bglt
																																				BgL_res6673z00_8625;
																																			{	/* Ast/sexp.scm 692 */
																																				obj_t
																																					BgL_arg6515z00_8621;
																																				BgL_nodez00_bglt
																																					BgL_arg6516z00_8622;
																																				BgL_arg6515z00_8621
																																					=
																																					BGl_shapez00zztools_shapez00
																																					(BGl_currentzd2functionzd2zztools_errorz00
																																					());
																																				BgL_arg6516z00_8622
																																					=
																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																					(CNST_TABLE_REF
																																					(((long) 4)), BNIL, BgL_locz00_7526, CNST_TABLE_REF(((long) 2)));
																																				{	/* Ast/sexp.scm 691 */
																																					obj_t
																																						BgL_list6517z00_8624;
																																					BgL_list6517z00_8624
																																						=
																																						MAKE_YOUNG_PAIR
																																						(((obj_t) BgL_arg6516z00_8622), BNIL);
																																					BgL_res6673z00_8625
																																						=
																																						(
																																						(BgL_nodez00_bglt)
																																						BGl_userzd2errorzf2locationz20zztools_errorz00
																																						(BgL_locz00_7526,
																																							BgL_arg6515z00_8621,
																																							BGl_string7278z00zzast_sexpz00,
																																							BgL_expz00_21,
																																							BgL_list6517z00_8624));
																																			}}
																																			return
																																				BgL_res6673z00_8625;
																																		}
																																}
																															}
																														else
																															{	/* Ast/sexp.scm 169 */
																															BgL_tagzd254889zd2_7530:
																																{	/* Ast/sexp.scm 180 */
																																	BgL_nodez00_bglt
																																		BgL_res6674z00_8631;
																																	{	/* Ast/sexp.scm 692 */
																																		obj_t
																																			BgL_arg6515z00_8627;
																																		BgL_nodez00_bglt
																																			BgL_arg6516z00_8628;
																																		BgL_arg6515z00_8627
																																			=
																																			BGl_shapez00zztools_shapez00
																																			(BGl_currentzd2functionzd2zztools_errorz00
																																			());
																																		BgL_arg6516z00_8628
																																			=
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																			(CNST_TABLE_REF
																																			(((long)
																																					4)),
																																			BNIL,
																																			BgL_locz00_7526,
																																			CNST_TABLE_REF
																																			(((long)
																																					2)));
																																		{	/* Ast/sexp.scm 691 */
																																			obj_t
																																				BgL_list6517z00_8630;
																																			BgL_list6517z00_8630
																																				=
																																				MAKE_YOUNG_PAIR
																																				(((obj_t) BgL_arg6516z00_8628), BNIL);
																																			BgL_res6674z00_8631
																																				=
																																				(
																																				(BgL_nodez00_bglt)
																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																				(BgL_locz00_7526,
																																					BgL_arg6515z00_8627,
																																					BGl_string7277z00zzast_sexpz00,
																																					BgL_expz00_21,
																																					BgL_list6517z00_8630));
																																	}}
																																	return
																																		BgL_res6674z00_8631;
																																}
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 169 */
																														goto
																															BgL_tagzd254889zd2_7530;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 169 */
																												goto
																													BgL_tagzd254889zd2_7530;
																											}
																									}
																								else
																									{	/* Ast/sexp.scm 169 */
																										goto
																											BgL_tagzd254889zd2_7530;
																									}
																							}
																						else
																							{	/* Ast/sexp.scm 169 */
																								goto BgL_tagzd254889zd2_7530;
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 169 */
																						goto BgL_tagzd254889zd2_7530;
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 169 */
																				goto BgL_tagzd254889zd2_7530;
																			}
																	}
																}
															}
														else
															{	/* Ast/sexp.scm 117 */
																if (
																	(CAR(BgL_expz00_21) ==
																		CNST_TABLE_REF(((long) 15))))
																	{	/* Ast/sexp.scm 117 */
																		BgL_lz00_1645 = CDR(BgL_expz00_21);
																	BgL_tagzd2372zd2_1646:
																		{	/* Ast/sexp.scm 183 */
																			bool_t BgL_testz00_12410;

																			if (PAIRP(BgL_lz00_1645))
																				{	/* Ast/sexp.scm 183 */
																					bool_t BgL_testz00_12413;

																					{	/* Ast/sexp.scm 183 */
																						obj_t BgL_tmpz00_12414;

																						BgL_tmpz00_12414 =
																							CDR(BgL_lz00_1645);
																						BgL_testz00_12413 =
																							PAIRP(BgL_tmpz00_12414);
																					}
																					if (BgL_testz00_12413)
																						{
																							obj_t BgL_l1342z00_7571;

																							BgL_l1342z00_7571 = BgL_lz00_1645;
																						BgL_zc3anonymousza36099ze3z83_7572:
																							if (NULLP(BgL_l1342z00_7571))
																								{	/* Ast/sexp.scm 183 */
																									BgL_testz00_12410 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Ast/sexp.scm 183 */
																									bool_t BgL_testz00_12419;

																									{	/* Ast/sexp.scm 183 */
																										obj_t BgL_tmpz00_12420;

																										BgL_tmpz00_12420 =
																											CAR(BgL_l1342z00_7571);
																										BgL_testz00_12419 =
																											SYMBOLP(BgL_tmpz00_12420);
																									}
																									if (BgL_testz00_12419)
																										{
																											obj_t BgL_l1342z00_12423;

																											BgL_l1342z00_12423 =
																												CDR(BgL_l1342z00_7571);
																											BgL_l1342z00_7571 =
																												BgL_l1342z00_12423;
																											goto
																												BgL_zc3anonymousza36099ze3z83_7572;
																										}
																									else
																										{	/* Ast/sexp.scm 183 */
																											BgL_testz00_12410 =
																												((bool_t) 0);
																										}
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 183 */
																							BgL_testz00_12410 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 183 */
																					BgL_testz00_12410 = ((bool_t) 0);
																				}
																			if (BgL_testz00_12410)
																				{	/* Ast/sexp.scm 183 */
																					return
																						BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00
																						(BgL_lz00_1645, BgL_expz00_21,
																						BgL_stackz00_22, BgL_locz00_23,
																						BgL_sitez00_24);
																				}
																			else
																				{	/* Ast/sexp.scm 185 */
																					BgL_nodez00_bglt BgL_res6685z00_8656;

																					{	/* Ast/sexp.scm 692 */
																						obj_t BgL_arg6515z00_8652;
																						BgL_nodez00_bglt
																							BgL_arg6516z00_8653;
																						BgL_arg6515z00_8652 =
																							BGl_shapez00zztools_shapez00
																							(BGl_currentzd2functionzd2zztools_errorz00
																							());
																						BgL_arg6516z00_8653 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(CNST_TABLE_REF(((long) 4)), BNIL,
																							BgL_locz00_23,
																							CNST_TABLE_REF(((long) 2)));
																						{	/* Ast/sexp.scm 691 */
																							obj_t BgL_list6517z00_8655;

																							BgL_list6517z00_8655 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_arg6516z00_8653),
																								BNIL);
																							BgL_res6685z00_8656 =
																								((BgL_nodez00_bglt)
																								BGl_userzd2errorzf2locationz20zztools_errorz00
																								(BgL_locz00_23,
																									BgL_arg6515z00_8652,
																									BGl_string7274z00zzast_sexpz00,
																									BgL_expz00_21,
																									BgL_list6517z00_8655));
																					}}
																					return BgL_res6685z00_8656;
																				}
																		}
																	}
																else
																	{	/* Ast/sexp.scm 117 */
																		if (
																			(CAR(BgL_expz00_21) ==
																				CNST_TABLE_REF(((long) 13))))
																			{	/* Ast/sexp.scm 117 */
																			BgL_tagzd2373zd2_1647:
																				{
																					obj_t BgL_valuez00_7580;

																					if (PAIRP(BgL_expz00_21))
																						{	/* Ast/sexp.scm 117 */
																							obj_t BgL_cdrzd254916zd2_7585;

																							BgL_cdrzd254916zd2_7585 =
																								CDR(BgL_expz00_21);
																							if (PAIRP
																								(BgL_cdrzd254916zd2_7585))
																								{	/* Ast/sexp.scm 117 */
																									if (NULLP(CDR
																											(BgL_cdrzd254916zd2_7585)))
																										{	/* Ast/sexp.scm 117 */
																											BgL_valuez00_7580 =
																												CAR
																												(BgL_cdrzd254916zd2_7585);
																											{	/* Ast/sexp.scm 190 */
																												obj_t BgL_locz00_7591;

																												BgL_locz00_7591 =
																													BGl_findzd2locationzf2locz20zztools_locationz00
																													(BgL_expz00_21,
																													BgL_locz00_23);
																												if (NULLP
																													(BgL_valuez00_7580))
																													{	/* Ast/sexp.scm 193 */
																														BgL_atomz00_bglt
																															BgL_new1120z00_7593;
																														{	/* Ast/sexp.scm 194 */
																															BgL_atomz00_bglt
																																BgL_new1119z00_7595;
																															BgL_new1119z00_7595
																																=
																																(
																																(BgL_atomz00_bglt)
																																BREF(GC_MALLOC
																																	(sizeof(struct
																																			BgL_atomz00_bgl))));
																															{	/* Ast/sexp.scm 194 */
																																long
																																	BgL_arg6111z00_7596;
																																{	/* Ast/sexp.scm 194 */
																																	long
																																		BgL_res6687z00_8659;
																																	BgL_res6687z00_8659
																																		=
																																		BGL_CLASS_INDEX
																																		(BGl_atomz00zzast_nodez00);
																																	BgL_arg6111z00_7596
																																		=
																																		BgL_res6687z00_8659;
																																}
																																BGL_OBJECT_CLASS_NUM_SET
																																	(((BgL_objectz00_bglt) BgL_new1119z00_7595), BgL_arg6111z00_7596);
																															}
																															{	/* Ast/sexp.scm 194 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_12455;
																																BgL_tmpz00_12455
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new1119z00_7595);
																																BGL_OBJECT_WIDENING_SET
																																	(BgL_tmpz00_12455,
																																	BFALSE);
																															}
																															BgL_new1120z00_7593
																																=
																																BgL_new1119z00_7595;
																														}
																														((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1120z00_7593)))->BgL_locz00) = ((obj_t) BgL_locz00_7591), BUNSPEC);
																														{
																															BgL_typez00_bglt
																																BgL_auxz00_12460;
																															{	/* Ast/sexp.scm 195 */
																																BgL_typez00_bglt
																																	BgL_arg6110z00_7594;
																																BgL_arg6110z00_7594
																																	=
																																	BGl_getzd2typezd2kwotez00zztype_typeofz00
																																	(BgL_valuez00_7580);
																																BgL_auxz00_12460
																																	=
																																	BGl_strictzd2nodezd2typez00zzast_nodez00
																																	(BgL_arg6110z00_7594,
																																	((BgL_typez00_bglt) BGl_za2bnilza2z00zztype_cachez00));
																															}
																															((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1120z00_7593)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12460), BUNSPEC);
																														}
																														((((BgL_atomz00_bglt) CREF(BgL_new1120z00_7593))->BgL_valuez00) = ((obj_t) BNIL), BUNSPEC);
																														return
																															(
																															(BgL_nodez00_bglt)
																															BgL_new1120z00_7593);
																													}
																												else
																													{	/* Ast/sexp.scm 197 */
																														bool_t
																															BgL_testz00_12468;
																														if (PAIRP
																															(BgL_valuez00_7580))
																															{	/* Ast/sexp.scm 197 */
																																BgL_testz00_12468
																																	=
																																	((bool_t) 1);
																															}
																														else
																															{	/* Ast/sexp.scm 197 */
																																if (VECTORP
																																	(BgL_valuez00_7580))
																																	{	/* Ast/sexp.scm 198 */
																																		BgL_testz00_12468
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 198 */
																																		if (BGL_HVECTORP(BgL_valuez00_7580))
																																			{	/* Ast/sexp.scm 199 */
																																				BgL_testz00_12468
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 199 */
																																				if (STRUCTP(BgL_valuez00_7580))
																																					{	/* Ast/sexp.scm 200 */
																																						BgL_testz00_12468
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 200 */
																																						if (SYMBOLP(BgL_valuez00_7580))
																																							{	/* Ast/sexp.scm 201 */
																																								BgL_testz00_12468
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 201 */
																																								BgL_testz00_12468
																																									=
																																									KEYWORDP
																																									(BgL_valuez00_7580);
																																							}
																																					}
																																			}
																																	}
																															}
																														if (BgL_testz00_12468)
																															{	/* Ast/sexp.scm 203 */
																																BgL_kwotez00_bglt
																																	BgL_new1122z00_7603;
																																{	/* Ast/sexp.scm 204 */
																																	BgL_kwotez00_bglt
																																		BgL_new1121z00_7605;
																																	BgL_new1121z00_7605
																																		=
																																		(
																																		(BgL_kwotez00_bglt)
																																		BREF
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_kwotez00_bgl))));
																																	{	/* Ast/sexp.scm 204 */
																																		long
																																			BgL_arg6119z00_7606;
																																		{	/* Ast/sexp.scm 204 */
																																			long
																																				BgL_res6693z00_8668;
																																			BgL_res6693z00_8668
																																				=
																																				BGL_CLASS_INDEX
																																				(BGl_kwotez00zzast_nodez00);
																																			BgL_arg6119z00_7606
																																				=
																																				BgL_res6693z00_8668;
																																		}
																																		BGL_OBJECT_CLASS_NUM_SET
																																			(((BgL_objectz00_bglt) BgL_new1121z00_7605), BgL_arg6119z00_7606);
																																	}
																																	{	/* Ast/sexp.scm 204 */
																																		BgL_objectz00_bglt
																																			BgL_tmpz00_12484;
																																		BgL_tmpz00_12484
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_new1121z00_7605);
																																		BGL_OBJECT_WIDENING_SET
																																			(BgL_tmpz00_12484,
																																			BFALSE);
																																	}
																																	BgL_new1122z00_7603
																																		=
																																		BgL_new1121z00_7605;
																																}
																																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1122z00_7603)))->BgL_locz00) = ((obj_t) BgL_locz00_7591), BUNSPEC);
																																{
																																	BgL_typez00_bglt
																																		BgL_auxz00_12489;
																																	{	/* Ast/sexp.scm 205 */
																																		BgL_typez00_bglt
																																			BgL_arg6118z00_7604;
																																		BgL_arg6118z00_7604
																																			=
																																			BGl_getzd2typezd2kwotez00zztype_typeofz00
																																			(BgL_valuez00_7580);
																																		BgL_auxz00_12489
																																			=
																																			BGl_strictzd2nodezd2typez00zzast_nodez00
																																			(BgL_arg6118z00_7604,
																																			((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
																																	}
																																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1122z00_7603)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12489), BUNSPEC);
																																}
																																((((BgL_kwotez00_bglt) CREF(BgL_new1122z00_7603))->BgL_valuez00) = ((obj_t) BgL_valuez00_7580), BUNSPEC);
																																return
																																	(
																																	(BgL_nodez00_bglt)
																																	BgL_new1122z00_7603);
																															}
																														else
																															{	/* Ast/sexp.scm 207 */
																																bool_t
																																	BgL_testz00_12497;
																																if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valuez00_7580))
																																	{	/* Ast/sexp.scm 207 */
																																		BgL_testz00_12497
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 207 */
																																		if (STRINGP
																																			(BgL_valuez00_7580))
																																			{	/* Ast/sexp.scm 208 */
																																				BgL_testz00_12497
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 208 */
																																				if (CNSTP(BgL_valuez00_7580))
																																					{	/* Ast/sexp.scm 209 */
																																						BgL_testz00_12497
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 209 */
																																						if (CHARP(BgL_valuez00_7580))
																																							{	/* Ast/sexp.scm 213 */
																																								BgL_testz00_12497
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 213 */
																																								BgL_testz00_12497
																																									=
																																									BOOLEANP
																																									(BgL_valuez00_7580);
																																							}
																																					}
																																			}
																																	}
																																if (BgL_testz00_12497)
																																	{
																																		obj_t
																																			BgL_locz00_12508;
																																		obj_t
																																			BgL_expz00_12507;
																																		BgL_expz00_12507
																																			=
																																			BgL_valuez00_7580;
																																		BgL_locz00_12508
																																			=
																																			BgL_locz00_7591;
																																		BgL_locz00_23
																																			=
																																			BgL_locz00_12508;
																																		BgL_expz00_21
																																			=
																																			BgL_expz00_12507;
																																		goto
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																	}
																																else
																																	{	/* Ast/sexp.scm 217 */
																																		BgL_nodez00_bglt
																																			BgL_res6698z00_8680;
																																		{	/* Ast/sexp.scm 692 */
																																			obj_t
																																				BgL_arg6515z00_8676;
																																			BgL_nodez00_bglt
																																				BgL_arg6516z00_8677;
																																			BgL_arg6515z00_8676
																																				=
																																				BGl_shapez00zztools_shapez00
																																				(BGl_currentzd2functionzd2zztools_errorz00
																																				());
																																			BgL_arg6516z00_8677
																																				=
																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																				(CNST_TABLE_REF
																																				(((long)
																																						4)),
																																				BNIL,
																																				BgL_locz00_7591,
																																				CNST_TABLE_REF
																																				(((long)
																																						2)));
																																			{	/* Ast/sexp.scm 691 */
																																				obj_t
																																					BgL_list6517z00_8679;
																																				BgL_list6517z00_8679
																																					=
																																					MAKE_YOUNG_PAIR
																																					(((obj_t) BgL_arg6516z00_8677), BNIL);
																																				BgL_res6698z00_8680
																																					=
																																					(
																																					(BgL_nodez00_bglt)
																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																					(BgL_locz00_7591,
																																						BgL_arg6515z00_8676,
																																						BGl_string7276z00zzast_sexpz00,
																																						BgL_expz00_21,
																																						BgL_list6517z00_8679));
																																		}}
																																		return
																																			BgL_res6698z00_8680;
																																	}
																															}
																													}
																											}
																										}
																									else
																										{	/* Ast/sexp.scm 117 */
																										BgL_tagzd254911zd2_7582:
																											{	/* Ast/sexp.scm 219 */
																												BgL_nodez00_bglt
																													BgL_res6699z00_8686;
																												{	/* Ast/sexp.scm 692 */
																													obj_t
																														BgL_arg6515z00_8682;
																													BgL_nodez00_bglt
																														BgL_arg6516z00_8683;
																													BgL_arg6515z00_8682 =
																														BGl_shapez00zztools_shapez00
																														(BGl_currentzd2functionzd2zztools_errorz00
																														());
																													BgL_arg6516z00_8683 =
																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																														(CNST_TABLE_REF((
																																(long) 4)),
																														BNIL, BgL_locz00_23,
																														CNST_TABLE_REF((
																																(long) 2)));
																													{	/* Ast/sexp.scm 691 */
																														obj_t
																															BgL_list6517z00_8685;
																														BgL_list6517z00_8685
																															=
																															MAKE_YOUNG_PAIR((
																																(obj_t)
																																BgL_arg6516z00_8683),
																															BNIL);
																														BgL_res6699z00_8686
																															=
																															(
																															(BgL_nodez00_bglt)
																															BGl_userzd2errorzf2locationz20zztools_errorz00
																															(BgL_locz00_23,
																																BgL_arg6515z00_8682,
																																BGl_string7276z00zzast_sexpz00,
																																BgL_expz00_21,
																																BgL_list6517z00_8685));
																												}}
																												return
																													BgL_res6699z00_8686;
																											}
																										}
																								}
																							else
																								{	/* Ast/sexp.scm 117 */
																									goto BgL_tagzd254911zd2_7582;
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 117 */
																							goto BgL_tagzd254911zd2_7582;
																						}
																				}
																			}
																		else
																			{	/* Ast/sexp.scm 117 */
																				if (
																					(CAR(BgL_expz00_21) ==
																						CNST_TABLE_REF(((long) 16))))
																					{	/* Ast/sexp.scm 117 */
																						if (NULLP(CDR(BgL_expz00_21)))
																							{	/* Ast/sexp.scm 117 */
																							BgL_tagzd2374zd2_1648:
																								{
																									obj_t BgL_locz00_12536;
																									obj_t BgL_expz00_12535;

																									BgL_expz00_12535 = BUNSPEC;
																									BgL_locz00_12536 =
																										BGl_findzd2locationzf2locz20zztools_locationz00
																										(BgL_expz00_21,
																										BgL_locz00_23);
																									BgL_locz00_23 =
																										BgL_locz00_12536;
																									BgL_expz00_21 =
																										BgL_expz00_12535;
																									goto
																										BGl_sexpzd2ze3nodez31zzast_sexpz00;
																								}
																							}
																						else
																							{	/* Ast/sexp.scm 117 */
																								obj_t BgL_arg1555z00_1734;

																								BgL_arg1555z00_1734 =
																									CDR(BgL_expz00_21);
																								{
																									BgL_sequencez00_bglt
																										BgL_auxz00_12539;
																									BgL_bodyz00_1649 =
																										BgL_arg1555z00_1734;
																								BgL_tagzd2375zd2_1650:
																									{	/* Ast/sexp.scm 224 */
																										obj_t BgL_locz00_7622;

																										BgL_locz00_7622 =
																											BGl_findzd2locationzf2locz20zztools_locationz00
																											(BgL_expz00_21,
																											BgL_locz00_23);
																										{	/* Ast/sexp.scm 224 */
																											obj_t BgL_nodesz00_7623;

																											BgL_nodesz00_7623 =
																												BGl_sexpza2zd2ze3nodez93zzast_sexpz00
																												(BgL_bodyz00_1649,
																												BgL_stackz00_22,
																												BgL_locz00_7622,
																												BgL_sitez00_24);
																											{	/* Ast/sexp.scm 225 */

																												{	/* Ast/sexp.scm 226 */
																													BgL_sequencez00_bglt
																														BgL_new1125z00_7624;
																													{	/* Ast/sexp.scm 227 */
																														BgL_sequencez00_bglt
																															BgL_new1124z00_7625;
																														BgL_new1124z00_7625
																															=
																															(
																															(BgL_sequencez00_bglt)
																															BREF(GC_MALLOC
																																(sizeof(struct
																																		BgL_sequencez00_bgl))));
																														{	/* Ast/sexp.scm 227 */
																															long
																																BgL_arg6126z00_7626;
																															{	/* Ast/sexp.scm 227 */
																																long
																																	BgL_res6703z00_8694;
																																BgL_res6703z00_8694
																																	=
																																	BGL_CLASS_INDEX
																																	(BGl_sequencez00zzast_nodez00);
																																BgL_arg6126z00_7626
																																	=
																																	BgL_res6703z00_8694;
																															}
																															BGL_OBJECT_CLASS_NUM_SET
																																(((BgL_objectz00_bglt) BgL_new1124z00_7625), BgL_arg6126z00_7626);
																														}
																														{	/* Ast/sexp.scm 227 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_12546;
																															BgL_tmpz00_12546 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1124z00_7625);
																															BGL_OBJECT_WIDENING_SET
																																(BgL_tmpz00_12546,
																																BFALSE);
																														}
																														BgL_new1125z00_7624
																															=
																															BgL_new1124z00_7625;
																													}
																													((((BgL_nodez00_bglt)
																																CREF((
																																		(BgL_nodez00_bglt)
																																		BgL_new1125z00_7624)))->
																															BgL_locz00) =
																														((obj_t)
																															BgL_locz00_7622),
																														BUNSPEC);
																													((((BgL_nodez00_bglt)
																																CREF((
																																		(BgL_nodez00_bglt)
																																		BgL_new1125z00_7624)))->
																															BgL_typez00) =
																														((BgL_typez00_bglt)
																															((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1125z00_7624)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1125z00_7624)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																													((((BgL_sequencez00_bglt) CREF(BgL_new1125z00_7624))->BgL_nodesz00) = ((obj_t) BgL_nodesz00_7623), BUNSPEC);
																													((((BgL_sequencez00_bglt) CREF(BgL_new1125z00_7624))->BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																													BgL_auxz00_12539 =
																														BgL_new1125z00_7624;
																									}}}}
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_12539);
																								}
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 117 */
																						obj_t BgL_carzd2588zd2_1736;
																						obj_t BgL_cdrzd2589zd2_1737;

																						BgL_carzd2588zd2_1736 =
																							CAR(BgL_expz00_21);
																						BgL_cdrzd2589zd2_1737 =
																							CDR(BgL_expz00_21);
																						{

																							if (
																								(BgL_carzd2588zd2_1736 ==
																									CNST_TABLE_REF(((long) 1))))
																								{
																									obj_t BgL_auxz00_12567;

																								BgL_kapzd2590zd2_1738:
																									if (PAIRP
																										(BgL_cdrzd2589zd2_1737))
																										{	/* Ast/sexp.scm 117 */
																											obj_t
																												BgL_cdrzd2593zd2_2188;
																											BgL_cdrzd2593zd2_2188 =
																												CDR
																												(BgL_cdrzd2589zd2_1737);
																											if (PAIRP
																												(BgL_cdrzd2593zd2_2188))
																												{	/* Ast/sexp.scm 117 */
																													obj_t
																														BgL_cdrzd2596zd2_2190;
																													BgL_cdrzd2596zd2_2190
																														=
																														CDR
																														(BgL_cdrzd2593zd2_2188);
																													if ((CAR
																															(BgL_cdrzd2593zd2_2188)
																															== BTRUE))
																														{	/* Ast/sexp.scm 117 */
																															if (PAIRP
																																(BgL_cdrzd2596zd2_2190))
																																{	/* Ast/sexp.scm 117 */
																																	if (
																																		(CAR
																																			(BgL_cdrzd2596zd2_2190)
																																			==
																																			BFALSE))
																																		{	/* Ast/sexp.scm 117 */
																																			if (NULLP
																																				(CDR
																																					(BgL_cdrzd2596zd2_2190)))
																																				{	/* Ast/sexp.scm 117 */
																																					if (
																																						(BgL_sitez00_24
																																							==
																																							CNST_TABLE_REF
																																							(((long) 8))))
																																						{	/* Ast/sexp.scm 117 */
																																							obj_t
																																								BgL_arg2014z00_2200;
																																							BgL_arg2014z00_2200
																																								=
																																								CAR
																																								(BgL_cdrzd2589zd2_1737);
																																							BgL_auxz00_12567
																																								=
																																								(
																																								(obj_t)
																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																								(BgL_arg2014z00_2200,
																																									BgL_stackz00_22,
																																									BgL_locz00_23,
																																									BgL_sitez00_24));
																																						}
																																					else
																																						{	/* Ast/sexp.scm 117 */
																																							obj_t
																																								BgL_carzd2613zd2_2201;
																																							BgL_carzd2613zd2_2201
																																								=
																																								CAR
																																								(BgL_expz00_21);
																																							if ((BgL_carzd2613zd2_2201 == CNST_TABLE_REF(((long) 1))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_12595;
																																								BgL_tagzd2377zd2_1653:
																																									{
																																										obj_t
																																											BgL_siz00_7627;
																																										obj_t
																																											BgL_alorsz00_7628;
																																										obj_t
																																											BgL_sinonz00_7629;
																																										obj_t
																																											BgL_siz00_7631;
																																										obj_t
																																											BgL_alorsz00_7632;
																																										if (PAIRP(BgL_expz00_21))
																																											{	/* Ast/sexp.scm 117 */
																																												obj_t
																																													BgL_cdrzd254932zd2_7637;
																																												BgL_cdrzd254932zd2_7637
																																													=
																																													CDR
																																													(BgL_expz00_21);
																																												if (PAIRP(BgL_cdrzd254932zd2_7637))
																																													{	/* Ast/sexp.scm 117 */
																																														obj_t
																																															BgL_cdrzd254937zd2_7639;
																																														BgL_cdrzd254937zd2_7639
																																															=
																																															CDR
																																															(BgL_cdrzd254932zd2_7637);
																																														if (PAIRP(BgL_cdrzd254937zd2_7639))
																																															{	/* Ast/sexp.scm 117 */
																																																obj_t
																																																	BgL_cdrzd254942zd2_7641;
																																																BgL_cdrzd254942zd2_7641
																																																	=
																																																	CDR
																																																	(BgL_cdrzd254937zd2_7639);
																																																if (PAIRP(BgL_cdrzd254942zd2_7641))
																																																	{	/* Ast/sexp.scm 117 */
																																																		if (NULLP(CDR(BgL_cdrzd254942zd2_7641)))
																																																			{	/* Ast/sexp.scm 117 */
																																																				BgL_siz00_7627
																																																					=
																																																					CAR
																																																					(BgL_cdrzd254932zd2_7637);
																																																				BgL_alorsz00_7628
																																																					=
																																																					CAR
																																																					(BgL_cdrzd254937zd2_7639);
																																																				BgL_sinonz00_7629
																																																					=
																																																					CAR
																																																					(BgL_cdrzd254942zd2_7641);
																																																				{
																																																					obj_t
																																																						BgL_siz00_7656;
																																																					if (PAIRP(BgL_siz00_7627))
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_cdrzd254997zd2_7661;
																																																							BgL_cdrzd254997zd2_7661
																																																								=
																																																								CDR
																																																								(BgL_siz00_7627);
																																																							if ((CAR(BgL_siz00_7627) == CNST_TABLE_REF(((long) 1))))
																																																								{	/* Ast/sexp.scm 117 */
																																																									if (PAIRP(BgL_cdrzd254997zd2_7661))
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd255000zd2_7665;
																																																											BgL_cdrzd255000zd2_7665
																																																												=
																																																												CDR
																																																												(BgL_cdrzd254997zd2_7661);
																																																											if (PAIRP(BgL_cdrzd255000zd2_7665))
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd255003zd2_7667;
																																																													BgL_cdrzd255003zd2_7667
																																																														=
																																																														CDR
																																																														(BgL_cdrzd255000zd2_7665);
																																																													if ((CAR(BgL_cdrzd255000zd2_7665) == BFALSE))
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (PAIRP(BgL_cdrzd255003zd2_7667))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if ((CAR(BgL_cdrzd255003zd2_7667) == BTRUE))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (NULLP(CDR(BgL_cdrzd255003zd2_7667)))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					BgL_siz00_7656
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd254997zd2_7661);
																																																																				BgL_tagzd254989zd2_7657:
																																																																					{	/* Ast/sexp.scm 239 */
																																																																						obj_t
																																																																							BgL_tmpz00_12634;
																																																																						BgL_tmpz00_12634
																																																																							=
																																																																							CDR
																																																																							(BgL_expz00_21);
																																																																						SET_CAR
																																																																							(BgL_tmpz00_12634,
																																																																							BgL_siz00_7656);
																																																																					}
																																																																					{	/* Ast/sexp.scm 240 */
																																																																						obj_t
																																																																							BgL_tmpz00_12637;
																																																																						BgL_tmpz00_12637
																																																																							=
																																																																							CDR
																																																																							(CDR
																																																																							(BgL_expz00_21));
																																																																						SET_CAR
																																																																							(BgL_tmpz00_12637,
																																																																							BgL_sinonz00_7629);
																																																																					}
																																																																					{	/* Ast/sexp.scm 241 */
																																																																						obj_t
																																																																							BgL_tmpz00_12641;
																																																																						BgL_tmpz00_12641
																																																																							=
																																																																							CDR
																																																																							(CDR
																																																																							(CDR
																																																																								(BgL_expz00_21)));
																																																																						SET_CAR
																																																																							(BgL_tmpz00_12641,
																																																																							BgL_alorsz00_7628);
																																																																					}
																																																																					BgL_auxz00_12595
																																																																						=
																																																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																						(BgL_expz00_21,
																																																																						BgL_stackz00_22,
																																																																						BgL_locz00_23,
																																																																						BgL_sitez00_24);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																				BgL_tagzd254990zd2_7658:
																																																																					{	/* Ast/sexp.scm 244 */
																																																																						obj_t
																																																																							BgL_locz00_7692;
																																																																						BgL_locz00_7692
																																																																							=
																																																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																																																							(BgL_expz00_21,
																																																																							BgL_locz00_23);
																																																																						{	/* Ast/sexp.scm 244 */
																																																																							obj_t
																																																																								BgL_cdlocz00_7693;
																																																																							BgL_cdlocz00_7693
																																																																								=
																																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																																								(CDR
																																																																								(BgL_expz00_21),
																																																																								BgL_locz00_7692);
																																																																							{	/* Ast/sexp.scm 245 */
																																																																								obj_t
																																																																									BgL_cddlocz00_7694;
																																																																								BgL_cddlocz00_7694
																																																																									=
																																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																																									(CDR
																																																																									(CDR
																																																																										(BgL_expz00_21)),
																																																																									BgL_locz00_7692);
																																																																								{	/* Ast/sexp.scm 246 */
																																																																									obj_t
																																																																										BgL_cdddlocz00_7695;
																																																																									BgL_cdddlocz00_7695
																																																																										=
																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																										(CDR
																																																																										(CDR
																																																																											(CDR
																																																																												(BgL_expz00_21))),
																																																																										BgL_locz00_7692);
																																																																									{	/* Ast/sexp.scm 247 */
																																																																										obj_t
																																																																											BgL_lzd2sizd2_7696;
																																																																										BgL_lzd2sizd2_7696
																																																																											=
																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																											(BgL_siz00_7627,
																																																																											BgL_cdlocz00_7693);
																																																																										{	/* Ast/sexp.scm 248 */
																																																																											obj_t
																																																																												BgL_lzd2alorszd2_7697;
																																																																											BgL_lzd2alorszd2_7697
																																																																												=
																																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																																												(BgL_alorsz00_7628,
																																																																												BgL_cddlocz00_7694);
																																																																											{	/* Ast/sexp.scm 249 */
																																																																												obj_t
																																																																													BgL_lzd2sinonzd2_7698;
																																																																												BgL_lzd2sinonzd2_7698
																																																																													=
																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																													(BgL_sinonz00_7629,
																																																																													BgL_cdddlocz00_7695);
																																																																												{	/* Ast/sexp.scm 250 */
																																																																													BgL_nodez00_bglt
																																																																														BgL_testz00_7699;
																																																																													BgL_testz00_7699
																																																																														=
																																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																														(BgL_siz00_7627,
																																																																														BgL_stackz00_22,
																																																																														BgL_locz00_7692,
																																																																														CNST_TABLE_REF
																																																																														(((long) 8)));
																																																																													{	/* Ast/sexp.scm 251 */

																																																																														{	/* Ast/sexp.scm 253 */
																																																																															bool_t
																																																																																BgL_testz00_12663;
																																																																															{	/* Ast/sexp.scm 253 */
																																																																																bool_t
																																																																																	BgL_res6704z00_8722;
																																																																																BgL_res6704z00_8722
																																																																																	=
																																																																																	BGl_isazf3zf3zz__objectz00
																																																																																	(
																																																																																	((obj_t) BgL_testz00_7699), BGl_atomz00zzast_nodez00);
																																																																																BgL_testz00_12663
																																																																																	=
																																																																																	BgL_res6704z00_8722;
																																																																															}
																																																																															if (BgL_testz00_12663)
																																																																																{	/* Ast/sexp.scm 253 */
																																																																																	if (CBOOL((((BgL_atomz00_bglt) CREF(((BgL_atomz00_bglt) BgL_testz00_7699)))->BgL_valuez00)))
																																																																																		{	/* Ast/sexp.scm 255 */
																																																																																			BgL_auxz00_12595
																																																																																				=
																																																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																				(BgL_alorsz00_7628,
																																																																																				BgL_stackz00_22,
																																																																																				BgL_lzd2alorszd2_7697,
																																																																																				CNST_TABLE_REF
																																																																																				(((long) 2)));
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 255 */
																																																																																			BgL_auxz00_12595
																																																																																				=
																																																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																				(BgL_sinonz00_7629,
																																																																																				BgL_stackz00_22,
																																																																																				BgL_lzd2sinonzd2_7698,
																																																																																				CNST_TABLE_REF
																																																																																				(((long) 2)));
																																																																																}}
																																																																															else
																																																																																{	/* Ast/sexp.scm 258 */
																																																																																	bool_t
																																																																																		BgL_testz00_12674;
																																																																																	{	/* Ast/sexp.scm 258 */
																																																																																		bool_t
																																																																																			BgL_res6705z00_8723;
																																																																																		BgL_res6705z00_8723
																																																																																			=
																																																																																			BGl_isazf3zf3zz__objectz00
																																																																																			(
																																																																																			((obj_t) BgL_testz00_7699), BGl_kwotez00zzast_nodez00);
																																																																																		BgL_testz00_12674
																																																																																			=
																																																																																			BgL_res6705z00_8723;
																																																																																	}
																																																																																	if (BgL_testz00_12674)
																																																																																		{	/* Ast/sexp.scm 258 */
																																																																																			BgL_auxz00_12595
																																																																																				=
																																																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																				(BgL_alorsz00_7628,
																																																																																				BgL_stackz00_22,
																																																																																				BgL_lzd2alorszd2_7697,
																																																																																				CNST_TABLE_REF
																																																																																				(((long) 2)));
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 260 */
																																																																																			bool_t
																																																																																				BgL_testz00_12679;
																																																																																			{	/* Ast/sexp.scm 260 */
																																																																																				bool_t
																																																																																					BgL_res6706z00_8724;
																																																																																				BgL_res6706z00_8724
																																																																																					=
																																																																																					BGl_isazf3zf3zz__objectz00
																																																																																					(
																																																																																					((obj_t) BgL_testz00_7699), BGl_varz00zzast_nodez00);
																																																																																				BgL_testz00_12679
																																																																																					=
																																																																																					BgL_res6706z00_8724;
																																																																																			}
																																																																																			if (BgL_testz00_12679)
																																																																																				{	/* Ast/sexp.scm 261 */
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_alorsz00_7705;
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_sinonz00_7706;
																																																																																					BgL_alorsz00_7705
																																																																																						=
																																																																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																						(BgL_alorsz00_7628,
																																																																																						BgL_stackz00_22,
																																																																																						BgL_lzd2alorszd2_7697,
																																																																																						CNST_TABLE_REF
																																																																																						(((long) 2)));
																																																																																					BgL_sinonz00_7706
																																																																																						=
																																																																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																						(BgL_sinonz00_7629,
																																																																																						BgL_stackz00_22,
																																																																																						BgL_lzd2sinonzd2_7698,
																																																																																						CNST_TABLE_REF
																																																																																						(((long) 2)));
																																																																																					{	/* Ast/sexp.scm 263 */
																																																																																						BgL_conditionalz00_bglt
																																																																																							BgL_new1130z00_7707;
																																																																																						{	/* Ast/sexp.scm 264 */
																																																																																							BgL_conditionalz00_bglt
																																																																																								BgL_new1127z00_7708;
																																																																																							BgL_new1127z00_7708
																																																																																								=
																																																																																								(
																																																																																								(BgL_conditionalz00_bglt)
																																																																																								BREF
																																																																																								(GC_MALLOC
																																																																																									(sizeof
																																																																																										(struct
																																																																																											BgL_conditionalz00_bgl))));
																																																																																							{	/* Ast/sexp.scm 264 */
																																																																																								long
																																																																																									BgL_arg6174z00_7709;
																																																																																								{	/* Ast/sexp.scm 264 */
																																																																																									long
																																																																																										BgL_res6707z00_8726;
																																																																																									BgL_res6707z00_8726
																																																																																										=
																																																																																										BGL_CLASS_INDEX
																																																																																										(BGl_conditionalz00zzast_nodez00);
																																																																																									BgL_arg6174z00_7709
																																																																																										=
																																																																																										BgL_res6707z00_8726;
																																																																																								}
																																																																																								BGL_OBJECT_CLASS_NUM_SET
																																																																																									(
																																																																																									((BgL_objectz00_bglt) BgL_new1127z00_7708), BgL_arg6174z00_7709);
																																																																																							}
																																																																																							{	/* Ast/sexp.scm 264 */
																																																																																								BgL_objectz00_bglt
																																																																																									BgL_tmpz00_12690;
																																																																																								BgL_tmpz00_12690
																																																																																									=
																																																																																									(
																																																																																									(BgL_objectz00_bglt)
																																																																																									BgL_new1127z00_7708);
																																																																																								BGL_OBJECT_WIDENING_SET
																																																																																									(BgL_tmpz00_12690,
																																																																																									BFALSE);
																																																																																							}
																																																																																							BgL_new1130z00_7707
																																																																																								=
																																																																																								BgL_new1127z00_7708;
																																																																																						}
																																																																																						((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1130z00_7707)))->BgL_locz00) = ((obj_t) BgL_locz00_7692), BUNSPEC);
																																																																																						((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1130z00_7707)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																																						((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1130z00_7707)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																																						((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1130z00_7707)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																																																																																						((((BgL_conditionalz00_bglt) CREF(BgL_new1130z00_7707))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_testz00_7699), BUNSPEC);
																																																																																						((((BgL_conditionalz00_bglt) CREF(BgL_new1130z00_7707))->BgL_truez00) = ((BgL_nodez00_bglt) BgL_alorsz00_7705), BUNSPEC);
																																																																																						((((BgL_conditionalz00_bglt) CREF(BgL_new1130z00_7707))->BgL_falsez00) = ((BgL_nodez00_bglt) BgL_sinonz00_7706), BUNSPEC);
																																																																																						BgL_auxz00_12595
																																																																																							=
																																																																																							(
																																																																																							(BgL_nodez00_bglt)
																																																																																							BgL_new1130z00_7707);
																																																																																				}}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 270 */
																																																																																					obj_t
																																																																																						BgL_vz00_7710;
																																																																																					BgL_vz00_7710
																																																																																						=
																																																																																						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																																																																																						(BGl_gensymz00zz__r4_symbols_6_4z00
																																																																																						(CNST_TABLE_REF
																																																																																							(((long) 8))));
																																																																																					{	/* Ast/sexp.scm 270 */
																																																																																						obj_t
																																																																																							BgL_varz00_7711;
																																																																																						BgL_varz00_7711
																																																																																							=
																																																																																							BGl_makezd2typedzd2identz00zzast_identz00
																																																																																							(BgL_vz00_7710,
																																																																																							CNST_TABLE_REF
																																																																																							(((long) 9)));
																																																																																						{	/* Ast/sexp.scm 271 */
																																																																																							obj_t
																																																																																								BgL_nexpz00_7712;
																																																																																							{	/* Ast/sexp.scm 272 */
																																																																																								obj_t
																																																																																									BgL_arg6182z00_7720;
																																																																																								{	/* Ast/sexp.scm 272 */
																																																																																									obj_t
																																																																																										BgL_arg6183z00_7721;
																																																																																									{	/* Ast/sexp.scm 272 */
																																																																																										obj_t
																																																																																											BgL_arg6184z00_7722;
																																																																																										{	/* Ast/sexp.scm 272 */
																																																																																											obj_t
																																																																																												BgL_arg6185z00_7723;
																																																																																											BgL_arg6185z00_7723
																																																																																												=
																																																																																												MAKE_YOUNG_PAIR
																																																																																												(BgL_sinonz00_7629,
																																																																																												BNIL);
																																																																																											BgL_arg6184z00_7722
																																																																																												=
																																																																																												MAKE_YOUNG_PAIR
																																																																																												(BgL_alorsz00_7628,
																																																																																												BgL_arg6185z00_7723);
																																																																																										}
																																																																																										BgL_arg6183z00_7721
																																																																																											=
																																																																																											MAKE_YOUNG_PAIR
																																																																																											(BgL_vz00_7710,
																																																																																											BgL_arg6184z00_7722);
																																																																																									}
																																																																																									BgL_arg6182z00_7720
																																																																																										=
																																																																																										MAKE_YOUNG_PAIR
																																																																																										(CNST_TABLE_REF
																																																																																										(((long) 1)), BgL_arg6183z00_7721);
																																																																																								}
																																																																																								BgL_nexpz00_7712
																																																																																									=
																																																																																									BGl_epairifyzd2reczd2zztools_miscz00
																																																																																									(BgL_arg6182z00_7720,
																																																																																									BgL_expz00_21);
																																																																																							}
																																																																																							{	/* Ast/sexp.scm 272 */

																																																																																								{	/* Ast/sexp.scm 273 */
																																																																																									obj_t
																																																																																										BgL_arg6175z00_7713;
																																																																																									{	/* Ast/sexp.scm 273 */
																																																																																										obj_t
																																																																																											BgL_arg6176z00_7714;
																																																																																										obj_t
																																																																																											BgL_arg6177z00_7715;
																																																																																										BgL_arg6176z00_7714
																																																																																											=
																																																																																											BGl_letzd2symzd2zzast_letz00
																																																																																											();
																																																																																										{	/* Ast/sexp.scm 273 */
																																																																																											obj_t
																																																																																												BgL_arg6178z00_7716;
																																																																																											obj_t
																																																																																												BgL_arg6179z00_7717;
																																																																																											{	/* Ast/sexp.scm 273 */
																																																																																												obj_t
																																																																																													BgL_arg6180z00_7718;
																																																																																												{	/* Ast/sexp.scm 273 */
																																																																																													obj_t
																																																																																														BgL_arg6181z00_7719;
																																																																																													BgL_arg6181z00_7719
																																																																																														=
																																																																																														MAKE_YOUNG_PAIR
																																																																																														(BgL_siz00_7627,
																																																																																														BNIL);
																																																																																													BgL_arg6180z00_7718
																																																																																														=
																																																																																														MAKE_YOUNG_PAIR
																																																																																														(BgL_varz00_7711,
																																																																																														BgL_arg6181z00_7719);
																																																																																												}
																																																																																												BgL_arg6178z00_7716
																																																																																													=
																																																																																													MAKE_YOUNG_PAIR
																																																																																													(BgL_arg6180z00_7718,
																																																																																													BNIL);
																																																																																											}
																																																																																											BgL_arg6179z00_7717
																																																																																												=
																																																																																												MAKE_YOUNG_PAIR
																																																																																												(BgL_nexpz00_7712,
																																																																																												BNIL);
																																																																																											BgL_arg6177z00_7715
																																																																																												=
																																																																																												MAKE_YOUNG_PAIR
																																																																																												(BgL_arg6178z00_7716,
																																																																																												BgL_arg6179z00_7717);
																																																																																										}
																																																																																										BgL_arg6175z00_7713
																																																																																											=
																																																																																											MAKE_YOUNG_PAIR
																																																																																											(BgL_arg6176z00_7714,
																																																																																											BgL_arg6177z00_7715);
																																																																																									}
																																																																																									BGl_replacez12z12zztools_miscz00
																																																																																										(BgL_expz00_21,
																																																																																										BgL_arg6175z00_7713);
																																																																																								}
																																																																																								BgL_auxz00_12595
																																																																																									=
																																																																																									BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																									(BgL_expz00_21,
																																																																																									BgL_stackz00_22,
																																																																																									BgL_locz00_7692,
																																																																																									BgL_sitez00_24);
																																																																		}}}}}}}}}}}}}}}}}}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			goto
																																																																				BgL_tagzd254990zd2_7658;
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	goto
																																																																		BgL_tagzd254990zd2_7658;
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															goto
																																																																BgL_tagzd254990zd2_7658;
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													goto
																																																														BgL_tagzd254990zd2_7658;
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											goto
																																																												BgL_tagzd254990zd2_7658;
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if ((CAR(BgL_siz00_7627) == CNST_TABLE_REF(((long) 10))))
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (PAIRP(BgL_cdrzd254997zd2_7661))
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (NULLP(CDR(BgL_cdrzd254997zd2_7661)))
																																																														{
																																																															obj_t
																																																																BgL_siz00_12736;
																																																															BgL_siz00_12736
																																																																=
																																																																CAR
																																																																(BgL_cdrzd254997zd2_7661);
																																																															BgL_siz00_7656
																																																																=
																																																																BgL_siz00_12736;
																																																															goto
																																																																BgL_tagzd254989zd2_7657;
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															goto
																																																																BgL_tagzd254990zd2_7658;
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													goto
																																																														BgL_tagzd254990zd2_7658;
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											goto
																																																												BgL_tagzd254990zd2_7658;
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							goto
																																																								BgL_tagzd254990zd2_7658;
																																																						}
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																			BgL_tagzd254923zd2_7634:
																																																				{	/* Ast/sexp.scm 279 */
																																																					BgL_nodez00_bglt
																																																						BgL_res6716z00_8759;
																																																					{	/* Ast/sexp.scm 692 */
																																																						obj_t
																																																							BgL_arg6515z00_8755;
																																																						BgL_nodez00_bglt
																																																							BgL_arg6516z00_8756;
																																																						BgL_arg6515z00_8755
																																																							=
																																																							BGl_shapez00zztools_shapez00
																																																							(BGl_currentzd2functionzd2zztools_errorz00
																																																							());
																																																						BgL_arg6516z00_8756
																																																							=
																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																							(CNST_TABLE_REF
																																																							(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																						{	/* Ast/sexp.scm 691 */
																																																							obj_t
																																																								BgL_list6517z00_8758;
																																																							BgL_list6517z00_8758
																																																								=
																																																								MAKE_YOUNG_PAIR
																																																								(
																																																								((obj_t) BgL_arg6516z00_8756), BNIL);
																																																							BgL_res6716z00_8759
																																																								=
																																																								(
																																																								(BgL_nodez00_bglt)
																																																								BGl_userzd2errorzf2locationz20zztools_errorz00
																																																								(BgL_locz00_23,
																																																									BgL_arg6515z00_8755,
																																																									BGl_string7275z00zzast_sexpz00,
																																																									BgL_expz00_21,
																																																									BgL_list6517z00_8758));
																																																					}}
																																																					BgL_auxz00_12595
																																																						=
																																																						BgL_res6716z00_8759;
																																																	}}}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		obj_t
																																																			BgL_cdrzd254967zd2_7650;
																																																		BgL_cdrzd254967zd2_7650
																																																			=
																																																			CDR
																																																			(BgL_cdrzd254932zd2_7637);
																																																		if (NULLP(CDR(BgL_cdrzd254967zd2_7650)))
																																																			{	/* Ast/sexp.scm 117 */
																																																				BgL_siz00_7631
																																																					=
																																																					CAR
																																																					(BgL_cdrzd254932zd2_7637);
																																																				BgL_alorsz00_7632
																																																					=
																																																					CAR
																																																					(BgL_cdrzd254967zd2_7650);
																																																				{	/* Ast/sexp.scm 276 */
																																																					obj_t
																																																						BgL_arg6190z00_7728;
																																																					obj_t
																																																						BgL_arg6191z00_7729;
																																																					BgL_arg6190z00_7728
																																																						=
																																																						CDR
																																																						(CDR
																																																						(BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 276 */
																																																						obj_t
																																																							BgL_list6192z00_7730;
																																																						BgL_list6192z00_7730
																																																							=
																																																							MAKE_YOUNG_PAIR
																																																							(BUNSPEC,
																																																							BNIL);
																																																						BgL_arg6191z00_7729
																																																							=
																																																							BgL_list6192z00_7730;
																																																					}
																																																					SET_CDR
																																																						(BgL_arg6190z00_7728,
																																																						BgL_arg6191z00_7729);
																																																				}
																																																				BgL_auxz00_12595
																																																					=
																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																					(BgL_expz00_21,
																																																					BgL_stackz00_22,
																																																					BgL_locz00_23,
																																																					BgL_sitez00_24);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				goto
																																																					BgL_tagzd254923zd2_7634;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																goto
																																																	BgL_tagzd254923zd2_7634;
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														goto
																																															BgL_tagzd254923zd2_7634;
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												goto
																																													BgL_tagzd254923zd2_7634;
																																											}
																																									}
																																									BgL_auxz00_12567
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_12595);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 117 */
																																									if ((BgL_carzd2613zd2_2201 == BGl_za2ifza2z00zzast_sexpz00))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_12764;
																																											goto
																																												BgL_tagzd2377zd2_1653;
																																											BgL_auxz00_12567
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_12764);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 117 */
																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 7))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_12770;
																																												BgL_tagzd2379zd2_1657:
																																													{
																																														obj_t
																																															BgL_varz00_7757;
																																														obj_t
																																															BgL_valz00_7758;
																																														if (PAIRP(BgL_expz00_21))
																																															{	/* Ast/sexp.scm 117 */
																																																obj_t
																																																	BgL_cdrzd255028zd2_7763;
																																																BgL_cdrzd255028zd2_7763
																																																	=
																																																	CDR
																																																	(BgL_expz00_21);
																																																if (PAIRP(BgL_cdrzd255028zd2_7763))
																																																	{	/* Ast/sexp.scm 117 */
																																																		obj_t
																																																			BgL_cdrzd255032zd2_7765;
																																																		BgL_cdrzd255032zd2_7765
																																																			=
																																																			CDR
																																																			(BgL_cdrzd255028zd2_7763);
																																																		if (PAIRP(BgL_cdrzd255032zd2_7765))
																																																			{	/* Ast/sexp.scm 117 */
																																																				if (NULLP(CDR(BgL_cdrzd255032zd2_7765)))
																																																					{	/* Ast/sexp.scm 117 */
																																																						BgL_varz00_7757
																																																							=
																																																							CAR
																																																							(BgL_cdrzd255028zd2_7763);
																																																						BgL_valz00_7758
																																																							=
																																																							CAR
																																																							(BgL_cdrzd255032zd2_7765);
																																																						{	/* Ast/sexp.scm 288 */
																																																							obj_t
																																																								BgL_locz00_7772;
																																																							BgL_locz00_7772
																																																								=
																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																								(BgL_expz00_21,
																																																								BgL_locz00_23);
																																																							{	/* Ast/sexp.scm 288 */
																																																								obj_t
																																																									BgL_cdlocz00_7773;
																																																								BgL_cdlocz00_7773
																																																									=
																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																									(CDR
																																																									(BgL_expz00_21),
																																																									BgL_locz00_7772);
																																																								{	/* Ast/sexp.scm 289 */
																																																									obj_t
																																																										BgL_cddlocz00_7774;
																																																									BgL_cddlocz00_7774
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(CDR
																																																										(CDR
																																																											(BgL_expz00_21)),
																																																										BgL_locz00_7772);
																																																									{	/* Ast/sexp.scm 290 */
																																																										obj_t
																																																											BgL_valzd2loczd2_7775;
																																																										BgL_valzd2loczd2_7775
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_valz00_7758,
																																																											BgL_cddlocz00_7774);
																																																										{	/* Ast/sexp.scm 291 */
																																																											BgL_nodez00_bglt
																																																												BgL_valz00_7776;
																																																											BgL_valz00_7776
																																																												=
																																																												BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																												(BgL_valz00_7758,
																																																												BgL_stackz00_22,
																																																												BgL_valzd2loczd2_7775,
																																																												CNST_TABLE_REF
																																																												(((long) 2)));
																																																											{	/* Ast/sexp.scm 292 */

																																																												{	/* Ast/sexp.scm 293 */
																																																													BgL_nodez00_bglt
																																																														BgL_astz00_7777;
																																																													BgL_astz00_7777
																																																														=
																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																														(BgL_varz00_7757,
																																																														BgL_stackz00_22,
																																																														BgL_cdlocz00_7773,
																																																														CNST_TABLE_REF
																																																														(((long) 7)));
																																																													{	/* Ast/sexp.scm 294 */
																																																														bool_t
																																																															BgL_testz00_12793;
																																																														{	/* Ast/sexp.scm 294 */
																																																															bool_t
																																																																BgL_res6728z00_8796;
																																																															BgL_res6728z00_8796
																																																																=
																																																																BGl_isazf3zf3zz__objectz00
																																																																(
																																																																((obj_t) BgL_astz00_7777), BGl_varz00zzast_nodez00);
																																																															BgL_testz00_12793
																																																																=
																																																																BgL_res6728z00_8796;
																																																														}
																																																														if (BgL_testz00_12793)
																																																															{	/* Ast/sexp.scm 296 */
																																																																bool_t
																																																																	BgL_testz00_12796;
																																																																{	/* Ast/sexp.scm 296 */
																																																																	bool_t
																																																																		BgL_testz00_12797;
																																																																	{	/* Ast/sexp.scm 296 */
																																																																		BgL_variablez00_bglt
																																																																			BgL_arg6222z00_7790;
																																																																		BgL_arg6222z00_7790
																																																																			=
																																																																			(
																																																																			((BgL_varz00_bglt) CREF(((BgL_varz00_bglt) BgL_astz00_7777)))->BgL_variablez00);
																																																																		{	/* Ast/sexp.scm 296 */
																																																																			bool_t
																																																																				BgL_res6729z00_8797;
																																																																			BgL_res6729z00_8797
																																																																				=
																																																																				BGl_isazf3zf3zz__objectz00
																																																																				(
																																																																				((obj_t) BgL_arg6222z00_7790), BGl_globalz00zzast_varz00);
																																																																			BgL_testz00_12797
																																																																				=
																																																																				BgL_res6729z00_8797;
																																																																		}
																																																																	}
																																																																	if (BgL_testz00_12797)
																																																																		{	/* Ast/sexp.scm 297 */
																																																																			BgL_variablez00_bglt
																																																																				BgL_arg6221z00_7789;
																																																																			BgL_arg6221z00_7789
																																																																				=
																																																																				(
																																																																				((BgL_varz00_bglt) CREF(((BgL_varz00_bglt) BgL_astz00_7777)))->BgL_variablez00);
																																																																			BgL_testz00_12796
																																																																				=
																																																																				BGl_globalzd2readzd2onlyzf3zf3zzast_varz00
																																																																				(
																																																																				((BgL_globalz00_bglt) BgL_arg6221z00_7789));
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 296 */
																																																																			BgL_testz00_12796
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																}
																																																																if (BgL_testz00_12796)
																																																																	{	/* Ast/sexp.scm 298 */
																																																																		BgL_nodez00_bglt
																																																																			BgL_res6730z00_8803;
																																																																		{	/* Ast/sexp.scm 692 */
																																																																			obj_t
																																																																				BgL_arg6515z00_8799;
																																																																			BgL_nodez00_bglt
																																																																				BgL_arg6516z00_8800;
																																																																			BgL_arg6515z00_8799
																																																																				=
																																																																				BGl_shapez00zztools_shapez00
																																																																				(BGl_currentzd2functionzd2zztools_errorz00
																																																																				());
																																																																			BgL_arg6516z00_8800
																																																																				=
																																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																				(CNST_TABLE_REF
																																																																				(((long) 4)), BNIL, BgL_cdlocz00_7773, CNST_TABLE_REF(((long) 2)));
																																																																			{	/* Ast/sexp.scm 691 */
																																																																				obj_t
																																																																					BgL_list6517z00_8802;
																																																																				BgL_list6517z00_8802
																																																																					=
																																																																					MAKE_YOUNG_PAIR
																																																																					(
																																																																					((obj_t) BgL_arg6516z00_8800), BNIL);
																																																																				BgL_res6730z00_8803
																																																																					=
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																					(BgL_cdlocz00_7773,
																																																																						BgL_arg6515z00_8799,
																																																																						BGl_string7272z00zzast_sexpz00,
																																																																						BgL_expz00_21,
																																																																						BgL_list6517z00_8802));
																																																																		}}
																																																																		BgL_auxz00_12770
																																																																			=
																																																																			BgL_res6730z00_8803;
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 300 */
																																																																		BgL_setqz00_bglt
																																																																			BgL_new1133z00_7785;
																																																																		{	/* Ast/sexp.scm 301 */
																																																																			BgL_setqz00_bglt
																																																																				BgL_new1132z00_7786;
																																																																			BgL_new1132z00_7786
																																																																				=
																																																																				(
																																																																				(BgL_setqz00_bglt)
																																																																				BREF
																																																																				(GC_MALLOC
																																																																					(sizeof
																																																																						(struct
																																																																							BgL_setqz00_bgl))));
																																																																			{	/* Ast/sexp.scm 301 */
																																																																				long
																																																																					BgL_arg6220z00_7787;
																																																																				{	/* Ast/sexp.scm 301 */
																																																																					long
																																																																						BgL_res6731z00_8805;
																																																																					BgL_res6731z00_8805
																																																																						=
																																																																						BGL_CLASS_INDEX
																																																																						(BGl_setqz00zzast_nodez00);
																																																																					BgL_arg6220z00_7787
																																																																						=
																																																																						BgL_res6731z00_8805;
																																																																				}
																																																																				BGL_OBJECT_CLASS_NUM_SET
																																																																					(
																																																																					((BgL_objectz00_bglt) BgL_new1132z00_7786), BgL_arg6220z00_7787);
																																																																			}
																																																																			{	/* Ast/sexp.scm 301 */
																																																																				BgL_objectz00_bglt
																																																																					BgL_tmpz00_12819;
																																																																				BgL_tmpz00_12819
																																																																					=
																																																																					(
																																																																					(BgL_objectz00_bglt)
																																																																					BgL_new1132z00_7786);
																																																																				BGL_OBJECT_WIDENING_SET
																																																																					(BgL_tmpz00_12819,
																																																																					BFALSE);
																																																																			}
																																																																			BgL_new1133z00_7785
																																																																				=
																																																																				BgL_new1132z00_7786;
																																																																		}
																																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1133z00_7785)))->BgL_locz00) = ((obj_t) BgL_locz00_7772), BUNSPEC);
																																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1133z00_7785)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																																		((((BgL_setqz00_bglt) CREF(BgL_new1133z00_7785))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_7777)), BUNSPEC);
																																																																		((((BgL_setqz00_bglt) CREF(BgL_new1133z00_7785))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_7776), BUNSPEC);
																																																																		BgL_auxz00_12770
																																																																			=
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_new1133z00_7785);
																																																															}}
																																																														else
																																																															{	/* Ast/sexp.scm 305 */
																																																																BgL_nodez00_bglt
																																																																	BgL_res6732z00_8813;
																																																																{	/* Ast/sexp.scm 692 */
																																																																	obj_t
																																																																		BgL_arg6515z00_8809;
																																																																	BgL_nodez00_bglt
																																																																		BgL_arg6516z00_8810;
																																																																	BgL_arg6515z00_8809
																																																																		=
																																																																		BGl_shapez00zztools_shapez00
																																																																		(BGl_currentzd2functionzd2zztools_errorz00
																																																																		());
																																																																	BgL_arg6516z00_8810
																																																																		=
																																																																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																		(CNST_TABLE_REF
																																																																		(((long) 4)), BNIL, BgL_locz00_7772, CNST_TABLE_REF(((long) 2)));
																																																																	{	/* Ast/sexp.scm 691 */
																																																																		obj_t
																																																																			BgL_list6517z00_8812;
																																																																		BgL_list6517z00_8812
																																																																			=
																																																																			MAKE_YOUNG_PAIR
																																																																			(
																																																																			((obj_t) BgL_arg6516z00_8810), BNIL);
																																																																		BgL_res6732z00_8813
																																																																			=
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																			(BgL_locz00_7772,
																																																																				BgL_arg6515z00_8809,
																																																																				BGl_string7273z00zzast_sexpz00,
																																																																				BgL_expz00_21,
																																																																				BgL_list6517z00_8812));
																																																																}}
																																																																BgL_auxz00_12770
																																																																	=
																																																																	BgL_res6732z00_8813;
																																																					}}}}}}}}}}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																					BgL_tagzd255021zd2_7760:
																																																						{	/* Ast/sexp.scm 309 */
																																																							obj_t
																																																								BgL_arg6225z00_7793;
																																																							BgL_arg6225z00_7793
																																																								=
																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																								(BgL_expz00_21,
																																																								BgL_locz00_23);
																																																							{	/* Ast/sexp.scm 308 */
																																																								BgL_nodez00_bglt
																																																									BgL_res6733z00_8819;
																																																								{	/* Ast/sexp.scm 692 */
																																																									obj_t
																																																										BgL_arg6515z00_8815;
																																																									BgL_nodez00_bglt
																																																										BgL_arg6516z00_8816;
																																																									BgL_arg6515z00_8815
																																																										=
																																																										BGl_shapez00zztools_shapez00
																																																										(BGl_currentzd2functionzd2zztools_errorz00
																																																										());
																																																									BgL_arg6516z00_8816
																																																										=
																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																										(CNST_TABLE_REF
																																																										(((long) 4)), BNIL, BgL_arg6225z00_7793, CNST_TABLE_REF(((long) 2)));
																																																									{	/* Ast/sexp.scm 691 */
																																																										obj_t
																																																											BgL_list6517z00_8818;
																																																										BgL_list6517z00_8818
																																																											=
																																																											MAKE_YOUNG_PAIR
																																																											(
																																																											((obj_t) BgL_arg6516z00_8816), BNIL);
																																																										BgL_res6733z00_8819
																																																											=
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BGl_userzd2errorzf2locationz20zztools_errorz00
																																																											(BgL_arg6225z00_7793,
																																																												BgL_arg6515z00_8815,
																																																												BGl_string7271z00zzast_sexpz00,
																																																												BgL_expz00_21,
																																																												BgL_list6517z00_8818));
																																																								}}
																																																								BgL_auxz00_12770
																																																									=
																																																									BgL_res6733z00_8819;
																																																			}}}}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				goto
																																																					BgL_tagzd255021zd2_7760;
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		goto
																																																			BgL_tagzd255021zd2_7760;
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																goto
																																																	BgL_tagzd255021zd2_7760;
																																															}
																																													}
																																													BgL_auxz00_12567
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_12770);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 117 */
																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 17))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_12857;
																																														BgL_tagzd2380zd2_1658:
																																															{
																																																obj_t
																																																	BgL_varz00_7794;
																																																obj_t
																																																	BgL_valz00_7795;
																																																if (PAIRP(BgL_expz00_21))
																																																	{	/* Ast/sexp.scm 117 */
																																																		obj_t
																																																			BgL_cdrzd255046zd2_7800;
																																																		BgL_cdrzd255046zd2_7800
																																																			=
																																																			CDR
																																																			(BgL_expz00_21);
																																																		if (PAIRP(BgL_cdrzd255046zd2_7800))
																																																			{	/* Ast/sexp.scm 117 */
																																																				obj_t
																																																					BgL_cdrzd255050zd2_7802;
																																																				BgL_cdrzd255050zd2_7802
																																																					=
																																																					CDR
																																																					(BgL_cdrzd255046zd2_7800);
																																																				if (PAIRP(BgL_cdrzd255050zd2_7802))
																																																					{	/* Ast/sexp.scm 117 */
																																																						if (NULLP(CDR(BgL_cdrzd255050zd2_7802)))
																																																							{	/* Ast/sexp.scm 117 */
																																																								BgL_varz00_7794
																																																									=
																																																									CAR
																																																									(BgL_cdrzd255046zd2_7800);
																																																								BgL_valz00_7795
																																																									=
																																																									CAR
																																																									(BgL_cdrzd255050zd2_7802);
																																																								{	/* Ast/sexp.scm 316 */
																																																									obj_t
																																																										BgL_locz00_7809;
																																																									BgL_locz00_7809
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_expz00_21,
																																																										BgL_locz00_23);
																																																									{	/* Ast/sexp.scm 316 */
																																																										obj_t
																																																											BgL_cdlocz00_7810;
																																																										BgL_cdlocz00_7810
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(CDR
																																																											(BgL_expz00_21),
																																																											BgL_locz00_7809);
																																																										{	/* Ast/sexp.scm 317 */
																																																											obj_t
																																																												BgL_cddlocz00_7811;
																																																											BgL_cddlocz00_7811
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(CDR
																																																												(CDR
																																																													(BgL_expz00_21)),
																																																												BgL_locz00_7809);
																																																											{	/* Ast/sexp.scm 318 */
																																																												obj_t
																																																													BgL_valzd2loczd2_7812;
																																																												BgL_valzd2loczd2_7812
																																																													=
																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																													(BgL_valz00_7795,
																																																													BgL_cddlocz00_7811);
																																																												{	/* Ast/sexp.scm 319 */
																																																													BgL_nodez00_bglt
																																																														BgL_valz00_7813;
																																																													BgL_valz00_7813
																																																														=
																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																														(BgL_valz00_7795,
																																																														BgL_stackz00_22,
																																																														BgL_valzd2loczd2_7812,
																																																														CNST_TABLE_REF
																																																														(((long) 2)));
																																																													{	/* Ast/sexp.scm 320 */

																																																														{	/* Ast/sexp.scm 321 */
																																																															BgL_nodez00_bglt
																																																																BgL_astz00_7814;
																																																															BgL_astz00_7814
																																																																=
																																																																BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																(BgL_varz00_7794,
																																																																BgL_stackz00_22,
																																																																BgL_cdlocz00_7810,
																																																																CNST_TABLE_REF
																																																																(((long) 2)));
																																																															{	/* Ast/sexp.scm 322 */
																																																																bool_t
																																																																	BgL_testz00_12880;
																																																																{	/* Ast/sexp.scm 322 */
																																																																	bool_t
																																																																		BgL_testz00_12881;
																																																																	{	/* Ast/sexp.scm 322 */
																																																																		bool_t
																																																																			BgL_res6738z00_8834;
																																																																		BgL_res6738z00_8834
																																																																			=
																																																																			BGl_isazf3zf3zz__objectz00
																																																																			(
																																																																			((obj_t) BgL_astz00_7814), BGl_varz00zzast_nodez00);
																																																																		BgL_testz00_12881
																																																																			=
																																																																			BgL_res6738z00_8834;
																																																																	}
																																																																	if (BgL_testz00_12881)
																																																																		{	/* Ast/sexp.scm 322 */
																																																																			BgL_variablez00_bglt
																																																																				BgL_arg6239z00_7823;
																																																																			BgL_arg6239z00_7823
																																																																				=
																																																																				(
																																																																				((BgL_varz00_bglt) CREF(((BgL_varz00_bglt) BgL_astz00_7814)))->BgL_variablez00);
																																																																			{	/* Ast/sexp.scm 322 */
																																																																				bool_t
																																																																					BgL_res6739z00_8836;
																																																																				BgL_res6739z00_8836
																																																																					=
																																																																					BGl_isazf3zf3zz__objectz00
																																																																					(
																																																																					((obj_t) BgL_arg6239z00_7823), BGl_globalz00zzast_varz00);
																																																																				BgL_testz00_12880
																																																																					=
																																																																					BgL_res6739z00_8836;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 322 */
																																																																			BgL_testz00_12880
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																}
																																																																if (BgL_testz00_12880)
																																																																	{	/* Ast/sexp.scm 322 */
																																																																		{	/* Ast/sexp.scm 324 */
																																																																			BgL_variablez00_bglt
																																																																				BgL_arg6237z00_7818;
																																																																			BgL_arg6237z00_7818
																																																																				=
																																																																				(
																																																																				((BgL_varz00_bglt) CREF(((BgL_varz00_bglt) BgL_astz00_7814)))->BgL_variablez00);
																																																																			((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt) BgL_arg6237z00_7818)))->BgL_srcz00) = ((obj_t) ((obj_t) BgL_valz00_7813)), BUNSPEC);
																																																																		}
																																																																		{	/* Ast/sexp.scm 325 */
																																																																			BgL_setqz00_bglt
																																																																				BgL_new1136z00_7819;
																																																																			{	/* Ast/sexp.scm 326 */
																																																																				BgL_setqz00_bglt
																																																																					BgL_new1135z00_7820;
																																																																				BgL_new1135z00_7820
																																																																					=
																																																																					(
																																																																					(BgL_setqz00_bglt)
																																																																					BREF
																																																																					(GC_MALLOC
																																																																						(sizeof
																																																																							(struct
																																																																								BgL_setqz00_bgl))));
																																																																				{	/* Ast/sexp.scm 326 */
																																																																					long
																																																																						BgL_arg6238z00_7821;
																																																																					{	/* Ast/sexp.scm 326 */
																																																																						long
																																																																							BgL_res6740z00_8840;
																																																																						BgL_res6740z00_8840
																																																																							=
																																																																							BGL_CLASS_INDEX
																																																																							(BGl_setqz00zzast_nodez00);
																																																																						BgL_arg6238z00_7821
																																																																							=
																																																																							BgL_res6740z00_8840;
																																																																					}
																																																																					BGL_OBJECT_CLASS_NUM_SET
																																																																						(
																																																																						((BgL_objectz00_bglt) BgL_new1135z00_7820), BgL_arg6238z00_7821);
																																																																				}
																																																																				{	/* Ast/sexp.scm 326 */
																																																																					BgL_objectz00_bglt
																																																																						BgL_tmpz00_12897;
																																																																					BgL_tmpz00_12897
																																																																						=
																																																																						(
																																																																						(BgL_objectz00_bglt)
																																																																						BgL_new1135z00_7820);
																																																																					BGL_OBJECT_WIDENING_SET
																																																																						(BgL_tmpz00_12897,
																																																																						BFALSE);
																																																																				}
																																																																				BgL_new1136z00_7819
																																																																					=
																																																																					BgL_new1135z00_7820;
																																																																			}
																																																																			((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1136z00_7819)))->BgL_locz00) = ((obj_t) BgL_locz00_7809), BUNSPEC);
																																																																			((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1136z00_7819)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																																			((((BgL_setqz00_bglt) CREF(BgL_new1136z00_7819))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_7814)), BUNSPEC);
																																																																			((((BgL_setqz00_bglt) CREF(BgL_new1136z00_7819))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_7813), BUNSPEC);
																																																																			BgL_auxz00_12857
																																																																				=
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_new1136z00_7819);
																																																																	}}
																																																																else
																																																																	{	/* Ast/sexp.scm 330 */
																																																																		BgL_nodez00_bglt
																																																																			BgL_res6741z00_8848;
																																																																		{	/* Ast/sexp.scm 692 */
																																																																			obj_t
																																																																				BgL_arg6515z00_8844;
																																																																			BgL_nodez00_bglt
																																																																				BgL_arg6516z00_8845;
																																																																			BgL_arg6515z00_8844
																																																																				=
																																																																				BGl_shapez00zztools_shapez00
																																																																				(BGl_currentzd2functionzd2zztools_errorz00
																																																																				());
																																																																			BgL_arg6516z00_8845
																																																																				=
																																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																				(CNST_TABLE_REF
																																																																				(((long) 4)), BNIL, BgL_locz00_7809, CNST_TABLE_REF(((long) 2)));
																																																																			{	/* Ast/sexp.scm 691 */
																																																																				obj_t
																																																																					BgL_list6517z00_8847;
																																																																				BgL_list6517z00_8847
																																																																					=
																																																																					MAKE_YOUNG_PAIR
																																																																					(
																																																																					((obj_t) BgL_arg6516z00_8845), BNIL);
																																																																				BgL_res6741z00_8848
																																																																					=
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																					(BgL_locz00_7809,
																																																																						BgL_arg6515z00_8844,
																																																																						BGl_string7270z00zzast_sexpz00,
																																																																						BgL_expz00_21,
																																																																						BgL_list6517z00_8847));
																																																																		}}
																																																																		BgL_auxz00_12857
																																																																			=
																																																																			BgL_res6741z00_8848;
																																																							}}}}}}}}}}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																							BgL_tagzd255039zd2_7797:
																																																								{	/* Ast/sexp.scm 334 */
																																																									obj_t
																																																										BgL_arg6242z00_7826;
																																																									BgL_arg6242z00_7826
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_expz00_21,
																																																										BgL_locz00_23);
																																																									{	/* Ast/sexp.scm 333 */
																																																										BgL_nodez00_bglt
																																																											BgL_res6742z00_8854;
																																																										{	/* Ast/sexp.scm 692 */
																																																											obj_t
																																																												BgL_arg6515z00_8850;
																																																											BgL_nodez00_bglt
																																																												BgL_arg6516z00_8851;
																																																											BgL_arg6515z00_8850
																																																												=
																																																												BGl_shapez00zztools_shapez00
																																																												(BGl_currentzd2functionzd2zztools_errorz00
																																																												());
																																																											BgL_arg6516z00_8851
																																																												=
																																																												BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																												(CNST_TABLE_REF
																																																												(((long) 4)), BNIL, BgL_arg6242z00_7826, CNST_TABLE_REF(((long) 2)));
																																																											{	/* Ast/sexp.scm 691 */
																																																												obj_t
																																																													BgL_list6517z00_8853;
																																																												BgL_list6517z00_8853
																																																													=
																																																													MAKE_YOUNG_PAIR
																																																													(
																																																													((obj_t) BgL_arg6516z00_8851), BNIL);
																																																												BgL_res6742z00_8854
																																																													=
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BGl_userzd2errorzf2locationz20zztools_errorz00
																																																													(BgL_arg6242z00_7826,
																																																														BgL_arg6515z00_8850,
																																																														BGl_string7269z00zzast_sexpz00,
																																																														BgL_expz00_21,
																																																														BgL_list6517z00_8853));
																																																										}}
																																																										BgL_auxz00_12857
																																																											=
																																																											BgL_res6742z00_8854;
																																																					}}}}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						goto
																																																							BgL_tagzd255039zd2_7797;
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				goto
																																																					BgL_tagzd255039zd2_7797;
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		goto
																																																			BgL_tagzd255039zd2_7797;
																																																	}
																																															}
																																															BgL_auxz00_12567
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_12857);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_carzd2674zd2_2208;
																																															BgL_carzd2674zd2_2208
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															if (PAIRP(BgL_carzd2674zd2_2208))
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_carzd2677zd2_2210;
																																																	obj_t
																																																		BgL_cdrzd2678zd2_2211;
																																																	BgL_carzd2677zd2_2210
																																																		=
																																																		CAR
																																																		(BgL_carzd2674zd2_2208);
																																																	BgL_cdrzd2678zd2_2211
																																																		=
																																																		CDR
																																																		(BgL_carzd2674zd2_2208);
																																																	{

																																																		if ((BgL_carzd2677zd2_2210 == CNST_TABLE_REF(((long) 18))))
																																																			{	/* Ast/sexp.scm 117 */
																																																			BgL_kapzd2679zd2_2212:
																																																				if (PAIRP(BgL_cdrzd2678zd2_2211))
																																																					{	/* Ast/sexp.scm 117 */
																																																						obj_t
																																																							BgL_cdrzd2682zd2_2334;
																																																						BgL_cdrzd2682zd2_2334
																																																							=
																																																							CDR
																																																							(BgL_cdrzd2678zd2_2211);
																																																						if (PAIRP(BgL_cdrzd2682zd2_2334))
																																																							{	/* Ast/sexp.scm 117 */
																																																								if (NULLP(CDR(BgL_cdrzd2682zd2_2334)))
																																																									{	/* Ast/sexp.scm 117 */
																																																										obj_t
																																																											BgL_arg2107z00_2338;
																																																										obj_t
																																																											BgL_arg2108z00_2339;
																																																										BgL_arg2107z00_2338
																																																											=
																																																											CAR
																																																											(BgL_cdrzd2682zd2_2334);
																																																										BgL_arg2108z00_2339
																																																											=
																																																											CDR
																																																											(BgL_expz00_21);
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_12949;
																																																											BgL_bodyz00_1659
																																																												=
																																																												BgL_arg2107z00_2338;
																																																											BgL_argsz00_1660
																																																												=
																																																												BgL_arg2108z00_2339;
																																																										BgL_tagzd2381zd2_1661:
																																																											{	/* Ast/sexp.scm 337 */
																																																												obj_t
																																																													BgL_letzd2partzd2_7827;
																																																												BgL_letzd2partzd2_7827
																																																													=
																																																													CAR
																																																													(BgL_expz00_21);
																																																												{	/* Ast/sexp.scm 337 */
																																																													obj_t
																																																														BgL_nexpz00_7828;
																																																													{	/* Ast/sexp.scm 338 */
																																																														obj_t
																																																															BgL_arg6243z00_7829;
																																																														obj_t
																																																															BgL_arg6244z00_7830;
																																																														BgL_arg6243z00_7829
																																																															=
																																																															CAR
																																																															(BgL_letzd2partzd2_7827);
																																																														{	/* Ast/sexp.scm 338 */
																																																															obj_t
																																																																BgL_arg6245z00_7831;
																																																															obj_t
																																																																BgL_arg6246z00_7832;
																																																															BgL_arg6245z00_7831
																																																																=
																																																																CAR
																																																																(CDR
																																																																(BgL_letzd2partzd2_7827));
																																																															{	/* Ast/sexp.scm 338 */
																																																																obj_t
																																																																	BgL_arg6247z00_7833;
																																																																BgL_arg6247z00_7833
																																																																	=
																																																																	MAKE_YOUNG_PAIR
																																																																	(BgL_bodyz00_1659,
																																																																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																	(BgL_argsz00_1660,
																																																																		BNIL));
																																																																BgL_arg6246z00_7832
																																																																	=
																																																																	MAKE_YOUNG_PAIR
																																																																	(BgL_arg6247z00_7833,
																																																																	BNIL);
																																																															}
																																																															BgL_arg6244z00_7830
																																																																=
																																																																MAKE_YOUNG_PAIR
																																																																(BgL_arg6245z00_7831,
																																																																BgL_arg6246z00_7832);
																																																														}
																																																														BgL_nexpz00_7828
																																																															=
																																																															MAKE_YOUNG_PAIR
																																																															(BgL_arg6243z00_7829,
																																																															BgL_arg6244z00_7830);
																																																													}
																																																													{	/* Ast/sexp.scm 338 */

																																																														BgL_auxz00_12949
																																																															=
																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																															(BgL_nexpz00_7828,
																																																															BgL_stackz00_22,
																																																															BgL_locz00_23,
																																																															BgL_sitez00_24);
																																																													}
																																																												}
																																																											}
																																																											BgL_auxz00_12567
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_12949);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 117 */
																																																										bool_t
																																																											BgL_testz00_12961;
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_arg2177z00_2448;
																																																											BgL_arg2177z00_2448
																																																												=
																																																												CAR
																																																												(BgL_expz00_21);
																																																											BgL_testz00_12961
																																																												=
																																																												CBOOL
																																																												(BGl_letzd2symzf3z21zzast_letz00
																																																												(BgL_arg2177z00_2448));
																																																										}
																																																										if (BgL_testz00_12961)
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_12965;
																																																											BgL_tagzd2382zd2_1662:
																																																												BgL_auxz00_12965 = BGl_letzd2ze3nodez31zzast_letz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																												BgL_auxz00_12567
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_12965);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 117 */
																																																												bool_t
																																																													BgL_testz00_12969;
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_arg2176z00_2447;
																																																													BgL_arg2176z00_2447
																																																														=
																																																														CAR
																																																														(BgL_expz00_21);
																																																													BgL_testz00_12969
																																																														=
																																																														CBOOL
																																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																																														(BgL_arg2176z00_2447));
																																																												}
																																																												if (BgL_testz00_12969)
																																																													{
																																																														BgL_letzd2funzd2_bglt
																																																															BgL_auxz00_12973;
																																																													BgL_tagzd2384zd2_1664:
																																																														BgL_auxz00_12973 = BGl_labelszd2ze3nodez31zzast_labelsz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																														BgL_auxz00_12567
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_12973);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_carzd2760zd2_2344;
																																																														BgL_carzd2760zd2_2344
																																																															=
																																																															CAR
																																																															(BgL_expz00_21);
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd2765zd2_2345;
																																																															BgL_cdrzd2765zd2_2345
																																																																=
																																																																CDR
																																																																(BgL_carzd2760zd2_2344);
																																																															if ((CAR(BgL_carzd2760zd2_2344) == CNST_TABLE_REF(((long) 3))))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_arg2115z00_2348;
																																																																	obj_t
																																																																		BgL_arg2117z00_2349;
																																																																	obj_t
																																																																		BgL_arg2118z00_2350;
																																																																	BgL_arg2115z00_2348
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd2765zd2_2345);
																																																																	BgL_arg2117z00_2349
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd2765zd2_2345);
																																																																	BgL_arg2118z00_2350
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_12986;
																																																																		BgL_varsz00_1669
																																																																			=
																																																																			BgL_arg2115z00_2348;
																																																																		BgL_bodyz00_1670
																																																																			=
																																																																			BgL_arg2117z00_2349;
																																																																		BgL_argsz00_1671
																																																																			=
																																																																			BgL_arg2118z00_2350;
																																																																	BgL_tagzd2386zd2_1672:
																																																																		{	/* Ast/sexp.scm 355 */
																																																																			obj_t
																																																																				BgL_locz00_7839;
																																																																			obj_t
																																																																				BgL_nexpz00_7840;
																																																																			BgL_locz00_7839
																																																																				=
																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																				(BgL_expz00_21,
																																																																				BgL_locz00_23);
																																																																			{	/* Ast/sexp.scm 356 */
																																																																				obj_t
																																																																					BgL_arg6251z00_7841;
																																																																				obj_t
																																																																					BgL_arg6252z00_7842;
																																																																				BgL_arg6251z00_7841
																																																																					=
																																																																					BGl_letzd2symzd2zzast_letz00
																																																																					();
																																																																				{	/* Ast/sexp.scm 359 */
																																																																					obj_t
																																																																						BgL_arg6253z00_7843;
																																																																					obj_t
																																																																						BgL_arg6254z00_7844;
																																																																					BgL_arg6253z00_7843
																																																																						=
																																																																						BGl_loopze70ze7zzast_sexpz00
																																																																						(BgL_expz00_21,
																																																																						BgL_locz00_23,
																																																																						BgL_varsz00_1669,
																																																																						BgL_argsz00_1671);
																																																																					{	/* Ast/sexp.scm 398 */
																																																																						obj_t
																																																																							BgL_arg6296z00_7894;
																																																																						{	/* Ast/sexp.scm 398 */
																																																																							obj_t
																																																																								BgL_arg6297z00_7895;
																																																																							obj_t
																																																																								BgL_arg6298z00_7896;
																																																																							BgL_arg6297z00_7895
																																																																								=
																																																																								BGl_shapez00zztools_shapez00
																																																																								(BGl_currentzd2functionzd2zztools_errorz00
																																																																								());
																																																																							BgL_arg6298z00_7896
																																																																								=
																																																																								BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																								(BgL_bodyz00_1670);
																																																																							{	/* Ast/sexp.scm 402 */
																																																																								obj_t
																																																																									BgL_zc3anonymousza36301ze3z83_12131;
																																																																								BgL_zc3anonymousza36301ze3z83_12131
																																																																									=
																																																																									MAKE_FX_PROCEDURE
																																																																									(BGl_z62zc3anonymousza36301ze3ze1zzast_sexpz00,
																																																																									(int)
																																																																									(((long) 3)), (int) (((long) 1)));
																																																																								PROCEDURE_SET
																																																																									(BgL_zc3anonymousza36301ze3z83_12131,
																																																																									(int)
																																																																									(((long) 0)), BgL_locz00_23);
																																																																								BgL_arg6296z00_7894
																																																																									=
																																																																									BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
																																																																									(BgL_arg6297z00_7895,
																																																																									BgL_varsz00_1669,
																																																																									BgL_arg6298z00_7896,
																																																																									BgL_zc3anonymousza36301ze3z83_12131);
																																																																						}}
																																																																						BgL_arg6254z00_7844
																																																																							=
																																																																							MAKE_YOUNG_PAIR
																																																																							(BgL_arg6296z00_7894,
																																																																							BNIL);
																																																																					}
																																																																					BgL_arg6252z00_7842
																																																																						=
																																																																						MAKE_YOUNG_PAIR
																																																																						(BgL_arg6253z00_7843,
																																																																						BgL_arg6254z00_7844);
																																																																				}
																																																																				BgL_nexpz00_7840
																																																																					=
																																																																					MAKE_YOUNG_PAIR
																																																																					(BgL_arg6251z00_7841,
																																																																					BgL_arg6252z00_7842);
																																																																			}
																																																																			BgL_auxz00_12986
																																																																				=
																																																																				BGl_letzd2ze3nodez31zzast_letz00
																																																																				(BgL_nexpz00_7840,
																																																																				BgL_stackz00_22,
																																																																				BgL_locz00_7839,
																																																																				CNST_TABLE_REF
																																																																				(((long) 2)));
																																																																		}
																																																																		BgL_auxz00_12567
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_12986);
																																																																}}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd2788zd2_2352;
																																																																	BgL_cdrzd2788zd2_2352
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_cdrzd2794zd2_2353;
																																																																		BgL_cdrzd2794zd2_2353
																																																																			=
																																																																			CDR
																																																																			(BgL_carzd2760zd2_2344);
																																																																		if ((CAR(BgL_carzd2760zd2_2344) == CNST_TABLE_REF(((long) 1))))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_cdrzd2800zd2_2356;
																																																																				BgL_cdrzd2800zd2_2356
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd2794zd2_2353);
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_carzd2805zd2_2357;
																																																																					obj_t
																																																																						BgL_cdrzd2806zd2_2358;
																																																																					BgL_carzd2805zd2_2357
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd2800zd2_2356);
																																																																					BgL_cdrzd2806zd2_2358
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd2800zd2_2356);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2805zd2_2357))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (PAIRP(BgL_cdrzd2806zd2_2358))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_carzd2813zd2_2361;
																																																																									BgL_carzd2813zd2_2361
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd2806zd2_2358);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2813zd2_2361))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (NULLP(CDR(BgL_cdrzd2806zd2_2358)))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													bool_t
																																																																														BgL_testz00_13024;
																																																																													{
																																																																														obj_t
																																																																															BgL_l1361z00_2394;
																																																																														BgL_l1361z00_2394
																																																																															=
																																																																															BgL_cdrzd2788zd2_2352;
																																																																													BgL_zc3anonymousza32141ze3z83_2395:
																																																																														if (NULLP(BgL_l1361z00_2394))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																BgL_testz00_13024
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																bool_t
																																																																																	BgL_testz00_13027;
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	bool_t
																																																																																		BgL_testz00_13028;
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		obj_t
																																																																																			BgL_tmpz00_13029;
																																																																																		BgL_tmpz00_13029
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_l1361z00_2394);
																																																																																		BgL_testz00_13028
																																																																																			=
																																																																																			PAIRP
																																																																																			(BgL_tmpz00_13029);
																																																																																	}
																																																																																	if (BgL_testz00_13028)
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			BgL_testz00_13027
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				0);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			BgL_testz00_13027
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				1);
																																																																																		}
																																																																																}
																																																																																if (BgL_testz00_13027)
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_l1361z00_13032;
																																																																																		BgL_l1361z00_13032
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_l1361z00_2394);
																																																																																		BgL_l1361z00_2394
																																																																																			=
																																																																																			BgL_l1361z00_13032;
																																																																																		goto
																																																																																			BgL_zc3anonymousza32141ze3z83_2395;
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		BgL_testz00_13024
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																															}
																																																																													}
																																																																													if (BgL_testz00_13024)
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_arg2131z00_2377;
																																																																															BgL_arg2131z00_2377
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd2794zd2_2353);
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_13035;
																																																																																BgL_testz00_1673
																																																																																	=
																																																																																	BgL_arg2131z00_2377;
																																																																																BgL_proc1z00_1674
																																																																																	=
																																																																																	BgL_carzd2805zd2_2357;
																																																																																BgL_proc2z00_1675
																																																																																	=
																																																																																	BgL_carzd2813zd2_2361;
																																																																																BgL_argsz00_1676
																																																																																	=
																																																																																	BgL_cdrzd2788zd2_2352;
																																																																															BgL_tagzd2387zd2_1677:
																																																																																{	/* Ast/sexp.scm 409 */
																																																																																	obj_t
																																																																																		BgL_nexpz00_7905;
																																																																																	{	/* Ast/sexp.scm 409 */
																																																																																		obj_t
																																																																																			BgL_arg6304z00_7907;
																																																																																		{	/* Ast/sexp.scm 409 */
																																																																																			obj_t
																																																																																				BgL_arg6305z00_7908;
																																																																																			{	/* Ast/sexp.scm 409 */
																																																																																				obj_t
																																																																																					BgL_arg6306z00_7909;
																																																																																				obj_t
																																																																																					BgL_arg6307z00_7910;
																																																																																				BgL_arg6306z00_7909
																																																																																					=
																																																																																					MAKE_YOUNG_PAIR
																																																																																					(BgL_proc1z00_1674,
																																																																																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																					(BgL_argsz00_1676,
																																																																																						BNIL));
																																																																																				{	/* Ast/sexp.scm 409 */
																																																																																					obj_t
																																																																																						BgL_arg6309z00_7912;
																																																																																					BgL_arg6309z00_7912
																																																																																						=
																																																																																						MAKE_YOUNG_PAIR
																																																																																						(BgL_proc2z00_1675,
																																																																																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																						(BgL_argsz00_1676,
																																																																																							BNIL));
																																																																																					BgL_arg6307z00_7910
																																																																																						=
																																																																																						MAKE_YOUNG_PAIR
																																																																																						(BgL_arg6309z00_7912,
																																																																																						BNIL);
																																																																																				}
																																																																																				BgL_arg6305z00_7908
																																																																																					=
																																																																																					MAKE_YOUNG_PAIR
																																																																																					(BgL_arg6306z00_7909,
																																																																																					BgL_arg6307z00_7910);
																																																																																			}
																																																																																			BgL_arg6304z00_7907
																																																																																				=
																																																																																				MAKE_YOUNG_PAIR
																																																																																				(BgL_testz00_1673,
																																																																																				BgL_arg6305z00_7908);
																																																																																		}
																																																																																		BgL_nexpz00_7905
																																																																																			=
																																																																																			MAKE_YOUNG_PAIR
																																																																																			(CNST_TABLE_REF
																																																																																			(((long) 1)), BgL_arg6304z00_7907);
																																																																																	}
																																																																																	BgL_auxz00_13035
																																																																																		=
																																																																																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																		(BgL_nexpz00_7905,
																																																																																		BgL_stackz00_22,
																																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																		(BgL_expz00_21,
																																																																																			BgL_locz00_23),
																																																																																		BgL_sitez00_24);
																																																																																}
																																																																																BgL_auxz00_12567
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_13035);
																																																																														}}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_cdrzd2837zd2_2378;
																																																																															BgL_cdrzd2837zd2_2378
																																																																																=
																																																																																CDR
																																																																																(BgL_expz00_21);
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_cdrzd2844zd2_2379;
																																																																																BgL_cdrzd2844zd2_2379
																																																																																	=
																																																																																	CDR
																																																																																	(CAR
																																																																																	(BgL_expz00_21));
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_cdrzd2851zd2_2380;
																																																																																	BgL_cdrzd2851zd2_2380
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_cdrzd2844zd2_2379);
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		obj_t
																																																																																			BgL_carzd2857zd2_2381;
																																																																																		BgL_carzd2857zd2_2381
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd2851zd2_2380);
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2857zd2_2381))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				obj_t
																																																																																					BgL_carzd2864zd2_2383;
																																																																																				BgL_carzd2864zd2_2383
																																																																																					=
																																																																																					CAR
																																																																																					(CDR
																																																																																					(BgL_cdrzd2851zd2_2380));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2864zd2_2383))
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd2837zd2_2378))
																																																																																							{	/* Ast/sexp.scm 117 */
																																																																																								obj_t
																																																																																									BgL_arg2135z00_2386;
																																																																																								BgL_arg2135z00_2386
																																																																																									=
																																																																																									CAR
																																																																																									(BgL_cdrzd2844zd2_2379);
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_13062;
																																																																																									BgL_testz00_1678
																																																																																										=
																																																																																										BgL_arg2135z00_2386;
																																																																																									BgL_proc1z00_1679
																																																																																										=
																																																																																										BgL_carzd2857zd2_2381;
																																																																																									BgL_proc2z00_1680
																																																																																										=
																																																																																										BgL_carzd2864zd2_2383;
																																																																																									BgL_argsz00_1681
																																																																																										=
																																																																																										BgL_cdrzd2837zd2_2378;
																																																																																								BgL_tagzd2388zd2_1682:
																																																																																									{	/* Ast/sexp.scm 415 */
																																																																																										obj_t
																																																																																											BgL_tmpsz00_7914;
																																																																																										if (NULLP(BgL_argsz00_1681))
																																																																																											{	/* Ast/sexp.scm 415 */
																																																																																												BgL_tmpsz00_7914
																																																																																													=
																																																																																													BNIL;
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 415 */
																																																																																												obj_t
																																																																																													BgL_head1350z00_7958;
																																																																																												{	/* Ast/sexp.scm 415 */
																																																																																													obj_t
																																																																																														BgL_res6758z00_8894;
																																																																																													BgL_res6758z00_8894
																																																																																														=
																																																																																														MAKE_YOUNG_PAIR
																																																																																														(BNIL,
																																																																																														BNIL);
																																																																																													BgL_head1350z00_7958
																																																																																														=
																																																																																														BgL_res6758z00_8894;
																																																																																												}
																																																																																												{
																																																																																													obj_t
																																																																																														BgL_l1348z00_7960;
																																																																																													obj_t
																																																																																														BgL_tail1351z00_7961;
																																																																																													BgL_l1348z00_7960
																																																																																														=
																																																																																														BgL_argsz00_1681;
																																																																																													BgL_tail1351z00_7961
																																																																																														=
																																																																																														BgL_head1350z00_7958;
																																																																																												BgL_zc3anonymousza36340ze3z83_7962:
																																																																																													if (NULLP(BgL_l1348z00_7960))
																																																																																														{	/* Ast/sexp.scm 415 */
																																																																																															BgL_tmpsz00_7914
																																																																																																=
																																																																																																CDR
																																																																																																(BgL_head1350z00_7958);
																																																																																														}
																																																																																													else
																																																																																														{	/* Ast/sexp.scm 415 */
																																																																																															obj_t
																																																																																																BgL_newtail1352z00_7964;
																																																																																															{	/* Ast/sexp.scm 415 */
																																																																																																obj_t
																																																																																																	BgL_arg6343z00_7966;
																																																																																																{	/* Ast/sexp.scm 415 */

																																																																																																	{	/* Ast/sexp.scm 415 */

																																																																																																		BgL_arg6343z00_7966
																																																																																																			=
																																																																																																			BGl_gensymz00zz__r4_symbols_6_4z00
																																																																																																			(BFALSE);
																																																																																																	}
																																																																																																}
																																																																																																{	/* Ast/sexp.scm 415 */
																																																																																																	obj_t
																																																																																																		BgL_res6760z00_8898;
																																																																																																	BgL_res6760z00_8898
																																																																																																		=
																																																																																																		MAKE_YOUNG_PAIR
																																																																																																		(BgL_arg6343z00_7966,
																																																																																																		BNIL);
																																																																																																	BgL_newtail1352z00_7964
																																																																																																		=
																																																																																																		BgL_res6760z00_8898;
																																																																																																}
																																																																																															}
																																																																																															SET_CDR
																																																																																																(BgL_tail1351z00_7961,
																																																																																																BgL_newtail1352z00_7964);
																																																																																															{
																																																																																																obj_t
																																																																																																	BgL_tail1351z00_13074;
																																																																																																obj_t
																																																																																																	BgL_l1348z00_13072;
																																																																																																BgL_l1348z00_13072
																																																																																																	=
																																																																																																	CDR
																																																																																																	(BgL_l1348z00_7960);
																																																																																																BgL_tail1351z00_13074
																																																																																																	=
																																																																																																	BgL_newtail1352z00_7964;
																																																																																																BgL_tail1351z00_7961
																																																																																																	=
																																																																																																	BgL_tail1351z00_13074;
																																																																																																BgL_l1348z00_7960
																																																																																																	=
																																																																																																	BgL_l1348z00_13072;
																																																																																																goto
																																																																																																	BgL_zc3anonymousza36340ze3z83_7962;
																																																																																															}
																																																																																														}
																																																																																												}
																																																																																											}
																																																																																										{	/* Ast/sexp.scm 415 */
																																																																																											obj_t
																																																																																												BgL_locz00_7915;
																																																																																											BgL_locz00_7915
																																																																																												=
																																																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																												(BgL_expz00_21,
																																																																																												BgL_locz00_23);
																																																																																											{	/* Ast/sexp.scm 416 */
																																																																																												obj_t
																																																																																													BgL_nexpz00_7916;
																																																																																												{	/* Ast/sexp.scm 417 */
																																																																																													obj_t
																																																																																														BgL_arg6312z00_7918;
																																																																																													obj_t
																																																																																														BgL_arg6313z00_7919;
																																																																																													BgL_arg6312z00_7918
																																																																																														=
																																																																																														BGl_letzd2symzd2zzast_letz00
																																																																																														();
																																																																																													{	/* Ast/sexp.scm 417 */
																																																																																														obj_t
																																																																																															BgL_arg6314z00_7920;
																																																																																														obj_t
																																																																																															BgL_arg6315z00_7921;
																																																																																														if (NULLP(BgL_tmpsz00_7914))
																																																																																															{	/* Ast/sexp.scm 417 */
																																																																																																BgL_arg6314z00_7920
																																																																																																	=
																																																																																																	BNIL;
																																																																																															}
																																																																																														else
																																																																																															{	/* Ast/sexp.scm 417 */
																																																																																																obj_t
																																																																																																	BgL_head1355z00_7925;
																																																																																																{	/* Ast/sexp.scm 417 */
																																																																																																	obj_t
																																																																																																		BgL_arg6326z00_7943;
																																																																																																	{	/* Ast/sexp.scm 417 */
																																																																																																		obj_t
																																																																																																			BgL_arg6327z00_7944;
																																																																																																		obj_t
																																																																																																			BgL_arg6328z00_7945;
																																																																																																		BgL_arg6327z00_7944
																																																																																																			=
																																																																																																			CAR
																																																																																																			(BgL_tmpsz00_7914);
																																																																																																		BgL_arg6328z00_7945
																																																																																																			=
																																																																																																			CAR
																																																																																																			(BgL_argsz00_1681);
																																																																																																		{	/* Ast/sexp.scm 417 */
																																																																																																			obj_t
																																																																																																				BgL_list6329z00_7946;
																																																																																																			{	/* Ast/sexp.scm 417 */
																																																																																																				obj_t
																																																																																																					BgL_arg6330z00_7947;
																																																																																																				BgL_arg6330z00_7947
																																																																																																					=
																																																																																																					MAKE_YOUNG_PAIR
																																																																																																					(BgL_arg6328z00_7945,
																																																																																																					BNIL);
																																																																																																				BgL_list6329z00_7946
																																																																																																					=
																																																																																																					MAKE_YOUNG_PAIR
																																																																																																					(BgL_arg6327z00_7944,
																																																																																																					BgL_arg6330z00_7947);
																																																																																																			}
																																																																																																			BgL_arg6326z00_7943
																																																																																																				=
																																																																																																				BgL_list6329z00_7946;
																																																																																																		}
																																																																																																	}
																																																																																																	{	/* Ast/sexp.scm 417 */
																																																																																																		obj_t
																																																																																																			BgL_res6763z00_8905;
																																																																																																		BgL_res6763z00_8905
																																																																																																			=
																																																																																																			MAKE_YOUNG_PAIR
																																																																																																			(BgL_arg6326z00_7943,
																																																																																																			BNIL);
																																																																																																		BgL_head1355z00_7925
																																																																																																			=
																																																																																																			BgL_res6763z00_8905;
																																																																																																	}
																																																																																																}
																																																																																																{	/* Ast/sexp.scm 417 */
																																																																																																	obj_t
																																																																																																		BgL_g1359z00_7926;
																																																																																																	obj_t
																																																																																																		BgL_g1360z00_7927;
																																																																																																	BgL_g1359z00_7926
																																																																																																		=
																																																																																																		CDR
																																																																																																		(BgL_tmpsz00_7914);
																																																																																																	BgL_g1360z00_7927
																																																																																																		=
																																																																																																		CDR
																																																																																																		(BgL_argsz00_1681);
																																																																																																	{
																																																																																																		obj_t
																																																																																																			BgL_ll1353z00_7929;
																																																																																																		obj_t
																																																																																																			BgL_ll1354z00_7930;
																																																																																																		obj_t
																																																																																																			BgL_tail1356z00_7931;
																																																																																																		BgL_ll1353z00_7929
																																																																																																			=
																																																																																																			BgL_g1359z00_7926;
																																																																																																		BgL_ll1354z00_7930
																																																																																																			=
																																																																																																			BgL_g1360z00_7927;
																																																																																																		BgL_tail1356z00_7931
																																																																																																			=
																																																																																																			BgL_head1355z00_7925;
																																																																																																	BgL_zc3anonymousza36317ze3z83_7932:
																																																																																																		if (NULLP(BgL_ll1353z00_7929))
																																																																																																			{	/* Ast/sexp.scm 417 */
																																																																																																				BgL_arg6314z00_7920
																																																																																																					=
																																																																																																					BgL_head1355z00_7925;
																																																																																																			}
																																																																																																		else
																																																																																																			{	/* Ast/sexp.scm 417 */
																																																																																																				obj_t
																																																																																																					BgL_newtail1357z00_7934;
																																																																																																				{	/* Ast/sexp.scm 417 */
																																																																																																					obj_t
																																																																																																						BgL_arg6321z00_7937;
																																																																																																					{	/* Ast/sexp.scm 417 */
																																																																																																						obj_t
																																																																																																							BgL_arg6322z00_7938;
																																																																																																						obj_t
																																																																																																							BgL_arg6323z00_7939;
																																																																																																						BgL_arg6322z00_7938
																																																																																																							=
																																																																																																							CAR
																																																																																																							(BgL_ll1353z00_7929);
																																																																																																						BgL_arg6323z00_7939
																																																																																																							=
																																																																																																							CAR
																																																																																																							(BgL_ll1354z00_7930);
																																																																																																						{	/* Ast/sexp.scm 417 */
																																																																																																							obj_t
																																																																																																								BgL_list6324z00_7940;
																																																																																																							{	/* Ast/sexp.scm 417 */
																																																																																																								obj_t
																																																																																																									BgL_arg6325z00_7941;
																																																																																																								BgL_arg6325z00_7941
																																																																																																									=
																																																																																																									MAKE_YOUNG_PAIR
																																																																																																									(BgL_arg6323z00_7939,
																																																																																																									BNIL);
																																																																																																								BgL_list6324z00_7940
																																																																																																									=
																																																																																																									MAKE_YOUNG_PAIR
																																																																																																									(BgL_arg6322z00_7938,
																																																																																																									BgL_arg6325z00_7941);
																																																																																																							}
																																																																																																							BgL_arg6321z00_7937
																																																																																																								=
																																																																																																								BgL_list6324z00_7940;
																																																																																																						}
																																																																																																					}
																																																																																																					{	/* Ast/sexp.scm 417 */
																																																																																																						obj_t
																																																																																																							BgL_res6766z00_8912;
																																																																																																						BgL_res6766z00_8912
																																																																																																							=
																																																																																																							MAKE_YOUNG_PAIR
																																																																																																							(BgL_arg6321z00_7937,
																																																																																																							BNIL);
																																																																																																						BgL_newtail1357z00_7934
																																																																																																							=
																																																																																																							BgL_res6766z00_8912;
																																																																																																					}
																																																																																																				}
																																																																																																				SET_CDR
																																																																																																					(BgL_tail1356z00_7931,
																																																																																																					BgL_newtail1357z00_7934);
																																																																																																				{
																																																																																																					obj_t
																																																																																																						BgL_tail1356z00_13098;
																																																																																																					obj_t
																																																																																																						BgL_ll1354z00_13096;
																																																																																																					obj_t
																																																																																																						BgL_ll1353z00_13094;
																																																																																																					BgL_ll1353z00_13094
																																																																																																						=
																																																																																																						CDR
																																																																																																						(BgL_ll1353z00_7929);
																																																																																																					BgL_ll1354z00_13096
																																																																																																						=
																																																																																																						CDR
																																																																																																						(BgL_ll1354z00_7930);
																																																																																																					BgL_tail1356z00_13098
																																																																																																						=
																																																																																																						BgL_newtail1357z00_7934;
																																																																																																					BgL_tail1356z00_7931
																																																																																																						=
																																																																																																						BgL_tail1356z00_13098;
																																																																																																					BgL_ll1354z00_7930
																																																																																																						=
																																																																																																						BgL_ll1354z00_13096;
																																																																																																					BgL_ll1353z00_7929
																																																																																																						=
																																																																																																						BgL_ll1353z00_13094;
																																																																																																					goto
																																																																																																						BgL_zc3anonymousza36317ze3z83_7932;
																																																																																																				}
																																																																																																			}
																																																																																																	}
																																																																																																}
																																																																																															}
																																																																																														{	/* Ast/sexp.scm 418 */
																																																																																															obj_t
																																																																																																BgL_arg6331z00_7948;
																																																																																															{	/* Ast/sexp.scm 418 */
																																																																																																obj_t
																																																																																																	BgL_arg6332z00_7949;
																																																																																																{	/* Ast/sexp.scm 418 */
																																																																																																	obj_t
																																																																																																		BgL_arg6333z00_7950;
																																																																																																	{	/* Ast/sexp.scm 418 */
																																																																																																		obj_t
																																																																																																			BgL_arg6334z00_7951;
																																																																																																		obj_t
																																																																																																			BgL_arg6335z00_7952;
																																																																																																		BgL_arg6334z00_7951
																																																																																																			=
																																																																																																			MAKE_YOUNG_PAIR
																																																																																																			(BgL_proc1z00_1679,
																																																																																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																																			(BgL_tmpsz00_7914,
																																																																																																				BNIL));
																																																																																																		{	/* Ast/sexp.scm 418 */
																																																																																																			obj_t
																																																																																																				BgL_arg6337z00_7954;
																																																																																																			BgL_arg6337z00_7954
																																																																																																				=
																																																																																																				MAKE_YOUNG_PAIR
																																																																																																				(BgL_proc2z00_1680,
																																																																																																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																																				(BgL_tmpsz00_7914,
																																																																																																					BNIL));
																																																																																																			BgL_arg6335z00_7952
																																																																																																				=
																																																																																																				MAKE_YOUNG_PAIR
																																																																																																				(BgL_arg6337z00_7954,
																																																																																																				BNIL);
																																																																																																		}
																																																																																																		BgL_arg6333z00_7950
																																																																																																			=
																																																																																																			MAKE_YOUNG_PAIR
																																																																																																			(BgL_arg6334z00_7951,
																																																																																																			BgL_arg6335z00_7952);
																																																																																																	}
																																																																																																	BgL_arg6332z00_7949
																																																																																																		=
																																																																																																		MAKE_YOUNG_PAIR
																																																																																																		(BgL_testz00_1678,
																																																																																																		BgL_arg6333z00_7950);
																																																																																																}
																																																																																																BgL_arg6331z00_7948
																																																																																																	=
																																																																																																	MAKE_YOUNG_PAIR
																																																																																																	(CNST_TABLE_REF
																																																																																																	(((long) 1)), BgL_arg6332z00_7949);
																																																																																															}
																																																																																															BgL_arg6315z00_7921
																																																																																																=
																																																																																																MAKE_YOUNG_PAIR
																																																																																																(BgL_arg6331z00_7948,
																																																																																																BNIL);
																																																																																														}
																																																																																														BgL_arg6313z00_7919
																																																																																															=
																																																																																															MAKE_YOUNG_PAIR
																																																																																															(BgL_arg6314z00_7920,
																																																																																															BgL_arg6315z00_7921);
																																																																																													}
																																																																																													BgL_nexpz00_7916
																																																																																														=
																																																																																														MAKE_YOUNG_PAIR
																																																																																														(BgL_arg6312z00_7918,
																																																																																														BgL_arg6313z00_7919);
																																																																																												}
																																																																																												{	/* Ast/sexp.scm 417 */

																																																																																													BgL_auxz00_13062
																																																																																														=
																																																																																														BGl_letzd2ze3nodez31zzast_letz00
																																																																																														(BgL_nexpz00_7916,
																																																																																														BgL_stackz00_22,
																																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																														(BgL_expz00_21,
																																																																																															BgL_locz00_7915),
																																																																																														BgL_sitez00_24);
																																																																																									}}}}
																																																																																									BgL_auxz00_12567
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_13062);
																																																																																							}}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 117 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 117 */
																																																																																									BgL_tagzd2403zd2_1706:
																																																																																										BgL_auxz00_12567 = BGl_privatezd2nodezd2zzast_privatez00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_13117;
																																																																																									BgL_tagzd2404zd2_1707:
																																																																																										BgL_auxz00_13117 = BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																										BgL_auxz00_12567
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_13117);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 117 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1706;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_13122;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1707;
																																																																																								BgL_auxz00_12567
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_13122);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1706;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_13126;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1707;
																																																																																						BgL_auxz00_12567
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_13126);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																}
																																																																															}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1706;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_13130;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1707;
																																																																															BgL_auxz00_12567
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_13130);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_cdrzd21140zd2_2405;
																																																																											BgL_cdrzd21140zd2_2405
																																																																												=
																																																																												CDR
																																																																												(BgL_expz00_21);
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_cdrzd21146zd2_2406;
																																																																												BgL_cdrzd21146zd2_2406
																																																																													=
																																																																													CDR
																																																																													(CAR
																																																																													(BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_cdrzd21152zd2_2407;
																																																																													BgL_cdrzd21152zd2_2407
																																																																														=
																																																																														CDR
																																																																														(BgL_cdrzd21146zd2_2406);
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_carzd21157zd2_2408;
																																																																														obj_t
																																																																															BgL_cdrzd21158zd2_2409;
																																																																														BgL_carzd21157zd2_2408
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd21152zd2_2407);
																																																																														BgL_cdrzd21158zd2_2409
																																																																															=
																																																																															CDR
																																																																															(BgL_cdrzd21152zd2_2407);
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21157zd2_2408))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_carzd21163zd2_2411;
																																																																																BgL_carzd21163zd2_2411
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd21158zd2_2409);
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21163zd2_2411))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (NULLP(CDR(BgL_cdrzd21158zd2_2409)))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd21140zd2_2405))
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						obj_t
																																																																																							BgL_arg2150z00_2416;
																																																																																						BgL_arg2150z00_2416
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_cdrzd21146zd2_2406);
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_13149;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_13153;
																																																																																								obj_t
																																																																																									BgL_proc2z00_13152;
																																																																																								obj_t
																																																																																									BgL_proc1z00_13151;
																																																																																								obj_t
																																																																																									BgL_testz00_13150;
																																																																																								BgL_testz00_13150
																																																																																									=
																																																																																									BgL_arg2150z00_2416;
																																																																																								BgL_proc1z00_13151
																																																																																									=
																																																																																									BgL_carzd21157zd2_2408;
																																																																																								BgL_proc2z00_13152
																																																																																									=
																																																																																									BgL_carzd21163zd2_2411;
																																																																																								BgL_argsz00_13153
																																																																																									=
																																																																																									BgL_cdrzd21140zd2_2405;
																																																																																								BgL_argsz00_1681
																																																																																									=
																																																																																									BgL_argsz00_13153;
																																																																																								BgL_proc2z00_1680
																																																																																									=
																																																																																									BgL_proc2z00_13152;
																																																																																								BgL_proc1z00_1679
																																																																																									=
																																																																																									BgL_proc1z00_13151;
																																																																																								BgL_testz00_1678
																																																																																									=
																																																																																									BgL_testz00_13150;
																																																																																								goto
																																																																																									BgL_tagzd2388zd2_1682;
																																																																																							}
																																																																																							BgL_auxz00_12567
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_13149);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 117 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1706;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_13157;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1707;
																																																																																								BgL_auxz00_12567
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_13157);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1706;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_13161;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1707;
																																																																																						BgL_auxz00_12567
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_13161);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1706;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_13165;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1707;
																																																																																				BgL_auxz00_12567
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_13165);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_13169;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_12567
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_13169);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1706;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_13173;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1707;
																																																																											BgL_auxz00_12567
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_13173);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd21496zd2_2424;
																																																																							BgL_cdrzd21496zd2_2424
																																																																								=
																																																																								CDR
																																																																								(BgL_expz00_21);
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_cdrzd21503zd2_2425;
																																																																								BgL_cdrzd21503zd2_2425
																																																																									=
																																																																									CDR
																																																																									(CAR
																																																																									(BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd21510zd2_2426;
																																																																									BgL_cdrzd21510zd2_2426
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd21503zd2_2425);
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_carzd21516zd2_2427;
																																																																										obj_t
																																																																											BgL_cdrzd21517zd2_2428;
																																																																										BgL_carzd21516zd2_2427
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd21510zd2_2426);
																																																																										BgL_cdrzd21517zd2_2428
																																																																											=
																																																																											CDR
																																																																											(BgL_cdrzd21510zd2_2426);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21516zd2_2427))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (PAIRP(BgL_cdrzd21517zd2_2428))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_carzd21524zd2_2431;
																																																																														BgL_carzd21524zd2_2431
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd21517zd2_2428);
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21524zd2_2431))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (NULLP(CDR(BgL_cdrzd21517zd2_2428)))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd21496zd2_2424))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				obj_t
																																																																																					BgL_arg2164z00_2436;
																																																																																				BgL_arg2164z00_2436
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_cdrzd21503zd2_2425);
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_13194;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_13198;
																																																																																						obj_t
																																																																																							BgL_proc2z00_13197;
																																																																																						obj_t
																																																																																							BgL_proc1z00_13196;
																																																																																						obj_t
																																																																																							BgL_testz00_13195;
																																																																																						BgL_testz00_13195
																																																																																							=
																																																																																							BgL_arg2164z00_2436;
																																																																																						BgL_proc1z00_13196
																																																																																							=
																																																																																							BgL_carzd21516zd2_2427;
																																																																																						BgL_proc2z00_13197
																																																																																							=
																																																																																							BgL_carzd21524zd2_2431;
																																																																																						BgL_argsz00_13198
																																																																																							=
																																																																																							BgL_cdrzd21496zd2_2424;
																																																																																						BgL_argsz00_1681
																																																																																							=
																																																																																							BgL_argsz00_13198;
																																																																																						BgL_proc2z00_1680
																																																																																							=
																																																																																							BgL_proc2z00_13197;
																																																																																						BgL_proc1z00_1679
																																																																																							=
																																																																																							BgL_proc1z00_13196;
																																																																																						BgL_testz00_1678
																																																																																							=
																																																																																							BgL_testz00_13195;
																																																																																						goto
																																																																																							BgL_tagzd2388zd2_1682;
																																																																																					}
																																																																																					BgL_auxz00_12567
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_13194);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1706;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_13202;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1707;
																																																																																						BgL_auxz00_12567
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_13202);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1706;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_13206;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1707;
																																																																																				BgL_auxz00_12567
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_13206);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_13210;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_12567
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_13210);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_13214;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_12567
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_13214);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_13218;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_12567
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_13218);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_13222;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_12567
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_13222);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																														}
																																																													}
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								bool_t
																																																									BgL_testz00_13224;
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_arg2191z00_2464;
																																																									BgL_arg2191z00_2464
																																																										=
																																																										CAR
																																																										(BgL_expz00_21);
																																																									BgL_testz00_13224
																																																										=
																																																										CBOOL
																																																										(BGl_letzd2symzf3z21zzast_letz00
																																																										(BgL_arg2191z00_2464));
																																																								}
																																																								if (BgL_testz00_13224)
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_13228;
																																																										goto
																																																											BgL_tagzd2382zd2_1662;
																																																										BgL_auxz00_12567
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_13228);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 117 */
																																																										bool_t
																																																											BgL_testz00_13230;
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_arg2190z00_2463;
																																																											BgL_arg2190z00_2463
																																																												=
																																																												CAR
																																																												(BgL_expz00_21);
																																																											BgL_testz00_13230
																																																												=
																																																												CBOOL
																																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																																												(BgL_arg2190z00_2463));
																																																										}
																																																										if (BgL_testz00_13230)
																																																											{
																																																												BgL_letzd2funzd2_bglt
																																																													BgL_auxz00_13234;
																																																												goto
																																																													BgL_tagzd2384zd2_1664;
																																																												BgL_auxz00_12567
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_13234);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 117 */
																																																												obj_t
																																																													BgL_carzd21970zd2_2454;
																																																												BgL_carzd21970zd2_2454
																																																													=
																																																													CAR
																																																													(BgL_expz00_21);
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd21975zd2_2455;
																																																													BgL_cdrzd21975zd2_2455
																																																														=
																																																														CDR
																																																														(BgL_carzd21970zd2_2454);
																																																													if ((CAR(BgL_carzd21970zd2_2454) == CNST_TABLE_REF(((long) 3))))
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_arg2185z00_2458;
																																																															obj_t
																																																																BgL_arg2186z00_2459;
																																																															obj_t
																																																																BgL_arg2187z00_2460;
																																																															BgL_arg2185z00_2458
																																																																=
																																																																CAR
																																																																(BgL_cdrzd21975zd2_2455);
																																																															BgL_arg2186z00_2459
																																																																=
																																																																CDR
																																																																(BgL_cdrzd21975zd2_2455);
																																																															BgL_arg2187z00_2460
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_13245;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_13248;
																																																																	obj_t
																																																																		BgL_bodyz00_13247;
																																																																	obj_t
																																																																		BgL_varsz00_13246;
																																																																	BgL_varsz00_13246
																																																																		=
																																																																		BgL_arg2185z00_2458;
																																																																	BgL_bodyz00_13247
																																																																		=
																																																																		BgL_arg2186z00_2459;
																																																																	BgL_argsz00_13248
																																																																		=
																																																																		BgL_arg2187z00_2460;
																																																																	BgL_argsz00_1671
																																																																		=
																																																																		BgL_argsz00_13248;
																																																																	BgL_bodyz00_1670
																																																																		=
																																																																		BgL_bodyz00_13247;
																																																																	BgL_varsz00_1669
																																																																		=
																																																																		BgL_varsz00_13246;
																																																																	goto
																																																																		BgL_tagzd2386zd2_1672;
																																																																}
																																																																BgL_auxz00_12567
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_13245);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1706;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_13252;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1707;
																																																																	BgL_auxz00_12567
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_13252);
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						bool_t
																																																							BgL_testz00_13254;
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_arg2198z00_2471;
																																																							BgL_arg2198z00_2471
																																																								=
																																																								CAR
																																																								(BgL_expz00_21);
																																																							BgL_testz00_13254
																																																								=
																																																								CBOOL
																																																								(BGl_letzd2symzf3z21zzast_letz00
																																																								(BgL_arg2198z00_2471));
																																																						}
																																																						if (BgL_testz00_13254)
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_13258;
																																																								goto
																																																									BgL_tagzd2382zd2_1662;
																																																								BgL_auxz00_12567
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_13258);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								bool_t
																																																									BgL_testz00_13260;
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_arg2197z00_2470;
																																																									BgL_arg2197z00_2470
																																																										=
																																																										CAR
																																																										(BgL_expz00_21);
																																																									BgL_testz00_13260
																																																										=
																																																										CBOOL
																																																										(BGl_labelszd2symzf3z21zzast_labelsz00
																																																										(BgL_arg2197z00_2470));
																																																								}
																																																								if (BgL_testz00_13260)
																																																									{
																																																										BgL_letzd2funzd2_bglt
																																																											BgL_auxz00_13264;
																																																										goto
																																																											BgL_tagzd2384zd2_1664;
																																																										BgL_auxz00_12567
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_13264);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 117 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 117 */
																																																												goto
																																																													BgL_tagzd2403zd2_1706;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_13268;
																																																												goto
																																																													BgL_tagzd2404zd2_1707;
																																																												BgL_auxz00_12567
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_13268);
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd2677zd2_2210)))
																																																					{	/* Ast/sexp.scm 117 */
																																																						goto
																																																							BgL_kapzd2679zd2_2212;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						if ((BgL_carzd2677zd2_2210 == CNST_TABLE_REF(((long) 19))))
																																																							{	/* Ast/sexp.scm 117 */
																																																								goto
																																																									BgL_kapzd2679zd2_2212;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								if ((BgL_carzd2677zd2_2210 == CNST_TABLE_REF(((long) 20))))
																																																									{	/* Ast/sexp.scm 117 */
																																																										goto
																																																											BgL_kapzd2679zd2_2212;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 117 */
																																																										if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd2677zd2_2210)))
																																																											{	/* Ast/sexp.scm 117 */
																																																												goto
																																																													BgL_kapzd2679zd2_2212;
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 117 */
																																																												bool_t
																																																													BgL_testz00_13282;
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_arg2102z00_2332;
																																																													BgL_arg2102z00_2332
																																																														=
																																																														CAR
																																																														(BgL_expz00_21);
																																																													BgL_testz00_13282
																																																														=
																																																														CBOOL
																																																														(BGl_letzd2symzf3z21zzast_letz00
																																																														(BgL_arg2102z00_2332));
																																																												}
																																																												if (BgL_testz00_13282)
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_13286;
																																																														goto
																																																															BgL_tagzd2382zd2_1662;
																																																														BgL_auxz00_12567
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_13286);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 117 */
																																																														bool_t
																																																															BgL_testz00_13288;
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_arg2101z00_2331;
																																																															BgL_arg2101z00_2331
																																																																=
																																																																CAR
																																																																(BgL_expz00_21);
																																																															BgL_testz00_13288
																																																																=
																																																																CBOOL
																																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																																(BgL_arg2101z00_2331));
																																																														}
																																																														if (BgL_testz00_13288)
																																																															{
																																																																BgL_letzd2funzd2_bglt
																																																																	BgL_auxz00_13292;
																																																																goto
																																																																	BgL_tagzd2384zd2_1664;
																																																																BgL_auxz00_12567
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_13292);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_carzd22298zd2_2222;
																																																																BgL_carzd22298zd2_2222
																																																																	=
																																																																	CAR
																																																																	(BgL_expz00_21);
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd22303zd2_2223;
																																																																	BgL_cdrzd22303zd2_2223
																																																																		=
																																																																		CDR
																																																																		(BgL_carzd22298zd2_2222);
																																																																	if ((CAR(BgL_carzd22298zd2_2222) == CNST_TABLE_REF(((long) 3))))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (PAIRP(BgL_cdrzd22303zd2_2223))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_arg2034z00_2227;
																																																																					obj_t
																																																																						BgL_arg2035z00_2228;
																																																																					obj_t
																																																																						BgL_arg2036z00_2229;
																																																																					BgL_arg2034z00_2227
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd22303zd2_2223);
																																																																					BgL_arg2035z00_2228
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd22303zd2_2223);
																																																																					BgL_arg2036z00_2229
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_21);
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_13305;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_13308;
																																																																							obj_t
																																																																								BgL_bodyz00_13307;
																																																																							obj_t
																																																																								BgL_varsz00_13306;
																																																																							BgL_varsz00_13306
																																																																								=
																																																																								BgL_arg2034z00_2227;
																																																																							BgL_bodyz00_13307
																																																																								=
																																																																								BgL_arg2035z00_2228;
																																																																							BgL_argsz00_13308
																																																																								=
																																																																								BgL_arg2036z00_2229;
																																																																							BgL_argsz00_1671
																																																																								=
																																																																								BgL_argsz00_13308;
																																																																							BgL_bodyz00_1670
																																																																								=
																																																																								BgL_bodyz00_13307;
																																																																							BgL_varsz00_1669
																																																																								=
																																																																								BgL_varsz00_13306;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1672;
																																																																						}
																																																																						BgL_auxz00_12567
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_13305);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1706;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_13312;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1707;
																																																																							BgL_auxz00_12567
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_13312);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd22410zd2_2232;
																																																																			BgL_cdrzd22410zd2_2232
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_cdrzd22415zd2_2233;
																																																																				BgL_cdrzd22415zd2_2233
																																																																					=
																																																																					CDR
																																																																					(BgL_carzd22298zd2_2222);
																																																																				if ((CAR(BgL_carzd22298zd2_2222) == CNST_TABLE_REF(((long) 1))))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (PAIRP(BgL_cdrzd22415zd2_2233))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_cdrzd22420zd2_2237;
																																																																								BgL_cdrzd22420zd2_2237
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd22415zd2_2233);
																																																																								if (PAIRP(BgL_cdrzd22420zd2_2237))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_carzd22424zd2_2239;
																																																																										obj_t
																																																																											BgL_cdrzd22425zd2_2240;
																																																																										BgL_carzd22424zd2_2239
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd22420zd2_2237);
																																																																										BgL_cdrzd22425zd2_2240
																																																																											=
																																																																											CDR
																																																																											(BgL_cdrzd22420zd2_2237);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22424zd2_2239))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (PAIRP(BgL_cdrzd22425zd2_2240))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_carzd22430zd2_2243;
																																																																														BgL_carzd22430zd2_2243
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd22425zd2_2240);
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22430zd2_2243))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (NULLP(CDR(BgL_cdrzd22425zd2_2240)))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		bool_t
																																																																																			BgL_testz00_13337;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_l1364z00_2276;
																																																																																			BgL_l1364z00_2276
																																																																																				=
																																																																																				BgL_cdrzd22410zd2_2232;
																																																																																		BgL_zc3anonymousza32062ze3z83_2277:
																																																																																			if (NULLP(BgL_l1364z00_2276))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					BgL_testz00_13337
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						1);
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					bool_t
																																																																																						BgL_testz00_13340;
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						bool_t
																																																																																							BgL_testz00_13341;
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							obj_t
																																																																																								BgL_tmpz00_13342;
																																																																																							BgL_tmpz00_13342
																																																																																								=
																																																																																								CAR
																																																																																								(BgL_l1364z00_2276);
																																																																																							BgL_testz00_13341
																																																																																								=
																																																																																								PAIRP
																																																																																								(BgL_tmpz00_13342);
																																																																																						}
																																																																																						if (BgL_testz00_13341)
																																																																																							{	/* Ast/sexp.scm 117 */
																																																																																								BgL_testz00_13340
																																																																																									=
																																																																																									(
																																																																																									(bool_t)
																																																																																									0);
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 117 */
																																																																																								BgL_testz00_13340
																																																																																									=
																																																																																									(
																																																																																									(bool_t)
																																																																																									1);
																																																																																							}
																																																																																					}
																																																																																					if (BgL_testz00_13340)
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_l1364z00_13345;
																																																																																							BgL_l1364z00_13345
																																																																																								=
																																																																																								CDR
																																																																																								(BgL_l1364z00_2276);
																																																																																							BgL_l1364z00_2276
																																																																																								=
																																																																																								BgL_l1364z00_13345;
																																																																																							goto
																																																																																								BgL_zc3anonymousza32062ze3z83_2277;
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							BgL_testz00_13337
																																																																																								=
																																																																																								(
																																																																																								(bool_t)
																																																																																								0);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																		if (BgL_testz00_13337)
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				obj_t
																																																																																					BgL_arg2052z00_2259;
																																																																																				BgL_arg2052z00_2259
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_cdrzd22415zd2_2233);
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_13348;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_13352;
																																																																																						obj_t
																																																																																							BgL_proc2z00_13351;
																																																																																						obj_t
																																																																																							BgL_proc1z00_13350;
																																																																																						obj_t
																																																																																							BgL_testz00_13349;
																																																																																						BgL_testz00_13349
																																																																																							=
																																																																																							BgL_arg2052z00_2259;
																																																																																						BgL_proc1z00_13350
																																																																																							=
																																																																																							BgL_carzd22424zd2_2239;
																																																																																						BgL_proc2z00_13351
																																																																																							=
																																																																																							BgL_carzd22430zd2_2243;
																																																																																						BgL_argsz00_13352
																																																																																							=
																																																																																							BgL_cdrzd22410zd2_2232;
																																																																																						BgL_argsz00_1676
																																																																																							=
																																																																																							BgL_argsz00_13352;
																																																																																						BgL_proc2z00_1675
																																																																																							=
																																																																																							BgL_proc2z00_13351;
																																																																																						BgL_proc1z00_1674
																																																																																							=
																																																																																							BgL_proc1z00_13350;
																																																																																						BgL_testz00_1673
																																																																																							=
																																																																																							BgL_testz00_13349;
																																																																																						goto
																																																																																							BgL_tagzd2387zd2_1677;
																																																																																					}
																																																																																					BgL_auxz00_12567
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_13348);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				obj_t
																																																																																					BgL_cdrzd22455zd2_2260;
																																																																																				BgL_cdrzd22455zd2_2260
																																																																																					=
																																																																																					CDR
																																																																																					(BgL_expz00_21);
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					obj_t
																																																																																						BgL_cdrzd22463zd2_2261;
																																																																																					BgL_cdrzd22463zd2_2261
																																																																																						=
																																																																																						CDR
																																																																																						(CAR
																																																																																						(BgL_expz00_21));
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						obj_t
																																																																																							BgL_cdrzd22471zd2_2262;
																																																																																						BgL_cdrzd22471zd2_2262
																																																																																							=
																																																																																							CDR
																																																																																							(BgL_cdrzd22463zd2_2261);
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							obj_t
																																																																																								BgL_carzd22478zd2_2263;
																																																																																							BgL_carzd22478zd2_2263
																																																																																								=
																																																																																								CAR
																																																																																								(BgL_cdrzd22471zd2_2262);
																																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22478zd2_2263))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									obj_t
																																																																																										BgL_carzd22487zd2_2265;
																																																																																									BgL_carzd22487zd2_2265
																																																																																										=
																																																																																										CAR
																																																																																										(CDR
																																																																																										(BgL_cdrzd22471zd2_2262));
																																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22487zd2_2265))
																																																																																										{	/* Ast/sexp.scm 117 */
																																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd22455zd2_2260))
																																																																																												{	/* Ast/sexp.scm 117 */
																																																																																													obj_t
																																																																																														BgL_arg2056z00_2268;
																																																																																													BgL_arg2056z00_2268
																																																																																														=
																																																																																														CAR
																																																																																														(BgL_cdrzd22463zd2_2261);
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_13368;
																																																																																														{
																																																																																															obj_t
																																																																																																BgL_argsz00_13372;
																																																																																															obj_t
																																																																																																BgL_proc2z00_13371;
																																																																																															obj_t
																																																																																																BgL_proc1z00_13370;
																																																																																															obj_t
																																																																																																BgL_testz00_13369;
																																																																																															BgL_testz00_13369
																																																																																																=
																																																																																																BgL_arg2056z00_2268;
																																																																																															BgL_proc1z00_13370
																																																																																																=
																																																																																																BgL_carzd22478zd2_2263;
																																																																																															BgL_proc2z00_13371
																																																																																																=
																																																																																																BgL_carzd22487zd2_2265;
																																																																																															BgL_argsz00_13372
																																																																																																=
																																																																																																BgL_cdrzd22455zd2_2260;
																																																																																															BgL_argsz00_1681
																																																																																																=
																																																																																																BgL_argsz00_13372;
																																																																																															BgL_proc2z00_1680
																																																																																																=
																																																																																																BgL_proc2z00_13371;
																																																																																															BgL_proc1z00_1679
																																																																																																=
																																																																																																BgL_proc1z00_13370;
																																																																																															BgL_testz00_1678
																																																																																																=
																																																																																																BgL_testz00_13369;
																																																																																															goto
																																																																																																BgL_tagzd2388zd2_1682;
																																																																																														}
																																																																																														BgL_auxz00_12567
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_13368);
																																																																																													}
																																																																																												}
																																																																																											else
																																																																																												{	/* Ast/sexp.scm 117 */
																																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																														{	/* Ast/sexp.scm 117 */
																																																																																															goto
																																																																																																BgL_tagzd2403zd2_1706;
																																																																																														}
																																																																																													else
																																																																																														{
																																																																																															BgL_nodez00_bglt
																																																																																																BgL_auxz00_13376;
																																																																																															goto
																																																																																																BgL_tagzd2404zd2_1707;
																																																																																															BgL_auxz00_12567
																																																																																																=
																																																																																																(
																																																																																																(obj_t)
																																																																																																BgL_auxz00_13376);
																																																																																														}
																																																																																												}
																																																																																										}
																																																																																									else
																																																																																										{	/* Ast/sexp.scm 117 */
																																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																												{	/* Ast/sexp.scm 117 */
																																																																																													goto
																																																																																														BgL_tagzd2403zd2_1706;
																																																																																												}
																																																																																											else
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_13380;
																																																																																													goto
																																																																																														BgL_tagzd2404zd2_1707;
																																																																																													BgL_auxz00_12567
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_13380);
																																																																																												}
																																																																																										}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 117 */
																																																																																											goto
																																																																																												BgL_tagzd2403zd2_1706;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_13384;
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1707;
																																																																																											BgL_auxz00_12567
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_13384);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					}
																																																																																				}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1706;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_13388;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1707;
																																																																																				BgL_auxz00_12567
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_13388);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_cdrzd22765zd2_2287;
																																																																																BgL_cdrzd22765zd2_2287
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_expz00_21);
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_cdrzd22772zd2_2288;
																																																																																	BgL_cdrzd22772zd2_2288
																																																																																		=
																																																																																		CDR
																																																																																		(CAR
																																																																																		(BgL_expz00_21));
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		obj_t
																																																																																			BgL_cdrzd22779zd2_2289;
																																																																																		BgL_cdrzd22779zd2_2289
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd22772zd2_2288);
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			obj_t
																																																																																				BgL_carzd22785zd2_2290;
																																																																																			obj_t
																																																																																				BgL_cdrzd22786zd2_2291;
																																																																																			BgL_carzd22785zd2_2290
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd22779zd2_2289);
																																																																																			BgL_cdrzd22786zd2_2291
																																																																																				=
																																																																																				CDR
																																																																																				(BgL_cdrzd22779zd2_2289);
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22785zd2_2290))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					obj_t
																																																																																						BgL_carzd22793zd2_2293;
																																																																																					BgL_carzd22793zd2_2293
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_cdrzd22786zd2_2291);
																																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22793zd2_2293))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							if (NULLP(CDR(BgL_cdrzd22786zd2_2291)))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd22765zd2_2287))
																																																																																										{	/* Ast/sexp.scm 117 */
																																																																																											obj_t
																																																																																												BgL_arg2073z00_2298;
																																																																																											BgL_arg2073z00_2298
																																																																																												=
																																																																																												CAR
																																																																																												(BgL_cdrzd22772zd2_2288);
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_13407;
																																																																																												{
																																																																																													obj_t
																																																																																														BgL_argsz00_13411;
																																																																																													obj_t
																																																																																														BgL_proc2z00_13410;
																																																																																													obj_t
																																																																																														BgL_proc1z00_13409;
																																																																																													obj_t
																																																																																														BgL_testz00_13408;
																																																																																													BgL_testz00_13408
																																																																																														=
																																																																																														BgL_arg2073z00_2298;
																																																																																													BgL_proc1z00_13409
																																																																																														=
																																																																																														BgL_carzd22785zd2_2290;
																																																																																													BgL_proc2z00_13410
																																																																																														=
																																																																																														BgL_carzd22793zd2_2293;
																																																																																													BgL_argsz00_13411
																																																																																														=
																																																																																														BgL_cdrzd22765zd2_2287;
																																																																																													BgL_argsz00_1681
																																																																																														=
																																																																																														BgL_argsz00_13411;
																																																																																													BgL_proc2z00_1680
																																																																																														=
																																																																																														BgL_proc2z00_13410;
																																																																																													BgL_proc1z00_1679
																																																																																														=
																																																																																														BgL_proc1z00_13409;
																																																																																													BgL_testz00_1678
																																																																																														=
																																																																																														BgL_testz00_13408;
																																																																																													goto
																																																																																														BgL_tagzd2388zd2_1682;
																																																																																												}
																																																																																												BgL_auxz00_12567
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_13407);
																																																																																											}
																																																																																										}
																																																																																									else
																																																																																										{	/* Ast/sexp.scm 117 */
																																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																												{	/* Ast/sexp.scm 117 */
																																																																																													goto
																																																																																														BgL_tagzd2403zd2_1706;
																																																																																												}
																																																																																											else
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_13415;
																																																																																													goto
																																																																																														BgL_tagzd2404zd2_1707;
																																																																																													BgL_auxz00_12567
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_13415);
																																																																																												}
																																																																																										}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 117 */
																																																																																											goto
																																																																																												BgL_tagzd2403zd2_1706;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_13419;
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1707;
																																																																																											BgL_auxz00_12567
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_13419);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1706;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_13423;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1707;
																																																																																									BgL_auxz00_12567
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_13423);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1706;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_13427;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1707;
																																																																																							BgL_auxz00_12567
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_13427);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	}
																																																																																}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_13431;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_12567
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_13431);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_cdrzd23126zd2_2306;
																																																																												BgL_cdrzd23126zd2_2306
																																																																													=
																																																																													CDR
																																																																													(BgL_expz00_21);
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_cdrzd23132zd2_2307;
																																																																													BgL_cdrzd23132zd2_2307
																																																																														=
																																																																														CDR
																																																																														(CAR
																																																																														(BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_cdrzd23138zd2_2308;
																																																																														BgL_cdrzd23138zd2_2308
																																																																															=
																																																																															CDR
																																																																															(BgL_cdrzd23132zd2_2307);
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_carzd23143zd2_2309;
																																																																															obj_t
																																																																																BgL_cdrzd23144zd2_2310;
																																																																															BgL_carzd23143zd2_2309
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd23138zd2_2308);
																																																																															BgL_cdrzd23144zd2_2310
																																																																																=
																																																																																CDR
																																																																																(BgL_cdrzd23138zd2_2308);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23143zd2_2309))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (PAIRP(BgL_cdrzd23144zd2_2310))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			obj_t
																																																																																				BgL_carzd23149zd2_2313;
																																																																																			BgL_carzd23149zd2_2313
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd23144zd2_2310);
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23149zd2_2313))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (NULLP(CDR(BgL_cdrzd23144zd2_2310)))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd23126zd2_2306))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									obj_t
																																																																																										BgL_arg2087z00_2318;
																																																																																									BgL_arg2087z00_2318
																																																																																										=
																																																																																										CAR
																																																																																										(BgL_cdrzd23132zd2_2307);
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_13452;
																																																																																										{
																																																																																											obj_t
																																																																																												BgL_argsz00_13456;
																																																																																											obj_t
																																																																																												BgL_proc2z00_13455;
																																																																																											obj_t
																																																																																												BgL_proc1z00_13454;
																																																																																											obj_t
																																																																																												BgL_testz00_13453;
																																																																																											BgL_testz00_13453
																																																																																												=
																																																																																												BgL_arg2087z00_2318;
																																																																																											BgL_proc1z00_13454
																																																																																												=
																																																																																												BgL_carzd23143zd2_2309;
																																																																																											BgL_proc2z00_13455
																																																																																												=
																																																																																												BgL_carzd23149zd2_2313;
																																																																																											BgL_argsz00_13456
																																																																																												=
																																																																																												BgL_cdrzd23126zd2_2306;
																																																																																											BgL_argsz00_1681
																																																																																												=
																																																																																												BgL_argsz00_13456;
																																																																																											BgL_proc2z00_1680
																																																																																												=
																																																																																												BgL_proc2z00_13455;
																																																																																											BgL_proc1z00_1679
																																																																																												=
																																																																																												BgL_proc1z00_13454;
																																																																																											BgL_testz00_1678
																																																																																												=
																																																																																												BgL_testz00_13453;
																																																																																											goto
																																																																																												BgL_tagzd2388zd2_1682;
																																																																																										}
																																																																																										BgL_auxz00_12567
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_13452);
																																																																																									}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 117 */
																																																																																											goto
																																																																																												BgL_tagzd2403zd2_1706;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_13460;
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1707;
																																																																																											BgL_auxz00_12567
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_13460);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1706;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_13464;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1707;
																																																																																									BgL_auxz00_12567
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_13464);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1706;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_13468;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1707;
																																																																																							BgL_auxz00_12567
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_13468);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1706;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_13472;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1707;
																																																																																					BgL_auxz00_12567
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_13472);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_13476;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_12567
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_13476);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_13480;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_12567
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_13480);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_13484;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_12567
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_13484);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_13488;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_12567
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_13488);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 117 */
																																																	if ((BgL_carzd2674zd2_2208 == CNST_TABLE_REF(((long) 18))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_13493;
																																																			goto
																																																				BgL_tagzd2382zd2_1662;
																																																			BgL_auxz00_12567
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_13493);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 117 */
																																																			if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd2674zd2_2208)))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_13498;
																																																					goto
																																																						BgL_tagzd2382zd2_1662;
																																																					BgL_auxz00_12567
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_13498);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					if ((BgL_carzd2674zd2_2208 == CNST_TABLE_REF(((long) 19))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_13503;
																																																							goto
																																																								BgL_tagzd2382zd2_1662;
																																																							BgL_auxz00_12567
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_13503);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_13509;
																																																								BgL_tagzd2383zd2_1663:
																																																									BgL_auxz00_13509 = BGl_letrecza2zd2ze3nodez93zzast_letz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																									BgL_auxz00_12567
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_13509);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_carzd23711zd2_2478;
																																																									BgL_carzd23711zd2_2478
																																																										=
																																																										CAR
																																																										(BgL_expz00_21);
																																																									if ((BgL_carzd23711zd2_2478 == CNST_TABLE_REF(((long) 20))))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_13517;
																																																											goto
																																																												BgL_tagzd2384zd2_1664;
																																																											BgL_auxz00_12567
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_13517);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd23711zd2_2478)))
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_13522;
																																																													goto
																																																														BgL_tagzd2384zd2_1664;
																																																													BgL_auxz00_12567
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_13522);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_13528;
																																																														BgL_tagzd2389zd2_1683:
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_7970;
																																																																obj_t
																																																																	BgL_bodyz00_7971;
																																																																if (PAIRP(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_cdrzd255064zd2_7976;
																																																																		BgL_cdrzd255064zd2_7976
																																																																			=
																																																																			CDR
																																																																			(BgL_expz00_21);
																																																																		if (PAIRP(BgL_cdrzd255064zd2_7976))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				BgL_argsz00_7970
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd255064zd2_7976);
																																																																				BgL_bodyz00_7971
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd255064zd2_7976);
																																																																				{	/* Ast/sexp.scm 425 */
																																																																					obj_t
																																																																						BgL_locz00_7980;
																																																																					obj_t
																																																																						BgL_funz00_7981;
																																																																					BgL_locz00_7980
																																																																						=
																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																						(BgL_expz00_21,
																																																																						BgL_locz00_23);
																																																																					BgL_funz00_7981
																																																																						=
																																																																						BGl_makezd2anonymouszd2namez00zzast_sexpz00
																																																																						(BgL_locz00_23,
																																																																						BNIL);
																																																																					{	/* Ast/sexp.scm 427 */
																																																																						obj_t
																																																																							BgL_arg6348z00_7982;
																																																																						{	/* Ast/sexp.scm 427 */
																																																																							obj_t
																																																																								BgL_arg6349z00_7983;
																																																																							obj_t
																																																																								BgL_arg6350z00_7984;
																																																																							BgL_arg6349z00_7983
																																																																								=
																																																																								BGl_labelszd2symzd2zzast_labelsz00
																																																																								();
																																																																							{	/* Ast/sexp.scm 427 */
																																																																								obj_t
																																																																									BgL_arg6351z00_7985;
																																																																								obj_t
																																																																									BgL_arg6352z00_7986;
																																																																								{	/* Ast/sexp.scm 427 */
																																																																									obj_t
																																																																										BgL_arg6353z00_7987;
																																																																									{	/* Ast/sexp.scm 427 */
																																																																										obj_t
																																																																											BgL_arg6354z00_7988;
																																																																										{	/* Ast/sexp.scm 427 */
																																																																											obj_t
																																																																												BgL_arg6355z00_7989;
																																																																											BgL_arg6355z00_7989
																																																																												=
																																																																												MAKE_YOUNG_PAIR
																																																																												(BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																												(BgL_bodyz00_7971),
																																																																												BNIL);
																																																																											BgL_arg6354z00_7988
																																																																												=
																																																																												MAKE_YOUNG_PAIR
																																																																												(BgL_argsz00_7970,
																																																																												BgL_arg6355z00_7989);
																																																																										}
																																																																										BgL_arg6353z00_7987
																																																																											=
																																																																											MAKE_YOUNG_PAIR
																																																																											(BgL_funz00_7981,
																																																																											BgL_arg6354z00_7988);
																																																																									}
																																																																									BgL_arg6351z00_7985
																																																																										=
																																																																										MAKE_YOUNG_PAIR
																																																																										(BgL_arg6353z00_7987,
																																																																										BNIL);
																																																																								}
																																																																								BgL_arg6352z00_7986
																																																																									=
																																																																									MAKE_YOUNG_PAIR
																																																																									(BgL_funz00_7981,
																																																																									BNIL);
																																																																								BgL_arg6350z00_7984
																																																																									=
																																																																									MAKE_YOUNG_PAIR
																																																																									(BgL_arg6351z00_7985,
																																																																									BgL_arg6352z00_7986);
																																																																							}
																																																																							BgL_arg6348z00_7982
																																																																								=
																																																																								MAKE_YOUNG_PAIR
																																																																								(BgL_arg6349z00_7983,
																																																																								BgL_arg6350z00_7984);
																																																																						}
																																																																						BgL_auxz00_13528
																																																																							=
																																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																							(BgL_arg6348z00_7982,
																																																																							BgL_stackz00_22,
																																																																							BgL_locz00_7980,
																																																																							BgL_sitez00_24);
																																																																					}
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																			BgL_tagzd255057zd2_7973:
																																																																				{	/* Ast/sexp.scm 434 */
																																																																					obj_t
																																																																						BgL_arg6358z00_7992;
																																																																					BgL_arg6358z00_7992
																																																																						=
																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																						(BgL_expz00_21,
																																																																						BgL_locz00_23);
																																																																					{	/* Ast/sexp.scm 432 */
																																																																						BgL_nodez00_bglt
																																																																							BgL_res6767z00_8921;
																																																																						{	/* Ast/sexp.scm 692 */
																																																																							obj_t
																																																																								BgL_arg6515z00_8917;
																																																																							BgL_nodez00_bglt
																																																																								BgL_arg6516z00_8918;
																																																																							BgL_arg6515z00_8917
																																																																								=
																																																																								BGl_shapez00zztools_shapez00
																																																																								(BGl_currentzd2functionzd2zztools_errorz00
																																																																								());
																																																																							BgL_arg6516z00_8918
																																																																								=
																																																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																								(CNST_TABLE_REF
																																																																								(((long) 4)), BNIL, BgL_arg6358z00_7992, CNST_TABLE_REF(((long) 2)));
																																																																							{	/* Ast/sexp.scm 691 */
																																																																								obj_t
																																																																									BgL_list6517z00_8920;
																																																																								BgL_list6517z00_8920
																																																																									=
																																																																									MAKE_YOUNG_PAIR
																																																																									(
																																																																									((obj_t) BgL_arg6516z00_8918), BNIL);
																																																																								BgL_res6767z00_8921
																																																																									=
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																									(BgL_arg6358z00_7992,
																																																																										BgL_arg6515z00_8917,
																																																																										BGl_string7268z00zzast_sexpz00,
																																																																										BgL_expz00_21,
																																																																										BgL_list6517z00_8920));
																																																																						}}
																																																																						BgL_auxz00_13528
																																																																							=
																																																																							BgL_res6767z00_8921;
																																																																	}}}}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		goto
																																																																			BgL_tagzd255057zd2_7973;
																																																																	}
																																																															}
																																																															BgL_auxz00_12567
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_13528);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_13563;
																																																																BgL_tagzd2390zd2_1684:
																																																																	BgL_auxz00_13563 = BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 0), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																	BgL_auxz00_12567
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_13563);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd23791zd2_2485;
																																																																	BgL_cdrzd23791zd2_2485
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_arg2212z00_2488;
																																																																			obj_t
																																																																				BgL_arg2213z00_2489;
																																																																			BgL_arg2212z00_2488
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd23791zd2_2485);
																																																																			BgL_arg2213z00_2489
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd23791zd2_2485);
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_13574;
																																																																				BgL_effectz00_1685
																																																																					=
																																																																					BgL_arg2212z00_2488;
																																																																				BgL_restz00_1686
																																																																					=
																																																																					BgL_arg2213z00_2489;
																																																																			BgL_tagzd2391zd2_1687:
																																																																				{	/* Ast/sexp.scm 441 */
																																																																					BgL_feffectz00_bglt
																																																																						BgL_arg6359z00_7993;
																																																																					obj_t
																																																																						BgL_arg6360z00_7994;
																																																																					BgL_arg6359z00_7993
																																																																						=
																																																																						BGl_parsezd2effectzd2zzeffect_feffectz00
																																																																						(BgL_effectz00_1685);
																																																																					{	/* Ast/sexp.scm 442 */
																																																																						obj_t
																																																																							BgL_arg6361z00_7995;
																																																																						BgL_arg6361z00_7995
																																																																							=
																																																																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																							(BgL_restz00_1686,
																																																																							BNIL);
																																																																						BgL_arg6360z00_7994
																																																																							=
																																																																							MAKE_YOUNG_PAIR
																																																																							(CNST_TABLE_REF
																																																																							(((long) 6)), BgL_arg6361z00_7995);
																																																																					}
																																																																					BgL_auxz00_13574
																																																																						=
																																																																						BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																																						(
																																																																						((bool_t) 0), ((obj_t) BgL_arg6359z00_7993), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg6360z00_7994, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																				}
																																																																				BgL_auxz00_12567
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_13574);
																																																																		}}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_13587;
																																																																				BgL_tagzd2392zd2_1688:
																																																																					BgL_auxz00_13587 = BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 1), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																					BgL_auxz00_12567
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_13587);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_13595;
																																																																						BgL_tagzd2393zd2_1689:
																																																																							{	/* Ast/sexp.scm 448 */
																																																																								bool_t
																																																																									BgL_testz00_13596;
																																																																								if (NULLP(BgL_stackz00_22))
																																																																									{	/* Ast/sexp.scm 448 */
																																																																										BgL_testz00_13596
																																																																											=
																																																																											(BgL_sitez00_24
																																																																											==
																																																																											CNST_TABLE_REF
																																																																											(((long) 2)));
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 448 */
																																																																										BgL_testz00_13596
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																								if (BgL_testz00_13596)
																																																																									{	/* Ast/sexp.scm 448 */
																																																																										{	/* Ast/sexp.scm 452 */
																																																																											BgL_nodez00_bglt
																																																																												BgL_arg6364z00_7998;
																																																																											BgL_arg6364z00_7998
																																																																												=
																																																																												BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																																												(
																																																																												((bool_t) 1), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																											BGl_addzd2staticzd2pragmaz12z12zzast_pragmaz00
																																																																												(BgL_arg6364z00_7998);
																																																																										}
																																																																										BgL_auxz00_13595
																																																																											=
																																																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																											(BUNSPEC,
																																																																											BgL_stackz00_22,
																																																																											BgL_locz00_23,
																																																																											BgL_sitez00_24);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 449 */
																																																																										BgL_nodez00_bglt
																																																																											BgL_res6771z00_8933;
																																																																										{	/* Ast/sexp.scm 692 */
																																																																											obj_t
																																																																												BgL_arg6515z00_8929;
																																																																											BgL_nodez00_bglt
																																																																												BgL_arg6516z00_8930;
																																																																											BgL_arg6515z00_8929
																																																																												=
																																																																												BGl_shapez00zztools_shapez00
																																																																												(BGl_currentzd2functionzd2zztools_errorz00
																																																																												());
																																																																											BgL_arg6516z00_8930
																																																																												=
																																																																												BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																												(CNST_TABLE_REF
																																																																												(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																																											{	/* Ast/sexp.scm 691 */
																																																																												obj_t
																																																																													BgL_list6517z00_8932;
																																																																												BgL_list6517z00_8932
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(
																																																																													((obj_t) BgL_arg6516z00_8930), BNIL);
																																																																												BgL_res6771z00_8933
																																																																													=
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																													(BgL_locz00_23,
																																																																														BgL_arg6515z00_8929,
																																																																														BGl_string7267z00zzast_sexpz00,
																																																																														BgL_expz00_21,
																																																																														BgL_list6517z00_8932));
																																																																										}}
																																																																										BgL_auxz00_13595
																																																																											=
																																																																											BgL_res6771z00_8933;
																																																																							}}
																																																																							BgL_auxz00_12567
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_13595);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_arg2221z00_2497;
																																																																									obj_t
																																																																										BgL_arg2222z00_2498;
																																																																									BgL_arg2221z00_2497
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd23791zd2_2485);
																																																																									BgL_arg2222z00_2498
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd23791zd2_2485);
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_13621;
																																																																										BgL_effectz00_1690
																																																																											=
																																																																											BgL_arg2221z00_2497;
																																																																										BgL_restz00_1691
																																																																											=
																																																																											BgL_arg2222z00_2498;
																																																																									BgL_tagzd2394zd2_1692:
																																																																										{	/* Ast/sexp.scm 457 */
																																																																											BgL_feffectz00_bglt
																																																																												BgL_arg6365z00_8000;
																																																																											obj_t
																																																																												BgL_arg6366z00_8001;
																																																																											BgL_arg6365z00_8000
																																																																												=
																																																																												BGl_parsezd2effectzd2zzeffect_feffectz00
																																																																												(BgL_effectz00_1690);
																																																																											{	/* Ast/sexp.scm 458 */
																																																																												obj_t
																																																																													BgL_arg6367z00_8002;
																																																																												BgL_arg6367z00_8002
																																																																													=
																																																																													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																													(BgL_restz00_1691,
																																																																													BNIL);
																																																																												BgL_arg6366z00_8001
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(CNST_TABLE_REF
																																																																													(((long) 6)), BgL_arg6367z00_8002);
																																																																											}
																																																																											BgL_auxz00_13621
																																																																												=
																																																																												BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																																												(
																																																																												((bool_t) 1), ((obj_t) BgL_arg6365z00_8000), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg6366z00_8001, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																										}
																																																																										BgL_auxz00_12567
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_13621);
																																																																								}}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_13634;
																																																																										BgL_tagzd2395zd2_1693:
																																																																											{
																																																																												obj_t
																																																																													BgL_procz00_8003;
																																																																												obj_t
																																																																													BgL_msgz00_8004;
																																																																												obj_t
																																																																													BgL_objz00_8005;
																																																																												if (PAIRP(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_cdrzd255081zd2_8010;
																																																																														BgL_cdrzd255081zd2_8010
																																																																															=
																																																																															CDR
																																																																															(BgL_expz00_21);
																																																																														if (PAIRP(BgL_cdrzd255081zd2_8010))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_cdrzd255086zd2_8012;
																																																																																BgL_cdrzd255086zd2_8012
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_cdrzd255081zd2_8010);
																																																																																if (PAIRP(BgL_cdrzd255086zd2_8012))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		obj_t
																																																																																			BgL_cdrzd255091zd2_8014;
																																																																																		BgL_cdrzd255091zd2_8014
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd255086zd2_8012);
																																																																																		if (PAIRP(BgL_cdrzd255091zd2_8014))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				if (NULLP(CDR(BgL_cdrzd255091zd2_8014)))
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						obj_t
																																																																																							BgL_arg6374z00_8018;
																																																																																						obj_t
																																																																																							BgL_arg6375z00_8019;
																																																																																						obj_t
																																																																																							BgL_arg6376z00_8020;
																																																																																						BgL_arg6374z00_8018
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_cdrzd255081zd2_8010);
																																																																																						BgL_arg6375z00_8019
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_cdrzd255086zd2_8012);
																																																																																						BgL_arg6376z00_8020
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_cdrzd255091zd2_8014);
																																																																																						{
																																																																																							BgL_failz00_bglt
																																																																																								BgL_auxz00_13652;
																																																																																							BgL_procz00_8003
																																																																																								=
																																																																																								BgL_arg6374z00_8018;
																																																																																							BgL_msgz00_8004
																																																																																								=
																																																																																								BgL_arg6375z00_8019;
																																																																																							BgL_objz00_8005
																																																																																								=
																																																																																								BgL_arg6376z00_8020;
																																																																																							{	/* Ast/sexp.scm 463 */
																																																																																								obj_t
																																																																																									BgL_locz00_8022;
																																																																																								BgL_locz00_8022
																																																																																									=
																																																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																									(BgL_expz00_21,
																																																																																									BgL_locz00_23);
																																																																																								{	/* Ast/sexp.scm 463 */
																																																																																									obj_t
																																																																																										BgL_cdlocz00_8023;
																																																																																									BgL_cdlocz00_8023
																																																																																										=
																																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																										(CDR
																																																																																										(BgL_expz00_21),
																																																																																										BgL_locz00_8022);
																																																																																									{	/* Ast/sexp.scm 464 */
																																																																																										obj_t
																																																																																											BgL_cddlocz00_8024;
																																																																																										BgL_cddlocz00_8024
																																																																																											=
																																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																											(CDR
																																																																																											(CDR
																																																																																												(BgL_expz00_21)),
																																																																																											BgL_locz00_8022);
																																																																																										{	/* Ast/sexp.scm 465 */
																																																																																											obj_t
																																																																																												BgL_cdddlocz00_8025;
																																																																																											BgL_cdddlocz00_8025
																																																																																												=
																																																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																												(CDR
																																																																																												(CDR
																																																																																													(CDR
																																																																																														(BgL_expz00_21))),
																																																																																												BgL_locz00_8022);
																																																																																											{	/* Ast/sexp.scm 466 */
																																																																																												obj_t
																																																																																													BgL_loczd2proczd2_8026;
																																																																																												BgL_loczd2proczd2_8026
																																																																																													=
																																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																													(BgL_procz00_8003,
																																																																																													BgL_cdlocz00_8023);
																																																																																												{	/* Ast/sexp.scm 467 */
																																																																																													obj_t
																																																																																														BgL_loczd2msgzd2_8027;
																																																																																													BgL_loczd2msgzd2_8027
																																																																																														=
																																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																														(BgL_msgz00_8004,
																																																																																														BgL_cddlocz00_8024);
																																																																																													{	/* Ast/sexp.scm 468 */
																																																																																														obj_t
																																																																																															BgL_loczd2objzd2_8028;
																																																																																														BgL_loczd2objzd2_8028
																																																																																															=
																																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																															(BgL_objz00_8005,
																																																																																															BgL_cdddlocz00_8025);
																																																																																														{	/* Ast/sexp.scm 469 */
																																																																																															BgL_nodez00_bglt
																																																																																																BgL_procz00_8029;
																																																																																															BgL_procz00_8029
																																																																																																=
																																																																																																BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																(BgL_procz00_8003,
																																																																																																BgL_stackz00_22,
																																																																																																BgL_loczd2proczd2_8026,
																																																																																																CNST_TABLE_REF
																																																																																																(((long) 2)));
																																																																																															{	/* Ast/sexp.scm 470 */
																																																																																																BgL_nodez00_bglt
																																																																																																	BgL_msgz00_8030;
																																																																																																BgL_msgz00_8030
																																																																																																	=
																																																																																																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																	(BgL_msgz00_8004,
																																																																																																	BgL_stackz00_22,
																																																																																																	BgL_loczd2msgzd2_8027,
																																																																																																	CNST_TABLE_REF
																																																																																																	(((long) 2)));
																																																																																																{	/* Ast/sexp.scm 471 */
																																																																																																	BgL_nodez00_bglt
																																																																																																		BgL_objz00_8031;
																																																																																																	BgL_objz00_8031
																																																																																																		=
																																																																																																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																		(BgL_objz00_8005,
																																																																																																		BgL_stackz00_22,
																																																																																																		BgL_loczd2objzd2_8028,
																																																																																																		CNST_TABLE_REF
																																																																																																		(((long) 2)));
																																																																																																	{	/* Ast/sexp.scm 472 */

																																																																																																		{	/* Ast/sexp.scm 473 */
																																																																																																			BgL_failz00_bglt
																																																																																																				BgL_new1140z00_8032;
																																																																																																			{	/* Ast/sexp.scm 474 */
																																																																																																				BgL_failz00_bglt
																																																																																																					BgL_new1139z00_8033;
																																																																																																				BgL_new1139z00_8033
																																																																																																					=
																																																																																																					(
																																																																																																					(BgL_failz00_bglt)
																																																																																																					BREF
																																																																																																					(GC_MALLOC
																																																																																																						(sizeof
																																																																																																							(struct
																																																																																																								BgL_failz00_bgl))));
																																																																																																				{	/* Ast/sexp.scm 474 */
																																																																																																					long
																																																																																																						BgL_arg6378z00_8034;
																																																																																																					{	/* Ast/sexp.scm 474 */
																																																																																																						long
																																																																																																							BgL_res6772z00_8946;
																																																																																																						BgL_res6772z00_8946
																																																																																																							=
																																																																																																							BGL_CLASS_INDEX
																																																																																																							(BGl_failz00zzast_nodez00);
																																																																																																						BgL_arg6378z00_8034
																																																																																																							=
																																																																																																							BgL_res6772z00_8946;
																																																																																																					}
																																																																																																					BGL_OBJECT_CLASS_NUM_SET
																																																																																																						(
																																																																																																						((BgL_objectz00_bglt) BgL_new1139z00_8033), BgL_arg6378z00_8034);
																																																																																																				}
																																																																																																				{	/* Ast/sexp.scm 474 */
																																																																																																					BgL_objectz00_bglt
																																																																																																						BgL_tmpz00_13676;
																																																																																																					BgL_tmpz00_13676
																																																																																																						=
																																																																																																						(
																																																																																																						(BgL_objectz00_bglt)
																																																																																																						BgL_new1139z00_8033);
																																																																																																					BGL_OBJECT_WIDENING_SET
																																																																																																						(BgL_tmpz00_13676,
																																																																																																						BFALSE);
																																																																																																				}
																																																																																																				BgL_new1140z00_8032
																																																																																																					=
																																																																																																					BgL_new1139z00_8033;
																																																																																																			}
																																																																																																			((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1140z00_8032)))->BgL_locz00) = ((obj_t) BgL_locz00_8022), BUNSPEC);
																																																																																																			((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1140z00_8032)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2magicza2z00zztype_cachez00)), BUNSPEC);
																																																																																																			((((BgL_failz00_bglt) CREF(BgL_new1140z00_8032))->BgL_procz00) = ((BgL_nodez00_bglt) BgL_procz00_8029), BUNSPEC);
																																																																																																			((((BgL_failz00_bglt) CREF(BgL_new1140z00_8032))->BgL_msgz00) = ((BgL_nodez00_bglt) BgL_msgz00_8030), BUNSPEC);
																																																																																																			((((BgL_failz00_bglt) CREF(BgL_new1140z00_8032))->BgL_objz00) = ((BgL_nodez00_bglt) BgL_objz00_8031), BUNSPEC);
																																																																																																			BgL_auxz00_13652
																																																																																																				=
																																																																																																				BgL_new1140z00_8032;
																																																																																							}}}}}}}}}}}}
																																																																																							BgL_auxz00_13634
																																																																																								=
																																																																																								(
																																																																																								(BgL_nodez00_bglt)
																																																																																								BgL_auxz00_13652);
																																																																																					}}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																					BgL_tagzd255072zd2_8007:
																																																																																						{	/* Ast/sexp.scm 481 */
																																																																																							obj_t
																																																																																								BgL_arg6382z00_8038;
																																																																																							BgL_arg6382z00_8038
																																																																																								=
																																																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																								(BgL_expz00_21,
																																																																																								BgL_locz00_23);
																																																																																							{	/* Ast/sexp.scm 480 */
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_res6773z00_8954;
																																																																																								{	/* Ast/sexp.scm 692 */
																																																																																									obj_t
																																																																																										BgL_arg6515z00_8950;
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_arg6516z00_8951;
																																																																																									BgL_arg6515z00_8950
																																																																																										=
																																																																																										BGl_shapez00zztools_shapez00
																																																																																										(BGl_currentzd2functionzd2zztools_errorz00
																																																																																										());
																																																																																									BgL_arg6516z00_8951
																																																																																										=
																																																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																										(CNST_TABLE_REF
																																																																																										(((long) 4)), BNIL, BgL_arg6382z00_8038, CNST_TABLE_REF(((long) 2)));
																																																																																									{	/* Ast/sexp.scm 691 */
																																																																																										obj_t
																																																																																											BgL_list6517z00_8953;
																																																																																										BgL_list6517z00_8953
																																																																																											=
																																																																																											MAKE_YOUNG_PAIR
																																																																																											(
																																																																																											((obj_t) BgL_arg6516z00_8951), BNIL);
																																																																																										BgL_res6773z00_8954
																																																																																											=
																																																																																											(
																																																																																											(BgL_nodez00_bglt)
																																																																																											BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																											(BgL_arg6382z00_8038,
																																																																																												BgL_arg6515z00_8950,
																																																																																												BGl_string7266z00zzast_sexpz00,
																																																																																												BgL_expz00_21,
																																																																																												BgL_list6517z00_8953));
																																																																																								}}
																																																																																								BgL_auxz00_13634
																																																																																									=
																																																																																									BgL_res6773z00_8954;
																																																																																			}}}}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				goto
																																																																																					BgL_tagzd255072zd2_8007;
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd255072zd2_8007;
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd255072zd2_8007;
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd255072zd2_8007;
																																																																													}
																																																																											}
																																																																											BgL_auxz00_12567
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_13634);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_13703;
																																																																												BgL_tagzd2396zd2_1694:
																																																																													{
																																																																														obj_t
																																																																															BgL_testz00_8039;
																																																																														obj_t
																																																																															BgL_clausesz00_8040;
																																																																														if (PAIRP(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_cdrzd255105zd2_8045;
																																																																																BgL_cdrzd255105zd2_8045
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_expz00_21);
																																																																																if (PAIRP(BgL_cdrzd255105zd2_8045))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		BgL_testz00_8039
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd255105zd2_8045);
																																																																																		BgL_clausesz00_8040
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd255105zd2_8045);
																																																																																		{	/* Ast/sexp.scm 492 */
																																																																																			obj_t
																																																																																				BgL_locz00_8049;
																																																																																			BgL_locz00_8049
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			{	/* Ast/sexp.scm 492 */
																																																																																				obj_t
																																																																																					BgL_cdlocz00_8050;
																																																																																				BgL_cdlocz00_8050
																																																																																					=
																																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																					(CDR
																																																																																					(BgL_expz00_21),
																																																																																					BgL_locz00_8049);
																																																																																				{	/* Ast/sexp.scm 493 */
																																																																																					obj_t
																																																																																						BgL_cddlocz00_8051;
																																																																																					BgL_cddlocz00_8051
																																																																																						=
																																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																						(CDR
																																																																																						(BgL_expz00_21),
																																																																																						BgL_locz00_8049);
																																																																																					{	/* Ast/sexp.scm 494 */
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_testz00_8052;
																																																																																						{	/* Ast/sexp.scm 497 */
																																																																																							obj_t
																																																																																								BgL_arg6410z00_8088;
																																																																																							BgL_arg6410z00_8088
																																																																																								=
																																																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																								(BgL_testz00_8039,
																																																																																								BgL_cdlocz00_8050);
																																																																																							BgL_testz00_8052
																																																																																								=
																																																																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																								(BgL_testz00_8039,
																																																																																								BgL_stackz00_22,
																																																																																								BgL_arg6410z00_8088,
																																																																																								CNST_TABLE_REF
																																																																																								(((long) 2)));
																																																																																						}
																																																																																						{	/* Ast/sexp.scm 495 */

																																																																																							{
																																																																																								obj_t
																																																																																									BgL_clsz00_8055;
																																																																																								obj_t
																																																																																									BgL_nclausesz00_8056;
																																																																																								BgL_clsz00_8055
																																																																																									=
																																																																																									BgL_clausesz00_8040;
																																																																																								BgL_nclausesz00_8056
																																																																																									=
																																																																																									BNIL;
																																																																																							BgL_zc3anonymousza36387ze3z83_8057:
																																																																																								if (NULLP(BgL_clsz00_8055))
																																																																																									{	/* Ast/sexp.scm 502 */
																																																																																										BgL_selectz00_bglt
																																																																																											BgL_new1145z00_8059;
																																																																																										{	/* Ast/sexp.scm 503 */
																																																																																											BgL_selectz00_bglt
																																																																																												BgL_new1144z00_8063;
																																																																																											BgL_new1144z00_8063
																																																																																												=
																																																																																												(
																																																																																												(BgL_selectz00_bglt)
																																																																																												BREF
																																																																																												(GC_MALLOC
																																																																																													(sizeof
																																																																																														(struct
																																																																																															BgL_selectz00_bgl))));
																																																																																											{	/* Ast/sexp.scm 503 */
																																																																																												long
																																																																																													BgL_arg6392z00_8064;
																																																																																												{	/* Ast/sexp.scm 503 */
																																																																																													long
																																																																																														BgL_res6780z00_8971;
																																																																																													BgL_res6780z00_8971
																																																																																														=
																																																																																														BGL_CLASS_INDEX
																																																																																														(BGl_selectz00zzast_nodez00);
																																																																																													BgL_arg6392z00_8064
																																																																																														=
																																																																																														BgL_res6780z00_8971;
																																																																																												}
																																																																																												BGL_OBJECT_CLASS_NUM_SET
																																																																																													(
																																																																																													((BgL_objectz00_bglt) BgL_new1144z00_8063), BgL_arg6392z00_8064);
																																																																																											}
																																																																																											{	/* Ast/sexp.scm 503 */
																																																																																												BgL_objectz00_bglt
																																																																																													BgL_tmpz00_13723;
																																																																																												BgL_tmpz00_13723
																																																																																													=
																																																																																													(
																																																																																													(BgL_objectz00_bglt)
																																																																																													BgL_new1144z00_8063);
																																																																																												BGL_OBJECT_WIDENING_SET
																																																																																													(BgL_tmpz00_13723,
																																																																																													BFALSE);
																																																																																											}
																																																																																											BgL_new1145z00_8059
																																																																																												=
																																																																																												BgL_new1144z00_8063;
																																																																																										}
																																																																																										((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1145z00_8059)))->BgL_locz00) = ((obj_t) BgL_locz00_8049), BUNSPEC);
																																																																																										((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1145z00_8059)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																																										((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1145z00_8059)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																																										((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1145z00_8059)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																																																																																										((((BgL_selectz00_bglt) CREF(BgL_new1145z00_8059))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_testz00_8052), BUNSPEC);
																																																																																										((((BgL_selectz00_bglt) CREF(BgL_new1145z00_8059))->BgL_clausesz00) = ((obj_t) bgl_reverse_bang(BgL_nclausesz00_8056)), BUNSPEC);
																																																																																										{
																																																																																											BgL_typez00_bglt
																																																																																												BgL_auxz00_13739;
																																																																																											{	/* Ast/sexp.scm 506 */
																																																																																												obj_t
																																																																																													BgL_arg6389z00_8060;
																																																																																												{	/* Ast/sexp.scm 506 */
																																																																																													obj_t
																																																																																														BgL_pairz00_8976;
																																																																																													{	/* Ast/sexp.scm 506 */
																																																																																														obj_t
																																																																																															BgL_pairz00_8975;
																																																																																														BgL_pairz00_8975
																																																																																															=
																																																																																															CAR
																																																																																															(BgL_clausesz00_8040);
																																																																																														BgL_pairz00_8976
																																																																																															=
																																																																																															CAR
																																																																																															(BgL_pairz00_8975);
																																																																																													}
																																																																																													BgL_arg6389z00_8060
																																																																																														=
																																																																																														CAR
																																																																																														(BgL_pairz00_8976);
																																																																																												}
																																																																																												BgL_auxz00_13739
																																																																																													=
																																																																																													BGl_getzd2typezd2atomz00zztype_typeofz00
																																																																																													(BgL_arg6389z00_8060);
																																																																																											}
																																																																																											((((BgL_selectz00_bglt) CREF(BgL_new1145z00_8059))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt) BgL_auxz00_13739), BUNSPEC);
																																																																																										}
																																																																																										BgL_auxz00_13703
																																																																																											=
																																																																																											(
																																																																																											(BgL_nodez00_bglt)
																																																																																											BgL_new1145z00_8059);
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 508 */
																																																																																										obj_t
																																																																																											BgL_clausez00_8065;
																																																																																										BgL_clausez00_8065
																																																																																											=
																																																																																											CAR
																																																																																											(BgL_clsz00_8055);
																																																																																										{	/* Ast/sexp.scm 508 */
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_bodyz00_8066;
																																																																																											{	/* Ast/sexp.scm 509 */
																																																																																												obj_t
																																																																																													BgL_arg6407z00_8084;
																																																																																												obj_t
																																																																																													BgL_arg6408z00_8085;
																																																																																												BgL_arg6407z00_8084
																																																																																													=
																																																																																													BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																																													(CDR
																																																																																													(BgL_clausez00_8065));
																																																																																												BgL_arg6408z00_8085
																																																																																													=
																																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																													(BgL_clausez00_8065,
																																																																																													BgL_cddlocz00_8051);
																																																																																												BgL_bodyz00_8066
																																																																																													=
																																																																																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																													(BgL_arg6407z00_8084,
																																																																																													BgL_stackz00_22,
																																																																																													BgL_arg6408z00_8085,
																																																																																													CNST_TABLE_REF
																																																																																													(((long) 2)));
																																																																																											}
																																																																																											{	/* Ast/sexp.scm 509 */
																																																																																												obj_t
																																																																																													BgL_nclausez00_8067;
																																																																																												{	/* Ast/sexp.scm 513 */
																																																																																													obj_t
																																																																																														BgL_arg6406z00_8083;
																																																																																													BgL_arg6406z00_8083
																																																																																														=
																																																																																														CAR
																																																																																														(BgL_clausez00_8065);
																																																																																													BgL_nclausez00_8067
																																																																																														=
																																																																																														MAKE_YOUNG_PAIR
																																																																																														(BgL_arg6406z00_8083,
																																																																																														((obj_t) BgL_bodyz00_8066));
																																																																																												}
																																																																																												{	/* Ast/sexp.scm 513 */

																																																																																													{	/* Ast/sexp.scm 515 */
																																																																																														bool_t
																																																																																															BgL_testz00_13755;
																																																																																														if ((CAR(BgL_clausez00_8065) == CNST_TABLE_REF(((long) 5))))
																																																																																															{	/* Ast/sexp.scm 515 */
																																																																																																if (NULLP(CDR(BgL_clsz00_8055)))
																																																																																																	{	/* Ast/sexp.scm 516 */
																																																																																																		BgL_testz00_13755
																																																																																																			=
																																																																																																			(
																																																																																																			(bool_t)
																																																																																																			0);
																																																																																																	}
																																																																																																else
																																																																																																	{	/* Ast/sexp.scm 516 */
																																																																																																		BgL_testz00_13755
																																																																																																			=
																																																																																																			(
																																																																																																			(bool_t)
																																																																																																			1);
																																																																																																	}
																																																																																															}
																																																																																														else
																																																																																															{	/* Ast/sexp.scm 515 */
																																																																																																BgL_testz00_13755
																																																																																																	=
																																																																																																	(
																																																																																																	(bool_t)
																																																																																																	0);
																																																																																															}
																																																																																														if (BgL_testz00_13755)
																																																																																															{	/* Ast/sexp.scm 518 */
																																																																																																obj_t
																																																																																																	BgL_arg6400z00_8075;
																																																																																																BgL_arg6400z00_8075
																																																																																																	=
																																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																																	(BgL_expz00_21,
																																																																																																	BgL_locz00_8049);
																																																																																																{	/* Ast/sexp.scm 517 */
																																																																																																	BgL_nodez00_bglt
																																																																																																		BgL_res6782z00_8988;
																																																																																																	{	/* Ast/sexp.scm 692 */
																																																																																																		obj_t
																																																																																																			BgL_arg6515z00_8984;
																																																																																																		BgL_nodez00_bglt
																																																																																																			BgL_arg6516z00_8985;
																																																																																																		BgL_arg6515z00_8984
																																																																																																			=
																																																																																																			BGl_shapez00zztools_shapez00
																																																																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																																																																			());
																																																																																																		BgL_arg6516z00_8985
																																																																																																			=
																																																																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																			(CNST_TABLE_REF
																																																																																																			(((long) 4)), BNIL, BgL_arg6400z00_8075, CNST_TABLE_REF(((long) 2)));
																																																																																																		{	/* Ast/sexp.scm 691 */
																																																																																																			obj_t
																																																																																																				BgL_list6517z00_8987;
																																																																																																			BgL_list6517z00_8987
																																																																																																				=
																																																																																																				MAKE_YOUNG_PAIR
																																																																																																				(
																																																																																																				((obj_t) BgL_arg6516z00_8985), BNIL);
																																																																																																			BgL_res6782z00_8988
																																																																																																				=
																																																																																																				(
																																																																																																				(BgL_nodez00_bglt)
																																																																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																																				(BgL_arg6400z00_8075,
																																																																																																					BgL_arg6515z00_8984,
																																																																																																					BGl_string7265z00zzast_sexpz00,
																																																																																																					BgL_expz00_21,
																																																																																																					BgL_list6517z00_8987));
																																																																																																	}}
																																																																																																	BgL_auxz00_13703
																																																																																																		=
																																																																																																		BgL_res6782z00_8988;
																																																																																															}}
																																																																																														else
																																																																																															{	/* Ast/sexp.scm 519 */
																																																																																																obj_t
																																																																																																	BgL_arg6401z00_8076;
																																																																																																obj_t
																																																																																																	BgL_arg6402z00_8077;
																																																																																																BgL_arg6401z00_8076
																																																																																																	=
																																																																																																	CDR
																																																																																																	(BgL_clsz00_8055);
																																																																																																BgL_arg6402z00_8077
																																																																																																	=
																																																																																																	MAKE_YOUNG_PAIR
																																																																																																	(BGl_epairifyz00zztools_miscz00
																																																																																																	(BgL_nclausez00_8067,
																																																																																																		BgL_clausez00_8065),
																																																																																																	BgL_nclausesz00_8056);
																																																																																																{
																																																																																																	obj_t
																																																																																																		BgL_nclausesz00_13777;
																																																																																																	obj_t
																																																																																																		BgL_clsz00_13776;
																																																																																																	BgL_clsz00_13776
																																																																																																		=
																																																																																																		BgL_arg6401z00_8076;
																																																																																																	BgL_nclausesz00_13777
																																																																																																		=
																																																																																																		BgL_arg6402z00_8077;
																																																																																																	BgL_nclausesz00_8056
																																																																																																		=
																																																																																																		BgL_nclausesz00_13777;
																																																																																																	BgL_clsz00_8055
																																																																																																		=
																																																																																																		BgL_clsz00_13776;
																																																																																																	goto
																																																																																																		BgL_zc3anonymousza36387ze3z83_8057;
																																																																																																}
																																																																																															}
																																																																																													}
																																																																																												}
																																																																																											}
																																																																																										}
																																																																																									}
																																																																																							}
																																																																																						}
																																																																																					}
																																																																																				}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																	BgL_tagzd255098zd2_8042:
																																																																																		{	/* Ast/sexp.scm 524 */
																																																																																			obj_t
																																																																																				BgL_arg6413z00_8091;
																																																																																			BgL_arg6413z00_8091
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			{	/* Ast/sexp.scm 523 */
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_res6783z00_8995;
																																																																																				{	/* Ast/sexp.scm 692 */
																																																																																					obj_t
																																																																																						BgL_arg6515z00_8991;
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_arg6516z00_8992;
																																																																																					BgL_arg6515z00_8991
																																																																																						=
																																																																																						BGl_shapez00zztools_shapez00
																																																																																						(BGl_currentzd2functionzd2zztools_errorz00
																																																																																						());
																																																																																					BgL_arg6516z00_8992
																																																																																						=
																																																																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																						(CNST_TABLE_REF
																																																																																						(((long) 4)), BNIL, BgL_arg6413z00_8091, CNST_TABLE_REF(((long) 2)));
																																																																																					{	/* Ast/sexp.scm 691 */
																																																																																						obj_t
																																																																																							BgL_list6517z00_8994;
																																																																																						BgL_list6517z00_8994
																																																																																							=
																																																																																							MAKE_YOUNG_PAIR
																																																																																							(
																																																																																							((obj_t) BgL_arg6516z00_8992), BNIL);
																																																																																						BgL_res6783z00_8995
																																																																																							=
																																																																																							(
																																																																																							(BgL_nodez00_bglt)
																																																																																							BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																							(BgL_arg6413z00_8091,
																																																																																								BgL_arg6515z00_8991,
																																																																																								BGl_string7265z00zzast_sexpz00,
																																																																																								BgL_expz00_21,
																																																																																								BgL_list6517z00_8994));
																																																																																				}}
																																																																																				BgL_auxz00_13703
																																																																																					=
																																																																																					BgL_res6783z00_8995;
																																																																															}}}}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd255098zd2_8042;
																																																																															}
																																																																													}
																																																																													BgL_auxz00_12567
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_13703);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																																														{
																																																																															BgL_letzd2funzd2_bglt
																																																																																BgL_auxz00_13795;
																																																																														BgL_tagzd2397zd2_1695:
																																																																															BgL_auxz00_13795 = BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																															BgL_auxz00_12567
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_13795);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																																																{
																																																																																	BgL_jumpzd2exzd2itz00_bglt
																																																																																		BgL_auxz00_13802;
																																																																																BgL_tagzd2398zd2_1696:
																																																																																	BgL_auxz00_13802 = BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																	BgL_auxz00_12567
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_13802);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_cdrzd23868zd2_2507;
																																																																																	BgL_cdrzd23868zd2_2507
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_expz00_21);
																																																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			obj_t
																																																																																				BgL_arg2235z00_2510;
																																																																																			obj_t
																																																																																				BgL_arg2236z00_2511;
																																																																																			BgL_arg2235z00_2510
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd23868zd2_2507);
																																																																																			BgL_arg2236z00_2511
																																																																																				=
																																																																																				CDR
																																																																																				(BgL_cdrzd23868zd2_2507);
																																																																																			{	/* Ast/sexp.scm 538 */
																																																																																				obj_t
																																																																																					BgL_arg6415z00_9192;
																																																																																				BgL_arg6415z00_9192
																																																																																					=
																																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																					(BgL_expz00_21,
																																																																																					BgL_locz00_23);
																																																																																				BgL_auxz00_12567
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																					(BgL_expz00_21,
																																																																																						BgL_arg2235z00_2510,
																																																																																						CNST_TABLE_REF
																																																																																						(((long) 4)), BgL_arg2236z00_2511, BgL_stackz00_22, BgL_arg6415z00_9192, BgL_sitez00_24));
																																																																																		}}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1706;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_13818;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1707;
																																																																																					BgL_auxz00_12567
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_13818);
																																																																																				}
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 117 */
																																					obj_t
																																						BgL_carzd23891zd2_2528;
																																					BgL_carzd23891zd2_2528
																																						=
																																						CAR
																																						(BgL_expz00_21);
																																					if (
																																						(BgL_carzd23891zd2_2528
																																							==
																																							CNST_TABLE_REF
																																							(((long) 1))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_13824;
																																							goto
																																								BgL_tagzd2377zd2_1653;
																																							BgL_auxz00_12567
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_13824);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 117 */
																																							if ((BgL_carzd23891zd2_2528 == BGl_za2ifza2z00zzast_sexpz00))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_13828;
																																									goto
																																										BgL_tagzd2377zd2_1653;
																																									BgL_auxz00_12567
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_13828);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 117 */
																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 7))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_13834;
																																											goto
																																												BgL_tagzd2379zd2_1657;
																																											BgL_auxz00_12567
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_13834);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 117 */
																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 17))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_13840;
																																													goto
																																														BgL_tagzd2380zd2_1658;
																																													BgL_auxz00_12567
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_13840);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 117 */
																																													obj_t
																																														BgL_carzd23952zd2_2535;
																																													BgL_carzd23952zd2_2535
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													if (PAIRP(BgL_carzd23952zd2_2535))
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_carzd23955zd2_2537;
																																															obj_t
																																																BgL_cdrzd23956zd2_2538;
																																															BgL_carzd23955zd2_2537
																																																=
																																																CAR
																																																(BgL_carzd23952zd2_2535);
																																															BgL_cdrzd23956zd2_2538
																																																=
																																																CDR
																																																(BgL_carzd23952zd2_2535);
																																															{

																																																if ((BgL_carzd23955zd2_2537 == CNST_TABLE_REF(((long) 18))))
																																																	{	/* Ast/sexp.scm 117 */
																																																	BgL_kapzd23957zd2_2539:
																																																		if (PAIRP(BgL_cdrzd23956zd2_2538))
																																																			{	/* Ast/sexp.scm 117 */
																																																				obj_t
																																																					BgL_cdrzd23960zd2_2661;
																																																				BgL_cdrzd23960zd2_2661
																																																					=
																																																					CDR
																																																					(BgL_cdrzd23956zd2_2538);
																																																				if (PAIRP(BgL_cdrzd23960zd2_2661))
																																																					{	/* Ast/sexp.scm 117 */
																																																						if (NULLP(CDR(BgL_cdrzd23960zd2_2661)))
																																																							{	/* Ast/sexp.scm 117 */
																																																								obj_t
																																																									BgL_arg2345z00_2665;
																																																								obj_t
																																																									BgL_arg2346z00_2666;
																																																								BgL_arg2345z00_2665
																																																									=
																																																									CAR
																																																									(BgL_cdrzd23960zd2_2661);
																																																								BgL_arg2346z00_2666
																																																									=
																																																									CDR
																																																									(BgL_expz00_21);
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_13860;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_13862;
																																																										obj_t
																																																											BgL_bodyz00_13861;
																																																										BgL_bodyz00_13861
																																																											=
																																																											BgL_arg2345z00_2665;
																																																										BgL_argsz00_13862
																																																											=
																																																											BgL_arg2346z00_2666;
																																																										BgL_argsz00_1660
																																																											=
																																																											BgL_argsz00_13862;
																																																										BgL_bodyz00_1659
																																																											=
																																																											BgL_bodyz00_13861;
																																																										goto
																																																											BgL_tagzd2381zd2_1661;
																																																									}
																																																									BgL_auxz00_12567
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_13860);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								bool_t
																																																									BgL_testz00_13864;
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_arg2422z00_2775;
																																																									BgL_arg2422z00_2775
																																																										=
																																																										CAR
																																																										(BgL_expz00_21);
																																																									BgL_testz00_13864
																																																										=
																																																										CBOOL
																																																										(BGl_letzd2symzf3z21zzast_letz00
																																																										(BgL_arg2422z00_2775));
																																																								}
																																																								if (BgL_testz00_13864)
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_13868;
																																																										goto
																																																											BgL_tagzd2382zd2_1662;
																																																										BgL_auxz00_12567
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_13868);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 117 */
																																																										bool_t
																																																											BgL_testz00_13870;
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_arg2420z00_2774;
																																																											BgL_arg2420z00_2774
																																																												=
																																																												CAR
																																																												(BgL_expz00_21);
																																																											BgL_testz00_13870
																																																												=
																																																												CBOOL
																																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																																												(BgL_arg2420z00_2774));
																																																										}
																																																										if (BgL_testz00_13870)
																																																											{
																																																												BgL_letzd2funzd2_bglt
																																																													BgL_auxz00_13874;
																																																												goto
																																																													BgL_tagzd2384zd2_1664;
																																																												BgL_auxz00_12567
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_13874);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 117 */
																																																												obj_t
																																																													BgL_carzd24038zd2_2671;
																																																												BgL_carzd24038zd2_2671
																																																													=
																																																													CAR
																																																													(BgL_expz00_21);
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd24043zd2_2672;
																																																													BgL_cdrzd24043zd2_2672
																																																														=
																																																														CDR
																																																														(BgL_carzd24038zd2_2671);
																																																													if ((CAR(BgL_carzd24038zd2_2671) == CNST_TABLE_REF(((long) 3))))
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_arg2354z00_2675;
																																																															obj_t
																																																																BgL_arg2356z00_2676;
																																																															obj_t
																																																																BgL_arg2357z00_2677;
																																																															BgL_arg2354z00_2675
																																																																=
																																																																CAR
																																																																(BgL_cdrzd24043zd2_2672);
																																																															BgL_arg2356z00_2676
																																																																=
																																																																CDR
																																																																(BgL_cdrzd24043zd2_2672);
																																																															BgL_arg2357z00_2677
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_13885;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_13888;
																																																																	obj_t
																																																																		BgL_bodyz00_13887;
																																																																	obj_t
																																																																		BgL_varsz00_13886;
																																																																	BgL_varsz00_13886
																																																																		=
																																																																		BgL_arg2354z00_2675;
																																																																	BgL_bodyz00_13887
																																																																		=
																																																																		BgL_arg2356z00_2676;
																																																																	BgL_argsz00_13888
																																																																		=
																																																																		BgL_arg2357z00_2677;
																																																																	BgL_argsz00_1671
																																																																		=
																																																																		BgL_argsz00_13888;
																																																																	BgL_bodyz00_1670
																																																																		=
																																																																		BgL_bodyz00_13887;
																																																																	BgL_varsz00_1669
																																																																		=
																																																																		BgL_varsz00_13886;
																																																																	goto
																																																																		BgL_tagzd2386zd2_1672;
																																																																}
																																																																BgL_auxz00_12567
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_13885);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd24066zd2_2679;
																																																															BgL_cdrzd24066zd2_2679
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_cdrzd24072zd2_2680;
																																																																BgL_cdrzd24072zd2_2680
																																																																	=
																																																																	CDR
																																																																	(BgL_carzd24038zd2_2671);
																																																																if ((CAR(BgL_carzd24038zd2_2671) == CNST_TABLE_REF(((long) 1))))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_cdrzd24078zd2_2683;
																																																																		BgL_cdrzd24078zd2_2683
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd24072zd2_2680);
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_carzd24083zd2_2684;
																																																																			obj_t
																																																																				BgL_cdrzd24084zd2_2685;
																																																																			BgL_carzd24083zd2_2684
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd24078zd2_2683);
																																																																			BgL_cdrzd24084zd2_2685
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd24078zd2_2683);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24083zd2_2684))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if (PAIRP(BgL_cdrzd24084zd2_2685))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_carzd24091zd2_2688;
																																																																							BgL_carzd24091zd2_2688
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd24084zd2_2685);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24091zd2_2688))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (NULLP(CDR(BgL_cdrzd24084zd2_2685)))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											bool_t
																																																																												BgL_testz00_13909;
																																																																											{
																																																																												obj_t
																																																																													BgL_l1367z00_2721;
																																																																												BgL_l1367z00_2721
																																																																													=
																																																																													BgL_cdrzd24066zd2_2679;
																																																																											BgL_zc3anonymousza32382ze3z83_2722:
																																																																												if (NULLP(BgL_l1367z00_2721))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														BgL_testz00_13909
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														bool_t
																																																																															BgL_testz00_13912;
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															bool_t
																																																																																BgL_testz00_13913;
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_tmpz00_13914;
																																																																																BgL_tmpz00_13914
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_l1367z00_2721);
																																																																																BgL_testz00_13913
																																																																																	=
																																																																																	PAIRP
																																																																																	(BgL_tmpz00_13914);
																																																																															}
																																																																															if (BgL_testz00_13913)
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	BgL_testz00_13912
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	BgL_testz00_13912
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		1);
																																																																																}
																																																																														}
																																																																														if (BgL_testz00_13912)
																																																																															{
																																																																																obj_t
																																																																																	BgL_l1367z00_13917;
																																																																																BgL_l1367z00_13917
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_l1367z00_2721);
																																																																																BgL_l1367z00_2721
																																																																																	=
																																																																																	BgL_l1367z00_13917;
																																																																																goto
																																																																																	BgL_zc3anonymousza32382ze3z83_2722;
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																BgL_testz00_13909
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																													}
																																																																											}
																																																																											if (BgL_testz00_13909)
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_arg2371z00_2704;
																																																																													BgL_arg2371z00_2704
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd24072zd2_2680);
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_13920;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_13924;
																																																																															obj_t
																																																																																BgL_proc2z00_13923;
																																																																															obj_t
																																																																																BgL_proc1z00_13922;
																																																																															obj_t
																																																																																BgL_testz00_13921;
																																																																															BgL_testz00_13921
																																																																																=
																																																																																BgL_arg2371z00_2704;
																																																																															BgL_proc1z00_13922
																																																																																=
																																																																																BgL_carzd24083zd2_2684;
																																																																															BgL_proc2z00_13923
																																																																																=
																																																																																BgL_carzd24091zd2_2688;
																																																																															BgL_argsz00_13924
																																																																																=
																																																																																BgL_cdrzd24066zd2_2679;
																																																																															BgL_argsz00_1676
																																																																																=
																																																																																BgL_argsz00_13924;
																																																																															BgL_proc2z00_1675
																																																																																=
																																																																																BgL_proc2z00_13923;
																																																																															BgL_proc1z00_1674
																																																																																=
																																																																																BgL_proc1z00_13922;
																																																																															BgL_testz00_1673
																																																																																=
																																																																																BgL_testz00_13921;
																																																																															goto
																																																																																BgL_tagzd2387zd2_1677;
																																																																														}
																																																																														BgL_auxz00_12567
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_13920);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_cdrzd24115zd2_2705;
																																																																													BgL_cdrzd24115zd2_2705
																																																																														=
																																																																														CDR
																																																																														(BgL_expz00_21);
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_cdrzd24122zd2_2706;
																																																																														BgL_cdrzd24122zd2_2706
																																																																															=
																																																																															CDR
																																																																															(CAR
																																																																															(BgL_expz00_21));
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_cdrzd24129zd2_2707;
																																																																															BgL_cdrzd24129zd2_2707
																																																																																=
																																																																																CDR
																																																																																(BgL_cdrzd24122zd2_2706);
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_carzd24135zd2_2708;
																																																																																BgL_carzd24135zd2_2708
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd24129zd2_2707);
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24135zd2_2708))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		obj_t
																																																																																			BgL_carzd24142zd2_2710;
																																																																																		BgL_carzd24142zd2_2710
																																																																																			=
																																																																																			CAR
																																																																																			(CDR
																																																																																			(BgL_cdrzd24129zd2_2707));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24142zd2_2710))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd24115zd2_2705))
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						obj_t
																																																																																							BgL_arg2375z00_2713;
																																																																																						BgL_arg2375z00_2713
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_cdrzd24122zd2_2706);
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_13940;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_13944;
																																																																																								obj_t
																																																																																									BgL_proc2z00_13943;
																																																																																								obj_t
																																																																																									BgL_proc1z00_13942;
																																																																																								obj_t
																																																																																									BgL_testz00_13941;
																																																																																								BgL_testz00_13941
																																																																																									=
																																																																																									BgL_arg2375z00_2713;
																																																																																								BgL_proc1z00_13942
																																																																																									=
																																																																																									BgL_carzd24135zd2_2708;
																																																																																								BgL_proc2z00_13943
																																																																																									=
																																																																																									BgL_carzd24142zd2_2710;
																																																																																								BgL_argsz00_13944
																																																																																									=
																																																																																									BgL_cdrzd24115zd2_2705;
																																																																																								BgL_argsz00_1681
																																																																																									=
																																																																																									BgL_argsz00_13944;
																																																																																								BgL_proc2z00_1680
																																																																																									=
																																																																																									BgL_proc2z00_13943;
																																																																																								BgL_proc1z00_1679
																																																																																									=
																																																																																									BgL_proc1z00_13942;
																																																																																								BgL_testz00_1678
																																																																																									=
																																																																																									BgL_testz00_13941;
																																																																																								goto
																																																																																									BgL_tagzd2388zd2_1682;
																																																																																							}
																																																																																							BgL_auxz00_12567
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_13940);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 117 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1706;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_13948;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1707;
																																																																																								BgL_auxz00_12567
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_13948);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1706;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_13952;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1707;
																																																																																						BgL_auxz00_12567
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_13952);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1706;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_13956;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1707;
																																																																																				BgL_auxz00_12567
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_13956);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1706;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_13960;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1707;
																																																																													BgL_auxz00_12567
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_13960);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd24418zd2_2732;
																																																																									BgL_cdrzd24418zd2_2732
																																																																										=
																																																																										CDR
																																																																										(BgL_expz00_21);
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_cdrzd24424zd2_2733;
																																																																										BgL_cdrzd24424zd2_2733
																																																																											=
																																																																											CDR
																																																																											(CAR
																																																																											(BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_cdrzd24430zd2_2734;
																																																																											BgL_cdrzd24430zd2_2734
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd24424zd2_2733);
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_carzd24435zd2_2735;
																																																																												obj_t
																																																																													BgL_cdrzd24436zd2_2736;
																																																																												BgL_carzd24435zd2_2735
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd24430zd2_2734);
																																																																												BgL_cdrzd24436zd2_2736
																																																																													=
																																																																													CDR
																																																																													(BgL_cdrzd24430zd2_2734);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24435zd2_2735))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_carzd24441zd2_2738;
																																																																														BgL_carzd24441zd2_2738
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd24436zd2_2736);
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24441zd2_2738))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (NULLP(CDR(BgL_cdrzd24436zd2_2736)))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd24418zd2_2732))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				obj_t
																																																																																					BgL_arg2392z00_2743;
																																																																																				BgL_arg2392z00_2743
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_cdrzd24424zd2_2733);
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_13979;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_13983;
																																																																																						obj_t
																																																																																							BgL_proc2z00_13982;
																																																																																						obj_t
																																																																																							BgL_proc1z00_13981;
																																																																																						obj_t
																																																																																							BgL_testz00_13980;
																																																																																						BgL_testz00_13980
																																																																																							=
																																																																																							BgL_arg2392z00_2743;
																																																																																						BgL_proc1z00_13981
																																																																																							=
																																																																																							BgL_carzd24435zd2_2735;
																																																																																						BgL_proc2z00_13982
																																																																																							=
																																																																																							BgL_carzd24441zd2_2738;
																																																																																						BgL_argsz00_13983
																																																																																							=
																																																																																							BgL_cdrzd24418zd2_2732;
																																																																																						BgL_argsz00_1681
																																																																																							=
																																																																																							BgL_argsz00_13983;
																																																																																						BgL_proc2z00_1680
																																																																																							=
																																																																																							BgL_proc2z00_13982;
																																																																																						BgL_proc1z00_1679
																																																																																							=
																																																																																							BgL_proc1z00_13981;
																																																																																						BgL_testz00_1678
																																																																																							=
																																																																																							BgL_testz00_13980;
																																																																																						goto
																																																																																							BgL_tagzd2388zd2_1682;
																																																																																					}
																																																																																					BgL_auxz00_12567
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_13979);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1706;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_13987;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1707;
																																																																																						BgL_auxz00_12567
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_13987);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1706;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_13991;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1707;
																																																																																				BgL_auxz00_12567
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_13991);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_13995;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_12567
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_13995);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_13999;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_12567
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_13999);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1706;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_14003;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1707;
																																																																									BgL_auxz00_12567
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_14003);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd24774zd2_2751;
																																																																					BgL_cdrzd24774zd2_2751
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_21);
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_cdrzd24781zd2_2752;
																																																																						BgL_cdrzd24781zd2_2752
																																																																							=
																																																																							CDR
																																																																							(CAR
																																																																							(BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd24788zd2_2753;
																																																																							BgL_cdrzd24788zd2_2753
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd24781zd2_2752);
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_carzd24794zd2_2754;
																																																																								obj_t
																																																																									BgL_cdrzd24795zd2_2755;
																																																																								BgL_carzd24794zd2_2754
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd24788zd2_2753);
																																																																								BgL_cdrzd24795zd2_2755
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd24788zd2_2753);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24794zd2_2754))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (PAIRP(BgL_cdrzd24795zd2_2755))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_carzd24802zd2_2758;
																																																																												BgL_carzd24802zd2_2758
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd24795zd2_2755);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24802zd2_2758))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (NULLP(CDR(BgL_cdrzd24795zd2_2755)))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd24774zd2_2751))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		obj_t
																																																																																			BgL_arg2406z00_2763;
																																																																																		BgL_arg2406z00_2763
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd24781zd2_2752);
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_14024;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_14028;
																																																																																				obj_t
																																																																																					BgL_proc2z00_14027;
																																																																																				obj_t
																																																																																					BgL_proc1z00_14026;
																																																																																				obj_t
																																																																																					BgL_testz00_14025;
																																																																																				BgL_testz00_14025
																																																																																					=
																																																																																					BgL_arg2406z00_2763;
																																																																																				BgL_proc1z00_14026
																																																																																					=
																																																																																					BgL_carzd24794zd2_2754;
																																																																																				BgL_proc2z00_14027
																																																																																					=
																																																																																					BgL_carzd24802zd2_2758;
																																																																																				BgL_argsz00_14028
																																																																																					=
																																																																																					BgL_cdrzd24774zd2_2751;
																																																																																				BgL_argsz00_1681
																																																																																					=
																																																																																					BgL_argsz00_14028;
																																																																																				BgL_proc2z00_1680
																																																																																					=
																																																																																					BgL_proc2z00_14027;
																																																																																				BgL_proc1z00_1679
																																																																																					=
																																																																																					BgL_proc1z00_14026;
																																																																																				BgL_testz00_1678
																																																																																					=
																																																																																					BgL_testz00_14025;
																																																																																				goto
																																																																																					BgL_tagzd2388zd2_1682;
																																																																																			}
																																																																																			BgL_auxz00_12567
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_14024);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1706;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_14032;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1707;
																																																																																				BgL_auxz00_12567
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_14032);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_14036;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_12567
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_14036);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_14040;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_12567
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_14040);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_14044;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_12567
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_14044);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_14048;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_12567
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_14048);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1706;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_14052;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1707;
																																																																				BgL_auxz00_12567
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_14052);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																											}
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						bool_t
																																																							BgL_testz00_14054;
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_arg2438z00_2791;
																																																							BgL_arg2438z00_2791
																																																								=
																																																								CAR
																																																								(BgL_expz00_21);
																																																							BgL_testz00_14054
																																																								=
																																																								CBOOL
																																																								(BGl_letzd2symzf3z21zzast_letz00
																																																								(BgL_arg2438z00_2791));
																																																						}
																																																						if (BgL_testz00_14054)
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_14058;
																																																								goto
																																																									BgL_tagzd2382zd2_1662;
																																																								BgL_auxz00_12567
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_14058);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								bool_t
																																																									BgL_testz00_14060;
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_arg2436z00_2790;
																																																									BgL_arg2436z00_2790
																																																										=
																																																										CAR
																																																										(BgL_expz00_21);
																																																									BgL_testz00_14060
																																																										=
																																																										CBOOL
																																																										(BGl_labelszd2symzf3z21zzast_labelsz00
																																																										(BgL_arg2436z00_2790));
																																																								}
																																																								if (BgL_testz00_14060)
																																																									{
																																																										BgL_letzd2funzd2_bglt
																																																											BgL_auxz00_14064;
																																																										goto
																																																											BgL_tagzd2384zd2_1664;
																																																										BgL_auxz00_12567
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_14064);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 117 */
																																																										obj_t
																																																											BgL_carzd25248zd2_2781;
																																																										BgL_carzd25248zd2_2781
																																																											=
																																																											CAR
																																																											(BgL_expz00_21);
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd25253zd2_2782;
																																																											BgL_cdrzd25253zd2_2782
																																																												=
																																																												CDR
																																																												(BgL_carzd25248zd2_2781);
																																																											if ((CAR(BgL_carzd25248zd2_2781) == CNST_TABLE_REF(((long) 3))))
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_arg2431z00_2785;
																																																													obj_t
																																																														BgL_arg2432z00_2786;
																																																													obj_t
																																																														BgL_arg2433z00_2787;
																																																													BgL_arg2431z00_2785
																																																														=
																																																														CAR
																																																														(BgL_cdrzd25253zd2_2782);
																																																													BgL_arg2432z00_2786
																																																														=
																																																														CDR
																																																														(BgL_cdrzd25253zd2_2782);
																																																													BgL_arg2433z00_2787
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_14075;
																																																														{
																																																															obj_t
																																																																BgL_argsz00_14078;
																																																															obj_t
																																																																BgL_bodyz00_14077;
																																																															obj_t
																																																																BgL_varsz00_14076;
																																																															BgL_varsz00_14076
																																																																=
																																																																BgL_arg2431z00_2785;
																																																															BgL_bodyz00_14077
																																																																=
																																																																BgL_arg2432z00_2786;
																																																															BgL_argsz00_14078
																																																																=
																																																																BgL_arg2433z00_2787;
																																																															BgL_argsz00_1671
																																																																=
																																																																BgL_argsz00_14078;
																																																															BgL_bodyz00_1670
																																																																=
																																																																BgL_bodyz00_14077;
																																																															BgL_varsz00_1669
																																																																=
																																																																BgL_varsz00_14076;
																																																															goto
																																																																BgL_tagzd2386zd2_1672;
																																																														}
																																																														BgL_auxz00_12567
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_14075);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 117 */
																																																															goto
																																																																BgL_tagzd2403zd2_1706;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_14082;
																																																															goto
																																																																BgL_tagzd2404zd2_1707;
																																																															BgL_auxz00_12567
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_14082);
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				bool_t
																																																					BgL_testz00_14084;
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_arg2445z00_2798;
																																																					BgL_arg2445z00_2798
																																																						=
																																																						CAR
																																																						(BgL_expz00_21);
																																																					BgL_testz00_14084
																																																						=
																																																						CBOOL
																																																						(BGl_letzd2symzf3z21zzast_letz00
																																																						(BgL_arg2445z00_2798));
																																																				}
																																																				if (BgL_testz00_14084)
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_14088;
																																																						goto
																																																							BgL_tagzd2382zd2_1662;
																																																						BgL_auxz00_12567
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_14088);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						bool_t
																																																							BgL_testz00_14090;
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_arg2444z00_2797;
																																																							BgL_arg2444z00_2797
																																																								=
																																																								CAR
																																																								(BgL_expz00_21);
																																																							BgL_testz00_14090
																																																								=
																																																								CBOOL
																																																								(BGl_labelszd2symzf3z21zzast_labelsz00
																																																								(BgL_arg2444z00_2797));
																																																						}
																																																						if (BgL_testz00_14090)
																																																							{
																																																								BgL_letzd2funzd2_bglt
																																																									BgL_auxz00_14094;
																																																								goto
																																																									BgL_tagzd2384zd2_1664;
																																																								BgL_auxz00_12567
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_14094);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 117 */
																																																										goto
																																																											BgL_tagzd2403zd2_1706;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_14098;
																																																										goto
																																																											BgL_tagzd2404zd2_1707;
																																																										BgL_auxz00_12567
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_14098);
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd23955zd2_2537)))
																																																			{	/* Ast/sexp.scm 117 */
																																																				goto
																																																					BgL_kapzd23957zd2_2539;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				if ((BgL_carzd23955zd2_2537 == CNST_TABLE_REF(((long) 19))))
																																																					{	/* Ast/sexp.scm 117 */
																																																						goto
																																																							BgL_kapzd23957zd2_2539;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						if ((BgL_carzd23955zd2_2537 == CNST_TABLE_REF(((long) 20))))
																																																							{	/* Ast/sexp.scm 117 */
																																																								goto
																																																									BgL_kapzd23957zd2_2539;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd23955zd2_2537)))
																																																									{	/* Ast/sexp.scm 117 */
																																																										goto
																																																											BgL_kapzd23957zd2_2539;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 117 */
																																																										bool_t
																																																											BgL_testz00_14112;
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_arg2340z00_2659;
																																																											BgL_arg2340z00_2659
																																																												=
																																																												CAR
																																																												(BgL_expz00_21);
																																																											BgL_testz00_14112
																																																												=
																																																												CBOOL
																																																												(BGl_letzd2symzf3z21zzast_letz00
																																																												(BgL_arg2340z00_2659));
																																																										}
																																																										if (BgL_testz00_14112)
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_14116;
																																																												goto
																																																													BgL_tagzd2382zd2_1662;
																																																												BgL_auxz00_12567
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_14116);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 117 */
																																																												bool_t
																																																													BgL_testz00_14118;
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_arg2339z00_2658;
																																																													BgL_arg2339z00_2658
																																																														=
																																																														CAR
																																																														(BgL_expz00_21);
																																																													BgL_testz00_14118
																																																														=
																																																														CBOOL
																																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																																														(BgL_arg2339z00_2658));
																																																												}
																																																												if (BgL_testz00_14118)
																																																													{
																																																														BgL_letzd2funzd2_bglt
																																																															BgL_auxz00_14122;
																																																														goto
																																																															BgL_tagzd2384zd2_1664;
																																																														BgL_auxz00_12567
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_14122);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_carzd25576zd2_2549;
																																																														BgL_carzd25576zd2_2549
																																																															=
																																																															CAR
																																																															(BgL_expz00_21);
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd25581zd2_2550;
																																																															BgL_cdrzd25581zd2_2550
																																																																=
																																																																CDR
																																																																(BgL_carzd25576zd2_2549);
																																																															if ((CAR(BgL_carzd25576zd2_2549) == CNST_TABLE_REF(((long) 3))))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (PAIRP(BgL_cdrzd25581zd2_2550))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_arg2273z00_2554;
																																																																			obj_t
																																																																				BgL_arg2274z00_2555;
																																																																			obj_t
																																																																				BgL_arg2275z00_2556;
																																																																			BgL_arg2273z00_2554
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd25581zd2_2550);
																																																																			BgL_arg2274z00_2555
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd25581zd2_2550);
																																																																			BgL_arg2275z00_2556
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_14135;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_14138;
																																																																					obj_t
																																																																						BgL_bodyz00_14137;
																																																																					obj_t
																																																																						BgL_varsz00_14136;
																																																																					BgL_varsz00_14136
																																																																						=
																																																																						BgL_arg2273z00_2554;
																																																																					BgL_bodyz00_14137
																																																																						=
																																																																						BgL_arg2274z00_2555;
																																																																					BgL_argsz00_14138
																																																																						=
																																																																						BgL_arg2275z00_2556;
																																																																					BgL_argsz00_1671
																																																																						=
																																																																						BgL_argsz00_14138;
																																																																					BgL_bodyz00_1670
																																																																						=
																																																																						BgL_bodyz00_14137;
																																																																					BgL_varsz00_1669
																																																																						=
																																																																						BgL_varsz00_14136;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1672;
																																																																				}
																																																																				BgL_auxz00_12567
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_14135);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1706;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_14142;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1707;
																																																																					BgL_auxz00_12567
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_14142);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd25688zd2_2559;
																																																																	BgL_cdrzd25688zd2_2559
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_cdrzd25693zd2_2560;
																																																																		BgL_cdrzd25693zd2_2560
																																																																			=
																																																																			CDR
																																																																			(BgL_carzd25576zd2_2549);
																																																																		if ((CAR(BgL_carzd25576zd2_2549) == CNST_TABLE_REF(((long) 1))))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (PAIRP(BgL_cdrzd25693zd2_2560))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_cdrzd25698zd2_2564;
																																																																						BgL_cdrzd25698zd2_2564
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd25693zd2_2560);
																																																																						if (PAIRP(BgL_cdrzd25698zd2_2564))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_carzd25702zd2_2566;
																																																																								obj_t
																																																																									BgL_cdrzd25703zd2_2567;
																																																																								BgL_carzd25702zd2_2566
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd25698zd2_2564);
																																																																								BgL_cdrzd25703zd2_2567
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd25698zd2_2564);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25702zd2_2566))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (PAIRP(BgL_cdrzd25703zd2_2567))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_carzd25708zd2_2570;
																																																																												BgL_carzd25708zd2_2570
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd25703zd2_2567);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25708zd2_2570))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (NULLP(CDR(BgL_cdrzd25703zd2_2567)))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																bool_t
																																																																																	BgL_testz00_14167;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_l1370z00_2603;
																																																																																	BgL_l1370z00_2603
																																																																																		=
																																																																																		BgL_cdrzd25688zd2_2559;
																																																																																BgL_zc3anonymousza32302ze3z83_2604:
																																																																																	if (NULLP(BgL_l1370z00_2603))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			BgL_testz00_14167
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				1);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			bool_t
																																																																																				BgL_testz00_14170;
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				bool_t
																																																																																					BgL_testz00_14171;
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					obj_t
																																																																																						BgL_tmpz00_14172;
																																																																																					BgL_tmpz00_14172
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_l1370z00_2603);
																																																																																					BgL_testz00_14171
																																																																																						=
																																																																																						PAIRP
																																																																																						(BgL_tmpz00_14172);
																																																																																				}
																																																																																				if (BgL_testz00_14171)
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						BgL_testz00_14170
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							0);
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						BgL_testz00_14170
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							1);
																																																																																					}
																																																																																			}
																																																																																			if (BgL_testz00_14170)
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_l1370z00_14175;
																																																																																					BgL_l1370z00_14175
																																																																																						=
																																																																																						CDR
																																																																																						(BgL_l1370z00_2603);
																																																																																					BgL_l1370z00_2603
																																																																																						=
																																																																																						BgL_l1370z00_14175;
																																																																																					goto
																																																																																						BgL_zc3anonymousza32302ze3z83_2604;
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					BgL_testz00_14167
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						0);
																																																																																				}
																																																																																		}
																																																																																}
																																																																																if (BgL_testz00_14167)
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		obj_t
																																																																																			BgL_arg2292z00_2586;
																																																																																		BgL_arg2292z00_2586
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd25693zd2_2560);
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_14178;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_14182;
																																																																																				obj_t
																																																																																					BgL_proc2z00_14181;
																																																																																				obj_t
																																																																																					BgL_proc1z00_14180;
																																																																																				obj_t
																																																																																					BgL_testz00_14179;
																																																																																				BgL_testz00_14179
																																																																																					=
																																																																																					BgL_arg2292z00_2586;
																																																																																				BgL_proc1z00_14180
																																																																																					=
																																																																																					BgL_carzd25702zd2_2566;
																																																																																				BgL_proc2z00_14181
																																																																																					=
																																																																																					BgL_carzd25708zd2_2570;
																																																																																				BgL_argsz00_14182
																																																																																					=
																																																																																					BgL_cdrzd25688zd2_2559;
																																																																																				BgL_argsz00_1676
																																																																																					=
																																																																																					BgL_argsz00_14182;
																																																																																				BgL_proc2z00_1675
																																																																																					=
																																																																																					BgL_proc2z00_14181;
																																																																																				BgL_proc1z00_1674
																																																																																					=
																																																																																					BgL_proc1z00_14180;
																																																																																				BgL_testz00_1673
																																																																																					=
																																																																																					BgL_testz00_14179;
																																																																																				goto
																																																																																					BgL_tagzd2387zd2_1677;
																																																																																			}
																																																																																			BgL_auxz00_12567
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_14178);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		obj_t
																																																																																			BgL_cdrzd25733zd2_2587;
																																																																																		BgL_cdrzd25733zd2_2587
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_expz00_21);
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			obj_t
																																																																																				BgL_cdrzd25741zd2_2588;
																																																																																			BgL_cdrzd25741zd2_2588
																																																																																				=
																																																																																				CDR
																																																																																				(CAR
																																																																																				(BgL_expz00_21));
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				obj_t
																																																																																					BgL_cdrzd25749zd2_2589;
																																																																																				BgL_cdrzd25749zd2_2589
																																																																																					=
																																																																																					CDR
																																																																																					(BgL_cdrzd25741zd2_2588);
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					obj_t
																																																																																						BgL_carzd25756zd2_2590;
																																																																																					BgL_carzd25756zd2_2590
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_cdrzd25749zd2_2589);
																																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25756zd2_2590))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							obj_t
																																																																																								BgL_carzd25765zd2_2592;
																																																																																							BgL_carzd25765zd2_2592
																																																																																								=
																																																																																								CAR
																																																																																								(CDR
																																																																																								(BgL_cdrzd25749zd2_2589));
																																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25765zd2_2592))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd25733zd2_2587))
																																																																																										{	/* Ast/sexp.scm 117 */
																																																																																											obj_t
																																																																																												BgL_arg2296z00_2595;
																																																																																											BgL_arg2296z00_2595
																																																																																												=
																																																																																												CAR
																																																																																												(BgL_cdrzd25741zd2_2588);
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_14198;
																																																																																												{
																																																																																													obj_t
																																																																																														BgL_argsz00_14202;
																																																																																													obj_t
																																																																																														BgL_proc2z00_14201;
																																																																																													obj_t
																																																																																														BgL_proc1z00_14200;
																																																																																													obj_t
																																																																																														BgL_testz00_14199;
																																																																																													BgL_testz00_14199
																																																																																														=
																																																																																														BgL_arg2296z00_2595;
																																																																																													BgL_proc1z00_14200
																																																																																														=
																																																																																														BgL_carzd25756zd2_2590;
																																																																																													BgL_proc2z00_14201
																																																																																														=
																																																																																														BgL_carzd25765zd2_2592;
																																																																																													BgL_argsz00_14202
																																																																																														=
																																																																																														BgL_cdrzd25733zd2_2587;
																																																																																													BgL_argsz00_1681
																																																																																														=
																																																																																														BgL_argsz00_14202;
																																																																																													BgL_proc2z00_1680
																																																																																														=
																																																																																														BgL_proc2z00_14201;
																																																																																													BgL_proc1z00_1679
																																																																																														=
																																																																																														BgL_proc1z00_14200;
																																																																																													BgL_testz00_1678
																																																																																														=
																																																																																														BgL_testz00_14199;
																																																																																													goto
																																																																																														BgL_tagzd2388zd2_1682;
																																																																																												}
																																																																																												BgL_auxz00_12567
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_14198);
																																																																																											}
																																																																																										}
																																																																																									else
																																																																																										{	/* Ast/sexp.scm 117 */
																																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																												{	/* Ast/sexp.scm 117 */
																																																																																													goto
																																																																																														BgL_tagzd2403zd2_1706;
																																																																																												}
																																																																																											else
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_14206;
																																																																																													goto
																																																																																														BgL_tagzd2404zd2_1707;
																																																																																													BgL_auxz00_12567
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_14206);
																																																																																												}
																																																																																										}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 117 */
																																																																																											goto
																																																																																												BgL_tagzd2403zd2_1706;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_14210;
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1707;
																																																																																											BgL_auxz00_12567
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_14210);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1706;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_14214;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1707;
																																																																																									BgL_auxz00_12567
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_14214);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_14218;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_12567
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_14218);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_cdrzd26043zd2_2614;
																																																																														BgL_cdrzd26043zd2_2614
																																																																															=
																																																																															CDR
																																																																															(BgL_expz00_21);
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_cdrzd26050zd2_2615;
																																																																															BgL_cdrzd26050zd2_2615
																																																																																=
																																																																																CDR
																																																																																(CAR
																																																																																(BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_cdrzd26057zd2_2616;
																																																																																BgL_cdrzd26057zd2_2616
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_cdrzd26050zd2_2615);
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_carzd26063zd2_2617;
																																																																																	obj_t
																																																																																		BgL_cdrzd26064zd2_2618;
																																																																																	BgL_carzd26063zd2_2617
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd26057zd2_2616);
																																																																																	BgL_cdrzd26064zd2_2618
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_cdrzd26057zd2_2616);
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26063zd2_2617))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			obj_t
																																																																																				BgL_carzd26071zd2_2620;
																																																																																			BgL_carzd26071zd2_2620
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd26064zd2_2618);
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26071zd2_2620))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (NULLP(CDR(BgL_cdrzd26064zd2_2618)))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd26043zd2_2614))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									obj_t
																																																																																										BgL_arg2311z00_2625;
																																																																																									BgL_arg2311z00_2625
																																																																																										=
																																																																																										CAR
																																																																																										(BgL_cdrzd26050zd2_2615);
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_14237;
																																																																																										{
																																																																																											obj_t
																																																																																												BgL_argsz00_14241;
																																																																																											obj_t
																																																																																												BgL_proc2z00_14240;
																																																																																											obj_t
																																																																																												BgL_proc1z00_14239;
																																																																																											obj_t
																																																																																												BgL_testz00_14238;
																																																																																											BgL_testz00_14238
																																																																																												=
																																																																																												BgL_arg2311z00_2625;
																																																																																											BgL_proc1z00_14239
																																																																																												=
																																																																																												BgL_carzd26063zd2_2617;
																																																																																											BgL_proc2z00_14240
																																																																																												=
																																																																																												BgL_carzd26071zd2_2620;
																																																																																											BgL_argsz00_14241
																																																																																												=
																																																																																												BgL_cdrzd26043zd2_2614;
																																																																																											BgL_argsz00_1681
																																																																																												=
																																																																																												BgL_argsz00_14241;
																																																																																											BgL_proc2z00_1680
																																																																																												=
																																																																																												BgL_proc2z00_14240;
																																																																																											BgL_proc1z00_1679
																																																																																												=
																																																																																												BgL_proc1z00_14239;
																																																																																											BgL_testz00_1678
																																																																																												=
																																																																																												BgL_testz00_14238;
																																																																																											goto
																																																																																												BgL_tagzd2388zd2_1682;
																																																																																										}
																																																																																										BgL_auxz00_12567
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_14237);
																																																																																									}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 117 */
																																																																																											goto
																																																																																												BgL_tagzd2403zd2_1706;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_14245;
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1707;
																																																																																											BgL_auxz00_12567
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_14245);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1706;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_14249;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1707;
																																																																																									BgL_auxz00_12567
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_14249);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1706;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_14253;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1707;
																																																																																							BgL_auxz00_12567
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_14253);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1706;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_14257;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1707;
																																																																																					BgL_auxz00_12567
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_14257);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_14261;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_12567
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_14261);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_cdrzd26404zd2_2633;
																																																																										BgL_cdrzd26404zd2_2633
																																																																											=
																																																																											CDR
																																																																											(BgL_expz00_21);
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_cdrzd26410zd2_2634;
																																																																											BgL_cdrzd26410zd2_2634
																																																																												=
																																																																												CDR
																																																																												(CAR
																																																																												(BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_cdrzd26416zd2_2635;
																																																																												BgL_cdrzd26416zd2_2635
																																																																													=
																																																																													CDR
																																																																													(BgL_cdrzd26410zd2_2634);
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_carzd26421zd2_2636;
																																																																													obj_t
																																																																														BgL_cdrzd26422zd2_2637;
																																																																													BgL_carzd26421zd2_2636
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd26416zd2_2635);
																																																																													BgL_cdrzd26422zd2_2637
																																																																														=
																																																																														CDR
																																																																														(BgL_cdrzd26416zd2_2635);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26421zd2_2636))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (PAIRP(BgL_cdrzd26422zd2_2637))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_carzd26427zd2_2640;
																																																																																	BgL_carzd26427zd2_2640
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd26422zd2_2637);
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26427zd2_2640))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (NULLP(CDR(BgL_cdrzd26422zd2_2637)))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd26404zd2_2633))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							obj_t
																																																																																								BgL_arg2325z00_2645;
																																																																																							BgL_arg2325z00_2645
																																																																																								=
																																																																																								CAR
																																																																																								(BgL_cdrzd26410zd2_2634);
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_14282;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_14286;
																																																																																									obj_t
																																																																																										BgL_proc2z00_14285;
																																																																																									obj_t
																																																																																										BgL_proc1z00_14284;
																																																																																									obj_t
																																																																																										BgL_testz00_14283;
																																																																																									BgL_testz00_14283
																																																																																										=
																																																																																										BgL_arg2325z00_2645;
																																																																																									BgL_proc1z00_14284
																																																																																										=
																																																																																										BgL_carzd26421zd2_2636;
																																																																																									BgL_proc2z00_14285
																																																																																										=
																																																																																										BgL_carzd26427zd2_2640;
																																																																																									BgL_argsz00_14286
																																																																																										=
																																																																																										BgL_cdrzd26404zd2_2633;
																																																																																									BgL_argsz00_1681
																																																																																										=
																																																																																										BgL_argsz00_14286;
																																																																																									BgL_proc2z00_1680
																																																																																										=
																																																																																										BgL_proc2z00_14285;
																																																																																									BgL_proc1z00_1679
																																																																																										=
																																																																																										BgL_proc1z00_14284;
																																																																																									BgL_testz00_1678
																																																																																										=
																																																																																										BgL_testz00_14283;
																																																																																									goto
																																																																																										BgL_tagzd2388zd2_1682;
																																																																																								}
																																																																																								BgL_auxz00_12567
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_14282);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1706;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_14290;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1707;
																																																																																									BgL_auxz00_12567
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_14290);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1706;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_14294;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1707;
																																																																																							BgL_auxz00_12567
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_14294);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1706;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_14298;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1707;
																																																																																					BgL_auxz00_12567
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_14298);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_14302;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_12567
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_14302);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_14306;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_12567
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_14306);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_14310;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_12567
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_14310);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_14314;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_12567
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_14314);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_14318;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_12567
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_14318);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																														}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 117 */
																																															if ((BgL_carzd23952zd2_2535 == CNST_TABLE_REF(((long) 18))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_14323;
																																																	goto
																																																		BgL_tagzd2382zd2_1662;
																																																	BgL_auxz00_12567
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_14323);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 117 */
																																																	if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd23952zd2_2535)))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_14328;
																																																			goto
																																																				BgL_tagzd2382zd2_1662;
																																																			BgL_auxz00_12567
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_14328);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 117 */
																																																			if ((BgL_carzd23952zd2_2535 == CNST_TABLE_REF(((long) 19))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_14333;
																																																					goto
																																																						BgL_tagzd2382zd2_1662;
																																																					BgL_auxz00_12567
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_14333);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_14339;
																																																							goto
																																																								BgL_tagzd2383zd2_1663;
																																																							BgL_auxz00_12567
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_14339);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_carzd26989zd2_2805;
																																																							BgL_carzd26989zd2_2805
																																																								=
																																																								CAR
																																																								(BgL_expz00_21);
																																																							if ((BgL_carzd26989zd2_2805 == CNST_TABLE_REF(((long) 20))))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_14345;
																																																									goto
																																																										BgL_tagzd2384zd2_1664;
																																																									BgL_auxz00_12567
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_14345);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd26989zd2_2805)))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_14350;
																																																											goto
																																																												BgL_tagzd2384zd2_1664;
																																																											BgL_auxz00_12567
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_14350);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_14356;
																																																													goto
																																																														BgL_tagzd2389zd2_1683;
																																																													BgL_auxz00_12567
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_14356);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_14362;
																																																															goto
																																																																BgL_tagzd2390zd2_1684;
																																																															BgL_auxz00_12567
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_14362);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd27069zd2_2812;
																																																															BgL_cdrzd27069zd2_2812
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_arg2461z00_2815;
																																																																	obj_t
																																																																		BgL_arg2462z00_2816;
																																																																	BgL_arg2461z00_2815
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd27069zd2_2812);
																																																																	BgL_arg2462z00_2816
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd27069zd2_2812);
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_14371;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_14373;
																																																																			obj_t
																																																																				BgL_effectz00_14372;
																																																																			BgL_effectz00_14372
																																																																				=
																																																																				BgL_arg2461z00_2815;
																																																																			BgL_restz00_14373
																																																																				=
																																																																				BgL_arg2462z00_2816;
																																																																			BgL_restz00_1686
																																																																				=
																																																																				BgL_restz00_14373;
																																																																			BgL_effectz00_1685
																																																																				=
																																																																				BgL_effectz00_14372;
																																																																			goto
																																																																				BgL_tagzd2391zd2_1687;
																																																																		}
																																																																		BgL_auxz00_12567
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_14371);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_14379;
																																																																			goto
																																																																				BgL_tagzd2392zd2_1688;
																																																																			BgL_auxz00_12567
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_14379);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_14385;
																																																																					goto
																																																																						BgL_tagzd2393zd2_1689;
																																																																					BgL_auxz00_12567
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_14385);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_arg2471z00_2824;
																																																																							obj_t
																																																																								BgL_arg2473z00_2825;
																																																																							BgL_arg2471z00_2824
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd27069zd2_2812);
																																																																							BgL_arg2473z00_2825
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd27069zd2_2812);
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_14393;
																																																																								{
																																																																									obj_t
																																																																										BgL_restz00_14395;
																																																																									obj_t
																																																																										BgL_effectz00_14394;
																																																																									BgL_effectz00_14394
																																																																										=
																																																																										BgL_arg2471z00_2824;
																																																																									BgL_restz00_14395
																																																																										=
																																																																										BgL_arg2473z00_2825;
																																																																									BgL_restz00_1691
																																																																										=
																																																																										BgL_restz00_14395;
																																																																									BgL_effectz00_1690
																																																																										=
																																																																										BgL_effectz00_14394;
																																																																									goto
																																																																										BgL_tagzd2394zd2_1692;
																																																																								}
																																																																								BgL_auxz00_12567
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_14393);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_14401;
																																																																									goto
																																																																										BgL_tagzd2395zd2_1693;
																																																																									BgL_auxz00_12567
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_14401);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_14407;
																																																																											goto
																																																																												BgL_tagzd2396zd2_1694;
																																																																											BgL_auxz00_12567
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_14407);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																																												{
																																																																													BgL_letzd2funzd2_bglt
																																																																														BgL_auxz00_14413;
																																																																													goto
																																																																														BgL_tagzd2397zd2_1695;
																																																																													BgL_auxz00_12567
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_14413);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																																														{
																																																																															BgL_jumpzd2exzd2itz00_bglt
																																																																																BgL_auxz00_14419;
																																																																															goto
																																																																																BgL_tagzd2398zd2_1696;
																																																																															BgL_auxz00_12567
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_14419);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_cdrzd27146zd2_2834;
																																																																															BgL_cdrzd27146zd2_2834
																																																																																=
																																																																																CDR
																																																																																(BgL_expz00_21);
																																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_arg2489z00_2837;
																																																																																	obj_t
																																																																																		BgL_arg2491z00_2838;
																																																																																	BgL_arg2489z00_2837
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd27146zd2_2834);
																																																																																	BgL_arg2491z00_2838
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_cdrzd27146zd2_2834);
																																																																																	{	/* Ast/sexp.scm 538 */
																																																																																		obj_t
																																																																																			BgL_arg6415z00_9349;
																																																																																		BgL_arg6415z00_9349
																																																																																			=
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_locz00_23);
																																																																																		BgL_auxz00_12567
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																			(BgL_expz00_21,
																																																																																				BgL_arg2489z00_2837,
																																																																																				CNST_TABLE_REF
																																																																																				(((long) 4)), BgL_arg2491z00_2838, BgL_stackz00_22, BgL_arg6415z00_9349, BgL_sitez00_24));
																																																																																}}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_14434;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_12567
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_14434);
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 117 */
																																			obj_t
																																				BgL_carzd27169zd2_2855;
																																			BgL_carzd27169zd2_2855
																																				=
																																				CAR
																																				(BgL_expz00_21);
																																			if (
																																				(BgL_carzd27169zd2_2855
																																					==
																																					CNST_TABLE_REF
																																					(((long) 1))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_14440;
																																					goto
																																						BgL_tagzd2377zd2_1653;
																																					BgL_auxz00_12567
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_14440);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 117 */
																																					if (
																																						(BgL_carzd27169zd2_2855
																																							==
																																							BGl_za2ifza2z00zzast_sexpz00))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_14444;
																																							goto
																																								BgL_tagzd2377zd2_1653;
																																							BgL_auxz00_12567
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_14444);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 117 */
																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 7))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_14450;
																																									goto
																																										BgL_tagzd2379zd2_1657;
																																									BgL_auxz00_12567
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_14450);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 117 */
																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 17))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_14456;
																																											goto
																																												BgL_tagzd2380zd2_1658;
																																											BgL_auxz00_12567
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_14456);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 117 */
																																											obj_t
																																												BgL_carzd27230zd2_2862;
																																											BgL_carzd27230zd2_2862
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											if (PAIRP(BgL_carzd27230zd2_2862))
																																												{	/* Ast/sexp.scm 117 */
																																													obj_t
																																														BgL_carzd27233zd2_2864;
																																													obj_t
																																														BgL_cdrzd27234zd2_2865;
																																													BgL_carzd27233zd2_2864
																																														=
																																														CAR
																																														(BgL_carzd27230zd2_2862);
																																													BgL_cdrzd27234zd2_2865
																																														=
																																														CDR
																																														(BgL_carzd27230zd2_2862);
																																													{

																																														if ((BgL_carzd27233zd2_2864 == CNST_TABLE_REF(((long) 18))))
																																															{	/* Ast/sexp.scm 117 */
																																															BgL_kapzd27235zd2_2866:
																																																if (PAIRP(BgL_cdrzd27234zd2_2865))
																																																	{	/* Ast/sexp.scm 117 */
																																																		obj_t
																																																			BgL_cdrzd27238zd2_2988;
																																																		BgL_cdrzd27238zd2_2988
																																																			=
																																																			CDR
																																																			(BgL_cdrzd27234zd2_2865);
																																																		if (PAIRP(BgL_cdrzd27238zd2_2988))
																																																			{	/* Ast/sexp.scm 117 */
																																																				if (NULLP(CDR(BgL_cdrzd27238zd2_2988)))
																																																					{	/* Ast/sexp.scm 117 */
																																																						obj_t
																																																							BgL_arg2617z00_2992;
																																																						obj_t
																																																							BgL_arg2618z00_2993;
																																																						BgL_arg2617z00_2992
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27238zd2_2988);
																																																						BgL_arg2618z00_2993
																																																							=
																																																							CDR
																																																							(BgL_expz00_21);
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_14476;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_14478;
																																																								obj_t
																																																									BgL_bodyz00_14477;
																																																								BgL_bodyz00_14477
																																																									=
																																																									BgL_arg2617z00_2992;
																																																								BgL_argsz00_14478
																																																									=
																																																									BgL_arg2618z00_2993;
																																																								BgL_argsz00_1660
																																																									=
																																																									BgL_argsz00_14478;
																																																								BgL_bodyz00_1659
																																																									=
																																																									BgL_bodyz00_14477;
																																																								goto
																																																									BgL_tagzd2381zd2_1661;
																																																							}
																																																							BgL_auxz00_12567
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_14476);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						bool_t
																																																							BgL_testz00_14480;
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_arg2687z00_3102;
																																																							BgL_arg2687z00_3102
																																																								=
																																																								CAR
																																																								(BgL_expz00_21);
																																																							BgL_testz00_14480
																																																								=
																																																								CBOOL
																																																								(BGl_letzd2symzf3z21zzast_letz00
																																																								(BgL_arg2687z00_3102));
																																																						}
																																																						if (BgL_testz00_14480)
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_14484;
																																																								goto
																																																									BgL_tagzd2382zd2_1662;
																																																								BgL_auxz00_12567
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_14484);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								bool_t
																																																									BgL_testz00_14486;
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_arg2686z00_3101;
																																																									BgL_arg2686z00_3101
																																																										=
																																																										CAR
																																																										(BgL_expz00_21);
																																																									BgL_testz00_14486
																																																										=
																																																										CBOOL
																																																										(BGl_labelszd2symzf3z21zzast_labelsz00
																																																										(BgL_arg2686z00_3101));
																																																								}
																																																								if (BgL_testz00_14486)
																																																									{
																																																										BgL_letzd2funzd2_bglt
																																																											BgL_auxz00_14490;
																																																										goto
																																																											BgL_tagzd2384zd2_1664;
																																																										BgL_auxz00_12567
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_14490);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 117 */
																																																										obj_t
																																																											BgL_carzd27316zd2_2998;
																																																										BgL_carzd27316zd2_2998
																																																											=
																																																											CAR
																																																											(BgL_expz00_21);
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd27321zd2_2999;
																																																											BgL_cdrzd27321zd2_2999
																																																												=
																																																												CDR
																																																												(BgL_carzd27316zd2_2998);
																																																											if ((CAR(BgL_carzd27316zd2_2998) == CNST_TABLE_REF(((long) 3))))
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_arg2626z00_3002;
																																																													obj_t
																																																														BgL_arg2627z00_3003;
																																																													obj_t
																																																														BgL_arg2628z00_3004;
																																																													BgL_arg2626z00_3002
																																																														=
																																																														CAR
																																																														(BgL_cdrzd27321zd2_2999);
																																																													BgL_arg2627z00_3003
																																																														=
																																																														CDR
																																																														(BgL_cdrzd27321zd2_2999);
																																																													BgL_arg2628z00_3004
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_14501;
																																																														{
																																																															obj_t
																																																																BgL_argsz00_14504;
																																																															obj_t
																																																																BgL_bodyz00_14503;
																																																															obj_t
																																																																BgL_varsz00_14502;
																																																															BgL_varsz00_14502
																																																																=
																																																																BgL_arg2626z00_3002;
																																																															BgL_bodyz00_14503
																																																																=
																																																																BgL_arg2627z00_3003;
																																																															BgL_argsz00_14504
																																																																=
																																																																BgL_arg2628z00_3004;
																																																															BgL_argsz00_1671
																																																																=
																																																																BgL_argsz00_14504;
																																																															BgL_bodyz00_1670
																																																																=
																																																																BgL_bodyz00_14503;
																																																															BgL_varsz00_1669
																																																																=
																																																																BgL_varsz00_14502;
																																																															goto
																																																																BgL_tagzd2386zd2_1672;
																																																														}
																																																														BgL_auxz00_12567
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_14501);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd27344zd2_3006;
																																																													BgL_cdrzd27344zd2_3006
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_cdrzd27350zd2_3007;
																																																														BgL_cdrzd27350zd2_3007
																																																															=
																																																															CDR
																																																															(BgL_carzd27316zd2_2998);
																																																														if ((CAR(BgL_carzd27316zd2_2998) == CNST_TABLE_REF(((long) 1))))
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_cdrzd27356zd2_3010;
																																																																BgL_cdrzd27356zd2_3010
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd27350zd2_3007);
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_carzd27361zd2_3011;
																																																																	obj_t
																																																																		BgL_cdrzd27362zd2_3012;
																																																																	BgL_carzd27361zd2_3011
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd27356zd2_3010);
																																																																	BgL_cdrzd27362zd2_3012
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd27356zd2_3010);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27361zd2_3011))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (PAIRP(BgL_cdrzd27362zd2_3012))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_carzd27369zd2_3015;
																																																																					BgL_carzd27369zd2_3015
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd27362zd2_3012);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27369zd2_3015))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (NULLP(CDR(BgL_cdrzd27362zd2_3012)))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									bool_t
																																																																										BgL_testz00_14525;
																																																																									{
																																																																										obj_t
																																																																											BgL_l1373z00_3048;
																																																																										BgL_l1373z00_3048
																																																																											=
																																																																											BgL_cdrzd27344zd2_3006;
																																																																									BgL_zc3anonymousza32652ze3z83_3049:
																																																																										if (NULLP(BgL_l1373z00_3048))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												BgL_testz00_14525
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												bool_t
																																																																													BgL_testz00_14528;
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													bool_t
																																																																														BgL_testz00_14529;
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_tmpz00_14530;
																																																																														BgL_tmpz00_14530
																																																																															=
																																																																															CAR
																																																																															(BgL_l1373z00_3048);
																																																																														BgL_testz00_14529
																																																																															=
																																																																															PAIRP
																																																																															(BgL_tmpz00_14530);
																																																																													}
																																																																													if (BgL_testz00_14529)
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															BgL_testz00_14528
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															BgL_testz00_14528
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																												}
																																																																												if (BgL_testz00_14528)
																																																																													{
																																																																														obj_t
																																																																															BgL_l1373z00_14533;
																																																																														BgL_l1373z00_14533
																																																																															=
																																																																															CDR
																																																																															(BgL_l1373z00_3048);
																																																																														BgL_l1373z00_3048
																																																																															=
																																																																															BgL_l1373z00_14533;
																																																																														goto
																																																																															BgL_zc3anonymousza32652ze3z83_3049;
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														BgL_testz00_14525
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																											}
																																																																									}
																																																																									if (BgL_testz00_14525)
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_arg2642z00_3031;
																																																																											BgL_arg2642z00_3031
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd27350zd2_3007);
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_14536;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_14540;
																																																																													obj_t
																																																																														BgL_proc2z00_14539;
																																																																													obj_t
																																																																														BgL_proc1z00_14538;
																																																																													obj_t
																																																																														BgL_testz00_14537;
																																																																													BgL_testz00_14537
																																																																														=
																																																																														BgL_arg2642z00_3031;
																																																																													BgL_proc1z00_14538
																																																																														=
																																																																														BgL_carzd27361zd2_3011;
																																																																													BgL_proc2z00_14539
																																																																														=
																																																																														BgL_carzd27369zd2_3015;
																																																																													BgL_argsz00_14540
																																																																														=
																																																																														BgL_cdrzd27344zd2_3006;
																																																																													BgL_argsz00_1676
																																																																														=
																																																																														BgL_argsz00_14540;
																																																																													BgL_proc2z00_1675
																																																																														=
																																																																														BgL_proc2z00_14539;
																																																																													BgL_proc1z00_1674
																																																																														=
																																																																														BgL_proc1z00_14538;
																																																																													BgL_testz00_1673
																																																																														=
																																																																														BgL_testz00_14537;
																																																																													goto
																																																																														BgL_tagzd2387zd2_1677;
																																																																												}
																																																																												BgL_auxz00_12567
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_14536);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_cdrzd27393zd2_3032;
																																																																											BgL_cdrzd27393zd2_3032
																																																																												=
																																																																												CDR
																																																																												(BgL_expz00_21);
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_cdrzd27400zd2_3033;
																																																																												BgL_cdrzd27400zd2_3033
																																																																													=
																																																																													CDR
																																																																													(CAR
																																																																													(BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_cdrzd27407zd2_3034;
																																																																													BgL_cdrzd27407zd2_3034
																																																																														=
																																																																														CDR
																																																																														(BgL_cdrzd27400zd2_3033);
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_carzd27413zd2_3035;
																																																																														BgL_carzd27413zd2_3035
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd27407zd2_3034);
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27413zd2_3035))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_carzd27420zd2_3037;
																																																																																BgL_carzd27420zd2_3037
																																																																																	=
																																																																																	CAR
																																																																																	(CDR
																																																																																	(BgL_cdrzd27407zd2_3034));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27420zd2_3037))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd27393zd2_3032))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				obj_t
																																																																																					BgL_arg2646z00_3040;
																																																																																				BgL_arg2646z00_3040
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_cdrzd27400zd2_3033);
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_14556;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_14560;
																																																																																						obj_t
																																																																																							BgL_proc2z00_14559;
																																																																																						obj_t
																																																																																							BgL_proc1z00_14558;
																																																																																						obj_t
																																																																																							BgL_testz00_14557;
																																																																																						BgL_testz00_14557
																																																																																							=
																																																																																							BgL_arg2646z00_3040;
																																																																																						BgL_proc1z00_14558
																																																																																							=
																																																																																							BgL_carzd27413zd2_3035;
																																																																																						BgL_proc2z00_14559
																																																																																							=
																																																																																							BgL_carzd27420zd2_3037;
																																																																																						BgL_argsz00_14560
																																																																																							=
																																																																																							BgL_cdrzd27393zd2_3032;
																																																																																						BgL_argsz00_1681
																																																																																							=
																																																																																							BgL_argsz00_14560;
																																																																																						BgL_proc2z00_1680
																																																																																							=
																																																																																							BgL_proc2z00_14559;
																																																																																						BgL_proc1z00_1679
																																																																																							=
																																																																																							BgL_proc1z00_14558;
																																																																																						BgL_testz00_1678
																																																																																							=
																																																																																							BgL_testz00_14557;
																																																																																						goto
																																																																																							BgL_tagzd2388zd2_1682;
																																																																																					}
																																																																																					BgL_auxz00_12567
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_14556);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1706;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_14564;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1707;
																																																																																						BgL_auxz00_12567
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_14564);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1706;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_14568;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1707;
																																																																																				BgL_auxz00_12567
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_14568);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_14572;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_12567
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_14572);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1706;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_14576;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1707;
																																																																											BgL_auxz00_12567
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_14576);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd27696zd2_3059;
																																																																							BgL_cdrzd27696zd2_3059
																																																																								=
																																																																								CDR
																																																																								(BgL_expz00_21);
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_cdrzd27702zd2_3060;
																																																																								BgL_cdrzd27702zd2_3060
																																																																									=
																																																																									CDR
																																																																									(CAR
																																																																									(BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd27708zd2_3061;
																																																																									BgL_cdrzd27708zd2_3061
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd27702zd2_3060);
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_carzd27713zd2_3062;
																																																																										obj_t
																																																																											BgL_cdrzd27714zd2_3063;
																																																																										BgL_carzd27713zd2_3062
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd27708zd2_3061);
																																																																										BgL_cdrzd27714zd2_3063
																																																																											=
																																																																											CDR
																																																																											(BgL_cdrzd27708zd2_3061);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27713zd2_3062))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_carzd27719zd2_3065;
																																																																												BgL_carzd27719zd2_3065
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd27714zd2_3063);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27719zd2_3065))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (NULLP(CDR(BgL_cdrzd27714zd2_3063)))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd27696zd2_3059))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		obj_t
																																																																																			BgL_arg2661z00_3070;
																																																																																		BgL_arg2661z00_3070
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd27702zd2_3060);
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_14595;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_14599;
																																																																																				obj_t
																																																																																					BgL_proc2z00_14598;
																																																																																				obj_t
																																																																																					BgL_proc1z00_14597;
																																																																																				obj_t
																																																																																					BgL_testz00_14596;
																																																																																				BgL_testz00_14596
																																																																																					=
																																																																																					BgL_arg2661z00_3070;
																																																																																				BgL_proc1z00_14597
																																																																																					=
																																																																																					BgL_carzd27713zd2_3062;
																																																																																				BgL_proc2z00_14598
																																																																																					=
																																																																																					BgL_carzd27719zd2_3065;
																																																																																				BgL_argsz00_14599
																																																																																					=
																																																																																					BgL_cdrzd27696zd2_3059;
																																																																																				BgL_argsz00_1681
																																																																																					=
																																																																																					BgL_argsz00_14599;
																																																																																				BgL_proc2z00_1680
																																																																																					=
																																																																																					BgL_proc2z00_14598;
																																																																																				BgL_proc1z00_1679
																																																																																					=
																																																																																					BgL_proc1z00_14597;
																																																																																				BgL_testz00_1678
																																																																																					=
																																																																																					BgL_testz00_14596;
																																																																																				goto
																																																																																					BgL_tagzd2388zd2_1682;
																																																																																			}
																																																																																			BgL_auxz00_12567
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_14595);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1706;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_14603;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1707;
																																																																																				BgL_auxz00_12567
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_14603);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_14607;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_12567
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_14607);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_14611;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_12567
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_14611);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_14615;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_12567
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_14615);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1706;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_14619;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1707;
																																																																							BgL_auxz00_12567
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_14619);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd28052zd2_3078;
																																																																			BgL_cdrzd28052zd2_3078
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_cdrzd28059zd2_3079;
																																																																				BgL_cdrzd28059zd2_3079
																																																																					=
																																																																					CDR
																																																																					(CAR
																																																																					(BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd28066zd2_3080;
																																																																					BgL_cdrzd28066zd2_3080
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd28059zd2_3079);
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_carzd28072zd2_3081;
																																																																						obj_t
																																																																							BgL_cdrzd28073zd2_3082;
																																																																						BgL_carzd28072zd2_3081
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd28066zd2_3080);
																																																																						BgL_cdrzd28073zd2_3082
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd28066zd2_3080);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd28072zd2_3081))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (PAIRP(BgL_cdrzd28073zd2_3082))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_carzd28080zd2_3085;
																																																																										BgL_carzd28080zd2_3085
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd28073zd2_3082);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd28080zd2_3085))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (NULLP(CDR(BgL_cdrzd28073zd2_3082)))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd28052zd2_3078))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_arg2675z00_3090;
																																																																																BgL_arg2675z00_3090
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd28059zd2_3079);
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_14640;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_14644;
																																																																																		obj_t
																																																																																			BgL_proc2z00_14643;
																																																																																		obj_t
																																																																																			BgL_proc1z00_14642;
																																																																																		obj_t
																																																																																			BgL_testz00_14641;
																																																																																		BgL_testz00_14641
																																																																																			=
																																																																																			BgL_arg2675z00_3090;
																																																																																		BgL_proc1z00_14642
																																																																																			=
																																																																																			BgL_carzd28072zd2_3081;
																																																																																		BgL_proc2z00_14643
																																																																																			=
																																																																																			BgL_carzd28080zd2_3085;
																																																																																		BgL_argsz00_14644
																																																																																			=
																																																																																			BgL_cdrzd28052zd2_3078;
																																																																																		BgL_argsz00_1681
																																																																																			=
																																																																																			BgL_argsz00_14644;
																																																																																		BgL_proc2z00_1680
																																																																																			=
																																																																																			BgL_proc2z00_14643;
																																																																																		BgL_proc1z00_1679
																																																																																			=
																																																																																			BgL_proc1z00_14642;
																																																																																		BgL_testz00_1678
																																																																																			=
																																																																																			BgL_testz00_14641;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1682;
																																																																																	}
																																																																																	BgL_auxz00_12567
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_14640);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_14648;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_12567
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_14648);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_14652;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_12567
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_14652);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_14656;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_12567
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_14656);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_14660;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_12567
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_14660);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_14664;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_12567
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_14664);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1706;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_14668;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1707;
																																																																		BgL_auxz00_12567
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_14668);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																										}
																																																									}
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				bool_t
																																																					BgL_testz00_14670;
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_arg2701z00_3118;
																																																					BgL_arg2701z00_3118
																																																						=
																																																						CAR
																																																						(BgL_expz00_21);
																																																					BgL_testz00_14670
																																																						=
																																																						CBOOL
																																																						(BGl_letzd2symzf3z21zzast_letz00
																																																						(BgL_arg2701z00_3118));
																																																				}
																																																				if (BgL_testz00_14670)
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_14674;
																																																						goto
																																																							BgL_tagzd2382zd2_1662;
																																																						BgL_auxz00_12567
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_14674);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						bool_t
																																																							BgL_testz00_14676;
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_arg2700z00_3117;
																																																							BgL_arg2700z00_3117
																																																								=
																																																								CAR
																																																								(BgL_expz00_21);
																																																							BgL_testz00_14676
																																																								=
																																																								CBOOL
																																																								(BGl_labelszd2symzf3z21zzast_labelsz00
																																																								(BgL_arg2700z00_3117));
																																																						}
																																																						if (BgL_testz00_14676)
																																																							{
																																																								BgL_letzd2funzd2_bglt
																																																									BgL_auxz00_14680;
																																																								goto
																																																									BgL_tagzd2384zd2_1664;
																																																								BgL_auxz00_12567
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_14680);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								obj_t
																																																									BgL_carzd28526zd2_3108;
																																																								BgL_carzd28526zd2_3108
																																																									=
																																																									CAR
																																																									(BgL_expz00_21);
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_cdrzd28531zd2_3109;
																																																									BgL_cdrzd28531zd2_3109
																																																										=
																																																										CDR
																																																										(BgL_carzd28526zd2_3108);
																																																									if ((CAR(BgL_carzd28526zd2_3108) == CNST_TABLE_REF(((long) 3))))
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_arg2695z00_3112;
																																																											obj_t
																																																												BgL_arg2696z00_3113;
																																																											obj_t
																																																												BgL_arg2697z00_3114;
																																																											BgL_arg2695z00_3112
																																																												=
																																																												CAR
																																																												(BgL_cdrzd28531zd2_3109);
																																																											BgL_arg2696z00_3113
																																																												=
																																																												CDR
																																																												(BgL_cdrzd28531zd2_3109);
																																																											BgL_arg2697z00_3114
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_14691;
																																																												{
																																																													obj_t
																																																														BgL_argsz00_14694;
																																																													obj_t
																																																														BgL_bodyz00_14693;
																																																													obj_t
																																																														BgL_varsz00_14692;
																																																													BgL_varsz00_14692
																																																														=
																																																														BgL_arg2695z00_3112;
																																																													BgL_bodyz00_14693
																																																														=
																																																														BgL_arg2696z00_3113;
																																																													BgL_argsz00_14694
																																																														=
																																																														BgL_arg2697z00_3114;
																																																													BgL_argsz00_1671
																																																														=
																																																														BgL_argsz00_14694;
																																																													BgL_bodyz00_1670
																																																														=
																																																														BgL_bodyz00_14693;
																																																													BgL_varsz00_1669
																																																														=
																																																														BgL_varsz00_14692;
																																																													goto
																																																														BgL_tagzd2386zd2_1672;
																																																												}
																																																												BgL_auxz00_12567
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_14691);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 117 */
																																																													goto
																																																														BgL_tagzd2403zd2_1706;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_14698;
																																																													goto
																																																														BgL_tagzd2404zd2_1707;
																																																													BgL_auxz00_12567
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_14698);
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		bool_t
																																																			BgL_testz00_14700;
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_arg2708z00_3125;
																																																			BgL_arg2708z00_3125
																																																				=
																																																				CAR
																																																				(BgL_expz00_21);
																																																			BgL_testz00_14700
																																																				=
																																																				CBOOL
																																																				(BGl_letzd2symzf3z21zzast_letz00
																																																				(BgL_arg2708z00_3125));
																																																		}
																																																		if (BgL_testz00_14700)
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_14704;
																																																				goto
																																																					BgL_tagzd2382zd2_1662;
																																																				BgL_auxz00_12567
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_14704);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				bool_t
																																																					BgL_testz00_14706;
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_arg2707z00_3124;
																																																					BgL_arg2707z00_3124
																																																						=
																																																						CAR
																																																						(BgL_expz00_21);
																																																					BgL_testz00_14706
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg2707z00_3124));
																																																				}
																																																				if (BgL_testz00_14706)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_14710;
																																																						goto
																																																							BgL_tagzd2384zd2_1664;
																																																						BgL_auxz00_12567
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_14710);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 117 */
																																																								goto
																																																									BgL_tagzd2403zd2_1706;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_14714;
																																																								goto
																																																									BgL_tagzd2404zd2_1707;
																																																								BgL_auxz00_12567
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_14714);
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd27233zd2_2864)))
																																																	{	/* Ast/sexp.scm 117 */
																																																		goto
																																																			BgL_kapzd27235zd2_2866;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		if ((BgL_carzd27233zd2_2864 == CNST_TABLE_REF(((long) 19))))
																																																			{	/* Ast/sexp.scm 117 */
																																																				goto
																																																					BgL_kapzd27235zd2_2866;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				if ((BgL_carzd27233zd2_2864 == CNST_TABLE_REF(((long) 20))))
																																																					{	/* Ast/sexp.scm 117 */
																																																						goto
																																																							BgL_kapzd27235zd2_2866;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd27233zd2_2864)))
																																																							{	/* Ast/sexp.scm 117 */
																																																								goto
																																																									BgL_kapzd27235zd2_2866;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								bool_t
																																																									BgL_testz00_14728;
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_arg2611z00_2986;
																																																									BgL_arg2611z00_2986
																																																										=
																																																										CAR
																																																										(BgL_expz00_21);
																																																									BgL_testz00_14728
																																																										=
																																																										CBOOL
																																																										(BGl_letzd2symzf3z21zzast_letz00
																																																										(BgL_arg2611z00_2986));
																																																								}
																																																								if (BgL_testz00_14728)
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_14732;
																																																										goto
																																																											BgL_tagzd2382zd2_1662;
																																																										BgL_auxz00_12567
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_14732);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 117 */
																																																										bool_t
																																																											BgL_testz00_14734;
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_arg2610z00_2985;
																																																											BgL_arg2610z00_2985
																																																												=
																																																												CAR
																																																												(BgL_expz00_21);
																																																											BgL_testz00_14734
																																																												=
																																																												CBOOL
																																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																																												(BgL_arg2610z00_2985));
																																																										}
																																																										if (BgL_testz00_14734)
																																																											{
																																																												BgL_letzd2funzd2_bglt
																																																													BgL_auxz00_14738;
																																																												goto
																																																													BgL_tagzd2384zd2_1664;
																																																												BgL_auxz00_12567
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_14738);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 117 */
																																																												obj_t
																																																													BgL_carzd28854zd2_2876;
																																																												BgL_carzd28854zd2_2876
																																																													=
																																																													CAR
																																																													(BgL_expz00_21);
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd28859zd2_2877;
																																																													BgL_cdrzd28859zd2_2877
																																																														=
																																																														CDR
																																																														(BgL_carzd28854zd2_2876);
																																																													if ((CAR(BgL_carzd28854zd2_2876) == CNST_TABLE_REF(((long) 3))))
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (PAIRP(BgL_cdrzd28859zd2_2877))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_arg2542z00_2881;
																																																																	obj_t
																																																																		BgL_arg2543z00_2882;
																																																																	obj_t
																																																																		BgL_arg2544z00_2883;
																																																																	BgL_arg2542z00_2881
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd28859zd2_2877);
																																																																	BgL_arg2543z00_2882
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd28859zd2_2877);
																																																																	BgL_arg2544z00_2883
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_14751;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_14754;
																																																																			obj_t
																																																																				BgL_bodyz00_14753;
																																																																			obj_t
																																																																				BgL_varsz00_14752;
																																																																			BgL_varsz00_14752
																																																																				=
																																																																				BgL_arg2542z00_2881;
																																																																			BgL_bodyz00_14753
																																																																				=
																																																																				BgL_arg2543z00_2882;
																																																																			BgL_argsz00_14754
																																																																				=
																																																																				BgL_arg2544z00_2883;
																																																																			BgL_argsz00_1671
																																																																				=
																																																																				BgL_argsz00_14754;
																																																																			BgL_bodyz00_1670
																																																																				=
																																																																				BgL_bodyz00_14753;
																																																																			BgL_varsz00_1669
																																																																				=
																																																																				BgL_varsz00_14752;
																																																																			goto
																																																																				BgL_tagzd2386zd2_1672;
																																																																		}
																																																																		BgL_auxz00_12567
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_14751);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1706;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_14758;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1707;
																																																																			BgL_auxz00_12567
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_14758);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd28966zd2_2886;
																																																															BgL_cdrzd28966zd2_2886
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_cdrzd28971zd2_2887;
																																																																BgL_cdrzd28971zd2_2887
																																																																	=
																																																																	CDR
																																																																	(BgL_carzd28854zd2_2876);
																																																																if ((CAR(BgL_carzd28854zd2_2876) == CNST_TABLE_REF(((long) 1))))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (PAIRP(BgL_cdrzd28971zd2_2887))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_cdrzd28976zd2_2891;
																																																																				BgL_cdrzd28976zd2_2891
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd28971zd2_2887);
																																																																				if (PAIRP(BgL_cdrzd28976zd2_2891))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_carzd28980zd2_2893;
																																																																						obj_t
																																																																							BgL_cdrzd28981zd2_2894;
																																																																						BgL_carzd28980zd2_2893
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd28976zd2_2891);
																																																																						BgL_cdrzd28981zd2_2894
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd28976zd2_2891);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd28980zd2_2893))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (PAIRP(BgL_cdrzd28981zd2_2894))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_carzd28986zd2_2897;
																																																																										BgL_carzd28986zd2_2897
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd28981zd2_2894);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd28986zd2_2897))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (NULLP(CDR(BgL_cdrzd28981zd2_2894)))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														bool_t
																																																																															BgL_testz00_14783;
																																																																														{
																																																																															obj_t
																																																																																BgL_l1376z00_2930;
																																																																															BgL_l1376z00_2930
																																																																																=
																																																																																BgL_cdrzd28966zd2_2886;
																																																																														BgL_zc3anonymousza32571ze3z83_2931:
																																																																															if (NULLP(BgL_l1376z00_2930))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	BgL_testz00_14783
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		1);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	bool_t
																																																																																		BgL_testz00_14786;
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		bool_t
																																																																																			BgL_testz00_14787;
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			obj_t
																																																																																				BgL_tmpz00_14788;
																																																																																			BgL_tmpz00_14788
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_l1376z00_2930);
																																																																																			BgL_testz00_14787
																																																																																				=
																																																																																				PAIRP
																																																																																				(BgL_tmpz00_14788);
																																																																																		}
																																																																																		if (BgL_testz00_14787)
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				BgL_testz00_14786
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					0);
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				BgL_testz00_14786
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					1);
																																																																																			}
																																																																																	}
																																																																																	if (BgL_testz00_14786)
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_l1376z00_14791;
																																																																																			BgL_l1376z00_14791
																																																																																				=
																																																																																				CDR
																																																																																				(BgL_l1376z00_2930);
																																																																																			BgL_l1376z00_2930
																																																																																				=
																																																																																				BgL_l1376z00_14791;
																																																																																			goto
																																																																																				BgL_zc3anonymousza32571ze3z83_2931;
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			BgL_testz00_14783
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				0);
																																																																																		}
																																																																																}
																																																																														}
																																																																														if (BgL_testz00_14783)
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_arg2561z00_2913;
																																																																																BgL_arg2561z00_2913
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd28971zd2_2887);
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_14794;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_14798;
																																																																																		obj_t
																																																																																			BgL_proc2z00_14797;
																																																																																		obj_t
																																																																																			BgL_proc1z00_14796;
																																																																																		obj_t
																																																																																			BgL_testz00_14795;
																																																																																		BgL_testz00_14795
																																																																																			=
																																																																																			BgL_arg2561z00_2913;
																																																																																		BgL_proc1z00_14796
																																																																																			=
																																																																																			BgL_carzd28980zd2_2893;
																																																																																		BgL_proc2z00_14797
																																																																																			=
																																																																																			BgL_carzd28986zd2_2897;
																																																																																		BgL_argsz00_14798
																																																																																			=
																																																																																			BgL_cdrzd28966zd2_2886;
																																																																																		BgL_argsz00_1676
																																																																																			=
																																																																																			BgL_argsz00_14798;
																																																																																		BgL_proc2z00_1675
																																																																																			=
																																																																																			BgL_proc2z00_14797;
																																																																																		BgL_proc1z00_1674
																																																																																			=
																																																																																			BgL_proc1z00_14796;
																																																																																		BgL_testz00_1673
																																																																																			=
																																																																																			BgL_testz00_14795;
																																																																																		goto
																																																																																			BgL_tagzd2387zd2_1677;
																																																																																	}
																																																																																	BgL_auxz00_12567
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_14794);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_cdrzd29011zd2_2914;
																																																																																BgL_cdrzd29011zd2_2914
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_expz00_21);
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_cdrzd29019zd2_2915;
																																																																																	BgL_cdrzd29019zd2_2915
																																																																																		=
																																																																																		CDR
																																																																																		(CAR
																																																																																		(BgL_expz00_21));
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		obj_t
																																																																																			BgL_cdrzd29027zd2_2916;
																																																																																		BgL_cdrzd29027zd2_2916
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd29019zd2_2915);
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			obj_t
																																																																																				BgL_carzd29034zd2_2917;
																																																																																			BgL_carzd29034zd2_2917
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd29027zd2_2916);
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29034zd2_2917))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					obj_t
																																																																																						BgL_carzd29043zd2_2919;
																																																																																					BgL_carzd29043zd2_2919
																																																																																						=
																																																																																						CAR
																																																																																						(CDR
																																																																																						(BgL_cdrzd29027zd2_2916));
																																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29043zd2_2919))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd29011zd2_2914))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									obj_t
																																																																																										BgL_arg2565z00_2922;
																																																																																									BgL_arg2565z00_2922
																																																																																										=
																																																																																										CAR
																																																																																										(BgL_cdrzd29019zd2_2915);
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_14814;
																																																																																										{
																																																																																											obj_t
																																																																																												BgL_argsz00_14818;
																																																																																											obj_t
																																																																																												BgL_proc2z00_14817;
																																																																																											obj_t
																																																																																												BgL_proc1z00_14816;
																																																																																											obj_t
																																																																																												BgL_testz00_14815;
																																																																																											BgL_testz00_14815
																																																																																												=
																																																																																												BgL_arg2565z00_2922;
																																																																																											BgL_proc1z00_14816
																																																																																												=
																																																																																												BgL_carzd29034zd2_2917;
																																																																																											BgL_proc2z00_14817
																																																																																												=
																																																																																												BgL_carzd29043zd2_2919;
																																																																																											BgL_argsz00_14818
																																																																																												=
																																																																																												BgL_cdrzd29011zd2_2914;
																																																																																											BgL_argsz00_1681
																																																																																												=
																																																																																												BgL_argsz00_14818;
																																																																																											BgL_proc2z00_1680
																																																																																												=
																																																																																												BgL_proc2z00_14817;
																																																																																											BgL_proc1z00_1679
																																																																																												=
																																																																																												BgL_proc1z00_14816;
																																																																																											BgL_testz00_1678
																																																																																												=
																																																																																												BgL_testz00_14815;
																																																																																											goto
																																																																																												BgL_tagzd2388zd2_1682;
																																																																																										}
																																																																																										BgL_auxz00_12567
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_14814);
																																																																																									}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 117 */
																																																																																											goto
																																																																																												BgL_tagzd2403zd2_1706;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_14822;
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1707;
																																																																																											BgL_auxz00_12567
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_14822);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1706;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_14826;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1707;
																																																																																									BgL_auxz00_12567
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_14826);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1706;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_14830;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1707;
																																																																																							BgL_auxz00_12567
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_14830);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	}
																																																																																}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_14834;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_12567
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_14834);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_cdrzd29321zd2_2941;
																																																																												BgL_cdrzd29321zd2_2941
																																																																													=
																																																																													CDR
																																																																													(BgL_expz00_21);
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_cdrzd29328zd2_2942;
																																																																													BgL_cdrzd29328zd2_2942
																																																																														=
																																																																														CDR
																																																																														(CAR
																																																																														(BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_cdrzd29335zd2_2943;
																																																																														BgL_cdrzd29335zd2_2943
																																																																															=
																																																																															CDR
																																																																															(BgL_cdrzd29328zd2_2942);
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_carzd29341zd2_2944;
																																																																															obj_t
																																																																																BgL_cdrzd29342zd2_2945;
																																																																															BgL_carzd29341zd2_2944
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd29335zd2_2943);
																																																																															BgL_cdrzd29342zd2_2945
																																																																																=
																																																																																CDR
																																																																																(BgL_cdrzd29335zd2_2943);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29341zd2_2944))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_carzd29349zd2_2947;
																																																																																	BgL_carzd29349zd2_2947
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd29342zd2_2945);
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29349zd2_2947))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (NULLP(CDR(BgL_cdrzd29342zd2_2945)))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd29321zd2_2941))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							obj_t
																																																																																								BgL_arg2582z00_2952;
																																																																																							BgL_arg2582z00_2952
																																																																																								=
																																																																																								CAR
																																																																																								(BgL_cdrzd29328zd2_2942);
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_14853;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_14857;
																																																																																									obj_t
																																																																																										BgL_proc2z00_14856;
																																																																																									obj_t
																																																																																										BgL_proc1z00_14855;
																																																																																									obj_t
																																																																																										BgL_testz00_14854;
																																																																																									BgL_testz00_14854
																																																																																										=
																																																																																										BgL_arg2582z00_2952;
																																																																																									BgL_proc1z00_14855
																																																																																										=
																																																																																										BgL_carzd29341zd2_2944;
																																																																																									BgL_proc2z00_14856
																																																																																										=
																																																																																										BgL_carzd29349zd2_2947;
																																																																																									BgL_argsz00_14857
																																																																																										=
																																																																																										BgL_cdrzd29321zd2_2941;
																																																																																									BgL_argsz00_1681
																																																																																										=
																																																																																										BgL_argsz00_14857;
																																																																																									BgL_proc2z00_1680
																																																																																										=
																																																																																										BgL_proc2z00_14856;
																																																																																									BgL_proc1z00_1679
																																																																																										=
																																																																																										BgL_proc1z00_14855;
																																																																																									BgL_testz00_1678
																																																																																										=
																																																																																										BgL_testz00_14854;
																																																																																									goto
																																																																																										BgL_tagzd2388zd2_1682;
																																																																																								}
																																																																																								BgL_auxz00_12567
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_14853);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1706;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_14861;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1707;
																																																																																									BgL_auxz00_12567
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_14861);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1706;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_14865;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1707;
																																																																																							BgL_auxz00_12567
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_14865);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1706;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_14869;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1707;
																																																																																					BgL_auxz00_12567
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_14869);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_14873;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_12567
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_14873);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_14877;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_12567
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_14877);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_cdrzd29682zd2_2960;
																																																																								BgL_cdrzd29682zd2_2960
																																																																									=
																																																																									CDR
																																																																									(BgL_expz00_21);
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd29688zd2_2961;
																																																																									BgL_cdrzd29688zd2_2961
																																																																										=
																																																																										CDR
																																																																										(CAR
																																																																										(BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_cdrzd29694zd2_2962;
																																																																										BgL_cdrzd29694zd2_2962
																																																																											=
																																																																											CDR
																																																																											(BgL_cdrzd29688zd2_2961);
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_carzd29699zd2_2963;
																																																																											obj_t
																																																																												BgL_cdrzd29700zd2_2964;
																																																																											BgL_carzd29699zd2_2963
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd29694zd2_2962);
																																																																											BgL_cdrzd29700zd2_2964
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd29694zd2_2962);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29699zd2_2963))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (PAIRP(BgL_cdrzd29700zd2_2964))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_carzd29705zd2_2967;
																																																																															BgL_carzd29705zd2_2967
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd29700zd2_2964);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29705zd2_2967))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (NULLP(CDR(BgL_cdrzd29700zd2_2964)))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd29682zd2_2960))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					obj_t
																																																																																						BgL_arg2596z00_2972;
																																																																																					BgL_arg2596z00_2972
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_cdrzd29688zd2_2961);
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_14898;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_14902;
																																																																																							obj_t
																																																																																								BgL_proc2z00_14901;
																																																																																							obj_t
																																																																																								BgL_proc1z00_14900;
																																																																																							obj_t
																																																																																								BgL_testz00_14899;
																																																																																							BgL_testz00_14899
																																																																																								=
																																																																																								BgL_arg2596z00_2972;
																																																																																							BgL_proc1z00_14900
																																																																																								=
																																																																																								BgL_carzd29699zd2_2963;
																																																																																							BgL_proc2z00_14901
																																																																																								=
																																																																																								BgL_carzd29705zd2_2967;
																																																																																							BgL_argsz00_14902
																																																																																								=
																																																																																								BgL_cdrzd29682zd2_2960;
																																																																																							BgL_argsz00_1681
																																																																																								=
																																																																																								BgL_argsz00_14902;
																																																																																							BgL_proc2z00_1680
																																																																																								=
																																																																																								BgL_proc2z00_14901;
																																																																																							BgL_proc1z00_1679
																																																																																								=
																																																																																								BgL_proc1z00_14900;
																																																																																							BgL_testz00_1678
																																																																																								=
																																																																																								BgL_testz00_14899;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1682;
																																																																																						}
																																																																																						BgL_auxz00_12567
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_14898);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1706;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_14906;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1707;
																																																																																							BgL_auxz00_12567
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_14906);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1706;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_14910;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1707;
																																																																																					BgL_auxz00_12567
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_14910);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_14914;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_12567
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_14914);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_14918;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_12567
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_14918);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1706;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_14922;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1707;
																																																																															BgL_auxz00_12567
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_14922);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_14926;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_12567
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_14926);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_14930;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_12567
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_14930);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1706;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_14934;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1707;
																																																																				BgL_auxz00_12567
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_14934);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 117 */
																																													if ((BgL_carzd27230zd2_2862 == CNST_TABLE_REF(((long) 18))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_14939;
																																															goto
																																																BgL_tagzd2382zd2_1662;
																																															BgL_auxz00_12567
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_14939);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 117 */
																																															if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd27230zd2_2862)))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_14944;
																																																	goto
																																																		BgL_tagzd2382zd2_1662;
																																																	BgL_auxz00_12567
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_14944);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 117 */
																																																	if ((BgL_carzd27230zd2_2862 == CNST_TABLE_REF(((long) 19))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_14949;
																																																			goto
																																																				BgL_tagzd2382zd2_1662;
																																																			BgL_auxz00_12567
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_14949);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 117 */
																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_14955;
																																																					goto
																																																						BgL_tagzd2383zd2_1663;
																																																					BgL_auxz00_12567
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_14955);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_carzd210267zd2_3132;
																																																					BgL_carzd210267zd2_3132
																																																						=
																																																						CAR
																																																						(BgL_expz00_21);
																																																					if ((BgL_carzd210267zd2_3132 == CNST_TABLE_REF(((long) 20))))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_14961;
																																																							goto
																																																								BgL_tagzd2384zd2_1664;
																																																							BgL_auxz00_12567
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_14961);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd210267zd2_3132)))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_14966;
																																																									goto
																																																										BgL_tagzd2384zd2_1664;
																																																									BgL_auxz00_12567
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_14966);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_14972;
																																																											goto
																																																												BgL_tagzd2389zd2_1683;
																																																											BgL_auxz00_12567
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_14972);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_14978;
																																																													goto
																																																														BgL_tagzd2390zd2_1684;
																																																													BgL_auxz00_12567
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_14978);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd210347zd2_3139;
																																																													BgL_cdrzd210347zd2_3139
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_arg2724z00_3142;
																																																															obj_t
																																																																BgL_arg2727z00_3143;
																																																															BgL_arg2724z00_3142
																																																																=
																																																																CAR
																																																																(BgL_cdrzd210347zd2_3139);
																																																															BgL_arg2727z00_3143
																																																																=
																																																																CDR
																																																																(BgL_cdrzd210347zd2_3139);
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_14987;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_14989;
																																																																	obj_t
																																																																		BgL_effectz00_14988;
																																																																	BgL_effectz00_14988
																																																																		=
																																																																		BgL_arg2724z00_3142;
																																																																	BgL_restz00_14989
																																																																		=
																																																																		BgL_arg2727z00_3143;
																																																																	BgL_restz00_1686
																																																																		=
																																																																		BgL_restz00_14989;
																																																																	BgL_effectz00_1685
																																																																		=
																																																																		BgL_effectz00_14988;
																																																																	goto
																																																																		BgL_tagzd2391zd2_1687;
																																																																}
																																																																BgL_auxz00_12567
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_14987);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_14995;
																																																																	goto
																																																																		BgL_tagzd2392zd2_1688;
																																																																	BgL_auxz00_12567
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_14995);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_15001;
																																																																			goto
																																																																				BgL_tagzd2393zd2_1689;
																																																																			BgL_auxz00_12567
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_15001);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_arg2737z00_3151;
																																																																					obj_t
																																																																						BgL_arg2738z00_3152;
																																																																					BgL_arg2737z00_3151
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd210347zd2_3139);
																																																																					BgL_arg2738z00_3152
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd210347zd2_3139);
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_15009;
																																																																						{
																																																																							obj_t
																																																																								BgL_restz00_15011;
																																																																							obj_t
																																																																								BgL_effectz00_15010;
																																																																							BgL_effectz00_15010
																																																																								=
																																																																								BgL_arg2737z00_3151;
																																																																							BgL_restz00_15011
																																																																								=
																																																																								BgL_arg2738z00_3152;
																																																																							BgL_restz00_1691
																																																																								=
																																																																								BgL_restz00_15011;
																																																																							BgL_effectz00_1690
																																																																								=
																																																																								BgL_effectz00_15010;
																																																																							goto
																																																																								BgL_tagzd2394zd2_1692;
																																																																						}
																																																																						BgL_auxz00_12567
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_15009);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_15017;
																																																																							goto
																																																																								BgL_tagzd2395zd2_1693;
																																																																							BgL_auxz00_12567
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_15017);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_15023;
																																																																									goto
																																																																										BgL_tagzd2396zd2_1694;
																																																																									BgL_auxz00_12567
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_15023);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																																										{
																																																																											BgL_letzd2funzd2_bglt
																																																																												BgL_auxz00_15029;
																																																																											goto
																																																																												BgL_tagzd2397zd2_1695;
																																																																											BgL_auxz00_12567
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_15029);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																																												{
																																																																													BgL_jumpzd2exzd2itz00_bglt
																																																																														BgL_auxz00_15035;
																																																																													goto
																																																																														BgL_tagzd2398zd2_1696;
																																																																													BgL_auxz00_12567
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_15035);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_cdrzd210424zd2_3161;
																																																																													BgL_cdrzd210424zd2_3161
																																																																														=
																																																																														CDR
																																																																														(BgL_expz00_21);
																																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_arg2757z00_3164;
																																																																															obj_t
																																																																																BgL_arg2758z00_3165;
																																																																															BgL_arg2757z00_3164
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd210424zd2_3161);
																																																																															BgL_arg2758z00_3165
																																																																																=
																																																																																CDR
																																																																																(BgL_cdrzd210424zd2_3161);
																																																																															{	/* Ast/sexp.scm 538 */
																																																																																obj_t
																																																																																	BgL_arg6415z00_9506;
																																																																																BgL_arg6415z00_9506
																																																																																	=
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_locz00_23);
																																																																																BgL_auxz00_12567
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																		BgL_arg2757z00_3164,
																																																																																		CNST_TABLE_REF
																																																																																		(((long) 4)), BgL_arg2758z00_3165, BgL_stackz00_22, BgL_arg6415z00_9506, BgL_sitez00_24));
																																																																														}}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_15050;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_12567
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_15050);
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 117 */
																																	obj_t
																																		BgL_carzd210447zd2_3182;
																																	BgL_carzd210447zd2_3182
																																		=
																																		CAR
																																		(BgL_expz00_21);
																																	if (
																																		(BgL_carzd210447zd2_3182
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					1))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_15056;
																																			goto
																																				BgL_tagzd2377zd2_1653;
																																			BgL_auxz00_12567
																																				=
																																				((obj_t)
																																				BgL_auxz00_15056);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 117 */
																																			if (
																																				(BgL_carzd210447zd2_3182
																																					==
																																					BGl_za2ifza2z00zzast_sexpz00))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_15060;
																																					goto
																																						BgL_tagzd2377zd2_1653;
																																					BgL_auxz00_12567
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_15060);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 117 */
																																					obj_t
																																						BgL_cdrzd210467zd2_3185;
																																					BgL_cdrzd210467zd2_3185
																																						=
																																						CDR
																																						(BgL_expz00_21);
																																					if (
																																						(CAR
																																							(BgL_expz00_21)
																																							==
																																							CNST_TABLE_REF
																																							(((long) 7))))
																																						{	/* Ast/sexp.scm 117 */
																																							obj_t
																																								BgL_carzd210470zd2_3188;
																																							obj_t
																																								BgL_cdrzd210471zd2_3189;
																																							BgL_carzd210470zd2_3188
																																								=
																																								CAR
																																								(BgL_cdrzd210467zd2_3185);
																																							BgL_cdrzd210471zd2_3189
																																								=
																																								CDR
																																								(BgL_cdrzd210467zd2_3185);
																																							if (PAIRP(BgL_carzd210470zd2_3188))
																																								{	/* Ast/sexp.scm 117 */
																																									if ((CAR(BgL_carzd210470zd2_3188) == CNST_TABLE_REF(((long) 15))))
																																										{	/* Ast/sexp.scm 117 */
																																											if (NULLP(CDR(BgL_cdrzd210471zd2_3189)))
																																												{	/* Ast/sexp.scm 117 */
																																													obj_t
																																														BgL_arg2806z00_3195;
																																													obj_t
																																														BgL_arg2807z00_3196;
																																													BgL_arg2806z00_3195
																																														=
																																														CDR
																																														(BgL_carzd210470zd2_3188);
																																													BgL_arg2807z00_3196
																																														=
																																														CAR
																																														(BgL_cdrzd210471zd2_3189);
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_15080;
																																														BgL_lz00_1654
																																															=
																																															BgL_arg2806z00_3195;
																																														BgL_valz00_1655
																																															=
																																															BgL_arg2807z00_3196;
																																													BgL_tagzd2378zd2_1656:
																																														{	/* Ast/sexp.scm 282 */
																																															bool_t
																																																BgL_testz00_15081;
																																															if (PAIRP(BgL_lz00_1654))
																																																{	/* Ast/sexp.scm 282 */
																																																	bool_t
																																																		BgL_testz00_15084;
																																																	{	/* Ast/sexp.scm 282 */
																																																		obj_t
																																																			BgL_tmpz00_15085;
																																																		BgL_tmpz00_15085
																																																			=
																																																			CDR
																																																			(BgL_lz00_1654);
																																																		BgL_testz00_15084
																																																			=
																																																			PAIRP
																																																			(BgL_tmpz00_15085);
																																																	}
																																																	if (BgL_testz00_15084)
																																																		{
																																																			obj_t
																																																				BgL_l1345z00_7748;
																																																			BgL_l1345z00_7748
																																																				=
																																																				BgL_lz00_1654;
																																																		BgL_zc3anonymousza36202ze3z83_7749:
																																																			if (NULLP(BgL_l1345z00_7748))
																																																				{	/* Ast/sexp.scm 282 */
																																																					BgL_testz00_15081
																																																						=
																																																						(
																																																						(bool_t)
																																																						1);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 282 */
																																																					bool_t
																																																						BgL_testz00_15090;
																																																					{	/* Ast/sexp.scm 282 */
																																																						obj_t
																																																							BgL_tmpz00_15091;
																																																						BgL_tmpz00_15091
																																																							=
																																																							CAR
																																																							(BgL_l1345z00_7748);
																																																						BgL_testz00_15090
																																																							=
																																																							SYMBOLP
																																																							(BgL_tmpz00_15091);
																																																					}
																																																					if (BgL_testz00_15090)
																																																						{
																																																							obj_t
																																																								BgL_l1345z00_15094;
																																																							BgL_l1345z00_15094
																																																								=
																																																								CDR
																																																								(BgL_l1345z00_7748);
																																																							BgL_l1345z00_7748
																																																								=
																																																								BgL_l1345z00_15094;
																																																							goto
																																																								BgL_zc3anonymousza36202ze3z83_7749;
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 282 */
																																																							BgL_testz00_15081
																																																								=
																																																								(
																																																								(bool_t)
																																																								0);
																																																						}
																																																				}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 282 */
																																																			BgL_testz00_15081
																																																				=
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 282 */
																																																	BgL_testz00_15081
																																																		=
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																															if (BgL_testz00_15081)
																																																{	/* Ast/sexp.scm 282 */
																																																	BgL_auxz00_15080
																																																		=
																																																		BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00
																																																		(BgL_lz00_1654,
																																																		BgL_valz00_1655,
																																																		BgL_expz00_21,
																																																		BgL_stackz00_22,
																																																		BgL_locz00_23,
																																																		BgL_sitez00_24);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 284 */
																																																	BgL_nodez00_bglt
																																																		BgL_res6727z00_8790;
																																																	{	/* Ast/sexp.scm 692 */
																																																		obj_t
																																																			BgL_arg6515z00_8786;
																																																		BgL_nodez00_bglt
																																																			BgL_arg6516z00_8787;
																																																		BgL_arg6515z00_8786
																																																			=
																																																			BGl_shapez00zztools_shapez00
																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																			());
																																																		BgL_arg6516z00_8787
																																																			=
																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																			(CNST_TABLE_REF
																																																			(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																																		{	/* Ast/sexp.scm 691 */
																																																			obj_t
																																																				BgL_list6517z00_8789;
																																																			BgL_list6517z00_8789
																																																				=
																																																				MAKE_YOUNG_PAIR
																																																				(
																																																				((obj_t) BgL_arg6516z00_8787), BNIL);
																																																			BgL_res6727z00_8790
																																																				=
																																																				(
																																																				(BgL_nodez00_bglt)
																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																				(BgL_locz00_23,
																																																					BgL_arg6515z00_8786,
																																																					BGl_string7274z00zzast_sexpz00,
																																																					BgL_expz00_21,
																																																					BgL_list6517z00_8789));
																																																	}}
																																																	BgL_auxz00_15080
																																																		=
																																																		BgL_res6727z00_8790;
																																														}}
																																														BgL_auxz00_12567
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_15080);
																																												}}
																																											else
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_15107;
																																													goto
																																														BgL_tagzd2379zd2_1657;
																																													BgL_auxz00_12567
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_15107);
																																												}
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_15109;
																																											goto
																																												BgL_tagzd2379zd2_1657;
																																											BgL_auxz00_12567
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_15109);
																																										}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_15111;
																																									goto
																																										BgL_tagzd2379zd2_1657;
																																									BgL_auxz00_12567
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_15111);
																																								}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 117 */
																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 17))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_15117;
																																									goto
																																										BgL_tagzd2380zd2_1658;
																																									BgL_auxz00_12567
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_15117);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 117 */
																																									obj_t
																																										BgL_carzd210556zd2_3201;
																																									BgL_carzd210556zd2_3201
																																										=
																																										CAR
																																										(BgL_expz00_21);
																																									if (PAIRP(BgL_carzd210556zd2_3201))
																																										{	/* Ast/sexp.scm 117 */
																																											obj_t
																																												BgL_carzd210559zd2_3203;
																																											obj_t
																																												BgL_cdrzd210560zd2_3204;
																																											BgL_carzd210559zd2_3203
																																												=
																																												CAR
																																												(BgL_carzd210556zd2_3201);
																																											BgL_cdrzd210560zd2_3204
																																												=
																																												CDR
																																												(BgL_carzd210556zd2_3201);
																																											{

																																												if ((BgL_carzd210559zd2_3203 == CNST_TABLE_REF(((long) 18))))
																																													{	/* Ast/sexp.scm 117 */
																																													BgL_kapzd210561zd2_3205:
																																														if (PAIRP(BgL_cdrzd210560zd2_3204))
																																															{	/* Ast/sexp.scm 117 */
																																																obj_t
																																																	BgL_cdrzd210564zd2_3327;
																																																BgL_cdrzd210564zd2_3327
																																																	=
																																																	CDR
																																																	(BgL_cdrzd210560zd2_3204);
																																																if (PAIRP(BgL_cdrzd210564zd2_3327))
																																																	{	/* Ast/sexp.scm 117 */
																																																		if (NULLP(CDR(BgL_cdrzd210564zd2_3327)))
																																																			{	/* Ast/sexp.scm 117 */
																																																				obj_t
																																																					BgL_arg2926z00_3331;
																																																				obj_t
																																																					BgL_arg2928z00_3332;
																																																				BgL_arg2926z00_3331
																																																					=
																																																					CAR
																																																					(BgL_cdrzd210564zd2_3327);
																																																				BgL_arg2928z00_3332
																																																					=
																																																					CDR
																																																					(BgL_expz00_21);
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_15137;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_15139;
																																																						obj_t
																																																							BgL_bodyz00_15138;
																																																						BgL_bodyz00_15138
																																																							=
																																																							BgL_arg2926z00_3331;
																																																						BgL_argsz00_15139
																																																							=
																																																							BgL_arg2928z00_3332;
																																																						BgL_argsz00_1660
																																																							=
																																																							BgL_argsz00_15139;
																																																						BgL_bodyz00_1659
																																																							=
																																																							BgL_bodyz00_15138;
																																																						goto
																																																							BgL_tagzd2381zd2_1661;
																																																					}
																																																					BgL_auxz00_12567
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_15137);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				bool_t
																																																					BgL_testz00_15141;
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_arg3019z00_3441;
																																																					BgL_arg3019z00_3441
																																																						=
																																																						CAR
																																																						(BgL_expz00_21);
																																																					BgL_testz00_15141
																																																						=
																																																						CBOOL
																																																						(BGl_letzd2symzf3z21zzast_letz00
																																																						(BgL_arg3019z00_3441));
																																																				}
																																																				if (BgL_testz00_15141)
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_15145;
																																																						goto
																																																							BgL_tagzd2382zd2_1662;
																																																						BgL_auxz00_12567
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_15145);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						bool_t
																																																							BgL_testz00_15147;
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_arg3016z00_3440;
																																																							BgL_arg3016z00_3440
																																																								=
																																																								CAR
																																																								(BgL_expz00_21);
																																																							BgL_testz00_15147
																																																								=
																																																								CBOOL
																																																								(BGl_labelszd2symzf3z21zzast_labelsz00
																																																								(BgL_arg3016z00_3440));
																																																						}
																																																						if (BgL_testz00_15147)
																																																							{
																																																								BgL_letzd2funzd2_bglt
																																																									BgL_auxz00_15151;
																																																								goto
																																																									BgL_tagzd2384zd2_1664;
																																																								BgL_auxz00_12567
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_15151);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								obj_t
																																																									BgL_carzd210642zd2_3337;
																																																								BgL_carzd210642zd2_3337
																																																									=
																																																									CAR
																																																									(BgL_expz00_21);
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_cdrzd210647zd2_3338;
																																																									BgL_cdrzd210647zd2_3338
																																																										=
																																																										CDR
																																																										(BgL_carzd210642zd2_3337);
																																																									if ((CAR(BgL_carzd210642zd2_3337) == CNST_TABLE_REF(((long) 3))))
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_arg2935z00_3341;
																																																											obj_t
																																																												BgL_arg2936z00_3342;
																																																											obj_t
																																																												BgL_arg2937z00_3343;
																																																											BgL_arg2935z00_3341
																																																												=
																																																												CAR
																																																												(BgL_cdrzd210647zd2_3338);
																																																											BgL_arg2936z00_3342
																																																												=
																																																												CDR
																																																												(BgL_cdrzd210647zd2_3338);
																																																											BgL_arg2937z00_3343
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_15162;
																																																												{
																																																													obj_t
																																																														BgL_argsz00_15165;
																																																													obj_t
																																																														BgL_bodyz00_15164;
																																																													obj_t
																																																														BgL_varsz00_15163;
																																																													BgL_varsz00_15163
																																																														=
																																																														BgL_arg2935z00_3341;
																																																													BgL_bodyz00_15164
																																																														=
																																																														BgL_arg2936z00_3342;
																																																													BgL_argsz00_15165
																																																														=
																																																														BgL_arg2937z00_3343;
																																																													BgL_argsz00_1671
																																																														=
																																																														BgL_argsz00_15165;
																																																													BgL_bodyz00_1670
																																																														=
																																																														BgL_bodyz00_15164;
																																																													BgL_varsz00_1669
																																																														=
																																																														BgL_varsz00_15163;
																																																													goto
																																																														BgL_tagzd2386zd2_1672;
																																																												}
																																																												BgL_auxz00_12567
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_15162);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd210670zd2_3345;
																																																											BgL_cdrzd210670zd2_3345
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											{	/* Ast/sexp.scm 117 */
																																																												obj_t
																																																													BgL_cdrzd210676zd2_3346;
																																																												BgL_cdrzd210676zd2_3346
																																																													=
																																																													CDR
																																																													(BgL_carzd210642zd2_3337);
																																																												if ((CAR(BgL_carzd210642zd2_3337) == CNST_TABLE_REF(((long) 1))))
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_cdrzd210682zd2_3349;
																																																														BgL_cdrzd210682zd2_3349
																																																															=
																																																															CDR
																																																															(BgL_cdrzd210676zd2_3346);
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_carzd210687zd2_3350;
																																																															obj_t
																																																																BgL_cdrzd210688zd2_3351;
																																																															BgL_carzd210687zd2_3350
																																																																=
																																																																CAR
																																																																(BgL_cdrzd210682zd2_3349);
																																																															BgL_cdrzd210688zd2_3351
																																																																=
																																																																CDR
																																																																(BgL_cdrzd210682zd2_3349);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd210687zd2_3350))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (PAIRP(BgL_cdrzd210688zd2_3351))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_carzd210695zd2_3354;
																																																																			BgL_carzd210695zd2_3354
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd210688zd2_3351);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd210695zd2_3354))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if (NULLP(CDR(BgL_cdrzd210688zd2_3351)))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							bool_t
																																																																								BgL_testz00_15186;
																																																																							{
																																																																								obj_t
																																																																									BgL_l1379z00_3387;
																																																																								BgL_l1379z00_3387
																																																																									=
																																																																									BgL_cdrzd210670zd2_3345;
																																																																							BgL_zc3anonymousza32962ze3z83_3388:
																																																																								if (NULLP(BgL_l1379z00_3387))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										BgL_testz00_15186
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										bool_t
																																																																											BgL_testz00_15189;
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											bool_t
																																																																												BgL_testz00_15190;
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_tmpz00_15191;
																																																																												BgL_tmpz00_15191
																																																																													=
																																																																													CAR
																																																																													(BgL_l1379z00_3387);
																																																																												BgL_testz00_15190
																																																																													=
																																																																													PAIRP
																																																																													(BgL_tmpz00_15191);
																																																																											}
																																																																											if (BgL_testz00_15190)
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													BgL_testz00_15189
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													BgL_testz00_15189
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																										}
																																																																										if (BgL_testz00_15189)
																																																																											{
																																																																												obj_t
																																																																													BgL_l1379z00_15194;
																																																																												BgL_l1379z00_15194
																																																																													=
																																																																													CDR
																																																																													(BgL_l1379z00_3387);
																																																																												BgL_l1379z00_3387
																																																																													=
																																																																													BgL_l1379z00_15194;
																																																																												goto
																																																																													BgL_zc3anonymousza32962ze3z83_3388;
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												BgL_testz00_15186
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																									}
																																																																							}
																																																																							if (BgL_testz00_15186)
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_arg2951z00_3370;
																																																																									BgL_arg2951z00_3370
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd210676zd2_3346);
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_15197;
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_15201;
																																																																											obj_t
																																																																												BgL_proc2z00_15200;
																																																																											obj_t
																																																																												BgL_proc1z00_15199;
																																																																											obj_t
																																																																												BgL_testz00_15198;
																																																																											BgL_testz00_15198
																																																																												=
																																																																												BgL_arg2951z00_3370;
																																																																											BgL_proc1z00_15199
																																																																												=
																																																																												BgL_carzd210687zd2_3350;
																																																																											BgL_proc2z00_15200
																																																																												=
																																																																												BgL_carzd210695zd2_3354;
																																																																											BgL_argsz00_15201
																																																																												=
																																																																												BgL_cdrzd210670zd2_3345;
																																																																											BgL_argsz00_1676
																																																																												=
																																																																												BgL_argsz00_15201;
																																																																											BgL_proc2z00_1675
																																																																												=
																																																																												BgL_proc2z00_15200;
																																																																											BgL_proc1z00_1674
																																																																												=
																																																																												BgL_proc1z00_15199;
																																																																											BgL_testz00_1673
																																																																												=
																																																																												BgL_testz00_15198;
																																																																											goto
																																																																												BgL_tagzd2387zd2_1677;
																																																																										}
																																																																										BgL_auxz00_12567
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_15197);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd210719zd2_3371;
																																																																									BgL_cdrzd210719zd2_3371
																																																																										=
																																																																										CDR
																																																																										(BgL_expz00_21);
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_cdrzd210726zd2_3372;
																																																																										BgL_cdrzd210726zd2_3372
																																																																											=
																																																																											CDR
																																																																											(CAR
																																																																											(BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_cdrzd210733zd2_3373;
																																																																											BgL_cdrzd210733zd2_3373
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd210726zd2_3372);
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_carzd210739zd2_3374;
																																																																												BgL_carzd210739zd2_3374
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd210733zd2_3373);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd210739zd2_3374))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_carzd210746zd2_3376;
																																																																														BgL_carzd210746zd2_3376
																																																																															=
																																																																															CAR
																																																																															(CDR
																																																																															(BgL_cdrzd210733zd2_3373));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd210746zd2_3376))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd210719zd2_3371))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		obj_t
																																																																																			BgL_arg2956z00_3379;
																																																																																		BgL_arg2956z00_3379
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd210726zd2_3372);
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_15217;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_15221;
																																																																																				obj_t
																																																																																					BgL_proc2z00_15220;
																																																																																				obj_t
																																																																																					BgL_proc1z00_15219;
																																																																																				obj_t
																																																																																					BgL_testz00_15218;
																																																																																				BgL_testz00_15218
																																																																																					=
																																																																																					BgL_arg2956z00_3379;
																																																																																				BgL_proc1z00_15219
																																																																																					=
																																																																																					BgL_carzd210739zd2_3374;
																																																																																				BgL_proc2z00_15220
																																																																																					=
																																																																																					BgL_carzd210746zd2_3376;
																																																																																				BgL_argsz00_15221
																																																																																					=
																																																																																					BgL_cdrzd210719zd2_3371;
																																																																																				BgL_argsz00_1681
																																																																																					=
																																																																																					BgL_argsz00_15221;
																																																																																				BgL_proc2z00_1680
																																																																																					=
																																																																																					BgL_proc2z00_15220;
																																																																																				BgL_proc1z00_1679
																																																																																					=
																																																																																					BgL_proc1z00_15219;
																																																																																				BgL_testz00_1678
																																																																																					=
																																																																																					BgL_testz00_15218;
																																																																																				goto
																																																																																					BgL_tagzd2388zd2_1682;
																																																																																			}
																																																																																			BgL_auxz00_12567
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_15217);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1706;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_15225;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1707;
																																																																																				BgL_auxz00_12567
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_15225);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_15229;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_12567
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_15229);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_15233;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_12567
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_15233);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1706;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_15237;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1707;
																																																																									BgL_auxz00_12567
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_15237);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd211022zd2_3398;
																																																																					BgL_cdrzd211022zd2_3398
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_21);
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_cdrzd211028zd2_3399;
																																																																						BgL_cdrzd211028zd2_3399
																																																																							=
																																																																							CDR
																																																																							(CAR
																																																																							(BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd211034zd2_3400;
																																																																							BgL_cdrzd211034zd2_3400
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd211028zd2_3399);
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_carzd211039zd2_3401;
																																																																								obj_t
																																																																									BgL_cdrzd211040zd2_3402;
																																																																								BgL_carzd211039zd2_3401
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd211034zd2_3400);
																																																																								BgL_cdrzd211040zd2_3402
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd211034zd2_3400);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211039zd2_3401))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_carzd211045zd2_3404;
																																																																										BgL_carzd211045zd2_3404
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd211040zd2_3402);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211045zd2_3404))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (NULLP(CDR(BgL_cdrzd211040zd2_3402)))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd211022zd2_3398))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_arg2986z00_3409;
																																																																																BgL_arg2986z00_3409
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd211028zd2_3399);
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_15256;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_15260;
																																																																																		obj_t
																																																																																			BgL_proc2z00_15259;
																																																																																		obj_t
																																																																																			BgL_proc1z00_15258;
																																																																																		obj_t
																																																																																			BgL_testz00_15257;
																																																																																		BgL_testz00_15257
																																																																																			=
																																																																																			BgL_arg2986z00_3409;
																																																																																		BgL_proc1z00_15258
																																																																																			=
																																																																																			BgL_carzd211039zd2_3401;
																																																																																		BgL_proc2z00_15259
																																																																																			=
																																																																																			BgL_carzd211045zd2_3404;
																																																																																		BgL_argsz00_15260
																																																																																			=
																																																																																			BgL_cdrzd211022zd2_3398;
																																																																																		BgL_argsz00_1681
																																																																																			=
																																																																																			BgL_argsz00_15260;
																																																																																		BgL_proc2z00_1680
																																																																																			=
																																																																																			BgL_proc2z00_15259;
																																																																																		BgL_proc1z00_1679
																																																																																			=
																																																																																			BgL_proc1z00_15258;
																																																																																		BgL_testz00_1678
																																																																																			=
																																																																																			BgL_testz00_15257;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1682;
																																																																																	}
																																																																																	BgL_auxz00_12567
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_15256);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_15264;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_12567
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_15264);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_15268;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_12567
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_15268);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_15272;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_12567
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_15272);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_15276;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_12567
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_15276);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1706;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_15280;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1707;
																																																																					BgL_auxz00_12567
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_15280);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd211378zd2_3417;
																																																																	BgL_cdrzd211378zd2_3417
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_cdrzd211385zd2_3418;
																																																																		BgL_cdrzd211385zd2_3418
																																																																			=
																																																																			CDR
																																																																			(CAR
																																																																			(BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd211392zd2_3419;
																																																																			BgL_cdrzd211392zd2_3419
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd211385zd2_3418);
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_carzd211398zd2_3420;
																																																																				obj_t
																																																																					BgL_cdrzd211399zd2_3421;
																																																																				BgL_carzd211398zd2_3420
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd211392zd2_3419);
																																																																				BgL_cdrzd211399zd2_3421
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd211392zd2_3419);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211398zd2_3420))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (PAIRP(BgL_cdrzd211399zd2_3421))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_carzd211406zd2_3424;
																																																																								BgL_carzd211406zd2_3424
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd211399zd2_3421);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211406zd2_3424))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (NULLP(CDR(BgL_cdrzd211399zd2_3421)))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd211378zd2_3417))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_arg3002z00_3429;
																																																																														BgL_arg3002z00_3429
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd211385zd2_3418);
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_15301;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_15305;
																																																																																obj_t
																																																																																	BgL_proc2z00_15304;
																																																																																obj_t
																																																																																	BgL_proc1z00_15303;
																																																																																obj_t
																																																																																	BgL_testz00_15302;
																																																																																BgL_testz00_15302
																																																																																	=
																																																																																	BgL_arg3002z00_3429;
																																																																																BgL_proc1z00_15303
																																																																																	=
																																																																																	BgL_carzd211398zd2_3420;
																																																																																BgL_proc2z00_15304
																																																																																	=
																																																																																	BgL_carzd211406zd2_3424;
																																																																																BgL_argsz00_15305
																																																																																	=
																																																																																	BgL_cdrzd211378zd2_3417;
																																																																																BgL_argsz00_1681
																																																																																	=
																																																																																	BgL_argsz00_15305;
																																																																																BgL_proc2z00_1680
																																																																																	=
																																																																																	BgL_proc2z00_15304;
																																																																																BgL_proc1z00_1679
																																																																																	=
																																																																																	BgL_proc1z00_15303;
																																																																																BgL_testz00_1678
																																																																																	=
																																																																																	BgL_testz00_15302;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1682;
																																																																															}
																																																																															BgL_auxz00_12567
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_15301);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_15309;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_12567
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_15309);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_15313;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_12567
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_15313);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_15317;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_12567
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_15317);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_15321;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_12567
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_15321);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_15325;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_12567
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_15325);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 117 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 117 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1706;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_15329;
																																																																goto
																																																																	BgL_tagzd2404zd2_1707;
																																																																BgL_auxz00_12567
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_15329);
																																																															}
																																																													}
																																																											}
																																																										}
																																																								}
																																																							}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		bool_t
																																																			BgL_testz00_15331;
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_arg3042z00_3457;
																																																			BgL_arg3042z00_3457
																																																				=
																																																				CAR
																																																				(BgL_expz00_21);
																																																			BgL_testz00_15331
																																																				=
																																																				CBOOL
																																																				(BGl_letzd2symzf3z21zzast_letz00
																																																				(BgL_arg3042z00_3457));
																																																		}
																																																		if (BgL_testz00_15331)
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_15335;
																																																				goto
																																																					BgL_tagzd2382zd2_1662;
																																																				BgL_auxz00_12567
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_15335);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				bool_t
																																																					BgL_testz00_15337;
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_arg3041z00_3456;
																																																					BgL_arg3041z00_3456
																																																						=
																																																						CAR
																																																						(BgL_expz00_21);
																																																					BgL_testz00_15337
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg3041z00_3456));
																																																				}
																																																				if (BgL_testz00_15337)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_15341;
																																																						goto
																																																							BgL_tagzd2384zd2_1664;
																																																						BgL_auxz00_12567
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_15341);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						obj_t
																																																							BgL_carzd211852zd2_3447;
																																																						BgL_carzd211852zd2_3447
																																																							=
																																																							CAR
																																																							(BgL_expz00_21);
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_cdrzd211857zd2_3448;
																																																							BgL_cdrzd211857zd2_3448
																																																								=
																																																								CDR
																																																								(BgL_carzd211852zd2_3447);
																																																							if ((CAR(BgL_carzd211852zd2_3447) == CNST_TABLE_REF(((long) 3))))
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_arg3031z00_3451;
																																																									obj_t
																																																										BgL_arg3034z00_3452;
																																																									obj_t
																																																										BgL_arg3036z00_3453;
																																																									BgL_arg3031z00_3451
																																																										=
																																																										CAR
																																																										(BgL_cdrzd211857zd2_3448);
																																																									BgL_arg3034z00_3452
																																																										=
																																																										CDR
																																																										(BgL_cdrzd211857zd2_3448);
																																																									BgL_arg3036z00_3453
																																																										=
																																																										CDR
																																																										(BgL_expz00_21);
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_15352;
																																																										{
																																																											obj_t
																																																												BgL_argsz00_15355;
																																																											obj_t
																																																												BgL_bodyz00_15354;
																																																											obj_t
																																																												BgL_varsz00_15353;
																																																											BgL_varsz00_15353
																																																												=
																																																												BgL_arg3031z00_3451;
																																																											BgL_bodyz00_15354
																																																												=
																																																												BgL_arg3034z00_3452;
																																																											BgL_argsz00_15355
																																																												=
																																																												BgL_arg3036z00_3453;
																																																											BgL_argsz00_1671
																																																												=
																																																												BgL_argsz00_15355;
																																																											BgL_bodyz00_1670
																																																												=
																																																												BgL_bodyz00_15354;
																																																											BgL_varsz00_1669
																																																												=
																																																												BgL_varsz00_15353;
																																																											goto
																																																												BgL_tagzd2386zd2_1672;
																																																										}
																																																										BgL_auxz00_12567
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_15352);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 117 */
																																																											goto
																																																												BgL_tagzd2403zd2_1706;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_15359;
																																																											goto
																																																												BgL_tagzd2404zd2_1707;
																																																											BgL_auxz00_12567
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_15359);
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																bool_t
																																																	BgL_testz00_15361;
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_arg3050z00_3464;
																																																	BgL_arg3050z00_3464
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	BgL_testz00_15361
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg3050z00_3464));
																																																}
																																																if (BgL_testz00_15361)
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_15365;
																																																		goto
																																																			BgL_tagzd2382zd2_1662;
																																																		BgL_auxz00_12567
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_15365);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		bool_t
																																																			BgL_testz00_15367;
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_arg3049z00_3463;
																																																			BgL_arg3049z00_3463
																																																				=
																																																				CAR
																																																				(BgL_expz00_21);
																																																			BgL_testz00_15367
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg3049z00_3463));
																																																		}
																																																		if (BgL_testz00_15367)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_15371;
																																																				goto
																																																					BgL_tagzd2384zd2_1664;
																																																				BgL_auxz00_12567
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_15371);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{	/* Ast/sexp.scm 117 */
																																																						goto
																																																							BgL_tagzd2403zd2_1706;
																																																					}
																																																				else
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_15375;
																																																						goto
																																																							BgL_tagzd2404zd2_1707;
																																																						BgL_auxz00_12567
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_15375);
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd210559zd2_3203)))
																																															{	/* Ast/sexp.scm 117 */
																																																goto
																																																	BgL_kapzd210561zd2_3205;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																if ((BgL_carzd210559zd2_3203 == CNST_TABLE_REF(((long) 19))))
																																																	{	/* Ast/sexp.scm 117 */
																																																		goto
																																																			BgL_kapzd210561zd2_3205;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		if ((BgL_carzd210559zd2_3203 == CNST_TABLE_REF(((long) 20))))
																																																			{	/* Ast/sexp.scm 117 */
																																																				goto
																																																					BgL_kapzd210561zd2_3205;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd210559zd2_3203)))
																																																					{	/* Ast/sexp.scm 117 */
																																																						goto
																																																							BgL_kapzd210561zd2_3205;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						bool_t
																																																							BgL_testz00_15389;
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_arg2919z00_3325;
																																																							BgL_arg2919z00_3325
																																																								=
																																																								CAR
																																																								(BgL_expz00_21);
																																																							BgL_testz00_15389
																																																								=
																																																								CBOOL
																																																								(BGl_letzd2symzf3z21zzast_letz00
																																																								(BgL_arg2919z00_3325));
																																																						}
																																																						if (BgL_testz00_15389)
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_15393;
																																																								goto
																																																									BgL_tagzd2382zd2_1662;
																																																								BgL_auxz00_12567
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_15393);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								bool_t
																																																									BgL_testz00_15395;
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_arg2918z00_3324;
																																																									BgL_arg2918z00_3324
																																																										=
																																																										CAR
																																																										(BgL_expz00_21);
																																																									BgL_testz00_15395
																																																										=
																																																										CBOOL
																																																										(BGl_labelszd2symzf3z21zzast_labelsz00
																																																										(BgL_arg2918z00_3324));
																																																								}
																																																								if (BgL_testz00_15395)
																																																									{
																																																										BgL_letzd2funzd2_bglt
																																																											BgL_auxz00_15399;
																																																										goto
																																																											BgL_tagzd2384zd2_1664;
																																																										BgL_auxz00_12567
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_15399);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 117 */
																																																										obj_t
																																																											BgL_carzd212180zd2_3215;
																																																										BgL_carzd212180zd2_3215
																																																											=
																																																											CAR
																																																											(BgL_expz00_21);
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd212185zd2_3216;
																																																											BgL_cdrzd212185zd2_3216
																																																												=
																																																												CDR
																																																												(BgL_carzd212180zd2_3215);
																																																											if ((CAR(BgL_carzd212180zd2_3215) == CNST_TABLE_REF(((long) 3))))
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (PAIRP(BgL_cdrzd212185zd2_3216))
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_arg2828z00_3220;
																																																															obj_t
																																																																BgL_arg2829z00_3221;
																																																															obj_t
																																																																BgL_arg2832z00_3222;
																																																															BgL_arg2828z00_3220
																																																																=
																																																																CAR
																																																																(BgL_cdrzd212185zd2_3216);
																																																															BgL_arg2829z00_3221
																																																																=
																																																																CDR
																																																																(BgL_cdrzd212185zd2_3216);
																																																															BgL_arg2832z00_3222
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_15412;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_15415;
																																																																	obj_t
																																																																		BgL_bodyz00_15414;
																																																																	obj_t
																																																																		BgL_varsz00_15413;
																																																																	BgL_varsz00_15413
																																																																		=
																																																																		BgL_arg2828z00_3220;
																																																																	BgL_bodyz00_15414
																																																																		=
																																																																		BgL_arg2829z00_3221;
																																																																	BgL_argsz00_15415
																																																																		=
																																																																		BgL_arg2832z00_3222;
																																																																	BgL_argsz00_1671
																																																																		=
																																																																		BgL_argsz00_15415;
																																																																	BgL_bodyz00_1670
																																																																		=
																																																																		BgL_bodyz00_15414;
																																																																	BgL_varsz00_1669
																																																																		=
																																																																		BgL_varsz00_15413;
																																																																	goto
																																																																		BgL_tagzd2386zd2_1672;
																																																																}
																																																																BgL_auxz00_12567
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_15412);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1706;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_15419;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1707;
																																																																	BgL_auxz00_12567
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_15419);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd212292zd2_3225;
																																																													BgL_cdrzd212292zd2_3225
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_cdrzd212297zd2_3226;
																																																														BgL_cdrzd212297zd2_3226
																																																															=
																																																															CDR
																																																															(BgL_carzd212180zd2_3215);
																																																														if ((CAR(BgL_carzd212180zd2_3215) == CNST_TABLE_REF(((long) 1))))
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (PAIRP(BgL_cdrzd212297zd2_3226))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_cdrzd212302zd2_3230;
																																																																		BgL_cdrzd212302zd2_3230
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd212297zd2_3226);
																																																																		if (PAIRP(BgL_cdrzd212302zd2_3230))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_carzd212306zd2_3232;
																																																																				obj_t
																																																																					BgL_cdrzd212307zd2_3233;
																																																																				BgL_carzd212306zd2_3232
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd212302zd2_3230);
																																																																				BgL_cdrzd212307zd2_3233
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd212302zd2_3230);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212306zd2_3232))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (PAIRP(BgL_cdrzd212307zd2_3233))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_carzd212312zd2_3236;
																																																																								BgL_carzd212312zd2_3236
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd212307zd2_3233);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212312zd2_3236))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (NULLP(CDR(BgL_cdrzd212307zd2_3233)))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												bool_t
																																																																													BgL_testz00_15444;
																																																																												{
																																																																													obj_t
																																																																														BgL_l1382z00_3269;
																																																																													BgL_l1382z00_3269
																																																																														=
																																																																														BgL_cdrzd212292zd2_3225;
																																																																												BgL_zc3anonymousza32862ze3z83_3270:
																																																																													if (NULLP(BgL_l1382z00_3269))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															BgL_testz00_15444
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															bool_t
																																																																																BgL_testz00_15447;
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																bool_t
																																																																																	BgL_testz00_15448;
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_tmpz00_15449;
																																																																																	BgL_tmpz00_15449
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_l1382z00_3269);
																																																																																	BgL_testz00_15448
																																																																																		=
																																																																																		PAIRP
																																																																																		(BgL_tmpz00_15449);
																																																																																}
																																																																																if (BgL_testz00_15448)
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		BgL_testz00_15447
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		BgL_testz00_15447
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			1);
																																																																																	}
																																																																															}
																																																																															if (BgL_testz00_15447)
																																																																																{
																																																																																	obj_t
																																																																																		BgL_l1382z00_15452;
																																																																																	BgL_l1382z00_15452
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_l1382z00_3269);
																																																																																	BgL_l1382z00_3269
																																																																																		=
																																																																																		BgL_l1382z00_15452;
																																																																																	goto
																																																																																		BgL_zc3anonymousza32862ze3z83_3270;
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	BgL_testz00_15444
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																														}
																																																																												}
																																																																												if (BgL_testz00_15444)
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_arg2849z00_3252;
																																																																														BgL_arg2849z00_3252
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd212297zd2_3226);
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_15455;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_15459;
																																																																																obj_t
																																																																																	BgL_proc2z00_15458;
																																																																																obj_t
																																																																																	BgL_proc1z00_15457;
																																																																																obj_t
																																																																																	BgL_testz00_15456;
																																																																																BgL_testz00_15456
																																																																																	=
																																																																																	BgL_arg2849z00_3252;
																																																																																BgL_proc1z00_15457
																																																																																	=
																																																																																	BgL_carzd212306zd2_3232;
																																																																																BgL_proc2z00_15458
																																																																																	=
																																																																																	BgL_carzd212312zd2_3236;
																																																																																BgL_argsz00_15459
																																																																																	=
																																																																																	BgL_cdrzd212292zd2_3225;
																																																																																BgL_argsz00_1676
																																																																																	=
																																																																																	BgL_argsz00_15459;
																																																																																BgL_proc2z00_1675
																																																																																	=
																																																																																	BgL_proc2z00_15458;
																																																																																BgL_proc1z00_1674
																																																																																	=
																																																																																	BgL_proc1z00_15457;
																																																																																BgL_testz00_1673
																																																																																	=
																																																																																	BgL_testz00_15456;
																																																																																goto
																																																																																	BgL_tagzd2387zd2_1677;
																																																																															}
																																																																															BgL_auxz00_12567
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_15455);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_cdrzd212337zd2_3253;
																																																																														BgL_cdrzd212337zd2_3253
																																																																															=
																																																																															CDR
																																																																															(BgL_expz00_21);
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_cdrzd212345zd2_3254;
																																																																															BgL_cdrzd212345zd2_3254
																																																																																=
																																																																																CDR
																																																																																(CAR
																																																																																(BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_cdrzd212353zd2_3255;
																																																																																BgL_cdrzd212353zd2_3255
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_cdrzd212345zd2_3254);
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_carzd212360zd2_3256;
																																																																																	BgL_carzd212360zd2_3256
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd212353zd2_3255);
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212360zd2_3256))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			obj_t
																																																																																				BgL_carzd212369zd2_3258;
																																																																																			BgL_carzd212369zd2_3258
																																																																																				=
																																																																																				CAR
																																																																																				(CDR
																																																																																				(BgL_cdrzd212353zd2_3255));
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212369zd2_3258))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd212337zd2_3253))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							obj_t
																																																																																								BgL_arg2856z00_3261;
																																																																																							BgL_arg2856z00_3261
																																																																																								=
																																																																																								CAR
																																																																																								(BgL_cdrzd212345zd2_3254);
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_15475;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_15479;
																																																																																									obj_t
																																																																																										BgL_proc2z00_15478;
																																																																																									obj_t
																																																																																										BgL_proc1z00_15477;
																																																																																									obj_t
																																																																																										BgL_testz00_15476;
																																																																																									BgL_testz00_15476
																																																																																										=
																																																																																										BgL_arg2856z00_3261;
																																																																																									BgL_proc1z00_15477
																																																																																										=
																																																																																										BgL_carzd212360zd2_3256;
																																																																																									BgL_proc2z00_15478
																																																																																										=
																																																																																										BgL_carzd212369zd2_3258;
																																																																																									BgL_argsz00_15479
																																																																																										=
																																																																																										BgL_cdrzd212337zd2_3253;
																																																																																									BgL_argsz00_1681
																																																																																										=
																																																																																										BgL_argsz00_15479;
																																																																																									BgL_proc2z00_1680
																																																																																										=
																																																																																										BgL_proc2z00_15478;
																																																																																									BgL_proc1z00_1679
																																																																																										=
																																																																																										BgL_proc1z00_15477;
																																																																																									BgL_testz00_1678
																																																																																										=
																																																																																										BgL_testz00_15476;
																																																																																									goto
																																																																																										BgL_tagzd2388zd2_1682;
																																																																																								}
																																																																																								BgL_auxz00_12567
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_15475);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1706;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_15483;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1707;
																																																																																									BgL_auxz00_12567
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_15483);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1706;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_15487;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1707;
																																																																																							BgL_auxz00_12567
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_15487);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1706;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_15491;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1707;
																																																																																					BgL_auxz00_12567
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_15491);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_15495;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_12567
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_15495);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_cdrzd212647zd2_3280;
																																																																										BgL_cdrzd212647zd2_3280
																																																																											=
																																																																											CDR
																																																																											(BgL_expz00_21);
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_cdrzd212654zd2_3281;
																																																																											BgL_cdrzd212654zd2_3281
																																																																												=
																																																																												CDR
																																																																												(CAR
																																																																												(BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_cdrzd212661zd2_3282;
																																																																												BgL_cdrzd212661zd2_3282
																																																																													=
																																																																													CDR
																																																																													(BgL_cdrzd212654zd2_3281);
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_carzd212667zd2_3283;
																																																																													obj_t
																																																																														BgL_cdrzd212668zd2_3284;
																																																																													BgL_carzd212667zd2_3283
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd212661zd2_3282);
																																																																													BgL_cdrzd212668zd2_3284
																																																																														=
																																																																														CDR
																																																																														(BgL_cdrzd212661zd2_3282);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212667zd2_3283))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_carzd212675zd2_3286;
																																																																															BgL_carzd212675zd2_3286
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd212668zd2_3284);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212675zd2_3286))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (NULLP(CDR(BgL_cdrzd212668zd2_3284)))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd212647zd2_3280))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					obj_t
																																																																																						BgL_arg2872z00_3291;
																																																																																					BgL_arg2872z00_3291
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_cdrzd212654zd2_3281);
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_15514;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_15518;
																																																																																							obj_t
																																																																																								BgL_proc2z00_15517;
																																																																																							obj_t
																																																																																								BgL_proc1z00_15516;
																																																																																							obj_t
																																																																																								BgL_testz00_15515;
																																																																																							BgL_testz00_15515
																																																																																								=
																																																																																								BgL_arg2872z00_3291;
																																																																																							BgL_proc1z00_15516
																																																																																								=
																																																																																								BgL_carzd212667zd2_3283;
																																																																																							BgL_proc2z00_15517
																																																																																								=
																																																																																								BgL_carzd212675zd2_3286;
																																																																																							BgL_argsz00_15518
																																																																																								=
																																																																																								BgL_cdrzd212647zd2_3280;
																																																																																							BgL_argsz00_1681
																																																																																								=
																																																																																								BgL_argsz00_15518;
																																																																																							BgL_proc2z00_1680
																																																																																								=
																																																																																								BgL_proc2z00_15517;
																																																																																							BgL_proc1z00_1679
																																																																																								=
																																																																																								BgL_proc1z00_15516;
																																																																																							BgL_testz00_1678
																																																																																								=
																																																																																								BgL_testz00_15515;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1682;
																																																																																						}
																																																																																						BgL_auxz00_12567
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_15514);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1706;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_15522;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1707;
																																																																																							BgL_auxz00_12567
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_15522);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1706;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_15526;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1707;
																																																																																					BgL_auxz00_12567
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_15526);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_15530;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_12567
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_15530);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_15534;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_12567
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_15534);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_15538;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_12567
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_15538);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_cdrzd213008zd2_3299;
																																																																						BgL_cdrzd213008zd2_3299
																																																																							=
																																																																							CDR
																																																																							(BgL_expz00_21);
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd213014zd2_3300;
																																																																							BgL_cdrzd213014zd2_3300
																																																																								=
																																																																								CDR
																																																																								(CAR
																																																																								(BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_cdrzd213020zd2_3301;
																																																																								BgL_cdrzd213020zd2_3301
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd213014zd2_3300);
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_carzd213025zd2_3302;
																																																																									obj_t
																																																																										BgL_cdrzd213026zd2_3303;
																																																																									BgL_carzd213025zd2_3302
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd213020zd2_3301);
																																																																									BgL_cdrzd213026zd2_3303
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd213020zd2_3301);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd213025zd2_3302))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (PAIRP(BgL_cdrzd213026zd2_3303))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_carzd213031zd2_3306;
																																																																													BgL_carzd213031zd2_3306
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd213026zd2_3303);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd213031zd2_3306))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (NULLP(CDR(BgL_cdrzd213026zd2_3303)))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd213008zd2_3299))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			obj_t
																																																																																				BgL_arg2905z00_3311;
																																																																																			BgL_arg2905z00_3311
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd213014zd2_3300);
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_15559;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_15563;
																																																																																					obj_t
																																																																																						BgL_proc2z00_15562;
																																																																																					obj_t
																																																																																						BgL_proc1z00_15561;
																																																																																					obj_t
																																																																																						BgL_testz00_15560;
																																																																																					BgL_testz00_15560
																																																																																						=
																																																																																						BgL_arg2905z00_3311;
																																																																																					BgL_proc1z00_15561
																																																																																						=
																																																																																						BgL_carzd213025zd2_3302;
																																																																																					BgL_proc2z00_15562
																																																																																						=
																																																																																						BgL_carzd213031zd2_3306;
																																																																																					BgL_argsz00_15563
																																																																																						=
																																																																																						BgL_cdrzd213008zd2_3299;
																																																																																					BgL_argsz00_1681
																																																																																						=
																																																																																						BgL_argsz00_15563;
																																																																																					BgL_proc2z00_1680
																																																																																						=
																																																																																						BgL_proc2z00_15562;
																																																																																					BgL_proc1z00_1679
																																																																																						=
																																																																																						BgL_proc1z00_15561;
																																																																																					BgL_testz00_1678
																																																																																						=
																																																																																						BgL_testz00_15560;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1682;
																																																																																				}
																																																																																				BgL_auxz00_12567
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_15559);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1706;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_15567;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1707;
																																																																																					BgL_auxz00_12567
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_15567);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_15571;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_12567
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_15571);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_15575;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_12567
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_15575);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1706;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_15579;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1707;
																																																																															BgL_auxz00_12567
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_15579);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1706;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_15583;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1707;
																																																																													BgL_auxz00_12567
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_15583);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_15587;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_12567
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_15587);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1706;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_15591;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1707;
																																																																				BgL_auxz00_12567
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_15591);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1706;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_15595;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1707;
																																																																		BgL_auxz00_12567
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_15595);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																										}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 117 */
																																											if ((BgL_carzd210556zd2_3201 == CNST_TABLE_REF(((long) 18))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_15600;
																																													goto
																																														BgL_tagzd2382zd2_1662;
																																													BgL_auxz00_12567
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_15600);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 117 */
																																													if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd210556zd2_3201)))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_15605;
																																															goto
																																																BgL_tagzd2382zd2_1662;
																																															BgL_auxz00_12567
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_15605);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 117 */
																																															if ((BgL_carzd210556zd2_3201 == CNST_TABLE_REF(((long) 19))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_15610;
																																																	goto
																																																		BgL_tagzd2382zd2_1662;
																																																	BgL_auxz00_12567
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_15610);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 117 */
																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_15616;
																																																			goto
																																																				BgL_tagzd2383zd2_1663;
																																																			BgL_auxz00_12567
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_15616);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_carzd213593zd2_3471;
																																																			BgL_carzd213593zd2_3471
																																																				=
																																																				CAR
																																																				(BgL_expz00_21);
																																																			if ((BgL_carzd213593zd2_3471 == CNST_TABLE_REF(((long) 20))))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_15622;
																																																					goto
																																																						BgL_tagzd2384zd2_1664;
																																																					BgL_auxz00_12567
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_15622);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd213593zd2_3471)))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_15627;
																																																							goto
																																																								BgL_tagzd2384zd2_1664;
																																																							BgL_auxz00_12567
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_15627);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_15633;
																																																									goto
																																																										BgL_tagzd2389zd2_1683;
																																																									BgL_auxz00_12567
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_15633);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_15639;
																																																											goto
																																																												BgL_tagzd2390zd2_1684;
																																																											BgL_auxz00_12567
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_15639);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd213673zd2_3478;
																																																											BgL_cdrzd213673zd2_3478
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_arg3067z00_3481;
																																																													obj_t
																																																														BgL_arg3068z00_3482;
																																																													BgL_arg3067z00_3481
																																																														=
																																																														CAR
																																																														(BgL_cdrzd213673zd2_3478);
																																																													BgL_arg3068z00_3482
																																																														=
																																																														CDR
																																																														(BgL_cdrzd213673zd2_3478);
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_15648;
																																																														{
																																																															obj_t
																																																																BgL_restz00_15650;
																																																															obj_t
																																																																BgL_effectz00_15649;
																																																															BgL_effectz00_15649
																																																																=
																																																																BgL_arg3067z00_3481;
																																																															BgL_restz00_15650
																																																																=
																																																																BgL_arg3068z00_3482;
																																																															BgL_restz00_1686
																																																																=
																																																																BgL_restz00_15650;
																																																															BgL_effectz00_1685
																																																																=
																																																																BgL_effectz00_15649;
																																																															goto
																																																																BgL_tagzd2391zd2_1687;
																																																														}
																																																														BgL_auxz00_12567
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_15648);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_15656;
																																																															goto
																																																																BgL_tagzd2392zd2_1688;
																																																															BgL_auxz00_12567
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_15656);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_15662;
																																																																	goto
																																																																		BgL_tagzd2393zd2_1689;
																																																																	BgL_auxz00_12567
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_15662);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_arg3087z00_3490;
																																																																			obj_t
																																																																				BgL_arg3088z00_3491;
																																																																			BgL_arg3087z00_3490
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd213673zd2_3478);
																																																																			BgL_arg3088z00_3491
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd213673zd2_3478);
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_15670;
																																																																				{
																																																																					obj_t
																																																																						BgL_restz00_15672;
																																																																					obj_t
																																																																						BgL_effectz00_15671;
																																																																					BgL_effectz00_15671
																																																																						=
																																																																						BgL_arg3087z00_3490;
																																																																					BgL_restz00_15672
																																																																						=
																																																																						BgL_arg3088z00_3491;
																																																																					BgL_restz00_1691
																																																																						=
																																																																						BgL_restz00_15672;
																																																																					BgL_effectz00_1690
																																																																						=
																																																																						BgL_effectz00_15671;
																																																																					goto
																																																																						BgL_tagzd2394zd2_1692;
																																																																				}
																																																																				BgL_auxz00_12567
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_15670);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_15678;
																																																																					goto
																																																																						BgL_tagzd2395zd2_1693;
																																																																					BgL_auxz00_12567
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_15678);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_15684;
																																																																							goto
																																																																								BgL_tagzd2396zd2_1694;
																																																																							BgL_auxz00_12567
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_15684);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																																								{
																																																																									BgL_letzd2funzd2_bglt
																																																																										BgL_auxz00_15690;
																																																																									goto
																																																																										BgL_tagzd2397zd2_1695;
																																																																									BgL_auxz00_12567
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_15690);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																																										{
																																																																											BgL_jumpzd2exzd2itz00_bglt
																																																																												BgL_auxz00_15696;
																																																																											goto
																																																																												BgL_tagzd2398zd2_1696;
																																																																											BgL_auxz00_12567
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_15696);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 31))))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (NULLP(CDR(CDR(CDR(BgL_expz00_21)))))
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_15707;
																																																																														BgL_tagzd2399zd2_1697:
																																																																															BgL_auxz00_15707 = BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																															BgL_auxz00_12567
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_15707);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_15712;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_12567
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_15712);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_cdrzd213766zd2_3510;
																																																																													BgL_cdrzd213766zd2_3510
																																																																														=
																																																																														CDR
																																																																														(BgL_expz00_21);
																																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_arg3119z00_3513;
																																																																															obj_t
																																																																																BgL_arg3120z00_3514;
																																																																															BgL_arg3119z00_3513
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd213766zd2_3510);
																																																																															BgL_arg3120z00_3514
																																																																																=
																																																																																CDR
																																																																																(BgL_cdrzd213766zd2_3510);
																																																																															{	/* Ast/sexp.scm 538 */
																																																																																obj_t
																																																																																	BgL_arg6415z00_9677;
																																																																																BgL_arg6415z00_9677
																																																																																	=
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_locz00_23);
																																																																																BgL_auxz00_12567
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																		BgL_arg3119z00_3513,
																																																																																		CNST_TABLE_REF
																																																																																		(((long) 4)), BgL_arg3120z00_3514, BgL_stackz00_22, BgL_arg6415z00_9677, BgL_sitez00_24));
																																																																														}}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_15727;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_12567
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_15727);
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 117 */
																															obj_t
																																BgL_carzd213789zd2_3531;
																															BgL_carzd213789zd2_3531
																																=
																																CAR
																																(BgL_expz00_21);
																															if (
																																(BgL_carzd213789zd2_3531
																																	==
																																	CNST_TABLE_REF
																																	(((long) 1))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_15733;
																																	goto
																																		BgL_tagzd2377zd2_1653;
																																	BgL_auxz00_12567
																																		=
																																		((obj_t)
																																		BgL_auxz00_15733);
																																}
																															else
																																{	/* Ast/sexp.scm 117 */
																																	if (
																																		(BgL_carzd213789zd2_3531
																																			==
																																			BGl_za2ifza2z00zzast_sexpz00))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_15737;
																																			goto
																																				BgL_tagzd2377zd2_1653;
																																			BgL_auxz00_12567
																																				=
																																				((obj_t)
																																				BgL_auxz00_15737);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 117 */
																																			obj_t
																																				BgL_cdrzd213809zd2_3534;
																																			BgL_cdrzd213809zd2_3534
																																				=
																																				CDR
																																				(BgL_expz00_21);
																																			if ((CAR
																																					(BgL_expz00_21)
																																					==
																																					CNST_TABLE_REF
																																					(((long) 7))))
																																				{	/* Ast/sexp.scm 117 */
																																					obj_t
																																						BgL_carzd213812zd2_3537;
																																					obj_t
																																						BgL_cdrzd213813zd2_3538;
																																					BgL_carzd213812zd2_3537
																																						=
																																						CAR
																																						(BgL_cdrzd213809zd2_3534);
																																					BgL_cdrzd213813zd2_3538
																																						=
																																						CDR
																																						(BgL_cdrzd213809zd2_3534);
																																					if (PAIRP(BgL_carzd213812zd2_3537))
																																						{	/* Ast/sexp.scm 117 */
																																							if ((CAR(BgL_carzd213812zd2_3537) == CNST_TABLE_REF(((long) 15))))
																																								{	/* Ast/sexp.scm 117 */
																																									if (NULLP(CDR(BgL_cdrzd213813zd2_3538)))
																																										{	/* Ast/sexp.scm 117 */
																																											obj_t
																																												BgL_arg3163z00_3544;
																																											obj_t
																																												BgL_arg3164z00_3545;
																																											BgL_arg3163z00_3544
																																												=
																																												CDR
																																												(BgL_carzd213812zd2_3537);
																																											BgL_arg3164z00_3545
																																												=
																																												CAR
																																												(BgL_cdrzd213813zd2_3538);
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_15757;
																																												{
																																													obj_t
																																														BgL_valz00_15759;
																																													obj_t
																																														BgL_lz00_15758;
																																													BgL_lz00_15758
																																														=
																																														BgL_arg3163z00_3544;
																																													BgL_valz00_15759
																																														=
																																														BgL_arg3164z00_3545;
																																													BgL_valz00_1655
																																														=
																																														BgL_valz00_15759;
																																													BgL_lz00_1654
																																														=
																																														BgL_lz00_15758;
																																													goto
																																														BgL_tagzd2378zd2_1656;
																																												}
																																												BgL_auxz00_12567
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_15757);
																																											}
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_15761;
																																											goto
																																												BgL_tagzd2379zd2_1657;
																																											BgL_auxz00_12567
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_15761);
																																										}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_15763;
																																									goto
																																										BgL_tagzd2379zd2_1657;
																																									BgL_auxz00_12567
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_15763);
																																								}
																																						}
																																					else
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_15765;
																																							goto
																																								BgL_tagzd2379zd2_1657;
																																							BgL_auxz00_12567
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_15765);
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 117 */
																																					if (
																																						(CAR
																																							(BgL_expz00_21)
																																							==
																																							CNST_TABLE_REF
																																							(((long) 17))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_15771;
																																							goto
																																								BgL_tagzd2380zd2_1658;
																																							BgL_auxz00_12567
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_15771);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 117 */
																																							obj_t
																																								BgL_carzd213898zd2_3550;
																																							BgL_carzd213898zd2_3550
																																								=
																																								CAR
																																								(BgL_expz00_21);
																																							if (PAIRP(BgL_carzd213898zd2_3550))
																																								{	/* Ast/sexp.scm 117 */
																																									obj_t
																																										BgL_carzd213901zd2_3552;
																																									obj_t
																																										BgL_cdrzd213902zd2_3553;
																																									BgL_carzd213901zd2_3552
																																										=
																																										CAR
																																										(BgL_carzd213898zd2_3550);
																																									BgL_cdrzd213902zd2_3553
																																										=
																																										CDR
																																										(BgL_carzd213898zd2_3550);
																																									{

																																										if ((BgL_carzd213901zd2_3552 == CNST_TABLE_REF(((long) 18))))
																																											{	/* Ast/sexp.scm 117 */
																																											BgL_kapzd213903zd2_3554:
																																												if (PAIRP(BgL_cdrzd213902zd2_3553))
																																													{	/* Ast/sexp.scm 117 */
																																														obj_t
																																															BgL_cdrzd213906zd2_3676;
																																														BgL_cdrzd213906zd2_3676
																																															=
																																															CDR
																																															(BgL_cdrzd213902zd2_3553);
																																														if (PAIRP(BgL_cdrzd213906zd2_3676))
																																															{	/* Ast/sexp.scm 117 */
																																																if (NULLP(CDR(BgL_cdrzd213906zd2_3676)))
																																																	{	/* Ast/sexp.scm 117 */
																																																		obj_t
																																																			BgL_arg3274z00_3680;
																																																		obj_t
																																																			BgL_arg3275z00_3681;
																																																		BgL_arg3274z00_3680
																																																			=
																																																			CAR
																																																			(BgL_cdrzd213906zd2_3676);
																																																		BgL_arg3275z00_3681
																																																			=
																																																			CDR
																																																			(BgL_expz00_21);
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_15791;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_15793;
																																																				obj_t
																																																					BgL_bodyz00_15792;
																																																				BgL_bodyz00_15792
																																																					=
																																																					BgL_arg3274z00_3680;
																																																				BgL_argsz00_15793
																																																					=
																																																					BgL_arg3275z00_3681;
																																																				BgL_argsz00_1660
																																																					=
																																																					BgL_argsz00_15793;
																																																				BgL_bodyz00_1659
																																																					=
																																																					BgL_bodyz00_15792;
																																																				goto
																																																					BgL_tagzd2381zd2_1661;
																																																			}
																																																			BgL_auxz00_12567
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_15791);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		bool_t
																																																			BgL_testz00_15795;
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_arg3358z00_3790;
																																																			BgL_arg3358z00_3790
																																																				=
																																																				CAR
																																																				(BgL_expz00_21);
																																																			BgL_testz00_15795
																																																				=
																																																				CBOOL
																																																				(BGl_letzd2symzf3z21zzast_letz00
																																																				(BgL_arg3358z00_3790));
																																																		}
																																																		if (BgL_testz00_15795)
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_15799;
																																																				goto
																																																					BgL_tagzd2382zd2_1662;
																																																				BgL_auxz00_12567
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_15799);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				bool_t
																																																					BgL_testz00_15801;
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_arg3357z00_3789;
																																																					BgL_arg3357z00_3789
																																																						=
																																																						CAR
																																																						(BgL_expz00_21);
																																																					BgL_testz00_15801
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg3357z00_3789));
																																																				}
																																																				if (BgL_testz00_15801)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_15805;
																																																						goto
																																																							BgL_tagzd2384zd2_1664;
																																																						BgL_auxz00_12567
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_15805);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						obj_t
																																																							BgL_carzd213984zd2_3686;
																																																						BgL_carzd213984zd2_3686
																																																							=
																																																							CAR
																																																							(BgL_expz00_21);
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_cdrzd213989zd2_3687;
																																																							BgL_cdrzd213989zd2_3687
																																																								=
																																																								CDR
																																																								(BgL_carzd213984zd2_3686);
																																																							if ((CAR(BgL_carzd213984zd2_3686) == CNST_TABLE_REF(((long) 3))))
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_arg3284z00_3690;
																																																									obj_t
																																																										BgL_arg3285z00_3691;
																																																									obj_t
																																																										BgL_arg3286z00_3692;
																																																									BgL_arg3284z00_3690
																																																										=
																																																										CAR
																																																										(BgL_cdrzd213989zd2_3687);
																																																									BgL_arg3285z00_3691
																																																										=
																																																										CDR
																																																										(BgL_cdrzd213989zd2_3687);
																																																									BgL_arg3286z00_3692
																																																										=
																																																										CDR
																																																										(BgL_expz00_21);
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_15816;
																																																										{
																																																											obj_t
																																																												BgL_argsz00_15819;
																																																											obj_t
																																																												BgL_bodyz00_15818;
																																																											obj_t
																																																												BgL_varsz00_15817;
																																																											BgL_varsz00_15817
																																																												=
																																																												BgL_arg3284z00_3690;
																																																											BgL_bodyz00_15818
																																																												=
																																																												BgL_arg3285z00_3691;
																																																											BgL_argsz00_15819
																																																												=
																																																												BgL_arg3286z00_3692;
																																																											BgL_argsz00_1671
																																																												=
																																																												BgL_argsz00_15819;
																																																											BgL_bodyz00_1670
																																																												=
																																																												BgL_bodyz00_15818;
																																																											BgL_varsz00_1669
																																																												=
																																																												BgL_varsz00_15817;
																																																											goto
																																																												BgL_tagzd2386zd2_1672;
																																																										}
																																																										BgL_auxz00_12567
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_15816);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_cdrzd214012zd2_3694;
																																																									BgL_cdrzd214012zd2_3694
																																																										=
																																																										CDR
																																																										(BgL_expz00_21);
																																																									{	/* Ast/sexp.scm 117 */
																																																										obj_t
																																																											BgL_cdrzd214018zd2_3695;
																																																										BgL_cdrzd214018zd2_3695
																																																											=
																																																											CDR
																																																											(BgL_carzd213984zd2_3686);
																																																										if ((CAR(BgL_carzd213984zd2_3686) == CNST_TABLE_REF(((long) 1))))
																																																											{	/* Ast/sexp.scm 117 */
																																																												obj_t
																																																													BgL_cdrzd214024zd2_3698;
																																																												BgL_cdrzd214024zd2_3698
																																																													=
																																																													CDR
																																																													(BgL_cdrzd214018zd2_3695);
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_carzd214029zd2_3699;
																																																													obj_t
																																																														BgL_cdrzd214030zd2_3700;
																																																													BgL_carzd214029zd2_3699
																																																														=
																																																														CAR
																																																														(BgL_cdrzd214024zd2_3698);
																																																													BgL_cdrzd214030zd2_3700
																																																														=
																																																														CDR
																																																														(BgL_cdrzd214024zd2_3698);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214029zd2_3699))
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (PAIRP(BgL_cdrzd214030zd2_3700))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_carzd214037zd2_3703;
																																																																	BgL_carzd214037zd2_3703
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd214030zd2_3700);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214037zd2_3703))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (NULLP(CDR(BgL_cdrzd214030zd2_3700)))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					bool_t
																																																																						BgL_testz00_15840;
																																																																					{
																																																																						obj_t
																																																																							BgL_l1385z00_3736;
																																																																						BgL_l1385z00_3736
																																																																							=
																																																																							BgL_cdrzd214012zd2_3694;
																																																																					BgL_zc3anonymousza33309ze3z83_3737:
																																																																						if (NULLP(BgL_l1385z00_3736))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								BgL_testz00_15840
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									1);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								bool_t
																																																																									BgL_testz00_15843;
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									bool_t
																																																																										BgL_testz00_15844;
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_tmpz00_15845;
																																																																										BgL_tmpz00_15845
																																																																											=
																																																																											CAR
																																																																											(BgL_l1385z00_3736);
																																																																										BgL_testz00_15844
																																																																											=
																																																																											PAIRP
																																																																											(BgL_tmpz00_15845);
																																																																									}
																																																																									if (BgL_testz00_15844)
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											BgL_testz00_15843
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											BgL_testz00_15843
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																								}
																																																																								if (BgL_testz00_15843)
																																																																									{
																																																																										obj_t
																																																																											BgL_l1385z00_15848;
																																																																										BgL_l1385z00_15848
																																																																											=
																																																																											CDR
																																																																											(BgL_l1385z00_3736);
																																																																										BgL_l1385z00_3736
																																																																											=
																																																																											BgL_l1385z00_15848;
																																																																										goto
																																																																											BgL_zc3anonymousza33309ze3z83_3737;
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										BgL_testz00_15840
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																							}
																																																																					}
																																																																					if (BgL_testz00_15840)
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_arg3299z00_3719;
																																																																							BgL_arg3299z00_3719
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd214018zd2_3695);
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_15851;
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_15855;
																																																																									obj_t
																																																																										BgL_proc2z00_15854;
																																																																									obj_t
																																																																										BgL_proc1z00_15853;
																																																																									obj_t
																																																																										BgL_testz00_15852;
																																																																									BgL_testz00_15852
																																																																										=
																																																																										BgL_arg3299z00_3719;
																																																																									BgL_proc1z00_15853
																																																																										=
																																																																										BgL_carzd214029zd2_3699;
																																																																									BgL_proc2z00_15854
																																																																										=
																																																																										BgL_carzd214037zd2_3703;
																																																																									BgL_argsz00_15855
																																																																										=
																																																																										BgL_cdrzd214012zd2_3694;
																																																																									BgL_argsz00_1676
																																																																										=
																																																																										BgL_argsz00_15855;
																																																																									BgL_proc2z00_1675
																																																																										=
																																																																										BgL_proc2z00_15854;
																																																																									BgL_proc1z00_1674
																																																																										=
																																																																										BgL_proc1z00_15853;
																																																																									BgL_testz00_1673
																																																																										=
																																																																										BgL_testz00_15852;
																																																																									goto
																																																																										BgL_tagzd2387zd2_1677;
																																																																								}
																																																																								BgL_auxz00_12567
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_15851);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd214061zd2_3720;
																																																																							BgL_cdrzd214061zd2_3720
																																																																								=
																																																																								CDR
																																																																								(BgL_expz00_21);
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_cdrzd214068zd2_3721;
																																																																								BgL_cdrzd214068zd2_3721
																																																																									=
																																																																									CDR
																																																																									(CAR
																																																																									(BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd214075zd2_3722;
																																																																									BgL_cdrzd214075zd2_3722
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd214068zd2_3721);
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_carzd214081zd2_3723;
																																																																										BgL_carzd214081zd2_3723
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd214075zd2_3722);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214081zd2_3723))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_carzd214088zd2_3725;
																																																																												BgL_carzd214088zd2_3725
																																																																													=
																																																																													CAR
																																																																													(CDR
																																																																													(BgL_cdrzd214075zd2_3722));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214088zd2_3725))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd214061zd2_3720))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_arg3303z00_3728;
																																																																																BgL_arg3303z00_3728
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd214068zd2_3721);
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_15871;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_15875;
																																																																																		obj_t
																																																																																			BgL_proc2z00_15874;
																																																																																		obj_t
																																																																																			BgL_proc1z00_15873;
																																																																																		obj_t
																																																																																			BgL_testz00_15872;
																																																																																		BgL_testz00_15872
																																																																																			=
																																																																																			BgL_arg3303z00_3728;
																																																																																		BgL_proc1z00_15873
																																																																																			=
																																																																																			BgL_carzd214081zd2_3723;
																																																																																		BgL_proc2z00_15874
																																																																																			=
																																																																																			BgL_carzd214088zd2_3725;
																																																																																		BgL_argsz00_15875
																																																																																			=
																																																																																			BgL_cdrzd214061zd2_3720;
																																																																																		BgL_argsz00_1681
																																																																																			=
																																																																																			BgL_argsz00_15875;
																																																																																		BgL_proc2z00_1680
																																																																																			=
																																																																																			BgL_proc2z00_15874;
																																																																																		BgL_proc1z00_1679
																																																																																			=
																																																																																			BgL_proc1z00_15873;
																																																																																		BgL_testz00_1678
																																																																																			=
																																																																																			BgL_testz00_15872;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1682;
																																																																																	}
																																																																																	BgL_auxz00_12567
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_15871);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_15879;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_12567
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_15879);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_15883;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_12567
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_15883);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_15887;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_12567
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_15887);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1706;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_15891;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1707;
																																																																							BgL_auxz00_12567
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_15891);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd214364zd2_3747;
																																																																			BgL_cdrzd214364zd2_3747
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_cdrzd214370zd2_3748;
																																																																				BgL_cdrzd214370zd2_3748
																																																																					=
																																																																					CDR
																																																																					(CAR
																																																																					(BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd214376zd2_3749;
																																																																					BgL_cdrzd214376zd2_3749
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd214370zd2_3748);
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_carzd214381zd2_3750;
																																																																						obj_t
																																																																							BgL_cdrzd214382zd2_3751;
																																																																						BgL_carzd214381zd2_3750
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd214376zd2_3749);
																																																																						BgL_cdrzd214382zd2_3751
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd214376zd2_3749);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214381zd2_3750))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_carzd214387zd2_3753;
																																																																								BgL_carzd214387zd2_3753
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd214382zd2_3751);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214387zd2_3753))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (NULLP(CDR(BgL_cdrzd214382zd2_3751)))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd214364zd2_3747))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_arg3320z00_3758;
																																																																														BgL_arg3320z00_3758
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd214370zd2_3748);
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_15910;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_15914;
																																																																																obj_t
																																																																																	BgL_proc2z00_15913;
																																																																																obj_t
																																																																																	BgL_proc1z00_15912;
																																																																																obj_t
																																																																																	BgL_testz00_15911;
																																																																																BgL_testz00_15911
																																																																																	=
																																																																																	BgL_arg3320z00_3758;
																																																																																BgL_proc1z00_15912
																																																																																	=
																																																																																	BgL_carzd214381zd2_3750;
																																																																																BgL_proc2z00_15913
																																																																																	=
																																																																																	BgL_carzd214387zd2_3753;
																																																																																BgL_argsz00_15914
																																																																																	=
																																																																																	BgL_cdrzd214364zd2_3747;
																																																																																BgL_argsz00_1681
																																																																																	=
																																																																																	BgL_argsz00_15914;
																																																																																BgL_proc2z00_1680
																																																																																	=
																																																																																	BgL_proc2z00_15913;
																																																																																BgL_proc1z00_1679
																																																																																	=
																																																																																	BgL_proc1z00_15912;
																																																																																BgL_testz00_1678
																																																																																	=
																																																																																	BgL_testz00_15911;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1682;
																																																																															}
																																																																															BgL_auxz00_12567
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_15910);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_15918;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_12567
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_15918);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_15922;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_12567
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_15922);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_15926;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_12567
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_15926);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_15930;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_12567
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_15930);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1706;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_15934;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1707;
																																																																			BgL_auxz00_12567
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_15934);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd214720zd2_3766;
																																																															BgL_cdrzd214720zd2_3766
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_cdrzd214727zd2_3767;
																																																																BgL_cdrzd214727zd2_3767
																																																																	=
																																																																	CDR
																																																																	(CAR
																																																																	(BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd214734zd2_3768;
																																																																	BgL_cdrzd214734zd2_3768
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd214727zd2_3767);
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_carzd214740zd2_3769;
																																																																		obj_t
																																																																			BgL_cdrzd214741zd2_3770;
																																																																		BgL_carzd214740zd2_3769
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd214734zd2_3768);
																																																																		BgL_cdrzd214741zd2_3770
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd214734zd2_3768);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214740zd2_3769))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (PAIRP(BgL_cdrzd214741zd2_3770))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_carzd214748zd2_3773;
																																																																						BgL_carzd214748zd2_3773
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd214741zd2_3770);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214748zd2_3773))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (NULLP(CDR(BgL_cdrzd214741zd2_3770)))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd214720zd2_3766))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_arg3344z00_3778;
																																																																												BgL_arg3344z00_3778
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd214727zd2_3767);
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_15955;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_15959;
																																																																														obj_t
																																																																															BgL_proc2z00_15958;
																																																																														obj_t
																																																																															BgL_proc1z00_15957;
																																																																														obj_t
																																																																															BgL_testz00_15956;
																																																																														BgL_testz00_15956
																																																																															=
																																																																															BgL_arg3344z00_3778;
																																																																														BgL_proc1z00_15957
																																																																															=
																																																																															BgL_carzd214740zd2_3769;
																																																																														BgL_proc2z00_15958
																																																																															=
																																																																															BgL_carzd214748zd2_3773;
																																																																														BgL_argsz00_15959
																																																																															=
																																																																															BgL_cdrzd214720zd2_3766;
																																																																														BgL_argsz00_1681
																																																																															=
																																																																															BgL_argsz00_15959;
																																																																														BgL_proc2z00_1680
																																																																															=
																																																																															BgL_proc2z00_15958;
																																																																														BgL_proc1z00_1679
																																																																															=
																																																																															BgL_proc1z00_15957;
																																																																														BgL_testz00_1678
																																																																															=
																																																																															BgL_testz00_15956;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1682;
																																																																													}
																																																																													BgL_auxz00_12567
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_15955);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_15963;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_12567
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_15963);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_15967;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_12567
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_15967);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_15971;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_12567
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_15971);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_15975;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_12567
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_15975);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_15979;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_12567
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_15979);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 117 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 117 */
																																																														goto
																																																															BgL_tagzd2403zd2_1706;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_15983;
																																																														goto
																																																															BgL_tagzd2404zd2_1707;
																																																														BgL_auxz00_12567
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_15983);
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																bool_t
																																																	BgL_testz00_15985;
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_arg3379z00_3806;
																																																	BgL_arg3379z00_3806
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	BgL_testz00_15985
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg3379z00_3806));
																																																}
																																																if (BgL_testz00_15985)
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_15989;
																																																		goto
																																																			BgL_tagzd2382zd2_1662;
																																																		BgL_auxz00_12567
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_15989);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		bool_t
																																																			BgL_testz00_15991;
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_arg3377z00_3805;
																																																			BgL_arg3377z00_3805
																																																				=
																																																				CAR
																																																				(BgL_expz00_21);
																																																			BgL_testz00_15991
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg3377z00_3805));
																																																		}
																																																		if (BgL_testz00_15991)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_15995;
																																																				goto
																																																					BgL_tagzd2384zd2_1664;
																																																				BgL_auxz00_12567
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_15995);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				obj_t
																																																					BgL_carzd215194zd2_3796;
																																																				BgL_carzd215194zd2_3796
																																																					=
																																																					CAR
																																																					(BgL_expz00_21);
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_cdrzd215199zd2_3797;
																																																					BgL_cdrzd215199zd2_3797
																																																						=
																																																						CDR
																																																						(BgL_carzd215194zd2_3796);
																																																					if ((CAR(BgL_carzd215194zd2_3796) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_arg3370z00_3800;
																																																							obj_t
																																																								BgL_arg3371z00_3801;
																																																							obj_t
																																																								BgL_arg3373z00_3802;
																																																							BgL_arg3370z00_3800
																																																								=
																																																								CAR
																																																								(BgL_cdrzd215199zd2_3797);
																																																							BgL_arg3371z00_3801
																																																								=
																																																								CDR
																																																								(BgL_cdrzd215199zd2_3797);
																																																							BgL_arg3373z00_3802
																																																								=
																																																								CDR
																																																								(BgL_expz00_21);
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_16006;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_16009;
																																																									obj_t
																																																										BgL_bodyz00_16008;
																																																									obj_t
																																																										BgL_varsz00_16007;
																																																									BgL_varsz00_16007
																																																										=
																																																										BgL_arg3370z00_3800;
																																																									BgL_bodyz00_16008
																																																										=
																																																										BgL_arg3371z00_3801;
																																																									BgL_argsz00_16009
																																																										=
																																																										BgL_arg3373z00_3802;
																																																									BgL_argsz00_1671
																																																										=
																																																										BgL_argsz00_16009;
																																																									BgL_bodyz00_1670
																																																										=
																																																										BgL_bodyz00_16008;
																																																									BgL_varsz00_1669
																																																										=
																																																										BgL_varsz00_16007;
																																																									goto
																																																										BgL_tagzd2386zd2_1672;
																																																								}
																																																								BgL_auxz00_12567
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_16006);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{	/* Ast/sexp.scm 117 */
																																																									goto
																																																										BgL_tagzd2403zd2_1706;
																																																								}
																																																							else
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_16013;
																																																									goto
																																																										BgL_tagzd2404zd2_1707;
																																																									BgL_auxz00_12567
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_16013);
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														bool_t
																																															BgL_testz00_16015;
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_arg3386z00_3813;
																																															BgL_arg3386z00_3813
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_testz00_16015
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg3386z00_3813));
																																														}
																																														if (BgL_testz00_16015)
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_16019;
																																																goto
																																																	BgL_tagzd2382zd2_1662;
																																																BgL_auxz00_12567
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_16019);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																bool_t
																																																	BgL_testz00_16021;
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_arg3385z00_3812;
																																																	BgL_arg3385z00_3812
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	BgL_testz00_16021
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg3385z00_3812));
																																																}
																																																if (BgL_testz00_16021)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_16025;
																																																		goto
																																																			BgL_tagzd2384zd2_1664;
																																																		BgL_auxz00_12567
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_16025);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																			{	/* Ast/sexp.scm 117 */
																																																				goto
																																																					BgL_tagzd2403zd2_1706;
																																																			}
																																																		else
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_16029;
																																																				goto
																																																					BgL_tagzd2404zd2_1707;
																																																				BgL_auxz00_12567
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_16029);
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd213901zd2_3552)))
																																													{	/* Ast/sexp.scm 117 */
																																														goto
																																															BgL_kapzd213903zd2_3554;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														if ((BgL_carzd213901zd2_3552 == CNST_TABLE_REF(((long) 19))))
																																															{	/* Ast/sexp.scm 117 */
																																																goto
																																																	BgL_kapzd213903zd2_3554;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																if ((BgL_carzd213901zd2_3552 == CNST_TABLE_REF(((long) 20))))
																																																	{	/* Ast/sexp.scm 117 */
																																																		goto
																																																			BgL_kapzd213903zd2_3554;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd213901zd2_3552)))
																																																			{	/* Ast/sexp.scm 117 */
																																																				goto
																																																					BgL_kapzd213903zd2_3554;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				bool_t
																																																					BgL_testz00_16043;
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_arg3267z00_3674;
																																																					BgL_arg3267z00_3674
																																																						=
																																																						CAR
																																																						(BgL_expz00_21);
																																																					BgL_testz00_16043
																																																						=
																																																						CBOOL
																																																						(BGl_letzd2symzf3z21zzast_letz00
																																																						(BgL_arg3267z00_3674));
																																																				}
																																																				if (BgL_testz00_16043)
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_16047;
																																																						goto
																																																							BgL_tagzd2382zd2_1662;
																																																						BgL_auxz00_12567
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_16047);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						bool_t
																																																							BgL_testz00_16049;
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_arg3266z00_3673;
																																																							BgL_arg3266z00_3673
																																																								=
																																																								CAR
																																																								(BgL_expz00_21);
																																																							BgL_testz00_16049
																																																								=
																																																								CBOOL
																																																								(BGl_labelszd2symzf3z21zzast_labelsz00
																																																								(BgL_arg3266z00_3673));
																																																						}
																																																						if (BgL_testz00_16049)
																																																							{
																																																								BgL_letzd2funzd2_bglt
																																																									BgL_auxz00_16053;
																																																								goto
																																																									BgL_tagzd2384zd2_1664;
																																																								BgL_auxz00_12567
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_16053);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								obj_t
																																																									BgL_carzd215522zd2_3564;
																																																								BgL_carzd215522zd2_3564
																																																									=
																																																									CAR
																																																									(BgL_expz00_21);
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_cdrzd215527zd2_3565;
																																																									BgL_cdrzd215527zd2_3565
																																																										=
																																																										CDR
																																																										(BgL_carzd215522zd2_3564);
																																																									if ((CAR(BgL_carzd215522zd2_3564) == CNST_TABLE_REF(((long) 3))))
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (PAIRP(BgL_cdrzd215527zd2_3565))
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_arg3185z00_3569;
																																																													obj_t
																																																														BgL_arg3187z00_3570;
																																																													obj_t
																																																														BgL_arg3188z00_3571;
																																																													BgL_arg3185z00_3569
																																																														=
																																																														CAR
																																																														(BgL_cdrzd215527zd2_3565);
																																																													BgL_arg3187z00_3570
																																																														=
																																																														CDR
																																																														(BgL_cdrzd215527zd2_3565);
																																																													BgL_arg3188z00_3571
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_16066;
																																																														{
																																																															obj_t
																																																																BgL_argsz00_16069;
																																																															obj_t
																																																																BgL_bodyz00_16068;
																																																															obj_t
																																																																BgL_varsz00_16067;
																																																															BgL_varsz00_16067
																																																																=
																																																																BgL_arg3185z00_3569;
																																																															BgL_bodyz00_16068
																																																																=
																																																																BgL_arg3187z00_3570;
																																																															BgL_argsz00_16069
																																																																=
																																																																BgL_arg3188z00_3571;
																																																															BgL_argsz00_1671
																																																																=
																																																																BgL_argsz00_16069;
																																																															BgL_bodyz00_1670
																																																																=
																																																																BgL_bodyz00_16068;
																																																															BgL_varsz00_1669
																																																																=
																																																																BgL_varsz00_16067;
																																																															goto
																																																																BgL_tagzd2386zd2_1672;
																																																														}
																																																														BgL_auxz00_12567
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_16066);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 117 */
																																																															goto
																																																																BgL_tagzd2403zd2_1706;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_16073;
																																																															goto
																																																																BgL_tagzd2404zd2_1707;
																																																															BgL_auxz00_12567
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_16073);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd215634zd2_3574;
																																																											BgL_cdrzd215634zd2_3574
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											{	/* Ast/sexp.scm 117 */
																																																												obj_t
																																																													BgL_cdrzd215639zd2_3575;
																																																												BgL_cdrzd215639zd2_3575
																																																													=
																																																													CDR
																																																													(BgL_carzd215522zd2_3564);
																																																												if ((CAR(BgL_carzd215522zd2_3564) == CNST_TABLE_REF(((long) 1))))
																																																													{	/* Ast/sexp.scm 117 */
																																																														if (PAIRP(BgL_cdrzd215639zd2_3575))
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_cdrzd215644zd2_3579;
																																																																BgL_cdrzd215644zd2_3579
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd215639zd2_3575);
																																																																if (PAIRP(BgL_cdrzd215644zd2_3579))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_carzd215648zd2_3581;
																																																																		obj_t
																																																																			BgL_cdrzd215649zd2_3582;
																																																																		BgL_carzd215648zd2_3581
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd215644zd2_3579);
																																																																		BgL_cdrzd215649zd2_3582
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd215644zd2_3579);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd215648zd2_3581))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (PAIRP(BgL_cdrzd215649zd2_3582))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_carzd215654zd2_3585;
																																																																						BgL_carzd215654zd2_3585
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd215649zd2_3582);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd215654zd2_3585))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (NULLP(CDR(BgL_cdrzd215649zd2_3582)))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										bool_t
																																																																											BgL_testz00_16098;
																																																																										{
																																																																											obj_t
																																																																												BgL_l1388z00_3618;
																																																																											BgL_l1388z00_3618
																																																																												=
																																																																												BgL_cdrzd215634zd2_3574;
																																																																										BgL_zc3anonymousza33218ze3z83_3619:
																																																																											if (NULLP(BgL_l1388z00_3618))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													BgL_testz00_16098
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													bool_t
																																																																														BgL_testz00_16101;
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														bool_t
																																																																															BgL_testz00_16102;
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_tmpz00_16103;
																																																																															BgL_tmpz00_16103
																																																																																=
																																																																																CAR
																																																																																(BgL_l1388z00_3618);
																																																																															BgL_testz00_16102
																																																																																=
																																																																																PAIRP
																																																																																(BgL_tmpz00_16103);
																																																																														}
																																																																														if (BgL_testz00_16102)
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																BgL_testz00_16101
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																BgL_testz00_16101
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																													}
																																																																													if (BgL_testz00_16101)
																																																																														{
																																																																															obj_t
																																																																																BgL_l1388z00_16106;
																																																																															BgL_l1388z00_16106
																																																																																=
																																																																																CDR
																																																																																(BgL_l1388z00_3618);
																																																																															BgL_l1388z00_3618
																																																																																=
																																																																																BgL_l1388z00_16106;
																																																																															goto
																																																																																BgL_zc3anonymousza33218ze3z83_3619;
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															BgL_testz00_16098
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																												}
																																																																										}
																																																																										if (BgL_testz00_16098)
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_arg3207z00_3601;
																																																																												BgL_arg3207z00_3601
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd215639zd2_3575);
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_16109;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_16113;
																																																																														obj_t
																																																																															BgL_proc2z00_16112;
																																																																														obj_t
																																																																															BgL_proc1z00_16111;
																																																																														obj_t
																																																																															BgL_testz00_16110;
																																																																														BgL_testz00_16110
																																																																															=
																																																																															BgL_arg3207z00_3601;
																																																																														BgL_proc1z00_16111
																																																																															=
																																																																															BgL_carzd215648zd2_3581;
																																																																														BgL_proc2z00_16112
																																																																															=
																																																																															BgL_carzd215654zd2_3585;
																																																																														BgL_argsz00_16113
																																																																															=
																																																																															BgL_cdrzd215634zd2_3574;
																																																																														BgL_argsz00_1676
																																																																															=
																																																																															BgL_argsz00_16113;
																																																																														BgL_proc2z00_1675
																																																																															=
																																																																															BgL_proc2z00_16112;
																																																																														BgL_proc1z00_1674
																																																																															=
																																																																															BgL_proc1z00_16111;
																																																																														BgL_testz00_1673
																																																																															=
																																																																															BgL_testz00_16110;
																																																																														goto
																																																																															BgL_tagzd2387zd2_1677;
																																																																													}
																																																																													BgL_auxz00_12567
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_16109);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_cdrzd215679zd2_3602;
																																																																												BgL_cdrzd215679zd2_3602
																																																																													=
																																																																													CDR
																																																																													(BgL_expz00_21);
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_cdrzd215687zd2_3603;
																																																																													BgL_cdrzd215687zd2_3603
																																																																														=
																																																																														CDR
																																																																														(CAR
																																																																														(BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_cdrzd215695zd2_3604;
																																																																														BgL_cdrzd215695zd2_3604
																																																																															=
																																																																															CDR
																																																																															(BgL_cdrzd215687zd2_3603);
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_carzd215702zd2_3605;
																																																																															BgL_carzd215702zd2_3605
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd215695zd2_3604);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd215702zd2_3605))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_carzd215711zd2_3607;
																																																																																	BgL_carzd215711zd2_3607
																																																																																		=
																																																																																		CAR
																																																																																		(CDR
																																																																																		(BgL_cdrzd215695zd2_3604));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd215711zd2_3607))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd215679zd2_3602))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					obj_t
																																																																																						BgL_arg3211z00_3610;
																																																																																					BgL_arg3211z00_3610
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_cdrzd215687zd2_3603);
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_16129;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_16133;
																																																																																							obj_t
																																																																																								BgL_proc2z00_16132;
																																																																																							obj_t
																																																																																								BgL_proc1z00_16131;
																																																																																							obj_t
																																																																																								BgL_testz00_16130;
																																																																																							BgL_testz00_16130
																																																																																								=
																																																																																								BgL_arg3211z00_3610;
																																																																																							BgL_proc1z00_16131
																																																																																								=
																																																																																								BgL_carzd215702zd2_3605;
																																																																																							BgL_proc2z00_16132
																																																																																								=
																																																																																								BgL_carzd215711zd2_3607;
																																																																																							BgL_argsz00_16133
																																																																																								=
																																																																																								BgL_cdrzd215679zd2_3602;
																																																																																							BgL_argsz00_1681
																																																																																								=
																																																																																								BgL_argsz00_16133;
																																																																																							BgL_proc2z00_1680
																																																																																								=
																																																																																								BgL_proc2z00_16132;
																																																																																							BgL_proc1z00_1679
																																																																																								=
																																																																																								BgL_proc1z00_16131;
																																																																																							BgL_testz00_1678
																																																																																								=
																																																																																								BgL_testz00_16130;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1682;
																																																																																						}
																																																																																						BgL_auxz00_12567
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_16129);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1706;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_16137;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1707;
																																																																																							BgL_auxz00_12567
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_16137);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1706;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_16141;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1707;
																																																																																					BgL_auxz00_12567
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_16141);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_16145;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_12567
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_16145);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_16149;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_12567
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_16149);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_cdrzd215989zd2_3629;
																																																																								BgL_cdrzd215989zd2_3629
																																																																									=
																																																																									CDR
																																																																									(BgL_expz00_21);
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd215996zd2_3630;
																																																																									BgL_cdrzd215996zd2_3630
																																																																										=
																																																																										CDR
																																																																										(CAR
																																																																										(BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_cdrzd216003zd2_3631;
																																																																										BgL_cdrzd216003zd2_3631
																																																																											=
																																																																											CDR
																																																																											(BgL_cdrzd215996zd2_3630);
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_carzd216009zd2_3632;
																																																																											obj_t
																																																																												BgL_cdrzd216010zd2_3633;
																																																																											BgL_carzd216009zd2_3632
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd216003zd2_3631);
																																																																											BgL_cdrzd216010zd2_3633
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd216003zd2_3631);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216009zd2_3632))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_carzd216017zd2_3635;
																																																																													BgL_carzd216017zd2_3635
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd216010zd2_3633);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216017zd2_3635))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (NULLP(CDR(BgL_cdrzd216010zd2_3633)))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd215989zd2_3629))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			obj_t
																																																																																				BgL_arg3231z00_3640;
																																																																																			BgL_arg3231z00_3640
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd215996zd2_3630);
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_16168;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_16172;
																																																																																					obj_t
																																																																																						BgL_proc2z00_16171;
																																																																																					obj_t
																																																																																						BgL_proc1z00_16170;
																																																																																					obj_t
																																																																																						BgL_testz00_16169;
																																																																																					BgL_testz00_16169
																																																																																						=
																																																																																						BgL_arg3231z00_3640;
																																																																																					BgL_proc1z00_16170
																																																																																						=
																																																																																						BgL_carzd216009zd2_3632;
																																																																																					BgL_proc2z00_16171
																																																																																						=
																																																																																						BgL_carzd216017zd2_3635;
																																																																																					BgL_argsz00_16172
																																																																																						=
																																																																																						BgL_cdrzd215989zd2_3629;
																																																																																					BgL_argsz00_1681
																																																																																						=
																																																																																						BgL_argsz00_16172;
																																																																																					BgL_proc2z00_1680
																																																																																						=
																																																																																						BgL_proc2z00_16171;
																																																																																					BgL_proc1z00_1679
																																																																																						=
																																																																																						BgL_proc1z00_16170;
																																																																																					BgL_testz00_1678
																																																																																						=
																																																																																						BgL_testz00_16169;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1682;
																																																																																				}
																																																																																				BgL_auxz00_12567
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_16168);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1706;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_16176;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1707;
																																																																																					BgL_auxz00_12567
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_16176);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_16180;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_12567
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_16180);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_16184;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_12567
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_16184);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1706;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_16188;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1707;
																																																																															BgL_auxz00_12567
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_16188);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_16192;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_12567
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_16192);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_cdrzd216350zd2_3648;
																																																																				BgL_cdrzd216350zd2_3648
																																																																					=
																																																																					CDR
																																																																					(BgL_expz00_21);
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd216356zd2_3649;
																																																																					BgL_cdrzd216356zd2_3649
																																																																						=
																																																																						CDR
																																																																						(CAR
																																																																						(BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_cdrzd216362zd2_3650;
																																																																						BgL_cdrzd216362zd2_3650
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd216356zd2_3649);
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_carzd216367zd2_3651;
																																																																							obj_t
																																																																								BgL_cdrzd216368zd2_3652;
																																																																							BgL_carzd216367zd2_3651
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd216362zd2_3650);
																																																																							BgL_cdrzd216368zd2_3652
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd216362zd2_3650);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216367zd2_3651))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (PAIRP(BgL_cdrzd216368zd2_3652))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_carzd216373zd2_3655;
																																																																											BgL_carzd216373zd2_3655
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd216368zd2_3652);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216373zd2_3655))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (NULLP(CDR(BgL_cdrzd216368zd2_3652)))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd216350zd2_3648))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_arg3245z00_3660;
																																																																																	BgL_arg3245z00_3660
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd216356zd2_3649);
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_16213;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_16217;
																																																																																			obj_t
																																																																																				BgL_proc2z00_16216;
																																																																																			obj_t
																																																																																				BgL_proc1z00_16215;
																																																																																			obj_t
																																																																																				BgL_testz00_16214;
																																																																																			BgL_testz00_16214
																																																																																				=
																																																																																				BgL_arg3245z00_3660;
																																																																																			BgL_proc1z00_16215
																																																																																				=
																																																																																				BgL_carzd216367zd2_3651;
																																																																																			BgL_proc2z00_16216
																																																																																				=
																																																																																				BgL_carzd216373zd2_3655;
																																																																																			BgL_argsz00_16217
																																																																																				=
																																																																																				BgL_cdrzd216350zd2_3648;
																																																																																			BgL_argsz00_1681
																																																																																				=
																																																																																				BgL_argsz00_16217;
																																																																																			BgL_proc2z00_1680
																																																																																				=
																																																																																				BgL_proc2z00_16216;
																																																																																			BgL_proc1z00_1679
																																																																																				=
																																																																																				BgL_proc1z00_16215;
																																																																																			BgL_testz00_1678
																																																																																				=
																																																																																				BgL_testz00_16214;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1682;
																																																																																		}
																																																																																		BgL_auxz00_12567
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_16213);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_16221;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_12567
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_16221);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_16225;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_12567
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_16225);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1706;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_16229;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1707;
																																																																															BgL_auxz00_12567
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_16229);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1706;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_16233;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1707;
																																																																													BgL_auxz00_12567
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_16233);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1706;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_16237;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1707;
																																																																											BgL_auxz00_12567
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_16237);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1706;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_16241;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1707;
																																																																				BgL_auxz00_12567
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_16241);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1706;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_16245;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1707;
																																																																		BgL_auxz00_12567
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_16245);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 117 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 117 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1706;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_16249;
																																																																goto
																																																																	BgL_tagzd2404zd2_1707;
																																																																BgL_auxz00_12567
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_16249);
																																																															}
																																																													}
																																																											}
																																																										}
																																																								}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 117 */
																																									if ((BgL_carzd213898zd2_3550 == CNST_TABLE_REF(((long) 18))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_16254;
																																											goto
																																												BgL_tagzd2382zd2_1662;
																																											BgL_auxz00_12567
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_16254);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 117 */
																																											if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd213898zd2_3550)))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_16259;
																																													goto
																																														BgL_tagzd2382zd2_1662;
																																													BgL_auxz00_12567
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_16259);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 117 */
																																													if ((BgL_carzd213898zd2_3550 == CNST_TABLE_REF(((long) 19))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_16264;
																																															goto
																																																BgL_tagzd2382zd2_1662;
																																															BgL_auxz00_12567
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_16264);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 117 */
																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_16270;
																																																	goto
																																																		BgL_tagzd2383zd2_1663;
																																																	BgL_auxz00_12567
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_16270);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_carzd216935zd2_3820;
																																																	BgL_carzd216935zd2_3820
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	if ((BgL_carzd216935zd2_3820 == CNST_TABLE_REF(((long) 20))))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_16276;
																																																			goto
																																																				BgL_tagzd2384zd2_1664;
																																																			BgL_auxz00_12567
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_16276);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 117 */
																																																			if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd216935zd2_3820)))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_16281;
																																																					goto
																																																						BgL_tagzd2384zd2_1664;
																																																					BgL_auxz00_12567
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_16281);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_16287;
																																																							goto
																																																								BgL_tagzd2389zd2_1683;
																																																							BgL_auxz00_12567
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_16287);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_16293;
																																																									goto
																																																										BgL_tagzd2390zd2_1684;
																																																									BgL_auxz00_12567
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_16293);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_cdrzd217015zd2_3827;
																																																									BgL_cdrzd217015zd2_3827
																																																										=
																																																										CDR
																																																										(BgL_expz00_21);
																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_arg3400z00_3830;
																																																											obj_t
																																																												BgL_arg3401z00_3831;
																																																											BgL_arg3400z00_3830
																																																												=
																																																												CAR
																																																												(BgL_cdrzd217015zd2_3827);
																																																											BgL_arg3401z00_3831
																																																												=
																																																												CDR
																																																												(BgL_cdrzd217015zd2_3827);
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_16302;
																																																												{
																																																													obj_t
																																																														BgL_restz00_16304;
																																																													obj_t
																																																														BgL_effectz00_16303;
																																																													BgL_effectz00_16303
																																																														=
																																																														BgL_arg3400z00_3830;
																																																													BgL_restz00_16304
																																																														=
																																																														BgL_arg3401z00_3831;
																																																													BgL_restz00_1686
																																																														=
																																																														BgL_restz00_16304;
																																																													BgL_effectz00_1685
																																																														=
																																																														BgL_effectz00_16303;
																																																													goto
																																																														BgL_tagzd2391zd2_1687;
																																																												}
																																																												BgL_auxz00_12567
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_16302);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_16310;
																																																													goto
																																																														BgL_tagzd2392zd2_1688;
																																																													BgL_auxz00_12567
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_16310);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_16316;
																																																															goto
																																																																BgL_tagzd2393zd2_1689;
																																																															BgL_auxz00_12567
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_16316);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_arg3410z00_3839;
																																																																	obj_t
																																																																		BgL_arg3411z00_3840;
																																																																	BgL_arg3410z00_3839
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd217015zd2_3827);
																																																																	BgL_arg3411z00_3840
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd217015zd2_3827);
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_16324;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_16326;
																																																																			obj_t
																																																																				BgL_effectz00_16325;
																																																																			BgL_effectz00_16325
																																																																				=
																																																																				BgL_arg3410z00_3839;
																																																																			BgL_restz00_16326
																																																																				=
																																																																				BgL_arg3411z00_3840;
																																																																			BgL_restz00_1691
																																																																				=
																																																																				BgL_restz00_16326;
																																																																			BgL_effectz00_1690
																																																																				=
																																																																				BgL_effectz00_16325;
																																																																			goto
																																																																				BgL_tagzd2394zd2_1692;
																																																																		}
																																																																		BgL_auxz00_12567
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_16324);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_16332;
																																																																			goto
																																																																				BgL_tagzd2395zd2_1693;
																																																																			BgL_auxz00_12567
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_16332);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_16338;
																																																																					goto
																																																																						BgL_tagzd2396zd2_1694;
																																																																					BgL_auxz00_12567
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_16338);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																																						{
																																																																							BgL_letzd2funzd2_bglt
																																																																								BgL_auxz00_16344;
																																																																							goto
																																																																								BgL_tagzd2397zd2_1695;
																																																																							BgL_auxz00_12567
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_16344);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																																								{
																																																																									BgL_jumpzd2exzd2itz00_bglt
																																																																										BgL_auxz00_16350;
																																																																									goto
																																																																										BgL_tagzd2398zd2_1696;
																																																																									BgL_auxz00_12567
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_16350);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 31))))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (NULLP(CDR(CDR(CDR(BgL_expz00_21)))))
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_16361;
																																																																													goto
																																																																														BgL_tagzd2399zd2_1697;
																																																																													BgL_auxz00_12567
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_16361);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1706;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_16365;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1707;
																																																																															BgL_auxz00_12567
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_16365);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_cdrzd217103zd2_3859;
																																																																											BgL_cdrzd217103zd2_3859
																																																																												=
																																																																												CDR
																																																																												(BgL_expz00_21);
																																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_cdrzd217109zd2_3862;
																																																																													BgL_cdrzd217109zd2_3862
																																																																														=
																																																																														CDR
																																																																														(BgL_cdrzd217103zd2_3859);
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_cdrzd217115zd2_3863;
																																																																														BgL_cdrzd217115zd2_3863
																																																																															=
																																																																															CDR
																																																																															(BgL_cdrzd217109zd2_3862);
																																																																														if ((CAR(BgL_cdrzd217109zd2_3862) == CNST_TABLE_REF(((long) 32))))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (PAIRP(BgL_cdrzd217115zd2_3863))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		obj_t
																																																																																			BgL_arg3441z00_3867;
																																																																																		obj_t
																																																																																			BgL_arg3442z00_3868;
																																																																																		obj_t
																																																																																			BgL_arg3443z00_3869;
																																																																																		BgL_arg3441z00_3867
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd217103zd2_3859);
																																																																																		BgL_arg3442z00_3868
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd217115zd2_3863);
																																																																																		BgL_arg3443z00_3869
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd217115zd2_3863);
																																																																																		{	/* Ast/sexp.scm 536 */
																																																																																			obj_t
																																																																																				BgL_arg6414z00_9853;
																																																																																			BgL_arg6414z00_9853
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			BgL_auxz00_12567
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																				(BgL_expz00_21,
																																																																																					BgL_arg3441z00_3867,
																																																																																					BgL_arg3442z00_3868,
																																																																																					BgL_arg3443z00_3869,
																																																																																					BgL_stackz00_22,
																																																																																					BgL_arg6414z00_9853,
																																																																																					BgL_sitez00_24));
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		obj_t
																																																																																			BgL_arg3444z00_3871;
																																																																																		obj_t
																																																																																			BgL_arg3445z00_3872;
																																																																																		BgL_arg3444z00_3871
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd217103zd2_3859);
																																																																																		BgL_arg3445z00_3872
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd217103zd2_3859);
																																																																																		{	/* Ast/sexp.scm 538 */
																																																																																			obj_t
																																																																																				BgL_arg6415z00_9857;
																																																																																			BgL_arg6415z00_9857
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			BgL_auxz00_12567
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																				(BgL_expz00_21,
																																																																																					BgL_arg3444z00_3871,
																																																																																					CNST_TABLE_REF
																																																																																					(((long) 4)), BgL_arg3445z00_3872, BgL_stackz00_22, BgL_arg6415z00_9857, BgL_sitez00_24));
																																																																															}}}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_arg3447z00_3874;
																																																																																obj_t
																																																																																	BgL_arg3448z00_3875;
																																																																																BgL_arg3447z00_3874
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd217103zd2_3859);
																																																																																BgL_arg3448z00_3875
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_cdrzd217103zd2_3859);
																																																																																{	/* Ast/sexp.scm 538 */
																																																																																	obj_t
																																																																																		BgL_arg6415z00_9861;
																																																																																	BgL_arg6415z00_9861
																																																																																		=
																																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_locz00_23);
																																																																																	BgL_auxz00_12567
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																		(BgL_expz00_21,
																																																																																			BgL_arg3447z00_3874,
																																																																																			CNST_TABLE_REF
																																																																																			(((long) 4)), BgL_arg3448z00_3875, BgL_stackz00_22, BgL_arg6415z00_9861, BgL_sitez00_24));
																																																																												}}}}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1706;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_16400;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1707;
																																																																															BgL_auxz00_12567
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_16400);
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 117 */
																													obj_t
																														BgL_carzd217164zd2_3894;
																													BgL_carzd217164zd2_3894
																														=
																														CAR(BgL_expz00_21);
																													if (
																														(BgL_carzd217164zd2_3894
																															==
																															CNST_TABLE_REF((
																																	(long) 1))))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_16406;
																															goto
																																BgL_tagzd2377zd2_1653;
																															BgL_auxz00_12567 =
																																((obj_t)
																																BgL_auxz00_16406);
																														}
																													else
																														{	/* Ast/sexp.scm 117 */
																															if (
																																(BgL_carzd217164zd2_3894
																																	==
																																	BGl_za2ifza2z00zzast_sexpz00))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_16410;
																																	goto
																																		BgL_tagzd2377zd2_1653;
																																	BgL_auxz00_12567
																																		=
																																		((obj_t)
																																		BgL_auxz00_16410);
																																}
																															else
																																{	/* Ast/sexp.scm 117 */
																																	if (
																																		(CAR
																																			(BgL_expz00_21)
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					7))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_16416;
																																			goto
																																				BgL_tagzd2379zd2_1657;
																																			BgL_auxz00_12567
																																				=
																																				((obj_t)
																																				BgL_auxz00_16416);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 117 */
																																			if (
																																				(CAR
																																					(BgL_expz00_21)
																																					==
																																					CNST_TABLE_REF
																																					(((long) 17))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_16422;
																																					goto
																																						BgL_tagzd2380zd2_1658;
																																					BgL_auxz00_12567
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_16422);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 117 */
																																					obj_t
																																						BgL_carzd217225zd2_3901;
																																					BgL_carzd217225zd2_3901
																																						=
																																						CAR
																																						(BgL_expz00_21);
																																					if (PAIRP(BgL_carzd217225zd2_3901))
																																						{	/* Ast/sexp.scm 117 */
																																							obj_t
																																								BgL_carzd217228zd2_3903;
																																							obj_t
																																								BgL_cdrzd217229zd2_3904;
																																							BgL_carzd217228zd2_3903
																																								=
																																								CAR
																																								(BgL_carzd217225zd2_3901);
																																							BgL_cdrzd217229zd2_3904
																																								=
																																								CDR
																																								(BgL_carzd217225zd2_3901);
																																							{

																																								if ((BgL_carzd217228zd2_3903 == CNST_TABLE_REF(((long) 18))))
																																									{	/* Ast/sexp.scm 117 */
																																									BgL_kapzd217230zd2_3905:
																																										if (PAIRP(BgL_cdrzd217229zd2_3904))
																																											{	/* Ast/sexp.scm 117 */
																																												obj_t
																																													BgL_cdrzd217233zd2_4084;
																																												BgL_cdrzd217233zd2_4084
																																													=
																																													CDR
																																													(BgL_cdrzd217229zd2_3904);
																																												if (PAIRP(BgL_cdrzd217233zd2_4084))
																																													{	/* Ast/sexp.scm 117 */
																																														if (NULLP(CDR(BgL_cdrzd217233zd2_4084)))
																																															{	/* Ast/sexp.scm 117 */
																																																obj_t
																																																	BgL_arg3622z00_4088;
																																																obj_t
																																																	BgL_arg3624z00_4089;
																																																BgL_arg3622z00_4088
																																																	=
																																																	CAR
																																																	(BgL_cdrzd217233zd2_4084);
																																																BgL_arg3624z00_4089
																																																	=
																																																	CDR
																																																	(BgL_expz00_21);
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_16442;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_16444;
																																																		obj_t
																																																			BgL_bodyz00_16443;
																																																		BgL_bodyz00_16443
																																																			=
																																																			BgL_arg3622z00_4088;
																																																		BgL_argsz00_16444
																																																			=
																																																			BgL_arg3624z00_4089;
																																																		BgL_argsz00_1660
																																																			=
																																																			BgL_argsz00_16444;
																																																		BgL_bodyz00_1659
																																																			=
																																																			BgL_bodyz00_16443;
																																																		goto
																																																			BgL_tagzd2381zd2_1661;
																																																	}
																																																	BgL_auxz00_12567
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_16442);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																bool_t
																																																	BgL_testz00_16446;
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_arg3698z00_4198;
																																																	BgL_arg3698z00_4198
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	BgL_testz00_16446
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg3698z00_4198));
																																																}
																																																if (BgL_testz00_16446)
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_16450;
																																																		goto
																																																			BgL_tagzd2382zd2_1662;
																																																		BgL_auxz00_12567
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_16450);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		bool_t
																																																			BgL_testz00_16452;
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_arg3697z00_4197;
																																																			BgL_arg3697z00_4197
																																																				=
																																																				CAR
																																																				(BgL_expz00_21);
																																																			BgL_testz00_16452
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg3697z00_4197));
																																																		}
																																																		if (BgL_testz00_16452)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_16456;
																																																				goto
																																																					BgL_tagzd2384zd2_1664;
																																																				BgL_auxz00_12567
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_16456);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				obj_t
																																																					BgL_carzd217311zd2_4094;
																																																				BgL_carzd217311zd2_4094
																																																					=
																																																					CAR
																																																					(BgL_expz00_21);
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_cdrzd217316zd2_4095;
																																																					BgL_cdrzd217316zd2_4095
																																																						=
																																																						CDR
																																																						(BgL_carzd217311zd2_4094);
																																																					if ((CAR(BgL_carzd217311zd2_4094) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_arg3632z00_4098;
																																																							obj_t
																																																								BgL_arg3634z00_4099;
																																																							obj_t
																																																								BgL_arg3635z00_4100;
																																																							BgL_arg3632z00_4098
																																																								=
																																																								CAR
																																																								(BgL_cdrzd217316zd2_4095);
																																																							BgL_arg3634z00_4099
																																																								=
																																																								CDR
																																																								(BgL_cdrzd217316zd2_4095);
																																																							BgL_arg3635z00_4100
																																																								=
																																																								CDR
																																																								(BgL_expz00_21);
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_16467;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_16470;
																																																									obj_t
																																																										BgL_bodyz00_16469;
																																																									obj_t
																																																										BgL_varsz00_16468;
																																																									BgL_varsz00_16468
																																																										=
																																																										BgL_arg3632z00_4098;
																																																									BgL_bodyz00_16469
																																																										=
																																																										BgL_arg3634z00_4099;
																																																									BgL_argsz00_16470
																																																										=
																																																										BgL_arg3635z00_4100;
																																																									BgL_argsz00_1671
																																																										=
																																																										BgL_argsz00_16470;
																																																									BgL_bodyz00_1670
																																																										=
																																																										BgL_bodyz00_16469;
																																																									BgL_varsz00_1669
																																																										=
																																																										BgL_varsz00_16468;
																																																									goto
																																																										BgL_tagzd2386zd2_1672;
																																																								}
																																																								BgL_auxz00_12567
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_16467);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_cdrzd217339zd2_4102;
																																																							BgL_cdrzd217339zd2_4102
																																																								=
																																																								CDR
																																																								(BgL_expz00_21);
																																																							{	/* Ast/sexp.scm 117 */
																																																								obj_t
																																																									BgL_cdrzd217345zd2_4103;
																																																								BgL_cdrzd217345zd2_4103
																																																									=
																																																									CDR
																																																									(BgL_carzd217311zd2_4094);
																																																								if ((CAR(BgL_carzd217311zd2_4094) == CNST_TABLE_REF(((long) 1))))
																																																									{	/* Ast/sexp.scm 117 */
																																																										obj_t
																																																											BgL_cdrzd217351zd2_4106;
																																																										BgL_cdrzd217351zd2_4106
																																																											=
																																																											CDR
																																																											(BgL_cdrzd217345zd2_4103);
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_carzd217356zd2_4107;
																																																											obj_t
																																																												BgL_cdrzd217357zd2_4108;
																																																											BgL_carzd217356zd2_4107
																																																												=
																																																												CAR
																																																												(BgL_cdrzd217351zd2_4106);
																																																											BgL_cdrzd217357zd2_4108
																																																												=
																																																												CDR
																																																												(BgL_cdrzd217351zd2_4106);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217356zd2_4107))
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (PAIRP(BgL_cdrzd217357zd2_4108))
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_carzd217364zd2_4111;
																																																															BgL_carzd217364zd2_4111
																																																																=
																																																																CAR
																																																																(BgL_cdrzd217357zd2_4108);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217364zd2_4111))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (NULLP(CDR(BgL_cdrzd217357zd2_4108)))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			bool_t
																																																																				BgL_testz00_16491;
																																																																			{
																																																																				obj_t
																																																																					BgL_l1391z00_4144;
																																																																				BgL_l1391z00_4144
																																																																					=
																																																																					BgL_cdrzd217339zd2_4102;
																																																																			BgL_zc3anonymousza33659ze3z83_4145:
																																																																				if (NULLP(BgL_l1391z00_4144))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						BgL_testz00_16491
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							1);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						bool_t
																																																																							BgL_testz00_16494;
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							bool_t
																																																																								BgL_testz00_16495;
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_tmpz00_16496;
																																																																								BgL_tmpz00_16496
																																																																									=
																																																																									CAR
																																																																									(BgL_l1391z00_4144);
																																																																								BgL_testz00_16495
																																																																									=
																																																																									PAIRP
																																																																									(BgL_tmpz00_16496);
																																																																							}
																																																																							if (BgL_testz00_16495)
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									BgL_testz00_16494
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									BgL_testz00_16494
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																						}
																																																																						if (BgL_testz00_16494)
																																																																							{
																																																																								obj_t
																																																																									BgL_l1391z00_16499;
																																																																								BgL_l1391z00_16499
																																																																									=
																																																																									CDR
																																																																									(BgL_l1391z00_4144);
																																																																								BgL_l1391z00_4144
																																																																									=
																																																																									BgL_l1391z00_16499;
																																																																								goto
																																																																									BgL_zc3anonymousza33659ze3z83_4145;
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								BgL_testz00_16491
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																					}
																																																																			}
																																																																			if (BgL_testz00_16491)
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_arg3649z00_4127;
																																																																					BgL_arg3649z00_4127
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd217345zd2_4103);
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_16502;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_16506;
																																																																							obj_t
																																																																								BgL_proc2z00_16505;
																																																																							obj_t
																																																																								BgL_proc1z00_16504;
																																																																							obj_t
																																																																								BgL_testz00_16503;
																																																																							BgL_testz00_16503
																																																																								=
																																																																								BgL_arg3649z00_4127;
																																																																							BgL_proc1z00_16504
																																																																								=
																																																																								BgL_carzd217356zd2_4107;
																																																																							BgL_proc2z00_16505
																																																																								=
																																																																								BgL_carzd217364zd2_4111;
																																																																							BgL_argsz00_16506
																																																																								=
																																																																								BgL_cdrzd217339zd2_4102;
																																																																							BgL_argsz00_1676
																																																																								=
																																																																								BgL_argsz00_16506;
																																																																							BgL_proc2z00_1675
																																																																								=
																																																																								BgL_proc2z00_16505;
																																																																							BgL_proc1z00_1674
																																																																								=
																																																																								BgL_proc1z00_16504;
																																																																							BgL_testz00_1673
																																																																								=
																																																																								BgL_testz00_16503;
																																																																							goto
																																																																								BgL_tagzd2387zd2_1677;
																																																																						}
																																																																						BgL_auxz00_12567
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_16502);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd217388zd2_4128;
																																																																					BgL_cdrzd217388zd2_4128
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_21);
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_cdrzd217395zd2_4129;
																																																																						BgL_cdrzd217395zd2_4129
																																																																							=
																																																																							CDR
																																																																							(CAR
																																																																							(BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd217402zd2_4130;
																																																																							BgL_cdrzd217402zd2_4130
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd217395zd2_4129);
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_carzd217408zd2_4131;
																																																																								BgL_carzd217408zd2_4131
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd217402zd2_4130);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217408zd2_4131))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_carzd217415zd2_4133;
																																																																										BgL_carzd217415zd2_4133
																																																																											=
																																																																											CAR
																																																																											(CDR
																																																																											(BgL_cdrzd217402zd2_4130));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217415zd2_4133))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd217388zd2_4128))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_arg3653z00_4136;
																																																																														BgL_arg3653z00_4136
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd217395zd2_4129);
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_16522;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_16526;
																																																																																obj_t
																																																																																	BgL_proc2z00_16525;
																																																																																obj_t
																																																																																	BgL_proc1z00_16524;
																																																																																obj_t
																																																																																	BgL_testz00_16523;
																																																																																BgL_testz00_16523
																																																																																	=
																																																																																	BgL_arg3653z00_4136;
																																																																																BgL_proc1z00_16524
																																																																																	=
																																																																																	BgL_carzd217408zd2_4131;
																																																																																BgL_proc2z00_16525
																																																																																	=
																																																																																	BgL_carzd217415zd2_4133;
																																																																																BgL_argsz00_16526
																																																																																	=
																																																																																	BgL_cdrzd217388zd2_4128;
																																																																																BgL_argsz00_1681
																																																																																	=
																																																																																	BgL_argsz00_16526;
																																																																																BgL_proc2z00_1680
																																																																																	=
																																																																																	BgL_proc2z00_16525;
																																																																																BgL_proc1z00_1679
																																																																																	=
																																																																																	BgL_proc1z00_16524;
																																																																																BgL_testz00_1678
																																																																																	=
																																																																																	BgL_testz00_16523;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1682;
																																																																															}
																																																																															BgL_auxz00_12567
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_16522);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_16530;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_12567
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_16530);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_16534;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_12567
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_16534);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_16538;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_12567
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_16538);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1706;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_16542;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1707;
																																																																					BgL_auxz00_12567
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_16542);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd217691zd2_4155;
																																																																	BgL_cdrzd217691zd2_4155
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_cdrzd217697zd2_4156;
																																																																		BgL_cdrzd217697zd2_4156
																																																																			=
																																																																			CDR
																																																																			(CAR
																																																																			(BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd217703zd2_4157;
																																																																			BgL_cdrzd217703zd2_4157
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd217697zd2_4156);
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_carzd217708zd2_4158;
																																																																				obj_t
																																																																					BgL_cdrzd217709zd2_4159;
																																																																				BgL_carzd217708zd2_4158
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd217703zd2_4157);
																																																																				BgL_cdrzd217709zd2_4159
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd217703zd2_4157);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217708zd2_4158))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_carzd217714zd2_4161;
																																																																						BgL_carzd217714zd2_4161
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd217709zd2_4159);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217714zd2_4161))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (NULLP(CDR(BgL_cdrzd217709zd2_4159)))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd217691zd2_4155))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_arg3669z00_4166;
																																																																												BgL_arg3669z00_4166
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd217697zd2_4156);
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_16561;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_16565;
																																																																														obj_t
																																																																															BgL_proc2z00_16564;
																																																																														obj_t
																																																																															BgL_proc1z00_16563;
																																																																														obj_t
																																																																															BgL_testz00_16562;
																																																																														BgL_testz00_16562
																																																																															=
																																																																															BgL_arg3669z00_4166;
																																																																														BgL_proc1z00_16563
																																																																															=
																																																																															BgL_carzd217708zd2_4158;
																																																																														BgL_proc2z00_16564
																																																																															=
																																																																															BgL_carzd217714zd2_4161;
																																																																														BgL_argsz00_16565
																																																																															=
																																																																															BgL_cdrzd217691zd2_4155;
																																																																														BgL_argsz00_1681
																																																																															=
																																																																															BgL_argsz00_16565;
																																																																														BgL_proc2z00_1680
																																																																															=
																																																																															BgL_proc2z00_16564;
																																																																														BgL_proc1z00_1679
																																																																															=
																																																																															BgL_proc1z00_16563;
																																																																														BgL_testz00_1678
																																																																															=
																																																																															BgL_testz00_16562;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1682;
																																																																													}
																																																																													BgL_auxz00_12567
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_16561);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_16569;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_12567
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_16569);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_16573;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_12567
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_16573);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_16577;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_12567
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_16577);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_16581;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_12567
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_16581);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1706;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_16585;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1707;
																																																																	BgL_auxz00_12567
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_16585);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd218047zd2_4174;
																																																													BgL_cdrzd218047zd2_4174
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_cdrzd218054zd2_4175;
																																																														BgL_cdrzd218054zd2_4175
																																																															=
																																																															CDR
																																																															(CAR
																																																															(BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd218061zd2_4176;
																																																															BgL_cdrzd218061zd2_4176
																																																																=
																																																																CDR
																																																																(BgL_cdrzd218054zd2_4175);
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_carzd218067zd2_4177;
																																																																obj_t
																																																																	BgL_cdrzd218068zd2_4178;
																																																																BgL_carzd218067zd2_4177
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd218061zd2_4176);
																																																																BgL_cdrzd218068zd2_4178
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd218061zd2_4176);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218067zd2_4177))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (PAIRP(BgL_cdrzd218068zd2_4178))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_carzd218075zd2_4181;
																																																																				BgL_carzd218075zd2_4181
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd218068zd2_4178);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218075zd2_4181))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (NULLP(CDR(BgL_cdrzd218068zd2_4178)))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd218047zd2_4174))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_arg3684z00_4186;
																																																																										BgL_arg3684z00_4186
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd218054zd2_4175);
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_16606;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_16610;
																																																																												obj_t
																																																																													BgL_proc2z00_16609;
																																																																												obj_t
																																																																													BgL_proc1z00_16608;
																																																																												obj_t
																																																																													BgL_testz00_16607;
																																																																												BgL_testz00_16607
																																																																													=
																																																																													BgL_arg3684z00_4186;
																																																																												BgL_proc1z00_16608
																																																																													=
																																																																													BgL_carzd218067zd2_4177;
																																																																												BgL_proc2z00_16609
																																																																													=
																																																																													BgL_carzd218075zd2_4181;
																																																																												BgL_argsz00_16610
																																																																													=
																																																																													BgL_cdrzd218047zd2_4174;
																																																																												BgL_argsz00_1681
																																																																													=
																																																																													BgL_argsz00_16610;
																																																																												BgL_proc2z00_1680
																																																																													=
																																																																													BgL_proc2z00_16609;
																																																																												BgL_proc1z00_1679
																																																																													=
																																																																													BgL_proc1z00_16608;
																																																																												BgL_testz00_1678
																																																																													=
																																																																													BgL_testz00_16607;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1682;
																																																																											}
																																																																											BgL_auxz00_12567
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_16606);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_16614;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_12567
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_16614);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_16618;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_12567
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_16618);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_16622;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_12567
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_16622);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_16626;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_12567
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_16626);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1706;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_16630;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1707;
																																																																				BgL_auxz00_12567
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_16630);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 117 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 117 */
																																																												goto
																																																													BgL_tagzd2403zd2_1706;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_16634;
																																																												goto
																																																													BgL_tagzd2404zd2_1707;
																																																												BgL_auxz00_12567
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_16634);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														bool_t
																																															BgL_testz00_16636;
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_arg3712z00_4214;
																																															BgL_arg3712z00_4214
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_testz00_16636
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg3712z00_4214));
																																														}
																																														if (BgL_testz00_16636)
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_16640;
																																																goto
																																																	BgL_tagzd2382zd2_1662;
																																																BgL_auxz00_12567
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_16640);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																bool_t
																																																	BgL_testz00_16642;
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_arg3711z00_4213;
																																																	BgL_arg3711z00_4213
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	BgL_testz00_16642
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg3711z00_4213));
																																																}
																																																if (BgL_testz00_16642)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_16646;
																																																		goto
																																																			BgL_tagzd2384zd2_1664;
																																																		BgL_auxz00_12567
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_16646);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		obj_t
																																																			BgL_carzd218521zd2_4204;
																																																		BgL_carzd218521zd2_4204
																																																			=
																																																			CAR
																																																			(BgL_expz00_21);
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_cdrzd218526zd2_4205;
																																																			BgL_cdrzd218526zd2_4205
																																																				=
																																																				CDR
																																																				(BgL_carzd218521zd2_4204);
																																																			if ((CAR(BgL_carzd218521zd2_4204) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_arg3706z00_4208;
																																																					obj_t
																																																						BgL_arg3707z00_4209;
																																																					obj_t
																																																						BgL_arg3708z00_4210;
																																																					BgL_arg3706z00_4208
																																																						=
																																																						CAR
																																																						(BgL_cdrzd218526zd2_4205);
																																																					BgL_arg3707z00_4209
																																																						=
																																																						CDR
																																																						(BgL_cdrzd218526zd2_4205);
																																																					BgL_arg3708z00_4210
																																																						=
																																																						CDR
																																																						(BgL_expz00_21);
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_16657;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_16660;
																																																							obj_t
																																																								BgL_bodyz00_16659;
																																																							obj_t
																																																								BgL_varsz00_16658;
																																																							BgL_varsz00_16658
																																																								=
																																																								BgL_arg3706z00_4208;
																																																							BgL_bodyz00_16659
																																																								=
																																																								BgL_arg3707z00_4209;
																																																							BgL_argsz00_16660
																																																								=
																																																								BgL_arg3708z00_4210;
																																																							BgL_argsz00_1671
																																																								=
																																																								BgL_argsz00_16660;
																																																							BgL_bodyz00_1670
																																																								=
																																																								BgL_bodyz00_16659;
																																																							BgL_varsz00_1669
																																																								=
																																																								BgL_varsz00_16658;
																																																							goto
																																																								BgL_tagzd2386zd2_1672;
																																																						}
																																																						BgL_auxz00_12567
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_16657);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 117 */
																																																							goto
																																																								BgL_tagzd2403zd2_1706;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_16664;
																																																							goto
																																																								BgL_tagzd2404zd2_1707;
																																																							BgL_auxz00_12567
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_16664);
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												bool_t
																																													BgL_testz00_16666;
																																												{	/* Ast/sexp.scm 117 */
																																													obj_t
																																														BgL_arg3719z00_4221;
																																													BgL_arg3719z00_4221
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													BgL_testz00_16666
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg3719z00_4221));
																																												}
																																												if (BgL_testz00_16666)
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_16670;
																																														goto
																																															BgL_tagzd2382zd2_1662;
																																														BgL_auxz00_12567
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_16670);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														bool_t
																																															BgL_testz00_16672;
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_arg3718z00_4220;
																																															BgL_arg3718z00_4220
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_testz00_16672
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg3718z00_4220));
																																														}
																																														if (BgL_testz00_16672)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_16676;
																																																goto
																																																	BgL_tagzd2384zd2_1664;
																																																BgL_auxz00_12567
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_16676);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																	{	/* Ast/sexp.scm 117 */
																																																		goto
																																																			BgL_tagzd2403zd2_1706;
																																																	}
																																																else
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_16680;
																																																		goto
																																																			BgL_tagzd2404zd2_1707;
																																																		BgL_auxz00_12567
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_16680);
																																																	}
																																															}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 117 */
																																										if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd217228zd2_3903)))
																																											{	/* Ast/sexp.scm 117 */
																																												goto
																																													BgL_kapzd217230zd2_3905;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												if ((BgL_carzd217228zd2_3903 == CNST_TABLE_REF(((long) 19))))
																																													{	/* Ast/sexp.scm 117 */
																																														goto
																																															BgL_kapzd217230zd2_3905;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														if ((BgL_carzd217228zd2_3903 == CNST_TABLE_REF(((long) 20))))
																																															{	/* Ast/sexp.scm 117 */
																																																goto
																																																	BgL_kapzd217230zd2_3905;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd217228zd2_3903)))
																																																	{	/* Ast/sexp.scm 117 */
																																																		goto
																																																			BgL_kapzd217230zd2_3905;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		bool_t
																																																			BgL_testz00_16694;
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_arg3616z00_4082;
																																																			BgL_arg3616z00_4082
																																																				=
																																																				CAR
																																																				(BgL_expz00_21);
																																																			BgL_testz00_16694
																																																				=
																																																				CBOOL
																																																				(BGl_letzd2symzf3z21zzast_letz00
																																																				(BgL_arg3616z00_4082));
																																																		}
																																																		if (BgL_testz00_16694)
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_16698;
																																																				goto
																																																					BgL_tagzd2382zd2_1662;
																																																				BgL_auxz00_12567
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_16698);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				bool_t
																																																					BgL_testz00_16700;
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_arg3615z00_4081;
																																																					BgL_arg3615z00_4081
																																																						=
																																																						CAR
																																																						(BgL_expz00_21);
																																																					BgL_testz00_16700
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg3615z00_4081));
																																																				}
																																																				if (BgL_testz00_16700)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_16704;
																																																						goto
																																																							BgL_tagzd2384zd2_1664;
																																																						BgL_auxz00_12567
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_16704);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						obj_t
																																																							BgL_carzd218836zd2_3915;
																																																						obj_t
																																																							BgL_cdrzd218837zd2_3916;
																																																						BgL_carzd218836zd2_3915
																																																							=
																																																							CAR
																																																							(BgL_expz00_21);
																																																						BgL_cdrzd218837zd2_3916
																																																							=
																																																							CDR
																																																							(BgL_expz00_21);
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_cdrzd218841zd2_3917;
																																																							BgL_cdrzd218841zd2_3917
																																																								=
																																																								CDR
																																																								(BgL_carzd218836zd2_3915);
																																																							if ((CAR(BgL_carzd218836zd2_3915) == CNST_TABLE_REF(((long) 3))))
																																																								{	/* Ast/sexp.scm 117 */
																																																									if (PAIRP(BgL_cdrzd218841zd2_3917))
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_carzd218844zd2_3921;
																																																											obj_t
																																																												BgL_cdrzd218845zd2_3922;
																																																											BgL_carzd218844zd2_3921
																																																												=
																																																												CAR
																																																												(BgL_cdrzd218841zd2_3917);
																																																											BgL_cdrzd218845zd2_3922
																																																												=
																																																												CDR
																																																												(BgL_cdrzd218841zd2_3917);
																																																											if (PAIRP(BgL_carzd218844zd2_3921))
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (NULLP(CDR(BgL_carzd218844zd2_3921)))
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (PAIRP(BgL_cdrzd218845zd2_3922))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_carzd218851zd2_3927;
																																																																	BgL_carzd218851zd2_3927
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd218845zd2_3922);
																																																																	if (PAIRP(BgL_carzd218851zd2_3927))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd218851zd2_3927))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if (NULLP(CDR(BgL_cdrzd218845zd2_3922)))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_carzd218858zd2_3932;
																																																																							BgL_carzd218858zd2_3932
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd218837zd2_3916);
																																																																							if (PAIRP(BgL_carzd218858zd2_3932))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd218883zd2_3934;
																																																																									BgL_cdrzd218883zd2_3934
																																																																										=
																																																																										CDR
																																																																										(CAR
																																																																										(BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_arg3502z00_3935;
																																																																										obj_t
																																																																											BgL_arg3503z00_3936;
																																																																										obj_t
																																																																											BgL_arg3504z00_3937;
																																																																										BgL_arg3502z00_3935
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd218883zd2_3934);
																																																																										BgL_arg3503z00_3936
																																																																											=
																																																																											CDR
																																																																											(BgL_cdrzd218883zd2_3934);
																																																																										BgL_arg3504z00_3937
																																																																											=
																																																																											CDR
																																																																											(BgL_expz00_21);
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_16740;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_16743;
																																																																												obj_t
																																																																													BgL_bodyz00_16742;
																																																																												obj_t
																																																																													BgL_varsz00_16741;
																																																																												BgL_varsz00_16741
																																																																													=
																																																																													BgL_arg3502z00_3935;
																																																																												BgL_bodyz00_16742
																																																																													=
																																																																													BgL_arg3503z00_3936;
																																																																												BgL_argsz00_16743
																																																																													=
																																																																													BgL_arg3504z00_3937;
																																																																												BgL_argsz00_1671
																																																																													=
																																																																													BgL_argsz00_16743;
																																																																												BgL_bodyz00_1670
																																																																													=
																																																																													BgL_bodyz00_16742;
																																																																												BgL_varsz00_1669
																																																																													=
																																																																													BgL_varsz00_16741;
																																																																												goto
																																																																													BgL_tagzd2386zd2_1672;
																																																																											}
																																																																											BgL_auxz00_12567
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_16740);
																																																																										}
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (NULLP(CDR(BgL_cdrzd218837zd2_3916)))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_arg3509z00_3941;
																																																																											BgL_arg3509z00_3941
																																																																												=
																																																																												CAR
																																																																												(BgL_carzd218844zd2_3921);
																																																																											{
																																																																												BgL_castz00_bglt
																																																																													BgL_auxz00_16749;
																																																																												BgL_varz00_1665
																																																																													=
																																																																													BgL_arg3509z00_3941;
																																																																												BgL_bodyz00_1666
																																																																													=
																																																																													BgL_carzd218851zd2_3927;
																																																																												BgL_argz00_1667
																																																																													=
																																																																													BgL_carzd218858zd2_3932;
																																																																											BgL_tagzd2385zd2_1668:
																																																																												{	/* Ast/sexp.scm 350 */
																																																																													BgL_castz00_bglt
																																																																														BgL_new1138z00_7835;
																																																																													{	/* Ast/sexp.scm 351 */
																																																																														BgL_castz00_bglt
																																																																															BgL_new1137z00_7837;
																																																																														BgL_new1137z00_7837
																																																																															=
																																																																															(
																																																																															(BgL_castz00_bglt)
																																																																															BREF
																																																																															(GC_MALLOC
																																																																																(sizeof
																																																																																	(struct
																																																																																		BgL_castz00_bgl))));
																																																																														{	/* Ast/sexp.scm 351 */
																																																																															long
																																																																																BgL_arg6250z00_7838;
																																																																															{	/* Ast/sexp.scm 351 */
																																																																																long
																																																																																	BgL_res6747z00_8871;
																																																																																BgL_res6747z00_8871
																																																																																	=
																																																																																	BGL_CLASS_INDEX
																																																																																	(BGl_castz00zzast_nodez00);
																																																																																BgL_arg6250z00_7838
																																																																																	=
																																																																																	BgL_res6747z00_8871;
																																																																															}
																																																																															BGL_OBJECT_CLASS_NUM_SET
																																																																																(
																																																																																((BgL_objectz00_bglt) BgL_new1137z00_7837), BgL_arg6250z00_7838);
																																																																														}
																																																																														{	/* Ast/sexp.scm 351 */
																																																																															BgL_objectz00_bglt
																																																																																BgL_tmpz00_16754;
																																																																															BgL_tmpz00_16754
																																																																																=
																																																																																(
																																																																																(BgL_objectz00_bglt)
																																																																																BgL_new1137z00_7837);
																																																																															BGL_OBJECT_WIDENING_SET
																																																																																(BgL_tmpz00_16754,
																																																																																BFALSE);
																																																																														}
																																																																														BgL_new1138z00_7835
																																																																															=
																																																																															BgL_new1137z00_7837;
																																																																													}
																																																																													((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1138z00_7835)))->BgL_locz00) = ((obj_t) BgL_locz00_23), BUNSPEC);
																																																																													{
																																																																														BgL_typez00_bglt
																																																																															BgL_auxz00_16759;
																																																																														{	/* Ast/sexp.scm 352 */
																																																																															obj_t
																																																																																BgL_arg6249z00_7836;
																																																																															BgL_arg6249z00_7836
																																																																																=
																																																																																BGl_castzd2sexpzd2typez00zzast_privatez00
																																																																																(BgL_bodyz00_1666);
																																																																															BgL_auxz00_16759
																																																																																=
																																																																																BGl_usezd2typez12zc0zztype_envz00
																																																																																(BgL_arg6249z00_7836,
																																																																																BgL_locz00_23);
																																																																														}
																																																																														((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1138z00_7835)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16759), BUNSPEC);
																																																																													}
																																																																													((((BgL_castz00_bglt) CREF(BgL_new1138z00_7835))->BgL_argz00) = ((BgL_nodez00_bglt) BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_argz00_1667, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24)), BUNSPEC);
																																																																													BgL_auxz00_16749
																																																																														=
																																																																														BgL_new1138z00_7835;
																																																																												}
																																																																												BgL_auxz00_12567
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_16749);
																																																																										}}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_cdrzd218911zd2_3942;
																																																																											BgL_cdrzd218911zd2_3942
																																																																												=
																																																																												CDR
																																																																												(CAR
																																																																												(BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_arg3510z00_3943;
																																																																												obj_t
																																																																													BgL_arg3512z00_3944;
																																																																												obj_t
																																																																													BgL_arg3513z00_3945;
																																																																												BgL_arg3510z00_3943
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd218911zd2_3942);
																																																																												BgL_arg3512z00_3944
																																																																													=
																																																																													CDR
																																																																													(BgL_cdrzd218911zd2_3942);
																																																																												BgL_arg3513z00_3945
																																																																													=
																																																																													CDR
																																																																													(BgL_expz00_21);
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_16772;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_16775;
																																																																														obj_t
																																																																															BgL_bodyz00_16774;
																																																																														obj_t
																																																																															BgL_varsz00_16773;
																																																																														BgL_varsz00_16773
																																																																															=
																																																																															BgL_arg3510z00_3943;
																																																																														BgL_bodyz00_16774
																																																																															=
																																																																															BgL_arg3512z00_3944;
																																																																														BgL_argsz00_16775
																																																																															=
																																																																															BgL_arg3513z00_3945;
																																																																														BgL_argsz00_1671
																																																																															=
																																																																															BgL_argsz00_16775;
																																																																														BgL_bodyz00_1670
																																																																															=
																																																																															BgL_bodyz00_16774;
																																																																														BgL_varsz00_1669
																																																																															=
																																																																															BgL_varsz00_16773;
																																																																														goto
																																																																															BgL_tagzd2386zd2_1672;
																																																																													}
																																																																													BgL_auxz00_12567
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_16772);
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd218937zd2_3948;
																																																																							BgL_cdrzd218937zd2_3948
																																																																								=
																																																																								CDR
																																																																								(CAR
																																																																								(BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_arg3516z00_3949;
																																																																								obj_t
																																																																									BgL_arg3517z00_3950;
																																																																								obj_t
																																																																									BgL_arg3518z00_3951;
																																																																								BgL_arg3516z00_3949
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd218937zd2_3948);
																																																																								BgL_arg3517z00_3950
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd218937zd2_3948);
																																																																								BgL_arg3518z00_3951
																																																																									=
																																																																									CDR
																																																																									(BgL_expz00_21);
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_16782;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_16785;
																																																																										obj_t
																																																																											BgL_bodyz00_16784;
																																																																										obj_t
																																																																											BgL_varsz00_16783;
																																																																										BgL_varsz00_16783
																																																																											=
																																																																											BgL_arg3516z00_3949;
																																																																										BgL_bodyz00_16784
																																																																											=
																																																																											BgL_arg3517z00_3950;
																																																																										BgL_argsz00_16785
																																																																											=
																																																																											BgL_arg3518z00_3951;
																																																																										BgL_argsz00_1671
																																																																											=
																																																																											BgL_argsz00_16785;
																																																																										BgL_bodyz00_1670
																																																																											=
																																																																											BgL_bodyz00_16784;
																																																																										BgL_varsz00_1669
																																																																											=
																																																																											BgL_varsz00_16783;
																																																																										goto
																																																																											BgL_tagzd2386zd2_1672;
																																																																									}
																																																																									BgL_auxz00_12567
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_16782);
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd218963zd2_3954;
																																																																					BgL_cdrzd218963zd2_3954
																																																																						=
																																																																						CDR
																																																																						(CAR
																																																																						(BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_arg3523z00_3955;
																																																																						obj_t
																																																																							BgL_arg3524z00_3956;
																																																																						obj_t
																																																																							BgL_arg3525z00_3957;
																																																																						BgL_arg3523z00_3955
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd218963zd2_3954);
																																																																						BgL_arg3524z00_3956
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd218963zd2_3954);
																																																																						BgL_arg3525z00_3957
																																																																							=
																																																																							CDR
																																																																							(BgL_expz00_21);
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_16792;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_16795;
																																																																								obj_t
																																																																									BgL_bodyz00_16794;
																																																																								obj_t
																																																																									BgL_varsz00_16793;
																																																																								BgL_varsz00_16793
																																																																									=
																																																																									BgL_arg3523z00_3955;
																																																																								BgL_bodyz00_16794
																																																																									=
																																																																									BgL_arg3524z00_3956;
																																																																								BgL_argsz00_16795
																																																																									=
																																																																									BgL_arg3525z00_3957;
																																																																								BgL_argsz00_1671
																																																																									=
																																																																									BgL_argsz00_16795;
																																																																								BgL_bodyz00_1670
																																																																									=
																																																																									BgL_bodyz00_16794;
																																																																								BgL_varsz00_1669
																																																																									=
																																																																									BgL_varsz00_16793;
																																																																								goto
																																																																									BgL_tagzd2386zd2_1672;
																																																																							}
																																																																							BgL_auxz00_12567
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_16792);
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd218989zd2_3959;
																																																																			BgL_cdrzd218989zd2_3959
																																																																				=
																																																																				CDR
																																																																				(BgL_carzd218836zd2_3915);
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_arg3527z00_3960;
																																																																				obj_t
																																																																					BgL_arg3528z00_3961;
																																																																				obj_t
																																																																					BgL_arg3529z00_3962;
																																																																				BgL_arg3527z00_3960
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd218989zd2_3959);
																																																																				BgL_arg3528z00_3961
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd218989zd2_3959);
																																																																				BgL_arg3529z00_3962
																																																																					=
																																																																					CDR
																																																																					(BgL_expz00_21);
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_16801;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_16804;
																																																																						obj_t
																																																																							BgL_bodyz00_16803;
																																																																						obj_t
																																																																							BgL_varsz00_16802;
																																																																						BgL_varsz00_16802
																																																																							=
																																																																							BgL_arg3527z00_3960;
																																																																						BgL_bodyz00_16803
																																																																							=
																																																																							BgL_arg3528z00_3961;
																																																																						BgL_argsz00_16804
																																																																							=
																																																																							BgL_arg3529z00_3962;
																																																																						BgL_argsz00_1671
																																																																							=
																																																																							BgL_argsz00_16804;
																																																																						BgL_bodyz00_1670
																																																																							=
																																																																							BgL_bodyz00_16803;
																																																																						BgL_varsz00_1669
																																																																							=
																																																																							BgL_varsz00_16802;
																																																																						goto
																																																																							BgL_tagzd2386zd2_1672;
																																																																					}
																																																																					BgL_auxz00_12567
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_16801);
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd219015zd2_3964;
																																																																	BgL_cdrzd219015zd2_3964
																																																																		=
																																																																		CDR
																																																																		(BgL_carzd218836zd2_3915);
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_arg3532z00_3965;
																																																																		obj_t
																																																																			BgL_arg3534z00_3966;
																																																																		obj_t
																																																																			BgL_arg3535z00_3967;
																																																																		BgL_arg3532z00_3965
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd219015zd2_3964);
																																																																		BgL_arg3534z00_3966
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd219015zd2_3964);
																																																																		BgL_arg3535z00_3967
																																																																			=
																																																																			CDR
																																																																			(BgL_expz00_21);
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_16810;
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_16813;
																																																																				obj_t
																																																																					BgL_bodyz00_16812;
																																																																				obj_t
																																																																					BgL_varsz00_16811;
																																																																				BgL_varsz00_16811
																																																																					=
																																																																					BgL_arg3532z00_3965;
																																																																				BgL_bodyz00_16812
																																																																					=
																																																																					BgL_arg3534z00_3966;
																																																																				BgL_argsz00_16813
																																																																					=
																																																																					BgL_arg3535z00_3967;
																																																																				BgL_argsz00_1671
																																																																					=
																																																																					BgL_argsz00_16813;
																																																																				BgL_bodyz00_1670
																																																																					=
																																																																					BgL_bodyz00_16812;
																																																																				BgL_varsz00_1669
																																																																					=
																																																																					BgL_varsz00_16811;
																																																																				goto
																																																																					BgL_tagzd2386zd2_1672;
																																																																			}
																																																																			BgL_auxz00_12567
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_16810);
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd219041zd2_3969;
																																																															BgL_cdrzd219041zd2_3969
																																																																=
																																																																CDR
																																																																(BgL_carzd218836zd2_3915);
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_arg3537z00_3970;
																																																																obj_t
																																																																	BgL_arg3538z00_3971;
																																																																obj_t
																																																																	BgL_arg3539z00_3972;
																																																																BgL_arg3537z00_3970
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd219041zd2_3969);
																																																																BgL_arg3538z00_3971
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd219041zd2_3969);
																																																																BgL_arg3539z00_3972
																																																																	=
																																																																	CDR
																																																																	(BgL_expz00_21);
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_16819;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_16822;
																																																																		obj_t
																																																																			BgL_bodyz00_16821;
																																																																		obj_t
																																																																			BgL_varsz00_16820;
																																																																		BgL_varsz00_16820
																																																																			=
																																																																			BgL_arg3537z00_3970;
																																																																		BgL_bodyz00_16821
																																																																			=
																																																																			BgL_arg3538z00_3971;
																																																																		BgL_argsz00_16822
																																																																			=
																																																																			BgL_arg3539z00_3972;
																																																																		BgL_argsz00_1671
																																																																			=
																																																																			BgL_argsz00_16822;
																																																																		BgL_bodyz00_1670
																																																																			=
																																																																			BgL_bodyz00_16821;
																																																																		BgL_varsz00_1669
																																																																			=
																																																																			BgL_varsz00_16820;
																																																																		goto
																																																																			BgL_tagzd2386zd2_1672;
																																																																	}
																																																																	BgL_auxz00_12567
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_16819);
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd219067zd2_3975;
																																																													BgL_cdrzd219067zd2_3975
																																																														=
																																																														CDR
																																																														(BgL_carzd218836zd2_3915);
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_arg3543z00_3976;
																																																														obj_t
																																																															BgL_arg3545z00_3977;
																																																														obj_t
																																																															BgL_arg3546z00_3978;
																																																														BgL_arg3543z00_3976
																																																															=
																																																															CAR
																																																															(BgL_cdrzd219067zd2_3975);
																																																														BgL_arg3545z00_3977
																																																															=
																																																															CDR
																																																															(BgL_cdrzd219067zd2_3975);
																																																														BgL_arg3546z00_3978
																																																															=
																																																															CDR
																																																															(BgL_expz00_21);
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_16828;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_16831;
																																																																obj_t
																																																																	BgL_bodyz00_16830;
																																																																obj_t
																																																																	BgL_varsz00_16829;
																																																																BgL_varsz00_16829
																																																																	=
																																																																	BgL_arg3543z00_3976;
																																																																BgL_bodyz00_16830
																																																																	=
																																																																	BgL_arg3545z00_3977;
																																																																BgL_argsz00_16831
																																																																	=
																																																																	BgL_arg3546z00_3978;
																																																																BgL_argsz00_1671
																																																																	=
																																																																	BgL_argsz00_16831;
																																																																BgL_bodyz00_1670
																																																																	=
																																																																	BgL_bodyz00_16830;
																																																																BgL_varsz00_1669
																																																																	=
																																																																	BgL_varsz00_16829;
																																																																goto
																																																																	BgL_tagzd2386zd2_1672;
																																																															}
																																																															BgL_auxz00_12567
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_16828);
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 117 */
																																																													goto
																																																														BgL_tagzd2403zd2_1706;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_16835;
																																																													goto
																																																														BgL_tagzd2404zd2_1707;
																																																													BgL_auxz00_12567
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_16835);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_cdrzd219205zd2_3983;
																																																									BgL_cdrzd219205zd2_3983
																																																										=
																																																										CDR
																																																										(BgL_carzd218836zd2_3915);
																																																									if ((CAR(BgL_carzd218836zd2_3915) == CNST_TABLE_REF(((long) 1))))
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (PAIRP(BgL_cdrzd219205zd2_3983))
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd219210zd2_3987;
																																																													BgL_cdrzd219210zd2_3987
																																																														=
																																																														CDR
																																																														(BgL_cdrzd219205zd2_3983);
																																																													if (PAIRP(BgL_cdrzd219210zd2_3987))
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_carzd219214zd2_3989;
																																																															obj_t
																																																																BgL_cdrzd219215zd2_3990;
																																																															BgL_carzd219214zd2_3989
																																																																=
																																																																CAR
																																																																(BgL_cdrzd219210zd2_3987);
																																																															BgL_cdrzd219215zd2_3990
																																																																=
																																																																CDR
																																																																(BgL_cdrzd219210zd2_3987);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219214zd2_3989))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (PAIRP(BgL_cdrzd219215zd2_3990))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_carzd219220zd2_3993;
																																																																			BgL_carzd219220zd2_3993
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd219215zd2_3990);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219220zd2_3993))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if (NULLP(CDR(BgL_cdrzd219215zd2_3990)))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							bool_t
																																																																								BgL_testz00_16859;
																																																																							{
																																																																								obj_t
																																																																									BgL_l1394z00_4026;
																																																																								BgL_l1394z00_4026
																																																																									=
																																																																									BgL_cdrzd218837zd2_3916;
																																																																							BgL_zc3anonymousza33574ze3z83_4027:
																																																																								if (NULLP(BgL_l1394z00_4026))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										BgL_testz00_16859
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										bool_t
																																																																											BgL_testz00_16862;
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											bool_t
																																																																												BgL_testz00_16863;
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_tmpz00_16864;
																																																																												BgL_tmpz00_16864
																																																																													=
																																																																													CAR
																																																																													(BgL_l1394z00_4026);
																																																																												BgL_testz00_16863
																																																																													=
																																																																													PAIRP
																																																																													(BgL_tmpz00_16864);
																																																																											}
																																																																											if (BgL_testz00_16863)
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													BgL_testz00_16862
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													BgL_testz00_16862
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																										}
																																																																										if (BgL_testz00_16862)
																																																																											{
																																																																												obj_t
																																																																													BgL_l1394z00_16867;
																																																																												BgL_l1394z00_16867
																																																																													=
																																																																													CDR
																																																																													(BgL_l1394z00_4026);
																																																																												BgL_l1394z00_4026
																																																																													=
																																																																													BgL_l1394z00_16867;
																																																																												goto
																																																																													BgL_zc3anonymousza33574ze3z83_4027;
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												BgL_testz00_16859
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																									}
																																																																							}
																																																																							if (BgL_testz00_16859)
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_arg3564z00_4009;
																																																																									BgL_arg3564z00_4009
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd219205zd2_3983);
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_16870;
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_16874;
																																																																											obj_t
																																																																												BgL_proc2z00_16873;
																																																																											obj_t
																																																																												BgL_proc1z00_16872;
																																																																											obj_t
																																																																												BgL_testz00_16871;
																																																																											BgL_testz00_16871
																																																																												=
																																																																												BgL_arg3564z00_4009;
																																																																											BgL_proc1z00_16872
																																																																												=
																																																																												BgL_carzd219214zd2_3989;
																																																																											BgL_proc2z00_16873
																																																																												=
																																																																												BgL_carzd219220zd2_3993;
																																																																											BgL_argsz00_16874
																																																																												=
																																																																												BgL_cdrzd218837zd2_3916;
																																																																											BgL_argsz00_1676
																																																																												=
																																																																												BgL_argsz00_16874;
																																																																											BgL_proc2z00_1675
																																																																												=
																																																																												BgL_proc2z00_16873;
																																																																											BgL_proc1z00_1674
																																																																												=
																																																																												BgL_proc1z00_16872;
																																																																											BgL_testz00_1673
																																																																												=
																																																																												BgL_testz00_16871;
																																																																											goto
																																																																												BgL_tagzd2387zd2_1677;
																																																																										}
																																																																										BgL_auxz00_12567
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_16870);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd219245zd2_4010;
																																																																									BgL_cdrzd219245zd2_4010
																																																																										=
																																																																										CDR
																																																																										(BgL_expz00_21);
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_cdrzd219253zd2_4011;
																																																																										BgL_cdrzd219253zd2_4011
																																																																											=
																																																																											CDR
																																																																											(CAR
																																																																											(BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_cdrzd219261zd2_4012;
																																																																											BgL_cdrzd219261zd2_4012
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd219253zd2_4011);
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_carzd219268zd2_4013;
																																																																												BgL_carzd219268zd2_4013
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd219261zd2_4012);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219268zd2_4013))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_carzd219277zd2_4015;
																																																																														BgL_carzd219277zd2_4015
																																																																															=
																																																																															CAR
																																																																															(CDR
																																																																															(BgL_cdrzd219261zd2_4012));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219277zd2_4015))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd219245zd2_4010))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		obj_t
																																																																																			BgL_arg3568z00_4018;
																																																																																		BgL_arg3568z00_4018
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd219253zd2_4011);
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_16890;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_16894;
																																																																																				obj_t
																																																																																					BgL_proc2z00_16893;
																																																																																				obj_t
																																																																																					BgL_proc1z00_16892;
																																																																																				obj_t
																																																																																					BgL_testz00_16891;
																																																																																				BgL_testz00_16891
																																																																																					=
																																																																																					BgL_arg3568z00_4018;
																																																																																				BgL_proc1z00_16892
																																																																																					=
																																																																																					BgL_carzd219268zd2_4013;
																																																																																				BgL_proc2z00_16893
																																																																																					=
																																																																																					BgL_carzd219277zd2_4015;
																																																																																				BgL_argsz00_16894
																																																																																					=
																																																																																					BgL_cdrzd219245zd2_4010;
																																																																																				BgL_argsz00_1681
																																																																																					=
																																																																																					BgL_argsz00_16894;
																																																																																				BgL_proc2z00_1680
																																																																																					=
																																																																																					BgL_proc2z00_16893;
																																																																																				BgL_proc1z00_1679
																																																																																					=
																																																																																					BgL_proc1z00_16892;
																																																																																				BgL_testz00_1678
																																																																																					=
																																																																																					BgL_testz00_16891;
																																																																																				goto
																																																																																					BgL_tagzd2388zd2_1682;
																																																																																			}
																																																																																			BgL_auxz00_12567
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_16890);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1706;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_16898;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1707;
																																																																																				BgL_auxz00_12567
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_16898);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_16902;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_12567
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_16902);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_16906;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_12567
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_16906);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1706;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_16910;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1707;
																																																																									BgL_auxz00_12567
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_16910);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd219555zd2_4037;
																																																																					BgL_cdrzd219555zd2_4037
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_21);
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_cdrzd219562zd2_4038;
																																																																						BgL_cdrzd219562zd2_4038
																																																																							=
																																																																							CDR
																																																																							(CAR
																																																																							(BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd219569zd2_4039;
																																																																							BgL_cdrzd219569zd2_4039
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd219562zd2_4038);
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_carzd219575zd2_4040;
																																																																								obj_t
																																																																									BgL_cdrzd219576zd2_4041;
																																																																								BgL_carzd219575zd2_4040
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd219569zd2_4039);
																																																																								BgL_cdrzd219576zd2_4041
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd219569zd2_4039);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219575zd2_4040))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_carzd219583zd2_4043;
																																																																										BgL_carzd219583zd2_4043
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd219576zd2_4041);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219583zd2_4043))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (NULLP(CDR(BgL_cdrzd219576zd2_4041)))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd219555zd2_4037))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_arg3584z00_4048;
																																																																																BgL_arg3584z00_4048
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd219562zd2_4038);
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_16929;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_16933;
																																																																																		obj_t
																																																																																			BgL_proc2z00_16932;
																																																																																		obj_t
																																																																																			BgL_proc1z00_16931;
																																																																																		obj_t
																																																																																			BgL_testz00_16930;
																																																																																		BgL_testz00_16930
																																																																																			=
																																																																																			BgL_arg3584z00_4048;
																																																																																		BgL_proc1z00_16931
																																																																																			=
																																																																																			BgL_carzd219575zd2_4040;
																																																																																		BgL_proc2z00_16932
																																																																																			=
																																																																																			BgL_carzd219583zd2_4043;
																																																																																		BgL_argsz00_16933
																																																																																			=
																																																																																			BgL_cdrzd219555zd2_4037;
																																																																																		BgL_argsz00_1681
																																																																																			=
																																																																																			BgL_argsz00_16933;
																																																																																		BgL_proc2z00_1680
																																																																																			=
																																																																																			BgL_proc2z00_16932;
																																																																																		BgL_proc1z00_1679
																																																																																			=
																																																																																			BgL_proc1z00_16931;
																																																																																		BgL_testz00_1678
																																																																																			=
																																																																																			BgL_testz00_16930;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1682;
																																																																																	}
																																																																																	BgL_auxz00_12567
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_16929);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_16937;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_12567
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_16937);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_16941;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_12567
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_16941);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_16945;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_12567
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_16945);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_16949;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_12567
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_16949);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1706;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_16953;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1707;
																																																																					BgL_auxz00_12567
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_16953);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd219916zd2_4056;
																																																																	BgL_cdrzd219916zd2_4056
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_cdrzd219922zd2_4057;
																																																																		BgL_cdrzd219922zd2_4057
																																																																			=
																																																																			CDR
																																																																			(CAR
																																																																			(BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd219928zd2_4058;
																																																																			BgL_cdrzd219928zd2_4058
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd219922zd2_4057);
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_carzd219933zd2_4059;
																																																																				obj_t
																																																																					BgL_cdrzd219934zd2_4060;
																																																																				BgL_carzd219933zd2_4059
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd219928zd2_4058);
																																																																				BgL_cdrzd219934zd2_4060
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd219928zd2_4058);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219933zd2_4059))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (PAIRP(BgL_cdrzd219934zd2_4060))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_carzd219939zd2_4063;
																																																																								BgL_carzd219939zd2_4063
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd219934zd2_4060);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219939zd2_4063))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (NULLP(CDR(BgL_cdrzd219934zd2_4060)))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd219916zd2_4056))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_arg3601z00_4068;
																																																																														BgL_arg3601z00_4068
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd219922zd2_4057);
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_16974;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_16978;
																																																																																obj_t
																																																																																	BgL_proc2z00_16977;
																																																																																obj_t
																																																																																	BgL_proc1z00_16976;
																																																																																obj_t
																																																																																	BgL_testz00_16975;
																																																																																BgL_testz00_16975
																																																																																	=
																																																																																	BgL_arg3601z00_4068;
																																																																																BgL_proc1z00_16976
																																																																																	=
																																																																																	BgL_carzd219933zd2_4059;
																																																																																BgL_proc2z00_16977
																																																																																	=
																																																																																	BgL_carzd219939zd2_4063;
																																																																																BgL_argsz00_16978
																																																																																	=
																																																																																	BgL_cdrzd219916zd2_4056;
																																																																																BgL_argsz00_1681
																																																																																	=
																																																																																	BgL_argsz00_16978;
																																																																																BgL_proc2z00_1680
																																																																																	=
																																																																																	BgL_proc2z00_16977;
																																																																																BgL_proc1z00_1679
																																																																																	=
																																																																																	BgL_proc1z00_16976;
																																																																																BgL_testz00_1678
																																																																																	=
																																																																																	BgL_testz00_16975;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1682;
																																																																															}
																																																																															BgL_auxz00_12567
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_16974);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_16982;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_12567
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_16982);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_16986;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_12567
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_16986);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_16990;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_12567
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_16990);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_16994;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_12567
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_16994);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_16998;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_12567
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_16998);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1706;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_17002;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1707;
																																																																	BgL_auxz00_12567
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_17002);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 117 */
																																																															goto
																																																																BgL_tagzd2403zd2_1706;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_17006;
																																																															goto
																																																																BgL_tagzd2404zd2_1707;
																																																															BgL_auxz00_12567
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_17006);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 117 */
																																																													goto
																																																														BgL_tagzd2403zd2_1706;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_17010;
																																																													goto
																																																														BgL_tagzd2404zd2_1707;
																																																													BgL_auxz00_12567
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_17010);
																																																												}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 117 */
																																							if ((BgL_carzd217225zd2_3901 == CNST_TABLE_REF(((long) 18))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_17015;
																																									goto
																																										BgL_tagzd2382zd2_1662;
																																									BgL_auxz00_12567
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_17015);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 117 */
																																									if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd217225zd2_3901)))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_17020;
																																											goto
																																												BgL_tagzd2382zd2_1662;
																																											BgL_auxz00_12567
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_17020);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 117 */
																																											if ((BgL_carzd217225zd2_3901 == CNST_TABLE_REF(((long) 19))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_17025;
																																													goto
																																														BgL_tagzd2382zd2_1662;
																																													BgL_auxz00_12567
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_17025);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 117 */
																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_17031;
																																															goto
																																																BgL_tagzd2383zd2_1663;
																																															BgL_auxz00_12567
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_17031);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_carzd220501zd2_4228;
																																															BgL_carzd220501zd2_4228
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															if ((BgL_carzd220501zd2_4228 == CNST_TABLE_REF(((long) 20))))
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_17037;
																																																	goto
																																																		BgL_tagzd2384zd2_1664;
																																																	BgL_auxz00_12567
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_17037);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 117 */
																																																	if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd220501zd2_4228)))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_17042;
																																																			goto
																																																				BgL_tagzd2384zd2_1664;
																																																			BgL_auxz00_12567
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_17042);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 117 */
																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_17048;
																																																					goto
																																																						BgL_tagzd2389zd2_1683;
																																																					BgL_auxz00_12567
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_17048);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_17054;
																																																							goto
																																																								BgL_tagzd2390zd2_1684;
																																																							BgL_auxz00_12567
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_17054);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_cdrzd220581zd2_4235;
																																																							BgL_cdrzd220581zd2_4235
																																																								=
																																																								CDR
																																																								(BgL_expz00_21);
																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_arg3733z00_4238;
																																																									obj_t
																																																										BgL_arg3734z00_4239;
																																																									BgL_arg3733z00_4238
																																																										=
																																																										CAR
																																																										(BgL_cdrzd220581zd2_4235);
																																																									BgL_arg3734z00_4239
																																																										=
																																																										CDR
																																																										(BgL_cdrzd220581zd2_4235);
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_17063;
																																																										{
																																																											obj_t
																																																												BgL_restz00_17065;
																																																											obj_t
																																																												BgL_effectz00_17064;
																																																											BgL_effectz00_17064
																																																												=
																																																												BgL_arg3733z00_4238;
																																																											BgL_restz00_17065
																																																												=
																																																												BgL_arg3734z00_4239;
																																																											BgL_restz00_1686
																																																												=
																																																												BgL_restz00_17065;
																																																											BgL_effectz00_1685
																																																												=
																																																												BgL_effectz00_17064;
																																																											goto
																																																												BgL_tagzd2391zd2_1687;
																																																										}
																																																										BgL_auxz00_12567
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_17063);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_17071;
																																																											goto
																																																												BgL_tagzd2392zd2_1688;
																																																											BgL_auxz00_12567
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_17071);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_17077;
																																																													goto
																																																														BgL_tagzd2393zd2_1689;
																																																													BgL_auxz00_12567
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_17077);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_arg3741z00_4247;
																																																															obj_t
																																																																BgL_arg3742z00_4248;
																																																															BgL_arg3741z00_4247
																																																																=
																																																																CAR
																																																																(BgL_cdrzd220581zd2_4235);
																																																															BgL_arg3742z00_4248
																																																																=
																																																																CDR
																																																																(BgL_cdrzd220581zd2_4235);
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_17085;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_17087;
																																																																	obj_t
																																																																		BgL_effectz00_17086;
																																																																	BgL_effectz00_17086
																																																																		=
																																																																		BgL_arg3741z00_4247;
																																																																	BgL_restz00_17087
																																																																		=
																																																																		BgL_arg3742z00_4248;
																																																																	BgL_restz00_1691
																																																																		=
																																																																		BgL_restz00_17087;
																																																																	BgL_effectz00_1690
																																																																		=
																																																																		BgL_effectz00_17086;
																																																																	goto
																																																																		BgL_tagzd2394zd2_1692;
																																																																}
																																																																BgL_auxz00_12567
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_17085);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_17093;
																																																																	goto
																																																																		BgL_tagzd2395zd2_1693;
																																																																	BgL_auxz00_12567
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_17093);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_17099;
																																																																			goto
																																																																				BgL_tagzd2396zd2_1694;
																																																																			BgL_auxz00_12567
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_17099);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																																				{
																																																																					BgL_letzd2funzd2_bglt
																																																																						BgL_auxz00_17105;
																																																																					goto
																																																																						BgL_tagzd2397zd2_1695;
																																																																					BgL_auxz00_12567
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_17105);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																																						{
																																																																							BgL_jumpzd2exzd2itz00_bglt
																																																																								BgL_auxz00_17111;
																																																																							goto
																																																																								BgL_tagzd2398zd2_1696;
																																																																							BgL_auxz00_12567
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_17111);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd220658zd2_4257;
																																																																							BgL_cdrzd220658zd2_4257
																																																																								=
																																																																								CDR
																																																																								(BgL_expz00_21);
																																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_arg3753z00_4260;
																																																																									obj_t
																																																																										BgL_arg3754z00_4261;
																																																																									BgL_arg3753z00_4260
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd220658zd2_4257);
																																																																									BgL_arg3754z00_4261
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd220658zd2_4257);
																																																																									{	/* Ast/sexp.scm 538 */
																																																																										obj_t
																																																																											BgL_arg6415z00_10071;
																																																																										BgL_arg6415z00_10071
																																																																											=
																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																											(BgL_expz00_21,
																																																																											BgL_locz00_23);
																																																																										BgL_auxz00_12567
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																											(BgL_expz00_21,
																																																																												BgL_arg3753z00_4260,
																																																																												CNST_TABLE_REF
																																																																												(((long) 4)), BgL_arg3754z00_4261, BgL_stackz00_22, BgL_arg6415z00_10071, BgL_sitez00_24));
																																																																								}}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1706;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_17126;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1707;
																																																																											BgL_auxz00_12567
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_17126);
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																									else
																										{	/* Ast/sexp.scm 117 */
																											obj_t
																												BgL_carzd220681zd2_4277;
																											BgL_carzd220681zd2_4277 =
																												CAR(BgL_expz00_21);
																											if (
																												(BgL_carzd220681zd2_4277
																													==
																													CNST_TABLE_REF(((long)
																															1))))
																												{
																													BgL_nodez00_bglt
																														BgL_auxz00_17132;
																													goto
																														BgL_tagzd2377zd2_1653;
																													BgL_auxz00_12567 =
																														((obj_t)
																														BgL_auxz00_17132);
																												}
																											else
																												{	/* Ast/sexp.scm 117 */
																													if (
																														(BgL_carzd220681zd2_4277
																															==
																															BGl_za2ifza2z00zzast_sexpz00))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_17136;
																															goto
																																BgL_tagzd2377zd2_1653;
																															BgL_auxz00_12567 =
																																((obj_t)
																																BgL_auxz00_17136);
																														}
																													else
																														{	/* Ast/sexp.scm 117 */
																															if (
																																(CAR
																																	(BgL_expz00_21)
																																	==
																																	CNST_TABLE_REF
																																	(((long) 7))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_17142;
																																	goto
																																		BgL_tagzd2379zd2_1657;
																																	BgL_auxz00_12567
																																		=
																																		((obj_t)
																																		BgL_auxz00_17142);
																																}
																															else
																																{	/* Ast/sexp.scm 117 */
																																	if (
																																		(CAR
																																			(BgL_expz00_21)
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					17))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_17148;
																																			goto
																																				BgL_tagzd2380zd2_1658;
																																			BgL_auxz00_12567
																																				=
																																				((obj_t)
																																				BgL_auxz00_17148);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 117 */
																																			obj_t
																																				BgL_carzd220742zd2_4284;
																																			BgL_carzd220742zd2_4284
																																				=
																																				CAR
																																				(BgL_expz00_21);
																																			if (PAIRP
																																				(BgL_carzd220742zd2_4284))
																																				{	/* Ast/sexp.scm 117 */
																																					obj_t
																																						BgL_carzd220745zd2_4286;
																																					obj_t
																																						BgL_cdrzd220746zd2_4287;
																																					BgL_carzd220745zd2_4286
																																						=
																																						CAR
																																						(BgL_carzd220742zd2_4284);
																																					BgL_cdrzd220746zd2_4287
																																						=
																																						CDR
																																						(BgL_carzd220742zd2_4284);
																																					{

																																						if (
																																							(BgL_carzd220745zd2_4286
																																								==
																																								CNST_TABLE_REF
																																								(((long) 18))))
																																							{	/* Ast/sexp.scm 117 */
																																							BgL_kapzd220747zd2_4288:
																																								if (PAIRP(BgL_cdrzd220746zd2_4287))
																																									{	/* Ast/sexp.scm 117 */
																																										obj_t
																																											BgL_cdrzd220750zd2_4410;
																																										BgL_cdrzd220750zd2_4410
																																											=
																																											CDR
																																											(BgL_cdrzd220746zd2_4287);
																																										if (PAIRP(BgL_cdrzd220750zd2_4410))
																																											{	/* Ast/sexp.scm 117 */
																																												if (NULLP(CDR(BgL_cdrzd220750zd2_4410)))
																																													{	/* Ast/sexp.scm 117 */
																																														obj_t
																																															BgL_arg3859z00_4414;
																																														obj_t
																																															BgL_arg3860z00_4415;
																																														BgL_arg3859z00_4414
																																															=
																																															CAR
																																															(BgL_cdrzd220750zd2_4410);
																																														BgL_arg3860z00_4415
																																															=
																																															CDR
																																															(BgL_expz00_21);
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_17168;
																																															{
																																																obj_t
																																																	BgL_argsz00_17170;
																																																obj_t
																																																	BgL_bodyz00_17169;
																																																BgL_bodyz00_17169
																																																	=
																																																	BgL_arg3859z00_4414;
																																																BgL_argsz00_17170
																																																	=
																																																	BgL_arg3860z00_4415;
																																																BgL_argsz00_1660
																																																	=
																																																	BgL_argsz00_17170;
																																																BgL_bodyz00_1659
																																																	=
																																																	BgL_bodyz00_17169;
																																																goto
																																																	BgL_tagzd2381zd2_1661;
																																															}
																																															BgL_auxz00_12567
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_17168);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														bool_t
																																															BgL_testz00_17172;
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_arg3927z00_4524;
																																															BgL_arg3927z00_4524
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_testz00_17172
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg3927z00_4524));
																																														}
																																														if (BgL_testz00_17172)
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_17176;
																																																goto
																																																	BgL_tagzd2382zd2_1662;
																																																BgL_auxz00_12567
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_17176);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																bool_t
																																																	BgL_testz00_17178;
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_arg3926z00_4523;
																																																	BgL_arg3926z00_4523
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	BgL_testz00_17178
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg3926z00_4523));
																																																}
																																																if (BgL_testz00_17178)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_17182;
																																																		goto
																																																			BgL_tagzd2384zd2_1664;
																																																		BgL_auxz00_12567
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_17182);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		obj_t
																																																			BgL_carzd220828zd2_4420;
																																																		BgL_carzd220828zd2_4420
																																																			=
																																																			CAR
																																																			(BgL_expz00_21);
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_cdrzd220833zd2_4421;
																																																			BgL_cdrzd220833zd2_4421
																																																				=
																																																				CDR
																																																				(BgL_carzd220828zd2_4420);
																																																			if ((CAR(BgL_carzd220828zd2_4420) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_arg3867z00_4424;
																																																					obj_t
																																																						BgL_arg3868z00_4425;
																																																					obj_t
																																																						BgL_arg3869z00_4426;
																																																					BgL_arg3867z00_4424
																																																						=
																																																						CAR
																																																						(BgL_cdrzd220833zd2_4421);
																																																					BgL_arg3868z00_4425
																																																						=
																																																						CDR
																																																						(BgL_cdrzd220833zd2_4421);
																																																					BgL_arg3869z00_4426
																																																						=
																																																						CDR
																																																						(BgL_expz00_21);
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_17193;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_17196;
																																																							obj_t
																																																								BgL_bodyz00_17195;
																																																							obj_t
																																																								BgL_varsz00_17194;
																																																							BgL_varsz00_17194
																																																								=
																																																								BgL_arg3867z00_4424;
																																																							BgL_bodyz00_17195
																																																								=
																																																								BgL_arg3868z00_4425;
																																																							BgL_argsz00_17196
																																																								=
																																																								BgL_arg3869z00_4426;
																																																							BgL_argsz00_1671
																																																								=
																																																								BgL_argsz00_17196;
																																																							BgL_bodyz00_1670
																																																								=
																																																								BgL_bodyz00_17195;
																																																							BgL_varsz00_1669
																																																								=
																																																								BgL_varsz00_17194;
																																																							goto
																																																								BgL_tagzd2386zd2_1672;
																																																						}
																																																						BgL_auxz00_12567
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_17193);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_cdrzd220856zd2_4428;
																																																					BgL_cdrzd220856zd2_4428
																																																						=
																																																						CDR
																																																						(BgL_expz00_21);
																																																					{	/* Ast/sexp.scm 117 */
																																																						obj_t
																																																							BgL_cdrzd220862zd2_4429;
																																																						BgL_cdrzd220862zd2_4429
																																																							=
																																																							CDR
																																																							(BgL_carzd220828zd2_4420);
																																																						if ((CAR(BgL_carzd220828zd2_4420) == CNST_TABLE_REF(((long) 1))))
																																																							{	/* Ast/sexp.scm 117 */
																																																								obj_t
																																																									BgL_cdrzd220868zd2_4432;
																																																								BgL_cdrzd220868zd2_4432
																																																									=
																																																									CDR
																																																									(BgL_cdrzd220862zd2_4429);
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_carzd220873zd2_4433;
																																																									obj_t
																																																										BgL_cdrzd220874zd2_4434;
																																																									BgL_carzd220873zd2_4433
																																																										=
																																																										CAR
																																																										(BgL_cdrzd220868zd2_4432);
																																																									BgL_cdrzd220874zd2_4434
																																																										=
																																																										CDR
																																																										(BgL_cdrzd220868zd2_4432);
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220873zd2_4433))
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (PAIRP(BgL_cdrzd220874zd2_4434))
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_carzd220881zd2_4437;
																																																													BgL_carzd220881zd2_4437
																																																														=
																																																														CAR
																																																														(BgL_cdrzd220874zd2_4434);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220881zd2_4437))
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (NULLP(CDR(BgL_cdrzd220874zd2_4434)))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	bool_t
																																																																		BgL_testz00_17217;
																																																																	{
																																																																		obj_t
																																																																			BgL_l1397z00_4470;
																																																																		BgL_l1397z00_4470
																																																																			=
																																																																			BgL_cdrzd220856zd2_4428;
																																																																	BgL_zc3anonymousza33892ze3z83_4471:
																																																																		if (NULLP(BgL_l1397z00_4470))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				BgL_testz00_17217
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					1);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				bool_t
																																																																					BgL_testz00_17220;
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					bool_t
																																																																						BgL_testz00_17221;
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_tmpz00_17222;
																																																																						BgL_tmpz00_17222
																																																																							=
																																																																							CAR
																																																																							(BgL_l1397z00_4470);
																																																																						BgL_testz00_17221
																																																																							=
																																																																							PAIRP
																																																																							(BgL_tmpz00_17222);
																																																																					}
																																																																					if (BgL_testz00_17221)
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							BgL_testz00_17220
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							BgL_testz00_17220
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																				}
																																																																				if (BgL_testz00_17220)
																																																																					{
																																																																						obj_t
																																																																							BgL_l1397z00_17225;
																																																																						BgL_l1397z00_17225
																																																																							=
																																																																							CDR
																																																																							(BgL_l1397z00_4470);
																																																																						BgL_l1397z00_4470
																																																																							=
																																																																							BgL_l1397z00_17225;
																																																																						goto
																																																																							BgL_zc3anonymousza33892ze3z83_4471;
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						BgL_testz00_17217
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							0);
																																																																					}
																																																																			}
																																																																	}
																																																																	if (BgL_testz00_17217)
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_arg3882z00_4453;
																																																																			BgL_arg3882z00_4453
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd220862zd2_4429);
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_17228;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_17232;
																																																																					obj_t
																																																																						BgL_proc2z00_17231;
																																																																					obj_t
																																																																						BgL_proc1z00_17230;
																																																																					obj_t
																																																																						BgL_testz00_17229;
																																																																					BgL_testz00_17229
																																																																						=
																																																																						BgL_arg3882z00_4453;
																																																																					BgL_proc1z00_17230
																																																																						=
																																																																						BgL_carzd220873zd2_4433;
																																																																					BgL_proc2z00_17231
																																																																						=
																																																																						BgL_carzd220881zd2_4437;
																																																																					BgL_argsz00_17232
																																																																						=
																																																																						BgL_cdrzd220856zd2_4428;
																																																																					BgL_argsz00_1676
																																																																						=
																																																																						BgL_argsz00_17232;
																																																																					BgL_proc2z00_1675
																																																																						=
																																																																						BgL_proc2z00_17231;
																																																																					BgL_proc1z00_1674
																																																																						=
																																																																						BgL_proc1z00_17230;
																																																																					BgL_testz00_1673
																																																																						=
																																																																						BgL_testz00_17229;
																																																																					goto
																																																																						BgL_tagzd2387zd2_1677;
																																																																				}
																																																																				BgL_auxz00_12567
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_17228);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd220905zd2_4454;
																																																																			BgL_cdrzd220905zd2_4454
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_cdrzd220912zd2_4455;
																																																																				BgL_cdrzd220912zd2_4455
																																																																					=
																																																																					CDR
																																																																					(CAR
																																																																					(BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd220919zd2_4456;
																																																																					BgL_cdrzd220919zd2_4456
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd220912zd2_4455);
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_carzd220925zd2_4457;
																																																																						BgL_carzd220925zd2_4457
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd220919zd2_4456);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220925zd2_4457))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_carzd220932zd2_4459;
																																																																								BgL_carzd220932zd2_4459
																																																																									=
																																																																									CAR
																																																																									(CDR
																																																																									(BgL_cdrzd220919zd2_4456));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220932zd2_4459))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd220905zd2_4454))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_arg3886z00_4462;
																																																																												BgL_arg3886z00_4462
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd220912zd2_4455);
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_17248;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_17252;
																																																																														obj_t
																																																																															BgL_proc2z00_17251;
																																																																														obj_t
																																																																															BgL_proc1z00_17250;
																																																																														obj_t
																																																																															BgL_testz00_17249;
																																																																														BgL_testz00_17249
																																																																															=
																																																																															BgL_arg3886z00_4462;
																																																																														BgL_proc1z00_17250
																																																																															=
																																																																															BgL_carzd220925zd2_4457;
																																																																														BgL_proc2z00_17251
																																																																															=
																																																																															BgL_carzd220932zd2_4459;
																																																																														BgL_argsz00_17252
																																																																															=
																																																																															BgL_cdrzd220905zd2_4454;
																																																																														BgL_argsz00_1681
																																																																															=
																																																																															BgL_argsz00_17252;
																																																																														BgL_proc2z00_1680
																																																																															=
																																																																															BgL_proc2z00_17251;
																																																																														BgL_proc1z00_1679
																																																																															=
																																																																															BgL_proc1z00_17250;
																																																																														BgL_testz00_1678
																																																																															=
																																																																															BgL_testz00_17249;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1682;
																																																																													}
																																																																													BgL_auxz00_12567
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_17248);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_17256;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_12567
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_17256);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_17260;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_12567
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_17260);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_17264;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_12567
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_17264);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1706;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_17268;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1707;
																																																																			BgL_auxz00_12567
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_17268);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd221208zd2_4481;
																																																															BgL_cdrzd221208zd2_4481
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_cdrzd221214zd2_4482;
																																																																BgL_cdrzd221214zd2_4482
																																																																	=
																																																																	CDR
																																																																	(CAR
																																																																	(BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd221220zd2_4483;
																																																																	BgL_cdrzd221220zd2_4483
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd221214zd2_4482);
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_carzd221225zd2_4484;
																																																																		obj_t
																																																																			BgL_cdrzd221226zd2_4485;
																																																																		BgL_carzd221225zd2_4484
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd221220zd2_4483);
																																																																		BgL_cdrzd221226zd2_4485
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd221220zd2_4483);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221225zd2_4484))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_carzd221231zd2_4487;
																																																																				BgL_carzd221231zd2_4487
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd221226zd2_4485);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221231zd2_4487))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (NULLP(CDR(BgL_cdrzd221226zd2_4485)))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd221208zd2_4481))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_arg3901z00_4492;
																																																																										BgL_arg3901z00_4492
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd221214zd2_4482);
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_17287;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_17291;
																																																																												obj_t
																																																																													BgL_proc2z00_17290;
																																																																												obj_t
																																																																													BgL_proc1z00_17289;
																																																																												obj_t
																																																																													BgL_testz00_17288;
																																																																												BgL_testz00_17288
																																																																													=
																																																																													BgL_arg3901z00_4492;
																																																																												BgL_proc1z00_17289
																																																																													=
																																																																													BgL_carzd221225zd2_4484;
																																																																												BgL_proc2z00_17290
																																																																													=
																																																																													BgL_carzd221231zd2_4487;
																																																																												BgL_argsz00_17291
																																																																													=
																																																																													BgL_cdrzd221208zd2_4481;
																																																																												BgL_argsz00_1681
																																																																													=
																																																																													BgL_argsz00_17291;
																																																																												BgL_proc2z00_1680
																																																																													=
																																																																													BgL_proc2z00_17290;
																																																																												BgL_proc1z00_1679
																																																																													=
																																																																													BgL_proc1z00_17289;
																																																																												BgL_testz00_1678
																																																																													=
																																																																													BgL_testz00_17288;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1682;
																																																																											}
																																																																											BgL_auxz00_12567
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_17287);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_17295;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_12567
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_17295);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_17299;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_12567
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_17299);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_17303;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_12567
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_17303);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_17307;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_12567
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_17307);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 117 */
																																																															goto
																																																																BgL_tagzd2403zd2_1706;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_17311;
																																																															goto
																																																																BgL_tagzd2404zd2_1707;
																																																															BgL_auxz00_12567
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_17311);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd221564zd2_4500;
																																																											BgL_cdrzd221564zd2_4500
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											{	/* Ast/sexp.scm 117 */
																																																												obj_t
																																																													BgL_cdrzd221571zd2_4501;
																																																												BgL_cdrzd221571zd2_4501
																																																													=
																																																													CDR
																																																													(CAR
																																																													(BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd221578zd2_4502;
																																																													BgL_cdrzd221578zd2_4502
																																																														=
																																																														CDR
																																																														(BgL_cdrzd221571zd2_4501);
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_carzd221584zd2_4503;
																																																														obj_t
																																																															BgL_cdrzd221585zd2_4504;
																																																														BgL_carzd221584zd2_4503
																																																															=
																																																															CAR
																																																															(BgL_cdrzd221578zd2_4502);
																																																														BgL_cdrzd221585zd2_4504
																																																															=
																																																															CDR
																																																															(BgL_cdrzd221578zd2_4502);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221584zd2_4503))
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (PAIRP(BgL_cdrzd221585zd2_4504))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_carzd221592zd2_4507;
																																																																		BgL_carzd221592zd2_4507
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd221585zd2_4504);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221592zd2_4507))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (NULLP(CDR(BgL_cdrzd221585zd2_4504)))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd221564zd2_4500))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_arg3915z00_4512;
																																																																								BgL_arg3915z00_4512
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd221571zd2_4501);
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_17332;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_17336;
																																																																										obj_t
																																																																											BgL_proc2z00_17335;
																																																																										obj_t
																																																																											BgL_proc1z00_17334;
																																																																										obj_t
																																																																											BgL_testz00_17333;
																																																																										BgL_testz00_17333
																																																																											=
																																																																											BgL_arg3915z00_4512;
																																																																										BgL_proc1z00_17334
																																																																											=
																																																																											BgL_carzd221584zd2_4503;
																																																																										BgL_proc2z00_17335
																																																																											=
																																																																											BgL_carzd221592zd2_4507;
																																																																										BgL_argsz00_17336
																																																																											=
																																																																											BgL_cdrzd221564zd2_4500;
																																																																										BgL_argsz00_1681
																																																																											=
																																																																											BgL_argsz00_17336;
																																																																										BgL_proc2z00_1680
																																																																											=
																																																																											BgL_proc2z00_17335;
																																																																										BgL_proc1z00_1679
																																																																											=
																																																																											BgL_proc1z00_17334;
																																																																										BgL_testz00_1678
																																																																											=
																																																																											BgL_testz00_17333;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1682;
																																																																									}
																																																																									BgL_auxz00_12567
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_17332);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_17340;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_12567
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_17340);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_17344;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_12567
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_17344);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_17348;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_12567
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_17348);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1706;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_17352;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1707;
																																																																				BgL_auxz00_12567
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_17352);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1706;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_17356;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1707;
																																																																		BgL_auxz00_12567
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_17356);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																											}
																																																										}
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 117 */
																																																										goto
																																																											BgL_tagzd2403zd2_1706;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_17360;
																																																										goto
																																																											BgL_tagzd2404zd2_1707;
																																																										BgL_auxz00_12567
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_17360);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												bool_t
																																													BgL_testz00_17362;
																																												{	/* Ast/sexp.scm 117 */
																																													obj_t
																																														BgL_arg3941z00_4540;
																																													BgL_arg3941z00_4540
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													BgL_testz00_17362
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg3941z00_4540));
																																												}
																																												if (BgL_testz00_17362)
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_17366;
																																														goto
																																															BgL_tagzd2382zd2_1662;
																																														BgL_auxz00_12567
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_17366);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														bool_t
																																															BgL_testz00_17368;
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_arg3940z00_4539;
																																															BgL_arg3940z00_4539
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_testz00_17368
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg3940z00_4539));
																																														}
																																														if (BgL_testz00_17368)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_17372;
																																																goto
																																																	BgL_tagzd2384zd2_1664;
																																																BgL_auxz00_12567
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_17372);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																obj_t
																																																	BgL_carzd222038zd2_4530;
																																																BgL_carzd222038zd2_4530
																																																	=
																																																	CAR
																																																	(BgL_expz00_21);
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_cdrzd222043zd2_4531;
																																																	BgL_cdrzd222043zd2_4531
																																																		=
																																																		CDR
																																																		(BgL_carzd222038zd2_4530);
																																																	if ((CAR(BgL_carzd222038zd2_4530) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_arg3935z00_4534;
																																																			obj_t
																																																				BgL_arg3936z00_4535;
																																																			obj_t
																																																				BgL_arg3937z00_4536;
																																																			BgL_arg3935z00_4534
																																																				=
																																																				CAR
																																																				(BgL_cdrzd222043zd2_4531);
																																																			BgL_arg3936z00_4535
																																																				=
																																																				CDR
																																																				(BgL_cdrzd222043zd2_4531);
																																																			BgL_arg3937z00_4536
																																																				=
																																																				CDR
																																																				(BgL_expz00_21);
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_17383;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_17386;
																																																					obj_t
																																																						BgL_bodyz00_17385;
																																																					obj_t
																																																						BgL_varsz00_17384;
																																																					BgL_varsz00_17384
																																																						=
																																																						BgL_arg3935z00_4534;
																																																					BgL_bodyz00_17385
																																																						=
																																																						BgL_arg3936z00_4535;
																																																					BgL_argsz00_17386
																																																						=
																																																						BgL_arg3937z00_4536;
																																																					BgL_argsz00_1671
																																																						=
																																																						BgL_argsz00_17386;
																																																					BgL_bodyz00_1670
																																																						=
																																																						BgL_bodyz00_17385;
																																																					BgL_varsz00_1669
																																																						=
																																																						BgL_varsz00_17384;
																																																					goto
																																																						BgL_tagzd2386zd2_1672;
																																																				}
																																																				BgL_auxz00_12567
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_17383);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 117 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 117 */
																																																					goto
																																																						BgL_tagzd2403zd2_1706;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_17390;
																																																					goto
																																																						BgL_tagzd2404zd2_1707;
																																																					BgL_auxz00_12567
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_17390);
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 117 */
																																										bool_t
																																											BgL_testz00_17392;
																																										{	/* Ast/sexp.scm 117 */
																																											obj_t
																																												BgL_arg3948z00_4547;
																																											BgL_arg3948z00_4547
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											BgL_testz00_17392
																																												=
																																												CBOOL
																																												(BGl_letzd2symzf3z21zzast_letz00
																																												(BgL_arg3948z00_4547));
																																										}
																																										if (BgL_testz00_17392)
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_17396;
																																												goto
																																													BgL_tagzd2382zd2_1662;
																																												BgL_auxz00_12567
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_17396);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												bool_t
																																													BgL_testz00_17398;
																																												{	/* Ast/sexp.scm 117 */
																																													obj_t
																																														BgL_arg3947z00_4546;
																																													BgL_arg3947z00_4546
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													BgL_testz00_17398
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg3947z00_4546));
																																												}
																																												if (BgL_testz00_17398)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_17402;
																																														goto
																																															BgL_tagzd2384zd2_1664;
																																														BgL_auxz00_12567
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_17402);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																															{	/* Ast/sexp.scm 117 */
																																																goto
																																																	BgL_tagzd2403zd2_1706;
																																															}
																																														else
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_17406;
																																																goto
																																																	BgL_tagzd2404zd2_1707;
																																																BgL_auxz00_12567
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_17406);
																																															}
																																													}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 117 */
																																								if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd220745zd2_4286)))
																																									{	/* Ast/sexp.scm 117 */
																																										goto
																																											BgL_kapzd220747zd2_4288;
																																									}
																																								else
																																									{	/* Ast/sexp.scm 117 */
																																										if ((BgL_carzd220745zd2_4286 == CNST_TABLE_REF(((long) 19))))
																																											{	/* Ast/sexp.scm 117 */
																																												goto
																																													BgL_kapzd220747zd2_4288;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												if ((BgL_carzd220745zd2_4286 == CNST_TABLE_REF(((long) 20))))
																																													{	/* Ast/sexp.scm 117 */
																																														goto
																																															BgL_kapzd220747zd2_4288;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd220745zd2_4286)))
																																															{	/* Ast/sexp.scm 117 */
																																																goto
																																																	BgL_kapzd220747zd2_4288;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																bool_t
																																																	BgL_testz00_17420;
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_arg3854z00_4408;
																																																	BgL_arg3854z00_4408
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	BgL_testz00_17420
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg3854z00_4408));
																																																}
																																																if (BgL_testz00_17420)
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_17424;
																																																		goto
																																																			BgL_tagzd2382zd2_1662;
																																																		BgL_auxz00_12567
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_17424);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		bool_t
																																																			BgL_testz00_17426;
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_arg3853z00_4407;
																																																			BgL_arg3853z00_4407
																																																				=
																																																				CAR
																																																				(BgL_expz00_21);
																																																			BgL_testz00_17426
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg3853z00_4407));
																																																		}
																																																		if (BgL_testz00_17426)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_17430;
																																																				goto
																																																					BgL_tagzd2384zd2_1664;
																																																				BgL_auxz00_12567
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_17430);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				obj_t
																																																					BgL_carzd222366zd2_4298;
																																																				BgL_carzd222366zd2_4298
																																																					=
																																																					CAR
																																																					(BgL_expz00_21);
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_cdrzd222371zd2_4299;
																																																					BgL_cdrzd222371zd2_4299
																																																						=
																																																						CDR
																																																						(BgL_carzd222366zd2_4298);
																																																					if ((CAR(BgL_carzd222366zd2_4298) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 117 */
																																																							if (PAIRP(BgL_cdrzd222371zd2_4299))
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_arg3789z00_4303;
																																																									obj_t
																																																										BgL_arg3790z00_4304;
																																																									obj_t
																																																										BgL_arg3791z00_4305;
																																																									BgL_arg3789z00_4303
																																																										=
																																																										CAR
																																																										(BgL_cdrzd222371zd2_4299);
																																																									BgL_arg3790z00_4304
																																																										=
																																																										CDR
																																																										(BgL_cdrzd222371zd2_4299);
																																																									BgL_arg3791z00_4305
																																																										=
																																																										CDR
																																																										(BgL_expz00_21);
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_17443;
																																																										{
																																																											obj_t
																																																												BgL_argsz00_17446;
																																																											obj_t
																																																												BgL_bodyz00_17445;
																																																											obj_t
																																																												BgL_varsz00_17444;
																																																											BgL_varsz00_17444
																																																												=
																																																												BgL_arg3789z00_4303;
																																																											BgL_bodyz00_17445
																																																												=
																																																												BgL_arg3790z00_4304;
																																																											BgL_argsz00_17446
																																																												=
																																																												BgL_arg3791z00_4305;
																																																											BgL_argsz00_1671
																																																												=
																																																												BgL_argsz00_17446;
																																																											BgL_bodyz00_1670
																																																												=
																																																												BgL_bodyz00_17445;
																																																											BgL_varsz00_1669
																																																												=
																																																												BgL_varsz00_17444;
																																																											goto
																																																												BgL_tagzd2386zd2_1672;
																																																										}
																																																										BgL_auxz00_12567
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_17443);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 117 */
																																																											goto
																																																												BgL_tagzd2403zd2_1706;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_17450;
																																																											goto
																																																												BgL_tagzd2404zd2_1707;
																																																											BgL_auxz00_12567
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_17450);
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_cdrzd222478zd2_4308;
																																																							BgL_cdrzd222478zd2_4308
																																																								=
																																																								CDR
																																																								(BgL_expz00_21);
																																																							{	/* Ast/sexp.scm 117 */
																																																								obj_t
																																																									BgL_cdrzd222483zd2_4309;
																																																								BgL_cdrzd222483zd2_4309
																																																									=
																																																									CDR
																																																									(BgL_carzd222366zd2_4298);
																																																								if ((CAR(BgL_carzd222366zd2_4298) == CNST_TABLE_REF(((long) 1))))
																																																									{	/* Ast/sexp.scm 117 */
																																																										if (PAIRP(BgL_cdrzd222483zd2_4309))
																																																											{	/* Ast/sexp.scm 117 */
																																																												obj_t
																																																													BgL_cdrzd222488zd2_4313;
																																																												BgL_cdrzd222488zd2_4313
																																																													=
																																																													CDR
																																																													(BgL_cdrzd222483zd2_4309);
																																																												if (PAIRP(BgL_cdrzd222488zd2_4313))
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_carzd222492zd2_4315;
																																																														obj_t
																																																															BgL_cdrzd222493zd2_4316;
																																																														BgL_carzd222492zd2_4315
																																																															=
																																																															CAR
																																																															(BgL_cdrzd222488zd2_4313);
																																																														BgL_cdrzd222493zd2_4316
																																																															=
																																																															CDR
																																																															(BgL_cdrzd222488zd2_4313);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222492zd2_4315))
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (PAIRP(BgL_cdrzd222493zd2_4316))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_carzd222498zd2_4319;
																																																																		BgL_carzd222498zd2_4319
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd222493zd2_4316);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222498zd2_4319))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (NULLP(CDR(BgL_cdrzd222493zd2_4316)))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						bool_t
																																																																							BgL_testz00_17475;
																																																																						{
																																																																							obj_t
																																																																								BgL_l1400z00_4352;
																																																																							BgL_l1400z00_4352
																																																																								=
																																																																								BgL_cdrzd222478zd2_4308;
																																																																						BgL_zc3anonymousza33817ze3z83_4353:
																																																																							if (NULLP(BgL_l1400z00_4352))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									BgL_testz00_17475
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									bool_t
																																																																										BgL_testz00_17478;
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										bool_t
																																																																											BgL_testz00_17479;
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_tmpz00_17480;
																																																																											BgL_tmpz00_17480
																																																																												=
																																																																												CAR
																																																																												(BgL_l1400z00_4352);
																																																																											BgL_testz00_17479
																																																																												=
																																																																												PAIRP
																																																																												(BgL_tmpz00_17480);
																																																																										}
																																																																										if (BgL_testz00_17479)
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												BgL_testz00_17478
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												BgL_testz00_17478
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																									}
																																																																									if (BgL_testz00_17478)
																																																																										{
																																																																											obj_t
																																																																												BgL_l1400z00_17483;
																																																																											BgL_l1400z00_17483
																																																																												=
																																																																												CDR
																																																																												(BgL_l1400z00_4352);
																																																																											BgL_l1400z00_4352
																																																																												=
																																																																												BgL_l1400z00_17483;
																																																																											goto
																																																																												BgL_zc3anonymousza33817ze3z83_4353;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											BgL_testz00_17475
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																								}
																																																																						}
																																																																						if (BgL_testz00_17475)
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_arg3807z00_4335;
																																																																								BgL_arg3807z00_4335
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd222483zd2_4309);
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_17486;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_17490;
																																																																										obj_t
																																																																											BgL_proc2z00_17489;
																																																																										obj_t
																																																																											BgL_proc1z00_17488;
																																																																										obj_t
																																																																											BgL_testz00_17487;
																																																																										BgL_testz00_17487
																																																																											=
																																																																											BgL_arg3807z00_4335;
																																																																										BgL_proc1z00_17488
																																																																											=
																																																																											BgL_carzd222492zd2_4315;
																																																																										BgL_proc2z00_17489
																																																																											=
																																																																											BgL_carzd222498zd2_4319;
																																																																										BgL_argsz00_17490
																																																																											=
																																																																											BgL_cdrzd222478zd2_4308;
																																																																										BgL_argsz00_1676
																																																																											=
																																																																											BgL_argsz00_17490;
																																																																										BgL_proc2z00_1675
																																																																											=
																																																																											BgL_proc2z00_17489;
																																																																										BgL_proc1z00_1674
																																																																											=
																																																																											BgL_proc1z00_17488;
																																																																										BgL_testz00_1673
																																																																											=
																																																																											BgL_testz00_17487;
																																																																										goto
																																																																											BgL_tagzd2387zd2_1677;
																																																																									}
																																																																									BgL_auxz00_12567
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_17486);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_cdrzd222523zd2_4336;
																																																																								BgL_cdrzd222523zd2_4336
																																																																									=
																																																																									CDR
																																																																									(BgL_expz00_21);
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd222531zd2_4337;
																																																																									BgL_cdrzd222531zd2_4337
																																																																										=
																																																																										CDR
																																																																										(CAR
																																																																										(BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_cdrzd222539zd2_4338;
																																																																										BgL_cdrzd222539zd2_4338
																																																																											=
																																																																											CDR
																																																																											(BgL_cdrzd222531zd2_4337);
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_carzd222546zd2_4339;
																																																																											BgL_carzd222546zd2_4339
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd222539zd2_4338);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222546zd2_4339))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_carzd222555zd2_4341;
																																																																													BgL_carzd222555zd2_4341
																																																																														=
																																																																														CAR
																																																																														(CDR
																																																																														(BgL_cdrzd222539zd2_4338));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222555zd2_4341))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd222523zd2_4336))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_arg3811z00_4344;
																																																																																	BgL_arg3811z00_4344
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd222531zd2_4337);
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_17506;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_17510;
																																																																																			obj_t
																																																																																				BgL_proc2z00_17509;
																																																																																			obj_t
																																																																																				BgL_proc1z00_17508;
																																																																																			obj_t
																																																																																				BgL_testz00_17507;
																																																																																			BgL_testz00_17507
																																																																																				=
																																																																																				BgL_arg3811z00_4344;
																																																																																			BgL_proc1z00_17508
																																																																																				=
																																																																																				BgL_carzd222546zd2_4339;
																																																																																			BgL_proc2z00_17509
																																																																																				=
																																																																																				BgL_carzd222555zd2_4341;
																																																																																			BgL_argsz00_17510
																																																																																				=
																																																																																				BgL_cdrzd222523zd2_4336;
																																																																																			BgL_argsz00_1681
																																																																																				=
																																																																																				BgL_argsz00_17510;
																																																																																			BgL_proc2z00_1680
																																																																																				=
																																																																																				BgL_proc2z00_17509;
																																																																																			BgL_proc1z00_1679
																																																																																				=
																																																																																				BgL_proc1z00_17508;
																																																																																			BgL_testz00_1678
																																																																																				=
																																																																																				BgL_testz00_17507;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1682;
																																																																																		}
																																																																																		BgL_auxz00_12567
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_17506);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_17514;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_12567
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_17514);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_17518;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_12567
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_17518);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1706;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_17522;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1707;
																																																																															BgL_auxz00_12567
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_17522);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_17526;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_12567
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_17526);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_cdrzd222833zd2_4363;
																																																																				BgL_cdrzd222833zd2_4363
																																																																					=
																																																																					CDR
																																																																					(BgL_expz00_21);
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd222840zd2_4364;
																																																																					BgL_cdrzd222840zd2_4364
																																																																						=
																																																																						CDR
																																																																						(CAR
																																																																						(BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_cdrzd222847zd2_4365;
																																																																						BgL_cdrzd222847zd2_4365
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd222840zd2_4364);
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_carzd222853zd2_4366;
																																																																							obj_t
																																																																								BgL_cdrzd222854zd2_4367;
																																																																							BgL_carzd222853zd2_4366
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd222847zd2_4365);
																																																																							BgL_cdrzd222854zd2_4367
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd222847zd2_4365);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222853zd2_4366))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_carzd222861zd2_4369;
																																																																									BgL_carzd222861zd2_4369
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd222854zd2_4367);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222861zd2_4369))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (NULLP(CDR(BgL_cdrzd222854zd2_4367)))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd222833zd2_4363))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_arg3826z00_4374;
																																																																															BgL_arg3826z00_4374
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd222840zd2_4364);
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_17545;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_17549;
																																																																																	obj_t
																																																																																		BgL_proc2z00_17548;
																																																																																	obj_t
																																																																																		BgL_proc1z00_17547;
																																																																																	obj_t
																																																																																		BgL_testz00_17546;
																																																																																	BgL_testz00_17546
																																																																																		=
																																																																																		BgL_arg3826z00_4374;
																																																																																	BgL_proc1z00_17547
																																																																																		=
																																																																																		BgL_carzd222853zd2_4366;
																																																																																	BgL_proc2z00_17548
																																																																																		=
																																																																																		BgL_carzd222861zd2_4369;
																																																																																	BgL_argsz00_17549
																																																																																		=
																																																																																		BgL_cdrzd222833zd2_4363;
																																																																																	BgL_argsz00_1681
																																																																																		=
																																																																																		BgL_argsz00_17549;
																																																																																	BgL_proc2z00_1680
																																																																																		=
																																																																																		BgL_proc2z00_17548;
																																																																																	BgL_proc1z00_1679
																																																																																		=
																																																																																		BgL_proc1z00_17547;
																																																																																	BgL_testz00_1678
																																																																																		=
																																																																																		BgL_testz00_17546;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1682;
																																																																																}
																																																																																BgL_auxz00_12567
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_17545);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_17553;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_12567
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_17553);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1706;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_17557;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1707;
																																																																															BgL_auxz00_12567
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_17557);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1706;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_17561;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1707;
																																																																													BgL_auxz00_12567
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_17561);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1706;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_17565;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1707;
																																																																											BgL_auxz00_12567
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_17565);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1706;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_17569;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1707;
																																																																				BgL_auxz00_12567
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_17569);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_cdrzd223194zd2_4382;
																																																																BgL_cdrzd223194zd2_4382
																																																																	=
																																																																	CDR
																																																																	(BgL_expz00_21);
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd223200zd2_4383;
																																																																	BgL_cdrzd223200zd2_4383
																																																																		=
																																																																		CDR
																																																																		(CAR
																																																																		(BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_cdrzd223206zd2_4384;
																																																																		BgL_cdrzd223206zd2_4384
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd223200zd2_4383);
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_carzd223211zd2_4385;
																																																																			obj_t
																																																																				BgL_cdrzd223212zd2_4386;
																																																																			BgL_carzd223211zd2_4385
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd223206zd2_4384);
																																																																			BgL_cdrzd223212zd2_4386
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd223206zd2_4384);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223211zd2_4385))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if (PAIRP(BgL_cdrzd223212zd2_4386))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_carzd223217zd2_4389;
																																																																							BgL_carzd223217zd2_4389
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd223212zd2_4386);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223217zd2_4389))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (NULLP(CDR(BgL_cdrzd223212zd2_4386)))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd223194zd2_4382))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_arg3840z00_4394;
																																																																													BgL_arg3840z00_4394
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd223200zd2_4383);
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_17590;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_17594;
																																																																															obj_t
																																																																																BgL_proc2z00_17593;
																																																																															obj_t
																																																																																BgL_proc1z00_17592;
																																																																															obj_t
																																																																																BgL_testz00_17591;
																																																																															BgL_testz00_17591
																																																																																=
																																																																																BgL_arg3840z00_4394;
																																																																															BgL_proc1z00_17592
																																																																																=
																																																																																BgL_carzd223211zd2_4385;
																																																																															BgL_proc2z00_17593
																																																																																=
																																																																																BgL_carzd223217zd2_4389;
																																																																															BgL_argsz00_17594
																																																																																=
																																																																																BgL_cdrzd223194zd2_4382;
																																																																															BgL_argsz00_1681
																																																																																=
																																																																																BgL_argsz00_17594;
																																																																															BgL_proc2z00_1680
																																																																																=
																																																																																BgL_proc2z00_17593;
																																																																															BgL_proc1z00_1679
																																																																																=
																																																																																BgL_proc1z00_17592;
																																																																															BgL_testz00_1678
																																																																																=
																																																																																BgL_testz00_17591;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1682;
																																																																														}
																																																																														BgL_auxz00_12567
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_17590);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1706;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_17598;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1707;
																																																																															BgL_auxz00_12567
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_17598);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1706;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_17602;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1707;
																																																																													BgL_auxz00_12567
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_17602);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1706;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_17606;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1707;
																																																																											BgL_auxz00_12567
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_17606);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1706;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_17610;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1707;
																																																																									BgL_auxz00_12567
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_17610);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1706;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_17614;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1707;
																																																																							BgL_auxz00_12567
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_17614);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 117 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 117 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1706;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_17618;
																																																																goto
																																																																	BgL_tagzd2404zd2_1707;
																																																																BgL_auxz00_12567
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_17618);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 117 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 117 */
																																																														goto
																																																															BgL_tagzd2403zd2_1706;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_17622;
																																																														goto
																																																															BgL_tagzd2404zd2_1707;
																																																														BgL_auxz00_12567
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_17622);
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 117 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 117 */
																																																												goto
																																																													BgL_tagzd2403zd2_1706;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_17626;
																																																												goto
																																																													BgL_tagzd2404zd2_1707;
																																																												BgL_auxz00_12567
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_17626);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 117 */
																																					if (
																																						(BgL_carzd220742zd2_4284
																																							==
																																							CNST_TABLE_REF
																																							(((long) 18))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_17631;
																																							goto
																																								BgL_tagzd2382zd2_1662;
																																							BgL_auxz00_12567
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_17631);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 117 */
																																							if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd220742zd2_4284)))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_17636;
																																									goto
																																										BgL_tagzd2382zd2_1662;
																																									BgL_auxz00_12567
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_17636);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 117 */
																																									if ((BgL_carzd220742zd2_4284 == CNST_TABLE_REF(((long) 19))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_17641;
																																											goto
																																												BgL_tagzd2382zd2_1662;
																																											BgL_auxz00_12567
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_17641);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 117 */
																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_17647;
																																													goto
																																														BgL_tagzd2383zd2_1663;
																																													BgL_auxz00_12567
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_17647);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 117 */
																																													obj_t
																																														BgL_carzd223779zd2_4554;
																																													BgL_carzd223779zd2_4554
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													if ((BgL_carzd223779zd2_4554 == CNST_TABLE_REF(((long) 20))))
																																														{
																																															BgL_letzd2funzd2_bglt
																																																BgL_auxz00_17653;
																																															goto
																																																BgL_tagzd2384zd2_1664;
																																															BgL_auxz00_12567
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_17653);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 117 */
																																															if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd223779zd2_4554)))
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_17658;
																																																	goto
																																																		BgL_tagzd2384zd2_1664;
																																																	BgL_auxz00_12567
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_17658);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 117 */
																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_17664;
																																																			goto
																																																				BgL_tagzd2389zd2_1683;
																																																			BgL_auxz00_12567
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_17664);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 117 */
																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_17670;
																																																					goto
																																																						BgL_tagzd2390zd2_1684;
																																																					BgL_auxz00_12567
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_17670);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_17676;
																																																							goto
																																																								BgL_tagzd2392zd2_1688;
																																																							BgL_auxz00_12567
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_17676);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_17682;
																																																									goto
																																																										BgL_tagzd2393zd2_1689;
																																																									BgL_auxz00_12567
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_17682);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_17688;
																																																											goto
																																																												BgL_tagzd2395zd2_1693;
																																																											BgL_auxz00_12567
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_17688);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_17694;
																																																													goto
																																																														BgL_tagzd2396zd2_1694;
																																																													BgL_auxz00_12567
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_17694);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_17700;
																																																															goto
																																																																BgL_tagzd2397zd2_1695;
																																																															BgL_auxz00_12567
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_17700);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																																{
																																																																	BgL_jumpzd2exzd2itz00_bglt
																																																																		BgL_auxz00_17706;
																																																																	goto
																																																																		BgL_tagzd2398zd2_1696;
																																																																	BgL_auxz00_12567
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_17706);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_21), BUNSPEC))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (NULLP(CDR(BgL_expz00_21)))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_17714;
																																																																				BgL_tagzd2402zd2_1705:
																																																																					{	/* Ast/sexp.scm 542 */
																																																																						obj_t
																																																																							BgL_arg6416z00_8094;
																																																																						BgL_arg6416z00_8094
																																																																							=
																																																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																																																							(BgL_expz00_21,
																																																																							BgL_locz00_23);
																																																																						{	/* Ast/sexp.scm 541 */
																																																																							BgL_nodez00_bglt
																																																																								BgL_res6786z00_9008;
																																																																							{	/* Ast/sexp.scm 692 */
																																																																								obj_t
																																																																									BgL_arg6515z00_9004;
																																																																								BgL_nodez00_bglt
																																																																									BgL_arg6516z00_9005;
																																																																								BgL_arg6515z00_9004
																																																																									=
																																																																									BGl_shapez00zztools_shapez00
																																																																									(BGl_currentzd2functionzd2zztools_errorz00
																																																																									());
																																																																								BgL_arg6516z00_9005
																																																																									=
																																																																									BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																									(CNST_TABLE_REF
																																																																									(((long) 4)), BNIL, BgL_arg6416z00_8094, CNST_TABLE_REF(((long) 2)));
																																																																								{	/* Ast/sexp.scm 691 */
																																																																									obj_t
																																																																										BgL_list6517z00_9007;
																																																																									BgL_list6517z00_9007
																																																																										=
																																																																										MAKE_YOUNG_PAIR
																																																																										(
																																																																										((obj_t) BgL_arg6516z00_9005), BNIL);
																																																																									BgL_res6786z00_9008
																																																																										=
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																										(BgL_arg6416z00_8094,
																																																																											BgL_arg6515z00_9004,
																																																																											BGl_string7264z00zzast_sexpz00,
																																																																											BgL_expz00_21,
																																																																											BgL_list6517z00_9007));
																																																																							}}
																																																																							BgL_auxz00_17714
																																																																								=
																																																																								BgL_res6786z00_9008;
																																																																					}}
																																																																					BgL_auxz00_12567
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_17714);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1706;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_17728;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1707;
																																																																							BgL_auxz00_12567
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_17728);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1706;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_17732;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1707;
																																																																					BgL_auxz00_12567
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_17732);
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_12567);
																								}
																							else
																								{	/* Ast/sexp.scm 117 */
																									if (
																										(BgL_carzd2588zd2_1736 ==
																											BGl_za2ifza2z00zzast_sexpz00))
																										{
																											obj_t BgL_auxz00_17737;

																											goto
																												BgL_kapzd2590zd2_1738;
																											return ((BgL_nodez00_bglt)
																												BgL_auxz00_17737);
																										}
																									else
																										{	/* Ast/sexp.scm 117 */
																											bool_t BgL_testz00_17739;

																											{	/* Ast/sexp.scm 117 */
																												obj_t
																													BgL_arg2003z00_2186;
																												BgL_arg2003z00_2186 =
																													CAR(BgL_expz00_21);
																												BgL_testz00_17739 =
																													(BgL_arg2003z00_2186
																													==
																													BGl_za2ifza2z00zzast_sexpz00);
																											}
																											if (BgL_testz00_17739)
																												{	/* Ast/sexp.scm 117 */
																													goto
																														BgL_tagzd2377zd2_1653;
																												}
																											else
																												{	/* Ast/sexp.scm 117 */
																													obj_t
																														BgL_cdrzd223947zd2_1743;
																													BgL_cdrzd223947zd2_1743
																														=
																														CDR(BgL_expz00_21);
																													if ((CAR
																															(BgL_expz00_21) ==
																															CNST_TABLE_REF((
																																	(long) 7))))
																														{	/* Ast/sexp.scm 117 */
																															if (PAIRP
																																(BgL_cdrzd223947zd2_1743))
																																{	/* Ast/sexp.scm 117 */
																																	obj_t
																																		BgL_carzd223950zd2_1747;
																																	obj_t
																																		BgL_cdrzd223951zd2_1748;
																																	BgL_carzd223950zd2_1747
																																		=
																																		CAR
																																		(BgL_cdrzd223947zd2_1743);
																																	BgL_cdrzd223951zd2_1748
																																		=
																																		CDR
																																		(BgL_cdrzd223947zd2_1743);
																																	if (PAIRP
																																		(BgL_carzd223950zd2_1747))
																																		{	/* Ast/sexp.scm 117 */
																																			if (
																																				(CAR
																																					(BgL_carzd223950zd2_1747)
																																					==
																																					CNST_TABLE_REF
																																					(((long) 15))))
																																				{	/* Ast/sexp.scm 117 */
																																					if (PAIRP(BgL_cdrzd223951zd2_1748))
																																						{	/* Ast/sexp.scm 117 */
																																							if (NULLP(CDR(BgL_cdrzd223951zd2_1748)))
																																								{
																																									obj_t
																																										BgL_valz00_17764;
																																									obj_t
																																										BgL_lz00_17762;
																																									BgL_lz00_17762
																																										=
																																										CDR
																																										(BgL_carzd223950zd2_1747);
																																									BgL_valz00_17764
																																										=
																																										CAR
																																										(BgL_cdrzd223951zd2_1748);
																																									BgL_valz00_1655
																																										=
																																										BgL_valz00_17764;
																																									BgL_lz00_1654
																																										=
																																										BgL_lz00_17762;
																																									goto
																																										BgL_tagzd2378zd2_1656;
																																								}
																																							else
																																								{	/* Ast/sexp.scm 117 */
																																									goto
																																										BgL_tagzd2379zd2_1657;
																																								}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 117 */
																																							goto
																																								BgL_tagzd2379zd2_1657;
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 117 */
																																					goto
																																						BgL_tagzd2379zd2_1657;
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 117 */
																																			goto
																																				BgL_tagzd2379zd2_1657;
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 117 */
																																	goto
																																		BgL_tagzd2379zd2_1657;
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 117 */
																															if (
																																(CAR
																																	(BgL_expz00_21)
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			17))))
																																{	/* Ast/sexp.scm 117 */
																																	goto
																																		BgL_tagzd2380zd2_1658;
																																}
																															else
																																{	/* Ast/sexp.scm 117 */
																																	obj_t
																																		BgL_carzd224060zd2_1761;
																																	BgL_carzd224060zd2_1761
																																		=
																																		CAR
																																		(BgL_expz00_21);
																																	if (PAIRP
																																		(BgL_carzd224060zd2_1761))
																																		{	/* Ast/sexp.scm 117 */
																																			obj_t
																																				BgL_carzd224063zd2_1763;
																																			obj_t
																																				BgL_cdrzd224064zd2_1764;
																																			BgL_carzd224063zd2_1763
																																				=
																																				CAR
																																				(BgL_carzd224060zd2_1761);
																																			BgL_cdrzd224064zd2_1764
																																				=
																																				CDR
																																				(BgL_carzd224060zd2_1761);
																																			{

																																				if (
																																					(BgL_carzd224063zd2_1763
																																						==
																																						CNST_TABLE_REF
																																						(((long) 18))))
																																					{
																																						obj_t
																																							BgL_auxz00_17778;
																																					BgL_kapzd224065zd2_1765:
																																						if (PAIRP(BgL_cdrzd224064zd2_1764))
																																							{	/* Ast/sexp.scm 117 */
																																								obj_t
																																									BgL_cdrzd224068zd2_1950;
																																								BgL_cdrzd224068zd2_1950
																																									=
																																									CDR
																																									(BgL_cdrzd224064zd2_1764);
																																								if (PAIRP(BgL_cdrzd224068zd2_1950))
																																									{	/* Ast/sexp.scm 117 */
																																										if (NULLP(CDR(BgL_cdrzd224068zd2_1950)))
																																											{	/* Ast/sexp.scm 117 */
																																												obj_t
																																													BgL_arg1805z00_1954;
																																												obj_t
																																													BgL_arg1807z00_1955;
																																												BgL_arg1805z00_1954
																																													=
																																													CAR
																																													(BgL_cdrzd224068zd2_1950);
																																												BgL_arg1807z00_1955
																																													=
																																													CDR
																																													(BgL_expz00_21);
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_17789;
																																													{
																																														obj_t
																																															BgL_argsz00_17791;
																																														obj_t
																																															BgL_bodyz00_17790;
																																														BgL_bodyz00_17790
																																															=
																																															BgL_arg1805z00_1954;
																																														BgL_argsz00_17791
																																															=
																																															BgL_arg1807z00_1955;
																																														BgL_argsz00_1660
																																															=
																																															BgL_argsz00_17791;
																																														BgL_bodyz00_1659
																																															=
																																															BgL_bodyz00_17790;
																																														goto
																																															BgL_tagzd2381zd2_1661;
																																													}
																																													BgL_auxz00_17778
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_17789);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												bool_t
																																													BgL_testz00_17793;
																																												{	/* Ast/sexp.scm 117 */
																																													obj_t
																																														BgL_arg1884z00_2064;
																																													BgL_arg1884z00_2064
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													BgL_testz00_17793
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg1884z00_2064));
																																												}
																																												if (BgL_testz00_17793)
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_17797;
																																														goto
																																															BgL_tagzd2382zd2_1662;
																																														BgL_auxz00_17778
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_17797);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														bool_t
																																															BgL_testz00_17799;
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_arg1883z00_2063;
																																															BgL_arg1883z00_2063
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_testz00_17799
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg1883z00_2063));
																																														}
																																														if (BgL_testz00_17799)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_17803;
																																																goto
																																																	BgL_tagzd2384zd2_1664;
																																																BgL_auxz00_17778
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_17803);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																obj_t
																																																	BgL_carzd224146zd2_1960;
																																																BgL_carzd224146zd2_1960
																																																	=
																																																	CAR
																																																	(BgL_expz00_21);
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_cdrzd224151zd2_1961;
																																																	BgL_cdrzd224151zd2_1961
																																																		=
																																																		CDR
																																																		(BgL_carzd224146zd2_1960);
																																																	if ((CAR(BgL_carzd224146zd2_1960) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_arg1818z00_1964;
																																																			obj_t
																																																				BgL_arg1819z00_1965;
																																																			obj_t
																																																				BgL_arg1822z00_1966;
																																																			BgL_arg1818z00_1964
																																																				=
																																																				CAR
																																																				(BgL_cdrzd224151zd2_1961);
																																																			BgL_arg1819z00_1965
																																																				=
																																																				CDR
																																																				(BgL_cdrzd224151zd2_1961);
																																																			BgL_arg1822z00_1966
																																																				=
																																																				CDR
																																																				(BgL_expz00_21);
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_17814;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_17817;
																																																					obj_t
																																																						BgL_bodyz00_17816;
																																																					obj_t
																																																						BgL_varsz00_17815;
																																																					BgL_varsz00_17815
																																																						=
																																																						BgL_arg1818z00_1964;
																																																					BgL_bodyz00_17816
																																																						=
																																																						BgL_arg1819z00_1965;
																																																					BgL_argsz00_17817
																																																						=
																																																						BgL_arg1822z00_1966;
																																																					BgL_argsz00_1671
																																																						=
																																																						BgL_argsz00_17817;
																																																					BgL_bodyz00_1670
																																																						=
																																																						BgL_bodyz00_17816;
																																																					BgL_varsz00_1669
																																																						=
																																																						BgL_varsz00_17815;
																																																					goto
																																																						BgL_tagzd2386zd2_1672;
																																																				}
																																																				BgL_auxz00_17778
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_17814);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_cdrzd224174zd2_1968;
																																																			BgL_cdrzd224174zd2_1968
																																																				=
																																																				CDR
																																																				(BgL_expz00_21);
																																																			{	/* Ast/sexp.scm 117 */
																																																				obj_t
																																																					BgL_cdrzd224180zd2_1969;
																																																				BgL_cdrzd224180zd2_1969
																																																					=
																																																					CDR
																																																					(BgL_carzd224146zd2_1960);
																																																				if ((CAR(BgL_carzd224146zd2_1960) == CNST_TABLE_REF(((long) 1))))
																																																					{	/* Ast/sexp.scm 117 */
																																																						obj_t
																																																							BgL_cdrzd224186zd2_1972;
																																																						BgL_cdrzd224186zd2_1972
																																																							=
																																																							CDR
																																																							(BgL_cdrzd224180zd2_1969);
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_carzd224191zd2_1973;
																																																							obj_t
																																																								BgL_cdrzd224192zd2_1974;
																																																							BgL_carzd224191zd2_1973
																																																								=
																																																								CAR
																																																								(BgL_cdrzd224186zd2_1972);
																																																							BgL_cdrzd224192zd2_1974
																																																								=
																																																								CDR
																																																								(BgL_cdrzd224186zd2_1972);
																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224191zd2_1973))
																																																								{	/* Ast/sexp.scm 117 */
																																																									if (PAIRP(BgL_cdrzd224192zd2_1974))
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_carzd224199zd2_1977;
																																																											BgL_carzd224199zd2_1977
																																																												=
																																																												CAR
																																																												(BgL_cdrzd224192zd2_1974);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224199zd2_1977))
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (NULLP(CDR(BgL_cdrzd224192zd2_1974)))
																																																														{	/* Ast/sexp.scm 117 */
																																																															bool_t
																																																																BgL_testz00_17838;
																																																															{
																																																																obj_t
																																																																	BgL_l1403z00_2010;
																																																																BgL_l1403z00_2010
																																																																	=
																																																																	BgL_cdrzd224174zd2_1968;
																																																															BgL_zc3anonymousza31847ze3z83_2011:
																																																																if (NULLP(BgL_l1403z00_2010))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		BgL_testz00_17838
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			1);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		bool_t
																																																																			BgL_testz00_17841;
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			bool_t
																																																																				BgL_testz00_17842;
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_tmpz00_17843;
																																																																				BgL_tmpz00_17843
																																																																					=
																																																																					CAR
																																																																					(BgL_l1403z00_2010);
																																																																				BgL_testz00_17842
																																																																					=
																																																																					PAIRP
																																																																					(BgL_tmpz00_17843);
																																																																			}
																																																																			if (BgL_testz00_17842)
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					BgL_testz00_17841
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						0);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					BgL_testz00_17841
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						1);
																																																																				}
																																																																		}
																																																																		if (BgL_testz00_17841)
																																																																			{
																																																																				obj_t
																																																																					BgL_l1403z00_17846;
																																																																				BgL_l1403z00_17846
																																																																					=
																																																																					CDR
																																																																					(BgL_l1403z00_2010);
																																																																				BgL_l1403z00_2010
																																																																					=
																																																																					BgL_l1403z00_17846;
																																																																				goto
																																																																					BgL_zc3anonymousza31847ze3z83_2011;
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				BgL_testz00_17838
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					0);
																																																																			}
																																																																	}
																																																															}
																																																															if (BgL_testz00_17838)
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_arg1837z00_1993;
																																																																	BgL_arg1837z00_1993
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd224180zd2_1969);
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_17849;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_17853;
																																																																			obj_t
																																																																				BgL_proc2z00_17852;
																																																																			obj_t
																																																																				BgL_proc1z00_17851;
																																																																			obj_t
																																																																				BgL_testz00_17850;
																																																																			BgL_testz00_17850
																																																																				=
																																																																				BgL_arg1837z00_1993;
																																																																			BgL_proc1z00_17851
																																																																				=
																																																																				BgL_carzd224191zd2_1973;
																																																																			BgL_proc2z00_17852
																																																																				=
																																																																				BgL_carzd224199zd2_1977;
																																																																			BgL_argsz00_17853
																																																																				=
																																																																				BgL_cdrzd224174zd2_1968;
																																																																			BgL_argsz00_1676
																																																																				=
																																																																				BgL_argsz00_17853;
																																																																			BgL_proc2z00_1675
																																																																				=
																																																																				BgL_proc2z00_17852;
																																																																			BgL_proc1z00_1674
																																																																				=
																																																																				BgL_proc1z00_17851;
																																																																			BgL_testz00_1673
																																																																				=
																																																																				BgL_testz00_17850;
																																																																			goto
																																																																				BgL_tagzd2387zd2_1677;
																																																																		}
																																																																		BgL_auxz00_17778
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_17849);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd224223zd2_1994;
																																																																	BgL_cdrzd224223zd2_1994
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_cdrzd224230zd2_1995;
																																																																		BgL_cdrzd224230zd2_1995
																																																																			=
																																																																			CDR
																																																																			(CAR
																																																																			(BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd224237zd2_1996;
																																																																			BgL_cdrzd224237zd2_1996
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd224230zd2_1995);
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_carzd224243zd2_1997;
																																																																				BgL_carzd224243zd2_1997
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd224237zd2_1996);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224243zd2_1997))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_carzd224250zd2_1999;
																																																																						BgL_carzd224250zd2_1999
																																																																							=
																																																																							CAR
																																																																							(CDR
																																																																							(BgL_cdrzd224237zd2_1996));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224250zd2_1999))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd224223zd2_1994))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_arg1841z00_2002;
																																																																										BgL_arg1841z00_2002
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd224230zd2_1995);
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_17869;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_17873;
																																																																												obj_t
																																																																													BgL_proc2z00_17872;
																																																																												obj_t
																																																																													BgL_proc1z00_17871;
																																																																												obj_t
																																																																													BgL_testz00_17870;
																																																																												BgL_testz00_17870
																																																																													=
																																																																													BgL_arg1841z00_2002;
																																																																												BgL_proc1z00_17871
																																																																													=
																																																																													BgL_carzd224243zd2_1997;
																																																																												BgL_proc2z00_17872
																																																																													=
																																																																													BgL_carzd224250zd2_1999;
																																																																												BgL_argsz00_17873
																																																																													=
																																																																													BgL_cdrzd224223zd2_1994;
																																																																												BgL_argsz00_1681
																																																																													=
																																																																													BgL_argsz00_17873;
																																																																												BgL_proc2z00_1680
																																																																													=
																																																																													BgL_proc2z00_17872;
																																																																												BgL_proc1z00_1679
																																																																													=
																																																																													BgL_proc1z00_17871;
																																																																												BgL_testz00_1678
																																																																													=
																																																																													BgL_testz00_17870;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1682;
																																																																											}
																																																																											BgL_auxz00_17778
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_17869);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_17877;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_17778
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_17877);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_17881;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_17778
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_17881);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_17885;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_17778
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_17885);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1706;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_17889;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1707;
																																																																	BgL_auxz00_17778
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_17889);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd224526zd2_2021;
																																																													BgL_cdrzd224526zd2_2021
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_cdrzd224532zd2_2022;
																																																														BgL_cdrzd224532zd2_2022
																																																															=
																																																															CDR
																																																															(CAR
																																																															(BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd224538zd2_2023;
																																																															BgL_cdrzd224538zd2_2023
																																																																=
																																																																CDR
																																																																(BgL_cdrzd224532zd2_2022);
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_carzd224543zd2_2024;
																																																																obj_t
																																																																	BgL_cdrzd224544zd2_2025;
																																																																BgL_carzd224543zd2_2024
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd224538zd2_2023);
																																																																BgL_cdrzd224544zd2_2025
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd224538zd2_2023);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224543zd2_2024))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_carzd224549zd2_2027;
																																																																		BgL_carzd224549zd2_2027
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd224544zd2_2025);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224549zd2_2027))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (NULLP(CDR(BgL_cdrzd224544zd2_2025)))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd224526zd2_2021))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_arg1857z00_2032;
																																																																								BgL_arg1857z00_2032
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd224532zd2_2022);
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_17908;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_17912;
																																																																										obj_t
																																																																											BgL_proc2z00_17911;
																																																																										obj_t
																																																																											BgL_proc1z00_17910;
																																																																										obj_t
																																																																											BgL_testz00_17909;
																																																																										BgL_testz00_17909
																																																																											=
																																																																											BgL_arg1857z00_2032;
																																																																										BgL_proc1z00_17910
																																																																											=
																																																																											BgL_carzd224543zd2_2024;
																																																																										BgL_proc2z00_17911
																																																																											=
																																																																											BgL_carzd224549zd2_2027;
																																																																										BgL_argsz00_17912
																																																																											=
																																																																											BgL_cdrzd224526zd2_2021;
																																																																										BgL_argsz00_1681
																																																																											=
																																																																											BgL_argsz00_17912;
																																																																										BgL_proc2z00_1680
																																																																											=
																																																																											BgL_proc2z00_17911;
																																																																										BgL_proc1z00_1679
																																																																											=
																																																																											BgL_proc1z00_17910;
																																																																										BgL_testz00_1678
																																																																											=
																																																																											BgL_testz00_17909;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1682;
																																																																									}
																																																																									BgL_auxz00_17778
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_17908);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_17916;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_17778
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_17916);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_17920;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_17778
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_17920);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_17924;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_17778
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_17924);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1706;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_17928;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1707;
																																																																				BgL_auxz00_17778
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_17928);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 117 */
																																																													goto
																																																														BgL_tagzd2403zd2_1706;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_17932;
																																																													goto
																																																														BgL_tagzd2404zd2_1707;
																																																													BgL_auxz00_17778
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_17932);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_cdrzd224882zd2_2040;
																																																									BgL_cdrzd224882zd2_2040
																																																										=
																																																										CDR
																																																										(BgL_expz00_21);
																																																									{	/* Ast/sexp.scm 117 */
																																																										obj_t
																																																											BgL_cdrzd224889zd2_2041;
																																																										BgL_cdrzd224889zd2_2041
																																																											=
																																																											CDR
																																																											(CAR
																																																											(BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd224896zd2_2042;
																																																											BgL_cdrzd224896zd2_2042
																																																												=
																																																												CDR
																																																												(BgL_cdrzd224889zd2_2041);
																																																											{	/* Ast/sexp.scm 117 */
																																																												obj_t
																																																													BgL_carzd224902zd2_2043;
																																																												obj_t
																																																													BgL_cdrzd224903zd2_2044;
																																																												BgL_carzd224902zd2_2043
																																																													=
																																																													CAR
																																																													(BgL_cdrzd224896zd2_2042);
																																																												BgL_cdrzd224903zd2_2044
																																																													=
																																																													CDR
																																																													(BgL_cdrzd224896zd2_2042);
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224902zd2_2043))
																																																													{	/* Ast/sexp.scm 117 */
																																																														if (PAIRP(BgL_cdrzd224903zd2_2044))
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_carzd224910zd2_2047;
																																																																BgL_carzd224910zd2_2047
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd224903zd2_2044);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224910zd2_2047))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (NULLP(CDR(BgL_cdrzd224903zd2_2044)))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd224882zd2_2040))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_arg1871z00_2052;
																																																																						BgL_arg1871z00_2052
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd224889zd2_2041);
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_17953;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_17957;
																																																																								obj_t
																																																																									BgL_proc2z00_17956;
																																																																								obj_t
																																																																									BgL_proc1z00_17955;
																																																																								obj_t
																																																																									BgL_testz00_17954;
																																																																								BgL_testz00_17954
																																																																									=
																																																																									BgL_arg1871z00_2052;
																																																																								BgL_proc1z00_17955
																																																																									=
																																																																									BgL_carzd224902zd2_2043;
																																																																								BgL_proc2z00_17956
																																																																									=
																																																																									BgL_carzd224910zd2_2047;
																																																																								BgL_argsz00_17957
																																																																									=
																																																																									BgL_cdrzd224882zd2_2040;
																																																																								BgL_argsz00_1681
																																																																									=
																																																																									BgL_argsz00_17957;
																																																																								BgL_proc2z00_1680
																																																																									=
																																																																									BgL_proc2z00_17956;
																																																																								BgL_proc1z00_1679
																																																																									=
																																																																									BgL_proc1z00_17955;
																																																																								BgL_testz00_1678
																																																																									=
																																																																									BgL_testz00_17954;
																																																																								goto
																																																																									BgL_tagzd2388zd2_1682;
																																																																							}
																																																																							BgL_auxz00_17778
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_17953);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_17961;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_17778
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_17961);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_17965;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_17778
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_17965);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1706;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_17969;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1707;
																																																																				BgL_auxz00_17778
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_17969);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1706;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_17973;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1707;
																																																																		BgL_auxz00_17778
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_17973);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 117 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 117 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1706;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_17977;
																																																																goto
																																																																	BgL_tagzd2404zd2_1707;
																																																																BgL_auxz00_17778
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_17977);
																																																															}
																																																													}
																																																											}
																																																										}
																																																									}
																																																								}
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 117 */
																																																								goto
																																																									BgL_tagzd2403zd2_1706;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_17981;
																																																								goto
																																																									BgL_tagzd2404zd2_1707;
																																																								BgL_auxz00_17778
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_17981);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 117 */
																																										bool_t
																																											BgL_testz00_17983;
																																										{	/* Ast/sexp.scm 117 */
																																											obj_t
																																												BgL_arg1898z00_2080;
																																											BgL_arg1898z00_2080
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											BgL_testz00_17983
																																												=
																																												CBOOL
																																												(BGl_letzd2symzf3z21zzast_letz00
																																												(BgL_arg1898z00_2080));
																																										}
																																										if (BgL_testz00_17983)
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_17987;
																																												goto
																																													BgL_tagzd2382zd2_1662;
																																												BgL_auxz00_17778
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_17987);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												bool_t
																																													BgL_testz00_17989;
																																												{	/* Ast/sexp.scm 117 */
																																													obj_t
																																														BgL_arg1897z00_2079;
																																													BgL_arg1897z00_2079
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													BgL_testz00_17989
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg1897z00_2079));
																																												}
																																												if (BgL_testz00_17989)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_17993;
																																														goto
																																															BgL_tagzd2384zd2_1664;
																																														BgL_auxz00_17778
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_17993);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														obj_t
																																															BgL_carzd225356zd2_2070;
																																														BgL_carzd225356zd2_2070
																																															=
																																															CAR
																																															(BgL_expz00_21);
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_cdrzd225361zd2_2071;
																																															BgL_cdrzd225361zd2_2071
																																																=
																																																CDR
																																																(BgL_carzd225356zd2_2070);
																																															if ((CAR(BgL_carzd225356zd2_2070) == CNST_TABLE_REF(((long) 3))))
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_arg1892z00_2074;
																																																	obj_t
																																																		BgL_arg1893z00_2075;
																																																	obj_t
																																																		BgL_arg1894z00_2076;
																																																	BgL_arg1892z00_2074
																																																		=
																																																		CAR
																																																		(BgL_cdrzd225361zd2_2071);
																																																	BgL_arg1893z00_2075
																																																		=
																																																		CDR
																																																		(BgL_cdrzd225361zd2_2071);
																																																	BgL_arg1894z00_2076
																																																		=
																																																		CDR
																																																		(BgL_expz00_21);
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_18004;
																																																		{
																																																			obj_t
																																																				BgL_argsz00_18007;
																																																			obj_t
																																																				BgL_bodyz00_18006;
																																																			obj_t
																																																				BgL_varsz00_18005;
																																																			BgL_varsz00_18005
																																																				=
																																																				BgL_arg1892z00_2074;
																																																			BgL_bodyz00_18006
																																																				=
																																																				BgL_arg1893z00_2075;
																																																			BgL_argsz00_18007
																																																				=
																																																				BgL_arg1894z00_2076;
																																																			BgL_argsz00_1671
																																																				=
																																																				BgL_argsz00_18007;
																																																			BgL_bodyz00_1670
																																																				=
																																																				BgL_bodyz00_18006;
																																																			BgL_varsz00_1669
																																																				=
																																																				BgL_varsz00_18005;
																																																			goto
																																																				BgL_tagzd2386zd2_1672;
																																																		}
																																																		BgL_auxz00_17778
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_18004);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 117 */
																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																		{	/* Ast/sexp.scm 117 */
																																																			goto
																																																				BgL_tagzd2403zd2_1706;
																																																		}
																																																	else
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_18011;
																																																			goto
																																																				BgL_tagzd2404zd2_1707;
																																																			BgL_auxz00_17778
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_18011);
																																																		}
																																																}
																																														}
																																													}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 117 */
																																								bool_t
																																									BgL_testz00_18013;
																																								{	/* Ast/sexp.scm 117 */
																																									obj_t
																																										BgL_arg1907z00_2087;
																																									BgL_arg1907z00_2087
																																										=
																																										CAR
																																										(BgL_expz00_21);
																																									BgL_testz00_18013
																																										=
																																										CBOOL
																																										(BGl_letzd2symzf3z21zzast_letz00
																																										(BgL_arg1907z00_2087));
																																								}
																																								if (BgL_testz00_18013)
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_18017;
																																										goto
																																											BgL_tagzd2382zd2_1662;
																																										BgL_auxz00_17778
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_18017);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 117 */
																																										bool_t
																																											BgL_testz00_18019;
																																										{	/* Ast/sexp.scm 117 */
																																											obj_t
																																												BgL_arg1906z00_2086;
																																											BgL_arg1906z00_2086
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											BgL_testz00_18019
																																												=
																																												CBOOL
																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																												(BgL_arg1906z00_2086));
																																										}
																																										if (BgL_testz00_18019)
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_18023;
																																												goto
																																													BgL_tagzd2384zd2_1664;
																																												BgL_auxz00_17778
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_18023);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																													{	/* Ast/sexp.scm 117 */
																																														goto
																																															BgL_tagzd2403zd2_1706;
																																													}
																																												else
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_18027;
																																														goto
																																															BgL_tagzd2404zd2_1707;
																																														BgL_auxz00_17778
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_18027);
																																													}
																																											}
																																									}
																																							}
																																						return
																																							(
																																							(BgL_nodez00_bglt)
																																							BgL_auxz00_17778);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 117 */
																																						if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd224063zd2_1763)))
																																							{
																																								obj_t
																																									BgL_auxz00_18033;
																																								goto
																																									BgL_kapzd224065zd2_1765;
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_18033);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 117 */
																																								if ((BgL_carzd224063zd2_1763 == CNST_TABLE_REF(((long) 19))))
																																									{
																																										obj_t
																																											BgL_auxz00_18038;
																																										goto
																																											BgL_kapzd224065zd2_1765;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_18038);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 117 */
																																										if ((BgL_carzd224063zd2_1763 == CNST_TABLE_REF(((long) 20))))
																																											{
																																												obj_t
																																													BgL_auxz00_18043;
																																												goto
																																													BgL_kapzd224065zd2_1765;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_18043);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd224063zd2_1763)))
																																													{
																																														obj_t
																																															BgL_auxz00_18048;
																																														goto
																																															BgL_kapzd224065zd2_1765;
																																														return
																																															(
																																															(BgL_nodez00_bglt)
																																															BgL_auxz00_18048);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														bool_t
																																															BgL_testz00_18050;
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_arg1800z00_1948;
																																															BgL_arg1800z00_1948
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_testz00_18050
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg1800z00_1948));
																																														}
																																														if (BgL_testz00_18050)
																																															{	/* Ast/sexp.scm 117 */
																																																goto
																																																	BgL_tagzd2382zd2_1662;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																bool_t
																																																	BgL_testz00_18054;
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_arg1799z00_1947;
																																																	BgL_arg1799z00_1947
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	BgL_testz00_18054
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg1799z00_1947));
																																																}
																																																if (BgL_testz00_18054)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_18058;
																																																		goto
																																																			BgL_tagzd2384zd2_1664;
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_auxz00_18058);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		obj_t
																																																			BgL_carzd225671zd2_1775;
																																																		obj_t
																																																			BgL_cdrzd225672zd2_1776;
																																																		BgL_carzd225671zd2_1775
																																																			=
																																																			CAR
																																																			(BgL_expz00_21);
																																																		BgL_cdrzd225672zd2_1776
																																																			=
																																																			CDR
																																																			(BgL_expz00_21);
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_cdrzd225676zd2_1777;
																																																			BgL_cdrzd225676zd2_1777
																																																				=
																																																				CDR
																																																				(BgL_carzd225671zd2_1775);
																																																			if ((CAR(BgL_carzd225671zd2_1775) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 117 */
																																																					if (PAIRP(BgL_cdrzd225676zd2_1777))
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_carzd225679zd2_1781;
																																																							obj_t
																																																								BgL_cdrzd225680zd2_1782;
																																																							BgL_carzd225679zd2_1781
																																																								=
																																																								CAR
																																																								(BgL_cdrzd225676zd2_1777);
																																																							BgL_cdrzd225680zd2_1782
																																																								=
																																																								CDR
																																																								(BgL_cdrzd225676zd2_1777);
																																																							if (PAIRP(BgL_carzd225679zd2_1781))
																																																								{	/* Ast/sexp.scm 117 */
																																																									if (NULLP(CDR(BgL_carzd225679zd2_1781)))
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (PAIRP(BgL_cdrzd225680zd2_1782))
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_carzd225686zd2_1787;
																																																													BgL_carzd225686zd2_1787
																																																														=
																																																														CAR
																																																														(BgL_cdrzd225680zd2_1782);
																																																													if (PAIRP(BgL_carzd225686zd2_1787))
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd225686zd2_1787))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (NULLP(CDR(BgL_cdrzd225680zd2_1782)))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (PAIRP(BgL_cdrzd225672zd2_1776))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_carzd225693zd2_1793;
																																																																					BgL_carzd225693zd2_1793
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd225672zd2_1776);
																																																																					if (PAIRP(BgL_carzd225693zd2_1793))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd225717zd2_1795;
																																																																							BgL_cdrzd225717zd2_1795
																																																																								=
																																																																								CDR
																																																																								(CAR
																																																																								(BgL_expz00_21));
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_18097;
																																																																								obj_t
																																																																									BgL_bodyz00_18095;
																																																																								obj_t
																																																																									BgL_varsz00_18093;
																																																																								BgL_varsz00_18093
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd225717zd2_1795);
																																																																								BgL_bodyz00_18095
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd225717zd2_1795);
																																																																								BgL_argsz00_18097
																																																																									=
																																																																									CDR
																																																																									(BgL_expz00_21);
																																																																								BgL_argsz00_1671
																																																																									=
																																																																									BgL_argsz00_18097;
																																																																								BgL_bodyz00_1670
																																																																									=
																																																																									BgL_bodyz00_18095;
																																																																								BgL_varsz00_1669
																																																																									=
																																																																									BgL_varsz00_18093;
																																																																								goto
																																																																									BgL_tagzd2386zd2_1672;
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (NULLP(CDR(BgL_cdrzd225672zd2_1776)))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_arg1645z00_1802;
																																																																									BgL_arg1645z00_1802
																																																																										=
																																																																										CAR
																																																																										(BgL_carzd225679zd2_1781);
																																																																									{
																																																																										BgL_castz00_bglt
																																																																											BgL_auxz00_18103;
																																																																										{
																																																																											obj_t
																																																																												BgL_argz00_18106;
																																																																											obj_t
																																																																												BgL_bodyz00_18105;
																																																																											obj_t
																																																																												BgL_varz00_18104;
																																																																											BgL_varz00_18104
																																																																												=
																																																																												BgL_arg1645z00_1802;
																																																																											BgL_bodyz00_18105
																																																																												=
																																																																												BgL_carzd225686zd2_1787;
																																																																											BgL_argz00_18106
																																																																												=
																																																																												BgL_carzd225693zd2_1793;
																																																																											BgL_argz00_1667
																																																																												=
																																																																												BgL_argz00_18106;
																																																																											BgL_bodyz00_1666
																																																																												=
																																																																												BgL_bodyz00_18105;
																																																																											BgL_varz00_1665
																																																																												=
																																																																												BgL_varz00_18104;
																																																																											goto
																																																																												BgL_tagzd2385zd2_1668;
																																																																										}
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_18103);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd225744zd2_1803;
																																																																									BgL_cdrzd225744zd2_1803
																																																																										=
																																																																										CDR
																																																																										(CAR
																																																																										(BgL_expz00_21));
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_18114;
																																																																										obj_t
																																																																											BgL_bodyz00_18112;
																																																																										obj_t
																																																																											BgL_varsz00_18110;
																																																																										BgL_varsz00_18110
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd225744zd2_1803);
																																																																										BgL_bodyz00_18112
																																																																											=
																																																																											CDR
																																																																											(BgL_cdrzd225744zd2_1803);
																																																																										BgL_argsz00_18114
																																																																											=
																																																																											CDR
																																																																											(BgL_expz00_21);
																																																																										BgL_argsz00_1671
																																																																											=
																																																																											BgL_argsz00_18114;
																																																																										BgL_bodyz00_1670
																																																																											=
																																																																											BgL_bodyz00_18112;
																																																																										BgL_varsz00_1669
																																																																											=
																																																																											BgL_varsz00_18110;
																																																																										goto
																																																																											BgL_tagzd2386zd2_1672;
																																																																									}
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd225770zd2_1809;
																																																																					BgL_cdrzd225770zd2_1809
																																																																						=
																																																																						CDR
																																																																						(CAR
																																																																						(BgL_expz00_21));
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_18122;
																																																																						obj_t
																																																																							BgL_bodyz00_18120;
																																																																						obj_t
																																																																							BgL_varsz00_18118;
																																																																						BgL_varsz00_18118
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd225770zd2_1809);
																																																																						BgL_bodyz00_18120
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd225770zd2_1809);
																																																																						BgL_argsz00_18122
																																																																							=
																																																																							CDR
																																																																							(BgL_expz00_21);
																																																																						BgL_argsz00_1671
																																																																							=
																																																																							BgL_argsz00_18122;
																																																																						BgL_bodyz00_1670
																																																																							=
																																																																							BgL_bodyz00_18120;
																																																																						BgL_varsz00_1669
																																																																							=
																																																																							BgL_varsz00_18118;
																																																																						goto
																																																																							BgL_tagzd2386zd2_1672;
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd225796zd2_1814;
																																																																			BgL_cdrzd225796zd2_1814
																																																																				=
																																																																				CDR
																																																																				(CAR
																																																																				(BgL_expz00_21));
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_18130;
																																																																				obj_t
																																																																					BgL_bodyz00_18128;
																																																																				obj_t
																																																																					BgL_varsz00_18126;
																																																																				BgL_varsz00_18126
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd225796zd2_1814);
																																																																				BgL_bodyz00_18128
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd225796zd2_1814);
																																																																				BgL_argsz00_18130
																																																																					=
																																																																					CDR
																																																																					(BgL_expz00_21);
																																																																				BgL_argsz00_1671
																																																																					=
																																																																					BgL_argsz00_18130;
																																																																				BgL_bodyz00_1670
																																																																					=
																																																																					BgL_bodyz00_18128;
																																																																				BgL_varsz00_1669
																																																																					=
																																																																					BgL_varsz00_18126;
																																																																				goto
																																																																					BgL_tagzd2386zd2_1672;
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd225822zd2_1820;
																																																																	BgL_cdrzd225822zd2_1820
																																																																		=
																																																																		CDR
																																																																		(CAR
																																																																		(BgL_expz00_21));
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_18138;
																																																																		obj_t
																																																																			BgL_bodyz00_18136;
																																																																		obj_t
																																																																			BgL_varsz00_18134;
																																																																		BgL_varsz00_18134
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd225822zd2_1820);
																																																																		BgL_bodyz00_18136
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd225822zd2_1820);
																																																																		BgL_argsz00_18138
																																																																			=
																																																																			CDR
																																																																			(BgL_expz00_21);
																																																																		BgL_argsz00_1671
																																																																			=
																																																																			BgL_argsz00_18138;
																																																																		BgL_bodyz00_1670
																																																																			=
																																																																			BgL_bodyz00_18136;
																																																																		BgL_varsz00_1669
																																																																			=
																																																																			BgL_varsz00_18134;
																																																																		goto
																																																																			BgL_tagzd2386zd2_1672;
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd225848zd2_1825;
																																																															BgL_cdrzd225848zd2_1825
																																																																=
																																																																CDR
																																																																(BgL_carzd225671zd2_1775);
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_18145;
																																																																obj_t
																																																																	BgL_bodyz00_18143;
																																																																obj_t
																																																																	BgL_varsz00_18141;
																																																																BgL_varsz00_18141
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd225848zd2_1825);
																																																																BgL_bodyz00_18143
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd225848zd2_1825);
																																																																BgL_argsz00_18145
																																																																	=
																																																																	CDR
																																																																	(BgL_expz00_21);
																																																																BgL_argsz00_1671
																																																																	=
																																																																	BgL_argsz00_18145;
																																																																BgL_bodyz00_1670
																																																																	=
																																																																	BgL_bodyz00_18143;
																																																																BgL_varsz00_1669
																																																																	=
																																																																	BgL_varsz00_18141;
																																																																goto
																																																																	BgL_tagzd2386zd2_1672;
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd225874zd2_1830;
																																																													BgL_cdrzd225874zd2_1830
																																																														=
																																																														CDR
																																																														(BgL_carzd225671zd2_1775);
																																																													{
																																																														obj_t
																																																															BgL_argsz00_18152;
																																																														obj_t
																																																															BgL_bodyz00_18150;
																																																														obj_t
																																																															BgL_varsz00_18148;
																																																														BgL_varsz00_18148
																																																															=
																																																															CAR
																																																															(BgL_cdrzd225874zd2_1830);
																																																														BgL_bodyz00_18150
																																																															=
																																																															CDR
																																																															(BgL_cdrzd225874zd2_1830);
																																																														BgL_argsz00_18152
																																																															=
																																																															CDR
																																																															(BgL_expz00_21);
																																																														BgL_argsz00_1671
																																																															=
																																																															BgL_argsz00_18152;
																																																														BgL_bodyz00_1670
																																																															=
																																																															BgL_bodyz00_18150;
																																																														BgL_varsz00_1669
																																																															=
																																																															BgL_varsz00_18148;
																																																														goto
																																																															BgL_tagzd2386zd2_1672;
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd225900zd2_1835;
																																																											BgL_cdrzd225900zd2_1835
																																																												=
																																																												CDR
																																																												(BgL_carzd225671zd2_1775);
																																																											{
																																																												obj_t
																																																													BgL_argsz00_18159;
																																																												obj_t
																																																													BgL_bodyz00_18157;
																																																												obj_t
																																																													BgL_varsz00_18155;
																																																												BgL_varsz00_18155
																																																													=
																																																													CAR
																																																													(BgL_cdrzd225900zd2_1835);
																																																												BgL_bodyz00_18157
																																																													=
																																																													CDR
																																																													(BgL_cdrzd225900zd2_1835);
																																																												BgL_argsz00_18159
																																																													=
																																																													CDR
																																																													(BgL_expz00_21);
																																																												BgL_argsz00_1671
																																																													=
																																																													BgL_argsz00_18159;
																																																												BgL_bodyz00_1670
																																																													=
																																																													BgL_bodyz00_18157;
																																																												BgL_varsz00_1669
																																																													=
																																																													BgL_varsz00_18155;
																																																												goto
																																																													BgL_tagzd2386zd2_1672;
																																																											}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_cdrzd225926zd2_1841;
																																																									BgL_cdrzd225926zd2_1841
																																																										=
																																																										CDR
																																																										(BgL_carzd225671zd2_1775);
																																																									{
																																																										obj_t
																																																											BgL_argsz00_18166;
																																																										obj_t
																																																											BgL_bodyz00_18164;
																																																										obj_t
																																																											BgL_varsz00_18162;
																																																										BgL_varsz00_18162
																																																											=
																																																											CAR
																																																											(BgL_cdrzd225926zd2_1841);
																																																										BgL_bodyz00_18164
																																																											=
																																																											CDR
																																																											(BgL_cdrzd225926zd2_1841);
																																																										BgL_argsz00_18166
																																																											=
																																																											CDR
																																																											(BgL_expz00_21);
																																																										BgL_argsz00_1671
																																																											=
																																																											BgL_argsz00_18166;
																																																										BgL_bodyz00_1670
																																																											=
																																																											BgL_bodyz00_18164;
																																																										BgL_varsz00_1669
																																																											=
																																																											BgL_varsz00_18162;
																																																										goto
																																																											BgL_tagzd2386zd2_1672;
																																																									}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{
																																																									obj_t
																																																										BgL_auxz00_18170;
																																																									goto
																																																										BgL_tagzd2403zd2_1706;
																																																									return
																																																										(
																																																										(BgL_nodez00_bglt)
																																																										BgL_auxz00_18170);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									goto
																																																										BgL_tagzd2404zd2_1707;
																																																								}
																																																						}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_cdrzd226064zd2_1849;
																																																					BgL_cdrzd226064zd2_1849
																																																						=
																																																						CDR
																																																						(BgL_carzd225671zd2_1775);
																																																					if ((CAR(BgL_carzd225671zd2_1775) == CNST_TABLE_REF(((long) 1))))
																																																						{	/* Ast/sexp.scm 117 */
																																																							if (PAIRP(BgL_cdrzd226064zd2_1849))
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_cdrzd226069zd2_1853;
																																																									BgL_cdrzd226069zd2_1853
																																																										=
																																																										CDR
																																																										(BgL_cdrzd226064zd2_1849);
																																																									if (PAIRP(BgL_cdrzd226069zd2_1853))
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_carzd226073zd2_1855;
																																																											obj_t
																																																												BgL_cdrzd226074zd2_1856;
																																																											BgL_carzd226073zd2_1855
																																																												=
																																																												CAR
																																																												(BgL_cdrzd226069zd2_1853);
																																																											BgL_cdrzd226074zd2_1856
																																																												=
																																																												CDR
																																																												(BgL_cdrzd226069zd2_1853);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226073zd2_1855))
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (PAIRP(BgL_cdrzd226074zd2_1856))
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_carzd226079zd2_1859;
																																																															BgL_carzd226079zd2_1859
																																																																=
																																																																CAR
																																																																(BgL_cdrzd226074zd2_1856);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226079zd2_1859))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (NULLP(CDR(BgL_cdrzd226074zd2_1856)))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			bool_t
																																																																				BgL_testz00_18194;
																																																																			{
																																																																				obj_t
																																																																					BgL_l1406z00_1892;
																																																																				BgL_l1406z00_1892
																																																																					=
																																																																					BgL_cdrzd225672zd2_1776;
																																																																			BgL_zc3anonymousza31756ze3z83_1893:
																																																																				if (NULLP(BgL_l1406z00_1892))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						BgL_testz00_18194
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							1);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						bool_t
																																																																							BgL_testz00_18197;
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							bool_t
																																																																								BgL_testz00_18198;
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_tmpz00_18199;
																																																																								BgL_tmpz00_18199
																																																																									=
																																																																									CAR
																																																																									(BgL_l1406z00_1892);
																																																																								BgL_testz00_18198
																																																																									=
																																																																									PAIRP
																																																																									(BgL_tmpz00_18199);
																																																																							}
																																																																							if (BgL_testz00_18198)
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									BgL_testz00_18197
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									BgL_testz00_18197
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																						}
																																																																						if (BgL_testz00_18197)
																																																																							{
																																																																								obj_t
																																																																									BgL_l1406z00_18202;
																																																																								BgL_l1406z00_18202
																																																																									=
																																																																									CDR
																																																																									(BgL_l1406z00_1892);
																																																																								BgL_l1406z00_1892
																																																																									=
																																																																									BgL_l1406z00_18202;
																																																																								goto
																																																																									BgL_zc3anonymousza31756ze3z83_1893;
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								BgL_testz00_18194
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																					}
																																																																			}
																																																																			if (BgL_testz00_18194)
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_18208;
																																																																					obj_t
																																																																						BgL_proc2z00_18207;
																																																																					obj_t
																																																																						BgL_proc1z00_18206;
																																																																					obj_t
																																																																						BgL_testz00_18204;
																																																																					BgL_testz00_18204
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd226064zd2_1849);
																																																																					BgL_proc1z00_18206
																																																																						=
																																																																						BgL_carzd226073zd2_1855;
																																																																					BgL_proc2z00_18207
																																																																						=
																																																																						BgL_carzd226079zd2_1859;
																																																																					BgL_argsz00_18208
																																																																						=
																																																																						BgL_cdrzd225672zd2_1776;
																																																																					BgL_argsz00_1676
																																																																						=
																																																																						BgL_argsz00_18208;
																																																																					BgL_proc2z00_1675
																																																																						=
																																																																						BgL_proc2z00_18207;
																																																																					BgL_proc1z00_1674
																																																																						=
																																																																						BgL_proc1z00_18206;
																																																																					BgL_testz00_1673
																																																																						=
																																																																						BgL_testz00_18204;
																																																																					goto
																																																																						BgL_tagzd2387zd2_1677;
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd226104zd2_1876;
																																																																					BgL_cdrzd226104zd2_1876
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_21);
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_cdrzd226112zd2_1877;
																																																																						BgL_cdrzd226112zd2_1877
																																																																							=
																																																																							CDR
																																																																							(CAR
																																																																							(BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd226120zd2_1878;
																																																																							BgL_cdrzd226120zd2_1878
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd226112zd2_1877);
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_carzd226127zd2_1879;
																																																																								BgL_carzd226127zd2_1879
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd226120zd2_1878);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226127zd2_1879))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_carzd226136zd2_1881;
																																																																										BgL_carzd226136zd2_1881
																																																																											=
																																																																											CAR
																																																																											(CDR
																																																																											(BgL_cdrzd226120zd2_1878));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226136zd2_1881))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd226104zd2_1876))
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_18226;
																																																																														obj_t
																																																																															BgL_proc2z00_18225;
																																																																														obj_t
																																																																															BgL_proc1z00_18224;
																																																																														obj_t
																																																																															BgL_testz00_18222;
																																																																														BgL_testz00_18222
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd226112zd2_1877);
																																																																														BgL_proc1z00_18224
																																																																															=
																																																																															BgL_carzd226127zd2_1879;
																																																																														BgL_proc2z00_18225
																																																																															=
																																																																															BgL_carzd226136zd2_1881;
																																																																														BgL_argsz00_18226
																																																																															=
																																																																															BgL_cdrzd226104zd2_1876;
																																																																														BgL_argsz00_1681
																																																																															=
																																																																															BgL_argsz00_18226;
																																																																														BgL_proc2z00_1680
																																																																															=
																																																																															BgL_proc2z00_18225;
																																																																														BgL_proc1z00_1679
																																																																															=
																																																																															BgL_proc1z00_18224;
																																																																														BgL_testz00_1678
																																																																															=
																																																																															BgL_testz00_18222;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1682;
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_18229;
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_18229);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_18233;
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_18233);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_18237;
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_18237);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_18241;
																																																																					goto
																																																																						BgL_tagzd2403zd2_1706;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_18241);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1707;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd226414zd2_1903;
																																																																	BgL_cdrzd226414zd2_1903
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_cdrzd226421zd2_1904;
																																																																		BgL_cdrzd226421zd2_1904
																																																																			=
																																																																			CDR
																																																																			(CAR
																																																																			(BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd226428zd2_1905;
																																																																			BgL_cdrzd226428zd2_1905
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd226421zd2_1904);
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_carzd226434zd2_1906;
																																																																				obj_t
																																																																					BgL_cdrzd226435zd2_1907;
																																																																				BgL_carzd226434zd2_1906
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd226428zd2_1905);
																																																																				BgL_cdrzd226435zd2_1907
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd226428zd2_1905);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226434zd2_1906))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_carzd226442zd2_1909;
																																																																						BgL_carzd226442zd2_1909
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd226435zd2_1907);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226442zd2_1909))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (NULLP(CDR(BgL_cdrzd226435zd2_1907)))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd226414zd2_1903))
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_18263;
																																																																												obj_t
																																																																													BgL_proc2z00_18262;
																																																																												obj_t
																																																																													BgL_proc1z00_18261;
																																																																												obj_t
																																																																													BgL_testz00_18259;
																																																																												BgL_testz00_18259
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd226421zd2_1904);
																																																																												BgL_proc1z00_18261
																																																																													=
																																																																													BgL_carzd226434zd2_1906;
																																																																												BgL_proc2z00_18262
																																																																													=
																																																																													BgL_carzd226442zd2_1909;
																																																																												BgL_argsz00_18263
																																																																													=
																																																																													BgL_cdrzd226414zd2_1903;
																																																																												BgL_argsz00_1681
																																																																													=
																																																																													BgL_argsz00_18263;
																																																																												BgL_proc2z00_1680
																																																																													=
																																																																													BgL_proc2z00_18262;
																																																																												BgL_proc1z00_1679
																																																																													=
																																																																													BgL_proc1z00_18261;
																																																																												BgL_testz00_1678
																																																																													=
																																																																													BgL_testz00_18259;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1682;
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_18266;
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_18266);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_18270;
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_18270);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_18274;
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_18274);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_18278;
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_18278);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{
																																																																	obj_t
																																																																		BgL_auxz00_18282;
																																																																	goto
																																																																		BgL_tagzd2403zd2_1706;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_18282);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	goto
																																																																		BgL_tagzd2404zd2_1707;
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd226775zd2_1922;
																																																													BgL_cdrzd226775zd2_1922
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_cdrzd226781zd2_1923;
																																																														BgL_cdrzd226781zd2_1923
																																																															=
																																																															CDR
																																																															(CAR
																																																															(BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd226787zd2_1924;
																																																															BgL_cdrzd226787zd2_1924
																																																																=
																																																																CDR
																																																																(BgL_cdrzd226781zd2_1923);
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_carzd226792zd2_1925;
																																																																obj_t
																																																																	BgL_cdrzd226793zd2_1926;
																																																																BgL_carzd226792zd2_1925
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd226787zd2_1924);
																																																																BgL_cdrzd226793zd2_1926
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd226787zd2_1924);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226792zd2_1925))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (PAIRP(BgL_cdrzd226793zd2_1926))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_carzd226798zd2_1929;
																																																																				BgL_carzd226798zd2_1929
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd226793zd2_1926);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226798zd2_1929))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (NULLP(CDR(BgL_cdrzd226793zd2_1926)))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd226775zd2_1922))
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_18306;
																																																																										obj_t
																																																																											BgL_proc2z00_18305;
																																																																										obj_t
																																																																											BgL_proc1z00_18304;
																																																																										obj_t
																																																																											BgL_testz00_18302;
																																																																										BgL_testz00_18302
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd226781zd2_1923);
																																																																										BgL_proc1z00_18304
																																																																											=
																																																																											BgL_carzd226792zd2_1925;
																																																																										BgL_proc2z00_18305
																																																																											=
																																																																											BgL_carzd226798zd2_1929;
																																																																										BgL_argsz00_18306
																																																																											=
																																																																											BgL_cdrzd226775zd2_1922;
																																																																										BgL_argsz00_1681
																																																																											=
																																																																											BgL_argsz00_18306;
																																																																										BgL_proc2z00_1680
																																																																											=
																																																																											BgL_proc2z00_18305;
																																																																										BgL_proc1z00_1679
																																																																											=
																																																																											BgL_proc1z00_18304;
																																																																										BgL_testz00_1678
																																																																											=
																																																																											BgL_testz00_18302;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1682;
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_18309;
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_18309);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_18313;
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_18313);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_18317;
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_18317);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_18321;
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_18321);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_18325;
																																																																				goto
																																																																					BgL_tagzd2403zd2_1706;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_18325);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1707;
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{
																																																													obj_t
																																																														BgL_auxz00_18329;
																																																													goto
																																																														BgL_tagzd2403zd2_1706;
																																																													return
																																																														(
																																																														(BgL_nodez00_bglt)
																																																														BgL_auxz00_18329);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													goto
																																																														BgL_tagzd2404zd2_1707;
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{
																																																											obj_t
																																																												BgL_auxz00_18333;
																																																											goto
																																																												BgL_tagzd2403zd2_1706;
																																																											return
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BgL_auxz00_18333);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											goto
																																																												BgL_tagzd2404zd2_1707;
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{
																																																									obj_t
																																																										BgL_auxz00_18337;
																																																									goto
																																																										BgL_tagzd2403zd2_1706;
																																																									return
																																																										(
																																																										(BgL_nodez00_bglt)
																																																										BgL_auxz00_18337);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									goto
																																																										BgL_tagzd2404zd2_1707;
																																																								}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 117 */
																																			if (
																																				(BgL_carzd224060zd2_1761
																																					==
																																					CNST_TABLE_REF
																																					(((long) 18))))
																																				{	/* Ast/sexp.scm 117 */
																																					goto
																																						BgL_tagzd2382zd2_1662;
																																				}
																																			else
																																				{	/* Ast/sexp.scm 117 */
																																					if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd224060zd2_1761)))
																																						{	/* Ast/sexp.scm 117 */
																																							goto
																																								BgL_tagzd2382zd2_1662;
																																						}
																																					else
																																						{	/* Ast/sexp.scm 117 */
																																							if ((BgL_carzd224060zd2_1761 == CNST_TABLE_REF(((long) 19))))
																																								{	/* Ast/sexp.scm 117 */
																																									goto
																																										BgL_tagzd2382zd2_1662;
																																								}
																																							else
																																								{	/* Ast/sexp.scm 117 */
																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																										{	/* Ast/sexp.scm 117 */
																																											goto
																																												BgL_tagzd2383zd2_1663;
																																										}
																																									else
																																										{	/* Ast/sexp.scm 117 */
																																											obj_t
																																												BgL_carzd227360zd2_2094;
																																											BgL_carzd227360zd2_2094
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											if ((BgL_carzd227360zd2_2094 == CNST_TABLE_REF(((long) 20))))
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_18356;
																																													goto
																																														BgL_tagzd2384zd2_1664;
																																													return
																																														(
																																														(BgL_nodez00_bglt)
																																														BgL_auxz00_18356);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 117 */
																																													if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd227360zd2_2094)))
																																														{
																																															BgL_letzd2funzd2_bglt
																																																BgL_auxz00_18361;
																																															goto
																																																BgL_tagzd2384zd2_1664;
																																															return
																																																(
																																																(BgL_nodez00_bglt)
																																																BgL_auxz00_18361);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 117 */
																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																																{	/* Ast/sexp.scm 117 */
																																																	goto
																																																		BgL_tagzd2389zd2_1683;
																																																}
																																															else
																																																{	/* Ast/sexp.scm 117 */
																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																		{	/* Ast/sexp.scm 117 */
																																																			goto
																																																				BgL_tagzd2390zd2_1684;
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_cdrzd227439zd2_2101;
																																																			BgL_cdrzd227439zd2_2101
																																																				=
																																																				CDR
																																																				(BgL_expz00_21);
																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																				{	/* Ast/sexp.scm 117 */
																																																					if (PAIRP(BgL_cdrzd227439zd2_2101))
																																																						{
																																																							obj_t
																																																								BgL_restz00_18380;
																																																							obj_t
																																																								BgL_effectz00_18378;
																																																							BgL_effectz00_18378
																																																								=
																																																								CAR
																																																								(BgL_cdrzd227439zd2_2101);
																																																							BgL_restz00_18380
																																																								=
																																																								CDR
																																																								(BgL_cdrzd227439zd2_2101);
																																																							BgL_restz00_1686
																																																								=
																																																								BgL_restz00_18380;
																																																							BgL_effectz00_1685
																																																								=
																																																								BgL_effectz00_18378;
																																																							goto
																																																								BgL_tagzd2391zd2_1687;
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{
																																																									obj_t
																																																										BgL_auxz00_18384;
																																																									goto
																																																										BgL_tagzd2403zd2_1706;
																																																									return
																																																										(
																																																										(BgL_nodez00_bglt)
																																																										BgL_auxz00_18384);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									goto
																																																										BgL_tagzd2404zd2_1707;
																																																								}
																																																						}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																						{	/* Ast/sexp.scm 117 */
																																																							goto
																																																								BgL_tagzd2392zd2_1688;
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																								{	/* Ast/sexp.scm 117 */
																																																									goto
																																																										BgL_tagzd2393zd2_1689;
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (PAIRP(BgL_cdrzd227439zd2_2101))
																																																												{
																																																													obj_t
																																																														BgL_restz00_18402;
																																																													obj_t
																																																														BgL_effectz00_18400;
																																																													BgL_effectz00_18400
																																																														=
																																																														CAR
																																																														(BgL_cdrzd227439zd2_2101);
																																																													BgL_restz00_18402
																																																														=
																																																														CDR
																																																														(BgL_cdrzd227439zd2_2101);
																																																													BgL_restz00_1691
																																																														=
																																																														BgL_restz00_18402;
																																																													BgL_effectz00_1690
																																																														=
																																																														BgL_effectz00_18400;
																																																													goto
																																																														BgL_tagzd2394zd2_1692;
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{
																																																															obj_t
																																																																BgL_auxz00_18406;
																																																															goto
																																																																BgL_tagzd2403zd2_1706;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_18406);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															goto
																																																																BgL_tagzd2404zd2_1707;
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																												{	/* Ast/sexp.scm 117 */
																																																													goto
																																																														BgL_tagzd2395zd2_1693;
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																														{	/* Ast/sexp.scm 117 */
																																																															goto
																																																																BgL_tagzd2396zd2_1694;
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																																{
																																																																	BgL_letzd2funzd2_bglt
																																																																		BgL_auxz00_18420;
																																																																	goto
																																																																		BgL_tagzd2397zd2_1695;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_18420);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																																		{
																																																																			BgL_jumpzd2exzd2itz00_bglt
																																																																				BgL_auxz00_18426;
																																																																			goto
																																																																				BgL_tagzd2398zd2_1696;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_18426);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd227566zd2_2127;
																																																																			BgL_cdrzd227566zd2_2127
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 31))))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if (PAIRP(BgL_cdrzd227566zd2_2127))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd227568zd2_2131;
																																																																							BgL_cdrzd227568zd2_2131
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd227566zd2_2127);
																																																																							if (PAIRP(BgL_cdrzd227568zd2_2131))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (NULLP(CDR(BgL_cdrzd227568zd2_2131)))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											goto
																																																																												BgL_tagzd2399zd2_1697;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{
																																																																													obj_t
																																																																														BgL_auxz00_18443;
																																																																													goto
																																																																														BgL_tagzd2403zd2_1706;
																																																																													return
																																																																														(
																																																																														(BgL_nodez00_bglt)
																																																																														BgL_auxz00_18443);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1707;
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_18447;
																																																																											goto
																																																																												BgL_tagzd2403zd2_1706;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_18447);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1707;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_18451;
																																																																									goto
																																																																										BgL_tagzd2403zd2_1706;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_18451);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1707;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (PAIRP(BgL_cdrzd227566zd2_2127))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd227613zd2_2143;
																																																																									BgL_cdrzd227613zd2_2143
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd227566zd2_2127);
																																																																									if (PAIRP(BgL_cdrzd227613zd2_2143))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_cdrzd227618zd2_2145;
																																																																											BgL_cdrzd227618zd2_2145
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd227613zd2_2143);
																																																																											if ((CAR(BgL_cdrzd227613zd2_2143) == CNST_TABLE_REF(((long) 32))))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (PAIRP(BgL_cdrzd227618zd2_2145))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_arg1960z00_2149;
																																																																															obj_t
																																																																																BgL_arg1961z00_2150;
																																																																															obj_t
																																																																																BgL_arg1962z00_2151;
																																																																															BgL_arg1960z00_2149
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd227566zd2_2127);
																																																																															BgL_arg1961z00_2150
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd227618zd2_2145);
																																																																															BgL_arg1962z00_2151
																																																																																=
																																																																																CDR
																																																																																(BgL_cdrzd227618zd2_2145);
																																																																															return
																																																																																BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																(BgL_expz00_21,
																																																																																BgL_arg1960z00_2149,
																																																																																BgL_arg1961z00_2150,
																																																																																BgL_arg1962z00_2151,
																																																																																BgL_stackz00_22,
																																																																																BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																(BgL_expz00_21,
																																																																																	BgL_locz00_23),
																																																																																BgL_sitez00_24);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_cdrzd227631zd2_2152;
																																																																															BgL_cdrzd227631zd2_2152
																																																																																=
																																																																																CDR
																																																																																(BgL_expz00_21);
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_arg1963z00_2153;
																																																																																obj_t
																																																																																	BgL_arg1964z00_2154;
																																																																																BgL_arg1963z00_2153
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd227631zd2_2152);
																																																																																BgL_arg1964z00_2154
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_cdrzd227631zd2_2152);
																																																																																{	/* Ast/sexp.scm 538 */
																																																																																	obj_t
																																																																																		BgL_arg6415z00_10465;
																																																																																	BgL_arg6415z00_10465
																																																																																		=
																																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_locz00_23);
																																																																																	return
																																																																																		BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_arg1963z00_2153,
																																																																																		CNST_TABLE_REF
																																																																																		(((long) 4)), BgL_arg1964z00_2154, BgL_stackz00_22, BgL_arg6415z00_10465, BgL_sitez00_24);
																																																																												}}}}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_cdrzd227646zd2_2155;
																																																																													BgL_cdrzd227646zd2_2155
																																																																														=
																																																																														CDR
																																																																														(BgL_expz00_21);
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_arg1965z00_2156;
																																																																														obj_t
																																																																															BgL_arg1966z00_2157;
																																																																														BgL_arg1965z00_2156
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd227646zd2_2155);
																																																																														BgL_arg1966z00_2157
																																																																															=
																																																																															CDR
																																																																															(BgL_cdrzd227646zd2_2155);
																																																																														{	/* Ast/sexp.scm 538 */
																																																																															obj_t
																																																																																BgL_arg6415z00_10469;
																																																																															BgL_arg6415z00_10469
																																																																																=
																																																																																BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																(BgL_expz00_21,
																																																																																BgL_locz00_23);
																																																																															return
																																																																																BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																(BgL_expz00_21,
																																																																																BgL_arg1965z00_2156,
																																																																																CNST_TABLE_REF
																																																																																(((long) 4)), BgL_arg1966z00_2157, BgL_stackz00_22, BgL_arg6415z00_10469, BgL_sitez00_24);
																																																																										}}}}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_cdrzd227661zd2_2159;
																																																																											BgL_cdrzd227661zd2_2159
																																																																												=
																																																																												CDR
																																																																												(BgL_expz00_21);
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_arg1970z00_2160;
																																																																												obj_t
																																																																													BgL_arg1972z00_2161;
																																																																												BgL_arg1970z00_2160
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd227661zd2_2159);
																																																																												BgL_arg1972z00_2161
																																																																													=
																																																																													CDR
																																																																													(BgL_cdrzd227661zd2_2159);
																																																																												{	/* Ast/sexp.scm 538 */
																																																																													obj_t
																																																																														BgL_arg6415z00_10473;
																																																																													BgL_arg6415z00_10473
																																																																														=
																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																														(BgL_expz00_21,
																																																																														BgL_locz00_23);
																																																																													return
																																																																														BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																														(BgL_expz00_21,
																																																																														BgL_arg1970z00_2160,
																																																																														CNST_TABLE_REF
																																																																														(((long) 4)), BgL_arg1972z00_2161, BgL_stackz00_22, BgL_arg6415z00_10473, BgL_sitez00_24);
																																																																								}}}}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_18494;
																																																																											goto
																																																																												BgL_tagzd2403zd2_1706;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_18494);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1707;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_21), BUNSPEC))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (NULLP(CDR(BgL_expz00_21)))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											goto
																																																																												BgL_tagzd2402zd2_1705;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{
																																																																													obj_t
																																																																														BgL_auxz00_18504;
																																																																													goto
																																																																														BgL_tagzd2403zd2_1706;
																																																																													return
																																																																														(
																																																																														(BgL_nodez00_bglt)
																																																																														BgL_auxz00_18504);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1707;
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_18508;
																																																																											goto
																																																																												BgL_tagzd2403zd2_1706;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_18508);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1707;
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																					}
																			}
																	}
															}
													}
											}
										else
											{	/* Ast/sexp.scm 117 */
												if (
													(BgL_carzd2470zd2_1712 ==
														CNST_TABLE_REF(((long) 12))))
													{	/* Ast/sexp.scm 117 */
														goto BgL_tagzd2371zd2_1644;
													}
												else
													{	/* Ast/sexp.scm 117 */
														if (
															(CAR(BgL_expz00_21) ==
																CNST_TABLE_REF(((long) 15))))
															{
																obj_t BgL_lz00_18517;

																BgL_lz00_18517 = CDR(BgL_expz00_21);
																BgL_lz00_1645 = BgL_lz00_18517;
																goto BgL_tagzd2372zd2_1646;
															}
														else
															{	/* Ast/sexp.scm 117 */
																if (
																	(CAR(BgL_expz00_21) ==
																		CNST_TABLE_REF(((long) 13))))
																	{	/* Ast/sexp.scm 117 */
																		goto BgL_tagzd2373zd2_1647;
																	}
																else
																	{	/* Ast/sexp.scm 117 */
																		if (
																			(CAR(BgL_expz00_21) ==
																				CNST_TABLE_REF(((long) 16))))
																			{	/* Ast/sexp.scm 117 */
																				if (NULLP(CDR(BgL_expz00_21)))
																					{	/* Ast/sexp.scm 117 */
																						goto BgL_tagzd2374zd2_1648;
																					}
																				else
																					{	/* Ast/sexp.scm 117 */
																						obj_t BgL_arg4008z00_4613;

																						BgL_arg4008z00_4613 =
																							CDR(BgL_expz00_21);
																						{
																							BgL_sequencez00_bglt
																								BgL_auxz00_18531;
																							{
																								obj_t BgL_bodyz00_18532;

																								BgL_bodyz00_18532 =
																									BgL_arg4008z00_4613;
																								BgL_bodyz00_1649 =
																									BgL_bodyz00_18532;
																								goto BgL_tagzd2375zd2_1650;
																							}
																							return
																								((BgL_nodez00_bglt)
																								BgL_auxz00_18531);
																						}
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 117 */
																				obj_t BgL_carzd227795zd2_4615;
																				obj_t BgL_cdrzd227796zd2_4616;

																				BgL_carzd227795zd2_4615 =
																					CAR(BgL_expz00_21);
																				BgL_cdrzd227796zd2_4616 =
																					CDR(BgL_expz00_21);
																				{

																					if (
																						(BgL_carzd227795zd2_4615 ==
																							CNST_TABLE_REF(((long) 1))))
																						{
																							obj_t BgL_auxz00_18539;

																						BgL_kapzd227797zd2_4617:
																							if (PAIRP
																								(BgL_cdrzd227796zd2_4616))
																								{	/* Ast/sexp.scm 117 */
																									obj_t BgL_cdrzd227800zd2_5067;

																									BgL_cdrzd227800zd2_5067 =
																										CDR
																										(BgL_cdrzd227796zd2_4616);
																									if (PAIRP
																										(BgL_cdrzd227800zd2_5067))
																										{	/* Ast/sexp.scm 117 */
																											obj_t
																												BgL_cdrzd227803zd2_5069;
																											BgL_cdrzd227803zd2_5069 =
																												CDR
																												(BgL_cdrzd227800zd2_5067);
																											if ((CAR
																													(BgL_cdrzd227800zd2_5067)
																													== BTRUE))
																												{	/* Ast/sexp.scm 117 */
																													if (PAIRP
																														(BgL_cdrzd227803zd2_5069))
																														{	/* Ast/sexp.scm 117 */
																															if (
																																(CAR
																																	(BgL_cdrzd227803zd2_5069)
																																	== BFALSE))
																																{	/* Ast/sexp.scm 117 */
																																	if (NULLP(CDR
																																			(BgL_cdrzd227803zd2_5069)))
																																		{	/* Ast/sexp.scm 117 */
																																			if (
																																				(BgL_sitez00_24
																																					==
																																					CNST_TABLE_REF
																																					(((long) 8))))
																																				{	/* Ast/sexp.scm 117 */
																																					obj_t
																																						BgL_arg4348z00_5079;
																																					BgL_arg4348z00_5079
																																						=
																																						CAR
																																						(BgL_cdrzd227796zd2_4616);
																																					BgL_auxz00_18539
																																						=
																																						(
																																						(obj_t)
																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																						(BgL_arg4348z00_5079,
																																							BgL_stackz00_22,
																																							BgL_locz00_23,
																																							BgL_sitez00_24));
																																				}
																																			else
																																				{	/* Ast/sexp.scm 117 */
																																					obj_t
																																						BgL_carzd227820zd2_5080;
																																					BgL_carzd227820zd2_5080
																																						=
																																						CAR
																																						(BgL_expz00_21);
																																					if (
																																						(BgL_carzd227820zd2_5080
																																							==
																																							CNST_TABLE_REF
																																							(((long) 1))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_18567;
																																							goto
																																								BgL_tagzd2377zd2_1653;
																																							BgL_auxz00_18539
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_18567);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 117 */
																																							if ((BgL_carzd227820zd2_5080 == BGl_za2ifza2z00zzast_sexpz00))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_18571;
																																									goto
																																										BgL_tagzd2377zd2_1653;
																																									BgL_auxz00_18539
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_18571);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 117 */
																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 7))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_18577;
																																											goto
																																												BgL_tagzd2379zd2_1657;
																																											BgL_auxz00_18539
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_18577);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 117 */
																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 17))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_18583;
																																													goto
																																														BgL_tagzd2380zd2_1658;
																																													BgL_auxz00_18539
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_18583);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 117 */
																																													obj_t
																																														BgL_carzd227881zd2_5087;
																																													BgL_carzd227881zd2_5087
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													if (PAIRP(BgL_carzd227881zd2_5087))
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_carzd227884zd2_5089;
																																															obj_t
																																																BgL_cdrzd227885zd2_5090;
																																															BgL_carzd227884zd2_5089
																																																=
																																																CAR
																																																(BgL_carzd227881zd2_5087);
																																															BgL_cdrzd227885zd2_5090
																																																=
																																																CDR
																																																(BgL_carzd227881zd2_5087);
																																															{

																																																if ((BgL_carzd227884zd2_5089 == CNST_TABLE_REF(((long) 18))))
																																																	{	/* Ast/sexp.scm 117 */
																																																	BgL_kapzd227886zd2_5091:
																																																		if (PAIRP(BgL_cdrzd227885zd2_5090))
																																																			{	/* Ast/sexp.scm 117 */
																																																				obj_t
																																																					BgL_cdrzd227889zd2_5213;
																																																				BgL_cdrzd227889zd2_5213
																																																					=
																																																					CDR
																																																					(BgL_cdrzd227885zd2_5090);
																																																				if (PAIRP(BgL_cdrzd227889zd2_5213))
																																																					{	/* Ast/sexp.scm 117 */
																																																						if (NULLP(CDR(BgL_cdrzd227889zd2_5213)))
																																																							{	/* Ast/sexp.scm 117 */
																																																								obj_t
																																																									BgL_arg4438z00_5217;
																																																								obj_t
																																																									BgL_arg4439z00_5218;
																																																								BgL_arg4438z00_5217
																																																									=
																																																									CAR
																																																									(BgL_cdrzd227889zd2_5213);
																																																								BgL_arg4439z00_5218
																																																									=
																																																									CDR
																																																									(BgL_expz00_21);
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_18603;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_18605;
																																																										obj_t
																																																											BgL_bodyz00_18604;
																																																										BgL_bodyz00_18604
																																																											=
																																																											BgL_arg4438z00_5217;
																																																										BgL_argsz00_18605
																																																											=
																																																											BgL_arg4439z00_5218;
																																																										BgL_argsz00_1660
																																																											=
																																																											BgL_argsz00_18605;
																																																										BgL_bodyz00_1659
																																																											=
																																																											BgL_bodyz00_18604;
																																																										goto
																																																											BgL_tagzd2381zd2_1661;
																																																									}
																																																									BgL_auxz00_18539
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_18603);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								bool_t
																																																									BgL_testz00_18607;
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_arg4506z00_5327;
																																																									BgL_arg4506z00_5327
																																																										=
																																																										CAR
																																																										(BgL_expz00_21);
																																																									BgL_testz00_18607
																																																										=
																																																										CBOOL
																																																										(BGl_letzd2symzf3z21zzast_letz00
																																																										(BgL_arg4506z00_5327));
																																																								}
																																																								if (BgL_testz00_18607)
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_18611;
																																																										goto
																																																											BgL_tagzd2382zd2_1662;
																																																										BgL_auxz00_18539
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_18611);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 117 */
																																																										bool_t
																																																											BgL_testz00_18613;
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_arg4505z00_5326;
																																																											BgL_arg4505z00_5326
																																																												=
																																																												CAR
																																																												(BgL_expz00_21);
																																																											BgL_testz00_18613
																																																												=
																																																												CBOOL
																																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																																												(BgL_arg4505z00_5326));
																																																										}
																																																										if (BgL_testz00_18613)
																																																											{
																																																												BgL_letzd2funzd2_bglt
																																																													BgL_auxz00_18617;
																																																												goto
																																																													BgL_tagzd2384zd2_1664;
																																																												BgL_auxz00_18539
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_18617);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 117 */
																																																												obj_t
																																																													BgL_carzd227967zd2_5223;
																																																												BgL_carzd227967zd2_5223
																																																													=
																																																													CAR
																																																													(BgL_expz00_21);
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd227972zd2_5224;
																																																													BgL_cdrzd227972zd2_5224
																																																														=
																																																														CDR
																																																														(BgL_carzd227967zd2_5223);
																																																													if ((CAR(BgL_carzd227967zd2_5223) == CNST_TABLE_REF(((long) 3))))
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_arg4446z00_5227;
																																																															obj_t
																																																																BgL_arg4447z00_5228;
																																																															obj_t
																																																																BgL_arg4448z00_5229;
																																																															BgL_arg4446z00_5227
																																																																=
																																																																CAR
																																																																(BgL_cdrzd227972zd2_5224);
																																																															BgL_arg4447z00_5228
																																																																=
																																																																CDR
																																																																(BgL_cdrzd227972zd2_5224);
																																																															BgL_arg4448z00_5229
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_18628;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_18631;
																																																																	obj_t
																																																																		BgL_bodyz00_18630;
																																																																	obj_t
																																																																		BgL_varsz00_18629;
																																																																	BgL_varsz00_18629
																																																																		=
																																																																		BgL_arg4446z00_5227;
																																																																	BgL_bodyz00_18630
																																																																		=
																																																																		BgL_arg4447z00_5228;
																																																																	BgL_argsz00_18631
																																																																		=
																																																																		BgL_arg4448z00_5229;
																																																																	BgL_argsz00_1671
																																																																		=
																																																																		BgL_argsz00_18631;
																																																																	BgL_bodyz00_1670
																																																																		=
																																																																		BgL_bodyz00_18630;
																																																																	BgL_varsz00_1669
																																																																		=
																																																																		BgL_varsz00_18629;
																																																																	goto
																																																																		BgL_tagzd2386zd2_1672;
																																																																}
																																																																BgL_auxz00_18539
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_18628);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd227995zd2_5231;
																																																															BgL_cdrzd227995zd2_5231
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_cdrzd228001zd2_5232;
																																																																BgL_cdrzd228001zd2_5232
																																																																	=
																																																																	CDR
																																																																	(BgL_carzd227967zd2_5223);
																																																																if ((CAR(BgL_carzd227967zd2_5223) == CNST_TABLE_REF(((long) 1))))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_cdrzd228007zd2_5235;
																																																																		BgL_cdrzd228007zd2_5235
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd228001zd2_5232);
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_carzd228012zd2_5236;
																																																																			obj_t
																																																																				BgL_cdrzd228013zd2_5237;
																																																																			BgL_carzd228012zd2_5236
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd228007zd2_5235);
																																																																			BgL_cdrzd228013zd2_5237
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd228007zd2_5235);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228012zd2_5236))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if (PAIRP(BgL_cdrzd228013zd2_5237))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_carzd228020zd2_5240;
																																																																							BgL_carzd228020zd2_5240
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd228013zd2_5237);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228020zd2_5240))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (NULLP(CDR(BgL_cdrzd228013zd2_5237)))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											bool_t
																																																																												BgL_testz00_18652;
																																																																											{
																																																																												obj_t
																																																																													BgL_l1409z00_5273;
																																																																												BgL_l1409z00_5273
																																																																													=
																																																																													BgL_cdrzd227995zd2_5231;
																																																																											BgL_zc3anonymousza34471ze3z83_5274:
																																																																												if (NULLP(BgL_l1409z00_5273))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														BgL_testz00_18652
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														bool_t
																																																																															BgL_testz00_18655;
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															bool_t
																																																																																BgL_testz00_18656;
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_tmpz00_18657;
																																																																																BgL_tmpz00_18657
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_l1409z00_5273);
																																																																																BgL_testz00_18656
																																																																																	=
																																																																																	PAIRP
																																																																																	(BgL_tmpz00_18657);
																																																																															}
																																																																															if (BgL_testz00_18656)
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	BgL_testz00_18655
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	BgL_testz00_18655
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		1);
																																																																																}
																																																																														}
																																																																														if (BgL_testz00_18655)
																																																																															{
																																																																																obj_t
																																																																																	BgL_l1409z00_18660;
																																																																																BgL_l1409z00_18660
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_l1409z00_5273);
																																																																																BgL_l1409z00_5273
																																																																																	=
																																																																																	BgL_l1409z00_18660;
																																																																																goto
																																																																																	BgL_zc3anonymousza34471ze3z83_5274;
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																BgL_testz00_18652
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																													}
																																																																											}
																																																																											if (BgL_testz00_18652)
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_arg4461z00_5256;
																																																																													BgL_arg4461z00_5256
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd228001zd2_5232);
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_18663;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_18667;
																																																																															obj_t
																																																																																BgL_proc2z00_18666;
																																																																															obj_t
																																																																																BgL_proc1z00_18665;
																																																																															obj_t
																																																																																BgL_testz00_18664;
																																																																															BgL_testz00_18664
																																																																																=
																																																																																BgL_arg4461z00_5256;
																																																																															BgL_proc1z00_18665
																																																																																=
																																																																																BgL_carzd228012zd2_5236;
																																																																															BgL_proc2z00_18666
																																																																																=
																																																																																BgL_carzd228020zd2_5240;
																																																																															BgL_argsz00_18667
																																																																																=
																																																																																BgL_cdrzd227995zd2_5231;
																																																																															BgL_argsz00_1676
																																																																																=
																																																																																BgL_argsz00_18667;
																																																																															BgL_proc2z00_1675
																																																																																=
																																																																																BgL_proc2z00_18666;
																																																																															BgL_proc1z00_1674
																																																																																=
																																																																																BgL_proc1z00_18665;
																																																																															BgL_testz00_1673
																																																																																=
																																																																																BgL_testz00_18664;
																																																																															goto
																																																																																BgL_tagzd2387zd2_1677;
																																																																														}
																																																																														BgL_auxz00_18539
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_18663);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_cdrzd228044zd2_5257;
																																																																													BgL_cdrzd228044zd2_5257
																																																																														=
																																																																														CDR
																																																																														(BgL_expz00_21);
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_cdrzd228051zd2_5258;
																																																																														BgL_cdrzd228051zd2_5258
																																																																															=
																																																																															CDR
																																																																															(CAR
																																																																															(BgL_expz00_21));
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_cdrzd228058zd2_5259;
																																																																															BgL_cdrzd228058zd2_5259
																																																																																=
																																																																																CDR
																																																																																(BgL_cdrzd228051zd2_5258);
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_carzd228064zd2_5260;
																																																																																BgL_carzd228064zd2_5260
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd228058zd2_5259);
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228064zd2_5260))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		obj_t
																																																																																			BgL_carzd228071zd2_5262;
																																																																																		BgL_carzd228071zd2_5262
																																																																																			=
																																																																																			CAR
																																																																																			(CDR
																																																																																			(BgL_cdrzd228058zd2_5259));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228071zd2_5262))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd228044zd2_5257))
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						obj_t
																																																																																							BgL_arg4465z00_5265;
																																																																																						BgL_arg4465z00_5265
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_cdrzd228051zd2_5258);
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_18683;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_18687;
																																																																																								obj_t
																																																																																									BgL_proc2z00_18686;
																																																																																								obj_t
																																																																																									BgL_proc1z00_18685;
																																																																																								obj_t
																																																																																									BgL_testz00_18684;
																																																																																								BgL_testz00_18684
																																																																																									=
																																																																																									BgL_arg4465z00_5265;
																																																																																								BgL_proc1z00_18685
																																																																																									=
																																																																																									BgL_carzd228064zd2_5260;
																																																																																								BgL_proc2z00_18686
																																																																																									=
																																																																																									BgL_carzd228071zd2_5262;
																																																																																								BgL_argsz00_18687
																																																																																									=
																																																																																									BgL_cdrzd228044zd2_5257;
																																																																																								BgL_argsz00_1681
																																																																																									=
																																																																																									BgL_argsz00_18687;
																																																																																								BgL_proc2z00_1680
																																																																																									=
																																																																																									BgL_proc2z00_18686;
																																																																																								BgL_proc1z00_1679
																																																																																									=
																																																																																									BgL_proc1z00_18685;
																																																																																								BgL_testz00_1678
																																																																																									=
																																																																																									BgL_testz00_18684;
																																																																																								goto
																																																																																									BgL_tagzd2388zd2_1682;
																																																																																							}
																																																																																							BgL_auxz00_18539
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_18683);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 117 */
																																																																																								goto
																																																																																									BgL_tagzd2403zd2_1706;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_18691;
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1707;
																																																																																								BgL_auxz00_18539
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_18691);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1706;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_18695;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1707;
																																																																																						BgL_auxz00_18539
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_18695);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1706;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_18699;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1707;
																																																																																				BgL_auxz00_18539
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_18699);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1706;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_18703;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1707;
																																																																													BgL_auxz00_18539
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_18703);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd228347zd2_5284;
																																																																									BgL_cdrzd228347zd2_5284
																																																																										=
																																																																										CDR
																																																																										(BgL_expz00_21);
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_cdrzd228353zd2_5285;
																																																																										BgL_cdrzd228353zd2_5285
																																																																											=
																																																																											CDR
																																																																											(CAR
																																																																											(BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_cdrzd228359zd2_5286;
																																																																											BgL_cdrzd228359zd2_5286
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd228353zd2_5285);
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_carzd228364zd2_5287;
																																																																												obj_t
																																																																													BgL_cdrzd228365zd2_5288;
																																																																												BgL_carzd228364zd2_5287
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd228359zd2_5286);
																																																																												BgL_cdrzd228365zd2_5288
																																																																													=
																																																																													CDR
																																																																													(BgL_cdrzd228359zd2_5286);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228364zd2_5287))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_carzd228370zd2_5290;
																																																																														BgL_carzd228370zd2_5290
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd228365zd2_5288);
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228370zd2_5290))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (NULLP(CDR(BgL_cdrzd228365zd2_5288)))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd228347zd2_5284))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				obj_t
																																																																																					BgL_arg4480z00_5295;
																																																																																				BgL_arg4480z00_5295
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_cdrzd228353zd2_5285);
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_18722;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_18726;
																																																																																						obj_t
																																																																																							BgL_proc2z00_18725;
																																																																																						obj_t
																																																																																							BgL_proc1z00_18724;
																																																																																						obj_t
																																																																																							BgL_testz00_18723;
																																																																																						BgL_testz00_18723
																																																																																							=
																																																																																							BgL_arg4480z00_5295;
																																																																																						BgL_proc1z00_18724
																																																																																							=
																																																																																							BgL_carzd228364zd2_5287;
																																																																																						BgL_proc2z00_18725
																																																																																							=
																																																																																							BgL_carzd228370zd2_5290;
																																																																																						BgL_argsz00_18726
																																																																																							=
																																																																																							BgL_cdrzd228347zd2_5284;
																																																																																						BgL_argsz00_1681
																																																																																							=
																																																																																							BgL_argsz00_18726;
																																																																																						BgL_proc2z00_1680
																																																																																							=
																																																																																							BgL_proc2z00_18725;
																																																																																						BgL_proc1z00_1679
																																																																																							=
																																																																																							BgL_proc1z00_18724;
																																																																																						BgL_testz00_1678
																																																																																							=
																																																																																							BgL_testz00_18723;
																																																																																						goto
																																																																																							BgL_tagzd2388zd2_1682;
																																																																																					}
																																																																																					BgL_auxz00_18539
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_18722);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1706;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_18730;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1707;
																																																																																						BgL_auxz00_18539
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_18730);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1706;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_18734;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1707;
																																																																																				BgL_auxz00_18539
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_18734);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_18738;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_18539
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_18738);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_18742;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_18539
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_18742);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1706;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_18746;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1707;
																																																																									BgL_auxz00_18539
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_18746);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd228703zd2_5303;
																																																																					BgL_cdrzd228703zd2_5303
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_21);
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_cdrzd228710zd2_5304;
																																																																						BgL_cdrzd228710zd2_5304
																																																																							=
																																																																							CDR
																																																																							(CAR
																																																																							(BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd228717zd2_5305;
																																																																							BgL_cdrzd228717zd2_5305
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd228710zd2_5304);
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_carzd228723zd2_5306;
																																																																								obj_t
																																																																									BgL_cdrzd228724zd2_5307;
																																																																								BgL_carzd228723zd2_5306
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd228717zd2_5305);
																																																																								BgL_cdrzd228724zd2_5307
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd228717zd2_5305);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228723zd2_5306))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (PAIRP(BgL_cdrzd228724zd2_5307))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_carzd228731zd2_5310;
																																																																												BgL_carzd228731zd2_5310
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd228724zd2_5307);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228731zd2_5310))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (NULLP(CDR(BgL_cdrzd228724zd2_5307)))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd228703zd2_5303))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		obj_t
																																																																																			BgL_arg4494z00_5315;
																																																																																		BgL_arg4494z00_5315
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd228710zd2_5304);
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_18767;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_18771;
																																																																																				obj_t
																																																																																					BgL_proc2z00_18770;
																																																																																				obj_t
																																																																																					BgL_proc1z00_18769;
																																																																																				obj_t
																																																																																					BgL_testz00_18768;
																																																																																				BgL_testz00_18768
																																																																																					=
																																																																																					BgL_arg4494z00_5315;
																																																																																				BgL_proc1z00_18769
																																																																																					=
																																																																																					BgL_carzd228723zd2_5306;
																																																																																				BgL_proc2z00_18770
																																																																																					=
																																																																																					BgL_carzd228731zd2_5310;
																																																																																				BgL_argsz00_18771
																																																																																					=
																																																																																					BgL_cdrzd228703zd2_5303;
																																																																																				BgL_argsz00_1681
																																																																																					=
																																																																																					BgL_argsz00_18771;
																																																																																				BgL_proc2z00_1680
																																																																																					=
																																																																																					BgL_proc2z00_18770;
																																																																																				BgL_proc1z00_1679
																																																																																					=
																																																																																					BgL_proc1z00_18769;
																																																																																				BgL_testz00_1678
																																																																																					=
																																																																																					BgL_testz00_18768;
																																																																																				goto
																																																																																					BgL_tagzd2388zd2_1682;
																																																																																			}
																																																																																			BgL_auxz00_18539
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_18767);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1706;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_18775;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1707;
																																																																																				BgL_auxz00_18539
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_18775);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_18779;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_18539
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_18779);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_18783;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_18539
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_18783);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_18787;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_18539
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_18787);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_18791;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_18539
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_18791);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1706;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_18795;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1707;
																																																																				BgL_auxz00_18539
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_18795);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																											}
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						bool_t
																																																							BgL_testz00_18797;
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_arg4520z00_5343;
																																																							BgL_arg4520z00_5343
																																																								=
																																																								CAR
																																																								(BgL_expz00_21);
																																																							BgL_testz00_18797
																																																								=
																																																								CBOOL
																																																								(BGl_letzd2symzf3z21zzast_letz00
																																																								(BgL_arg4520z00_5343));
																																																						}
																																																						if (BgL_testz00_18797)
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_18801;
																																																								goto
																																																									BgL_tagzd2382zd2_1662;
																																																								BgL_auxz00_18539
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_18801);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								bool_t
																																																									BgL_testz00_18803;
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_arg4519z00_5342;
																																																									BgL_arg4519z00_5342
																																																										=
																																																										CAR
																																																										(BgL_expz00_21);
																																																									BgL_testz00_18803
																																																										=
																																																										CBOOL
																																																										(BGl_labelszd2symzf3z21zzast_labelsz00
																																																										(BgL_arg4519z00_5342));
																																																								}
																																																								if (BgL_testz00_18803)
																																																									{
																																																										BgL_letzd2funzd2_bglt
																																																											BgL_auxz00_18807;
																																																										goto
																																																											BgL_tagzd2384zd2_1664;
																																																										BgL_auxz00_18539
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_18807);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 117 */
																																																										obj_t
																																																											BgL_carzd229177zd2_5333;
																																																										BgL_carzd229177zd2_5333
																																																											=
																																																											CAR
																																																											(BgL_expz00_21);
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd229182zd2_5334;
																																																											BgL_cdrzd229182zd2_5334
																																																												=
																																																												CDR
																																																												(BgL_carzd229177zd2_5333);
																																																											if ((CAR(BgL_carzd229177zd2_5333) == CNST_TABLE_REF(((long) 3))))
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_arg4514z00_5337;
																																																													obj_t
																																																														BgL_arg4515z00_5338;
																																																													obj_t
																																																														BgL_arg4516z00_5339;
																																																													BgL_arg4514z00_5337
																																																														=
																																																														CAR
																																																														(BgL_cdrzd229182zd2_5334);
																																																													BgL_arg4515z00_5338
																																																														=
																																																														CDR
																																																														(BgL_cdrzd229182zd2_5334);
																																																													BgL_arg4516z00_5339
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_18818;
																																																														{
																																																															obj_t
																																																																BgL_argsz00_18821;
																																																															obj_t
																																																																BgL_bodyz00_18820;
																																																															obj_t
																																																																BgL_varsz00_18819;
																																																															BgL_varsz00_18819
																																																																=
																																																																BgL_arg4514z00_5337;
																																																															BgL_bodyz00_18820
																																																																=
																																																																BgL_arg4515z00_5338;
																																																															BgL_argsz00_18821
																																																																=
																																																																BgL_arg4516z00_5339;
																																																															BgL_argsz00_1671
																																																																=
																																																																BgL_argsz00_18821;
																																																															BgL_bodyz00_1670
																																																																=
																																																																BgL_bodyz00_18820;
																																																															BgL_varsz00_1669
																																																																=
																																																																BgL_varsz00_18819;
																																																															goto
																																																																BgL_tagzd2386zd2_1672;
																																																														}
																																																														BgL_auxz00_18539
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_18818);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 117 */
																																																															goto
																																																																BgL_tagzd2403zd2_1706;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_18825;
																																																															goto
																																																																BgL_tagzd2404zd2_1707;
																																																															BgL_auxz00_18539
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_18825);
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				bool_t
																																																					BgL_testz00_18827;
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_arg4527z00_5350;
																																																					BgL_arg4527z00_5350
																																																						=
																																																						CAR
																																																						(BgL_expz00_21);
																																																					BgL_testz00_18827
																																																						=
																																																						CBOOL
																																																						(BGl_letzd2symzf3z21zzast_letz00
																																																						(BgL_arg4527z00_5350));
																																																				}
																																																				if (BgL_testz00_18827)
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_18831;
																																																						goto
																																																							BgL_tagzd2382zd2_1662;
																																																						BgL_auxz00_18539
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_18831);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						bool_t
																																																							BgL_testz00_18833;
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_arg4526z00_5349;
																																																							BgL_arg4526z00_5349
																																																								=
																																																								CAR
																																																								(BgL_expz00_21);
																																																							BgL_testz00_18833
																																																								=
																																																								CBOOL
																																																								(BGl_labelszd2symzf3z21zzast_labelsz00
																																																								(BgL_arg4526z00_5349));
																																																						}
																																																						if (BgL_testz00_18833)
																																																							{
																																																								BgL_letzd2funzd2_bglt
																																																									BgL_auxz00_18837;
																																																								goto
																																																									BgL_tagzd2384zd2_1664;
																																																								BgL_auxz00_18539
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_18837);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 117 */
																																																										goto
																																																											BgL_tagzd2403zd2_1706;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_18841;
																																																										goto
																																																											BgL_tagzd2404zd2_1707;
																																																										BgL_auxz00_18539
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_18841);
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd227884zd2_5089)))
																																																			{	/* Ast/sexp.scm 117 */
																																																				goto
																																																					BgL_kapzd227886zd2_5091;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				if ((BgL_carzd227884zd2_5089 == CNST_TABLE_REF(((long) 19))))
																																																					{	/* Ast/sexp.scm 117 */
																																																						goto
																																																							BgL_kapzd227886zd2_5091;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						if ((BgL_carzd227884zd2_5089 == CNST_TABLE_REF(((long) 20))))
																																																							{	/* Ast/sexp.scm 117 */
																																																								goto
																																																									BgL_kapzd227886zd2_5091;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd227884zd2_5089)))
																																																									{	/* Ast/sexp.scm 117 */
																																																										goto
																																																											BgL_kapzd227886zd2_5091;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 117 */
																																																										bool_t
																																																											BgL_testz00_18855;
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_arg4433z00_5211;
																																																											BgL_arg4433z00_5211
																																																												=
																																																												CAR
																																																												(BgL_expz00_21);
																																																											BgL_testz00_18855
																																																												=
																																																												CBOOL
																																																												(BGl_letzd2symzf3z21zzast_letz00
																																																												(BgL_arg4433z00_5211));
																																																										}
																																																										if (BgL_testz00_18855)
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_18859;
																																																												goto
																																																													BgL_tagzd2382zd2_1662;
																																																												BgL_auxz00_18539
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_18859);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 117 */
																																																												bool_t
																																																													BgL_testz00_18861;
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_arg4432z00_5210;
																																																													BgL_arg4432z00_5210
																																																														=
																																																														CAR
																																																														(BgL_expz00_21);
																																																													BgL_testz00_18861
																																																														=
																																																														CBOOL
																																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																																														(BgL_arg4432z00_5210));
																																																												}
																																																												if (BgL_testz00_18861)
																																																													{
																																																														BgL_letzd2funzd2_bglt
																																																															BgL_auxz00_18865;
																																																														goto
																																																															BgL_tagzd2384zd2_1664;
																																																														BgL_auxz00_18539
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_18865);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_carzd229505zd2_5101;
																																																														BgL_carzd229505zd2_5101
																																																															=
																																																															CAR
																																																															(BgL_expz00_21);
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd229510zd2_5102;
																																																															BgL_cdrzd229510zd2_5102
																																																																=
																																																																CDR
																																																																(BgL_carzd229505zd2_5101);
																																																															if ((CAR(BgL_carzd229505zd2_5101) == CNST_TABLE_REF(((long) 3))))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (PAIRP(BgL_cdrzd229510zd2_5102))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_arg4368z00_5106;
																																																																			obj_t
																																																																				BgL_arg4369z00_5107;
																																																																			obj_t
																																																																				BgL_arg4370z00_5108;
																																																																			BgL_arg4368z00_5106
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd229510zd2_5102);
																																																																			BgL_arg4369z00_5107
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd229510zd2_5102);
																																																																			BgL_arg4370z00_5108
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_18878;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_18881;
																																																																					obj_t
																																																																						BgL_bodyz00_18880;
																																																																					obj_t
																																																																						BgL_varsz00_18879;
																																																																					BgL_varsz00_18879
																																																																						=
																																																																						BgL_arg4368z00_5106;
																																																																					BgL_bodyz00_18880
																																																																						=
																																																																						BgL_arg4369z00_5107;
																																																																					BgL_argsz00_18881
																																																																						=
																																																																						BgL_arg4370z00_5108;
																																																																					BgL_argsz00_1671
																																																																						=
																																																																						BgL_argsz00_18881;
																																																																					BgL_bodyz00_1670
																																																																						=
																																																																						BgL_bodyz00_18880;
																																																																					BgL_varsz00_1669
																																																																						=
																																																																						BgL_varsz00_18879;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1672;
																																																																				}
																																																																				BgL_auxz00_18539
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_18878);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1706;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_18885;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1707;
																																																																					BgL_auxz00_18539
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_18885);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd229617zd2_5111;
																																																																	BgL_cdrzd229617zd2_5111
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_cdrzd229622zd2_5112;
																																																																		BgL_cdrzd229622zd2_5112
																																																																			=
																																																																			CDR
																																																																			(BgL_carzd229505zd2_5101);
																																																																		if ((CAR(BgL_carzd229505zd2_5101) == CNST_TABLE_REF(((long) 1))))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (PAIRP(BgL_cdrzd229622zd2_5112))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_cdrzd229627zd2_5116;
																																																																						BgL_cdrzd229627zd2_5116
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd229622zd2_5112);
																																																																						if (PAIRP(BgL_cdrzd229627zd2_5116))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_carzd229631zd2_5118;
																																																																								obj_t
																																																																									BgL_cdrzd229632zd2_5119;
																																																																								BgL_carzd229631zd2_5118
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd229627zd2_5116);
																																																																								BgL_cdrzd229632zd2_5119
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd229627zd2_5116);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229631zd2_5118))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (PAIRP(BgL_cdrzd229632zd2_5119))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_carzd229637zd2_5122;
																																																																												BgL_carzd229637zd2_5122
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd229632zd2_5119);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229637zd2_5122))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (NULLP(CDR(BgL_cdrzd229632zd2_5119)))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																bool_t
																																																																																	BgL_testz00_18910;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_l1412z00_5155;
																																																																																	BgL_l1412z00_5155
																																																																																		=
																																																																																		BgL_cdrzd229617zd2_5111;
																																																																																BgL_zc3anonymousza34396ze3z83_5156:
																																																																																	if (NULLP(BgL_l1412z00_5155))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			BgL_testz00_18910
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				1);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			bool_t
																																																																																				BgL_testz00_18913;
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				bool_t
																																																																																					BgL_testz00_18914;
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					obj_t
																																																																																						BgL_tmpz00_18915;
																																																																																					BgL_tmpz00_18915
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_l1412z00_5155);
																																																																																					BgL_testz00_18914
																																																																																						=
																																																																																						PAIRP
																																																																																						(BgL_tmpz00_18915);
																																																																																				}
																																																																																				if (BgL_testz00_18914)
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						BgL_testz00_18913
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							0);
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						BgL_testz00_18913
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							1);
																																																																																					}
																																																																																			}
																																																																																			if (BgL_testz00_18913)
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_l1412z00_18918;
																																																																																					BgL_l1412z00_18918
																																																																																						=
																																																																																						CDR
																																																																																						(BgL_l1412z00_5155);
																																																																																					BgL_l1412z00_5155
																																																																																						=
																																																																																						BgL_l1412z00_18918;
																																																																																					goto
																																																																																						BgL_zc3anonymousza34396ze3z83_5156;
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					BgL_testz00_18910
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						0);
																																																																																				}
																																																																																		}
																																																																																}
																																																																																if (BgL_testz00_18910)
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		obj_t
																																																																																			BgL_arg4386z00_5138;
																																																																																		BgL_arg4386z00_5138
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd229622zd2_5112);
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_18921;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_18925;
																																																																																				obj_t
																																																																																					BgL_proc2z00_18924;
																																																																																				obj_t
																																																																																					BgL_proc1z00_18923;
																																																																																				obj_t
																																																																																					BgL_testz00_18922;
																																																																																				BgL_testz00_18922
																																																																																					=
																																																																																					BgL_arg4386z00_5138;
																																																																																				BgL_proc1z00_18923
																																																																																					=
																																																																																					BgL_carzd229631zd2_5118;
																																																																																				BgL_proc2z00_18924
																																																																																					=
																																																																																					BgL_carzd229637zd2_5122;
																																																																																				BgL_argsz00_18925
																																																																																					=
																																																																																					BgL_cdrzd229617zd2_5111;
																																																																																				BgL_argsz00_1676
																																																																																					=
																																																																																					BgL_argsz00_18925;
																																																																																				BgL_proc2z00_1675
																																																																																					=
																																																																																					BgL_proc2z00_18924;
																																																																																				BgL_proc1z00_1674
																																																																																					=
																																																																																					BgL_proc1z00_18923;
																																																																																				BgL_testz00_1673
																																																																																					=
																																																																																					BgL_testz00_18922;
																																																																																				goto
																																																																																					BgL_tagzd2387zd2_1677;
																																																																																			}
																																																																																			BgL_auxz00_18539
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_18921);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		obj_t
																																																																																			BgL_cdrzd229662zd2_5139;
																																																																																		BgL_cdrzd229662zd2_5139
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_expz00_21);
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			obj_t
																																																																																				BgL_cdrzd229670zd2_5140;
																																																																																			BgL_cdrzd229670zd2_5140
																																																																																				=
																																																																																				CDR
																																																																																				(CAR
																																																																																				(BgL_expz00_21));
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				obj_t
																																																																																					BgL_cdrzd229678zd2_5141;
																																																																																				BgL_cdrzd229678zd2_5141
																																																																																					=
																																																																																					CDR
																																																																																					(BgL_cdrzd229670zd2_5140);
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					obj_t
																																																																																						BgL_carzd229685zd2_5142;
																																																																																					BgL_carzd229685zd2_5142
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_cdrzd229678zd2_5141);
																																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229685zd2_5142))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							obj_t
																																																																																								BgL_carzd229694zd2_5144;
																																																																																							BgL_carzd229694zd2_5144
																																																																																								=
																																																																																								CAR
																																																																																								(CDR
																																																																																								(BgL_cdrzd229678zd2_5141));
																																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229694zd2_5144))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd229662zd2_5139))
																																																																																										{	/* Ast/sexp.scm 117 */
																																																																																											obj_t
																																																																																												BgL_arg4390z00_5147;
																																																																																											BgL_arg4390z00_5147
																																																																																												=
																																																																																												CAR
																																																																																												(BgL_cdrzd229670zd2_5140);
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_18941;
																																																																																												{
																																																																																													obj_t
																																																																																														BgL_argsz00_18945;
																																																																																													obj_t
																																																																																														BgL_proc2z00_18944;
																																																																																													obj_t
																																																																																														BgL_proc1z00_18943;
																																																																																													obj_t
																																																																																														BgL_testz00_18942;
																																																																																													BgL_testz00_18942
																																																																																														=
																																																																																														BgL_arg4390z00_5147;
																																																																																													BgL_proc1z00_18943
																																																																																														=
																																																																																														BgL_carzd229685zd2_5142;
																																																																																													BgL_proc2z00_18944
																																																																																														=
																																																																																														BgL_carzd229694zd2_5144;
																																																																																													BgL_argsz00_18945
																																																																																														=
																																																																																														BgL_cdrzd229662zd2_5139;
																																																																																													BgL_argsz00_1681
																																																																																														=
																																																																																														BgL_argsz00_18945;
																																																																																													BgL_proc2z00_1680
																																																																																														=
																																																																																														BgL_proc2z00_18944;
																																																																																													BgL_proc1z00_1679
																																																																																														=
																																																																																														BgL_proc1z00_18943;
																																																																																													BgL_testz00_1678
																																																																																														=
																																																																																														BgL_testz00_18942;
																																																																																													goto
																																																																																														BgL_tagzd2388zd2_1682;
																																																																																												}
																																																																																												BgL_auxz00_18539
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_18941);
																																																																																											}
																																																																																										}
																																																																																									else
																																																																																										{	/* Ast/sexp.scm 117 */
																																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																												{	/* Ast/sexp.scm 117 */
																																																																																													goto
																																																																																														BgL_tagzd2403zd2_1706;
																																																																																												}
																																																																																											else
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_18949;
																																																																																													goto
																																																																																														BgL_tagzd2404zd2_1707;
																																																																																													BgL_auxz00_18539
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_18949);
																																																																																												}
																																																																																										}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 117 */
																																																																																											goto
																																																																																												BgL_tagzd2403zd2_1706;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_18953;
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1707;
																																																																																											BgL_auxz00_18539
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_18953);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1706;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_18957;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1707;
																																																																																									BgL_auxz00_18539
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_18957);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_18961;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_18539
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_18961);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_cdrzd229972zd2_5166;
																																																																														BgL_cdrzd229972zd2_5166
																																																																															=
																																																																															CDR
																																																																															(BgL_expz00_21);
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_cdrzd229979zd2_5167;
																																																																															BgL_cdrzd229979zd2_5167
																																																																																=
																																																																																CDR
																																																																																(CAR
																																																																																(BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_cdrzd229986zd2_5168;
																																																																																BgL_cdrzd229986zd2_5168
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_cdrzd229979zd2_5167);
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_carzd229992zd2_5169;
																																																																																	obj_t
																																																																																		BgL_cdrzd229993zd2_5170;
																																																																																	BgL_carzd229992zd2_5169
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd229986zd2_5168);
																																																																																	BgL_cdrzd229993zd2_5170
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_cdrzd229986zd2_5168);
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd229992zd2_5169))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			obj_t
																																																																																				BgL_carzd230000zd2_5172;
																																																																																			BgL_carzd230000zd2_5172
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd229993zd2_5170);
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd230000zd2_5172))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (NULLP(CDR(BgL_cdrzd229993zd2_5170)))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd229972zd2_5166))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									obj_t
																																																																																										BgL_arg4405z00_5177;
																																																																																									BgL_arg4405z00_5177
																																																																																										=
																																																																																										CAR
																																																																																										(BgL_cdrzd229979zd2_5167);
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_18980;
																																																																																										{
																																																																																											obj_t
																																																																																												BgL_argsz00_18984;
																																																																																											obj_t
																																																																																												BgL_proc2z00_18983;
																																																																																											obj_t
																																																																																												BgL_proc1z00_18982;
																																																																																											obj_t
																																																																																												BgL_testz00_18981;
																																																																																											BgL_testz00_18981
																																																																																												=
																																																																																												BgL_arg4405z00_5177;
																																																																																											BgL_proc1z00_18982
																																																																																												=
																																																																																												BgL_carzd229992zd2_5169;
																																																																																											BgL_proc2z00_18983
																																																																																												=
																																																																																												BgL_carzd230000zd2_5172;
																																																																																											BgL_argsz00_18984
																																																																																												=
																																																																																												BgL_cdrzd229972zd2_5166;
																																																																																											BgL_argsz00_1681
																																																																																												=
																																																																																												BgL_argsz00_18984;
																																																																																											BgL_proc2z00_1680
																																																																																												=
																																																																																												BgL_proc2z00_18983;
																																																																																											BgL_proc1z00_1679
																																																																																												=
																																																																																												BgL_proc1z00_18982;
																																																																																											BgL_testz00_1678
																																																																																												=
																																																																																												BgL_testz00_18981;
																																																																																											goto
																																																																																												BgL_tagzd2388zd2_1682;
																																																																																										}
																																																																																										BgL_auxz00_18539
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_18980);
																																																																																									}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 117 */
																																																																																											goto
																																																																																												BgL_tagzd2403zd2_1706;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_18988;
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1707;
																																																																																											BgL_auxz00_18539
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_18988);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1706;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_18992;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1707;
																																																																																									BgL_auxz00_18539
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_18992);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1706;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_18996;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1707;
																																																																																							BgL_auxz00_18539
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_18996);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1706;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_19000;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1707;
																																																																																					BgL_auxz00_18539
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_19000);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_19004;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_18539
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_19004);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_cdrzd230333zd2_5185;
																																																																										BgL_cdrzd230333zd2_5185
																																																																											=
																																																																											CDR
																																																																											(BgL_expz00_21);
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_cdrzd230339zd2_5186;
																																																																											BgL_cdrzd230339zd2_5186
																																																																												=
																																																																												CDR
																																																																												(CAR
																																																																												(BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_cdrzd230345zd2_5187;
																																																																												BgL_cdrzd230345zd2_5187
																																																																													=
																																																																													CDR
																																																																													(BgL_cdrzd230339zd2_5186);
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_carzd230350zd2_5188;
																																																																													obj_t
																																																																														BgL_cdrzd230351zd2_5189;
																																																																													BgL_carzd230350zd2_5188
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd230345zd2_5187);
																																																																													BgL_cdrzd230351zd2_5189
																																																																														=
																																																																														CDR
																																																																														(BgL_cdrzd230345zd2_5187);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd230350zd2_5188))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (PAIRP(BgL_cdrzd230351zd2_5189))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_carzd230356zd2_5192;
																																																																																	BgL_carzd230356zd2_5192
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd230351zd2_5189);
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd230356zd2_5192))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (NULLP(CDR(BgL_cdrzd230351zd2_5189)))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd230333zd2_5185))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							obj_t
																																																																																								BgL_arg4419z00_5197;
																																																																																							BgL_arg4419z00_5197
																																																																																								=
																																																																																								CAR
																																																																																								(BgL_cdrzd230339zd2_5186);
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_19025;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_19029;
																																																																																									obj_t
																																																																																										BgL_proc2z00_19028;
																																																																																									obj_t
																																																																																										BgL_proc1z00_19027;
																																																																																									obj_t
																																																																																										BgL_testz00_19026;
																																																																																									BgL_testz00_19026
																																																																																										=
																																																																																										BgL_arg4419z00_5197;
																																																																																									BgL_proc1z00_19027
																																																																																										=
																																																																																										BgL_carzd230350zd2_5188;
																																																																																									BgL_proc2z00_19028
																																																																																										=
																																																																																										BgL_carzd230356zd2_5192;
																																																																																									BgL_argsz00_19029
																																																																																										=
																																																																																										BgL_cdrzd230333zd2_5185;
																																																																																									BgL_argsz00_1681
																																																																																										=
																																																																																										BgL_argsz00_19029;
																																																																																									BgL_proc2z00_1680
																																																																																										=
																																																																																										BgL_proc2z00_19028;
																																																																																									BgL_proc1z00_1679
																																																																																										=
																																																																																										BgL_proc1z00_19027;
																																																																																									BgL_testz00_1678
																																																																																										=
																																																																																										BgL_testz00_19026;
																																																																																									goto
																																																																																										BgL_tagzd2388zd2_1682;
																																																																																								}
																																																																																								BgL_auxz00_18539
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_19025);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1706;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_19033;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1707;
																																																																																									BgL_auxz00_18539
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_19033);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1706;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_19037;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1707;
																																																																																							BgL_auxz00_18539
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_19037);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1706;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_19041;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1707;
																																																																																					BgL_auxz00_18539
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_19041);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_19045;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_18539
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_19045);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_19049;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_18539
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_19049);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_19053;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_18539
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_19053);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_19057;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_18539
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_19057);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_19061;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_18539
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_19061);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																														}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 117 */
																																															if ((BgL_carzd227881zd2_5087 == CNST_TABLE_REF(((long) 18))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_19066;
																																																	goto
																																																		BgL_tagzd2382zd2_1662;
																																																	BgL_auxz00_18539
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_19066);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 117 */
																																																	if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd227881zd2_5087)))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_19071;
																																																			goto
																																																				BgL_tagzd2382zd2_1662;
																																																			BgL_auxz00_18539
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_19071);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 117 */
																																																			if ((BgL_carzd227881zd2_5087 == CNST_TABLE_REF(((long) 19))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_19076;
																																																					goto
																																																						BgL_tagzd2382zd2_1662;
																																																					BgL_auxz00_18539
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_19076);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_19082;
																																																							goto
																																																								BgL_tagzd2383zd2_1663;
																																																							BgL_auxz00_18539
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_19082);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_carzd230918zd2_5357;
																																																							BgL_carzd230918zd2_5357
																																																								=
																																																								CAR
																																																								(BgL_expz00_21);
																																																							if ((BgL_carzd230918zd2_5357 == CNST_TABLE_REF(((long) 20))))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_19088;
																																																									goto
																																																										BgL_tagzd2384zd2_1664;
																																																									BgL_auxz00_18539
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_19088);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd230918zd2_5357)))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_19093;
																																																											goto
																																																												BgL_tagzd2384zd2_1664;
																																																											BgL_auxz00_18539
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_19093);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_19099;
																																																													goto
																																																														BgL_tagzd2389zd2_1683;
																																																													BgL_auxz00_18539
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_19099);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_19105;
																																																															goto
																																																																BgL_tagzd2390zd2_1684;
																																																															BgL_auxz00_18539
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_19105);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd230998zd2_5364;
																																																															BgL_cdrzd230998zd2_5364
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_arg4541z00_5367;
																																																																	obj_t
																																																																		BgL_arg4542z00_5368;
																																																																	BgL_arg4541z00_5367
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd230998zd2_5364);
																																																																	BgL_arg4542z00_5368
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd230998zd2_5364);
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_19114;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_19116;
																																																																			obj_t
																																																																				BgL_effectz00_19115;
																																																																			BgL_effectz00_19115
																																																																				=
																																																																				BgL_arg4541z00_5367;
																																																																			BgL_restz00_19116
																																																																				=
																																																																				BgL_arg4542z00_5368;
																																																																			BgL_restz00_1686
																																																																				=
																																																																				BgL_restz00_19116;
																																																																			BgL_effectz00_1685
																																																																				=
																																																																				BgL_effectz00_19115;
																																																																			goto
																																																																				BgL_tagzd2391zd2_1687;
																																																																		}
																																																																		BgL_auxz00_18539
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_19114);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_19122;
																																																																			goto
																																																																				BgL_tagzd2392zd2_1688;
																																																																			BgL_auxz00_18539
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_19122);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_19128;
																																																																					goto
																																																																						BgL_tagzd2393zd2_1689;
																																																																					BgL_auxz00_18539
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_19128);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_arg4549z00_5376;
																																																																							obj_t
																																																																								BgL_arg4550z00_5377;
																																																																							BgL_arg4549z00_5376
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd230998zd2_5364);
																																																																							BgL_arg4550z00_5377
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd230998zd2_5364);
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_19136;
																																																																								{
																																																																									obj_t
																																																																										BgL_restz00_19138;
																																																																									obj_t
																																																																										BgL_effectz00_19137;
																																																																									BgL_effectz00_19137
																																																																										=
																																																																										BgL_arg4549z00_5376;
																																																																									BgL_restz00_19138
																																																																										=
																																																																										BgL_arg4550z00_5377;
																																																																									BgL_restz00_1691
																																																																										=
																																																																										BgL_restz00_19138;
																																																																									BgL_effectz00_1690
																																																																										=
																																																																										BgL_effectz00_19137;
																																																																									goto
																																																																										BgL_tagzd2394zd2_1692;
																																																																								}
																																																																								BgL_auxz00_18539
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_19136);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_19144;
																																																																									goto
																																																																										BgL_tagzd2395zd2_1693;
																																																																									BgL_auxz00_18539
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_19144);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_19150;
																																																																											goto
																																																																												BgL_tagzd2396zd2_1694;
																																																																											BgL_auxz00_18539
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_19150);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																																												{
																																																																													BgL_letzd2funzd2_bglt
																																																																														BgL_auxz00_19156;
																																																																													goto
																																																																														BgL_tagzd2397zd2_1695;
																																																																													BgL_auxz00_18539
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19156);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																																														{
																																																																															BgL_jumpzd2exzd2itz00_bglt
																																																																																BgL_auxz00_19162;
																																																																															goto
																																																																																BgL_tagzd2398zd2_1696;
																																																																															BgL_auxz00_18539
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19162);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_cdrzd231075zd2_5386;
																																																																															BgL_cdrzd231075zd2_5386
																																																																																=
																																																																																CDR
																																																																																(BgL_expz00_21);
																																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_arg4561z00_5389;
																																																																																	obj_t
																																																																																		BgL_arg4562z00_5390;
																																																																																	BgL_arg4561z00_5389
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd231075zd2_5386);
																																																																																	BgL_arg4562z00_5390
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_cdrzd231075zd2_5386);
																																																																																	{	/* Ast/sexp.scm 538 */
																																																																																		obj_t
																																																																																			BgL_arg6415z00_10653;
																																																																																		BgL_arg6415z00_10653
																																																																																			=
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_locz00_23);
																																																																																		BgL_auxz00_18539
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																			(BgL_expz00_21,
																																																																																				BgL_arg4561z00_5389,
																																																																																				CNST_TABLE_REF
																																																																																				(((long) 4)), BgL_arg4562z00_5390, BgL_stackz00_22, BgL_arg6415z00_10653, BgL_sitez00_24));
																																																																																}}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_19177;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_18539
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_19177);
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 117 */
																																			obj_t
																																				BgL_carzd231098zd2_5407;
																																			BgL_carzd231098zd2_5407
																																				=
																																				CAR
																																				(BgL_expz00_21);
																																			if (
																																				(BgL_carzd231098zd2_5407
																																					==
																																					CNST_TABLE_REF
																																					(((long) 1))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_19183;
																																					goto
																																						BgL_tagzd2377zd2_1653;
																																					BgL_auxz00_18539
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_19183);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 117 */
																																					if (
																																						(BgL_carzd231098zd2_5407
																																							==
																																							BGl_za2ifza2z00zzast_sexpz00))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_19187;
																																							goto
																																								BgL_tagzd2377zd2_1653;
																																							BgL_auxz00_18539
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_19187);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 117 */
																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 7))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_19193;
																																									goto
																																										BgL_tagzd2379zd2_1657;
																																									BgL_auxz00_18539
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_19193);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 117 */
																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 17))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_19199;
																																											goto
																																												BgL_tagzd2380zd2_1658;
																																											BgL_auxz00_18539
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_19199);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 117 */
																																											obj_t
																																												BgL_carzd231159zd2_5414;
																																											BgL_carzd231159zd2_5414
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											if (PAIRP(BgL_carzd231159zd2_5414))
																																												{	/* Ast/sexp.scm 117 */
																																													obj_t
																																														BgL_carzd231162zd2_5416;
																																													obj_t
																																														BgL_cdrzd231163zd2_5417;
																																													BgL_carzd231162zd2_5416
																																														=
																																														CAR
																																														(BgL_carzd231159zd2_5414);
																																													BgL_cdrzd231163zd2_5417
																																														=
																																														CDR
																																														(BgL_carzd231159zd2_5414);
																																													{

																																														if ((BgL_carzd231162zd2_5416 == CNST_TABLE_REF(((long) 18))))
																																															{	/* Ast/sexp.scm 117 */
																																															BgL_kapzd231164zd2_5418:
																																																if (PAIRP(BgL_cdrzd231163zd2_5417))
																																																	{	/* Ast/sexp.scm 117 */
																																																		obj_t
																																																			BgL_cdrzd231167zd2_5540;
																																																		BgL_cdrzd231167zd2_5540
																																																			=
																																																			CDR
																																																			(BgL_cdrzd231163zd2_5417);
																																																		if (PAIRP(BgL_cdrzd231167zd2_5540))
																																																			{	/* Ast/sexp.scm 117 */
																																																				if (NULLP(CDR(BgL_cdrzd231167zd2_5540)))
																																																					{	/* Ast/sexp.scm 117 */
																																																						obj_t
																																																							BgL_arg4667z00_5544;
																																																						obj_t
																																																							BgL_arg4668z00_5545;
																																																						BgL_arg4667z00_5544
																																																							=
																																																							CAR
																																																							(BgL_cdrzd231167zd2_5540);
																																																						BgL_arg4668z00_5545
																																																							=
																																																							CDR
																																																							(BgL_expz00_21);
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_19219;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_19221;
																																																								obj_t
																																																									BgL_bodyz00_19220;
																																																								BgL_bodyz00_19220
																																																									=
																																																									BgL_arg4667z00_5544;
																																																								BgL_argsz00_19221
																																																									=
																																																									BgL_arg4668z00_5545;
																																																								BgL_argsz00_1660
																																																									=
																																																									BgL_argsz00_19221;
																																																								BgL_bodyz00_1659
																																																									=
																																																									BgL_bodyz00_19220;
																																																								goto
																																																									BgL_tagzd2381zd2_1661;
																																																							}
																																																							BgL_auxz00_18539
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_19219);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						bool_t
																																																							BgL_testz00_19223;
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_arg4735z00_5654;
																																																							BgL_arg4735z00_5654
																																																								=
																																																								CAR
																																																								(BgL_expz00_21);
																																																							BgL_testz00_19223
																																																								=
																																																								CBOOL
																																																								(BGl_letzd2symzf3z21zzast_letz00
																																																								(BgL_arg4735z00_5654));
																																																						}
																																																						if (BgL_testz00_19223)
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_19227;
																																																								goto
																																																									BgL_tagzd2382zd2_1662;
																																																								BgL_auxz00_18539
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_19227);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								bool_t
																																																									BgL_testz00_19229;
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_arg4734z00_5653;
																																																									BgL_arg4734z00_5653
																																																										=
																																																										CAR
																																																										(BgL_expz00_21);
																																																									BgL_testz00_19229
																																																										=
																																																										CBOOL
																																																										(BGl_labelszd2symzf3z21zzast_labelsz00
																																																										(BgL_arg4734z00_5653));
																																																								}
																																																								if (BgL_testz00_19229)
																																																									{
																																																										BgL_letzd2funzd2_bglt
																																																											BgL_auxz00_19233;
																																																										goto
																																																											BgL_tagzd2384zd2_1664;
																																																										BgL_auxz00_18539
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_19233);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 117 */
																																																										obj_t
																																																											BgL_carzd231245zd2_5550;
																																																										BgL_carzd231245zd2_5550
																																																											=
																																																											CAR
																																																											(BgL_expz00_21);
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd231250zd2_5551;
																																																											BgL_cdrzd231250zd2_5551
																																																												=
																																																												CDR
																																																												(BgL_carzd231245zd2_5550);
																																																											if ((CAR(BgL_carzd231245zd2_5550) == CNST_TABLE_REF(((long) 3))))
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_arg4675z00_5554;
																																																													obj_t
																																																														BgL_arg4676z00_5555;
																																																													obj_t
																																																														BgL_arg4677z00_5556;
																																																													BgL_arg4675z00_5554
																																																														=
																																																														CAR
																																																														(BgL_cdrzd231250zd2_5551);
																																																													BgL_arg4676z00_5555
																																																														=
																																																														CDR
																																																														(BgL_cdrzd231250zd2_5551);
																																																													BgL_arg4677z00_5556
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_19244;
																																																														{
																																																															obj_t
																																																																BgL_argsz00_19247;
																																																															obj_t
																																																																BgL_bodyz00_19246;
																																																															obj_t
																																																																BgL_varsz00_19245;
																																																															BgL_varsz00_19245
																																																																=
																																																																BgL_arg4675z00_5554;
																																																															BgL_bodyz00_19246
																																																																=
																																																																BgL_arg4676z00_5555;
																																																															BgL_argsz00_19247
																																																																=
																																																																BgL_arg4677z00_5556;
																																																															BgL_argsz00_1671
																																																																=
																																																																BgL_argsz00_19247;
																																																															BgL_bodyz00_1670
																																																																=
																																																																BgL_bodyz00_19246;
																																																															BgL_varsz00_1669
																																																																=
																																																																BgL_varsz00_19245;
																																																															goto
																																																																BgL_tagzd2386zd2_1672;
																																																														}
																																																														BgL_auxz00_18539
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_19244);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd231273zd2_5558;
																																																													BgL_cdrzd231273zd2_5558
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_cdrzd231279zd2_5559;
																																																														BgL_cdrzd231279zd2_5559
																																																															=
																																																															CDR
																																																															(BgL_carzd231245zd2_5550);
																																																														if ((CAR(BgL_carzd231245zd2_5550) == CNST_TABLE_REF(((long) 1))))
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_cdrzd231285zd2_5562;
																																																																BgL_cdrzd231285zd2_5562
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd231279zd2_5559);
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_carzd231290zd2_5563;
																																																																	obj_t
																																																																		BgL_cdrzd231291zd2_5564;
																																																																	BgL_carzd231290zd2_5563
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd231285zd2_5562);
																																																																	BgL_cdrzd231291zd2_5564
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd231285zd2_5562);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231290zd2_5563))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (PAIRP(BgL_cdrzd231291zd2_5564))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_carzd231298zd2_5567;
																																																																					BgL_carzd231298zd2_5567
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd231291zd2_5564);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231298zd2_5567))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (NULLP(CDR(BgL_cdrzd231291zd2_5564)))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									bool_t
																																																																										BgL_testz00_19268;
																																																																									{
																																																																										obj_t
																																																																											BgL_l1415z00_5600;
																																																																										BgL_l1415z00_5600
																																																																											=
																																																																											BgL_cdrzd231273zd2_5558;
																																																																									BgL_zc3anonymousza34700ze3z83_5601:
																																																																										if (NULLP(BgL_l1415z00_5600))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												BgL_testz00_19268
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												bool_t
																																																																													BgL_testz00_19271;
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													bool_t
																																																																														BgL_testz00_19272;
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_tmpz00_19273;
																																																																														BgL_tmpz00_19273
																																																																															=
																																																																															CAR
																																																																															(BgL_l1415z00_5600);
																																																																														BgL_testz00_19272
																																																																															=
																																																																															PAIRP
																																																																															(BgL_tmpz00_19273);
																																																																													}
																																																																													if (BgL_testz00_19272)
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															BgL_testz00_19271
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															BgL_testz00_19271
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																												}
																																																																												if (BgL_testz00_19271)
																																																																													{
																																																																														obj_t
																																																																															BgL_l1415z00_19276;
																																																																														BgL_l1415z00_19276
																																																																															=
																																																																															CDR
																																																																															(BgL_l1415z00_5600);
																																																																														BgL_l1415z00_5600
																																																																															=
																																																																															BgL_l1415z00_19276;
																																																																														goto
																																																																															BgL_zc3anonymousza34700ze3z83_5601;
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														BgL_testz00_19268
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																											}
																																																																									}
																																																																									if (BgL_testz00_19268)
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_arg4690z00_5583;
																																																																											BgL_arg4690z00_5583
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd231279zd2_5559);
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_19279;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_19283;
																																																																													obj_t
																																																																														BgL_proc2z00_19282;
																																																																													obj_t
																																																																														BgL_proc1z00_19281;
																																																																													obj_t
																																																																														BgL_testz00_19280;
																																																																													BgL_testz00_19280
																																																																														=
																																																																														BgL_arg4690z00_5583;
																																																																													BgL_proc1z00_19281
																																																																														=
																																																																														BgL_carzd231290zd2_5563;
																																																																													BgL_proc2z00_19282
																																																																														=
																																																																														BgL_carzd231298zd2_5567;
																																																																													BgL_argsz00_19283
																																																																														=
																																																																														BgL_cdrzd231273zd2_5558;
																																																																													BgL_argsz00_1676
																																																																														=
																																																																														BgL_argsz00_19283;
																																																																													BgL_proc2z00_1675
																																																																														=
																																																																														BgL_proc2z00_19282;
																																																																													BgL_proc1z00_1674
																																																																														=
																																																																														BgL_proc1z00_19281;
																																																																													BgL_testz00_1673
																																																																														=
																																																																														BgL_testz00_19280;
																																																																													goto
																																																																														BgL_tagzd2387zd2_1677;
																																																																												}
																																																																												BgL_auxz00_18539
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_19279);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_cdrzd231322zd2_5584;
																																																																											BgL_cdrzd231322zd2_5584
																																																																												=
																																																																												CDR
																																																																												(BgL_expz00_21);
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_cdrzd231329zd2_5585;
																																																																												BgL_cdrzd231329zd2_5585
																																																																													=
																																																																													CDR
																																																																													(CAR
																																																																													(BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_cdrzd231336zd2_5586;
																																																																													BgL_cdrzd231336zd2_5586
																																																																														=
																																																																														CDR
																																																																														(BgL_cdrzd231329zd2_5585);
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_carzd231342zd2_5587;
																																																																														BgL_carzd231342zd2_5587
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd231336zd2_5586);
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231342zd2_5587))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_carzd231349zd2_5589;
																																																																																BgL_carzd231349zd2_5589
																																																																																	=
																																																																																	CAR
																																																																																	(CDR
																																																																																	(BgL_cdrzd231336zd2_5586));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231349zd2_5589))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd231322zd2_5584))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				obj_t
																																																																																					BgL_arg4694z00_5592;
																																																																																				BgL_arg4694z00_5592
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_cdrzd231329zd2_5585);
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_19299;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_19303;
																																																																																						obj_t
																																																																																							BgL_proc2z00_19302;
																																																																																						obj_t
																																																																																							BgL_proc1z00_19301;
																																																																																						obj_t
																																																																																							BgL_testz00_19300;
																																																																																						BgL_testz00_19300
																																																																																							=
																																																																																							BgL_arg4694z00_5592;
																																																																																						BgL_proc1z00_19301
																																																																																							=
																																																																																							BgL_carzd231342zd2_5587;
																																																																																						BgL_proc2z00_19302
																																																																																							=
																																																																																							BgL_carzd231349zd2_5589;
																																																																																						BgL_argsz00_19303
																																																																																							=
																																																																																							BgL_cdrzd231322zd2_5584;
																																																																																						BgL_argsz00_1681
																																																																																							=
																																																																																							BgL_argsz00_19303;
																																																																																						BgL_proc2z00_1680
																																																																																							=
																																																																																							BgL_proc2z00_19302;
																																																																																						BgL_proc1z00_1679
																																																																																							=
																																																																																							BgL_proc1z00_19301;
																																																																																						BgL_testz00_1678
																																																																																							=
																																																																																							BgL_testz00_19300;
																																																																																						goto
																																																																																							BgL_tagzd2388zd2_1682;
																																																																																					}
																																																																																					BgL_auxz00_18539
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_19299);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 117 */
																																																																																						goto
																																																																																							BgL_tagzd2403zd2_1706;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_19307;
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1707;
																																																																																						BgL_auxz00_18539
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_19307);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1706;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_19311;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1707;
																																																																																				BgL_auxz00_18539
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_19311);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_19315;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_18539
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_19315);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1706;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_19319;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1707;
																																																																											BgL_auxz00_18539
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_19319);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd231625zd2_5611;
																																																																							BgL_cdrzd231625zd2_5611
																																																																								=
																																																																								CDR
																																																																								(BgL_expz00_21);
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_cdrzd231631zd2_5612;
																																																																								BgL_cdrzd231631zd2_5612
																																																																									=
																																																																									CDR
																																																																									(CAR
																																																																									(BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd231637zd2_5613;
																																																																									BgL_cdrzd231637zd2_5613
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd231631zd2_5612);
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_carzd231642zd2_5614;
																																																																										obj_t
																																																																											BgL_cdrzd231643zd2_5615;
																																																																										BgL_carzd231642zd2_5614
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd231637zd2_5613);
																																																																										BgL_cdrzd231643zd2_5615
																																																																											=
																																																																											CDR
																																																																											(BgL_cdrzd231637zd2_5613);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231642zd2_5614))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_carzd231648zd2_5617;
																																																																												BgL_carzd231648zd2_5617
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd231643zd2_5615);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231648zd2_5617))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (NULLP(CDR(BgL_cdrzd231643zd2_5615)))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd231625zd2_5611))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		obj_t
																																																																																			BgL_arg4709z00_5622;
																																																																																		BgL_arg4709z00_5622
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd231631zd2_5612);
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_19338;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_19342;
																																																																																				obj_t
																																																																																					BgL_proc2z00_19341;
																																																																																				obj_t
																																																																																					BgL_proc1z00_19340;
																																																																																				obj_t
																																																																																					BgL_testz00_19339;
																																																																																				BgL_testz00_19339
																																																																																					=
																																																																																					BgL_arg4709z00_5622;
																																																																																				BgL_proc1z00_19340
																																																																																					=
																																																																																					BgL_carzd231642zd2_5614;
																																																																																				BgL_proc2z00_19341
																																																																																					=
																																																																																					BgL_carzd231648zd2_5617;
																																																																																				BgL_argsz00_19342
																																																																																					=
																																																																																					BgL_cdrzd231625zd2_5611;
																																																																																				BgL_argsz00_1681
																																																																																					=
																																																																																					BgL_argsz00_19342;
																																																																																				BgL_proc2z00_1680
																																																																																					=
																																																																																					BgL_proc2z00_19341;
																																																																																				BgL_proc1z00_1679
																																																																																					=
																																																																																					BgL_proc1z00_19340;
																																																																																				BgL_testz00_1678
																																																																																					=
																																																																																					BgL_testz00_19339;
																																																																																				goto
																																																																																					BgL_tagzd2388zd2_1682;
																																																																																			}
																																																																																			BgL_auxz00_18539
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_19338);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1706;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_19346;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1707;
																																																																																				BgL_auxz00_18539
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_19346);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_19350;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_18539
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_19350);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_19354;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_18539
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_19354);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_19358;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_18539
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_19358);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1706;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_19362;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1707;
																																																																							BgL_auxz00_18539
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_19362);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd231981zd2_5630;
																																																																			BgL_cdrzd231981zd2_5630
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_cdrzd231988zd2_5631;
																																																																				BgL_cdrzd231988zd2_5631
																																																																					=
																																																																					CDR
																																																																					(CAR
																																																																					(BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd231995zd2_5632;
																																																																					BgL_cdrzd231995zd2_5632
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd231988zd2_5631);
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_carzd232001zd2_5633;
																																																																						obj_t
																																																																							BgL_cdrzd232002zd2_5634;
																																																																						BgL_carzd232001zd2_5633
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd231995zd2_5632);
																																																																						BgL_cdrzd232002zd2_5634
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd231995zd2_5632);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232001zd2_5633))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (PAIRP(BgL_cdrzd232002zd2_5634))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_carzd232009zd2_5637;
																																																																										BgL_carzd232009zd2_5637
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd232002zd2_5634);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232009zd2_5637))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (NULLP(CDR(BgL_cdrzd232002zd2_5634)))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd231981zd2_5630))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_arg4723z00_5642;
																																																																																BgL_arg4723z00_5642
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd231988zd2_5631);
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_19383;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_19387;
																																																																																		obj_t
																																																																																			BgL_proc2z00_19386;
																																																																																		obj_t
																																																																																			BgL_proc1z00_19385;
																																																																																		obj_t
																																																																																			BgL_testz00_19384;
																																																																																		BgL_testz00_19384
																																																																																			=
																																																																																			BgL_arg4723z00_5642;
																																																																																		BgL_proc1z00_19385
																																																																																			=
																																																																																			BgL_carzd232001zd2_5633;
																																																																																		BgL_proc2z00_19386
																																																																																			=
																																																																																			BgL_carzd232009zd2_5637;
																																																																																		BgL_argsz00_19387
																																																																																			=
																																																																																			BgL_cdrzd231981zd2_5630;
																																																																																		BgL_argsz00_1681
																																																																																			=
																																																																																			BgL_argsz00_19387;
																																																																																		BgL_proc2z00_1680
																																																																																			=
																																																																																			BgL_proc2z00_19386;
																																																																																		BgL_proc1z00_1679
																																																																																			=
																																																																																			BgL_proc1z00_19385;
																																																																																		BgL_testz00_1678
																																																																																			=
																																																																																			BgL_testz00_19384;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1682;
																																																																																	}
																																																																																	BgL_auxz00_18539
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_19383);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_19391;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_18539
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_19391);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_19395;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_18539
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_19395);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_19399;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_18539
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_19399);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_19403;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_18539
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_19403);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_19407;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_18539
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_19407);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1706;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_19411;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1707;
																																																																		BgL_auxz00_18539
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_19411);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																										}
																																																									}
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				bool_t
																																																					BgL_testz00_19413;
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_arg4749z00_5670;
																																																					BgL_arg4749z00_5670
																																																						=
																																																						CAR
																																																						(BgL_expz00_21);
																																																					BgL_testz00_19413
																																																						=
																																																						CBOOL
																																																						(BGl_letzd2symzf3z21zzast_letz00
																																																						(BgL_arg4749z00_5670));
																																																				}
																																																				if (BgL_testz00_19413)
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_19417;
																																																						goto
																																																							BgL_tagzd2382zd2_1662;
																																																						BgL_auxz00_18539
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_19417);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						bool_t
																																																							BgL_testz00_19419;
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_arg4748z00_5669;
																																																							BgL_arg4748z00_5669
																																																								=
																																																								CAR
																																																								(BgL_expz00_21);
																																																							BgL_testz00_19419
																																																								=
																																																								CBOOL
																																																								(BGl_labelszd2symzf3z21zzast_labelsz00
																																																								(BgL_arg4748z00_5669));
																																																						}
																																																						if (BgL_testz00_19419)
																																																							{
																																																								BgL_letzd2funzd2_bglt
																																																									BgL_auxz00_19423;
																																																								goto
																																																									BgL_tagzd2384zd2_1664;
																																																								BgL_auxz00_18539
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_19423);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								obj_t
																																																									BgL_carzd232455zd2_5660;
																																																								BgL_carzd232455zd2_5660
																																																									=
																																																									CAR
																																																									(BgL_expz00_21);
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_cdrzd232460zd2_5661;
																																																									BgL_cdrzd232460zd2_5661
																																																										=
																																																										CDR
																																																										(BgL_carzd232455zd2_5660);
																																																									if ((CAR(BgL_carzd232455zd2_5660) == CNST_TABLE_REF(((long) 3))))
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_arg4743z00_5664;
																																																											obj_t
																																																												BgL_arg4744z00_5665;
																																																											obj_t
																																																												BgL_arg4745z00_5666;
																																																											BgL_arg4743z00_5664
																																																												=
																																																												CAR
																																																												(BgL_cdrzd232460zd2_5661);
																																																											BgL_arg4744z00_5665
																																																												=
																																																												CDR
																																																												(BgL_cdrzd232460zd2_5661);
																																																											BgL_arg4745z00_5666
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_19434;
																																																												{
																																																													obj_t
																																																														BgL_argsz00_19437;
																																																													obj_t
																																																														BgL_bodyz00_19436;
																																																													obj_t
																																																														BgL_varsz00_19435;
																																																													BgL_varsz00_19435
																																																														=
																																																														BgL_arg4743z00_5664;
																																																													BgL_bodyz00_19436
																																																														=
																																																														BgL_arg4744z00_5665;
																																																													BgL_argsz00_19437
																																																														=
																																																														BgL_arg4745z00_5666;
																																																													BgL_argsz00_1671
																																																														=
																																																														BgL_argsz00_19437;
																																																													BgL_bodyz00_1670
																																																														=
																																																														BgL_bodyz00_19436;
																																																													BgL_varsz00_1669
																																																														=
																																																														BgL_varsz00_19435;
																																																													goto
																																																														BgL_tagzd2386zd2_1672;
																																																												}
																																																												BgL_auxz00_18539
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_19434);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 117 */
																																																													goto
																																																														BgL_tagzd2403zd2_1706;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_19441;
																																																													goto
																																																														BgL_tagzd2404zd2_1707;
																																																													BgL_auxz00_18539
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_19441);
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		bool_t
																																																			BgL_testz00_19443;
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_arg4756z00_5677;
																																																			BgL_arg4756z00_5677
																																																				=
																																																				CAR
																																																				(BgL_expz00_21);
																																																			BgL_testz00_19443
																																																				=
																																																				CBOOL
																																																				(BGl_letzd2symzf3z21zzast_letz00
																																																				(BgL_arg4756z00_5677));
																																																		}
																																																		if (BgL_testz00_19443)
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_19447;
																																																				goto
																																																					BgL_tagzd2382zd2_1662;
																																																				BgL_auxz00_18539
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_19447);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				bool_t
																																																					BgL_testz00_19449;
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_arg4755z00_5676;
																																																					BgL_arg4755z00_5676
																																																						=
																																																						CAR
																																																						(BgL_expz00_21);
																																																					BgL_testz00_19449
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg4755z00_5676));
																																																				}
																																																				if (BgL_testz00_19449)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_19453;
																																																						goto
																																																							BgL_tagzd2384zd2_1664;
																																																						BgL_auxz00_18539
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_19453);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 117 */
																																																								goto
																																																									BgL_tagzd2403zd2_1706;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_19457;
																																																								goto
																																																									BgL_tagzd2404zd2_1707;
																																																								BgL_auxz00_18539
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_19457);
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd231162zd2_5416)))
																																																	{	/* Ast/sexp.scm 117 */
																																																		goto
																																																			BgL_kapzd231164zd2_5418;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		if ((BgL_carzd231162zd2_5416 == CNST_TABLE_REF(((long) 19))))
																																																			{	/* Ast/sexp.scm 117 */
																																																				goto
																																																					BgL_kapzd231164zd2_5418;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				if ((BgL_carzd231162zd2_5416 == CNST_TABLE_REF(((long) 20))))
																																																					{	/* Ast/sexp.scm 117 */
																																																						goto
																																																							BgL_kapzd231164zd2_5418;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd231162zd2_5416)))
																																																							{	/* Ast/sexp.scm 117 */
																																																								goto
																																																									BgL_kapzd231164zd2_5418;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								bool_t
																																																									BgL_testz00_19471;
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_arg4662z00_5538;
																																																									BgL_arg4662z00_5538
																																																										=
																																																										CAR
																																																										(BgL_expz00_21);
																																																									BgL_testz00_19471
																																																										=
																																																										CBOOL
																																																										(BGl_letzd2symzf3z21zzast_letz00
																																																										(BgL_arg4662z00_5538));
																																																								}
																																																								if (BgL_testz00_19471)
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_19475;
																																																										goto
																																																											BgL_tagzd2382zd2_1662;
																																																										BgL_auxz00_18539
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_19475);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 117 */
																																																										bool_t
																																																											BgL_testz00_19477;
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_arg4661z00_5537;
																																																											BgL_arg4661z00_5537
																																																												=
																																																												CAR
																																																												(BgL_expz00_21);
																																																											BgL_testz00_19477
																																																												=
																																																												CBOOL
																																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																																												(BgL_arg4661z00_5537));
																																																										}
																																																										if (BgL_testz00_19477)
																																																											{
																																																												BgL_letzd2funzd2_bglt
																																																													BgL_auxz00_19481;
																																																												goto
																																																													BgL_tagzd2384zd2_1664;
																																																												BgL_auxz00_18539
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_19481);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 117 */
																																																												obj_t
																																																													BgL_carzd232783zd2_5428;
																																																												BgL_carzd232783zd2_5428
																																																													=
																																																													CAR
																																																													(BgL_expz00_21);
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd232788zd2_5429;
																																																													BgL_cdrzd232788zd2_5429
																																																														=
																																																														CDR
																																																														(BgL_carzd232783zd2_5428);
																																																													if ((CAR(BgL_carzd232783zd2_5428) == CNST_TABLE_REF(((long) 3))))
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (PAIRP(BgL_cdrzd232788zd2_5429))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_arg4597z00_5433;
																																																																	obj_t
																																																																		BgL_arg4598z00_5434;
																																																																	obj_t
																																																																		BgL_arg4599z00_5435;
																																																																	BgL_arg4597z00_5433
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd232788zd2_5429);
																																																																	BgL_arg4598z00_5434
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd232788zd2_5429);
																																																																	BgL_arg4599z00_5435
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_19494;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_19497;
																																																																			obj_t
																																																																				BgL_bodyz00_19496;
																																																																			obj_t
																																																																				BgL_varsz00_19495;
																																																																			BgL_varsz00_19495
																																																																				=
																																																																				BgL_arg4597z00_5433;
																																																																			BgL_bodyz00_19496
																																																																				=
																																																																				BgL_arg4598z00_5434;
																																																																			BgL_argsz00_19497
																																																																				=
																																																																				BgL_arg4599z00_5435;
																																																																			BgL_argsz00_1671
																																																																				=
																																																																				BgL_argsz00_19497;
																																																																			BgL_bodyz00_1670
																																																																				=
																																																																				BgL_bodyz00_19496;
																																																																			BgL_varsz00_1669
																																																																				=
																																																																				BgL_varsz00_19495;
																																																																			goto
																																																																				BgL_tagzd2386zd2_1672;
																																																																		}
																																																																		BgL_auxz00_18539
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_19494);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1706;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_19501;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1707;
																																																																			BgL_auxz00_18539
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_19501);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd232895zd2_5438;
																																																															BgL_cdrzd232895zd2_5438
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_cdrzd232900zd2_5439;
																																																																BgL_cdrzd232900zd2_5439
																																																																	=
																																																																	CDR
																																																																	(BgL_carzd232783zd2_5428);
																																																																if ((CAR(BgL_carzd232783zd2_5428) == CNST_TABLE_REF(((long) 1))))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (PAIRP(BgL_cdrzd232900zd2_5439))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_cdrzd232905zd2_5443;
																																																																				BgL_cdrzd232905zd2_5443
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd232900zd2_5439);
																																																																				if (PAIRP(BgL_cdrzd232905zd2_5443))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_carzd232909zd2_5445;
																																																																						obj_t
																																																																							BgL_cdrzd232910zd2_5446;
																																																																						BgL_carzd232909zd2_5445
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd232905zd2_5443);
																																																																						BgL_cdrzd232910zd2_5446
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd232905zd2_5443);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232909zd2_5445))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (PAIRP(BgL_cdrzd232910zd2_5446))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_carzd232915zd2_5449;
																																																																										BgL_carzd232915zd2_5449
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd232910zd2_5446);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232915zd2_5449))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (NULLP(CDR(BgL_cdrzd232910zd2_5446)))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														bool_t
																																																																															BgL_testz00_19526;
																																																																														{
																																																																															obj_t
																																																																																BgL_l1418z00_5482;
																																																																															BgL_l1418z00_5482
																																																																																=
																																																																																BgL_cdrzd232895zd2_5438;
																																																																														BgL_zc3anonymousza34625ze3z83_5483:
																																																																															if (NULLP(BgL_l1418z00_5482))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	BgL_testz00_19526
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		1);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	bool_t
																																																																																		BgL_testz00_19529;
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		bool_t
																																																																																			BgL_testz00_19530;
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			obj_t
																																																																																				BgL_tmpz00_19531;
																																																																																			BgL_tmpz00_19531
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_l1418z00_5482);
																																																																																			BgL_testz00_19530
																																																																																				=
																																																																																				PAIRP
																																																																																				(BgL_tmpz00_19531);
																																																																																		}
																																																																																		if (BgL_testz00_19530)
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				BgL_testz00_19529
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					0);
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				BgL_testz00_19529
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					1);
																																																																																			}
																																																																																	}
																																																																																	if (BgL_testz00_19529)
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_l1418z00_19534;
																																																																																			BgL_l1418z00_19534
																																																																																				=
																																																																																				CDR
																																																																																				(BgL_l1418z00_5482);
																																																																																			BgL_l1418z00_5482
																																																																																				=
																																																																																				BgL_l1418z00_19534;
																																																																																			goto
																																																																																				BgL_zc3anonymousza34625ze3z83_5483;
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			BgL_testz00_19526
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				0);
																																																																																		}
																																																																																}
																																																																														}
																																																																														if (BgL_testz00_19526)
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_arg4615z00_5465;
																																																																																BgL_arg4615z00_5465
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd232900zd2_5439);
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_19537;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_19541;
																																																																																		obj_t
																																																																																			BgL_proc2z00_19540;
																																																																																		obj_t
																																																																																			BgL_proc1z00_19539;
																																																																																		obj_t
																																																																																			BgL_testz00_19538;
																																																																																		BgL_testz00_19538
																																																																																			=
																																																																																			BgL_arg4615z00_5465;
																																																																																		BgL_proc1z00_19539
																																																																																			=
																																																																																			BgL_carzd232909zd2_5445;
																																																																																		BgL_proc2z00_19540
																																																																																			=
																																																																																			BgL_carzd232915zd2_5449;
																																																																																		BgL_argsz00_19541
																																																																																			=
																																																																																			BgL_cdrzd232895zd2_5438;
																																																																																		BgL_argsz00_1676
																																																																																			=
																																																																																			BgL_argsz00_19541;
																																																																																		BgL_proc2z00_1675
																																																																																			=
																																																																																			BgL_proc2z00_19540;
																																																																																		BgL_proc1z00_1674
																																																																																			=
																																																																																			BgL_proc1z00_19539;
																																																																																		BgL_testz00_1673
																																																																																			=
																																																																																			BgL_testz00_19538;
																																																																																		goto
																																																																																			BgL_tagzd2387zd2_1677;
																																																																																	}
																																																																																	BgL_auxz00_18539
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_19537);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_cdrzd232940zd2_5466;
																																																																																BgL_cdrzd232940zd2_5466
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_expz00_21);
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_cdrzd232948zd2_5467;
																																																																																	BgL_cdrzd232948zd2_5467
																																																																																		=
																																																																																		CDR
																																																																																		(CAR
																																																																																		(BgL_expz00_21));
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		obj_t
																																																																																			BgL_cdrzd232956zd2_5468;
																																																																																		BgL_cdrzd232956zd2_5468
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd232948zd2_5467);
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			obj_t
																																																																																				BgL_carzd232963zd2_5469;
																																																																																			BgL_carzd232963zd2_5469
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd232956zd2_5468);
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232963zd2_5469))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					obj_t
																																																																																						BgL_carzd232972zd2_5471;
																																																																																					BgL_carzd232972zd2_5471
																																																																																						=
																																																																																						CAR
																																																																																						(CDR
																																																																																						(BgL_cdrzd232956zd2_5468));
																																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232972zd2_5471))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd232940zd2_5466))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									obj_t
																																																																																										BgL_arg4619z00_5474;
																																																																																									BgL_arg4619z00_5474
																																																																																										=
																																																																																										CAR
																																																																																										(BgL_cdrzd232948zd2_5467);
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_19557;
																																																																																										{
																																																																																											obj_t
																																																																																												BgL_argsz00_19561;
																																																																																											obj_t
																																																																																												BgL_proc2z00_19560;
																																																																																											obj_t
																																																																																												BgL_proc1z00_19559;
																																																																																											obj_t
																																																																																												BgL_testz00_19558;
																																																																																											BgL_testz00_19558
																																																																																												=
																																																																																												BgL_arg4619z00_5474;
																																																																																											BgL_proc1z00_19559
																																																																																												=
																																																																																												BgL_carzd232963zd2_5469;
																																																																																											BgL_proc2z00_19560
																																																																																												=
																																																																																												BgL_carzd232972zd2_5471;
																																																																																											BgL_argsz00_19561
																																																																																												=
																																																																																												BgL_cdrzd232940zd2_5466;
																																																																																											BgL_argsz00_1681
																																																																																												=
																																																																																												BgL_argsz00_19561;
																																																																																											BgL_proc2z00_1680
																																																																																												=
																																																																																												BgL_proc2z00_19560;
																																																																																											BgL_proc1z00_1679
																																																																																												=
																																																																																												BgL_proc1z00_19559;
																																																																																											BgL_testz00_1678
																																																																																												=
																																																																																												BgL_testz00_19558;
																																																																																											goto
																																																																																												BgL_tagzd2388zd2_1682;
																																																																																										}
																																																																																										BgL_auxz00_18539
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_19557);
																																																																																									}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 117 */
																																																																																											goto
																																																																																												BgL_tagzd2403zd2_1706;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_19565;
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1707;
																																																																																											BgL_auxz00_18539
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_19565);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1706;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_19569;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1707;
																																																																																									BgL_auxz00_18539
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_19569);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1706;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_19573;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1707;
																																																																																							BgL_auxz00_18539
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_19573);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	}
																																																																																}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_19577;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_18539
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_19577);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_cdrzd233250zd2_5493;
																																																																												BgL_cdrzd233250zd2_5493
																																																																													=
																																																																													CDR
																																																																													(BgL_expz00_21);
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_cdrzd233257zd2_5494;
																																																																													BgL_cdrzd233257zd2_5494
																																																																														=
																																																																														CDR
																																																																														(CAR
																																																																														(BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_cdrzd233264zd2_5495;
																																																																														BgL_cdrzd233264zd2_5495
																																																																															=
																																																																															CDR
																																																																															(BgL_cdrzd233257zd2_5494);
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_carzd233270zd2_5496;
																																																																															obj_t
																																																																																BgL_cdrzd233271zd2_5497;
																																																																															BgL_carzd233270zd2_5496
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd233264zd2_5495);
																																																																															BgL_cdrzd233271zd2_5497
																																																																																=
																																																																																CDR
																																																																																(BgL_cdrzd233264zd2_5495);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233270zd2_5496))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_carzd233278zd2_5499;
																																																																																	BgL_carzd233278zd2_5499
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd233271zd2_5497);
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233278zd2_5499))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (NULLP(CDR(BgL_cdrzd233271zd2_5497)))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd233250zd2_5493))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							obj_t
																																																																																								BgL_arg4634z00_5504;
																																																																																							BgL_arg4634z00_5504
																																																																																								=
																																																																																								CAR
																																																																																								(BgL_cdrzd233257zd2_5494);
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_19596;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_19600;
																																																																																									obj_t
																																																																																										BgL_proc2z00_19599;
																																																																																									obj_t
																																																																																										BgL_proc1z00_19598;
																																																																																									obj_t
																																																																																										BgL_testz00_19597;
																																																																																									BgL_testz00_19597
																																																																																										=
																																																																																										BgL_arg4634z00_5504;
																																																																																									BgL_proc1z00_19598
																																																																																										=
																																																																																										BgL_carzd233270zd2_5496;
																																																																																									BgL_proc2z00_19599
																																																																																										=
																																																																																										BgL_carzd233278zd2_5499;
																																																																																									BgL_argsz00_19600
																																																																																										=
																																																																																										BgL_cdrzd233250zd2_5493;
																																																																																									BgL_argsz00_1681
																																																																																										=
																																																																																										BgL_argsz00_19600;
																																																																																									BgL_proc2z00_1680
																																																																																										=
																																																																																										BgL_proc2z00_19599;
																																																																																									BgL_proc1z00_1679
																																																																																										=
																																																																																										BgL_proc1z00_19598;
																																																																																									BgL_testz00_1678
																																																																																										=
																																																																																										BgL_testz00_19597;
																																																																																									goto
																																																																																										BgL_tagzd2388zd2_1682;
																																																																																								}
																																																																																								BgL_auxz00_18539
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_19596);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1706;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_19604;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1707;
																																																																																									BgL_auxz00_18539
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_19604);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1706;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_19608;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1707;
																																																																																							BgL_auxz00_18539
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_19608);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1706;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_19612;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1707;
																																																																																					BgL_auxz00_18539
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_19612);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_19616;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_18539
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_19616);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_19620;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_18539
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_19620);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_cdrzd233611zd2_5512;
																																																																								BgL_cdrzd233611zd2_5512
																																																																									=
																																																																									CDR
																																																																									(BgL_expz00_21);
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd233617zd2_5513;
																																																																									BgL_cdrzd233617zd2_5513
																																																																										=
																																																																										CDR
																																																																										(CAR
																																																																										(BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_cdrzd233623zd2_5514;
																																																																										BgL_cdrzd233623zd2_5514
																																																																											=
																																																																											CDR
																																																																											(BgL_cdrzd233617zd2_5513);
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_carzd233628zd2_5515;
																																																																											obj_t
																																																																												BgL_cdrzd233629zd2_5516;
																																																																											BgL_carzd233628zd2_5515
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd233623zd2_5514);
																																																																											BgL_cdrzd233629zd2_5516
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd233623zd2_5514);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233628zd2_5515))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (PAIRP(BgL_cdrzd233629zd2_5516))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_carzd233634zd2_5519;
																																																																															BgL_carzd233634zd2_5519
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd233629zd2_5516);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233634zd2_5519))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (NULLP(CDR(BgL_cdrzd233629zd2_5516)))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd233611zd2_5512))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					obj_t
																																																																																						BgL_arg4648z00_5524;
																																																																																					BgL_arg4648z00_5524
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_cdrzd233617zd2_5513);
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_19641;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_19645;
																																																																																							obj_t
																																																																																								BgL_proc2z00_19644;
																																																																																							obj_t
																																																																																								BgL_proc1z00_19643;
																																																																																							obj_t
																																																																																								BgL_testz00_19642;
																																																																																							BgL_testz00_19642
																																																																																								=
																																																																																								BgL_arg4648z00_5524;
																																																																																							BgL_proc1z00_19643
																																																																																								=
																																																																																								BgL_carzd233628zd2_5515;
																																																																																							BgL_proc2z00_19644
																																																																																								=
																																																																																								BgL_carzd233634zd2_5519;
																																																																																							BgL_argsz00_19645
																																																																																								=
																																																																																								BgL_cdrzd233611zd2_5512;
																																																																																							BgL_argsz00_1681
																																																																																								=
																																																																																								BgL_argsz00_19645;
																																																																																							BgL_proc2z00_1680
																																																																																								=
																																																																																								BgL_proc2z00_19644;
																																																																																							BgL_proc1z00_1679
																																																																																								=
																																																																																								BgL_proc1z00_19643;
																																																																																							BgL_testz00_1678
																																																																																								=
																																																																																								BgL_testz00_19642;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1682;
																																																																																						}
																																																																																						BgL_auxz00_18539
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_19641);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1706;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_19649;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1707;
																																																																																							BgL_auxz00_18539
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_19649);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1706;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_19653;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1707;
																																																																																					BgL_auxz00_18539
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_19653);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_19657;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_18539
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_19657);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_19661;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_18539
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_19661);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1706;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_19665;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1707;
																																																																															BgL_auxz00_18539
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19665);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_19669;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_18539
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_19669);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_19673;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_18539
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_19673);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1706;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_19677;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1707;
																																																																				BgL_auxz00_18539
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_19677);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 117 */
																																													if ((BgL_carzd231159zd2_5414 == CNST_TABLE_REF(((long) 18))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_19682;
																																															goto
																																																BgL_tagzd2382zd2_1662;
																																															BgL_auxz00_18539
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_19682);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 117 */
																																															if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd231159zd2_5414)))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_19687;
																																																	goto
																																																		BgL_tagzd2382zd2_1662;
																																																	BgL_auxz00_18539
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_19687);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 117 */
																																																	if ((BgL_carzd231159zd2_5414 == CNST_TABLE_REF(((long) 19))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_19692;
																																																			goto
																																																				BgL_tagzd2382zd2_1662;
																																																			BgL_auxz00_18539
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_19692);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 117 */
																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_19698;
																																																					goto
																																																						BgL_tagzd2383zd2_1663;
																																																					BgL_auxz00_18539
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_19698);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_carzd234196zd2_5684;
																																																					BgL_carzd234196zd2_5684
																																																						=
																																																						CAR
																																																						(BgL_expz00_21);
																																																					if ((BgL_carzd234196zd2_5684 == CNST_TABLE_REF(((long) 20))))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_19704;
																																																							goto
																																																								BgL_tagzd2384zd2_1664;
																																																							BgL_auxz00_18539
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_19704);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd234196zd2_5684)))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_19709;
																																																									goto
																																																										BgL_tagzd2384zd2_1664;
																																																									BgL_auxz00_18539
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_19709);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_19715;
																																																											goto
																																																												BgL_tagzd2389zd2_1683;
																																																											BgL_auxz00_18539
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_19715);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_19721;
																																																													goto
																																																														BgL_tagzd2390zd2_1684;
																																																													BgL_auxz00_18539
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_19721);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd234276zd2_5691;
																																																													BgL_cdrzd234276zd2_5691
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_arg4770z00_5694;
																																																															obj_t
																																																																BgL_arg4771z00_5695;
																																																															BgL_arg4770z00_5694
																																																																=
																																																																CAR
																																																																(BgL_cdrzd234276zd2_5691);
																																																															BgL_arg4771z00_5695
																																																																=
																																																																CDR
																																																																(BgL_cdrzd234276zd2_5691);
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_19730;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_19732;
																																																																	obj_t
																																																																		BgL_effectz00_19731;
																																																																	BgL_effectz00_19731
																																																																		=
																																																																		BgL_arg4770z00_5694;
																																																																	BgL_restz00_19732
																																																																		=
																																																																		BgL_arg4771z00_5695;
																																																																	BgL_restz00_1686
																																																																		=
																																																																		BgL_restz00_19732;
																																																																	BgL_effectz00_1685
																																																																		=
																																																																		BgL_effectz00_19731;
																																																																	goto
																																																																		BgL_tagzd2391zd2_1687;
																																																																}
																																																																BgL_auxz00_18539
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_19730);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_19738;
																																																																	goto
																																																																		BgL_tagzd2392zd2_1688;
																																																																	BgL_auxz00_18539
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_19738);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_19744;
																																																																			goto
																																																																				BgL_tagzd2393zd2_1689;
																																																																			BgL_auxz00_18539
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_19744);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_arg4778z00_5703;
																																																																					obj_t
																																																																						BgL_arg4779z00_5704;
																																																																					BgL_arg4778z00_5703
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd234276zd2_5691);
																																																																					BgL_arg4779z00_5704
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd234276zd2_5691);
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_19752;
																																																																						{
																																																																							obj_t
																																																																								BgL_restz00_19754;
																																																																							obj_t
																																																																								BgL_effectz00_19753;
																																																																							BgL_effectz00_19753
																																																																								=
																																																																								BgL_arg4778z00_5703;
																																																																							BgL_restz00_19754
																																																																								=
																																																																								BgL_arg4779z00_5704;
																																																																							BgL_restz00_1691
																																																																								=
																																																																								BgL_restz00_19754;
																																																																							BgL_effectz00_1690
																																																																								=
																																																																								BgL_effectz00_19753;
																																																																							goto
																																																																								BgL_tagzd2394zd2_1692;
																																																																						}
																																																																						BgL_auxz00_18539
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_19752);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_19760;
																																																																							goto
																																																																								BgL_tagzd2395zd2_1693;
																																																																							BgL_auxz00_18539
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_19760);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_19766;
																																																																									goto
																																																																										BgL_tagzd2396zd2_1694;
																																																																									BgL_auxz00_18539
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_19766);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																																										{
																																																																											BgL_letzd2funzd2_bglt
																																																																												BgL_auxz00_19772;
																																																																											goto
																																																																												BgL_tagzd2397zd2_1695;
																																																																											BgL_auxz00_18539
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_19772);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																																												{
																																																																													BgL_jumpzd2exzd2itz00_bglt
																																																																														BgL_auxz00_19778;
																																																																													goto
																																																																														BgL_tagzd2398zd2_1696;
																																																																													BgL_auxz00_18539
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19778);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_cdrzd234353zd2_5713;
																																																																													BgL_cdrzd234353zd2_5713
																																																																														=
																																																																														CDR
																																																																														(BgL_expz00_21);
																																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_arg4790z00_5716;
																																																																															obj_t
																																																																																BgL_arg4791z00_5717;
																																																																															BgL_arg4790z00_5716
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd234353zd2_5713);
																																																																															BgL_arg4791z00_5717
																																																																																=
																																																																																CDR
																																																																																(BgL_cdrzd234353zd2_5713);
																																																																															{	/* Ast/sexp.scm 538 */
																																																																																obj_t
																																																																																	BgL_arg6415z00_10810;
																																																																																BgL_arg6415z00_10810
																																																																																	=
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_locz00_23);
																																																																																BgL_auxz00_18539
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																		BgL_arg4790z00_5716,
																																																																																		CNST_TABLE_REF
																																																																																		(((long) 4)), BgL_arg4791z00_5717, BgL_stackz00_22, BgL_arg6415z00_10810, BgL_sitez00_24));
																																																																														}}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_19793;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_18539
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_19793);
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 117 */
																																	obj_t
																																		BgL_carzd234376zd2_5734;
																																	BgL_carzd234376zd2_5734
																																		=
																																		CAR
																																		(BgL_expz00_21);
																																	if (
																																		(BgL_carzd234376zd2_5734
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					1))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_19799;
																																			goto
																																				BgL_tagzd2377zd2_1653;
																																			BgL_auxz00_18539
																																				=
																																				((obj_t)
																																				BgL_auxz00_19799);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 117 */
																																			if (
																																				(BgL_carzd234376zd2_5734
																																					==
																																					BGl_za2ifza2z00zzast_sexpz00))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_19803;
																																					goto
																																						BgL_tagzd2377zd2_1653;
																																					BgL_auxz00_18539
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_19803);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 117 */
																																					if (
																																						(CAR
																																							(BgL_expz00_21)
																																							==
																																							CNST_TABLE_REF
																																							(((long) 7))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_19809;
																																							goto
																																								BgL_tagzd2379zd2_1657;
																																							BgL_auxz00_18539
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_19809);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 117 */
																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 17))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_19815;
																																									goto
																																										BgL_tagzd2380zd2_1658;
																																									BgL_auxz00_18539
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_19815);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 117 */
																																									obj_t
																																										BgL_carzd234437zd2_5741;
																																									BgL_carzd234437zd2_5741
																																										=
																																										CAR
																																										(BgL_expz00_21);
																																									if (PAIRP(BgL_carzd234437zd2_5741))
																																										{	/* Ast/sexp.scm 117 */
																																											obj_t
																																												BgL_carzd234440zd2_5743;
																																											obj_t
																																												BgL_cdrzd234441zd2_5744;
																																											BgL_carzd234440zd2_5743
																																												=
																																												CAR
																																												(BgL_carzd234437zd2_5741);
																																											BgL_cdrzd234441zd2_5744
																																												=
																																												CDR
																																												(BgL_carzd234437zd2_5741);
																																											{

																																												if ((BgL_carzd234440zd2_5743 == CNST_TABLE_REF(((long) 18))))
																																													{	/* Ast/sexp.scm 117 */
																																													BgL_kapzd234442zd2_5745:
																																														if (PAIRP(BgL_cdrzd234441zd2_5744))
																																															{	/* Ast/sexp.scm 117 */
																																																obj_t
																																																	BgL_cdrzd234445zd2_5867;
																																																BgL_cdrzd234445zd2_5867
																																																	=
																																																	CDR
																																																	(BgL_cdrzd234441zd2_5744);
																																																if (PAIRP(BgL_cdrzd234445zd2_5867))
																																																	{	/* Ast/sexp.scm 117 */
																																																		if (NULLP(CDR(BgL_cdrzd234445zd2_5867)))
																																																			{	/* Ast/sexp.scm 117 */
																																																				obj_t
																																																					BgL_arg4897z00_5871;
																																																				obj_t
																																																					BgL_arg4898z00_5872;
																																																				BgL_arg4897z00_5871
																																																					=
																																																					CAR
																																																					(BgL_cdrzd234445zd2_5867);
																																																				BgL_arg4898z00_5872
																																																					=
																																																					CDR
																																																					(BgL_expz00_21);
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_19835;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_19837;
																																																						obj_t
																																																							BgL_bodyz00_19836;
																																																						BgL_bodyz00_19836
																																																							=
																																																							BgL_arg4897z00_5871;
																																																						BgL_argsz00_19837
																																																							=
																																																							BgL_arg4898z00_5872;
																																																						BgL_argsz00_1660
																																																							=
																																																							BgL_argsz00_19837;
																																																						BgL_bodyz00_1659
																																																							=
																																																							BgL_bodyz00_19836;
																																																						goto
																																																							BgL_tagzd2381zd2_1661;
																																																					}
																																																					BgL_auxz00_18539
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_19835);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				bool_t
																																																					BgL_testz00_19839;
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_arg4965z00_5981;
																																																					BgL_arg4965z00_5981
																																																						=
																																																						CAR
																																																						(BgL_expz00_21);
																																																					BgL_testz00_19839
																																																						=
																																																						CBOOL
																																																						(BGl_letzd2symzf3z21zzast_letz00
																																																						(BgL_arg4965z00_5981));
																																																				}
																																																				if (BgL_testz00_19839)
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_19843;
																																																						goto
																																																							BgL_tagzd2382zd2_1662;
																																																						BgL_auxz00_18539
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_19843);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						bool_t
																																																							BgL_testz00_19845;
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_arg4964z00_5980;
																																																							BgL_arg4964z00_5980
																																																								=
																																																								CAR
																																																								(BgL_expz00_21);
																																																							BgL_testz00_19845
																																																								=
																																																								CBOOL
																																																								(BGl_labelszd2symzf3z21zzast_labelsz00
																																																								(BgL_arg4964z00_5980));
																																																						}
																																																						if (BgL_testz00_19845)
																																																							{
																																																								BgL_letzd2funzd2_bglt
																																																									BgL_auxz00_19849;
																																																								goto
																																																									BgL_tagzd2384zd2_1664;
																																																								BgL_auxz00_18539
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_19849);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								obj_t
																																																									BgL_carzd234523zd2_5877;
																																																								BgL_carzd234523zd2_5877
																																																									=
																																																									CAR
																																																									(BgL_expz00_21);
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_cdrzd234528zd2_5878;
																																																									BgL_cdrzd234528zd2_5878
																																																										=
																																																										CDR
																																																										(BgL_carzd234523zd2_5877);
																																																									if ((CAR(BgL_carzd234523zd2_5877) == CNST_TABLE_REF(((long) 3))))
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_arg4905z00_5881;
																																																											obj_t
																																																												BgL_arg4906z00_5882;
																																																											obj_t
																																																												BgL_arg4907z00_5883;
																																																											BgL_arg4905z00_5881
																																																												=
																																																												CAR
																																																												(BgL_cdrzd234528zd2_5878);
																																																											BgL_arg4906z00_5882
																																																												=
																																																												CDR
																																																												(BgL_cdrzd234528zd2_5878);
																																																											BgL_arg4907z00_5883
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_19860;
																																																												{
																																																													obj_t
																																																														BgL_argsz00_19863;
																																																													obj_t
																																																														BgL_bodyz00_19862;
																																																													obj_t
																																																														BgL_varsz00_19861;
																																																													BgL_varsz00_19861
																																																														=
																																																														BgL_arg4905z00_5881;
																																																													BgL_bodyz00_19862
																																																														=
																																																														BgL_arg4906z00_5882;
																																																													BgL_argsz00_19863
																																																														=
																																																														BgL_arg4907z00_5883;
																																																													BgL_argsz00_1671
																																																														=
																																																														BgL_argsz00_19863;
																																																													BgL_bodyz00_1670
																																																														=
																																																														BgL_bodyz00_19862;
																																																													BgL_varsz00_1669
																																																														=
																																																														BgL_varsz00_19861;
																																																													goto
																																																														BgL_tagzd2386zd2_1672;
																																																												}
																																																												BgL_auxz00_18539
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_19860);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd234551zd2_5885;
																																																											BgL_cdrzd234551zd2_5885
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											{	/* Ast/sexp.scm 117 */
																																																												obj_t
																																																													BgL_cdrzd234557zd2_5886;
																																																												BgL_cdrzd234557zd2_5886
																																																													=
																																																													CDR
																																																													(BgL_carzd234523zd2_5877);
																																																												if ((CAR(BgL_carzd234523zd2_5877) == CNST_TABLE_REF(((long) 1))))
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_cdrzd234563zd2_5889;
																																																														BgL_cdrzd234563zd2_5889
																																																															=
																																																															CDR
																																																															(BgL_cdrzd234557zd2_5886);
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_carzd234568zd2_5890;
																																																															obj_t
																																																																BgL_cdrzd234569zd2_5891;
																																																															BgL_carzd234568zd2_5890
																																																																=
																																																																CAR
																																																																(BgL_cdrzd234563zd2_5889);
																																																															BgL_cdrzd234569zd2_5891
																																																																=
																																																																CDR
																																																																(BgL_cdrzd234563zd2_5889);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234568zd2_5890))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (PAIRP(BgL_cdrzd234569zd2_5891))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_carzd234576zd2_5894;
																																																																			BgL_carzd234576zd2_5894
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd234569zd2_5891);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234576zd2_5894))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if (NULLP(CDR(BgL_cdrzd234569zd2_5891)))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							bool_t
																																																																								BgL_testz00_19884;
																																																																							{
																																																																								obj_t
																																																																									BgL_l1421z00_5927;
																																																																								BgL_l1421z00_5927
																																																																									=
																																																																									BgL_cdrzd234551zd2_5885;
																																																																							BgL_zc3anonymousza34930ze3z83_5928:
																																																																								if (NULLP(BgL_l1421z00_5927))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										BgL_testz00_19884
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										bool_t
																																																																											BgL_testz00_19887;
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											bool_t
																																																																												BgL_testz00_19888;
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_tmpz00_19889;
																																																																												BgL_tmpz00_19889
																																																																													=
																																																																													CAR
																																																																													(BgL_l1421z00_5927);
																																																																												BgL_testz00_19888
																																																																													=
																																																																													PAIRP
																																																																													(BgL_tmpz00_19889);
																																																																											}
																																																																											if (BgL_testz00_19888)
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													BgL_testz00_19887
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													BgL_testz00_19887
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																										}
																																																																										if (BgL_testz00_19887)
																																																																											{
																																																																												obj_t
																																																																													BgL_l1421z00_19892;
																																																																												BgL_l1421z00_19892
																																																																													=
																																																																													CDR
																																																																													(BgL_l1421z00_5927);
																																																																												BgL_l1421z00_5927
																																																																													=
																																																																													BgL_l1421z00_19892;
																																																																												goto
																																																																													BgL_zc3anonymousza34930ze3z83_5928;
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												BgL_testz00_19884
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																									}
																																																																							}
																																																																							if (BgL_testz00_19884)
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_arg4920z00_5910;
																																																																									BgL_arg4920z00_5910
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd234557zd2_5886);
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_19895;
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_19899;
																																																																											obj_t
																																																																												BgL_proc2z00_19898;
																																																																											obj_t
																																																																												BgL_proc1z00_19897;
																																																																											obj_t
																																																																												BgL_testz00_19896;
																																																																											BgL_testz00_19896
																																																																												=
																																																																												BgL_arg4920z00_5910;
																																																																											BgL_proc1z00_19897
																																																																												=
																																																																												BgL_carzd234568zd2_5890;
																																																																											BgL_proc2z00_19898
																																																																												=
																																																																												BgL_carzd234576zd2_5894;
																																																																											BgL_argsz00_19899
																																																																												=
																																																																												BgL_cdrzd234551zd2_5885;
																																																																											BgL_argsz00_1676
																																																																												=
																																																																												BgL_argsz00_19899;
																																																																											BgL_proc2z00_1675
																																																																												=
																																																																												BgL_proc2z00_19898;
																																																																											BgL_proc1z00_1674
																																																																												=
																																																																												BgL_proc1z00_19897;
																																																																											BgL_testz00_1673
																																																																												=
																																																																												BgL_testz00_19896;
																																																																											goto
																																																																												BgL_tagzd2387zd2_1677;
																																																																										}
																																																																										BgL_auxz00_18539
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_19895);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd234600zd2_5911;
																																																																									BgL_cdrzd234600zd2_5911
																																																																										=
																																																																										CDR
																																																																										(BgL_expz00_21);
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_cdrzd234607zd2_5912;
																																																																										BgL_cdrzd234607zd2_5912
																																																																											=
																																																																											CDR
																																																																											(CAR
																																																																											(BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_cdrzd234614zd2_5913;
																																																																											BgL_cdrzd234614zd2_5913
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd234607zd2_5912);
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_carzd234620zd2_5914;
																																																																												BgL_carzd234620zd2_5914
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd234614zd2_5913);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234620zd2_5914))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_carzd234627zd2_5916;
																																																																														BgL_carzd234627zd2_5916
																																																																															=
																																																																															CAR
																																																																															(CDR
																																																																															(BgL_cdrzd234614zd2_5913));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234627zd2_5916))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd234600zd2_5911))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		obj_t
																																																																																			BgL_arg4924z00_5919;
																																																																																		BgL_arg4924z00_5919
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd234607zd2_5912);
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_19915;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_19919;
																																																																																				obj_t
																																																																																					BgL_proc2z00_19918;
																																																																																				obj_t
																																																																																					BgL_proc1z00_19917;
																																																																																				obj_t
																																																																																					BgL_testz00_19916;
																																																																																				BgL_testz00_19916
																																																																																					=
																																																																																					BgL_arg4924z00_5919;
																																																																																				BgL_proc1z00_19917
																																																																																					=
																																																																																					BgL_carzd234620zd2_5914;
																																																																																				BgL_proc2z00_19918
																																																																																					=
																																																																																					BgL_carzd234627zd2_5916;
																																																																																				BgL_argsz00_19919
																																																																																					=
																																																																																					BgL_cdrzd234600zd2_5911;
																																																																																				BgL_argsz00_1681
																																																																																					=
																																																																																					BgL_argsz00_19919;
																																																																																				BgL_proc2z00_1680
																																																																																					=
																																																																																					BgL_proc2z00_19918;
																																																																																				BgL_proc1z00_1679
																																																																																					=
																																																																																					BgL_proc1z00_19917;
																																																																																				BgL_testz00_1678
																																																																																					=
																																																																																					BgL_testz00_19916;
																																																																																				goto
																																																																																					BgL_tagzd2388zd2_1682;
																																																																																			}
																																																																																			BgL_auxz00_18539
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_19915);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 117 */
																																																																																				goto
																																																																																					BgL_tagzd2403zd2_1706;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_19923;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1707;
																																																																																				BgL_auxz00_18539
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_19923);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_19927;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_18539
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_19927);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_19931;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_18539
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_19931);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1706;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_19935;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1707;
																																																																									BgL_auxz00_18539
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_19935);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd234903zd2_5938;
																																																																					BgL_cdrzd234903zd2_5938
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_21);
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_cdrzd234909zd2_5939;
																																																																						BgL_cdrzd234909zd2_5939
																																																																							=
																																																																							CDR
																																																																							(CAR
																																																																							(BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd234915zd2_5940;
																																																																							BgL_cdrzd234915zd2_5940
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd234909zd2_5939);
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_carzd234920zd2_5941;
																																																																								obj_t
																																																																									BgL_cdrzd234921zd2_5942;
																																																																								BgL_carzd234920zd2_5941
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd234915zd2_5940);
																																																																								BgL_cdrzd234921zd2_5942
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd234915zd2_5940);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234920zd2_5941))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_carzd234926zd2_5944;
																																																																										BgL_carzd234926zd2_5944
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd234921zd2_5942);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234926zd2_5944))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (NULLP(CDR(BgL_cdrzd234921zd2_5942)))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd234903zd2_5938))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_arg4939z00_5949;
																																																																																BgL_arg4939z00_5949
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd234909zd2_5939);
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_19954;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_19958;
																																																																																		obj_t
																																																																																			BgL_proc2z00_19957;
																																																																																		obj_t
																																																																																			BgL_proc1z00_19956;
																																																																																		obj_t
																																																																																			BgL_testz00_19955;
																																																																																		BgL_testz00_19955
																																																																																			=
																																																																																			BgL_arg4939z00_5949;
																																																																																		BgL_proc1z00_19956
																																																																																			=
																																																																																			BgL_carzd234920zd2_5941;
																																																																																		BgL_proc2z00_19957
																																																																																			=
																																																																																			BgL_carzd234926zd2_5944;
																																																																																		BgL_argsz00_19958
																																																																																			=
																																																																																			BgL_cdrzd234903zd2_5938;
																																																																																		BgL_argsz00_1681
																																																																																			=
																																																																																			BgL_argsz00_19958;
																																																																																		BgL_proc2z00_1680
																																																																																			=
																																																																																			BgL_proc2z00_19957;
																																																																																		BgL_proc1z00_1679
																																																																																			=
																																																																																			BgL_proc1z00_19956;
																																																																																		BgL_testz00_1678
																																																																																			=
																																																																																			BgL_testz00_19955;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1682;
																																																																																	}
																																																																																	BgL_auxz00_18539
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_19954);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_19962;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_18539
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_19962);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_19966;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_18539
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_19966);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_19970;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_18539
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_19970);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_19974;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_18539
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_19974);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1706;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_19978;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1707;
																																																																					BgL_auxz00_18539
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_19978);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd235259zd2_5957;
																																																																	BgL_cdrzd235259zd2_5957
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_cdrzd235266zd2_5958;
																																																																		BgL_cdrzd235266zd2_5958
																																																																			=
																																																																			CDR
																																																																			(CAR
																																																																			(BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd235273zd2_5959;
																																																																			BgL_cdrzd235273zd2_5959
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd235266zd2_5958);
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_carzd235279zd2_5960;
																																																																				obj_t
																																																																					BgL_cdrzd235280zd2_5961;
																																																																				BgL_carzd235279zd2_5960
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd235273zd2_5959);
																																																																				BgL_cdrzd235280zd2_5961
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd235273zd2_5959);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235279zd2_5960))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (PAIRP(BgL_cdrzd235280zd2_5961))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_carzd235287zd2_5964;
																																																																								BgL_carzd235287zd2_5964
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd235280zd2_5961);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235287zd2_5964))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (NULLP(CDR(BgL_cdrzd235280zd2_5961)))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd235259zd2_5957))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_arg4953z00_5969;
																																																																														BgL_arg4953z00_5969
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd235266zd2_5958);
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_19999;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_20003;
																																																																																obj_t
																																																																																	BgL_proc2z00_20002;
																																																																																obj_t
																																																																																	BgL_proc1z00_20001;
																																																																																obj_t
																																																																																	BgL_testz00_20000;
																																																																																BgL_testz00_20000
																																																																																	=
																																																																																	BgL_arg4953z00_5969;
																																																																																BgL_proc1z00_20001
																																																																																	=
																																																																																	BgL_carzd235279zd2_5960;
																																																																																BgL_proc2z00_20002
																																																																																	=
																																																																																	BgL_carzd235287zd2_5964;
																																																																																BgL_argsz00_20003
																																																																																	=
																																																																																	BgL_cdrzd235259zd2_5957;
																																																																																BgL_argsz00_1681
																																																																																	=
																																																																																	BgL_argsz00_20003;
																																																																																BgL_proc2z00_1680
																																																																																	=
																																																																																	BgL_proc2z00_20002;
																																																																																BgL_proc1z00_1679
																																																																																	=
																																																																																	BgL_proc1z00_20001;
																																																																																BgL_testz00_1678
																																																																																	=
																																																																																	BgL_testz00_20000;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1682;
																																																																															}
																																																																															BgL_auxz00_18539
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19999);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_20007;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_18539
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_20007);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_20011;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_18539
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_20011);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_20015;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_18539
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_20015);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_20019;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_18539
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_20019);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_20023;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_18539
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_20023);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 117 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 117 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1706;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_20027;
																																																																goto
																																																																	BgL_tagzd2404zd2_1707;
																																																																BgL_auxz00_18539
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_20027);
																																																															}
																																																													}
																																																											}
																																																										}
																																																								}
																																																							}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		bool_t
																																																			BgL_testz00_20029;
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_arg4979z00_5997;
																																																			BgL_arg4979z00_5997
																																																				=
																																																				CAR
																																																				(BgL_expz00_21);
																																																			BgL_testz00_20029
																																																				=
																																																				CBOOL
																																																				(BGl_letzd2symzf3z21zzast_letz00
																																																				(BgL_arg4979z00_5997));
																																																		}
																																																		if (BgL_testz00_20029)
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_20033;
																																																				goto
																																																					BgL_tagzd2382zd2_1662;
																																																				BgL_auxz00_18539
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_20033);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				bool_t
																																																					BgL_testz00_20035;
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_arg4978z00_5996;
																																																					BgL_arg4978z00_5996
																																																						=
																																																						CAR
																																																						(BgL_expz00_21);
																																																					BgL_testz00_20035
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg4978z00_5996));
																																																				}
																																																				if (BgL_testz00_20035)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_20039;
																																																						goto
																																																							BgL_tagzd2384zd2_1664;
																																																						BgL_auxz00_18539
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_20039);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						obj_t
																																																							BgL_carzd235733zd2_5987;
																																																						BgL_carzd235733zd2_5987
																																																							=
																																																							CAR
																																																							(BgL_expz00_21);
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_cdrzd235738zd2_5988;
																																																							BgL_cdrzd235738zd2_5988
																																																								=
																																																								CDR
																																																								(BgL_carzd235733zd2_5987);
																																																							if ((CAR(BgL_carzd235733zd2_5987) == CNST_TABLE_REF(((long) 3))))
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_arg4973z00_5991;
																																																									obj_t
																																																										BgL_arg4974z00_5992;
																																																									obj_t
																																																										BgL_arg4975z00_5993;
																																																									BgL_arg4973z00_5991
																																																										=
																																																										CAR
																																																										(BgL_cdrzd235738zd2_5988);
																																																									BgL_arg4974z00_5992
																																																										=
																																																										CDR
																																																										(BgL_cdrzd235738zd2_5988);
																																																									BgL_arg4975z00_5993
																																																										=
																																																										CDR
																																																										(BgL_expz00_21);
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_20050;
																																																										{
																																																											obj_t
																																																												BgL_argsz00_20053;
																																																											obj_t
																																																												BgL_bodyz00_20052;
																																																											obj_t
																																																												BgL_varsz00_20051;
																																																											BgL_varsz00_20051
																																																												=
																																																												BgL_arg4973z00_5991;
																																																											BgL_bodyz00_20052
																																																												=
																																																												BgL_arg4974z00_5992;
																																																											BgL_argsz00_20053
																																																												=
																																																												BgL_arg4975z00_5993;
																																																											BgL_argsz00_1671
																																																												=
																																																												BgL_argsz00_20053;
																																																											BgL_bodyz00_1670
																																																												=
																																																												BgL_bodyz00_20052;
																																																											BgL_varsz00_1669
																																																												=
																																																												BgL_varsz00_20051;
																																																											goto
																																																												BgL_tagzd2386zd2_1672;
																																																										}
																																																										BgL_auxz00_18539
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_20050);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 117 */
																																																											goto
																																																												BgL_tagzd2403zd2_1706;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_20057;
																																																											goto
																																																												BgL_tagzd2404zd2_1707;
																																																											BgL_auxz00_18539
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_20057);
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																bool_t
																																																	BgL_testz00_20059;
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_arg4986z00_6004;
																																																	BgL_arg4986z00_6004
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	BgL_testz00_20059
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg4986z00_6004));
																																																}
																																																if (BgL_testz00_20059)
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_20063;
																																																		goto
																																																			BgL_tagzd2382zd2_1662;
																																																		BgL_auxz00_18539
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_20063);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		bool_t
																																																			BgL_testz00_20065;
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_arg4985z00_6003;
																																																			BgL_arg4985z00_6003
																																																				=
																																																				CAR
																																																				(BgL_expz00_21);
																																																			BgL_testz00_20065
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg4985z00_6003));
																																																		}
																																																		if (BgL_testz00_20065)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_20069;
																																																				goto
																																																					BgL_tagzd2384zd2_1664;
																																																				BgL_auxz00_18539
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_20069);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{	/* Ast/sexp.scm 117 */
																																																						goto
																																																							BgL_tagzd2403zd2_1706;
																																																					}
																																																				else
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_20073;
																																																						goto
																																																							BgL_tagzd2404zd2_1707;
																																																						BgL_auxz00_18539
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_20073);
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd234440zd2_5743)))
																																															{	/* Ast/sexp.scm 117 */
																																																goto
																																																	BgL_kapzd234442zd2_5745;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																if ((BgL_carzd234440zd2_5743 == CNST_TABLE_REF(((long) 19))))
																																																	{	/* Ast/sexp.scm 117 */
																																																		goto
																																																			BgL_kapzd234442zd2_5745;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		if ((BgL_carzd234440zd2_5743 == CNST_TABLE_REF(((long) 20))))
																																																			{	/* Ast/sexp.scm 117 */
																																																				goto
																																																					BgL_kapzd234442zd2_5745;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd234440zd2_5743)))
																																																					{	/* Ast/sexp.scm 117 */
																																																						goto
																																																							BgL_kapzd234442zd2_5745;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						bool_t
																																																							BgL_testz00_20087;
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_arg4892z00_5865;
																																																							BgL_arg4892z00_5865
																																																								=
																																																								CAR
																																																								(BgL_expz00_21);
																																																							BgL_testz00_20087
																																																								=
																																																								CBOOL
																																																								(BGl_letzd2symzf3z21zzast_letz00
																																																								(BgL_arg4892z00_5865));
																																																						}
																																																						if (BgL_testz00_20087)
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_20091;
																																																								goto
																																																									BgL_tagzd2382zd2_1662;
																																																								BgL_auxz00_18539
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_20091);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								bool_t
																																																									BgL_testz00_20093;
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_arg4891z00_5864;
																																																									BgL_arg4891z00_5864
																																																										=
																																																										CAR
																																																										(BgL_expz00_21);
																																																									BgL_testz00_20093
																																																										=
																																																										CBOOL
																																																										(BGl_labelszd2symzf3z21zzast_labelsz00
																																																										(BgL_arg4891z00_5864));
																																																								}
																																																								if (BgL_testz00_20093)
																																																									{
																																																										BgL_letzd2funzd2_bglt
																																																											BgL_auxz00_20097;
																																																										goto
																																																											BgL_tagzd2384zd2_1664;
																																																										BgL_auxz00_18539
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_20097);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 117 */
																																																										obj_t
																																																											BgL_carzd236061zd2_5755;
																																																										BgL_carzd236061zd2_5755
																																																											=
																																																											CAR
																																																											(BgL_expz00_21);
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd236066zd2_5756;
																																																											BgL_cdrzd236066zd2_5756
																																																												=
																																																												CDR
																																																												(BgL_carzd236061zd2_5755);
																																																											if ((CAR(BgL_carzd236061zd2_5755) == CNST_TABLE_REF(((long) 3))))
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (PAIRP(BgL_cdrzd236066zd2_5756))
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_arg4827z00_5760;
																																																															obj_t
																																																																BgL_arg4828z00_5761;
																																																															obj_t
																																																																BgL_arg4829z00_5762;
																																																															BgL_arg4827z00_5760
																																																																=
																																																																CAR
																																																																(BgL_cdrzd236066zd2_5756);
																																																															BgL_arg4828z00_5761
																																																																=
																																																																CDR
																																																																(BgL_cdrzd236066zd2_5756);
																																																															BgL_arg4829z00_5762
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_20110;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_20113;
																																																																	obj_t
																																																																		BgL_bodyz00_20112;
																																																																	obj_t
																																																																		BgL_varsz00_20111;
																																																																	BgL_varsz00_20111
																																																																		=
																																																																		BgL_arg4827z00_5760;
																																																																	BgL_bodyz00_20112
																																																																		=
																																																																		BgL_arg4828z00_5761;
																																																																	BgL_argsz00_20113
																																																																		=
																																																																		BgL_arg4829z00_5762;
																																																																	BgL_argsz00_1671
																																																																		=
																																																																		BgL_argsz00_20113;
																																																																	BgL_bodyz00_1670
																																																																		=
																																																																		BgL_bodyz00_20112;
																																																																	BgL_varsz00_1669
																																																																		=
																																																																		BgL_varsz00_20111;
																																																																	goto
																																																																		BgL_tagzd2386zd2_1672;
																																																																}
																																																																BgL_auxz00_18539
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_20110);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1706;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_20117;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1707;
																																																																	BgL_auxz00_18539
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_20117);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd236173zd2_5765;
																																																													BgL_cdrzd236173zd2_5765
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_cdrzd236178zd2_5766;
																																																														BgL_cdrzd236178zd2_5766
																																																															=
																																																															CDR
																																																															(BgL_carzd236061zd2_5755);
																																																														if ((CAR(BgL_carzd236061zd2_5755) == CNST_TABLE_REF(((long) 1))))
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (PAIRP(BgL_cdrzd236178zd2_5766))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_cdrzd236183zd2_5770;
																																																																		BgL_cdrzd236183zd2_5770
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd236178zd2_5766);
																																																																		if (PAIRP(BgL_cdrzd236183zd2_5770))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_carzd236187zd2_5772;
																																																																				obj_t
																																																																					BgL_cdrzd236188zd2_5773;
																																																																				BgL_carzd236187zd2_5772
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd236183zd2_5770);
																																																																				BgL_cdrzd236188zd2_5773
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd236183zd2_5770);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236187zd2_5772))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (PAIRP(BgL_cdrzd236188zd2_5773))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_carzd236193zd2_5776;
																																																																								BgL_carzd236193zd2_5776
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd236188zd2_5773);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236193zd2_5776))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (NULLP(CDR(BgL_cdrzd236188zd2_5773)))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												bool_t
																																																																													BgL_testz00_20142;
																																																																												{
																																																																													obj_t
																																																																														BgL_l1424z00_5809;
																																																																													BgL_l1424z00_5809
																																																																														=
																																																																														BgL_cdrzd236173zd2_5765;
																																																																												BgL_zc3anonymousza34855ze3z83_5810:
																																																																													if (NULLP(BgL_l1424z00_5809))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															BgL_testz00_20142
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															bool_t
																																																																																BgL_testz00_20145;
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																bool_t
																																																																																	BgL_testz00_20146;
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_tmpz00_20147;
																																																																																	BgL_tmpz00_20147
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_l1424z00_5809);
																																																																																	BgL_testz00_20146
																																																																																		=
																																																																																		PAIRP
																																																																																		(BgL_tmpz00_20147);
																																																																																}
																																																																																if (BgL_testz00_20146)
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		BgL_testz00_20145
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		BgL_testz00_20145
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			1);
																																																																																	}
																																																																															}
																																																																															if (BgL_testz00_20145)
																																																																																{
																																																																																	obj_t
																																																																																		BgL_l1424z00_20150;
																																																																																	BgL_l1424z00_20150
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_l1424z00_5809);
																																																																																	BgL_l1424z00_5809
																																																																																		=
																																																																																		BgL_l1424z00_20150;
																																																																																	goto
																																																																																		BgL_zc3anonymousza34855ze3z83_5810;
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	BgL_testz00_20142
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																														}
																																																																												}
																																																																												if (BgL_testz00_20142)
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_arg4845z00_5792;
																																																																														BgL_arg4845z00_5792
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd236178zd2_5766);
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_20153;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_20157;
																																																																																obj_t
																																																																																	BgL_proc2z00_20156;
																																																																																obj_t
																																																																																	BgL_proc1z00_20155;
																																																																																obj_t
																																																																																	BgL_testz00_20154;
																																																																																BgL_testz00_20154
																																																																																	=
																																																																																	BgL_arg4845z00_5792;
																																																																																BgL_proc1z00_20155
																																																																																	=
																																																																																	BgL_carzd236187zd2_5772;
																																																																																BgL_proc2z00_20156
																																																																																	=
																																																																																	BgL_carzd236193zd2_5776;
																																																																																BgL_argsz00_20157
																																																																																	=
																																																																																	BgL_cdrzd236173zd2_5765;
																																																																																BgL_argsz00_1676
																																																																																	=
																																																																																	BgL_argsz00_20157;
																																																																																BgL_proc2z00_1675
																																																																																	=
																																																																																	BgL_proc2z00_20156;
																																																																																BgL_proc1z00_1674
																																																																																	=
																																																																																	BgL_proc1z00_20155;
																																																																																BgL_testz00_1673
																																																																																	=
																																																																																	BgL_testz00_20154;
																																																																																goto
																																																																																	BgL_tagzd2387zd2_1677;
																																																																															}
																																																																															BgL_auxz00_18539
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_20153);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_cdrzd236218zd2_5793;
																																																																														BgL_cdrzd236218zd2_5793
																																																																															=
																																																																															CDR
																																																																															(BgL_expz00_21);
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_cdrzd236226zd2_5794;
																																																																															BgL_cdrzd236226zd2_5794
																																																																																=
																																																																																CDR
																																																																																(CAR
																																																																																(BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_cdrzd236234zd2_5795;
																																																																																BgL_cdrzd236234zd2_5795
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_cdrzd236226zd2_5794);
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_carzd236241zd2_5796;
																																																																																	BgL_carzd236241zd2_5796
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd236234zd2_5795);
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236241zd2_5796))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			obj_t
																																																																																				BgL_carzd236250zd2_5798;
																																																																																			BgL_carzd236250zd2_5798
																																																																																				=
																																																																																				CAR
																																																																																				(CDR
																																																																																				(BgL_cdrzd236234zd2_5795));
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236250zd2_5798))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd236218zd2_5793))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							obj_t
																																																																																								BgL_arg4849z00_5801;
																																																																																							BgL_arg4849z00_5801
																																																																																								=
																																																																																								CAR
																																																																																								(BgL_cdrzd236226zd2_5794);
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_20173;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_20177;
																																																																																									obj_t
																																																																																										BgL_proc2z00_20176;
																																																																																									obj_t
																																																																																										BgL_proc1z00_20175;
																																																																																									obj_t
																																																																																										BgL_testz00_20174;
																																																																																									BgL_testz00_20174
																																																																																										=
																																																																																										BgL_arg4849z00_5801;
																																																																																									BgL_proc1z00_20175
																																																																																										=
																																																																																										BgL_carzd236241zd2_5796;
																																																																																									BgL_proc2z00_20176
																																																																																										=
																																																																																										BgL_carzd236250zd2_5798;
																																																																																									BgL_argsz00_20177
																																																																																										=
																																																																																										BgL_cdrzd236218zd2_5793;
																																																																																									BgL_argsz00_1681
																																																																																										=
																																																																																										BgL_argsz00_20177;
																																																																																									BgL_proc2z00_1680
																																																																																										=
																																																																																										BgL_proc2z00_20176;
																																																																																									BgL_proc1z00_1679
																																																																																										=
																																																																																										BgL_proc1z00_20175;
																																																																																									BgL_testz00_1678
																																																																																										=
																																																																																										BgL_testz00_20174;
																																																																																									goto
																																																																																										BgL_tagzd2388zd2_1682;
																																																																																								}
																																																																																								BgL_auxz00_18539
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_20173);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 117 */
																																																																																									goto
																																																																																										BgL_tagzd2403zd2_1706;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_20181;
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1707;
																																																																																									BgL_auxz00_18539
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_20181);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1706;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_20185;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1707;
																																																																																							BgL_auxz00_18539
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_20185);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1706;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_20189;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1707;
																																																																																					BgL_auxz00_18539
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_20189);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_20193;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_18539
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_20193);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_cdrzd236528zd2_5820;
																																																																										BgL_cdrzd236528zd2_5820
																																																																											=
																																																																											CDR
																																																																											(BgL_expz00_21);
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_cdrzd236535zd2_5821;
																																																																											BgL_cdrzd236535zd2_5821
																																																																												=
																																																																												CDR
																																																																												(CAR
																																																																												(BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_cdrzd236542zd2_5822;
																																																																												BgL_cdrzd236542zd2_5822
																																																																													=
																																																																													CDR
																																																																													(BgL_cdrzd236535zd2_5821);
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_carzd236548zd2_5823;
																																																																													obj_t
																																																																														BgL_cdrzd236549zd2_5824;
																																																																													BgL_carzd236548zd2_5823
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd236542zd2_5822);
																																																																													BgL_cdrzd236549zd2_5824
																																																																														=
																																																																														CDR
																																																																														(BgL_cdrzd236542zd2_5822);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236548zd2_5823))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_carzd236556zd2_5826;
																																																																															BgL_carzd236556zd2_5826
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd236549zd2_5824);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236556zd2_5826))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (NULLP(CDR(BgL_cdrzd236549zd2_5824)))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd236528zd2_5820))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					obj_t
																																																																																						BgL_arg4864z00_5831;
																																																																																					BgL_arg4864z00_5831
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_cdrzd236535zd2_5821);
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_20212;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_20216;
																																																																																							obj_t
																																																																																								BgL_proc2z00_20215;
																																																																																							obj_t
																																																																																								BgL_proc1z00_20214;
																																																																																							obj_t
																																																																																								BgL_testz00_20213;
																																																																																							BgL_testz00_20213
																																																																																								=
																																																																																								BgL_arg4864z00_5831;
																																																																																							BgL_proc1z00_20214
																																																																																								=
																																																																																								BgL_carzd236548zd2_5823;
																																																																																							BgL_proc2z00_20215
																																																																																								=
																																																																																								BgL_carzd236556zd2_5826;
																																																																																							BgL_argsz00_20216
																																																																																								=
																																																																																								BgL_cdrzd236528zd2_5820;
																																																																																							BgL_argsz00_1681
																																																																																								=
																																																																																								BgL_argsz00_20216;
																																																																																							BgL_proc2z00_1680
																																																																																								=
																																																																																								BgL_proc2z00_20215;
																																																																																							BgL_proc1z00_1679
																																																																																								=
																																																																																								BgL_proc1z00_20214;
																																																																																							BgL_testz00_1678
																																																																																								=
																																																																																								BgL_testz00_20213;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1682;
																																																																																						}
																																																																																						BgL_auxz00_18539
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_20212);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1706;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_20220;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1707;
																																																																																							BgL_auxz00_18539
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_20220);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1706;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_20224;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1707;
																																																																																					BgL_auxz00_18539
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_20224);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20228;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_18539
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20228);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20232;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_18539
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20232);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_20236;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_18539
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_20236);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_cdrzd236889zd2_5839;
																																																																						BgL_cdrzd236889zd2_5839
																																																																							=
																																																																							CDR
																																																																							(BgL_expz00_21);
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd236895zd2_5840;
																																																																							BgL_cdrzd236895zd2_5840
																																																																								=
																																																																								CDR
																																																																								(CAR
																																																																								(BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_cdrzd236901zd2_5841;
																																																																								BgL_cdrzd236901zd2_5841
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd236895zd2_5840);
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_carzd236906zd2_5842;
																																																																									obj_t
																																																																										BgL_cdrzd236907zd2_5843;
																																																																									BgL_carzd236906zd2_5842
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd236901zd2_5841);
																																																																									BgL_cdrzd236907zd2_5843
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd236901zd2_5841);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236906zd2_5842))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (PAIRP(BgL_cdrzd236907zd2_5843))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_carzd236912zd2_5846;
																																																																													BgL_carzd236912zd2_5846
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd236907zd2_5843);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236912zd2_5846))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (NULLP(CDR(BgL_cdrzd236907zd2_5843)))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd236889zd2_5839))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			obj_t
																																																																																				BgL_arg4878z00_5851;
																																																																																			BgL_arg4878z00_5851
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd236895zd2_5840);
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_20257;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_20261;
																																																																																					obj_t
																																																																																						BgL_proc2z00_20260;
																																																																																					obj_t
																																																																																						BgL_proc1z00_20259;
																																																																																					obj_t
																																																																																						BgL_testz00_20258;
																																																																																					BgL_testz00_20258
																																																																																						=
																																																																																						BgL_arg4878z00_5851;
																																																																																					BgL_proc1z00_20259
																																																																																						=
																																																																																						BgL_carzd236906zd2_5842;
																																																																																					BgL_proc2z00_20260
																																																																																						=
																																																																																						BgL_carzd236912zd2_5846;
																																																																																					BgL_argsz00_20261
																																																																																						=
																																																																																						BgL_cdrzd236889zd2_5839;
																																																																																					BgL_argsz00_1681
																																																																																						=
																																																																																						BgL_argsz00_20261;
																																																																																					BgL_proc2z00_1680
																																																																																						=
																																																																																						BgL_proc2z00_20260;
																																																																																					BgL_proc1z00_1679
																																																																																						=
																																																																																						BgL_proc1z00_20259;
																																																																																					BgL_testz00_1678
																																																																																						=
																																																																																						BgL_testz00_20258;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1682;
																																																																																				}
																																																																																				BgL_auxz00_18539
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_20257);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1706;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_20265;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1707;
																																																																																					BgL_auxz00_18539
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_20265);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20269;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_18539
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20269);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20273;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_18539
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20273);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1706;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_20277;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1707;
																																																																															BgL_auxz00_18539
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_20277);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1706;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_20281;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1707;
																																																																													BgL_auxz00_18539
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20281);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_20285;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_18539
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_20285);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1706;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_20289;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1707;
																																																																				BgL_auxz00_18539
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_20289);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1706;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_20293;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1707;
																																																																		BgL_auxz00_18539
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_20293);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																										}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 117 */
																																											if ((BgL_carzd234437zd2_5741 == CNST_TABLE_REF(((long) 18))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_20298;
																																													goto
																																														BgL_tagzd2382zd2_1662;
																																													BgL_auxz00_18539
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_20298);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 117 */
																																													if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd234437zd2_5741)))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_20303;
																																															goto
																																																BgL_tagzd2382zd2_1662;
																																															BgL_auxz00_18539
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_20303);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 117 */
																																															if ((BgL_carzd234437zd2_5741 == CNST_TABLE_REF(((long) 19))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_20308;
																																																	goto
																																																		BgL_tagzd2382zd2_1662;
																																																	BgL_auxz00_18539
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_20308);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 117 */
																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_20314;
																																																			goto
																																																				BgL_tagzd2383zd2_1663;
																																																			BgL_auxz00_18539
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_20314);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_carzd237474zd2_6011;
																																																			BgL_carzd237474zd2_6011
																																																				=
																																																				CAR
																																																				(BgL_expz00_21);
																																																			if ((BgL_carzd237474zd2_6011 == CNST_TABLE_REF(((long) 20))))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_20320;
																																																					goto
																																																						BgL_tagzd2384zd2_1664;
																																																					BgL_auxz00_18539
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_20320);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd237474zd2_6011)))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_20325;
																																																							goto
																																																								BgL_tagzd2384zd2_1664;
																																																							BgL_auxz00_18539
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_20325);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_20331;
																																																									goto
																																																										BgL_tagzd2389zd2_1683;
																																																									BgL_auxz00_18539
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_20331);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_20337;
																																																											goto
																																																												BgL_tagzd2390zd2_1684;
																																																											BgL_auxz00_18539
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_20337);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd237554zd2_6018;
																																																											BgL_cdrzd237554zd2_6018
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_arg5000z00_6021;
																																																													obj_t
																																																														BgL_arg5001z00_6022;
																																																													BgL_arg5000z00_6021
																																																														=
																																																														CAR
																																																														(BgL_cdrzd237554zd2_6018);
																																																													BgL_arg5001z00_6022
																																																														=
																																																														CDR
																																																														(BgL_cdrzd237554zd2_6018);
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_20346;
																																																														{
																																																															obj_t
																																																																BgL_restz00_20348;
																																																															obj_t
																																																																BgL_effectz00_20347;
																																																															BgL_effectz00_20347
																																																																=
																																																																BgL_arg5000z00_6021;
																																																															BgL_restz00_20348
																																																																=
																																																																BgL_arg5001z00_6022;
																																																															BgL_restz00_1686
																																																																=
																																																																BgL_restz00_20348;
																																																															BgL_effectz00_1685
																																																																=
																																																																BgL_effectz00_20347;
																																																															goto
																																																																BgL_tagzd2391zd2_1687;
																																																														}
																																																														BgL_auxz00_18539
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_20346);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_20354;
																																																															goto
																																																																BgL_tagzd2392zd2_1688;
																																																															BgL_auxz00_18539
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_20354);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_20360;
																																																																	goto
																																																																		BgL_tagzd2393zd2_1689;
																																																																	BgL_auxz00_18539
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_20360);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_arg5008z00_6030;
																																																																			obj_t
																																																																				BgL_arg5009z00_6031;
																																																																			BgL_arg5008z00_6030
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd237554zd2_6018);
																																																																			BgL_arg5009z00_6031
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd237554zd2_6018);
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_20368;
																																																																				{
																																																																					obj_t
																																																																						BgL_restz00_20370;
																																																																					obj_t
																																																																						BgL_effectz00_20369;
																																																																					BgL_effectz00_20369
																																																																						=
																																																																						BgL_arg5008z00_6030;
																																																																					BgL_restz00_20370
																																																																						=
																																																																						BgL_arg5009z00_6031;
																																																																					BgL_restz00_1691
																																																																						=
																																																																						BgL_restz00_20370;
																																																																					BgL_effectz00_1690
																																																																						=
																																																																						BgL_effectz00_20369;
																																																																					goto
																																																																						BgL_tagzd2394zd2_1692;
																																																																				}
																																																																				BgL_auxz00_18539
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_20368);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_20376;
																																																																					goto
																																																																						BgL_tagzd2395zd2_1693;
																																																																					BgL_auxz00_18539
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_20376);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_20382;
																																																																							goto
																																																																								BgL_tagzd2396zd2_1694;
																																																																							BgL_auxz00_18539
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_20382);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																																								{
																																																																									BgL_letzd2funzd2_bglt
																																																																										BgL_auxz00_20388;
																																																																									goto
																																																																										BgL_tagzd2397zd2_1695;
																																																																									BgL_auxz00_18539
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_20388);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																																										{
																																																																											BgL_jumpzd2exzd2itz00_bglt
																																																																												BgL_auxz00_20394;
																																																																											goto
																																																																												BgL_tagzd2398zd2_1696;
																																																																											BgL_auxz00_18539
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_20394);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_cdrzd237631zd2_6040;
																																																																											BgL_cdrzd237631zd2_6040
																																																																												=
																																																																												CDR
																																																																												(BgL_expz00_21);
																																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_arg5020z00_6043;
																																																																													obj_t
																																																																														BgL_arg5021z00_6044;
																																																																													BgL_arg5020z00_6043
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd237631zd2_6040);
																																																																													BgL_arg5021z00_6044
																																																																														=
																																																																														CDR
																																																																														(BgL_cdrzd237631zd2_6040);
																																																																													{	/* Ast/sexp.scm 538 */
																																																																														obj_t
																																																																															BgL_arg6415z00_10967;
																																																																														BgL_arg6415z00_10967
																																																																															=
																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																															(BgL_expz00_21,
																																																																															BgL_locz00_23);
																																																																														BgL_auxz00_18539
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																															(BgL_expz00_21,
																																																																																BgL_arg5020z00_6043,
																																																																																CNST_TABLE_REF
																																																																																(((long) 4)), BgL_arg5021z00_6044, BgL_stackz00_22, BgL_arg6415z00_10967, BgL_sitez00_24));
																																																																												}}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1706;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_20409;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1707;
																																																																															BgL_auxz00_18539
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_20409);
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 117 */
																															obj_t
																																BgL_carzd237654zd2_6061;
																															BgL_carzd237654zd2_6061
																																=
																																CAR
																																(BgL_expz00_21);
																															if (
																																(BgL_carzd237654zd2_6061
																																	==
																																	CNST_TABLE_REF
																																	(((long) 1))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_20415;
																																	goto
																																		BgL_tagzd2377zd2_1653;
																																	BgL_auxz00_18539
																																		=
																																		((obj_t)
																																		BgL_auxz00_20415);
																																}
																															else
																																{	/* Ast/sexp.scm 117 */
																																	if (
																																		(BgL_carzd237654zd2_6061
																																			==
																																			BGl_za2ifza2z00zzast_sexpz00))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_20419;
																																			goto
																																				BgL_tagzd2377zd2_1653;
																																			BgL_auxz00_18539
																																				=
																																				((obj_t)
																																				BgL_auxz00_20419);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 117 */
																																			obj_t
																																				BgL_cdrzd237674zd2_6064;
																																			BgL_cdrzd237674zd2_6064
																																				=
																																				CDR
																																				(BgL_expz00_21);
																																			if ((CAR
																																					(BgL_expz00_21)
																																					==
																																					CNST_TABLE_REF
																																					(((long) 7))))
																																				{	/* Ast/sexp.scm 117 */
																																					obj_t
																																						BgL_carzd237677zd2_6067;
																																					obj_t
																																						BgL_cdrzd237678zd2_6068;
																																					BgL_carzd237677zd2_6067
																																						=
																																						CAR
																																						(BgL_cdrzd237674zd2_6064);
																																					BgL_cdrzd237678zd2_6068
																																						=
																																						CDR
																																						(BgL_cdrzd237674zd2_6064);
																																					if (PAIRP(BgL_carzd237677zd2_6067))
																																						{	/* Ast/sexp.scm 117 */
																																							if ((CAR(BgL_carzd237677zd2_6067) == CNST_TABLE_REF(((long) 15))))
																																								{	/* Ast/sexp.scm 117 */
																																									if (NULLP(CDR(BgL_cdrzd237678zd2_6068)))
																																										{	/* Ast/sexp.scm 117 */
																																											obj_t
																																												BgL_arg5047z00_6074;
																																											obj_t
																																												BgL_arg5048z00_6075;
																																											BgL_arg5047z00_6074
																																												=
																																												CDR
																																												(BgL_carzd237677zd2_6067);
																																											BgL_arg5048z00_6075
																																												=
																																												CAR
																																												(BgL_cdrzd237678zd2_6068);
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_20439;
																																												{
																																													obj_t
																																														BgL_valz00_20441;
																																													obj_t
																																														BgL_lz00_20440;
																																													BgL_lz00_20440
																																														=
																																														BgL_arg5047z00_6074;
																																													BgL_valz00_20441
																																														=
																																														BgL_arg5048z00_6075;
																																													BgL_valz00_1655
																																														=
																																														BgL_valz00_20441;
																																													BgL_lz00_1654
																																														=
																																														BgL_lz00_20440;
																																													goto
																																														BgL_tagzd2378zd2_1656;
																																												}
																																												BgL_auxz00_18539
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_20439);
																																											}
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_20443;
																																											goto
																																												BgL_tagzd2379zd2_1657;
																																											BgL_auxz00_18539
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_20443);
																																										}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_20445;
																																									goto
																																										BgL_tagzd2379zd2_1657;
																																									BgL_auxz00_18539
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_20445);
																																								}
																																						}
																																					else
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_20447;
																																							goto
																																								BgL_tagzd2379zd2_1657;
																																							BgL_auxz00_18539
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_20447);
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 117 */
																																					if (
																																						(CAR
																																							(BgL_expz00_21)
																																							==
																																							CNST_TABLE_REF
																																							(((long) 17))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_20453;
																																							goto
																																								BgL_tagzd2380zd2_1658;
																																							BgL_auxz00_18539
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_20453);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 117 */
																																							obj_t
																																								BgL_carzd237763zd2_6080;
																																							BgL_carzd237763zd2_6080
																																								=
																																								CAR
																																								(BgL_expz00_21);
																																							if (PAIRP(BgL_carzd237763zd2_6080))
																																								{	/* Ast/sexp.scm 117 */
																																									obj_t
																																										BgL_carzd237766zd2_6082;
																																									obj_t
																																										BgL_cdrzd237767zd2_6083;
																																									BgL_carzd237766zd2_6082
																																										=
																																										CAR
																																										(BgL_carzd237763zd2_6080);
																																									BgL_cdrzd237767zd2_6083
																																										=
																																										CDR
																																										(BgL_carzd237763zd2_6080);
																																									{

																																										if ((BgL_carzd237766zd2_6082 == CNST_TABLE_REF(((long) 18))))
																																											{	/* Ast/sexp.scm 117 */
																																											BgL_kapzd237768zd2_6084:
																																												if (PAIRP(BgL_cdrzd237767zd2_6083))
																																													{	/* Ast/sexp.scm 117 */
																																														obj_t
																																															BgL_cdrzd237771zd2_6206;
																																														BgL_cdrzd237771zd2_6206
																																															=
																																															CDR
																																															(BgL_cdrzd237767zd2_6083);
																																														if (PAIRP(BgL_cdrzd237771zd2_6206))
																																															{	/* Ast/sexp.scm 117 */
																																																if (NULLP(CDR(BgL_cdrzd237771zd2_6206)))
																																																	{	/* Ast/sexp.scm 117 */
																																																		obj_t
																																																			BgL_arg5136z00_6210;
																																																		obj_t
																																																			BgL_arg5137z00_6211;
																																																		BgL_arg5136z00_6210
																																																			=
																																																			CAR
																																																			(BgL_cdrzd237771zd2_6206);
																																																		BgL_arg5137z00_6211
																																																			=
																																																			CDR
																																																			(BgL_expz00_21);
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_20473;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_20475;
																																																				obj_t
																																																					BgL_bodyz00_20474;
																																																				BgL_bodyz00_20474
																																																					=
																																																					BgL_arg5136z00_6210;
																																																				BgL_argsz00_20475
																																																					=
																																																					BgL_arg5137z00_6211;
																																																				BgL_argsz00_1660
																																																					=
																																																					BgL_argsz00_20475;
																																																				BgL_bodyz00_1659
																																																					=
																																																					BgL_bodyz00_20474;
																																																				goto
																																																					BgL_tagzd2381zd2_1661;
																																																			}
																																																			BgL_auxz00_18539
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_20473);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		bool_t
																																																			BgL_testz00_20477;
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_arg5204z00_6320;
																																																			BgL_arg5204z00_6320
																																																				=
																																																				CAR
																																																				(BgL_expz00_21);
																																																			BgL_testz00_20477
																																																				=
																																																				CBOOL
																																																				(BGl_letzd2symzf3z21zzast_letz00
																																																				(BgL_arg5204z00_6320));
																																																		}
																																																		if (BgL_testz00_20477)
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_20481;
																																																				goto
																																																					BgL_tagzd2382zd2_1662;
																																																				BgL_auxz00_18539
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_20481);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				bool_t
																																																					BgL_testz00_20483;
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_arg5203z00_6319;
																																																					BgL_arg5203z00_6319
																																																						=
																																																						CAR
																																																						(BgL_expz00_21);
																																																					BgL_testz00_20483
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg5203z00_6319));
																																																				}
																																																				if (BgL_testz00_20483)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_20487;
																																																						goto
																																																							BgL_tagzd2384zd2_1664;
																																																						BgL_auxz00_18539
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_20487);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						obj_t
																																																							BgL_carzd237849zd2_6216;
																																																						BgL_carzd237849zd2_6216
																																																							=
																																																							CAR
																																																							(BgL_expz00_21);
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_cdrzd237854zd2_6217;
																																																							BgL_cdrzd237854zd2_6217
																																																								=
																																																								CDR
																																																								(BgL_carzd237849zd2_6216);
																																																							if ((CAR(BgL_carzd237849zd2_6216) == CNST_TABLE_REF(((long) 3))))
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_arg5144z00_6220;
																																																									obj_t
																																																										BgL_arg5145z00_6221;
																																																									obj_t
																																																										BgL_arg5146z00_6222;
																																																									BgL_arg5144z00_6220
																																																										=
																																																										CAR
																																																										(BgL_cdrzd237854zd2_6217);
																																																									BgL_arg5145z00_6221
																																																										=
																																																										CDR
																																																										(BgL_cdrzd237854zd2_6217);
																																																									BgL_arg5146z00_6222
																																																										=
																																																										CDR
																																																										(BgL_expz00_21);
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_20498;
																																																										{
																																																											obj_t
																																																												BgL_argsz00_20501;
																																																											obj_t
																																																												BgL_bodyz00_20500;
																																																											obj_t
																																																												BgL_varsz00_20499;
																																																											BgL_varsz00_20499
																																																												=
																																																												BgL_arg5144z00_6220;
																																																											BgL_bodyz00_20500
																																																												=
																																																												BgL_arg5145z00_6221;
																																																											BgL_argsz00_20501
																																																												=
																																																												BgL_arg5146z00_6222;
																																																											BgL_argsz00_1671
																																																												=
																																																												BgL_argsz00_20501;
																																																											BgL_bodyz00_1670
																																																												=
																																																												BgL_bodyz00_20500;
																																																											BgL_varsz00_1669
																																																												=
																																																												BgL_varsz00_20499;
																																																											goto
																																																												BgL_tagzd2386zd2_1672;
																																																										}
																																																										BgL_auxz00_18539
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_20498);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_cdrzd237877zd2_6224;
																																																									BgL_cdrzd237877zd2_6224
																																																										=
																																																										CDR
																																																										(BgL_expz00_21);
																																																									{	/* Ast/sexp.scm 117 */
																																																										obj_t
																																																											BgL_cdrzd237883zd2_6225;
																																																										BgL_cdrzd237883zd2_6225
																																																											=
																																																											CDR
																																																											(BgL_carzd237849zd2_6216);
																																																										if ((CAR(BgL_carzd237849zd2_6216) == CNST_TABLE_REF(((long) 1))))
																																																											{	/* Ast/sexp.scm 117 */
																																																												obj_t
																																																													BgL_cdrzd237889zd2_6228;
																																																												BgL_cdrzd237889zd2_6228
																																																													=
																																																													CDR
																																																													(BgL_cdrzd237883zd2_6225);
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_carzd237894zd2_6229;
																																																													obj_t
																																																														BgL_cdrzd237895zd2_6230;
																																																													BgL_carzd237894zd2_6229
																																																														=
																																																														CAR
																																																														(BgL_cdrzd237889zd2_6228);
																																																													BgL_cdrzd237895zd2_6230
																																																														=
																																																														CDR
																																																														(BgL_cdrzd237889zd2_6228);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd237894zd2_6229))
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (PAIRP(BgL_cdrzd237895zd2_6230))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_carzd237902zd2_6233;
																																																																	BgL_carzd237902zd2_6233
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd237895zd2_6230);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd237902zd2_6233))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (NULLP(CDR(BgL_cdrzd237895zd2_6230)))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					bool_t
																																																																						BgL_testz00_20522;
																																																																					{
																																																																						obj_t
																																																																							BgL_l1427z00_6266;
																																																																						BgL_l1427z00_6266
																																																																							=
																																																																							BgL_cdrzd237877zd2_6224;
																																																																					BgL_zc3anonymousza35169ze3z83_6267:
																																																																						if (NULLP(BgL_l1427z00_6266))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								BgL_testz00_20522
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									1);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								bool_t
																																																																									BgL_testz00_20525;
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									bool_t
																																																																										BgL_testz00_20526;
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_tmpz00_20527;
																																																																										BgL_tmpz00_20527
																																																																											=
																																																																											CAR
																																																																											(BgL_l1427z00_6266);
																																																																										BgL_testz00_20526
																																																																											=
																																																																											PAIRP
																																																																											(BgL_tmpz00_20527);
																																																																									}
																																																																									if (BgL_testz00_20526)
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											BgL_testz00_20525
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											BgL_testz00_20525
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																								}
																																																																								if (BgL_testz00_20525)
																																																																									{
																																																																										obj_t
																																																																											BgL_l1427z00_20530;
																																																																										BgL_l1427z00_20530
																																																																											=
																																																																											CDR
																																																																											(BgL_l1427z00_6266);
																																																																										BgL_l1427z00_6266
																																																																											=
																																																																											BgL_l1427z00_20530;
																																																																										goto
																																																																											BgL_zc3anonymousza35169ze3z83_6267;
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										BgL_testz00_20522
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																							}
																																																																					}
																																																																					if (BgL_testz00_20522)
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_arg5159z00_6249;
																																																																							BgL_arg5159z00_6249
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd237883zd2_6225);
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_20533;
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_20537;
																																																																									obj_t
																																																																										BgL_proc2z00_20536;
																																																																									obj_t
																																																																										BgL_proc1z00_20535;
																																																																									obj_t
																																																																										BgL_testz00_20534;
																																																																									BgL_testz00_20534
																																																																										=
																																																																										BgL_arg5159z00_6249;
																																																																									BgL_proc1z00_20535
																																																																										=
																																																																										BgL_carzd237894zd2_6229;
																																																																									BgL_proc2z00_20536
																																																																										=
																																																																										BgL_carzd237902zd2_6233;
																																																																									BgL_argsz00_20537
																																																																										=
																																																																										BgL_cdrzd237877zd2_6224;
																																																																									BgL_argsz00_1676
																																																																										=
																																																																										BgL_argsz00_20537;
																																																																									BgL_proc2z00_1675
																																																																										=
																																																																										BgL_proc2z00_20536;
																																																																									BgL_proc1z00_1674
																																																																										=
																																																																										BgL_proc1z00_20535;
																																																																									BgL_testz00_1673
																																																																										=
																																																																										BgL_testz00_20534;
																																																																									goto
																																																																										BgL_tagzd2387zd2_1677;
																																																																								}
																																																																								BgL_auxz00_18539
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_20533);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd237926zd2_6250;
																																																																							BgL_cdrzd237926zd2_6250
																																																																								=
																																																																								CDR
																																																																								(BgL_expz00_21);
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_cdrzd237933zd2_6251;
																																																																								BgL_cdrzd237933zd2_6251
																																																																									=
																																																																									CDR
																																																																									(CAR
																																																																									(BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd237940zd2_6252;
																																																																									BgL_cdrzd237940zd2_6252
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd237933zd2_6251);
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_carzd237946zd2_6253;
																																																																										BgL_carzd237946zd2_6253
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd237940zd2_6252);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd237946zd2_6253))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_carzd237953zd2_6255;
																																																																												BgL_carzd237953zd2_6255
																																																																													=
																																																																													CAR
																																																																													(CDR
																																																																													(BgL_cdrzd237940zd2_6252));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd237953zd2_6255))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd237926zd2_6250))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_arg5163z00_6258;
																																																																																BgL_arg5163z00_6258
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd237933zd2_6251);
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20553;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_20557;
																																																																																		obj_t
																																																																																			BgL_proc2z00_20556;
																																																																																		obj_t
																																																																																			BgL_proc1z00_20555;
																																																																																		obj_t
																																																																																			BgL_testz00_20554;
																																																																																		BgL_testz00_20554
																																																																																			=
																																																																																			BgL_arg5163z00_6258;
																																																																																		BgL_proc1z00_20555
																																																																																			=
																																																																																			BgL_carzd237946zd2_6253;
																																																																																		BgL_proc2z00_20556
																																																																																			=
																																																																																			BgL_carzd237953zd2_6255;
																																																																																		BgL_argsz00_20557
																																																																																			=
																																																																																			BgL_cdrzd237926zd2_6250;
																																																																																		BgL_argsz00_1681
																																																																																			=
																																																																																			BgL_argsz00_20557;
																																																																																		BgL_proc2z00_1680
																																																																																			=
																																																																																			BgL_proc2z00_20556;
																																																																																		BgL_proc1z00_1679
																																																																																			=
																																																																																			BgL_proc1z00_20555;
																																																																																		BgL_testz00_1678
																																																																																			=
																																																																																			BgL_testz00_20554;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1682;
																																																																																	}
																																																																																	BgL_auxz00_18539
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20553);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_20561;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_18539
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_20561);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_20565;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_18539
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_20565);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_20569;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_18539
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_20569);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1706;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_20573;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1707;
																																																																							BgL_auxz00_18539
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_20573);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd238229zd2_6277;
																																																																			BgL_cdrzd238229zd2_6277
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_cdrzd238235zd2_6278;
																																																																				BgL_cdrzd238235zd2_6278
																																																																					=
																																																																					CDR
																																																																					(CAR
																																																																					(BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd238241zd2_6279;
																																																																					BgL_cdrzd238241zd2_6279
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd238235zd2_6278);
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_carzd238246zd2_6280;
																																																																						obj_t
																																																																							BgL_cdrzd238247zd2_6281;
																																																																						BgL_carzd238246zd2_6280
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd238241zd2_6279);
																																																																						BgL_cdrzd238247zd2_6281
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd238241zd2_6279);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238246zd2_6280))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_carzd238252zd2_6283;
																																																																								BgL_carzd238252zd2_6283
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd238247zd2_6281);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238252zd2_6283))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (NULLP(CDR(BgL_cdrzd238247zd2_6281)))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd238229zd2_6277))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_arg5178z00_6288;
																																																																														BgL_arg5178z00_6288
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd238235zd2_6278);
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_20592;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_20596;
																																																																																obj_t
																																																																																	BgL_proc2z00_20595;
																																																																																obj_t
																																																																																	BgL_proc1z00_20594;
																																																																																obj_t
																																																																																	BgL_testz00_20593;
																																																																																BgL_testz00_20593
																																																																																	=
																																																																																	BgL_arg5178z00_6288;
																																																																																BgL_proc1z00_20594
																																																																																	=
																																																																																	BgL_carzd238246zd2_6280;
																																																																																BgL_proc2z00_20595
																																																																																	=
																																																																																	BgL_carzd238252zd2_6283;
																																																																																BgL_argsz00_20596
																																																																																	=
																																																																																	BgL_cdrzd238229zd2_6277;
																																																																																BgL_argsz00_1681
																																																																																	=
																																																																																	BgL_argsz00_20596;
																																																																																BgL_proc2z00_1680
																																																																																	=
																																																																																	BgL_proc2z00_20595;
																																																																																BgL_proc1z00_1679
																																																																																	=
																																																																																	BgL_proc1z00_20594;
																																																																																BgL_testz00_1678
																																																																																	=
																																																																																	BgL_testz00_20593;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1682;
																																																																															}
																																																																															BgL_auxz00_18539
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_20592);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_20600;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_18539
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_20600);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_20604;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_18539
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_20604);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_20608;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_18539
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_20608);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_20612;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_18539
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_20612);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1706;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_20616;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1707;
																																																																			BgL_auxz00_18539
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_20616);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd238585zd2_6296;
																																																															BgL_cdrzd238585zd2_6296
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_cdrzd238592zd2_6297;
																																																																BgL_cdrzd238592zd2_6297
																																																																	=
																																																																	CDR
																																																																	(CAR
																																																																	(BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd238599zd2_6298;
																																																																	BgL_cdrzd238599zd2_6298
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd238592zd2_6297);
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_carzd238605zd2_6299;
																																																																		obj_t
																																																																			BgL_cdrzd238606zd2_6300;
																																																																		BgL_carzd238605zd2_6299
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd238599zd2_6298);
																																																																		BgL_cdrzd238606zd2_6300
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd238599zd2_6298);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238605zd2_6299))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (PAIRP(BgL_cdrzd238606zd2_6300))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_carzd238613zd2_6303;
																																																																						BgL_carzd238613zd2_6303
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd238606zd2_6300);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238613zd2_6303))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (NULLP(CDR(BgL_cdrzd238606zd2_6300)))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd238585zd2_6296))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_arg5192z00_6308;
																																																																												BgL_arg5192z00_6308
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd238592zd2_6297);
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_20637;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_20641;
																																																																														obj_t
																																																																															BgL_proc2z00_20640;
																																																																														obj_t
																																																																															BgL_proc1z00_20639;
																																																																														obj_t
																																																																															BgL_testz00_20638;
																																																																														BgL_testz00_20638
																																																																															=
																																																																															BgL_arg5192z00_6308;
																																																																														BgL_proc1z00_20639
																																																																															=
																																																																															BgL_carzd238605zd2_6299;
																																																																														BgL_proc2z00_20640
																																																																															=
																																																																															BgL_carzd238613zd2_6303;
																																																																														BgL_argsz00_20641
																																																																															=
																																																																															BgL_cdrzd238585zd2_6296;
																																																																														BgL_argsz00_1681
																																																																															=
																																																																															BgL_argsz00_20641;
																																																																														BgL_proc2z00_1680
																																																																															=
																																																																															BgL_proc2z00_20640;
																																																																														BgL_proc1z00_1679
																																																																															=
																																																																															BgL_proc1z00_20639;
																																																																														BgL_testz00_1678
																																																																															=
																																																																															BgL_testz00_20638;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1682;
																																																																													}
																																																																													BgL_auxz00_18539
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20637);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_20645;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_18539
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_20645);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_20649;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_18539
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_20649);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_20653;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_18539
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_20653);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_20657;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_18539
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_20657);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_20661;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_18539
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_20661);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 117 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 117 */
																																																														goto
																																																															BgL_tagzd2403zd2_1706;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_20665;
																																																														goto
																																																															BgL_tagzd2404zd2_1707;
																																																														BgL_auxz00_18539
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_20665);
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																bool_t
																																																	BgL_testz00_20667;
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_arg5218z00_6336;
																																																	BgL_arg5218z00_6336
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	BgL_testz00_20667
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg5218z00_6336));
																																																}
																																																if (BgL_testz00_20667)
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_20671;
																																																		goto
																																																			BgL_tagzd2382zd2_1662;
																																																		BgL_auxz00_18539
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_20671);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		bool_t
																																																			BgL_testz00_20673;
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_arg5217z00_6335;
																																																			BgL_arg5217z00_6335
																																																				=
																																																				CAR
																																																				(BgL_expz00_21);
																																																			BgL_testz00_20673
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg5217z00_6335));
																																																		}
																																																		if (BgL_testz00_20673)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_20677;
																																																				goto
																																																					BgL_tagzd2384zd2_1664;
																																																				BgL_auxz00_18539
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_20677);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				obj_t
																																																					BgL_carzd239059zd2_6326;
																																																				BgL_carzd239059zd2_6326
																																																					=
																																																					CAR
																																																					(BgL_expz00_21);
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_cdrzd239064zd2_6327;
																																																					BgL_cdrzd239064zd2_6327
																																																						=
																																																						CDR
																																																						(BgL_carzd239059zd2_6326);
																																																					if ((CAR(BgL_carzd239059zd2_6326) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_arg5212z00_6330;
																																																							obj_t
																																																								BgL_arg5213z00_6331;
																																																							obj_t
																																																								BgL_arg5214z00_6332;
																																																							BgL_arg5212z00_6330
																																																								=
																																																								CAR
																																																								(BgL_cdrzd239064zd2_6327);
																																																							BgL_arg5213z00_6331
																																																								=
																																																								CDR
																																																								(BgL_cdrzd239064zd2_6327);
																																																							BgL_arg5214z00_6332
																																																								=
																																																								CDR
																																																								(BgL_expz00_21);
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_20688;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_20691;
																																																									obj_t
																																																										BgL_bodyz00_20690;
																																																									obj_t
																																																										BgL_varsz00_20689;
																																																									BgL_varsz00_20689
																																																										=
																																																										BgL_arg5212z00_6330;
																																																									BgL_bodyz00_20690
																																																										=
																																																										BgL_arg5213z00_6331;
																																																									BgL_argsz00_20691
																																																										=
																																																										BgL_arg5214z00_6332;
																																																									BgL_argsz00_1671
																																																										=
																																																										BgL_argsz00_20691;
																																																									BgL_bodyz00_1670
																																																										=
																																																										BgL_bodyz00_20690;
																																																									BgL_varsz00_1669
																																																										=
																																																										BgL_varsz00_20689;
																																																									goto
																																																										BgL_tagzd2386zd2_1672;
																																																								}
																																																								BgL_auxz00_18539
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_20688);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{	/* Ast/sexp.scm 117 */
																																																									goto
																																																										BgL_tagzd2403zd2_1706;
																																																								}
																																																							else
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_20695;
																																																									goto
																																																										BgL_tagzd2404zd2_1707;
																																																									BgL_auxz00_18539
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_20695);
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														bool_t
																																															BgL_testz00_20697;
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_arg5225z00_6343;
																																															BgL_arg5225z00_6343
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_testz00_20697
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg5225z00_6343));
																																														}
																																														if (BgL_testz00_20697)
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_20701;
																																																goto
																																																	BgL_tagzd2382zd2_1662;
																																																BgL_auxz00_18539
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_20701);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																bool_t
																																																	BgL_testz00_20703;
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_arg5224z00_6342;
																																																	BgL_arg5224z00_6342
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	BgL_testz00_20703
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg5224z00_6342));
																																																}
																																																if (BgL_testz00_20703)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_20707;
																																																		goto
																																																			BgL_tagzd2384zd2_1664;
																																																		BgL_auxz00_18539
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_20707);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																			{	/* Ast/sexp.scm 117 */
																																																				goto
																																																					BgL_tagzd2403zd2_1706;
																																																			}
																																																		else
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_20711;
																																																				goto
																																																					BgL_tagzd2404zd2_1707;
																																																				BgL_auxz00_18539
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_20711);
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd237766zd2_6082)))
																																													{	/* Ast/sexp.scm 117 */
																																														goto
																																															BgL_kapzd237768zd2_6084;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														if ((BgL_carzd237766zd2_6082 == CNST_TABLE_REF(((long) 19))))
																																															{	/* Ast/sexp.scm 117 */
																																																goto
																																																	BgL_kapzd237768zd2_6084;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																if ((BgL_carzd237766zd2_6082 == CNST_TABLE_REF(((long) 20))))
																																																	{	/* Ast/sexp.scm 117 */
																																																		goto
																																																			BgL_kapzd237768zd2_6084;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd237766zd2_6082)))
																																																			{	/* Ast/sexp.scm 117 */
																																																				goto
																																																					BgL_kapzd237768zd2_6084;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				bool_t
																																																					BgL_testz00_20725;
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_arg5131z00_6204;
																																																					BgL_arg5131z00_6204
																																																						=
																																																						CAR
																																																						(BgL_expz00_21);
																																																					BgL_testz00_20725
																																																						=
																																																						CBOOL
																																																						(BGl_letzd2symzf3z21zzast_letz00
																																																						(BgL_arg5131z00_6204));
																																																				}
																																																				if (BgL_testz00_20725)
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_20729;
																																																						goto
																																																							BgL_tagzd2382zd2_1662;
																																																						BgL_auxz00_18539
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_20729);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						bool_t
																																																							BgL_testz00_20731;
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_arg5130z00_6203;
																																																							BgL_arg5130z00_6203
																																																								=
																																																								CAR
																																																								(BgL_expz00_21);
																																																							BgL_testz00_20731
																																																								=
																																																								CBOOL
																																																								(BGl_labelszd2symzf3z21zzast_labelsz00
																																																								(BgL_arg5130z00_6203));
																																																						}
																																																						if (BgL_testz00_20731)
																																																							{
																																																								BgL_letzd2funzd2_bglt
																																																									BgL_auxz00_20735;
																																																								goto
																																																									BgL_tagzd2384zd2_1664;
																																																								BgL_auxz00_18539
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_20735);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								obj_t
																																																									BgL_carzd239387zd2_6094;
																																																								BgL_carzd239387zd2_6094
																																																									=
																																																									CAR
																																																									(BgL_expz00_21);
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_cdrzd239392zd2_6095;
																																																									BgL_cdrzd239392zd2_6095
																																																										=
																																																										CDR
																																																										(BgL_carzd239387zd2_6094);
																																																									if ((CAR(BgL_carzd239387zd2_6094) == CNST_TABLE_REF(((long) 3))))
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (PAIRP(BgL_cdrzd239392zd2_6095))
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_arg5066z00_6099;
																																																													obj_t
																																																														BgL_arg5067z00_6100;
																																																													obj_t
																																																														BgL_arg5068z00_6101;
																																																													BgL_arg5066z00_6099
																																																														=
																																																														CAR
																																																														(BgL_cdrzd239392zd2_6095);
																																																													BgL_arg5067z00_6100
																																																														=
																																																														CDR
																																																														(BgL_cdrzd239392zd2_6095);
																																																													BgL_arg5068z00_6101
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_20748;
																																																														{
																																																															obj_t
																																																																BgL_argsz00_20751;
																																																															obj_t
																																																																BgL_bodyz00_20750;
																																																															obj_t
																																																																BgL_varsz00_20749;
																																																															BgL_varsz00_20749
																																																																=
																																																																BgL_arg5066z00_6099;
																																																															BgL_bodyz00_20750
																																																																=
																																																																BgL_arg5067z00_6100;
																																																															BgL_argsz00_20751
																																																																=
																																																																BgL_arg5068z00_6101;
																																																															BgL_argsz00_1671
																																																																=
																																																																BgL_argsz00_20751;
																																																															BgL_bodyz00_1670
																																																																=
																																																																BgL_bodyz00_20750;
																																																															BgL_varsz00_1669
																																																																=
																																																																BgL_varsz00_20749;
																																																															goto
																																																																BgL_tagzd2386zd2_1672;
																																																														}
																																																														BgL_auxz00_18539
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_20748);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 117 */
																																																															goto
																																																																BgL_tagzd2403zd2_1706;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_20755;
																																																															goto
																																																																BgL_tagzd2404zd2_1707;
																																																															BgL_auxz00_18539
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_20755);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd239499zd2_6104;
																																																											BgL_cdrzd239499zd2_6104
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											{	/* Ast/sexp.scm 117 */
																																																												obj_t
																																																													BgL_cdrzd239504zd2_6105;
																																																												BgL_cdrzd239504zd2_6105
																																																													=
																																																													CDR
																																																													(BgL_carzd239387zd2_6094);
																																																												if ((CAR(BgL_carzd239387zd2_6094) == CNST_TABLE_REF(((long) 1))))
																																																													{	/* Ast/sexp.scm 117 */
																																																														if (PAIRP(BgL_cdrzd239504zd2_6105))
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_cdrzd239509zd2_6109;
																																																																BgL_cdrzd239509zd2_6109
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd239504zd2_6105);
																																																																if (PAIRP(BgL_cdrzd239509zd2_6109))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_carzd239513zd2_6111;
																																																																		obj_t
																																																																			BgL_cdrzd239514zd2_6112;
																																																																		BgL_carzd239513zd2_6111
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd239509zd2_6109);
																																																																		BgL_cdrzd239514zd2_6112
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd239509zd2_6109);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239513zd2_6111))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (PAIRP(BgL_cdrzd239514zd2_6112))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_carzd239519zd2_6115;
																																																																						BgL_carzd239519zd2_6115
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd239514zd2_6112);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239519zd2_6115))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (NULLP(CDR(BgL_cdrzd239514zd2_6112)))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										bool_t
																																																																											BgL_testz00_20780;
																																																																										{
																																																																											obj_t
																																																																												BgL_l1430z00_6148;
																																																																											BgL_l1430z00_6148
																																																																												=
																																																																												BgL_cdrzd239499zd2_6104;
																																																																										BgL_zc3anonymousza35094ze3z83_6149:
																																																																											if (NULLP(BgL_l1430z00_6148))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													BgL_testz00_20780
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													bool_t
																																																																														BgL_testz00_20783;
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														bool_t
																																																																															BgL_testz00_20784;
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_tmpz00_20785;
																																																																															BgL_tmpz00_20785
																																																																																=
																																																																																CAR
																																																																																(BgL_l1430z00_6148);
																																																																															BgL_testz00_20784
																																																																																=
																																																																																PAIRP
																																																																																(BgL_tmpz00_20785);
																																																																														}
																																																																														if (BgL_testz00_20784)
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																BgL_testz00_20783
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																BgL_testz00_20783
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																													}
																																																																													if (BgL_testz00_20783)
																																																																														{
																																																																															obj_t
																																																																																BgL_l1430z00_20788;
																																																																															BgL_l1430z00_20788
																																																																																=
																																																																																CDR
																																																																																(BgL_l1430z00_6148);
																																																																															BgL_l1430z00_6148
																																																																																=
																																																																																BgL_l1430z00_20788;
																																																																															goto
																																																																																BgL_zc3anonymousza35094ze3z83_6149;
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															BgL_testz00_20780
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																												}
																																																																										}
																																																																										if (BgL_testz00_20780)
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_arg5084z00_6131;
																																																																												BgL_arg5084z00_6131
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd239504zd2_6105);
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_20791;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_20795;
																																																																														obj_t
																																																																															BgL_proc2z00_20794;
																																																																														obj_t
																																																																															BgL_proc1z00_20793;
																																																																														obj_t
																																																																															BgL_testz00_20792;
																																																																														BgL_testz00_20792
																																																																															=
																																																																															BgL_arg5084z00_6131;
																																																																														BgL_proc1z00_20793
																																																																															=
																																																																															BgL_carzd239513zd2_6111;
																																																																														BgL_proc2z00_20794
																																																																															=
																																																																															BgL_carzd239519zd2_6115;
																																																																														BgL_argsz00_20795
																																																																															=
																																																																															BgL_cdrzd239499zd2_6104;
																																																																														BgL_argsz00_1676
																																																																															=
																																																																															BgL_argsz00_20795;
																																																																														BgL_proc2z00_1675
																																																																															=
																																																																															BgL_proc2z00_20794;
																																																																														BgL_proc1z00_1674
																																																																															=
																																																																															BgL_proc1z00_20793;
																																																																														BgL_testz00_1673
																																																																															=
																																																																															BgL_testz00_20792;
																																																																														goto
																																																																															BgL_tagzd2387zd2_1677;
																																																																													}
																																																																													BgL_auxz00_18539
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20791);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_cdrzd239544zd2_6132;
																																																																												BgL_cdrzd239544zd2_6132
																																																																													=
																																																																													CDR
																																																																													(BgL_expz00_21);
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_cdrzd239552zd2_6133;
																																																																													BgL_cdrzd239552zd2_6133
																																																																														=
																																																																														CDR
																																																																														(CAR
																																																																														(BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_cdrzd239560zd2_6134;
																																																																														BgL_cdrzd239560zd2_6134
																																																																															=
																																																																															CDR
																																																																															(BgL_cdrzd239552zd2_6133);
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_carzd239567zd2_6135;
																																																																															BgL_carzd239567zd2_6135
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd239560zd2_6134);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239567zd2_6135))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_carzd239576zd2_6137;
																																																																																	BgL_carzd239576zd2_6137
																																																																																		=
																																																																																		CAR
																																																																																		(CDR
																																																																																		(BgL_cdrzd239560zd2_6134));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239576zd2_6137))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd239544zd2_6132))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					obj_t
																																																																																						BgL_arg5088z00_6140;
																																																																																					BgL_arg5088z00_6140
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_cdrzd239552zd2_6133);
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_20811;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_20815;
																																																																																							obj_t
																																																																																								BgL_proc2z00_20814;
																																																																																							obj_t
																																																																																								BgL_proc1z00_20813;
																																																																																							obj_t
																																																																																								BgL_testz00_20812;
																																																																																							BgL_testz00_20812
																																																																																								=
																																																																																								BgL_arg5088z00_6140;
																																																																																							BgL_proc1z00_20813
																																																																																								=
																																																																																								BgL_carzd239567zd2_6135;
																																																																																							BgL_proc2z00_20814
																																																																																								=
																																																																																								BgL_carzd239576zd2_6137;
																																																																																							BgL_argsz00_20815
																																																																																								=
																																																																																								BgL_cdrzd239544zd2_6132;
																																																																																							BgL_argsz00_1681
																																																																																								=
																																																																																								BgL_argsz00_20815;
																																																																																							BgL_proc2z00_1680
																																																																																								=
																																																																																								BgL_proc2z00_20814;
																																																																																							BgL_proc1z00_1679
																																																																																								=
																																																																																								BgL_proc1z00_20813;
																																																																																							BgL_testz00_1678
																																																																																								=
																																																																																								BgL_testz00_20812;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1682;
																																																																																						}
																																																																																						BgL_auxz00_18539
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_20811);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 117 */
																																																																																							goto
																																																																																								BgL_tagzd2403zd2_1706;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_20819;
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1707;
																																																																																							BgL_auxz00_18539
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_20819);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1706;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_20823;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1707;
																																																																																					BgL_auxz00_18539
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_20823);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20827;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_18539
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20827);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_20831;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_18539
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_20831);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_cdrzd239854zd2_6159;
																																																																								BgL_cdrzd239854zd2_6159
																																																																									=
																																																																									CDR
																																																																									(BgL_expz00_21);
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd239861zd2_6160;
																																																																									BgL_cdrzd239861zd2_6160
																																																																										=
																																																																										CDR
																																																																										(CAR
																																																																										(BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_cdrzd239868zd2_6161;
																																																																										BgL_cdrzd239868zd2_6161
																																																																											=
																																																																											CDR
																																																																											(BgL_cdrzd239861zd2_6160);
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_carzd239874zd2_6162;
																																																																											obj_t
																																																																												BgL_cdrzd239875zd2_6163;
																																																																											BgL_carzd239874zd2_6162
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd239868zd2_6161);
																																																																											BgL_cdrzd239875zd2_6163
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd239868zd2_6161);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239874zd2_6162))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_carzd239882zd2_6165;
																																																																													BgL_carzd239882zd2_6165
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd239875zd2_6163);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239882zd2_6165))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (NULLP(CDR(BgL_cdrzd239875zd2_6163)))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd239854zd2_6159))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			obj_t
																																																																																				BgL_arg5103z00_6170;
																																																																																			BgL_arg5103z00_6170
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd239861zd2_6160);
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_20850;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_20854;
																																																																																					obj_t
																																																																																						BgL_proc2z00_20853;
																																																																																					obj_t
																																																																																						BgL_proc1z00_20852;
																																																																																					obj_t
																																																																																						BgL_testz00_20851;
																																																																																					BgL_testz00_20851
																																																																																						=
																																																																																						BgL_arg5103z00_6170;
																																																																																					BgL_proc1z00_20852
																																																																																						=
																																																																																						BgL_carzd239874zd2_6162;
																																																																																					BgL_proc2z00_20853
																																																																																						=
																																																																																						BgL_carzd239882zd2_6165;
																																																																																					BgL_argsz00_20854
																																																																																						=
																																																																																						BgL_cdrzd239854zd2_6159;
																																																																																					BgL_argsz00_1681
																																																																																						=
																																																																																						BgL_argsz00_20854;
																																																																																					BgL_proc2z00_1680
																																																																																						=
																																																																																						BgL_proc2z00_20853;
																																																																																					BgL_proc1z00_1679
																																																																																						=
																																																																																						BgL_proc1z00_20852;
																																																																																					BgL_testz00_1678
																																																																																						=
																																																																																						BgL_testz00_20851;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1682;
																																																																																				}
																																																																																				BgL_auxz00_18539
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_20850);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1706;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_20858;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1707;
																																																																																					BgL_auxz00_18539
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_20858);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20862;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_18539
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20862);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20866;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_18539
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20866);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1706;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_20870;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1707;
																																																																															BgL_auxz00_18539
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_20870);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_20874;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_18539
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_20874);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_cdrzd240215zd2_6178;
																																																																				BgL_cdrzd240215zd2_6178
																																																																					=
																																																																					CDR
																																																																					(BgL_expz00_21);
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd240221zd2_6179;
																																																																					BgL_cdrzd240221zd2_6179
																																																																						=
																																																																						CDR
																																																																						(CAR
																																																																						(BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_cdrzd240227zd2_6180;
																																																																						BgL_cdrzd240227zd2_6180
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd240221zd2_6179);
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_carzd240232zd2_6181;
																																																																							obj_t
																																																																								BgL_cdrzd240233zd2_6182;
																																																																							BgL_carzd240232zd2_6181
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd240227zd2_6180);
																																																																							BgL_cdrzd240233zd2_6182
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd240227zd2_6180);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240232zd2_6181))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (PAIRP(BgL_cdrzd240233zd2_6182))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_carzd240238zd2_6185;
																																																																											BgL_carzd240238zd2_6185
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd240233zd2_6182);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240238zd2_6185))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (NULLP(CDR(BgL_cdrzd240233zd2_6182)))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd240215zd2_6178))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_arg5117z00_6190;
																																																																																	BgL_arg5117z00_6190
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd240221zd2_6179);
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_20895;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_20899;
																																																																																			obj_t
																																																																																				BgL_proc2z00_20898;
																																																																																			obj_t
																																																																																				BgL_proc1z00_20897;
																																																																																			obj_t
																																																																																				BgL_testz00_20896;
																																																																																			BgL_testz00_20896
																																																																																				=
																																																																																				BgL_arg5117z00_6190;
																																																																																			BgL_proc1z00_20897
																																																																																				=
																																																																																				BgL_carzd240232zd2_6181;
																																																																																			BgL_proc2z00_20898
																																																																																				=
																																																																																				BgL_carzd240238zd2_6185;
																																																																																			BgL_argsz00_20899
																																																																																				=
																																																																																				BgL_cdrzd240215zd2_6178;
																																																																																			BgL_argsz00_1681
																																																																																				=
																																																																																				BgL_argsz00_20899;
																																																																																			BgL_proc2z00_1680
																																																																																				=
																																																																																				BgL_proc2z00_20898;
																																																																																			BgL_proc1z00_1679
																																																																																				=
																																																																																				BgL_proc1z00_20897;
																																																																																			BgL_testz00_1678
																																																																																				=
																																																																																				BgL_testz00_20896;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1682;
																																																																																		}
																																																																																		BgL_auxz00_18539
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_20895);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20903;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_18539
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20903);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20907;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_18539
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20907);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1706;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_20911;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1707;
																																																																															BgL_auxz00_18539
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_20911);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1706;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_20915;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1707;
																																																																													BgL_auxz00_18539
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20915);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1706;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_20919;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1707;
																																																																											BgL_auxz00_18539
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_20919);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1706;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_20923;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1707;
																																																																				BgL_auxz00_18539
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_20923);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1706;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_20927;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1707;
																																																																		BgL_auxz00_18539
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_20927);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 117 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 117 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1706;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_20931;
																																																																goto
																																																																	BgL_tagzd2404zd2_1707;
																																																																BgL_auxz00_18539
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_20931);
																																																															}
																																																													}
																																																											}
																																																										}
																																																								}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 117 */
																																									if ((BgL_carzd237763zd2_6080 == CNST_TABLE_REF(((long) 18))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_20936;
																																											goto
																																												BgL_tagzd2382zd2_1662;
																																											BgL_auxz00_18539
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_20936);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 117 */
																																											if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd237763zd2_6080)))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_20941;
																																													goto
																																														BgL_tagzd2382zd2_1662;
																																													BgL_auxz00_18539
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_20941);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 117 */
																																													if ((BgL_carzd237763zd2_6080 == CNST_TABLE_REF(((long) 19))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_20946;
																																															goto
																																																BgL_tagzd2382zd2_1662;
																																															BgL_auxz00_18539
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_20946);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 117 */
																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_20952;
																																																	goto
																																																		BgL_tagzd2383zd2_1663;
																																																	BgL_auxz00_18539
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_20952);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_carzd240800zd2_6350;
																																																	BgL_carzd240800zd2_6350
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	if ((BgL_carzd240800zd2_6350 == CNST_TABLE_REF(((long) 20))))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_20958;
																																																			goto
																																																				BgL_tagzd2384zd2_1664;
																																																			BgL_auxz00_18539
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_20958);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 117 */
																																																			if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd240800zd2_6350)))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_20963;
																																																					goto
																																																						BgL_tagzd2384zd2_1664;
																																																					BgL_auxz00_18539
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_20963);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_20969;
																																																							goto
																																																								BgL_tagzd2389zd2_1683;
																																																							BgL_auxz00_18539
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_20969);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_20975;
																																																									goto
																																																										BgL_tagzd2390zd2_1684;
																																																									BgL_auxz00_18539
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_20975);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_cdrzd240880zd2_6357;
																																																									BgL_cdrzd240880zd2_6357
																																																										=
																																																										CDR
																																																										(BgL_expz00_21);
																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_arg5239z00_6360;
																																																											obj_t
																																																												BgL_arg5240z00_6361;
																																																											BgL_arg5239z00_6360
																																																												=
																																																												CAR
																																																												(BgL_cdrzd240880zd2_6357);
																																																											BgL_arg5240z00_6361
																																																												=
																																																												CDR
																																																												(BgL_cdrzd240880zd2_6357);
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_20984;
																																																												{
																																																													obj_t
																																																														BgL_restz00_20986;
																																																													obj_t
																																																														BgL_effectz00_20985;
																																																													BgL_effectz00_20985
																																																														=
																																																														BgL_arg5239z00_6360;
																																																													BgL_restz00_20986
																																																														=
																																																														BgL_arg5240z00_6361;
																																																													BgL_restz00_1686
																																																														=
																																																														BgL_restz00_20986;
																																																													BgL_effectz00_1685
																																																														=
																																																														BgL_effectz00_20985;
																																																													goto
																																																														BgL_tagzd2391zd2_1687;
																																																												}
																																																												BgL_auxz00_18539
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_20984);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_20992;
																																																													goto
																																																														BgL_tagzd2392zd2_1688;
																																																													BgL_auxz00_18539
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_20992);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_20998;
																																																															goto
																																																																BgL_tagzd2393zd2_1689;
																																																															BgL_auxz00_18539
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_20998);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_arg5247z00_6369;
																																																																	obj_t
																																																																		BgL_arg5248z00_6370;
																																																																	BgL_arg5247z00_6369
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd240880zd2_6357);
																																																																	BgL_arg5248z00_6370
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd240880zd2_6357);
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_21006;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_21008;
																																																																			obj_t
																																																																				BgL_effectz00_21007;
																																																																			BgL_effectz00_21007
																																																																				=
																																																																				BgL_arg5247z00_6369;
																																																																			BgL_restz00_21008
																																																																				=
																																																																				BgL_arg5248z00_6370;
																																																																			BgL_restz00_1691
																																																																				=
																																																																				BgL_restz00_21008;
																																																																			BgL_effectz00_1690
																																																																				=
																																																																				BgL_effectz00_21007;
																																																																			goto
																																																																				BgL_tagzd2394zd2_1692;
																																																																		}
																																																																		BgL_auxz00_18539
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_21006);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_21014;
																																																																			goto
																																																																				BgL_tagzd2395zd2_1693;
																																																																			BgL_auxz00_18539
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_21014);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_21020;
																																																																					goto
																																																																						BgL_tagzd2396zd2_1694;
																																																																					BgL_auxz00_18539
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_21020);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																																						{
																																																																							BgL_letzd2funzd2_bglt
																																																																								BgL_auxz00_21026;
																																																																							goto
																																																																								BgL_tagzd2397zd2_1695;
																																																																							BgL_auxz00_18539
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_21026);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																																								{
																																																																									BgL_jumpzd2exzd2itz00_bglt
																																																																										BgL_auxz00_21032;
																																																																									goto
																																																																										BgL_tagzd2398zd2_1696;
																																																																									BgL_auxz00_18539
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_21032);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 31))))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (NULLP(CDR(CDR(CDR(BgL_expz00_21)))))
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_21043;
																																																																													goto
																																																																														BgL_tagzd2399zd2_1697;
																																																																													BgL_auxz00_18539
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_21043);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1706;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21047;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1707;
																																																																															BgL_auxz00_18539
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21047);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_cdrzd240973zd2_6389;
																																																																											BgL_cdrzd240973zd2_6389
																																																																												=
																																																																												CDR
																																																																												(BgL_expz00_21);
																																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_arg5269z00_6392;
																																																																													obj_t
																																																																														BgL_arg5270z00_6393;
																																																																													BgL_arg5269z00_6392
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd240973zd2_6389);
																																																																													BgL_arg5270z00_6393
																																																																														=
																																																																														CDR
																																																																														(BgL_cdrzd240973zd2_6389);
																																																																													{	/* Ast/sexp.scm 538 */
																																																																														obj_t
																																																																															BgL_arg6415z00_11138;
																																																																														BgL_arg6415z00_11138
																																																																															=
																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																															(BgL_expz00_21,
																																																																															BgL_locz00_23);
																																																																														BgL_auxz00_18539
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																															(BgL_expz00_21,
																																																																																BgL_arg5269z00_6392,
																																																																																CNST_TABLE_REF
																																																																																(((long) 4)), BgL_arg5270z00_6393, BgL_stackz00_22, BgL_arg6415z00_11138, BgL_sitez00_24));
																																																																												}}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1706;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21062;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1707;
																																																																															BgL_auxz00_18539
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21062);
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 117 */
																													obj_t
																														BgL_carzd240996zd2_6410;
																													BgL_carzd240996zd2_6410
																														=
																														CAR(BgL_expz00_21);
																													if (
																														(BgL_carzd240996zd2_6410
																															==
																															CNST_TABLE_REF((
																																	(long) 1))))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_21068;
																															goto
																																BgL_tagzd2377zd2_1653;
																															BgL_auxz00_18539 =
																																((obj_t)
																																BgL_auxz00_21068);
																														}
																													else
																														{	/* Ast/sexp.scm 117 */
																															if (
																																(BgL_carzd240996zd2_6410
																																	==
																																	BGl_za2ifza2z00zzast_sexpz00))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_21072;
																																	goto
																																		BgL_tagzd2377zd2_1653;
																																	BgL_auxz00_18539
																																		=
																																		((obj_t)
																																		BgL_auxz00_21072);
																																}
																															else
																																{	/* Ast/sexp.scm 117 */
																																	obj_t
																																		BgL_cdrzd241016zd2_6413;
																																	BgL_cdrzd241016zd2_6413
																																		=
																																		CDR
																																		(BgL_expz00_21);
																																	if ((CAR
																																			(BgL_expz00_21)
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					7))))
																																		{	/* Ast/sexp.scm 117 */
																																			obj_t
																																				BgL_carzd241019zd2_6416;
																																			obj_t
																																				BgL_cdrzd241020zd2_6417;
																																			BgL_carzd241019zd2_6416
																																				=
																																				CAR
																																				(BgL_cdrzd241016zd2_6413);
																																			BgL_cdrzd241020zd2_6417
																																				=
																																				CDR
																																				(BgL_cdrzd241016zd2_6413);
																																			if (PAIRP
																																				(BgL_carzd241019zd2_6416))
																																				{	/* Ast/sexp.scm 117 */
																																					if (
																																						(CAR
																																							(BgL_carzd241019zd2_6416)
																																							==
																																							CNST_TABLE_REF
																																							(((long) 15))))
																																						{	/* Ast/sexp.scm 117 */
																																							if (NULLP(CDR(BgL_cdrzd241020zd2_6417)))
																																								{	/* Ast/sexp.scm 117 */
																																									obj_t
																																										BgL_arg5296z00_6423;
																																									obj_t
																																										BgL_arg5297z00_6424;
																																									BgL_arg5296z00_6423
																																										=
																																										CDR
																																										(BgL_carzd241019zd2_6416);
																																									BgL_arg5297z00_6424
																																										=
																																										CAR
																																										(BgL_cdrzd241020zd2_6417);
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_21092;
																																										{
																																											obj_t
																																												BgL_valz00_21094;
																																											obj_t
																																												BgL_lz00_21093;
																																											BgL_lz00_21093
																																												=
																																												BgL_arg5296z00_6423;
																																											BgL_valz00_21094
																																												=
																																												BgL_arg5297z00_6424;
																																											BgL_valz00_1655
																																												=
																																												BgL_valz00_21094;
																																											BgL_lz00_1654
																																												=
																																												BgL_lz00_21093;
																																											goto
																																												BgL_tagzd2378zd2_1656;
																																										}
																																										BgL_auxz00_18539
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_21092);
																																									}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_21096;
																																									goto
																																										BgL_tagzd2379zd2_1657;
																																									BgL_auxz00_18539
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_21096);
																																								}
																																						}
																																					else
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_21098;
																																							goto
																																								BgL_tagzd2379zd2_1657;
																																							BgL_auxz00_18539
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_21098);
																																						}
																																				}
																																			else
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_21100;
																																					goto
																																						BgL_tagzd2379zd2_1657;
																																					BgL_auxz00_18539
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_21100);
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 117 */
																																			if (
																																				(CAR
																																					(BgL_expz00_21)
																																					==
																																					CNST_TABLE_REF
																																					(((long) 17))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_21106;
																																					goto
																																						BgL_tagzd2380zd2_1658;
																																					BgL_auxz00_18539
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_21106);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 117 */
																																					obj_t
																																						BgL_carzd241105zd2_6429;
																																					BgL_carzd241105zd2_6429
																																						=
																																						CAR
																																						(BgL_expz00_21);
																																					if (PAIRP(BgL_carzd241105zd2_6429))
																																						{	/* Ast/sexp.scm 117 */
																																							obj_t
																																								BgL_carzd241108zd2_6431;
																																							obj_t
																																								BgL_cdrzd241109zd2_6432;
																																							BgL_carzd241108zd2_6431
																																								=
																																								CAR
																																								(BgL_carzd241105zd2_6429);
																																							BgL_cdrzd241109zd2_6432
																																								=
																																								CDR
																																								(BgL_carzd241105zd2_6429);
																																							{

																																								if ((BgL_carzd241108zd2_6431 == CNST_TABLE_REF(((long) 18))))
																																									{	/* Ast/sexp.scm 117 */
																																									BgL_kapzd241110zd2_6433:
																																										if (PAIRP(BgL_cdrzd241109zd2_6432))
																																											{	/* Ast/sexp.scm 117 */
																																												obj_t
																																													BgL_cdrzd241113zd2_6555;
																																												BgL_cdrzd241113zd2_6555
																																													=
																																													CDR
																																													(BgL_cdrzd241109zd2_6432);
																																												if (PAIRP(BgL_cdrzd241113zd2_6555))
																																													{	/* Ast/sexp.scm 117 */
																																														if (NULLP(CDR(BgL_cdrzd241113zd2_6555)))
																																															{	/* Ast/sexp.scm 117 */
																																																obj_t
																																																	BgL_arg5385z00_6559;
																																																obj_t
																																																	BgL_arg5386z00_6560;
																																																BgL_arg5385z00_6559
																																																	=
																																																	CAR
																																																	(BgL_cdrzd241113zd2_6555);
																																																BgL_arg5386z00_6560
																																																	=
																																																	CDR
																																																	(BgL_expz00_21);
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_21126;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_21128;
																																																		obj_t
																																																			BgL_bodyz00_21127;
																																																		BgL_bodyz00_21127
																																																			=
																																																			BgL_arg5385z00_6559;
																																																		BgL_argsz00_21128
																																																			=
																																																			BgL_arg5386z00_6560;
																																																		BgL_argsz00_1660
																																																			=
																																																			BgL_argsz00_21128;
																																																		BgL_bodyz00_1659
																																																			=
																																																			BgL_bodyz00_21127;
																																																		goto
																																																			BgL_tagzd2381zd2_1661;
																																																	}
																																																	BgL_auxz00_18539
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_21126);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																bool_t
																																																	BgL_testz00_21130;
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_arg5453z00_6669;
																																																	BgL_arg5453z00_6669
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	BgL_testz00_21130
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg5453z00_6669));
																																																}
																																																if (BgL_testz00_21130)
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_21134;
																																																		goto
																																																			BgL_tagzd2382zd2_1662;
																																																		BgL_auxz00_18539
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_21134);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		bool_t
																																																			BgL_testz00_21136;
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_arg5452z00_6668;
																																																			BgL_arg5452z00_6668
																																																				=
																																																				CAR
																																																				(BgL_expz00_21);
																																																			BgL_testz00_21136
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg5452z00_6668));
																																																		}
																																																		if (BgL_testz00_21136)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_21140;
																																																				goto
																																																					BgL_tagzd2384zd2_1664;
																																																				BgL_auxz00_18539
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_21140);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				obj_t
																																																					BgL_carzd241191zd2_6565;
																																																				BgL_carzd241191zd2_6565
																																																					=
																																																					CAR
																																																					(BgL_expz00_21);
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_cdrzd241196zd2_6566;
																																																					BgL_cdrzd241196zd2_6566
																																																						=
																																																						CDR
																																																						(BgL_carzd241191zd2_6565);
																																																					if ((CAR(BgL_carzd241191zd2_6565) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_arg5393z00_6569;
																																																							obj_t
																																																								BgL_arg5394z00_6570;
																																																							obj_t
																																																								BgL_arg5395z00_6571;
																																																							BgL_arg5393z00_6569
																																																								=
																																																								CAR
																																																								(BgL_cdrzd241196zd2_6566);
																																																							BgL_arg5394z00_6570
																																																								=
																																																								CDR
																																																								(BgL_cdrzd241196zd2_6566);
																																																							BgL_arg5395z00_6571
																																																								=
																																																								CDR
																																																								(BgL_expz00_21);
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_21151;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_21154;
																																																									obj_t
																																																										BgL_bodyz00_21153;
																																																									obj_t
																																																										BgL_varsz00_21152;
																																																									BgL_varsz00_21152
																																																										=
																																																										BgL_arg5393z00_6569;
																																																									BgL_bodyz00_21153
																																																										=
																																																										BgL_arg5394z00_6570;
																																																									BgL_argsz00_21154
																																																										=
																																																										BgL_arg5395z00_6571;
																																																									BgL_argsz00_1671
																																																										=
																																																										BgL_argsz00_21154;
																																																									BgL_bodyz00_1670
																																																										=
																																																										BgL_bodyz00_21153;
																																																									BgL_varsz00_1669
																																																										=
																																																										BgL_varsz00_21152;
																																																									goto
																																																										BgL_tagzd2386zd2_1672;
																																																								}
																																																								BgL_auxz00_18539
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_21151);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_cdrzd241219zd2_6573;
																																																							BgL_cdrzd241219zd2_6573
																																																								=
																																																								CDR
																																																								(BgL_expz00_21);
																																																							{	/* Ast/sexp.scm 117 */
																																																								obj_t
																																																									BgL_cdrzd241225zd2_6574;
																																																								BgL_cdrzd241225zd2_6574
																																																									=
																																																									CDR
																																																									(BgL_carzd241191zd2_6565);
																																																								if ((CAR(BgL_carzd241191zd2_6565) == CNST_TABLE_REF(((long) 1))))
																																																									{	/* Ast/sexp.scm 117 */
																																																										obj_t
																																																											BgL_cdrzd241231zd2_6577;
																																																										BgL_cdrzd241231zd2_6577
																																																											=
																																																											CDR
																																																											(BgL_cdrzd241225zd2_6574);
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_carzd241236zd2_6578;
																																																											obj_t
																																																												BgL_cdrzd241237zd2_6579;
																																																											BgL_carzd241236zd2_6578
																																																												=
																																																												CAR
																																																												(BgL_cdrzd241231zd2_6577);
																																																											BgL_cdrzd241237zd2_6579
																																																												=
																																																												CDR
																																																												(BgL_cdrzd241231zd2_6577);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241236zd2_6578))
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (PAIRP(BgL_cdrzd241237zd2_6579))
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_carzd241244zd2_6582;
																																																															BgL_carzd241244zd2_6582
																																																																=
																																																																CAR
																																																																(BgL_cdrzd241237zd2_6579);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241244zd2_6582))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (NULLP(CDR(BgL_cdrzd241237zd2_6579)))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			bool_t
																																																																				BgL_testz00_21175;
																																																																			{
																																																																				obj_t
																																																																					BgL_l1433z00_6615;
																																																																				BgL_l1433z00_6615
																																																																					=
																																																																					BgL_cdrzd241219zd2_6573;
																																																																			BgL_zc3anonymousza35418ze3z83_6616:
																																																																				if (NULLP(BgL_l1433z00_6615))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						BgL_testz00_21175
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							1);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						bool_t
																																																																							BgL_testz00_21178;
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							bool_t
																																																																								BgL_testz00_21179;
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_tmpz00_21180;
																																																																								BgL_tmpz00_21180
																																																																									=
																																																																									CAR
																																																																									(BgL_l1433z00_6615);
																																																																								BgL_testz00_21179
																																																																									=
																																																																									PAIRP
																																																																									(BgL_tmpz00_21180);
																																																																							}
																																																																							if (BgL_testz00_21179)
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									BgL_testz00_21178
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									BgL_testz00_21178
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																						}
																																																																						if (BgL_testz00_21178)
																																																																							{
																																																																								obj_t
																																																																									BgL_l1433z00_21183;
																																																																								BgL_l1433z00_21183
																																																																									=
																																																																									CDR
																																																																									(BgL_l1433z00_6615);
																																																																								BgL_l1433z00_6615
																																																																									=
																																																																									BgL_l1433z00_21183;
																																																																								goto
																																																																									BgL_zc3anonymousza35418ze3z83_6616;
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								BgL_testz00_21175
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																					}
																																																																			}
																																																																			if (BgL_testz00_21175)
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_arg5408z00_6598;
																																																																					BgL_arg5408z00_6598
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd241225zd2_6574);
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_21186;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_21190;
																																																																							obj_t
																																																																								BgL_proc2z00_21189;
																																																																							obj_t
																																																																								BgL_proc1z00_21188;
																																																																							obj_t
																																																																								BgL_testz00_21187;
																																																																							BgL_testz00_21187
																																																																								=
																																																																								BgL_arg5408z00_6598;
																																																																							BgL_proc1z00_21188
																																																																								=
																																																																								BgL_carzd241236zd2_6578;
																																																																							BgL_proc2z00_21189
																																																																								=
																																																																								BgL_carzd241244zd2_6582;
																																																																							BgL_argsz00_21190
																																																																								=
																																																																								BgL_cdrzd241219zd2_6573;
																																																																							BgL_argsz00_1676
																																																																								=
																																																																								BgL_argsz00_21190;
																																																																							BgL_proc2z00_1675
																																																																								=
																																																																								BgL_proc2z00_21189;
																																																																							BgL_proc1z00_1674
																																																																								=
																																																																								BgL_proc1z00_21188;
																																																																							BgL_testz00_1673
																																																																								=
																																																																								BgL_testz00_21187;
																																																																							goto
																																																																								BgL_tagzd2387zd2_1677;
																																																																						}
																																																																						BgL_auxz00_18539
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_21186);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd241268zd2_6599;
																																																																					BgL_cdrzd241268zd2_6599
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_21);
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_cdrzd241275zd2_6600;
																																																																						BgL_cdrzd241275zd2_6600
																																																																							=
																																																																							CDR
																																																																							(CAR
																																																																							(BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd241282zd2_6601;
																																																																							BgL_cdrzd241282zd2_6601
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd241275zd2_6600);
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_carzd241288zd2_6602;
																																																																								BgL_carzd241288zd2_6602
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd241282zd2_6601);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241288zd2_6602))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_carzd241295zd2_6604;
																																																																										BgL_carzd241295zd2_6604
																																																																											=
																																																																											CAR
																																																																											(CDR
																																																																											(BgL_cdrzd241282zd2_6601));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241295zd2_6604))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd241268zd2_6599))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_arg5412z00_6607;
																																																																														BgL_arg5412z00_6607
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd241275zd2_6600);
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21206;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_21210;
																																																																																obj_t
																																																																																	BgL_proc2z00_21209;
																																																																																obj_t
																																																																																	BgL_proc1z00_21208;
																																																																																obj_t
																																																																																	BgL_testz00_21207;
																																																																																BgL_testz00_21207
																																																																																	=
																																																																																	BgL_arg5412z00_6607;
																																																																																BgL_proc1z00_21208
																																																																																	=
																																																																																	BgL_carzd241288zd2_6602;
																																																																																BgL_proc2z00_21209
																																																																																	=
																																																																																	BgL_carzd241295zd2_6604;
																																																																																BgL_argsz00_21210
																																																																																	=
																																																																																	BgL_cdrzd241268zd2_6599;
																																																																																BgL_argsz00_1681
																																																																																	=
																																																																																	BgL_argsz00_21210;
																																																																																BgL_proc2z00_1680
																																																																																	=
																																																																																	BgL_proc2z00_21209;
																																																																																BgL_proc1z00_1679
																																																																																	=
																																																																																	BgL_proc1z00_21208;
																																																																																BgL_testz00_1678
																																																																																	=
																																																																																	BgL_testz00_21207;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1682;
																																																																															}
																																																																															BgL_auxz00_18539
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21206);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_21214;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_18539
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_21214);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_21218;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_18539
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_21218);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_21222;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_18539
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_21222);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1706;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_21226;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1707;
																																																																					BgL_auxz00_18539
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_21226);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd241571zd2_6626;
																																																																	BgL_cdrzd241571zd2_6626
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_cdrzd241577zd2_6627;
																																																																		BgL_cdrzd241577zd2_6627
																																																																			=
																																																																			CDR
																																																																			(CAR
																																																																			(BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd241583zd2_6628;
																																																																			BgL_cdrzd241583zd2_6628
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd241577zd2_6627);
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_carzd241588zd2_6629;
																																																																				obj_t
																																																																					BgL_cdrzd241589zd2_6630;
																																																																				BgL_carzd241588zd2_6629
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd241583zd2_6628);
																																																																				BgL_cdrzd241589zd2_6630
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd241583zd2_6628);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241588zd2_6629))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_carzd241594zd2_6632;
																																																																						BgL_carzd241594zd2_6632
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd241589zd2_6630);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241594zd2_6632))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (NULLP(CDR(BgL_cdrzd241589zd2_6630)))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd241571zd2_6626))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_arg5427z00_6637;
																																																																												BgL_arg5427z00_6637
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd241577zd2_6627);
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_21245;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_21249;
																																																																														obj_t
																																																																															BgL_proc2z00_21248;
																																																																														obj_t
																																																																															BgL_proc1z00_21247;
																																																																														obj_t
																																																																															BgL_testz00_21246;
																																																																														BgL_testz00_21246
																																																																															=
																																																																															BgL_arg5427z00_6637;
																																																																														BgL_proc1z00_21247
																																																																															=
																																																																															BgL_carzd241588zd2_6629;
																																																																														BgL_proc2z00_21248
																																																																															=
																																																																															BgL_carzd241594zd2_6632;
																																																																														BgL_argsz00_21249
																																																																															=
																																																																															BgL_cdrzd241571zd2_6626;
																																																																														BgL_argsz00_1681
																																																																															=
																																																																															BgL_argsz00_21249;
																																																																														BgL_proc2z00_1680
																																																																															=
																																																																															BgL_proc2z00_21248;
																																																																														BgL_proc1z00_1679
																																																																															=
																																																																															BgL_proc1z00_21247;
																																																																														BgL_testz00_1678
																																																																															=
																																																																															BgL_testz00_21246;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1682;
																																																																													}
																																																																													BgL_auxz00_18539
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_21245);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_21253;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_18539
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_21253);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_21257;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_18539
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_21257);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_21261;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_18539
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_21261);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_21265;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_18539
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_21265);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1706;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_21269;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1707;
																																																																	BgL_auxz00_18539
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_21269);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd241927zd2_6645;
																																																													BgL_cdrzd241927zd2_6645
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_cdrzd241934zd2_6646;
																																																														BgL_cdrzd241934zd2_6646
																																																															=
																																																															CDR
																																																															(CAR
																																																															(BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd241941zd2_6647;
																																																															BgL_cdrzd241941zd2_6647
																																																																=
																																																																CDR
																																																																(BgL_cdrzd241934zd2_6646);
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_carzd241947zd2_6648;
																																																																obj_t
																																																																	BgL_cdrzd241948zd2_6649;
																																																																BgL_carzd241947zd2_6648
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd241941zd2_6647);
																																																																BgL_cdrzd241948zd2_6649
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd241941zd2_6647);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241947zd2_6648))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (PAIRP(BgL_cdrzd241948zd2_6649))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_carzd241955zd2_6652;
																																																																				BgL_carzd241955zd2_6652
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd241948zd2_6649);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241955zd2_6652))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (NULLP(CDR(BgL_cdrzd241948zd2_6649)))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd241927zd2_6645))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_arg5441z00_6657;
																																																																										BgL_arg5441z00_6657
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd241934zd2_6646);
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_21290;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_21294;
																																																																												obj_t
																																																																													BgL_proc2z00_21293;
																																																																												obj_t
																																																																													BgL_proc1z00_21292;
																																																																												obj_t
																																																																													BgL_testz00_21291;
																																																																												BgL_testz00_21291
																																																																													=
																																																																													BgL_arg5441z00_6657;
																																																																												BgL_proc1z00_21292
																																																																													=
																																																																													BgL_carzd241947zd2_6648;
																																																																												BgL_proc2z00_21293
																																																																													=
																																																																													BgL_carzd241955zd2_6652;
																																																																												BgL_argsz00_21294
																																																																													=
																																																																													BgL_cdrzd241927zd2_6645;
																																																																												BgL_argsz00_1681
																																																																													=
																																																																													BgL_argsz00_21294;
																																																																												BgL_proc2z00_1680
																																																																													=
																																																																													BgL_proc2z00_21293;
																																																																												BgL_proc1z00_1679
																																																																													=
																																																																													BgL_proc1z00_21292;
																																																																												BgL_testz00_1678
																																																																													=
																																																																													BgL_testz00_21291;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1682;
																																																																											}
																																																																											BgL_auxz00_18539
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_21290);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_21298;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_18539
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_21298);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_21302;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_18539
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_21302);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_21306;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_18539
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_21306);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_21310;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_18539
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_21310);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1706;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_21314;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1707;
																																																																				BgL_auxz00_18539
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_21314);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 117 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 117 */
																																																												goto
																																																													BgL_tagzd2403zd2_1706;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_21318;
																																																												goto
																																																													BgL_tagzd2404zd2_1707;
																																																												BgL_auxz00_18539
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_21318);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														bool_t
																																															BgL_testz00_21320;
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_arg5467z00_6685;
																																															BgL_arg5467z00_6685
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_testz00_21320
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg5467z00_6685));
																																														}
																																														if (BgL_testz00_21320)
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_21324;
																																																goto
																																																	BgL_tagzd2382zd2_1662;
																																																BgL_auxz00_18539
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_21324);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																bool_t
																																																	BgL_testz00_21326;
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_arg5466z00_6684;
																																																	BgL_arg5466z00_6684
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	BgL_testz00_21326
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg5466z00_6684));
																																																}
																																																if (BgL_testz00_21326)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_21330;
																																																		goto
																																																			BgL_tagzd2384zd2_1664;
																																																		BgL_auxz00_18539
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_21330);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		obj_t
																																																			BgL_carzd242401zd2_6675;
																																																		BgL_carzd242401zd2_6675
																																																			=
																																																			CAR
																																																			(BgL_expz00_21);
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_cdrzd242406zd2_6676;
																																																			BgL_cdrzd242406zd2_6676
																																																				=
																																																				CDR
																																																				(BgL_carzd242401zd2_6675);
																																																			if ((CAR(BgL_carzd242401zd2_6675) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_arg5461z00_6679;
																																																					obj_t
																																																						BgL_arg5462z00_6680;
																																																					obj_t
																																																						BgL_arg5463z00_6681;
																																																					BgL_arg5461z00_6679
																																																						=
																																																						CAR
																																																						(BgL_cdrzd242406zd2_6676);
																																																					BgL_arg5462z00_6680
																																																						=
																																																						CDR
																																																						(BgL_cdrzd242406zd2_6676);
																																																					BgL_arg5463z00_6681
																																																						=
																																																						CDR
																																																						(BgL_expz00_21);
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_21341;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_21344;
																																																							obj_t
																																																								BgL_bodyz00_21343;
																																																							obj_t
																																																								BgL_varsz00_21342;
																																																							BgL_varsz00_21342
																																																								=
																																																								BgL_arg5461z00_6679;
																																																							BgL_bodyz00_21343
																																																								=
																																																								BgL_arg5462z00_6680;
																																																							BgL_argsz00_21344
																																																								=
																																																								BgL_arg5463z00_6681;
																																																							BgL_argsz00_1671
																																																								=
																																																								BgL_argsz00_21344;
																																																							BgL_bodyz00_1670
																																																								=
																																																								BgL_bodyz00_21343;
																																																							BgL_varsz00_1669
																																																								=
																																																								BgL_varsz00_21342;
																																																							goto
																																																								BgL_tagzd2386zd2_1672;
																																																						}
																																																						BgL_auxz00_18539
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_21341);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 117 */
																																																							goto
																																																								BgL_tagzd2403zd2_1706;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_21348;
																																																							goto
																																																								BgL_tagzd2404zd2_1707;
																																																							BgL_auxz00_18539
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_21348);
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												bool_t
																																													BgL_testz00_21350;
																																												{	/* Ast/sexp.scm 117 */
																																													obj_t
																																														BgL_arg5474z00_6692;
																																													BgL_arg5474z00_6692
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													BgL_testz00_21350
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg5474z00_6692));
																																												}
																																												if (BgL_testz00_21350)
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_21354;
																																														goto
																																															BgL_tagzd2382zd2_1662;
																																														BgL_auxz00_18539
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_21354);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														bool_t
																																															BgL_testz00_21356;
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_arg5473z00_6691;
																																															BgL_arg5473z00_6691
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_testz00_21356
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg5473z00_6691));
																																														}
																																														if (BgL_testz00_21356)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_21360;
																																																goto
																																																	BgL_tagzd2384zd2_1664;
																																																BgL_auxz00_18539
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_21360);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																	{	/* Ast/sexp.scm 117 */
																																																		goto
																																																			BgL_tagzd2403zd2_1706;
																																																	}
																																																else
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_21364;
																																																		goto
																																																			BgL_tagzd2404zd2_1707;
																																																		BgL_auxz00_18539
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_21364);
																																																	}
																																															}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 117 */
																																										if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd241108zd2_6431)))
																																											{	/* Ast/sexp.scm 117 */
																																												goto
																																													BgL_kapzd241110zd2_6433;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												if ((BgL_carzd241108zd2_6431 == CNST_TABLE_REF(((long) 19))))
																																													{	/* Ast/sexp.scm 117 */
																																														goto
																																															BgL_kapzd241110zd2_6433;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														if ((BgL_carzd241108zd2_6431 == CNST_TABLE_REF(((long) 20))))
																																															{	/* Ast/sexp.scm 117 */
																																																goto
																																																	BgL_kapzd241110zd2_6433;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd241108zd2_6431)))
																																																	{	/* Ast/sexp.scm 117 */
																																																		goto
																																																			BgL_kapzd241110zd2_6433;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		bool_t
																																																			BgL_testz00_21378;
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_arg5380z00_6553;
																																																			BgL_arg5380z00_6553
																																																				=
																																																				CAR
																																																				(BgL_expz00_21);
																																																			BgL_testz00_21378
																																																				=
																																																				CBOOL
																																																				(BGl_letzd2symzf3z21zzast_letz00
																																																				(BgL_arg5380z00_6553));
																																																		}
																																																		if (BgL_testz00_21378)
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_21382;
																																																				goto
																																																					BgL_tagzd2382zd2_1662;
																																																				BgL_auxz00_18539
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_21382);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				bool_t
																																																					BgL_testz00_21384;
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_arg5379z00_6552;
																																																					BgL_arg5379z00_6552
																																																						=
																																																						CAR
																																																						(BgL_expz00_21);
																																																					BgL_testz00_21384
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg5379z00_6552));
																																																				}
																																																				if (BgL_testz00_21384)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_21388;
																																																						goto
																																																							BgL_tagzd2384zd2_1664;
																																																						BgL_auxz00_18539
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_21388);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						obj_t
																																																							BgL_carzd242729zd2_6443;
																																																						BgL_carzd242729zd2_6443
																																																							=
																																																							CAR
																																																							(BgL_expz00_21);
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_cdrzd242734zd2_6444;
																																																							BgL_cdrzd242734zd2_6444
																																																								=
																																																								CDR
																																																								(BgL_carzd242729zd2_6443);
																																																							if ((CAR(BgL_carzd242729zd2_6443) == CNST_TABLE_REF(((long) 3))))
																																																								{	/* Ast/sexp.scm 117 */
																																																									if (PAIRP(BgL_cdrzd242734zd2_6444))
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_arg5315z00_6448;
																																																											obj_t
																																																												BgL_arg5316z00_6449;
																																																											obj_t
																																																												BgL_arg5317z00_6450;
																																																											BgL_arg5315z00_6448
																																																												=
																																																												CAR
																																																												(BgL_cdrzd242734zd2_6444);
																																																											BgL_arg5316z00_6449
																																																												=
																																																												CDR
																																																												(BgL_cdrzd242734zd2_6444);
																																																											BgL_arg5317z00_6450
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_21401;
																																																												{
																																																													obj_t
																																																														BgL_argsz00_21404;
																																																													obj_t
																																																														BgL_bodyz00_21403;
																																																													obj_t
																																																														BgL_varsz00_21402;
																																																													BgL_varsz00_21402
																																																														=
																																																														BgL_arg5315z00_6448;
																																																													BgL_bodyz00_21403
																																																														=
																																																														BgL_arg5316z00_6449;
																																																													BgL_argsz00_21404
																																																														=
																																																														BgL_arg5317z00_6450;
																																																													BgL_argsz00_1671
																																																														=
																																																														BgL_argsz00_21404;
																																																													BgL_bodyz00_1670
																																																														=
																																																														BgL_bodyz00_21403;
																																																													BgL_varsz00_1669
																																																														=
																																																														BgL_varsz00_21402;
																																																													goto
																																																														BgL_tagzd2386zd2_1672;
																																																												}
																																																												BgL_auxz00_18539
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_21401);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 117 */
																																																													goto
																																																														BgL_tagzd2403zd2_1706;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_21408;
																																																													goto
																																																														BgL_tagzd2404zd2_1707;
																																																													BgL_auxz00_18539
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_21408);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_cdrzd242841zd2_6453;
																																																									BgL_cdrzd242841zd2_6453
																																																										=
																																																										CDR
																																																										(BgL_expz00_21);
																																																									{	/* Ast/sexp.scm 117 */
																																																										obj_t
																																																											BgL_cdrzd242846zd2_6454;
																																																										BgL_cdrzd242846zd2_6454
																																																											=
																																																											CDR
																																																											(BgL_carzd242729zd2_6443);
																																																										if ((CAR(BgL_carzd242729zd2_6443) == CNST_TABLE_REF(((long) 1))))
																																																											{	/* Ast/sexp.scm 117 */
																																																												if (PAIRP(BgL_cdrzd242846zd2_6454))
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_cdrzd242851zd2_6458;
																																																														BgL_cdrzd242851zd2_6458
																																																															=
																																																															CDR
																																																															(BgL_cdrzd242846zd2_6454);
																																																														if (PAIRP(BgL_cdrzd242851zd2_6458))
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_carzd242855zd2_6460;
																																																																obj_t
																																																																	BgL_cdrzd242856zd2_6461;
																																																																BgL_carzd242855zd2_6460
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd242851zd2_6458);
																																																																BgL_cdrzd242856zd2_6461
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd242851zd2_6458);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd242855zd2_6460))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (PAIRP(BgL_cdrzd242856zd2_6461))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_carzd242861zd2_6464;
																																																																				BgL_carzd242861zd2_6464
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd242856zd2_6461);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd242861zd2_6464))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (NULLP(CDR(BgL_cdrzd242856zd2_6461)))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								bool_t
																																																																									BgL_testz00_21433;
																																																																								{
																																																																									obj_t
																																																																										BgL_l1436z00_6497;
																																																																									BgL_l1436z00_6497
																																																																										=
																																																																										BgL_cdrzd242841zd2_6453;
																																																																								BgL_zc3anonymousza35343ze3z83_6498:
																																																																									if (NULLP(BgL_l1436z00_6497))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											BgL_testz00_21433
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											bool_t
																																																																												BgL_testz00_21436;
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												bool_t
																																																																													BgL_testz00_21437;
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_tmpz00_21438;
																																																																													BgL_tmpz00_21438
																																																																														=
																																																																														CAR
																																																																														(BgL_l1436z00_6497);
																																																																													BgL_testz00_21437
																																																																														=
																																																																														PAIRP
																																																																														(BgL_tmpz00_21438);
																																																																												}
																																																																												if (BgL_testz00_21437)
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														BgL_testz00_21436
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														BgL_testz00_21436
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																											}
																																																																											if (BgL_testz00_21436)
																																																																												{
																																																																													obj_t
																																																																														BgL_l1436z00_21441;
																																																																													BgL_l1436z00_21441
																																																																														=
																																																																														CDR
																																																																														(BgL_l1436z00_6497);
																																																																													BgL_l1436z00_6497
																																																																														=
																																																																														BgL_l1436z00_21441;
																																																																													goto
																																																																														BgL_zc3anonymousza35343ze3z83_6498;
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													BgL_testz00_21433
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																										}
																																																																								}
																																																																								if (BgL_testz00_21433)
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_arg5333z00_6480;
																																																																										BgL_arg5333z00_6480
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd242846zd2_6454);
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_21444;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_21448;
																																																																												obj_t
																																																																													BgL_proc2z00_21447;
																																																																												obj_t
																																																																													BgL_proc1z00_21446;
																																																																												obj_t
																																																																													BgL_testz00_21445;
																																																																												BgL_testz00_21445
																																																																													=
																																																																													BgL_arg5333z00_6480;
																																																																												BgL_proc1z00_21446
																																																																													=
																																																																													BgL_carzd242855zd2_6460;
																																																																												BgL_proc2z00_21447
																																																																													=
																																																																													BgL_carzd242861zd2_6464;
																																																																												BgL_argsz00_21448
																																																																													=
																																																																													BgL_cdrzd242841zd2_6453;
																																																																												BgL_argsz00_1676
																																																																													=
																																																																													BgL_argsz00_21448;
																																																																												BgL_proc2z00_1675
																																																																													=
																																																																													BgL_proc2z00_21447;
																																																																												BgL_proc1z00_1674
																																																																													=
																																																																													BgL_proc1z00_21446;
																																																																												BgL_testz00_1673
																																																																													=
																																																																													BgL_testz00_21445;
																																																																												goto
																																																																													BgL_tagzd2387zd2_1677;
																																																																											}
																																																																											BgL_auxz00_18539
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_21444);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_cdrzd242886zd2_6481;
																																																																										BgL_cdrzd242886zd2_6481
																																																																											=
																																																																											CDR
																																																																											(BgL_expz00_21);
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_cdrzd242894zd2_6482;
																																																																											BgL_cdrzd242894zd2_6482
																																																																												=
																																																																												CDR
																																																																												(CAR
																																																																												(BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_cdrzd242902zd2_6483;
																																																																												BgL_cdrzd242902zd2_6483
																																																																													=
																																																																													CDR
																																																																													(BgL_cdrzd242894zd2_6482);
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_carzd242909zd2_6484;
																																																																													BgL_carzd242909zd2_6484
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd242902zd2_6483);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd242909zd2_6484))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_carzd242918zd2_6486;
																																																																															BgL_carzd242918zd2_6486
																																																																																=
																																																																																CAR
																																																																																(CDR
																																																																																(BgL_cdrzd242902zd2_6483));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd242918zd2_6486))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd242886zd2_6481))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			obj_t
																																																																																				BgL_arg5337z00_6489;
																																																																																			BgL_arg5337z00_6489
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd242894zd2_6482);
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_21464;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_21468;
																																																																																					obj_t
																																																																																						BgL_proc2z00_21467;
																																																																																					obj_t
																																																																																						BgL_proc1z00_21466;
																																																																																					obj_t
																																																																																						BgL_testz00_21465;
																																																																																					BgL_testz00_21465
																																																																																						=
																																																																																						BgL_arg5337z00_6489;
																																																																																					BgL_proc1z00_21466
																																																																																						=
																																																																																						BgL_carzd242909zd2_6484;
																																																																																					BgL_proc2z00_21467
																																																																																						=
																																																																																						BgL_carzd242918zd2_6486;
																																																																																					BgL_argsz00_21468
																																																																																						=
																																																																																						BgL_cdrzd242886zd2_6481;
																																																																																					BgL_argsz00_1681
																																																																																						=
																																																																																						BgL_argsz00_21468;
																																																																																					BgL_proc2z00_1680
																																																																																						=
																																																																																						BgL_proc2z00_21467;
																																																																																					BgL_proc1z00_1679
																																																																																						=
																																																																																						BgL_proc1z00_21466;
																																																																																					BgL_testz00_1678
																																																																																						=
																																																																																						BgL_testz00_21465;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1682;
																																																																																				}
																																																																																				BgL_auxz00_18539
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_21464);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 117 */
																																																																																					goto
																																																																																						BgL_tagzd2403zd2_1706;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_21472;
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1707;
																																																																																					BgL_auxz00_18539
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_21472);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_21476;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_18539
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_21476);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_21480;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_18539
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_21480);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_21484;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_18539
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_21484);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_cdrzd243196zd2_6508;
																																																																						BgL_cdrzd243196zd2_6508
																																																																							=
																																																																							CDR
																																																																							(BgL_expz00_21);
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd243203zd2_6509;
																																																																							BgL_cdrzd243203zd2_6509
																																																																								=
																																																																								CDR
																																																																								(CAR
																																																																								(BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_cdrzd243210zd2_6510;
																																																																								BgL_cdrzd243210zd2_6510
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd243203zd2_6509);
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_carzd243216zd2_6511;
																																																																									obj_t
																																																																										BgL_cdrzd243217zd2_6512;
																																																																									BgL_carzd243216zd2_6511
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd243210zd2_6510);
																																																																									BgL_cdrzd243217zd2_6512
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd243210zd2_6510);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243216zd2_6511))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_carzd243224zd2_6514;
																																																																											BgL_carzd243224zd2_6514
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd243217zd2_6512);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243224zd2_6514))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (NULLP(CDR(BgL_cdrzd243217zd2_6512)))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd243196zd2_6508))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	obj_t
																																																																																		BgL_arg5352z00_6519;
																																																																																	BgL_arg5352z00_6519
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd243203zd2_6509);
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_21503;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_21507;
																																																																																			obj_t
																																																																																				BgL_proc2z00_21506;
																																																																																			obj_t
																																																																																				BgL_proc1z00_21505;
																																																																																			obj_t
																																																																																				BgL_testz00_21504;
																																																																																			BgL_testz00_21504
																																																																																				=
																																																																																				BgL_arg5352z00_6519;
																																																																																			BgL_proc1z00_21505
																																																																																				=
																																																																																				BgL_carzd243216zd2_6511;
																																																																																			BgL_proc2z00_21506
																																																																																				=
																																																																																				BgL_carzd243224zd2_6514;
																																																																																			BgL_argsz00_21507
																																																																																				=
																																																																																				BgL_cdrzd243196zd2_6508;
																																																																																			BgL_argsz00_1681
																																																																																				=
																																																																																				BgL_argsz00_21507;
																																																																																			BgL_proc2z00_1680
																																																																																				=
																																																																																				BgL_proc2z00_21506;
																																																																																			BgL_proc1z00_1679
																																																																																				=
																																																																																				BgL_proc1z00_21505;
																																																																																			BgL_testz00_1678
																																																																																				=
																																																																																				BgL_testz00_21504;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1682;
																																																																																		}
																																																																																		BgL_auxz00_18539
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_21503);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 117 */
																																																																																			goto
																																																																																				BgL_tagzd2403zd2_1706;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_21511;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1707;
																																																																																			BgL_auxz00_18539
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_21511);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_21515;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_18539
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_21515);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1706;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21519;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1707;
																																																																															BgL_auxz00_18539
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21519);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1706;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_21523;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1707;
																																																																													BgL_auxz00_18539
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_21523);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_21527;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_18539
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_21527);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_cdrzd243557zd2_6527;
																																																																		BgL_cdrzd243557zd2_6527
																																																																			=
																																																																			CDR
																																																																			(BgL_expz00_21);
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd243563zd2_6528;
																																																																			BgL_cdrzd243563zd2_6528
																																																																				=
																																																																				CDR
																																																																				(CAR
																																																																				(BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_cdrzd243569zd2_6529;
																																																																				BgL_cdrzd243569zd2_6529
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd243563zd2_6528);
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_carzd243574zd2_6530;
																																																																					obj_t
																																																																						BgL_cdrzd243575zd2_6531;
																																																																					BgL_carzd243574zd2_6530
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd243569zd2_6529);
																																																																					BgL_cdrzd243575zd2_6531
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd243569zd2_6529);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243574zd2_6530))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (PAIRP(BgL_cdrzd243575zd2_6531))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_carzd243580zd2_6534;
																																																																									BgL_carzd243580zd2_6534
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd243575zd2_6531);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243580zd2_6534))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (NULLP(CDR(BgL_cdrzd243575zd2_6531)))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd243557zd2_6527))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_arg5366z00_6539;
																																																																															BgL_arg5366z00_6539
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd243563zd2_6528);
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_21548;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_21552;
																																																																																	obj_t
																																																																																		BgL_proc2z00_21551;
																																																																																	obj_t
																																																																																		BgL_proc1z00_21550;
																																																																																	obj_t
																																																																																		BgL_testz00_21549;
																																																																																	BgL_testz00_21549
																																																																																		=
																																																																																		BgL_arg5366z00_6539;
																																																																																	BgL_proc1z00_21550
																																																																																		=
																																																																																		BgL_carzd243574zd2_6530;
																																																																																	BgL_proc2z00_21551
																																																																																		=
																																																																																		BgL_carzd243580zd2_6534;
																																																																																	BgL_argsz00_21552
																																																																																		=
																																																																																		BgL_cdrzd243557zd2_6527;
																																																																																	BgL_argsz00_1681
																																																																																		=
																																																																																		BgL_argsz00_21552;
																																																																																	BgL_proc2z00_1680
																																																																																		=
																																																																																		BgL_proc2z00_21551;
																																																																																	BgL_proc1z00_1679
																																																																																		=
																																																																																		BgL_proc1z00_21550;
																																																																																	BgL_testz00_1678
																																																																																		=
																																																																																		BgL_testz00_21549;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1682;
																																																																																}
																																																																																BgL_auxz00_18539
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_21548);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_21556;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_18539
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_21556);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1706;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21560;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1707;
																																																																															BgL_auxz00_18539
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21560);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1706;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_21564;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1707;
																																																																													BgL_auxz00_18539
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_21564);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1706;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_21568;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1707;
																																																																											BgL_auxz00_18539
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_21568);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1706;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_21572;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1707;
																																																																									BgL_auxz00_18539
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_21572);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1706;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_21576;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1707;
																																																																		BgL_auxz00_18539
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_21576);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 117 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 117 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1706;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_21580;
																																																																goto
																																																																	BgL_tagzd2404zd2_1707;
																																																																BgL_auxz00_18539
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_21580);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 117 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 117 */
																																																														goto
																																																															BgL_tagzd2403zd2_1706;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_21584;
																																																														goto
																																																															BgL_tagzd2404zd2_1707;
																																																														BgL_auxz00_18539
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_21584);
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 117 */
																																							if ((BgL_carzd241105zd2_6429 == CNST_TABLE_REF(((long) 18))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_21589;
																																									goto
																																										BgL_tagzd2382zd2_1662;
																																									BgL_auxz00_18539
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_21589);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 117 */
																																									if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd241105zd2_6429)))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_21594;
																																											goto
																																												BgL_tagzd2382zd2_1662;
																																											BgL_auxz00_18539
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_21594);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 117 */
																																											if ((BgL_carzd241105zd2_6429 == CNST_TABLE_REF(((long) 19))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_21599;
																																													goto
																																														BgL_tagzd2382zd2_1662;
																																													BgL_auxz00_18539
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_21599);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 117 */
																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_21605;
																																															goto
																																																BgL_tagzd2383zd2_1663;
																																															BgL_auxz00_18539
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_21605);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_carzd244142zd2_6699;
																																															BgL_carzd244142zd2_6699
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															if ((BgL_carzd244142zd2_6699 == CNST_TABLE_REF(((long) 20))))
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_21611;
																																																	goto
																																																		BgL_tagzd2384zd2_1664;
																																																	BgL_auxz00_18539
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_21611);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 117 */
																																																	if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd244142zd2_6699)))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_21616;
																																																			goto
																																																				BgL_tagzd2384zd2_1664;
																																																			BgL_auxz00_18539
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_21616);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 117 */
																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_21622;
																																																					goto
																																																						BgL_tagzd2389zd2_1683;
																																																					BgL_auxz00_18539
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_21622);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_21628;
																																																							goto
																																																								BgL_tagzd2390zd2_1684;
																																																							BgL_auxz00_18539
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_21628);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_cdrzd244222zd2_6706;
																																																							BgL_cdrzd244222zd2_6706
																																																								=
																																																								CDR
																																																								(BgL_expz00_21);
																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_arg5488z00_6709;
																																																									obj_t
																																																										BgL_arg5489z00_6710;
																																																									BgL_arg5488z00_6709
																																																										=
																																																										CAR
																																																										(BgL_cdrzd244222zd2_6706);
																																																									BgL_arg5489z00_6710
																																																										=
																																																										CDR
																																																										(BgL_cdrzd244222zd2_6706);
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_21637;
																																																										{
																																																											obj_t
																																																												BgL_restz00_21639;
																																																											obj_t
																																																												BgL_effectz00_21638;
																																																											BgL_effectz00_21638
																																																												=
																																																												BgL_arg5488z00_6709;
																																																											BgL_restz00_21639
																																																												=
																																																												BgL_arg5489z00_6710;
																																																											BgL_restz00_1686
																																																												=
																																																												BgL_restz00_21639;
																																																											BgL_effectz00_1685
																																																												=
																																																												BgL_effectz00_21638;
																																																											goto
																																																												BgL_tagzd2391zd2_1687;
																																																										}
																																																										BgL_auxz00_18539
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_21637);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_21645;
																																																											goto
																																																												BgL_tagzd2392zd2_1688;
																																																											BgL_auxz00_18539
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_21645);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_21651;
																																																													goto
																																																														BgL_tagzd2393zd2_1689;
																																																													BgL_auxz00_18539
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_21651);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_arg5496z00_6718;
																																																															obj_t
																																																																BgL_arg5497z00_6719;
																																																															BgL_arg5496z00_6718
																																																																=
																																																																CAR
																																																																(BgL_cdrzd244222zd2_6706);
																																																															BgL_arg5497z00_6719
																																																																=
																																																																CDR
																																																																(BgL_cdrzd244222zd2_6706);
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_21659;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_21661;
																																																																	obj_t
																																																																		BgL_effectz00_21660;
																																																																	BgL_effectz00_21660
																																																																		=
																																																																		BgL_arg5496z00_6718;
																																																																	BgL_restz00_21661
																																																																		=
																																																																		BgL_arg5497z00_6719;
																																																																	BgL_restz00_1691
																																																																		=
																																																																		BgL_restz00_21661;
																																																																	BgL_effectz00_1690
																																																																		=
																																																																		BgL_effectz00_21660;
																																																																	goto
																																																																		BgL_tagzd2394zd2_1692;
																																																																}
																																																																BgL_auxz00_18539
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_21659);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_21667;
																																																																	goto
																																																																		BgL_tagzd2395zd2_1693;
																																																																	BgL_auxz00_18539
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_21667);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_21673;
																																																																			goto
																																																																				BgL_tagzd2396zd2_1694;
																																																																			BgL_auxz00_18539
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_21673);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																																				{
																																																																					BgL_letzd2funzd2_bglt
																																																																						BgL_auxz00_21679;
																																																																					goto
																																																																						BgL_tagzd2397zd2_1695;
																																																																					BgL_auxz00_18539
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_21679);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																																						{
																																																																							BgL_jumpzd2exzd2itz00_bglt
																																																																								BgL_auxz00_21685;
																																																																							goto
																																																																								BgL_tagzd2398zd2_1696;
																																																																							BgL_auxz00_18539
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_21685);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 31))))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (NULLP(CDR(CDR(CDR(BgL_expz00_21)))))
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_21696;
																																																																											goto
																																																																												BgL_tagzd2399zd2_1697;
																																																																											BgL_auxz00_18539
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_21696);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1706;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_21700;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1707;
																																																																													BgL_auxz00_18539
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_21700);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd244310zd2_6738;
																																																																									BgL_cdrzd244310zd2_6738
																																																																										=
																																																																										CDR
																																																																										(BgL_expz00_21);
																																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_cdrzd244316zd2_6741;
																																																																											BgL_cdrzd244316zd2_6741
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd244310zd2_6738);
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_cdrzd244322zd2_6742;
																																																																												BgL_cdrzd244322zd2_6742
																																																																													=
																																																																													CDR
																																																																													(BgL_cdrzd244316zd2_6741);
																																																																												if ((CAR(BgL_cdrzd244316zd2_6741) == CNST_TABLE_REF(((long) 32))))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (PAIRP(BgL_cdrzd244322zd2_6742))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_arg5521z00_6746;
																																																																																obj_t
																																																																																	BgL_arg5522z00_6747;
																																																																																obj_t
																																																																																	BgL_arg5523z00_6748;
																																																																																BgL_arg5521z00_6746
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd244310zd2_6738);
																																																																																BgL_arg5522z00_6747
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd244322zd2_6742);
																																																																																BgL_arg5523z00_6748
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_cdrzd244322zd2_6742);
																																																																																{	/* Ast/sexp.scm 536 */
																																																																																	obj_t
																																																																																		BgL_arg6414z00_11314;
																																																																																	BgL_arg6414z00_11314
																																																																																		=
																																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_locz00_23);
																																																																																	BgL_auxz00_18539
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																		(BgL_expz00_21,
																																																																																			BgL_arg5521z00_6746,
																																																																																			BgL_arg5522z00_6747,
																																																																																			BgL_arg5523z00_6748,
																																																																																			BgL_stackz00_22,
																																																																																			BgL_arg6414z00_11314,
																																																																																			BgL_sitez00_24));
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_arg5524z00_6750;
																																																																																obj_t
																																																																																	BgL_arg5525z00_6751;
																																																																																BgL_arg5524z00_6750
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd244310zd2_6738);
																																																																																BgL_arg5525z00_6751
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_cdrzd244310zd2_6738);
																																																																																{	/* Ast/sexp.scm 538 */
																																																																																	obj_t
																																																																																		BgL_arg6415z00_11318;
																																																																																	BgL_arg6415z00_11318
																																																																																		=
																																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_locz00_23);
																																																																																	BgL_auxz00_18539
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																		(BgL_expz00_21,
																																																																																			BgL_arg5524z00_6750,
																																																																																			CNST_TABLE_REF
																																																																																			(((long) 4)), BgL_arg5525z00_6751, BgL_stackz00_22, BgL_arg6415z00_11318, BgL_sitez00_24));
																																																																													}}}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_arg5526z00_6753;
																																																																														obj_t
																																																																															BgL_arg5527z00_6754;
																																																																														BgL_arg5526z00_6753
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd244310zd2_6738);
																																																																														BgL_arg5527z00_6754
																																																																															=
																																																																															CDR
																																																																															(BgL_cdrzd244310zd2_6738);
																																																																														{	/* Ast/sexp.scm 538 */
																																																																															obj_t
																																																																																BgL_arg6415z00_11322;
																																																																															BgL_arg6415z00_11322
																																																																																=
																																																																																BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																(BgL_expz00_21,
																																																																																BgL_locz00_23);
																																																																															BgL_auxz00_18539
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																(BgL_expz00_21,
																																																																																	BgL_arg5526z00_6753,
																																																																																	CNST_TABLE_REF
																																																																																	(((long) 4)), BgL_arg5527z00_6754, BgL_stackz00_22, BgL_arg6415z00_11322, BgL_sitez00_24));
																																																																										}}}}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1706;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_21735;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1707;
																																																																													BgL_auxz00_18539
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_21735);
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																									else
																										{	/* Ast/sexp.scm 117 */
																											obj_t
																												BgL_carzd244371zd2_6773;
																											BgL_carzd244371zd2_6773 =
																												CAR(BgL_expz00_21);
																											if (
																												(BgL_carzd244371zd2_6773
																													==
																													CNST_TABLE_REF(((long)
																															1))))
																												{
																													BgL_nodez00_bglt
																														BgL_auxz00_21741;
																													goto
																														BgL_tagzd2377zd2_1653;
																													BgL_auxz00_18539 =
																														((obj_t)
																														BgL_auxz00_21741);
																												}
																											else
																												{	/* Ast/sexp.scm 117 */
																													if (
																														(BgL_carzd244371zd2_6773
																															==
																															BGl_za2ifza2z00zzast_sexpz00))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_21745;
																															goto
																																BgL_tagzd2377zd2_1653;
																															BgL_auxz00_18539 =
																																((obj_t)
																																BgL_auxz00_21745);
																														}
																													else
																														{	/* Ast/sexp.scm 117 */
																															if (
																																(CAR
																																	(BgL_expz00_21)
																																	==
																																	CNST_TABLE_REF
																																	(((long) 7))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_21751;
																																	goto
																																		BgL_tagzd2379zd2_1657;
																																	BgL_auxz00_18539
																																		=
																																		((obj_t)
																																		BgL_auxz00_21751);
																																}
																															else
																																{	/* Ast/sexp.scm 117 */
																																	if (
																																		(CAR
																																			(BgL_expz00_21)
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					17))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_21757;
																																			goto
																																				BgL_tagzd2380zd2_1658;
																																			BgL_auxz00_18539
																																				=
																																				((obj_t)
																																				BgL_auxz00_21757);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 117 */
																																			obj_t
																																				BgL_carzd244432zd2_6780;
																																			BgL_carzd244432zd2_6780
																																				=
																																				CAR
																																				(BgL_expz00_21);
																																			if (PAIRP
																																				(BgL_carzd244432zd2_6780))
																																				{	/* Ast/sexp.scm 117 */
																																					obj_t
																																						BgL_carzd244435zd2_6782;
																																					obj_t
																																						BgL_cdrzd244436zd2_6783;
																																					BgL_carzd244435zd2_6782
																																						=
																																						CAR
																																						(BgL_carzd244432zd2_6780);
																																					BgL_cdrzd244436zd2_6783
																																						=
																																						CDR
																																						(BgL_carzd244432zd2_6780);
																																					{

																																						if (
																																							(BgL_carzd244435zd2_6782
																																								==
																																								CNST_TABLE_REF
																																								(((long) 18))))
																																							{	/* Ast/sexp.scm 117 */
																																							BgL_kapzd244437zd2_6784:
																																								if (PAIRP(BgL_cdrzd244436zd2_6783))
																																									{	/* Ast/sexp.scm 117 */
																																										obj_t
																																											BgL_cdrzd244440zd2_6963;
																																										BgL_cdrzd244440zd2_6963
																																											=
																																											CDR
																																											(BgL_cdrzd244436zd2_6783);
																																										if (PAIRP(BgL_cdrzd244440zd2_6963))
																																											{	/* Ast/sexp.scm 117 */
																																												if (NULLP(CDR(BgL_cdrzd244440zd2_6963)))
																																													{	/* Ast/sexp.scm 117 */
																																														obj_t
																																															BgL_arg5679z00_6967;
																																														obj_t
																																															BgL_arg5680z00_6968;
																																														BgL_arg5679z00_6967
																																															=
																																															CAR
																																															(BgL_cdrzd244440zd2_6963);
																																														BgL_arg5680z00_6968
																																															=
																																															CDR
																																															(BgL_expz00_21);
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_21777;
																																															{
																																																obj_t
																																																	BgL_argsz00_21779;
																																																obj_t
																																																	BgL_bodyz00_21778;
																																																BgL_bodyz00_21778
																																																	=
																																																	BgL_arg5679z00_6967;
																																																BgL_argsz00_21779
																																																	=
																																																	BgL_arg5680z00_6968;
																																																BgL_argsz00_1660
																																																	=
																																																	BgL_argsz00_21779;
																																																BgL_bodyz00_1659
																																																	=
																																																	BgL_bodyz00_21778;
																																																goto
																																																	BgL_tagzd2381zd2_1661;
																																															}
																																															BgL_auxz00_18539
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_21777);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														bool_t
																																															BgL_testz00_21781;
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_arg5747z00_7077;
																																															BgL_arg5747z00_7077
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_testz00_21781
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg5747z00_7077));
																																														}
																																														if (BgL_testz00_21781)
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_21785;
																																																goto
																																																	BgL_tagzd2382zd2_1662;
																																																BgL_auxz00_18539
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_21785);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																bool_t
																																																	BgL_testz00_21787;
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_arg5746z00_7076;
																																																	BgL_arg5746z00_7076
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	BgL_testz00_21787
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg5746z00_7076));
																																																}
																																																if (BgL_testz00_21787)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_21791;
																																																		goto
																																																			BgL_tagzd2384zd2_1664;
																																																		BgL_auxz00_18539
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_21791);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		obj_t
																																																			BgL_carzd244518zd2_6973;
																																																		BgL_carzd244518zd2_6973
																																																			=
																																																			CAR
																																																			(BgL_expz00_21);
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_cdrzd244523zd2_6974;
																																																			BgL_cdrzd244523zd2_6974
																																																				=
																																																				CDR
																																																				(BgL_carzd244518zd2_6973);
																																																			if ((CAR(BgL_carzd244518zd2_6973) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_arg5687z00_6977;
																																																					obj_t
																																																						BgL_arg5688z00_6978;
																																																					obj_t
																																																						BgL_arg5689z00_6979;
																																																					BgL_arg5687z00_6977
																																																						=
																																																						CAR
																																																						(BgL_cdrzd244523zd2_6974);
																																																					BgL_arg5688z00_6978
																																																						=
																																																						CDR
																																																						(BgL_cdrzd244523zd2_6974);
																																																					BgL_arg5689z00_6979
																																																						=
																																																						CDR
																																																						(BgL_expz00_21);
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_21802;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_21805;
																																																							obj_t
																																																								BgL_bodyz00_21804;
																																																							obj_t
																																																								BgL_varsz00_21803;
																																																							BgL_varsz00_21803
																																																								=
																																																								BgL_arg5687z00_6977;
																																																							BgL_bodyz00_21804
																																																								=
																																																								BgL_arg5688z00_6978;
																																																							BgL_argsz00_21805
																																																								=
																																																								BgL_arg5689z00_6979;
																																																							BgL_argsz00_1671
																																																								=
																																																								BgL_argsz00_21805;
																																																							BgL_bodyz00_1670
																																																								=
																																																								BgL_bodyz00_21804;
																																																							BgL_varsz00_1669
																																																								=
																																																								BgL_varsz00_21803;
																																																							goto
																																																								BgL_tagzd2386zd2_1672;
																																																						}
																																																						BgL_auxz00_18539
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_21802);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_cdrzd244546zd2_6981;
																																																					BgL_cdrzd244546zd2_6981
																																																						=
																																																						CDR
																																																						(BgL_expz00_21);
																																																					{	/* Ast/sexp.scm 117 */
																																																						obj_t
																																																							BgL_cdrzd244552zd2_6982;
																																																						BgL_cdrzd244552zd2_6982
																																																							=
																																																							CDR
																																																							(BgL_carzd244518zd2_6973);
																																																						if ((CAR(BgL_carzd244518zd2_6973) == CNST_TABLE_REF(((long) 1))))
																																																							{	/* Ast/sexp.scm 117 */
																																																								obj_t
																																																									BgL_cdrzd244558zd2_6985;
																																																								BgL_cdrzd244558zd2_6985
																																																									=
																																																									CDR
																																																									(BgL_cdrzd244552zd2_6982);
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_carzd244563zd2_6986;
																																																									obj_t
																																																										BgL_cdrzd244564zd2_6987;
																																																									BgL_carzd244563zd2_6986
																																																										=
																																																										CAR
																																																										(BgL_cdrzd244558zd2_6985);
																																																									BgL_cdrzd244564zd2_6987
																																																										=
																																																										CDR
																																																										(BgL_cdrzd244558zd2_6985);
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd244563zd2_6986))
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (PAIRP(BgL_cdrzd244564zd2_6987))
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_carzd244571zd2_6990;
																																																													BgL_carzd244571zd2_6990
																																																														=
																																																														CAR
																																																														(BgL_cdrzd244564zd2_6987);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd244571zd2_6990))
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (NULLP(CDR(BgL_cdrzd244564zd2_6987)))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	bool_t
																																																																		BgL_testz00_21826;
																																																																	{
																																																																		obj_t
																																																																			BgL_l1439z00_7023;
																																																																		BgL_l1439z00_7023
																																																																			=
																																																																			BgL_cdrzd244546zd2_6981;
																																																																	BgL_zc3anonymousza35712ze3z83_7024:
																																																																		if (NULLP(BgL_l1439z00_7023))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				BgL_testz00_21826
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					1);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				bool_t
																																																																					BgL_testz00_21829;
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					bool_t
																																																																						BgL_testz00_21830;
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_tmpz00_21831;
																																																																						BgL_tmpz00_21831
																																																																							=
																																																																							CAR
																																																																							(BgL_l1439z00_7023);
																																																																						BgL_testz00_21830
																																																																							=
																																																																							PAIRP
																																																																							(BgL_tmpz00_21831);
																																																																					}
																																																																					if (BgL_testz00_21830)
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							BgL_testz00_21829
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							BgL_testz00_21829
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																				}
																																																																				if (BgL_testz00_21829)
																																																																					{
																																																																						obj_t
																																																																							BgL_l1439z00_21834;
																																																																						BgL_l1439z00_21834
																																																																							=
																																																																							CDR
																																																																							(BgL_l1439z00_7023);
																																																																						BgL_l1439z00_7023
																																																																							=
																																																																							BgL_l1439z00_21834;
																																																																						goto
																																																																							BgL_zc3anonymousza35712ze3z83_7024;
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						BgL_testz00_21826
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							0);
																																																																					}
																																																																			}
																																																																	}
																																																																	if (BgL_testz00_21826)
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_arg5702z00_7006;
																																																																			BgL_arg5702z00_7006
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd244552zd2_6982);
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_21837;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_21841;
																																																																					obj_t
																																																																						BgL_proc2z00_21840;
																																																																					obj_t
																																																																						BgL_proc1z00_21839;
																																																																					obj_t
																																																																						BgL_testz00_21838;
																																																																					BgL_testz00_21838
																																																																						=
																																																																						BgL_arg5702z00_7006;
																																																																					BgL_proc1z00_21839
																																																																						=
																																																																						BgL_carzd244563zd2_6986;
																																																																					BgL_proc2z00_21840
																																																																						=
																																																																						BgL_carzd244571zd2_6990;
																																																																					BgL_argsz00_21841
																																																																						=
																																																																						BgL_cdrzd244546zd2_6981;
																																																																					BgL_argsz00_1676
																																																																						=
																																																																						BgL_argsz00_21841;
																																																																					BgL_proc2z00_1675
																																																																						=
																																																																						BgL_proc2z00_21840;
																																																																					BgL_proc1z00_1674
																																																																						=
																																																																						BgL_proc1z00_21839;
																																																																					BgL_testz00_1673
																																																																						=
																																																																						BgL_testz00_21838;
																																																																					goto
																																																																						BgL_tagzd2387zd2_1677;
																																																																				}
																																																																				BgL_auxz00_18539
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_21837);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd244595zd2_7007;
																																																																			BgL_cdrzd244595zd2_7007
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_cdrzd244602zd2_7008;
																																																																				BgL_cdrzd244602zd2_7008
																																																																					=
																																																																					CDR
																																																																					(CAR
																																																																					(BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd244609zd2_7009;
																																																																					BgL_cdrzd244609zd2_7009
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd244602zd2_7008);
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_carzd244615zd2_7010;
																																																																						BgL_carzd244615zd2_7010
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd244609zd2_7009);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd244615zd2_7010))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_carzd244622zd2_7012;
																																																																								BgL_carzd244622zd2_7012
																																																																									=
																																																																									CAR
																																																																									(CDR
																																																																									(BgL_cdrzd244609zd2_7009));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd244622zd2_7012))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd244595zd2_7007))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_arg5706z00_7015;
																																																																												BgL_arg5706z00_7015
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd244602zd2_7008);
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_21857;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_21861;
																																																																														obj_t
																																																																															BgL_proc2z00_21860;
																																																																														obj_t
																																																																															BgL_proc1z00_21859;
																																																																														obj_t
																																																																															BgL_testz00_21858;
																																																																														BgL_testz00_21858
																																																																															=
																																																																															BgL_arg5706z00_7015;
																																																																														BgL_proc1z00_21859
																																																																															=
																																																																															BgL_carzd244615zd2_7010;
																																																																														BgL_proc2z00_21860
																																																																															=
																																																																															BgL_carzd244622zd2_7012;
																																																																														BgL_argsz00_21861
																																																																															=
																																																																															BgL_cdrzd244595zd2_7007;
																																																																														BgL_argsz00_1681
																																																																															=
																																																																															BgL_argsz00_21861;
																																																																														BgL_proc2z00_1680
																																																																															=
																																																																															BgL_proc2z00_21860;
																																																																														BgL_proc1z00_1679
																																																																															=
																																																																															BgL_proc1z00_21859;
																																																																														BgL_testz00_1678
																																																																															=
																																																																															BgL_testz00_21858;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1682;
																																																																													}
																																																																													BgL_auxz00_18539
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_21857);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_21865;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_18539
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_21865);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_21869;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_18539
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_21869);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_21873;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_18539
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_21873);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1706;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_21877;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1707;
																																																																			BgL_auxz00_18539
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_21877);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd244898zd2_7034;
																																																															BgL_cdrzd244898zd2_7034
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_cdrzd244904zd2_7035;
																																																																BgL_cdrzd244904zd2_7035
																																																																	=
																																																																	CDR
																																																																	(CAR
																																																																	(BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd244910zd2_7036;
																																																																	BgL_cdrzd244910zd2_7036
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd244904zd2_7035);
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_carzd244915zd2_7037;
																																																																		obj_t
																																																																			BgL_cdrzd244916zd2_7038;
																																																																		BgL_carzd244915zd2_7037
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd244910zd2_7036);
																																																																		BgL_cdrzd244916zd2_7038
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd244910zd2_7036);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd244915zd2_7037))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_carzd244921zd2_7040;
																																																																				BgL_carzd244921zd2_7040
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd244916zd2_7038);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd244921zd2_7040))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (NULLP(CDR(BgL_cdrzd244916zd2_7038)))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd244898zd2_7034))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_arg5721z00_7045;
																																																																										BgL_arg5721z00_7045
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd244904zd2_7035);
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_21896;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_21900;
																																																																												obj_t
																																																																													BgL_proc2z00_21899;
																																																																												obj_t
																																																																													BgL_proc1z00_21898;
																																																																												obj_t
																																																																													BgL_testz00_21897;
																																																																												BgL_testz00_21897
																																																																													=
																																																																													BgL_arg5721z00_7045;
																																																																												BgL_proc1z00_21898
																																																																													=
																																																																													BgL_carzd244915zd2_7037;
																																																																												BgL_proc2z00_21899
																																																																													=
																																																																													BgL_carzd244921zd2_7040;
																																																																												BgL_argsz00_21900
																																																																													=
																																																																													BgL_cdrzd244898zd2_7034;
																																																																												BgL_argsz00_1681
																																																																													=
																																																																													BgL_argsz00_21900;
																																																																												BgL_proc2z00_1680
																																																																													=
																																																																													BgL_proc2z00_21899;
																																																																												BgL_proc1z00_1679
																																																																													=
																																																																													BgL_proc1z00_21898;
																																																																												BgL_testz00_1678
																																																																													=
																																																																													BgL_testz00_21897;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1682;
																																																																											}
																																																																											BgL_auxz00_18539
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_21896);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_21904;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_18539
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_21904);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_21908;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_18539
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_21908);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_21912;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_18539
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_21912);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_21916;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_18539
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_21916);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 117 */
																																																															goto
																																																																BgL_tagzd2403zd2_1706;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_21920;
																																																															goto
																																																																BgL_tagzd2404zd2_1707;
																																																															BgL_auxz00_18539
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_21920);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd245254zd2_7053;
																																																											BgL_cdrzd245254zd2_7053
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											{	/* Ast/sexp.scm 117 */
																																																												obj_t
																																																													BgL_cdrzd245261zd2_7054;
																																																												BgL_cdrzd245261zd2_7054
																																																													=
																																																													CDR
																																																													(CAR
																																																													(BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd245268zd2_7055;
																																																													BgL_cdrzd245268zd2_7055
																																																														=
																																																														CDR
																																																														(BgL_cdrzd245261zd2_7054);
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_carzd245274zd2_7056;
																																																														obj_t
																																																															BgL_cdrzd245275zd2_7057;
																																																														BgL_carzd245274zd2_7056
																																																															=
																																																															CAR
																																																															(BgL_cdrzd245268zd2_7055);
																																																														BgL_cdrzd245275zd2_7057
																																																															=
																																																															CDR
																																																															(BgL_cdrzd245268zd2_7055);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245274zd2_7056))
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (PAIRP(BgL_cdrzd245275zd2_7057))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_carzd245282zd2_7060;
																																																																		BgL_carzd245282zd2_7060
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd245275zd2_7057);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245282zd2_7060))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (NULLP(CDR(BgL_cdrzd245275zd2_7057)))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd245254zd2_7053))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_arg5735z00_7065;
																																																																								BgL_arg5735z00_7065
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd245261zd2_7054);
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_21941;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_21945;
																																																																										obj_t
																																																																											BgL_proc2z00_21944;
																																																																										obj_t
																																																																											BgL_proc1z00_21943;
																																																																										obj_t
																																																																											BgL_testz00_21942;
																																																																										BgL_testz00_21942
																																																																											=
																																																																											BgL_arg5735z00_7065;
																																																																										BgL_proc1z00_21943
																																																																											=
																																																																											BgL_carzd245274zd2_7056;
																																																																										BgL_proc2z00_21944
																																																																											=
																																																																											BgL_carzd245282zd2_7060;
																																																																										BgL_argsz00_21945
																																																																											=
																																																																											BgL_cdrzd245254zd2_7053;
																																																																										BgL_argsz00_1681
																																																																											=
																																																																											BgL_argsz00_21945;
																																																																										BgL_proc2z00_1680
																																																																											=
																																																																											BgL_proc2z00_21944;
																																																																										BgL_proc1z00_1679
																																																																											=
																																																																											BgL_proc1z00_21943;
																																																																										BgL_testz00_1678
																																																																											=
																																																																											BgL_testz00_21942;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1682;
																																																																									}
																																																																									BgL_auxz00_18539
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_21941);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_21949;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_18539
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_21949);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_21953;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_18539
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_21953);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_21957;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_18539
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_21957);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1706;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_21961;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1707;
																																																																				BgL_auxz00_18539
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_21961);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1706;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_21965;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1707;
																																																																		BgL_auxz00_18539
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_21965);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																											}
																																																										}
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 117 */
																																																										goto
																																																											BgL_tagzd2403zd2_1706;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_21969;
																																																										goto
																																																											BgL_tagzd2404zd2_1707;
																																																										BgL_auxz00_18539
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_21969);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												bool_t
																																													BgL_testz00_21971;
																																												{	/* Ast/sexp.scm 117 */
																																													obj_t
																																														BgL_arg5761z00_7093;
																																													BgL_arg5761z00_7093
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													BgL_testz00_21971
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg5761z00_7093));
																																												}
																																												if (BgL_testz00_21971)
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_21975;
																																														goto
																																															BgL_tagzd2382zd2_1662;
																																														BgL_auxz00_18539
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_21975);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														bool_t
																																															BgL_testz00_21977;
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_arg5760z00_7092;
																																															BgL_arg5760z00_7092
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_testz00_21977
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg5760z00_7092));
																																														}
																																														if (BgL_testz00_21977)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_21981;
																																																goto
																																																	BgL_tagzd2384zd2_1664;
																																																BgL_auxz00_18539
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_21981);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																obj_t
																																																	BgL_carzd245728zd2_7083;
																																																BgL_carzd245728zd2_7083
																																																	=
																																																	CAR
																																																	(BgL_expz00_21);
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_cdrzd245733zd2_7084;
																																																	BgL_cdrzd245733zd2_7084
																																																		=
																																																		CDR
																																																		(BgL_carzd245728zd2_7083);
																																																	if ((CAR(BgL_carzd245728zd2_7083) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_arg5755z00_7087;
																																																			obj_t
																																																				BgL_arg5756z00_7088;
																																																			obj_t
																																																				BgL_arg5757z00_7089;
																																																			BgL_arg5755z00_7087
																																																				=
																																																				CAR
																																																				(BgL_cdrzd245733zd2_7084);
																																																			BgL_arg5756z00_7088
																																																				=
																																																				CDR
																																																				(BgL_cdrzd245733zd2_7084);
																																																			BgL_arg5757z00_7089
																																																				=
																																																				CDR
																																																				(BgL_expz00_21);
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_21992;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_21995;
																																																					obj_t
																																																						BgL_bodyz00_21994;
																																																					obj_t
																																																						BgL_varsz00_21993;
																																																					BgL_varsz00_21993
																																																						=
																																																						BgL_arg5755z00_7087;
																																																					BgL_bodyz00_21994
																																																						=
																																																						BgL_arg5756z00_7088;
																																																					BgL_argsz00_21995
																																																						=
																																																						BgL_arg5757z00_7089;
																																																					BgL_argsz00_1671
																																																						=
																																																						BgL_argsz00_21995;
																																																					BgL_bodyz00_1670
																																																						=
																																																						BgL_bodyz00_21994;
																																																					BgL_varsz00_1669
																																																						=
																																																						BgL_varsz00_21993;
																																																					goto
																																																						BgL_tagzd2386zd2_1672;
																																																				}
																																																				BgL_auxz00_18539
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_21992);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 117 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 117 */
																																																					goto
																																																						BgL_tagzd2403zd2_1706;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_21999;
																																																					goto
																																																						BgL_tagzd2404zd2_1707;
																																																					BgL_auxz00_18539
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_21999);
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 117 */
																																										bool_t
																																											BgL_testz00_22001;
																																										{	/* Ast/sexp.scm 117 */
																																											obj_t
																																												BgL_arg5768z00_7100;
																																											BgL_arg5768z00_7100
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											BgL_testz00_22001
																																												=
																																												CBOOL
																																												(BGl_letzd2symzf3z21zzast_letz00
																																												(BgL_arg5768z00_7100));
																																										}
																																										if (BgL_testz00_22001)
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_22005;
																																												goto
																																													BgL_tagzd2382zd2_1662;
																																												BgL_auxz00_18539
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_22005);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												bool_t
																																													BgL_testz00_22007;
																																												{	/* Ast/sexp.scm 117 */
																																													obj_t
																																														BgL_arg5767z00_7099;
																																													BgL_arg5767z00_7099
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													BgL_testz00_22007
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg5767z00_7099));
																																												}
																																												if (BgL_testz00_22007)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_22011;
																																														goto
																																															BgL_tagzd2384zd2_1664;
																																														BgL_auxz00_18539
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_22011);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																															{	/* Ast/sexp.scm 117 */
																																																goto
																																																	BgL_tagzd2403zd2_1706;
																																															}
																																														else
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_22015;
																																																goto
																																																	BgL_tagzd2404zd2_1707;
																																																BgL_auxz00_18539
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_22015);
																																															}
																																													}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 117 */
																																								if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd244435zd2_6782)))
																																									{	/* Ast/sexp.scm 117 */
																																										goto
																																											BgL_kapzd244437zd2_6784;
																																									}
																																								else
																																									{	/* Ast/sexp.scm 117 */
																																										if ((BgL_carzd244435zd2_6782 == CNST_TABLE_REF(((long) 19))))
																																											{	/* Ast/sexp.scm 117 */
																																												goto
																																													BgL_kapzd244437zd2_6784;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												if ((BgL_carzd244435zd2_6782 == CNST_TABLE_REF(((long) 20))))
																																													{	/* Ast/sexp.scm 117 */
																																														goto
																																															BgL_kapzd244437zd2_6784;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd244435zd2_6782)))
																																															{	/* Ast/sexp.scm 117 */
																																																goto
																																																	BgL_kapzd244437zd2_6784;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																bool_t
																																																	BgL_testz00_22029;
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_arg5674z00_6961;
																																																	BgL_arg5674z00_6961
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	BgL_testz00_22029
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg5674z00_6961));
																																																}
																																																if (BgL_testz00_22029)
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_22033;
																																																		goto
																																																			BgL_tagzd2382zd2_1662;
																																																		BgL_auxz00_18539
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_22033);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		bool_t
																																																			BgL_testz00_22035;
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_arg5673z00_6960;
																																																			BgL_arg5673z00_6960
																																																				=
																																																				CAR
																																																				(BgL_expz00_21);
																																																			BgL_testz00_22035
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg5673z00_6960));
																																																		}
																																																		if (BgL_testz00_22035)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_22039;
																																																				goto
																																																					BgL_tagzd2384zd2_1664;
																																																				BgL_auxz00_18539
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_22039);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				obj_t
																																																					BgL_carzd246043zd2_6794;
																																																				obj_t
																																																					BgL_cdrzd246044zd2_6795;
																																																				BgL_carzd246043zd2_6794
																																																					=
																																																					CAR
																																																					(BgL_expz00_21);
																																																				BgL_cdrzd246044zd2_6795
																																																					=
																																																					CDR
																																																					(BgL_expz00_21);
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_cdrzd246048zd2_6796;
																																																					BgL_cdrzd246048zd2_6796
																																																						=
																																																						CDR
																																																						(BgL_carzd246043zd2_6794);
																																																					if ((CAR(BgL_carzd246043zd2_6794) == CNST_TABLE_REF(((long) 3))))
																																																						{	/* Ast/sexp.scm 117 */
																																																							if (PAIRP(BgL_cdrzd246048zd2_6796))
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_carzd246051zd2_6800;
																																																									obj_t
																																																										BgL_cdrzd246052zd2_6801;
																																																									BgL_carzd246051zd2_6800
																																																										=
																																																										CAR
																																																										(BgL_cdrzd246048zd2_6796);
																																																									BgL_cdrzd246052zd2_6801
																																																										=
																																																										CDR
																																																										(BgL_cdrzd246048zd2_6796);
																																																									if (PAIRP(BgL_carzd246051zd2_6800))
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (NULLP(CDR(BgL_carzd246051zd2_6800)))
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (PAIRP(BgL_cdrzd246052zd2_6801))
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_carzd246058zd2_6806;
																																																															BgL_carzd246058zd2_6806
																																																																=
																																																																CAR
																																																																(BgL_cdrzd246052zd2_6801);
																																																															if (PAIRP(BgL_carzd246058zd2_6806))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd246058zd2_6806))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (NULLP(CDR(BgL_cdrzd246052zd2_6801)))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_carzd246065zd2_6811;
																																																																					BgL_carzd246065zd2_6811
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd246044zd2_6795);
																																																																					if (PAIRP(BgL_carzd246065zd2_6811))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd246090zd2_6813;
																																																																							BgL_cdrzd246090zd2_6813
																																																																								=
																																																																								CDR
																																																																								(CAR
																																																																								(BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_arg5574z00_6814;
																																																																								obj_t
																																																																									BgL_arg5575z00_6815;
																																																																								obj_t
																																																																									BgL_arg5576z00_6816;
																																																																								BgL_arg5574z00_6814
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd246090zd2_6813);
																																																																								BgL_arg5575z00_6815
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd246090zd2_6813);
																																																																								BgL_arg5576z00_6816
																																																																									=
																																																																									CDR
																																																																									(BgL_expz00_21);
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_22075;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_22078;
																																																																										obj_t
																																																																											BgL_bodyz00_22077;
																																																																										obj_t
																																																																											BgL_varsz00_22076;
																																																																										BgL_varsz00_22076
																																																																											=
																																																																											BgL_arg5574z00_6814;
																																																																										BgL_bodyz00_22077
																																																																											=
																																																																											BgL_arg5575z00_6815;
																																																																										BgL_argsz00_22078
																																																																											=
																																																																											BgL_arg5576z00_6816;
																																																																										BgL_argsz00_1671
																																																																											=
																																																																											BgL_argsz00_22078;
																																																																										BgL_bodyz00_1670
																																																																											=
																																																																											BgL_bodyz00_22077;
																																																																										BgL_varsz00_1669
																																																																											=
																																																																											BgL_varsz00_22076;
																																																																										goto
																																																																											BgL_tagzd2386zd2_1672;
																																																																									}
																																																																									BgL_auxz00_18539
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_22075);
																																																																								}
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (NULLP(CDR(BgL_cdrzd246044zd2_6795)))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_arg5580z00_6820;
																																																																									BgL_arg5580z00_6820
																																																																										=
																																																																										CAR
																																																																										(BgL_carzd246051zd2_6800);
																																																																									{
																																																																										BgL_castz00_bglt
																																																																											BgL_auxz00_22084;
																																																																										{
																																																																											obj_t
																																																																												BgL_argz00_22087;
																																																																											obj_t
																																																																												BgL_bodyz00_22086;
																																																																											obj_t
																																																																												BgL_varz00_22085;
																																																																											BgL_varz00_22085
																																																																												=
																																																																												BgL_arg5580z00_6820;
																																																																											BgL_bodyz00_22086
																																																																												=
																																																																												BgL_carzd246058zd2_6806;
																																																																											BgL_argz00_22087
																																																																												=
																																																																												BgL_carzd246065zd2_6811;
																																																																											BgL_argz00_1667
																																																																												=
																																																																												BgL_argz00_22087;
																																																																											BgL_bodyz00_1666
																																																																												=
																																																																												BgL_bodyz00_22086;
																																																																											BgL_varz00_1665
																																																																												=
																																																																												BgL_varz00_22085;
																																																																											goto
																																																																												BgL_tagzd2385zd2_1668;
																																																																										}
																																																																										BgL_auxz00_18539
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_22084);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd246118zd2_6821;
																																																																									BgL_cdrzd246118zd2_6821
																																																																										=
																																																																										CDR
																																																																										(CAR
																																																																										(BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_arg5581z00_6822;
																																																																										obj_t
																																																																											BgL_arg5582z00_6823;
																																																																										obj_t
																																																																											BgL_arg5583z00_6824;
																																																																										BgL_arg5581z00_6822
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd246118zd2_6821);
																																																																										BgL_arg5582z00_6823
																																																																											=
																																																																											CDR
																																																																											(BgL_cdrzd246118zd2_6821);
																																																																										BgL_arg5583z00_6824
																																																																											=
																																																																											CDR
																																																																											(BgL_expz00_21);
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_22094;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_22097;
																																																																												obj_t
																																																																													BgL_bodyz00_22096;
																																																																												obj_t
																																																																													BgL_varsz00_22095;
																																																																												BgL_varsz00_22095
																																																																													=
																																																																													BgL_arg5581z00_6822;
																																																																												BgL_bodyz00_22096
																																																																													=
																																																																													BgL_arg5582z00_6823;
																																																																												BgL_argsz00_22097
																																																																													=
																																																																													BgL_arg5583z00_6824;
																																																																												BgL_argsz00_1671
																																																																													=
																																																																													BgL_argsz00_22097;
																																																																												BgL_bodyz00_1670
																																																																													=
																																																																													BgL_bodyz00_22096;
																																																																												BgL_varsz00_1669
																																																																													=
																																																																													BgL_varsz00_22095;
																																																																												goto
																																																																													BgL_tagzd2386zd2_1672;
																																																																											}
																																																																											BgL_auxz00_18539
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_22094);
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd246144zd2_6827;
																																																																					BgL_cdrzd246144zd2_6827
																																																																						=
																																																																						CDR
																																																																						(CAR
																																																																						(BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_arg5586z00_6828;
																																																																						obj_t
																																																																							BgL_arg5587z00_6829;
																																																																						obj_t
																																																																							BgL_arg5588z00_6830;
																																																																						BgL_arg5586z00_6828
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd246144zd2_6827);
																																																																						BgL_arg5587z00_6829
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd246144zd2_6827);
																																																																						BgL_arg5588z00_6830
																																																																							=
																																																																							CDR
																																																																							(BgL_expz00_21);
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_22104;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_22107;
																																																																								obj_t
																																																																									BgL_bodyz00_22106;
																																																																								obj_t
																																																																									BgL_varsz00_22105;
																																																																								BgL_varsz00_22105
																																																																									=
																																																																									BgL_arg5586z00_6828;
																																																																								BgL_bodyz00_22106
																																																																									=
																																																																									BgL_arg5587z00_6829;
																																																																								BgL_argsz00_22107
																																																																									=
																																																																									BgL_arg5588z00_6830;
																																																																								BgL_argsz00_1671
																																																																									=
																																																																									BgL_argsz00_22107;
																																																																								BgL_bodyz00_1670
																																																																									=
																																																																									BgL_bodyz00_22106;
																																																																								BgL_varsz00_1669
																																																																									=
																																																																									BgL_varsz00_22105;
																																																																								goto
																																																																									BgL_tagzd2386zd2_1672;
																																																																							}
																																																																							BgL_auxz00_18539
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_22104);
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd246170zd2_6833;
																																																																			BgL_cdrzd246170zd2_6833
																																																																				=
																																																																				CDR
																																																																				(CAR
																																																																				(BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_arg5591z00_6834;
																																																																				obj_t
																																																																					BgL_arg5592z00_6835;
																																																																				obj_t
																																																																					BgL_arg5593z00_6836;
																																																																				BgL_arg5591z00_6834
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd246170zd2_6833);
																																																																				BgL_arg5592z00_6835
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd246170zd2_6833);
																																																																				BgL_arg5593z00_6836
																																																																					=
																																																																					CDR
																																																																					(BgL_expz00_21);
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_22114;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_22117;
																																																																						obj_t
																																																																							BgL_bodyz00_22116;
																																																																						obj_t
																																																																							BgL_varsz00_22115;
																																																																						BgL_varsz00_22115
																																																																							=
																																																																							BgL_arg5591z00_6834;
																																																																						BgL_bodyz00_22116
																																																																							=
																																																																							BgL_arg5592z00_6835;
																																																																						BgL_argsz00_22117
																																																																							=
																																																																							BgL_arg5593z00_6836;
																																																																						BgL_argsz00_1671
																																																																							=
																																																																							BgL_argsz00_22117;
																																																																						BgL_bodyz00_1670
																																																																							=
																																																																							BgL_bodyz00_22116;
																																																																						BgL_varsz00_1669
																																																																							=
																																																																							BgL_varsz00_22115;
																																																																						goto
																																																																							BgL_tagzd2386zd2_1672;
																																																																					}
																																																																					BgL_auxz00_18539
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_22114);
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd246196zd2_6838;
																																																																	BgL_cdrzd246196zd2_6838
																																																																		=
																																																																		CDR
																																																																		(BgL_carzd246043zd2_6794);
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_arg5595z00_6839;
																																																																		obj_t
																																																																			BgL_arg5596z00_6840;
																																																																		obj_t
																																																																			BgL_arg5597z00_6841;
																																																																		BgL_arg5595z00_6839
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd246196zd2_6838);
																																																																		BgL_arg5596z00_6840
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd246196zd2_6838);
																																																																		BgL_arg5597z00_6841
																																																																			=
																																																																			CDR
																																																																			(BgL_expz00_21);
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_22123;
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_22126;
																																																																				obj_t
																																																																					BgL_bodyz00_22125;
																																																																				obj_t
																																																																					BgL_varsz00_22124;
																																																																				BgL_varsz00_22124
																																																																					=
																																																																					BgL_arg5595z00_6839;
																																																																				BgL_bodyz00_22125
																																																																					=
																																																																					BgL_arg5596z00_6840;
																																																																				BgL_argsz00_22126
																																																																					=
																																																																					BgL_arg5597z00_6841;
																																																																				BgL_argsz00_1671
																																																																					=
																																																																					BgL_argsz00_22126;
																																																																				BgL_bodyz00_1670
																																																																					=
																																																																					BgL_bodyz00_22125;
																																																																				BgL_varsz00_1669
																																																																					=
																																																																					BgL_varsz00_22124;
																																																																				goto
																																																																					BgL_tagzd2386zd2_1672;
																																																																			}
																																																																			BgL_auxz00_18539
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_22123);
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd246222zd2_6843;
																																																															BgL_cdrzd246222zd2_6843
																																																																=
																																																																CDR
																																																																(BgL_carzd246043zd2_6794);
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_arg5599z00_6844;
																																																																obj_t
																																																																	BgL_arg5600z00_6845;
																																																																obj_t
																																																																	BgL_arg5601z00_6846;
																																																																BgL_arg5599z00_6844
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd246222zd2_6843);
																																																																BgL_arg5600z00_6845
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd246222zd2_6843);
																																																																BgL_arg5601z00_6846
																																																																	=
																																																																	CDR
																																																																	(BgL_expz00_21);
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_22132;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_22135;
																																																																		obj_t
																																																																			BgL_bodyz00_22134;
																																																																		obj_t
																																																																			BgL_varsz00_22133;
																																																																		BgL_varsz00_22133
																																																																			=
																																																																			BgL_arg5599z00_6844;
																																																																		BgL_bodyz00_22134
																																																																			=
																																																																			BgL_arg5600z00_6845;
																																																																		BgL_argsz00_22135
																																																																			=
																																																																			BgL_arg5601z00_6846;
																																																																		BgL_argsz00_1671
																																																																			=
																																																																			BgL_argsz00_22135;
																																																																		BgL_bodyz00_1670
																																																																			=
																																																																			BgL_bodyz00_22134;
																																																																		BgL_varsz00_1669
																																																																			=
																																																																			BgL_varsz00_22133;
																																																																		goto
																																																																			BgL_tagzd2386zd2_1672;
																																																																	}
																																																																	BgL_auxz00_18539
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_22132);
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd246248zd2_6848;
																																																													BgL_cdrzd246248zd2_6848
																																																														=
																																																														CDR
																																																														(BgL_carzd246043zd2_6794);
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_arg5603z00_6849;
																																																														obj_t
																																																															BgL_arg5604z00_6850;
																																																														obj_t
																																																															BgL_arg5605z00_6851;
																																																														BgL_arg5603z00_6849
																																																															=
																																																															CAR
																																																															(BgL_cdrzd246248zd2_6848);
																																																														BgL_arg5604z00_6850
																																																															=
																																																															CDR
																																																															(BgL_cdrzd246248zd2_6848);
																																																														BgL_arg5605z00_6851
																																																															=
																																																															CDR
																																																															(BgL_expz00_21);
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_22141;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_22144;
																																																																obj_t
																																																																	BgL_bodyz00_22143;
																																																																obj_t
																																																																	BgL_varsz00_22142;
																																																																BgL_varsz00_22142
																																																																	=
																																																																	BgL_arg5603z00_6849;
																																																																BgL_bodyz00_22143
																																																																	=
																																																																	BgL_arg5604z00_6850;
																																																																BgL_argsz00_22144
																																																																	=
																																																																	BgL_arg5605z00_6851;
																																																																BgL_argsz00_1671
																																																																	=
																																																																	BgL_argsz00_22144;
																																																																BgL_bodyz00_1670
																																																																	=
																																																																	BgL_bodyz00_22143;
																																																																BgL_varsz00_1669
																																																																	=
																																																																	BgL_varsz00_22142;
																																																																goto
																																																																	BgL_tagzd2386zd2_1672;
																																																															}
																																																															BgL_auxz00_18539
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_22141);
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd246274zd2_6854;
																																																											BgL_cdrzd246274zd2_6854
																																																												=
																																																												CDR
																																																												(BgL_carzd246043zd2_6794);
																																																											{	/* Ast/sexp.scm 117 */
																																																												obj_t
																																																													BgL_arg5608z00_6855;
																																																												obj_t
																																																													BgL_arg5609z00_6856;
																																																												obj_t
																																																													BgL_arg5610z00_6857;
																																																												BgL_arg5608z00_6855
																																																													=
																																																													CAR
																																																													(BgL_cdrzd246274zd2_6854);
																																																												BgL_arg5609z00_6856
																																																													=
																																																													CDR
																																																													(BgL_cdrzd246274zd2_6854);
																																																												BgL_arg5610z00_6857
																																																													=
																																																													CDR
																																																													(BgL_expz00_21);
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_22150;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_22153;
																																																														obj_t
																																																															BgL_bodyz00_22152;
																																																														obj_t
																																																															BgL_varsz00_22151;
																																																														BgL_varsz00_22151
																																																															=
																																																															BgL_arg5608z00_6855;
																																																														BgL_bodyz00_22152
																																																															=
																																																															BgL_arg5609z00_6856;
																																																														BgL_argsz00_22153
																																																															=
																																																															BgL_arg5610z00_6857;
																																																														BgL_argsz00_1671
																																																															=
																																																															BgL_argsz00_22153;
																																																														BgL_bodyz00_1670
																																																															=
																																																															BgL_bodyz00_22152;
																																																														BgL_varsz00_1669
																																																															=
																																																															BgL_varsz00_22151;
																																																														goto
																																																															BgL_tagzd2386zd2_1672;
																																																													}
																																																													BgL_auxz00_18539
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_22150);
																																																												}
																																																											}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 117 */
																																																											goto
																																																												BgL_tagzd2403zd2_1706;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_22157;
																																																											goto
																																																												BgL_tagzd2404zd2_1707;
																																																											BgL_auxz00_18539
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_22157);
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_cdrzd246412zd2_6862;
																																																							BgL_cdrzd246412zd2_6862
																																																								=
																																																								CDR
																																																								(BgL_carzd246043zd2_6794);
																																																							if ((CAR(BgL_carzd246043zd2_6794) == CNST_TABLE_REF(((long) 1))))
																																																								{	/* Ast/sexp.scm 117 */
																																																									if (PAIRP(BgL_cdrzd246412zd2_6862))
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd246417zd2_6866;
																																																											BgL_cdrzd246417zd2_6866
																																																												=
																																																												CDR
																																																												(BgL_cdrzd246412zd2_6862);
																																																											if (PAIRP(BgL_cdrzd246417zd2_6866))
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_carzd246421zd2_6868;
																																																													obj_t
																																																														BgL_cdrzd246422zd2_6869;
																																																													BgL_carzd246421zd2_6868
																																																														=
																																																														CAR
																																																														(BgL_cdrzd246417zd2_6866);
																																																													BgL_cdrzd246422zd2_6869
																																																														=
																																																														CDR
																																																														(BgL_cdrzd246417zd2_6866);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246421zd2_6868))
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (PAIRP(BgL_cdrzd246422zd2_6869))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_carzd246427zd2_6872;
																																																																	BgL_carzd246427zd2_6872
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd246422zd2_6869);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246427zd2_6872))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (NULLP(CDR(BgL_cdrzd246422zd2_6869)))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					bool_t
																																																																						BgL_testz00_22181;
																																																																					{
																																																																						obj_t
																																																																							BgL_l1442z00_6905;
																																																																						BgL_l1442z00_6905
																																																																							=
																																																																							BgL_cdrzd246044zd2_6795;
																																																																					BgL_zc3anonymousza35637ze3z83_6906:
																																																																						if (NULLP(BgL_l1442z00_6905))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								BgL_testz00_22181
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									1);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								bool_t
																																																																									BgL_testz00_22184;
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									bool_t
																																																																										BgL_testz00_22185;
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_tmpz00_22186;
																																																																										BgL_tmpz00_22186
																																																																											=
																																																																											CAR
																																																																											(BgL_l1442z00_6905);
																																																																										BgL_testz00_22185
																																																																											=
																																																																											PAIRP
																																																																											(BgL_tmpz00_22186);
																																																																									}
																																																																									if (BgL_testz00_22185)
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											BgL_testz00_22184
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											BgL_testz00_22184
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																								}
																																																																								if (BgL_testz00_22184)
																																																																									{
																																																																										obj_t
																																																																											BgL_l1442z00_22189;
																																																																										BgL_l1442z00_22189
																																																																											=
																																																																											CDR
																																																																											(BgL_l1442z00_6905);
																																																																										BgL_l1442z00_6905
																																																																											=
																																																																											BgL_l1442z00_22189;
																																																																										goto
																																																																											BgL_zc3anonymousza35637ze3z83_6906;
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										BgL_testz00_22181
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																							}
																																																																					}
																																																																					if (BgL_testz00_22181)
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_arg5627z00_6888;
																																																																							BgL_arg5627z00_6888
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd246412zd2_6862);
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_22192;
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_22196;
																																																																									obj_t
																																																																										BgL_proc2z00_22195;
																																																																									obj_t
																																																																										BgL_proc1z00_22194;
																																																																									obj_t
																																																																										BgL_testz00_22193;
																																																																									BgL_testz00_22193
																																																																										=
																																																																										BgL_arg5627z00_6888;
																																																																									BgL_proc1z00_22194
																																																																										=
																																																																										BgL_carzd246421zd2_6868;
																																																																									BgL_proc2z00_22195
																																																																										=
																																																																										BgL_carzd246427zd2_6872;
																																																																									BgL_argsz00_22196
																																																																										=
																																																																										BgL_cdrzd246044zd2_6795;
																																																																									BgL_argsz00_1676
																																																																										=
																																																																										BgL_argsz00_22196;
																																																																									BgL_proc2z00_1675
																																																																										=
																																																																										BgL_proc2z00_22195;
																																																																									BgL_proc1z00_1674
																																																																										=
																																																																										BgL_proc1z00_22194;
																																																																									BgL_testz00_1673
																																																																										=
																																																																										BgL_testz00_22193;
																																																																									goto
																																																																										BgL_tagzd2387zd2_1677;
																																																																								}
																																																																								BgL_auxz00_18539
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_22192);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd246452zd2_6889;
																																																																							BgL_cdrzd246452zd2_6889
																																																																								=
																																																																								CDR
																																																																								(BgL_expz00_21);
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_cdrzd246460zd2_6890;
																																																																								BgL_cdrzd246460zd2_6890
																																																																									=
																																																																									CDR
																																																																									(CAR
																																																																									(BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd246468zd2_6891;
																																																																									BgL_cdrzd246468zd2_6891
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd246460zd2_6890);
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_carzd246475zd2_6892;
																																																																										BgL_carzd246475zd2_6892
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd246468zd2_6891);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246475zd2_6892))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_carzd246484zd2_6894;
																																																																												BgL_carzd246484zd2_6894
																																																																													=
																																																																													CAR
																																																																													(CDR
																																																																													(BgL_cdrzd246468zd2_6891));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246484zd2_6894))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd246452zd2_6889))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																obj_t
																																																																																	BgL_arg5631z00_6897;
																																																																																BgL_arg5631z00_6897
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd246460zd2_6890);
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_22212;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_22216;
																																																																																		obj_t
																																																																																			BgL_proc2z00_22215;
																																																																																		obj_t
																																																																																			BgL_proc1z00_22214;
																																																																																		obj_t
																																																																																			BgL_testz00_22213;
																																																																																		BgL_testz00_22213
																																																																																			=
																																																																																			BgL_arg5631z00_6897;
																																																																																		BgL_proc1z00_22214
																																																																																			=
																																																																																			BgL_carzd246475zd2_6892;
																																																																																		BgL_proc2z00_22215
																																																																																			=
																																																																																			BgL_carzd246484zd2_6894;
																																																																																		BgL_argsz00_22216
																																																																																			=
																																																																																			BgL_cdrzd246452zd2_6889;
																																																																																		BgL_argsz00_1681
																																																																																			=
																																																																																			BgL_argsz00_22216;
																																																																																		BgL_proc2z00_1680
																																																																																			=
																																																																																			BgL_proc2z00_22215;
																																																																																		BgL_proc1z00_1679
																																																																																			=
																																																																																			BgL_proc1z00_22214;
																																																																																		BgL_testz00_1678
																																																																																			=
																																																																																			BgL_testz00_22213;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1682;
																																																																																	}
																																																																																	BgL_auxz00_18539
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_22212);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 117 */
																																																																																		goto
																																																																																			BgL_tagzd2403zd2_1706;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_22220;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1707;
																																																																																		BgL_auxz00_18539
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_22220);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_22224;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_18539
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_22224);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_22228;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_18539
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_22228);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1706;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_22232;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1707;
																																																																							BgL_auxz00_18539
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_22232);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd246762zd2_6916;
																																																																			BgL_cdrzd246762zd2_6916
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_cdrzd246769zd2_6917;
																																																																				BgL_cdrzd246769zd2_6917
																																																																					=
																																																																					CDR
																																																																					(CAR
																																																																					(BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd246776zd2_6918;
																																																																					BgL_cdrzd246776zd2_6918
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd246769zd2_6917);
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_carzd246782zd2_6919;
																																																																						obj_t
																																																																							BgL_cdrzd246783zd2_6920;
																																																																						BgL_carzd246782zd2_6919
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd246776zd2_6918);
																																																																						BgL_cdrzd246783zd2_6920
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd246776zd2_6918);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246782zd2_6919))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_carzd246790zd2_6922;
																																																																								BgL_carzd246790zd2_6922
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd246783zd2_6920);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246790zd2_6922))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (NULLP(CDR(BgL_cdrzd246783zd2_6920)))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd246762zd2_6916))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_arg5646z00_6927;
																																																																														BgL_arg5646z00_6927
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd246769zd2_6917);
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_22251;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_22255;
																																																																																obj_t
																																																																																	BgL_proc2z00_22254;
																																																																																obj_t
																																																																																	BgL_proc1z00_22253;
																																																																																obj_t
																																																																																	BgL_testz00_22252;
																																																																																BgL_testz00_22252
																																																																																	=
																																																																																	BgL_arg5646z00_6927;
																																																																																BgL_proc1z00_22253
																																																																																	=
																																																																																	BgL_carzd246782zd2_6919;
																																																																																BgL_proc2z00_22254
																																																																																	=
																																																																																	BgL_carzd246790zd2_6922;
																																																																																BgL_argsz00_22255
																																																																																	=
																																																																																	BgL_cdrzd246762zd2_6916;
																																																																																BgL_argsz00_1681
																																																																																	=
																																																																																	BgL_argsz00_22255;
																																																																																BgL_proc2z00_1680
																																																																																	=
																																																																																	BgL_proc2z00_22254;
																																																																																BgL_proc1z00_1679
																																																																																	=
																																																																																	BgL_proc1z00_22253;
																																																																																BgL_testz00_1678
																																																																																	=
																																																																																	BgL_testz00_22252;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1682;
																																																																															}
																																																																															BgL_auxz00_18539
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_22251);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 117 */
																																																																																goto
																																																																																	BgL_tagzd2403zd2_1706;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_22259;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1707;
																																																																																BgL_auxz00_18539
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_22259);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_22263;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_18539
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_22263);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_22267;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_18539
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_22267);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_22271;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_18539
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_22271);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1706;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_22275;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1707;
																																																																			BgL_auxz00_18539
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_22275);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd247123zd2_6935;
																																																															BgL_cdrzd247123zd2_6935
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_cdrzd247129zd2_6936;
																																																																BgL_cdrzd247129zd2_6936
																																																																	=
																																																																	CDR
																																																																	(CAR
																																																																	(BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd247135zd2_6937;
																																																																	BgL_cdrzd247135zd2_6937
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd247129zd2_6936);
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_carzd247140zd2_6938;
																																																																		obj_t
																																																																			BgL_cdrzd247141zd2_6939;
																																																																		BgL_carzd247140zd2_6938
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd247135zd2_6937);
																																																																		BgL_cdrzd247141zd2_6939
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd247135zd2_6937);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd247140zd2_6938))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (PAIRP(BgL_cdrzd247141zd2_6939))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_carzd247146zd2_6942;
																																																																						BgL_carzd247146zd2_6942
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd247141zd2_6939);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd247146zd2_6942))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (NULLP(CDR(BgL_cdrzd247141zd2_6939)))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd247123zd2_6935))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_arg5660z00_6947;
																																																																												BgL_arg5660z00_6947
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd247129zd2_6936);
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22296;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_22300;
																																																																														obj_t
																																																																															BgL_proc2z00_22299;
																																																																														obj_t
																																																																															BgL_proc1z00_22298;
																																																																														obj_t
																																																																															BgL_testz00_22297;
																																																																														BgL_testz00_22297
																																																																															=
																																																																															BgL_arg5660z00_6947;
																																																																														BgL_proc1z00_22298
																																																																															=
																																																																															BgL_carzd247140zd2_6938;
																																																																														BgL_proc2z00_22299
																																																																															=
																																																																															BgL_carzd247146zd2_6942;
																																																																														BgL_argsz00_22300
																																																																															=
																																																																															BgL_cdrzd247123zd2_6935;
																																																																														BgL_argsz00_1681
																																																																															=
																																																																															BgL_argsz00_22300;
																																																																														BgL_proc2z00_1680
																																																																															=
																																																																															BgL_proc2z00_22299;
																																																																														BgL_proc1z00_1679
																																																																															=
																																																																															BgL_proc1z00_22298;
																																																																														BgL_testz00_1678
																																																																															=
																																																																															BgL_testz00_22297;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1682;
																																																																													}
																																																																													BgL_auxz00_18539
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22296);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_22304;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																														BgL_auxz00_18539
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_22304);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_22308;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_18539
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_22308);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_22312;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_18539
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_22312);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_22316;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_18539
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_22316);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_22320;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_18539
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_22320);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 117 */
																																																															goto
																																																																BgL_tagzd2403zd2_1706;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_22324;
																																																															goto
																																																																BgL_tagzd2404zd2_1707;
																																																															BgL_auxz00_18539
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_22324);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 117 */
																																																													goto
																																																														BgL_tagzd2403zd2_1706;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_22328;
																																																													goto
																																																														BgL_tagzd2404zd2_1707;
																																																													BgL_auxz00_18539
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_22328);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 117 */
																																																											goto
																																																												BgL_tagzd2403zd2_1706;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_22332;
																																																											goto
																																																												BgL_tagzd2404zd2_1707;
																																																											BgL_auxz00_18539
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_22332);
																																																										}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 117 */
																																					if (
																																						(BgL_carzd244432zd2_6780
																																							==
																																							CNST_TABLE_REF
																																							(((long) 18))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_22337;
																																							goto
																																								BgL_tagzd2382zd2_1662;
																																							BgL_auxz00_18539
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_22337);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 117 */
																																							if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd244432zd2_6780)))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_22342;
																																									goto
																																										BgL_tagzd2382zd2_1662;
																																									BgL_auxz00_18539
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_22342);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 117 */
																																									if ((BgL_carzd244432zd2_6780 == CNST_TABLE_REF(((long) 19))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_22347;
																																											goto
																																												BgL_tagzd2382zd2_1662;
																																											BgL_auxz00_18539
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_22347);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 117 */
																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_22353;
																																													goto
																																														BgL_tagzd2383zd2_1663;
																																													BgL_auxz00_18539
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_22353);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 117 */
																																													obj_t
																																														BgL_carzd247708zd2_7107;
																																													BgL_carzd247708zd2_7107
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													if ((BgL_carzd247708zd2_7107 == CNST_TABLE_REF(((long) 20))))
																																														{
																																															BgL_letzd2funzd2_bglt
																																																BgL_auxz00_22359;
																																															goto
																																																BgL_tagzd2384zd2_1664;
																																															BgL_auxz00_18539
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_22359);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 117 */
																																															if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd247708zd2_7107)))
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_22364;
																																																	goto
																																																		BgL_tagzd2384zd2_1664;
																																																	BgL_auxz00_18539
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_22364);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 117 */
																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_22370;
																																																			goto
																																																				BgL_tagzd2389zd2_1683;
																																																			BgL_auxz00_18539
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_22370);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 117 */
																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_22376;
																																																					goto
																																																						BgL_tagzd2390zd2_1684;
																																																					BgL_auxz00_18539
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_22376);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_cdrzd247788zd2_7114;
																																																					BgL_cdrzd247788zd2_7114
																																																						=
																																																						CDR
																																																						(BgL_expz00_21);
																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_arg5782z00_7117;
																																																							obj_t
																																																								BgL_arg5783z00_7118;
																																																							BgL_arg5782z00_7117
																																																								=
																																																								CAR
																																																								(BgL_cdrzd247788zd2_7114);
																																																							BgL_arg5783z00_7118
																																																								=
																																																								CDR
																																																								(BgL_cdrzd247788zd2_7114);
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_22385;
																																																								{
																																																									obj_t
																																																										BgL_restz00_22387;
																																																									obj_t
																																																										BgL_effectz00_22386;
																																																									BgL_effectz00_22386
																																																										=
																																																										BgL_arg5782z00_7117;
																																																									BgL_restz00_22387
																																																										=
																																																										BgL_arg5783z00_7118;
																																																									BgL_restz00_1686
																																																										=
																																																										BgL_restz00_22387;
																																																									BgL_effectz00_1685
																																																										=
																																																										BgL_effectz00_22386;
																																																									goto
																																																										BgL_tagzd2391zd2_1687;
																																																								}
																																																								BgL_auxz00_18539
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_22385);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_22393;
																																																									goto
																																																										BgL_tagzd2392zd2_1688;
																																																									BgL_auxz00_18539
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_22393);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_22399;
																																																											goto
																																																												BgL_tagzd2393zd2_1689;
																																																											BgL_auxz00_18539
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_22399);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_arg5790z00_7126;
																																																													obj_t
																																																														BgL_arg5791z00_7127;
																																																													BgL_arg5790z00_7126
																																																														=
																																																														CAR
																																																														(BgL_cdrzd247788zd2_7114);
																																																													BgL_arg5791z00_7127
																																																														=
																																																														CDR
																																																														(BgL_cdrzd247788zd2_7114);
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_22407;
																																																														{
																																																															obj_t
																																																																BgL_restz00_22409;
																																																															obj_t
																																																																BgL_effectz00_22408;
																																																															BgL_effectz00_22408
																																																																=
																																																																BgL_arg5790z00_7126;
																																																															BgL_restz00_22409
																																																																=
																																																																BgL_arg5791z00_7127;
																																																															BgL_restz00_1691
																																																																=
																																																																BgL_restz00_22409;
																																																															BgL_effectz00_1690
																																																																=
																																																																BgL_effectz00_22408;
																																																															goto
																																																																BgL_tagzd2394zd2_1692;
																																																														}
																																																														BgL_auxz00_18539
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_22407);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_22415;
																																																															goto
																																																																BgL_tagzd2395zd2_1693;
																																																															BgL_auxz00_18539
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_22415);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_22421;
																																																																	goto
																																																																		BgL_tagzd2396zd2_1694;
																																																																	BgL_auxz00_18539
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_22421);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																																		{
																																																																			BgL_letzd2funzd2_bglt
																																																																				BgL_auxz00_22427;
																																																																			goto
																																																																				BgL_tagzd2397zd2_1695;
																																																																			BgL_auxz00_18539
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_22427);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																																				{
																																																																					BgL_jumpzd2exzd2itz00_bglt
																																																																						BgL_auxz00_22433;
																																																																					goto
																																																																						BgL_tagzd2398zd2_1696;
																																																																					BgL_auxz00_18539
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_22433);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd247865zd2_7136;
																																																																					BgL_cdrzd247865zd2_7136
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_21);
																																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_arg5802z00_7139;
																																																																							obj_t
																																																																								BgL_arg5803z00_7140;
																																																																							BgL_arg5802z00_7139
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd247865zd2_7136);
																																																																							BgL_arg5803z00_7140
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd247865zd2_7136);
																																																																							{	/* Ast/sexp.scm 538 */
																																																																								obj_t
																																																																									BgL_arg6415z00_11532;
																																																																								BgL_arg6415z00_11532
																																																																									=
																																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																																									(BgL_expz00_21,
																																																																									BgL_locz00_23);
																																																																								BgL_auxz00_18539
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																									(BgL_expz00_21,
																																																																										BgL_arg5802z00_7139,
																																																																										CNST_TABLE_REF
																																																																										(((long) 4)), BgL_arg5803z00_7140, BgL_stackz00_22, BgL_arg6415z00_11532, BgL_sitez00_24));
																																																																						}}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1706;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_22448;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1707;
																																																																									BgL_auxz00_18539
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_22448);
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																							else
																								{	/* Ast/sexp.scm 117 */
																									obj_t BgL_carzd247888zd2_7156;

																									BgL_carzd247888zd2_7156 =
																										CAR(BgL_expz00_21);
																									if (
																										(BgL_carzd247888zd2_7156 ==
																											CNST_TABLE_REF(((long)
																													1))))
																										{
																											BgL_nodez00_bglt
																												BgL_auxz00_22454;
																											goto
																												BgL_tagzd2377zd2_1653;
																											BgL_auxz00_18539 =
																												((obj_t)
																												BgL_auxz00_22454);
																										}
																									else
																										{	/* Ast/sexp.scm 117 */
																											if (
																												(BgL_carzd247888zd2_7156
																													==
																													BGl_za2ifza2z00zzast_sexpz00))
																												{
																													BgL_nodez00_bglt
																														BgL_auxz00_22458;
																													goto
																														BgL_tagzd2377zd2_1653;
																													BgL_auxz00_18539 =
																														((obj_t)
																														BgL_auxz00_22458);
																												}
																											else
																												{	/* Ast/sexp.scm 117 */
																													if (
																														(CAR(BgL_expz00_21)
																															==
																															CNST_TABLE_REF((
																																	(long) 7))))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_22464;
																															goto
																																BgL_tagzd2379zd2_1657;
																															BgL_auxz00_18539 =
																																((obj_t)
																																BgL_auxz00_22464);
																														}
																													else
																														{	/* Ast/sexp.scm 117 */
																															if (
																																(CAR
																																	(BgL_expz00_21)
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			17))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_22470;
																																	goto
																																		BgL_tagzd2380zd2_1658;
																																	BgL_auxz00_18539
																																		=
																																		((obj_t)
																																		BgL_auxz00_22470);
																																}
																															else
																																{	/* Ast/sexp.scm 117 */
																																	obj_t
																																		BgL_carzd247949zd2_7163;
																																	BgL_carzd247949zd2_7163
																																		=
																																		CAR
																																		(BgL_expz00_21);
																																	if (PAIRP
																																		(BgL_carzd247949zd2_7163))
																																		{	/* Ast/sexp.scm 117 */
																																			obj_t
																																				BgL_carzd247952zd2_7165;
																																			obj_t
																																				BgL_cdrzd247953zd2_7166;
																																			BgL_carzd247952zd2_7165
																																				=
																																				CAR
																																				(BgL_carzd247949zd2_7163);
																																			BgL_cdrzd247953zd2_7166
																																				=
																																				CDR
																																				(BgL_carzd247949zd2_7163);
																																			{

																																				if (
																																					(BgL_carzd247952zd2_7165
																																						==
																																						CNST_TABLE_REF
																																						(((long) 18))))
																																					{	/* Ast/sexp.scm 117 */
																																					BgL_kapzd247954zd2_7167:
																																						if (PAIRP(BgL_cdrzd247953zd2_7166))
																																							{	/* Ast/sexp.scm 117 */
																																								obj_t
																																									BgL_cdrzd247957zd2_7289;
																																								BgL_cdrzd247957zd2_7289
																																									=
																																									CDR
																																									(BgL_cdrzd247953zd2_7166);
																																								if (PAIRP(BgL_cdrzd247957zd2_7289))
																																									{	/* Ast/sexp.scm 117 */
																																										if (NULLP(CDR(BgL_cdrzd247957zd2_7289)))
																																											{	/* Ast/sexp.scm 117 */
																																												obj_t
																																													BgL_arg5908z00_7293;
																																												obj_t
																																													BgL_arg5909z00_7294;
																																												BgL_arg5908z00_7293
																																													=
																																													CAR
																																													(BgL_cdrzd247957zd2_7289);
																																												BgL_arg5909z00_7294
																																													=
																																													CDR
																																													(BgL_expz00_21);
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_22490;
																																													{
																																														obj_t
																																															BgL_argsz00_22492;
																																														obj_t
																																															BgL_bodyz00_22491;
																																														BgL_bodyz00_22491
																																															=
																																															BgL_arg5908z00_7293;
																																														BgL_argsz00_22492
																																															=
																																															BgL_arg5909z00_7294;
																																														BgL_argsz00_1660
																																															=
																																															BgL_argsz00_22492;
																																														BgL_bodyz00_1659
																																															=
																																															BgL_bodyz00_22491;
																																														goto
																																															BgL_tagzd2381zd2_1661;
																																													}
																																													BgL_auxz00_18539
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_22490);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												bool_t
																																													BgL_testz00_22494;
																																												{	/* Ast/sexp.scm 117 */
																																													obj_t
																																														BgL_arg5976z00_7403;
																																													BgL_arg5976z00_7403
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													BgL_testz00_22494
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg5976z00_7403));
																																												}
																																												if (BgL_testz00_22494)
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_22498;
																																														goto
																																															BgL_tagzd2382zd2_1662;
																																														BgL_auxz00_18539
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_22498);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														bool_t
																																															BgL_testz00_22500;
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_arg5975z00_7402;
																																															BgL_arg5975z00_7402
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_testz00_22500
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg5975z00_7402));
																																														}
																																														if (BgL_testz00_22500)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_22504;
																																																goto
																																																	BgL_tagzd2384zd2_1664;
																																																BgL_auxz00_18539
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_22504);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																obj_t
																																																	BgL_carzd248035zd2_7299;
																																																BgL_carzd248035zd2_7299
																																																	=
																																																	CAR
																																																	(BgL_expz00_21);
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_cdrzd248040zd2_7300;
																																																	BgL_cdrzd248040zd2_7300
																																																		=
																																																		CDR
																																																		(BgL_carzd248035zd2_7299);
																																																	if ((CAR(BgL_carzd248035zd2_7299) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_arg5916z00_7303;
																																																			obj_t
																																																				BgL_arg5917z00_7304;
																																																			obj_t
																																																				BgL_arg5918z00_7305;
																																																			BgL_arg5916z00_7303
																																																				=
																																																				CAR
																																																				(BgL_cdrzd248040zd2_7300);
																																																			BgL_arg5917z00_7304
																																																				=
																																																				CDR
																																																				(BgL_cdrzd248040zd2_7300);
																																																			BgL_arg5918z00_7305
																																																				=
																																																				CDR
																																																				(BgL_expz00_21);
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_22515;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_22518;
																																																					obj_t
																																																						BgL_bodyz00_22517;
																																																					obj_t
																																																						BgL_varsz00_22516;
																																																					BgL_varsz00_22516
																																																						=
																																																						BgL_arg5916z00_7303;
																																																					BgL_bodyz00_22517
																																																						=
																																																						BgL_arg5917z00_7304;
																																																					BgL_argsz00_22518
																																																						=
																																																						BgL_arg5918z00_7305;
																																																					BgL_argsz00_1671
																																																						=
																																																						BgL_argsz00_22518;
																																																					BgL_bodyz00_1670
																																																						=
																																																						BgL_bodyz00_22517;
																																																					BgL_varsz00_1669
																																																						=
																																																						BgL_varsz00_22516;
																																																					goto
																																																						BgL_tagzd2386zd2_1672;
																																																				}
																																																				BgL_auxz00_18539
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_22515);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_cdrzd248063zd2_7307;
																																																			BgL_cdrzd248063zd2_7307
																																																				=
																																																				CDR
																																																				(BgL_expz00_21);
																																																			{	/* Ast/sexp.scm 117 */
																																																				obj_t
																																																					BgL_cdrzd248069zd2_7308;
																																																				BgL_cdrzd248069zd2_7308
																																																					=
																																																					CDR
																																																					(BgL_carzd248035zd2_7299);
																																																				if ((CAR(BgL_carzd248035zd2_7299) == CNST_TABLE_REF(((long) 1))))
																																																					{	/* Ast/sexp.scm 117 */
																																																						obj_t
																																																							BgL_cdrzd248075zd2_7311;
																																																						BgL_cdrzd248075zd2_7311
																																																							=
																																																							CDR
																																																							(BgL_cdrzd248069zd2_7308);
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_carzd248080zd2_7312;
																																																							obj_t
																																																								BgL_cdrzd248081zd2_7313;
																																																							BgL_carzd248080zd2_7312
																																																								=
																																																								CAR
																																																								(BgL_cdrzd248075zd2_7311);
																																																							BgL_cdrzd248081zd2_7313
																																																								=
																																																								CDR
																																																								(BgL_cdrzd248075zd2_7311);
																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248080zd2_7312))
																																																								{	/* Ast/sexp.scm 117 */
																																																									if (PAIRP(BgL_cdrzd248081zd2_7313))
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_carzd248088zd2_7316;
																																																											BgL_carzd248088zd2_7316
																																																												=
																																																												CAR
																																																												(BgL_cdrzd248081zd2_7313);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248088zd2_7316))
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (NULLP(CDR(BgL_cdrzd248081zd2_7313)))
																																																														{	/* Ast/sexp.scm 117 */
																																																															bool_t
																																																																BgL_testz00_22539;
																																																															{
																																																																obj_t
																																																																	BgL_l1445z00_7349;
																																																																BgL_l1445z00_7349
																																																																	=
																																																																	BgL_cdrzd248063zd2_7307;
																																																															BgL_zc3anonymousza35941ze3z83_7350:
																																																																if (NULLP(BgL_l1445z00_7349))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		BgL_testz00_22539
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			1);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		bool_t
																																																																			BgL_testz00_22542;
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			bool_t
																																																																				BgL_testz00_22543;
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_tmpz00_22544;
																																																																				BgL_tmpz00_22544
																																																																					=
																																																																					CAR
																																																																					(BgL_l1445z00_7349);
																																																																				BgL_testz00_22543
																																																																					=
																																																																					PAIRP
																																																																					(BgL_tmpz00_22544);
																																																																			}
																																																																			if (BgL_testz00_22543)
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					BgL_testz00_22542
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						0);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					BgL_testz00_22542
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						1);
																																																																				}
																																																																		}
																																																																		if (BgL_testz00_22542)
																																																																			{
																																																																				obj_t
																																																																					BgL_l1445z00_22547;
																																																																				BgL_l1445z00_22547
																																																																					=
																																																																					CDR
																																																																					(BgL_l1445z00_7349);
																																																																				BgL_l1445z00_7349
																																																																					=
																																																																					BgL_l1445z00_22547;
																																																																				goto
																																																																					BgL_zc3anonymousza35941ze3z83_7350;
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				BgL_testz00_22539
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					0);
																																																																			}
																																																																	}
																																																															}
																																																															if (BgL_testz00_22539)
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_arg5931z00_7332;
																																																																	BgL_arg5931z00_7332
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd248069zd2_7308);
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_22550;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_22554;
																																																																			obj_t
																																																																				BgL_proc2z00_22553;
																																																																			obj_t
																																																																				BgL_proc1z00_22552;
																																																																			obj_t
																																																																				BgL_testz00_22551;
																																																																			BgL_testz00_22551
																																																																				=
																																																																				BgL_arg5931z00_7332;
																																																																			BgL_proc1z00_22552
																																																																				=
																																																																				BgL_carzd248080zd2_7312;
																																																																			BgL_proc2z00_22553
																																																																				=
																																																																				BgL_carzd248088zd2_7316;
																																																																			BgL_argsz00_22554
																																																																				=
																																																																				BgL_cdrzd248063zd2_7307;
																																																																			BgL_argsz00_1676
																																																																				=
																																																																				BgL_argsz00_22554;
																																																																			BgL_proc2z00_1675
																																																																				=
																																																																				BgL_proc2z00_22553;
																																																																			BgL_proc1z00_1674
																																																																				=
																																																																				BgL_proc1z00_22552;
																																																																			BgL_testz00_1673
																																																																				=
																																																																				BgL_testz00_22551;
																																																																			goto
																																																																				BgL_tagzd2387zd2_1677;
																																																																		}
																																																																		BgL_auxz00_18539
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_22550);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd248112zd2_7333;
																																																																	BgL_cdrzd248112zd2_7333
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_cdrzd248119zd2_7334;
																																																																		BgL_cdrzd248119zd2_7334
																																																																			=
																																																																			CDR
																																																																			(CAR
																																																																			(BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd248126zd2_7335;
																																																																			BgL_cdrzd248126zd2_7335
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd248119zd2_7334);
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_carzd248132zd2_7336;
																																																																				BgL_carzd248132zd2_7336
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd248126zd2_7335);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248132zd2_7336))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_carzd248139zd2_7338;
																																																																						BgL_carzd248139zd2_7338
																																																																							=
																																																																							CAR
																																																																							(CDR
																																																																							(BgL_cdrzd248126zd2_7335));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248139zd2_7338))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd248112zd2_7333))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_arg5935z00_7341;
																																																																										BgL_arg5935z00_7341
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd248119zd2_7334);
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_22570;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_22574;
																																																																												obj_t
																																																																													BgL_proc2z00_22573;
																																																																												obj_t
																																																																													BgL_proc1z00_22572;
																																																																												obj_t
																																																																													BgL_testz00_22571;
																																																																												BgL_testz00_22571
																																																																													=
																																																																													BgL_arg5935z00_7341;
																																																																												BgL_proc1z00_22572
																																																																													=
																																																																													BgL_carzd248132zd2_7336;
																																																																												BgL_proc2z00_22573
																																																																													=
																																																																													BgL_carzd248139zd2_7338;
																																																																												BgL_argsz00_22574
																																																																													=
																																																																													BgL_cdrzd248112zd2_7333;
																																																																												BgL_argsz00_1681
																																																																													=
																																																																													BgL_argsz00_22574;
																																																																												BgL_proc2z00_1680
																																																																													=
																																																																													BgL_proc2z00_22573;
																																																																												BgL_proc1z00_1679
																																																																													=
																																																																													BgL_proc1z00_22572;
																																																																												BgL_testz00_1678
																																																																													=
																																																																													BgL_testz00_22571;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1682;
																																																																											}
																																																																											BgL_auxz00_18539
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_22570);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_22578;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																												BgL_auxz00_18539
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_22578);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_22582;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_18539
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_22582);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_22586;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_18539
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_22586);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	goto
																																																																		BgL_tagzd2403zd2_1706;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_22590;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1707;
																																																																	BgL_auxz00_18539
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_22590);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd248415zd2_7360;
																																																													BgL_cdrzd248415zd2_7360
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_cdrzd248421zd2_7361;
																																																														BgL_cdrzd248421zd2_7361
																																																															=
																																																															CDR
																																																															(CAR
																																																															(BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd248427zd2_7362;
																																																															BgL_cdrzd248427zd2_7362
																																																																=
																																																																CDR
																																																																(BgL_cdrzd248421zd2_7361);
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_carzd248432zd2_7363;
																																																																obj_t
																																																																	BgL_cdrzd248433zd2_7364;
																																																																BgL_carzd248432zd2_7363
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd248427zd2_7362);
																																																																BgL_cdrzd248433zd2_7364
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd248427zd2_7362);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248432zd2_7363))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_carzd248438zd2_7366;
																																																																		BgL_carzd248438zd2_7366
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd248433zd2_7364);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248438zd2_7366))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (NULLP(CDR(BgL_cdrzd248433zd2_7364)))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd248415zd2_7360))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_arg5950z00_7371;
																																																																								BgL_arg5950z00_7371
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd248421zd2_7361);
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_22609;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_22613;
																																																																										obj_t
																																																																											BgL_proc2z00_22612;
																																																																										obj_t
																																																																											BgL_proc1z00_22611;
																																																																										obj_t
																																																																											BgL_testz00_22610;
																																																																										BgL_testz00_22610
																																																																											=
																																																																											BgL_arg5950z00_7371;
																																																																										BgL_proc1z00_22611
																																																																											=
																																																																											BgL_carzd248432zd2_7363;
																																																																										BgL_proc2z00_22612
																																																																											=
																																																																											BgL_carzd248438zd2_7366;
																																																																										BgL_argsz00_22613
																																																																											=
																																																																											BgL_cdrzd248415zd2_7360;
																																																																										BgL_argsz00_1681
																																																																											=
																																																																											BgL_argsz00_22613;
																																																																										BgL_proc2z00_1680
																																																																											=
																																																																											BgL_proc2z00_22612;
																																																																										BgL_proc1z00_1679
																																																																											=
																																																																											BgL_proc1z00_22611;
																																																																										BgL_testz00_1678
																																																																											=
																																																																											BgL_testz00_22610;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1682;
																																																																									}
																																																																									BgL_auxz00_18539
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_22609);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_22617;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_18539
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_22617);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_22621;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_18539
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_22621);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_22625;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_18539
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_22625);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1706;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_22629;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1707;
																																																																				BgL_auxz00_18539
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_22629);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 117 */
																																																													goto
																																																														BgL_tagzd2403zd2_1706;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_22633;
																																																													goto
																																																														BgL_tagzd2404zd2_1707;
																																																													BgL_auxz00_18539
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_22633);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_cdrzd248771zd2_7379;
																																																									BgL_cdrzd248771zd2_7379
																																																										=
																																																										CDR
																																																										(BgL_expz00_21);
																																																									{	/* Ast/sexp.scm 117 */
																																																										obj_t
																																																											BgL_cdrzd248778zd2_7380;
																																																										BgL_cdrzd248778zd2_7380
																																																											=
																																																											CDR
																																																											(CAR
																																																											(BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd248785zd2_7381;
																																																											BgL_cdrzd248785zd2_7381
																																																												=
																																																												CDR
																																																												(BgL_cdrzd248778zd2_7380);
																																																											{	/* Ast/sexp.scm 117 */
																																																												obj_t
																																																													BgL_carzd248791zd2_7382;
																																																												obj_t
																																																													BgL_cdrzd248792zd2_7383;
																																																												BgL_carzd248791zd2_7382
																																																													=
																																																													CAR
																																																													(BgL_cdrzd248785zd2_7381);
																																																												BgL_cdrzd248792zd2_7383
																																																													=
																																																													CDR
																																																													(BgL_cdrzd248785zd2_7381);
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248791zd2_7382))
																																																													{	/* Ast/sexp.scm 117 */
																																																														if (PAIRP(BgL_cdrzd248792zd2_7383))
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_carzd248799zd2_7386;
																																																																BgL_carzd248799zd2_7386
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd248792zd2_7383);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248799zd2_7386))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (NULLP(CDR(BgL_cdrzd248792zd2_7383)))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd248771zd2_7379))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_arg5964z00_7391;
																																																																						BgL_arg5964z00_7391
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd248778zd2_7380);
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_22654;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_22658;
																																																																								obj_t
																																																																									BgL_proc2z00_22657;
																																																																								obj_t
																																																																									BgL_proc1z00_22656;
																																																																								obj_t
																																																																									BgL_testz00_22655;
																																																																								BgL_testz00_22655
																																																																									=
																																																																									BgL_arg5964z00_7391;
																																																																								BgL_proc1z00_22656
																																																																									=
																																																																									BgL_carzd248791zd2_7382;
																																																																								BgL_proc2z00_22657
																																																																									=
																																																																									BgL_carzd248799zd2_7386;
																																																																								BgL_argsz00_22658
																																																																									=
																																																																									BgL_cdrzd248771zd2_7379;
																																																																								BgL_argsz00_1681
																																																																									=
																																																																									BgL_argsz00_22658;
																																																																								BgL_proc2z00_1680
																																																																									=
																																																																									BgL_proc2z00_22657;
																																																																								BgL_proc1z00_1679
																																																																									=
																																																																									BgL_proc1z00_22656;
																																																																								BgL_testz00_1678
																																																																									=
																																																																									BgL_testz00_22655;
																																																																								goto
																																																																									BgL_tagzd2388zd2_1682;
																																																																							}
																																																																							BgL_auxz00_18539
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_22654);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_22662;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_18539
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_22662);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_22666;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_18539
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_22666);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1706;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_22670;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1707;
																																																																				BgL_auxz00_18539
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_22670);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1706;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_22674;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1707;
																																																																		BgL_auxz00_18539
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_22674);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 117 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 117 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1706;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_22678;
																																																																goto
																																																																	BgL_tagzd2404zd2_1707;
																																																																BgL_auxz00_18539
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_22678);
																																																															}
																																																													}
																																																											}
																																																										}
																																																									}
																																																								}
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 117 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 117 */
																																																								goto
																																																									BgL_tagzd2403zd2_1706;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_22682;
																																																								goto
																																																									BgL_tagzd2404zd2_1707;
																																																								BgL_auxz00_18539
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_22682);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 117 */
																																										bool_t
																																											BgL_testz00_22684;
																																										{	/* Ast/sexp.scm 117 */
																																											obj_t
																																												BgL_arg5990z00_7419;
																																											BgL_arg5990z00_7419
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											BgL_testz00_22684
																																												=
																																												CBOOL
																																												(BGl_letzd2symzf3z21zzast_letz00
																																												(BgL_arg5990z00_7419));
																																										}
																																										if (BgL_testz00_22684)
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_22688;
																																												goto
																																													BgL_tagzd2382zd2_1662;
																																												BgL_auxz00_18539
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_22688);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												bool_t
																																													BgL_testz00_22690;
																																												{	/* Ast/sexp.scm 117 */
																																													obj_t
																																														BgL_arg5989z00_7418;
																																													BgL_arg5989z00_7418
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													BgL_testz00_22690
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg5989z00_7418));
																																												}
																																												if (BgL_testz00_22690)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_22694;
																																														goto
																																															BgL_tagzd2384zd2_1664;
																																														BgL_auxz00_18539
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_22694);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														obj_t
																																															BgL_carzd249245zd2_7409;
																																														BgL_carzd249245zd2_7409
																																															=
																																															CAR
																																															(BgL_expz00_21);
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_cdrzd249250zd2_7410;
																																															BgL_cdrzd249250zd2_7410
																																																=
																																																CDR
																																																(BgL_carzd249245zd2_7409);
																																															if ((CAR(BgL_carzd249245zd2_7409) == CNST_TABLE_REF(((long) 3))))
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_arg5984z00_7413;
																																																	obj_t
																																																		BgL_arg5985z00_7414;
																																																	obj_t
																																																		BgL_arg5986z00_7415;
																																																	BgL_arg5984z00_7413
																																																		=
																																																		CAR
																																																		(BgL_cdrzd249250zd2_7410);
																																																	BgL_arg5985z00_7414
																																																		=
																																																		CDR
																																																		(BgL_cdrzd249250zd2_7410);
																																																	BgL_arg5986z00_7415
																																																		=
																																																		CDR
																																																		(BgL_expz00_21);
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_22705;
																																																		{
																																																			obj_t
																																																				BgL_argsz00_22708;
																																																			obj_t
																																																				BgL_bodyz00_22707;
																																																			obj_t
																																																				BgL_varsz00_22706;
																																																			BgL_varsz00_22706
																																																				=
																																																				BgL_arg5984z00_7413;
																																																			BgL_bodyz00_22707
																																																				=
																																																				BgL_arg5985z00_7414;
																																																			BgL_argsz00_22708
																																																				=
																																																				BgL_arg5986z00_7415;
																																																			BgL_argsz00_1671
																																																				=
																																																				BgL_argsz00_22708;
																																																			BgL_bodyz00_1670
																																																				=
																																																				BgL_bodyz00_22707;
																																																			BgL_varsz00_1669
																																																				=
																																																				BgL_varsz00_22706;
																																																			goto
																																																				BgL_tagzd2386zd2_1672;
																																																		}
																																																		BgL_auxz00_18539
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_22705);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 117 */
																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																		{	/* Ast/sexp.scm 117 */
																																																			goto
																																																				BgL_tagzd2403zd2_1706;
																																																		}
																																																	else
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_22712;
																																																			goto
																																																				BgL_tagzd2404zd2_1707;
																																																			BgL_auxz00_18539
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_22712);
																																																		}
																																																}
																																														}
																																													}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 117 */
																																								bool_t
																																									BgL_testz00_22714;
																																								{	/* Ast/sexp.scm 117 */
																																									obj_t
																																										BgL_arg5997z00_7426;
																																									BgL_arg5997z00_7426
																																										=
																																										CAR
																																										(BgL_expz00_21);
																																									BgL_testz00_22714
																																										=
																																										CBOOL
																																										(BGl_letzd2symzf3z21zzast_letz00
																																										(BgL_arg5997z00_7426));
																																								}
																																								if (BgL_testz00_22714)
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_22718;
																																										goto
																																											BgL_tagzd2382zd2_1662;
																																										BgL_auxz00_18539
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_22718);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 117 */
																																										bool_t
																																											BgL_testz00_22720;
																																										{	/* Ast/sexp.scm 117 */
																																											obj_t
																																												BgL_arg5996z00_7425;
																																											BgL_arg5996z00_7425
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											BgL_testz00_22720
																																												=
																																												CBOOL
																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																												(BgL_arg5996z00_7425));
																																										}
																																										if (BgL_testz00_22720)
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_22724;
																																												goto
																																													BgL_tagzd2384zd2_1664;
																																												BgL_auxz00_18539
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_22724);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																													{	/* Ast/sexp.scm 117 */
																																														goto
																																															BgL_tagzd2403zd2_1706;
																																													}
																																												else
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_22728;
																																														goto
																																															BgL_tagzd2404zd2_1707;
																																														BgL_auxz00_18539
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_22728);
																																													}
																																											}
																																									}
																																							}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 117 */
																																						if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd247952zd2_7165)))
																																							{	/* Ast/sexp.scm 117 */
																																								goto
																																									BgL_kapzd247954zd2_7167;
																																							}
																																						else
																																							{	/* Ast/sexp.scm 117 */
																																								if ((BgL_carzd247952zd2_7165 == CNST_TABLE_REF(((long) 19))))
																																									{	/* Ast/sexp.scm 117 */
																																										goto
																																											BgL_kapzd247954zd2_7167;
																																									}
																																								else
																																									{	/* Ast/sexp.scm 117 */
																																										if ((BgL_carzd247952zd2_7165 == CNST_TABLE_REF(((long) 20))))
																																											{	/* Ast/sexp.scm 117 */
																																												goto
																																													BgL_kapzd247954zd2_7167;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd247952zd2_7165)))
																																													{	/* Ast/sexp.scm 117 */
																																														goto
																																															BgL_kapzd247954zd2_7167;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														bool_t
																																															BgL_testz00_22742;
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_arg5903z00_7287;
																																															BgL_arg5903z00_7287
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_testz00_22742
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg5903z00_7287));
																																														}
																																														if (BgL_testz00_22742)
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_22746;
																																																goto
																																																	BgL_tagzd2382zd2_1662;
																																																BgL_auxz00_18539
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_22746);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																bool_t
																																																	BgL_testz00_22748;
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_arg5902z00_7286;
																																																	BgL_arg5902z00_7286
																																																		=
																																																		CAR
																																																		(BgL_expz00_21);
																																																	BgL_testz00_22748
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg5902z00_7286));
																																																}
																																																if (BgL_testz00_22748)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_22752;
																																																		goto
																																																			BgL_tagzd2384zd2_1664;
																																																		BgL_auxz00_18539
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_22752);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 117 */
																																																		obj_t
																																																			BgL_carzd249573zd2_7177;
																																																		BgL_carzd249573zd2_7177
																																																			=
																																																			CAR
																																																			(BgL_expz00_21);
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_cdrzd249578zd2_7178;
																																																			BgL_cdrzd249578zd2_7178
																																																				=
																																																				CDR
																																																				(BgL_carzd249573zd2_7177);
																																																			if ((CAR(BgL_carzd249573zd2_7177) == CNST_TABLE_REF(((long) 3))))
																																																				{	/* Ast/sexp.scm 117 */
																																																					if (PAIRP(BgL_cdrzd249578zd2_7178))
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_arg5838z00_7182;
																																																							obj_t
																																																								BgL_arg5839z00_7183;
																																																							obj_t
																																																								BgL_arg5840z00_7184;
																																																							BgL_arg5838z00_7182
																																																								=
																																																								CAR
																																																								(BgL_cdrzd249578zd2_7178);
																																																							BgL_arg5839z00_7183
																																																								=
																																																								CDR
																																																								(BgL_cdrzd249578zd2_7178);
																																																							BgL_arg5840z00_7184
																																																								=
																																																								CDR
																																																								(BgL_expz00_21);
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_22765;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_22768;
																																																									obj_t
																																																										BgL_bodyz00_22767;
																																																									obj_t
																																																										BgL_varsz00_22766;
																																																									BgL_varsz00_22766
																																																										=
																																																										BgL_arg5838z00_7182;
																																																									BgL_bodyz00_22767
																																																										=
																																																										BgL_arg5839z00_7183;
																																																									BgL_argsz00_22768
																																																										=
																																																										BgL_arg5840z00_7184;
																																																									BgL_argsz00_1671
																																																										=
																																																										BgL_argsz00_22768;
																																																									BgL_bodyz00_1670
																																																										=
																																																										BgL_bodyz00_22767;
																																																									BgL_varsz00_1669
																																																										=
																																																										BgL_varsz00_22766;
																																																									goto
																																																										BgL_tagzd2386zd2_1672;
																																																								}
																																																								BgL_auxz00_18539
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_22765);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{	/* Ast/sexp.scm 117 */
																																																									goto
																																																										BgL_tagzd2403zd2_1706;
																																																								}
																																																							else
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_22772;
																																																									goto
																																																										BgL_tagzd2404zd2_1707;
																																																									BgL_auxz00_18539
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_22772);
																																																								}
																																																						}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_cdrzd249685zd2_7187;
																																																					BgL_cdrzd249685zd2_7187
																																																						=
																																																						CDR
																																																						(BgL_expz00_21);
																																																					{	/* Ast/sexp.scm 117 */
																																																						obj_t
																																																							BgL_cdrzd249690zd2_7188;
																																																						BgL_cdrzd249690zd2_7188
																																																							=
																																																							CDR
																																																							(BgL_carzd249573zd2_7177);
																																																						if ((CAR(BgL_carzd249573zd2_7177) == CNST_TABLE_REF(((long) 1))))
																																																							{	/* Ast/sexp.scm 117 */
																																																								if (PAIRP(BgL_cdrzd249690zd2_7188))
																																																									{	/* Ast/sexp.scm 117 */
																																																										obj_t
																																																											BgL_cdrzd249695zd2_7192;
																																																										BgL_cdrzd249695zd2_7192
																																																											=
																																																											CDR
																																																											(BgL_cdrzd249690zd2_7188);
																																																										if (PAIRP(BgL_cdrzd249695zd2_7192))
																																																											{	/* Ast/sexp.scm 117 */
																																																												obj_t
																																																													BgL_carzd249699zd2_7194;
																																																												obj_t
																																																													BgL_cdrzd249700zd2_7195;
																																																												BgL_carzd249699zd2_7194
																																																													=
																																																													CAR
																																																													(BgL_cdrzd249695zd2_7192);
																																																												BgL_cdrzd249700zd2_7195
																																																													=
																																																													CDR
																																																													(BgL_cdrzd249695zd2_7192);
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd249699zd2_7194))
																																																													{	/* Ast/sexp.scm 117 */
																																																														if (PAIRP(BgL_cdrzd249700zd2_7195))
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_carzd249705zd2_7198;
																																																																BgL_carzd249705zd2_7198
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd249700zd2_7195);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd249705zd2_7198))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (NULLP(CDR(BgL_cdrzd249700zd2_7195)))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				bool_t
																																																																					BgL_testz00_22797;
																																																																				{
																																																																					obj_t
																																																																						BgL_l1448z00_7231;
																																																																					BgL_l1448z00_7231
																																																																						=
																																																																						BgL_cdrzd249685zd2_7187;
																																																																				BgL_zc3anonymousza35866ze3z83_7232:
																																																																					if (NULLP(BgL_l1448z00_7231))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							BgL_testz00_22797
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							bool_t
																																																																								BgL_testz00_22800;
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								bool_t
																																																																									BgL_testz00_22801;
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_tmpz00_22802;
																																																																									BgL_tmpz00_22802
																																																																										=
																																																																										CAR
																																																																										(BgL_l1448z00_7231);
																																																																									BgL_testz00_22801
																																																																										=
																																																																										PAIRP
																																																																										(BgL_tmpz00_22802);
																																																																								}
																																																																								if (BgL_testz00_22801)
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										BgL_testz00_22800
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										BgL_testz00_22800
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																							}
																																																																							if (BgL_testz00_22800)
																																																																								{
																																																																									obj_t
																																																																										BgL_l1448z00_22805;
																																																																									BgL_l1448z00_22805
																																																																										=
																																																																										CDR
																																																																										(BgL_l1448z00_7231);
																																																																									BgL_l1448z00_7231
																																																																										=
																																																																										BgL_l1448z00_22805;
																																																																									goto
																																																																										BgL_zc3anonymousza35866ze3z83_7232;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									BgL_testz00_22797
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																						}
																																																																				}
																																																																				if (BgL_testz00_22797)
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_arg5856z00_7214;
																																																																						BgL_arg5856z00_7214
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd249690zd2_7188);
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_22808;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_22812;
																																																																								obj_t
																																																																									BgL_proc2z00_22811;
																																																																								obj_t
																																																																									BgL_proc1z00_22810;
																																																																								obj_t
																																																																									BgL_testz00_22809;
																																																																								BgL_testz00_22809
																																																																									=
																																																																									BgL_arg5856z00_7214;
																																																																								BgL_proc1z00_22810
																																																																									=
																																																																									BgL_carzd249699zd2_7194;
																																																																								BgL_proc2z00_22811
																																																																									=
																																																																									BgL_carzd249705zd2_7198;
																																																																								BgL_argsz00_22812
																																																																									=
																																																																									BgL_cdrzd249685zd2_7187;
																																																																								BgL_argsz00_1676
																																																																									=
																																																																									BgL_argsz00_22812;
																																																																								BgL_proc2z00_1675
																																																																									=
																																																																									BgL_proc2z00_22811;
																																																																								BgL_proc1z00_1674
																																																																									=
																																																																									BgL_proc1z00_22810;
																																																																								BgL_testz00_1673
																																																																									=
																																																																									BgL_testz00_22809;
																																																																								goto
																																																																									BgL_tagzd2387zd2_1677;
																																																																							}
																																																																							BgL_auxz00_18539
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_22808);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_cdrzd249730zd2_7215;
																																																																						BgL_cdrzd249730zd2_7215
																																																																							=
																																																																							CDR
																																																																							(BgL_expz00_21);
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd249738zd2_7216;
																																																																							BgL_cdrzd249738zd2_7216
																																																																								=
																																																																								CDR
																																																																								(CAR
																																																																								(BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_cdrzd249746zd2_7217;
																																																																								BgL_cdrzd249746zd2_7217
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd249738zd2_7216);
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_carzd249753zd2_7218;
																																																																									BgL_carzd249753zd2_7218
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd249746zd2_7217);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd249753zd2_7218))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_carzd249762zd2_7220;
																																																																											BgL_carzd249762zd2_7220
																																																																												=
																																																																												CAR
																																																																												(CDR
																																																																												(BgL_cdrzd249746zd2_7217));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd249762zd2_7220))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd249730zd2_7215))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															obj_t
																																																																																BgL_arg5860z00_7223;
																																																																															BgL_arg5860z00_7223
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd249738zd2_7216);
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_22828;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_22832;
																																																																																	obj_t
																																																																																		BgL_proc2z00_22831;
																																																																																	obj_t
																																																																																		BgL_proc1z00_22830;
																																																																																	obj_t
																																																																																		BgL_testz00_22829;
																																																																																	BgL_testz00_22829
																																																																																		=
																																																																																		BgL_arg5860z00_7223;
																																																																																	BgL_proc1z00_22830
																																																																																		=
																																																																																		BgL_carzd249753zd2_7218;
																																																																																	BgL_proc2z00_22831
																																																																																		=
																																																																																		BgL_carzd249762zd2_7220;
																																																																																	BgL_argsz00_22832
																																																																																		=
																																																																																		BgL_cdrzd249730zd2_7215;
																																																																																	BgL_argsz00_1681
																																																																																		=
																																																																																		BgL_argsz00_22832;
																																																																																	BgL_proc2z00_1680
																																																																																		=
																																																																																		BgL_proc2z00_22831;
																																																																																	BgL_proc1z00_1679
																																																																																		=
																																																																																		BgL_proc1z00_22830;
																																																																																	BgL_testz00_1678
																																																																																		=
																																																																																		BgL_testz00_22829;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1682;
																																																																																}
																																																																																BgL_auxz00_18539
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_22828);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 117 */
																																																																																	goto
																																																																																		BgL_tagzd2403zd2_1706;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_22836;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1707;
																																																																																	BgL_auxz00_18539
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_22836);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1706;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_22840;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1707;
																																																																															BgL_auxz00_18539
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_22840);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1706;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22844;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1707;
																																																																													BgL_auxz00_18539
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22844);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_22848;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_18539
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_22848);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_cdrzd250040zd2_7242;
																																																																		BgL_cdrzd250040zd2_7242
																																																																			=
																																																																			CDR
																																																																			(BgL_expz00_21);
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd250047zd2_7243;
																																																																			BgL_cdrzd250047zd2_7243
																																																																				=
																																																																				CDR
																																																																				(CAR
																																																																				(BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_cdrzd250054zd2_7244;
																																																																				BgL_cdrzd250054zd2_7244
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd250047zd2_7243);
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_carzd250060zd2_7245;
																																																																					obj_t
																																																																						BgL_cdrzd250061zd2_7246;
																																																																					BgL_carzd250060zd2_7245
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd250054zd2_7244);
																																																																					BgL_cdrzd250061zd2_7246
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd250054zd2_7244);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250060zd2_7245))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_carzd250068zd2_7248;
																																																																							BgL_carzd250068zd2_7248
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd250061zd2_7246);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250068zd2_7248))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (NULLP(CDR(BgL_cdrzd250061zd2_7246)))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd250040zd2_7242))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_arg5875z00_7253;
																																																																													BgL_arg5875z00_7253
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd250047zd2_7243);
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_22867;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_22871;
																																																																															obj_t
																																																																																BgL_proc2z00_22870;
																																																																															obj_t
																																																																																BgL_proc1z00_22869;
																																																																															obj_t
																																																																																BgL_testz00_22868;
																																																																															BgL_testz00_22868
																																																																																=
																																																																																BgL_arg5875z00_7253;
																																																																															BgL_proc1z00_22869
																																																																																=
																																																																																BgL_carzd250060zd2_7245;
																																																																															BgL_proc2z00_22870
																																																																																=
																																																																																BgL_carzd250068zd2_7248;
																																																																															BgL_argsz00_22871
																																																																																=
																																																																																BgL_cdrzd250040zd2_7242;
																																																																															BgL_argsz00_1681
																																																																																=
																																																																																BgL_argsz00_22871;
																																																																															BgL_proc2z00_1680
																																																																																=
																																																																																BgL_proc2z00_22870;
																																																																															BgL_proc1z00_1679
																																																																																=
																																																																																BgL_proc1z00_22869;
																																																																															BgL_testz00_1678
																																																																																=
																																																																																BgL_testz00_22868;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1682;
																																																																														}
																																																																														BgL_auxz00_18539
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_22867);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 117 */
																																																																															goto
																																																																																BgL_tagzd2403zd2_1706;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_22875;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1707;
																																																																															BgL_auxz00_18539
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_22875);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1706;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22879;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1707;
																																																																													BgL_auxz00_18539
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22879);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1706;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_22883;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1707;
																																																																											BgL_auxz00_18539
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_22883);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1706;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_22887;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1707;
																																																																									BgL_auxz00_18539
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_22887);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1706;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_22891;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1707;
																																																																		BgL_auxz00_18539
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_22891);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_cdrzd250401zd2_7261;
																																																														BgL_cdrzd250401zd2_7261
																																																															=
																																																															CDR
																																																															(BgL_expz00_21);
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd250407zd2_7262;
																																																															BgL_cdrzd250407zd2_7262
																																																																=
																																																																CDR
																																																																(CAR
																																																																(BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_cdrzd250413zd2_7263;
																																																																BgL_cdrzd250413zd2_7263
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd250407zd2_7262);
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_carzd250418zd2_7264;
																																																																	obj_t
																																																																		BgL_cdrzd250419zd2_7265;
																																																																	BgL_carzd250418zd2_7264
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd250413zd2_7263);
																																																																	BgL_cdrzd250419zd2_7265
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd250413zd2_7263);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250418zd2_7264))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (PAIRP(BgL_cdrzd250419zd2_7265))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_carzd250424zd2_7268;
																																																																					BgL_carzd250424zd2_7268
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd250419zd2_7265);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250424zd2_7268))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (NULLP(CDR(BgL_cdrzd250419zd2_7265)))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd250401zd2_7261))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_arg5889z00_7273;
																																																																											BgL_arg5889z00_7273
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd250407zd2_7262);
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_22912;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_22916;
																																																																													obj_t
																																																																														BgL_proc2z00_22915;
																																																																													obj_t
																																																																														BgL_proc1z00_22914;
																																																																													obj_t
																																																																														BgL_testz00_22913;
																																																																													BgL_testz00_22913
																																																																														=
																																																																														BgL_arg5889z00_7273;
																																																																													BgL_proc1z00_22914
																																																																														=
																																																																														BgL_carzd250418zd2_7264;
																																																																													BgL_proc2z00_22915
																																																																														=
																																																																														BgL_carzd250424zd2_7268;
																																																																													BgL_argsz00_22916
																																																																														=
																																																																														BgL_cdrzd250401zd2_7261;
																																																																													BgL_argsz00_1681
																																																																														=
																																																																														BgL_argsz00_22916;
																																																																													BgL_proc2z00_1680
																																																																														=
																																																																														BgL_proc2z00_22915;
																																																																													BgL_proc1z00_1679
																																																																														=
																																																																														BgL_proc1z00_22914;
																																																																													BgL_testz00_1678
																																																																														=
																																																																														BgL_testz00_22913;
																																																																													goto
																																																																														BgL_tagzd2388zd2_1682;
																																																																												}
																																																																												BgL_auxz00_18539
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_22912);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													goto
																																																																														BgL_tagzd2403zd2_1706;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22920;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1707;
																																																																													BgL_auxz00_18539
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22920);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											goto
																																																																												BgL_tagzd2403zd2_1706;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_22924;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1707;
																																																																											BgL_auxz00_18539
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_22924);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									goto
																																																																										BgL_tagzd2403zd2_1706;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_22928;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1707;
																																																																									BgL_auxz00_18539
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_22928);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							goto
																																																																								BgL_tagzd2403zd2_1706;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_22932;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1707;
																																																																							BgL_auxz00_18539
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_22932);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1706;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_22936;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1707;
																																																																					BgL_auxz00_18539
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_22936);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 117 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 117 */
																																																														goto
																																																															BgL_tagzd2403zd2_1706;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_22940;
																																																														goto
																																																															BgL_tagzd2404zd2_1707;
																																																														BgL_auxz00_18539
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_22940);
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 117 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 117 */
																																																												goto
																																																													BgL_tagzd2403zd2_1706;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_22944;
																																																												goto
																																																													BgL_tagzd2404zd2_1707;
																																																												BgL_auxz00_18539
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_22944);
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 117 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 117 */
																																																										goto
																																																											BgL_tagzd2403zd2_1706;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_22948;
																																																										goto
																																																											BgL_tagzd2404zd2_1707;
																																																										BgL_auxz00_18539
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_22948);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 117 */
																																			if (
																																				(BgL_carzd247949zd2_7163
																																					==
																																					CNST_TABLE_REF
																																					(((long) 18))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_22953;
																																					goto
																																						BgL_tagzd2382zd2_1662;
																																					BgL_auxz00_18539
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_22953);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 117 */
																																					if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd247949zd2_7163)))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_22958;
																																							goto
																																								BgL_tagzd2382zd2_1662;
																																							BgL_auxz00_18539
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_22958);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 117 */
																																							if ((BgL_carzd247949zd2_7163 == CNST_TABLE_REF(((long) 19))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_22963;
																																									goto
																																										BgL_tagzd2382zd2_1662;
																																									BgL_auxz00_18539
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_22963);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 117 */
																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_22969;
																																											goto
																																												BgL_tagzd2383zd2_1663;
																																											BgL_auxz00_18539
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_22969);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 117 */
																																											obj_t
																																												BgL_carzd250986zd2_7433;
																																											BgL_carzd250986zd2_7433
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											if ((BgL_carzd250986zd2_7433 == CNST_TABLE_REF(((long) 20))))
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_22975;
																																													goto
																																														BgL_tagzd2384zd2_1664;
																																													BgL_auxz00_18539
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_22975);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 117 */
																																													if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd250986zd2_7433)))
																																														{
																																															BgL_letzd2funzd2_bglt
																																																BgL_auxz00_22980;
																																															goto
																																																BgL_tagzd2384zd2_1664;
																																															BgL_auxz00_18539
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_22980);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 117 */
																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_22986;
																																																	goto
																																																		BgL_tagzd2389zd2_1683;
																																																	BgL_auxz00_18539
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_22986);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 117 */
																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_22992;
																																																			goto
																																																				BgL_tagzd2390zd2_1684;
																																																			BgL_auxz00_18539
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_22992);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 117 */
																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_22998;
																																																					goto
																																																						BgL_tagzd2392zd2_1688;
																																																					BgL_auxz00_18539
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_22998);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_23004;
																																																							goto
																																																								BgL_tagzd2393zd2_1689;
																																																							BgL_auxz00_18539
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_23004);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_23010;
																																																									goto
																																																										BgL_tagzd2395zd2_1693;
																																																									BgL_auxz00_18539
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_23010);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_23016;
																																																											goto
																																																												BgL_tagzd2396zd2_1694;
																																																											BgL_auxz00_18539
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_23016);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_23022;
																																																													goto
																																																														BgL_tagzd2397zd2_1695;
																																																													BgL_auxz00_18539
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_23022);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																														{
																																																															BgL_jumpzd2exzd2itz00_bglt
																																																																BgL_auxz00_23028;
																																																															goto
																																																																BgL_tagzd2398zd2_1696;
																																																															BgL_auxz00_18539
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_23028);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_21), BUNSPEC))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (NULLP(CDR(BgL_expz00_21)))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_23036;
																																																																			goto
																																																																				BgL_tagzd2402zd2_1705;
																																																																			BgL_auxz00_18539
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_23036);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					goto
																																																																						BgL_tagzd2403zd2_1706;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_23040;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1707;
																																																																					BgL_auxz00_18539
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_23040);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			goto
																																																																				BgL_tagzd2403zd2_1706;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_23044;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1707;
																																																																			BgL_auxz00_18539
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_23044);
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																							return
																								((BgL_nodez00_bglt)
																								BgL_auxz00_18539);
																						}
																					else
																						{	/* Ast/sexp.scm 117 */
																							if (
																								(BgL_carzd227795zd2_4615 ==
																									BGl_za2ifza2z00zzast_sexpz00))
																								{
																									obj_t BgL_auxz00_23049;

																									goto BgL_kapzd227797zd2_4617;
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_23049);
																								}
																							else
																								{	/* Ast/sexp.scm 117 */
																									bool_t BgL_testz00_23051;

																									{	/* Ast/sexp.scm 117 */
																										obj_t BgL_arg4337z00_5065;

																										BgL_arg4337z00_5065 =
																											CAR(BgL_expz00_21);
																										BgL_testz00_23051 =
																											(BgL_arg4337z00_5065 ==
																											BGl_za2ifza2z00zzast_sexpz00);
																									}
																									if (BgL_testz00_23051)
																										{	/* Ast/sexp.scm 117 */
																											goto
																												BgL_tagzd2377zd2_1653;
																										}
																									else
																										{	/* Ast/sexp.scm 117 */
																											obj_t
																												BgL_cdrzd251154zd2_4622;
																											BgL_cdrzd251154zd2_4622 =
																												CDR(BgL_expz00_21);
																											if ((CAR(BgL_expz00_21) ==
																													CNST_TABLE_REF(((long)
																															7))))
																												{	/* Ast/sexp.scm 117 */
																													if (PAIRP
																														(BgL_cdrzd251154zd2_4622))
																														{	/* Ast/sexp.scm 117 */
																															obj_t
																																BgL_carzd251157zd2_4626;
																															obj_t
																																BgL_cdrzd251158zd2_4627;
																															BgL_carzd251157zd2_4626
																																=
																																CAR
																																(BgL_cdrzd251154zd2_4622);
																															BgL_cdrzd251158zd2_4627
																																=
																																CDR
																																(BgL_cdrzd251154zd2_4622);
																															if (PAIRP
																																(BgL_carzd251157zd2_4626))
																																{	/* Ast/sexp.scm 117 */
																																	if (
																																		(CAR
																																			(BgL_carzd251157zd2_4626)
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					15))))
																																		{	/* Ast/sexp.scm 117 */
																																			if (PAIRP
																																				(BgL_cdrzd251158zd2_4627))
																																				{	/* Ast/sexp.scm 117 */
																																					if (NULLP(CDR(BgL_cdrzd251158zd2_4627)))
																																						{
																																							obj_t
																																								BgL_valz00_23076;
																																							obj_t
																																								BgL_lz00_23074;
																																							BgL_lz00_23074
																																								=
																																								CDR
																																								(BgL_carzd251157zd2_4626);
																																							BgL_valz00_23076
																																								=
																																								CAR
																																								(BgL_cdrzd251158zd2_4627);
																																							BgL_valz00_1655
																																								=
																																								BgL_valz00_23076;
																																							BgL_lz00_1654
																																								=
																																								BgL_lz00_23074;
																																							goto
																																								BgL_tagzd2378zd2_1656;
																																						}
																																					else
																																						{	/* Ast/sexp.scm 117 */
																																							goto
																																								BgL_tagzd2379zd2_1657;
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 117 */
																																					goto
																																						BgL_tagzd2379zd2_1657;
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 117 */
																																			goto
																																				BgL_tagzd2379zd2_1657;
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 117 */
																																	goto
																																		BgL_tagzd2379zd2_1657;
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 117 */
																															goto
																																BgL_tagzd2379zd2_1657;
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 117 */
																													if (
																														(CAR(BgL_expz00_21)
																															==
																															CNST_TABLE_REF((
																																	(long) 17))))
																														{	/* Ast/sexp.scm 117 */
																															goto
																																BgL_tagzd2380zd2_1658;
																														}
																													else
																														{	/* Ast/sexp.scm 117 */
																															obj_t
																																BgL_carzd251267zd2_4640;
																															BgL_carzd251267zd2_4640
																																=
																																CAR
																																(BgL_expz00_21);
																															if (PAIRP
																																(BgL_carzd251267zd2_4640))
																																{	/* Ast/sexp.scm 117 */
																																	obj_t
																																		BgL_carzd251270zd2_4642;
																																	obj_t
																																		BgL_cdrzd251271zd2_4643;
																																	BgL_carzd251270zd2_4642
																																		=
																																		CAR
																																		(BgL_carzd251267zd2_4640);
																																	BgL_cdrzd251271zd2_4643
																																		=
																																		CDR
																																		(BgL_carzd251267zd2_4640);
																																	{

																																		if (
																																			(BgL_carzd251270zd2_4642
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						18))))
																																			{
																																				obj_t
																																					BgL_auxz00_23090;
																																			BgL_kapzd251272zd2_4644:
																																				if (PAIRP(BgL_cdrzd251271zd2_4643))
																																					{	/* Ast/sexp.scm 117 */
																																						obj_t
																																							BgL_cdrzd251275zd2_4829;
																																						BgL_cdrzd251275zd2_4829
																																							=
																																							CDR
																																							(BgL_cdrzd251271zd2_4643);
																																						if (PAIRP(BgL_cdrzd251275zd2_4829))
																																							{	/* Ast/sexp.scm 117 */
																																								if (NULLP(CDR(BgL_cdrzd251275zd2_4829)))
																																									{	/* Ast/sexp.scm 117 */
																																										obj_t
																																											BgL_arg4161z00_4833;
																																										obj_t
																																											BgL_arg4162z00_4834;
																																										BgL_arg4161z00_4833
																																											=
																																											CAR
																																											(BgL_cdrzd251275zd2_4829);
																																										BgL_arg4162z00_4834
																																											=
																																											CDR
																																											(BgL_expz00_21);
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_23101;
																																											{
																																												obj_t
																																													BgL_argsz00_23103;
																																												obj_t
																																													BgL_bodyz00_23102;
																																												BgL_bodyz00_23102
																																													=
																																													BgL_arg4161z00_4833;
																																												BgL_argsz00_23103
																																													=
																																													BgL_arg4162z00_4834;
																																												BgL_argsz00_1660
																																													=
																																													BgL_argsz00_23103;
																																												BgL_bodyz00_1659
																																													=
																																													BgL_bodyz00_23102;
																																												goto
																																													BgL_tagzd2381zd2_1661;
																																											}
																																											BgL_auxz00_23090
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_23101);
																																										}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 117 */
																																										bool_t
																																											BgL_testz00_23105;
																																										{	/* Ast/sexp.scm 117 */
																																											obj_t
																																												BgL_arg4229z00_4943;
																																											BgL_arg4229z00_4943
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											BgL_testz00_23105
																																												=
																																												CBOOL
																																												(BGl_letzd2symzf3z21zzast_letz00
																																												(BgL_arg4229z00_4943));
																																										}
																																										if (BgL_testz00_23105)
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_23109;
																																												goto
																																													BgL_tagzd2382zd2_1662;
																																												BgL_auxz00_23090
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_23109);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												bool_t
																																													BgL_testz00_23111;
																																												{	/* Ast/sexp.scm 117 */
																																													obj_t
																																														BgL_arg4228z00_4942;
																																													BgL_arg4228z00_4942
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													BgL_testz00_23111
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg4228z00_4942));
																																												}
																																												if (BgL_testz00_23111)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_23115;
																																														goto
																																															BgL_tagzd2384zd2_1664;
																																														BgL_auxz00_23090
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_23115);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														obj_t
																																															BgL_carzd251353zd2_4839;
																																														BgL_carzd251353zd2_4839
																																															=
																																															CAR
																																															(BgL_expz00_21);
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_cdrzd251358zd2_4840;
																																															BgL_cdrzd251358zd2_4840
																																																=
																																																CDR
																																																(BgL_carzd251353zd2_4839);
																																															if ((CAR(BgL_carzd251353zd2_4839) == CNST_TABLE_REF(((long) 3))))
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_arg4169z00_4843;
																																																	obj_t
																																																		BgL_arg4170z00_4844;
																																																	obj_t
																																																		BgL_arg4171z00_4845;
																																																	BgL_arg4169z00_4843
																																																		=
																																																		CAR
																																																		(BgL_cdrzd251358zd2_4840);
																																																	BgL_arg4170z00_4844
																																																		=
																																																		CDR
																																																		(BgL_cdrzd251358zd2_4840);
																																																	BgL_arg4171z00_4845
																																																		=
																																																		CDR
																																																		(BgL_expz00_21);
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_23126;
																																																		{
																																																			obj_t
																																																				BgL_argsz00_23129;
																																																			obj_t
																																																				BgL_bodyz00_23128;
																																																			obj_t
																																																				BgL_varsz00_23127;
																																																			BgL_varsz00_23127
																																																				=
																																																				BgL_arg4169z00_4843;
																																																			BgL_bodyz00_23128
																																																				=
																																																				BgL_arg4170z00_4844;
																																																			BgL_argsz00_23129
																																																				=
																																																				BgL_arg4171z00_4845;
																																																			BgL_argsz00_1671
																																																				=
																																																				BgL_argsz00_23129;
																																																			BgL_bodyz00_1670
																																																				=
																																																				BgL_bodyz00_23128;
																																																			BgL_varsz00_1669
																																																				=
																																																				BgL_varsz00_23127;
																																																			goto
																																																				BgL_tagzd2386zd2_1672;
																																																		}
																																																		BgL_auxz00_23090
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_23126);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_cdrzd251381zd2_4847;
																																																	BgL_cdrzd251381zd2_4847
																																																		=
																																																		CDR
																																																		(BgL_expz00_21);
																																																	{	/* Ast/sexp.scm 117 */
																																																		obj_t
																																																			BgL_cdrzd251387zd2_4848;
																																																		BgL_cdrzd251387zd2_4848
																																																			=
																																																			CDR
																																																			(BgL_carzd251353zd2_4839);
																																																		if ((CAR(BgL_carzd251353zd2_4839) == CNST_TABLE_REF(((long) 1))))
																																																			{	/* Ast/sexp.scm 117 */
																																																				obj_t
																																																					BgL_cdrzd251393zd2_4851;
																																																				BgL_cdrzd251393zd2_4851
																																																					=
																																																					CDR
																																																					(BgL_cdrzd251387zd2_4848);
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_carzd251398zd2_4852;
																																																					obj_t
																																																						BgL_cdrzd251399zd2_4853;
																																																					BgL_carzd251398zd2_4852
																																																						=
																																																						CAR
																																																						(BgL_cdrzd251393zd2_4851);
																																																					BgL_cdrzd251399zd2_4853
																																																						=
																																																						CDR
																																																						(BgL_cdrzd251393zd2_4851);
																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251398zd2_4852))
																																																						{	/* Ast/sexp.scm 117 */
																																																							if (PAIRP(BgL_cdrzd251399zd2_4853))
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_carzd251406zd2_4856;
																																																									BgL_carzd251406zd2_4856
																																																										=
																																																										CAR
																																																										(BgL_cdrzd251399zd2_4853);
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251406zd2_4856))
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (NULLP(CDR(BgL_cdrzd251399zd2_4853)))
																																																												{	/* Ast/sexp.scm 117 */
																																																													bool_t
																																																														BgL_testz00_23150;
																																																													{
																																																														obj_t
																																																															BgL_l1451z00_4889;
																																																														BgL_l1451z00_4889
																																																															=
																																																															BgL_cdrzd251381zd2_4847;
																																																													BgL_zc3anonymousza34194ze3z83_4890:
																																																														if (NULLP(BgL_l1451z00_4889))
																																																															{	/* Ast/sexp.scm 117 */
																																																																BgL_testz00_23150
																																																																	=
																																																																	(
																																																																	(bool_t)
																																																																	1);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 117 */
																																																																bool_t
																																																																	BgL_testz00_23153;
																																																																{	/* Ast/sexp.scm 117 */
																																																																	bool_t
																																																																		BgL_testz00_23154;
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_tmpz00_23155;
																																																																		BgL_tmpz00_23155
																																																																			=
																																																																			CAR
																																																																			(BgL_l1451z00_4889);
																																																																		BgL_testz00_23154
																																																																			=
																																																																			PAIRP
																																																																			(BgL_tmpz00_23155);
																																																																	}
																																																																	if (BgL_testz00_23154)
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			BgL_testz00_23153
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			BgL_testz00_23153
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				1);
																																																																		}
																																																																}
																																																																if (BgL_testz00_23153)
																																																																	{
																																																																		obj_t
																																																																			BgL_l1451z00_23158;
																																																																		BgL_l1451z00_23158
																																																																			=
																																																																			CDR
																																																																			(BgL_l1451z00_4889);
																																																																		BgL_l1451z00_4889
																																																																			=
																																																																			BgL_l1451z00_23158;
																																																																		goto
																																																																			BgL_zc3anonymousza34194ze3z83_4890;
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		BgL_testz00_23150
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			0);
																																																																	}
																																																															}
																																																													}
																																																													if (BgL_testz00_23150)
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_arg4184z00_4872;
																																																															BgL_arg4184z00_4872
																																																																=
																																																																CAR
																																																																(BgL_cdrzd251387zd2_4848);
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_23161;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_23165;
																																																																	obj_t
																																																																		BgL_proc2z00_23164;
																																																																	obj_t
																																																																		BgL_proc1z00_23163;
																																																																	obj_t
																																																																		BgL_testz00_23162;
																																																																	BgL_testz00_23162
																																																																		=
																																																																		BgL_arg4184z00_4872;
																																																																	BgL_proc1z00_23163
																																																																		=
																																																																		BgL_carzd251398zd2_4852;
																																																																	BgL_proc2z00_23164
																																																																		=
																																																																		BgL_carzd251406zd2_4856;
																																																																	BgL_argsz00_23165
																																																																		=
																																																																		BgL_cdrzd251381zd2_4847;
																																																																	BgL_argsz00_1676
																																																																		=
																																																																		BgL_argsz00_23165;
																																																																	BgL_proc2z00_1675
																																																																		=
																																																																		BgL_proc2z00_23164;
																																																																	BgL_proc1z00_1674
																																																																		=
																																																																		BgL_proc1z00_23163;
																																																																	BgL_testz00_1673
																																																																		=
																																																																		BgL_testz00_23162;
																																																																	goto
																																																																		BgL_tagzd2387zd2_1677;
																																																																}
																																																																BgL_auxz00_23090
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_23161);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd251430zd2_4873;
																																																															BgL_cdrzd251430zd2_4873
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_cdrzd251437zd2_4874;
																																																																BgL_cdrzd251437zd2_4874
																																																																	=
																																																																	CDR
																																																																	(CAR
																																																																	(BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd251444zd2_4875;
																																																																	BgL_cdrzd251444zd2_4875
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd251437zd2_4874);
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_carzd251450zd2_4876;
																																																																		BgL_carzd251450zd2_4876
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd251444zd2_4875);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251450zd2_4876))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_carzd251457zd2_4878;
																																																																				BgL_carzd251457zd2_4878
																																																																					=
																																																																					CAR
																																																																					(CDR
																																																																					(BgL_cdrzd251444zd2_4875));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251457zd2_4878))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd251430zd2_4873))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_arg4188z00_4881;
																																																																								BgL_arg4188z00_4881
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd251437zd2_4874);
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_23181;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_23185;
																																																																										obj_t
																																																																											BgL_proc2z00_23184;
																																																																										obj_t
																																																																											BgL_proc1z00_23183;
																																																																										obj_t
																																																																											BgL_testz00_23182;
																																																																										BgL_testz00_23182
																																																																											=
																																																																											BgL_arg4188z00_4881;
																																																																										BgL_proc1z00_23183
																																																																											=
																																																																											BgL_carzd251450zd2_4876;
																																																																										BgL_proc2z00_23184
																																																																											=
																																																																											BgL_carzd251457zd2_4878;
																																																																										BgL_argsz00_23185
																																																																											=
																																																																											BgL_cdrzd251430zd2_4873;
																																																																										BgL_argsz00_1681
																																																																											=
																																																																											BgL_argsz00_23185;
																																																																										BgL_proc2z00_1680
																																																																											=
																																																																											BgL_proc2z00_23184;
																																																																										BgL_proc1z00_1679
																																																																											=
																																																																											BgL_proc1z00_23183;
																																																																										BgL_testz00_1678
																																																																											=
																																																																											BgL_testz00_23182;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1682;
																																																																									}
																																																																									BgL_auxz00_23090
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_23181);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_23189;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																										BgL_auxz00_23090
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_23189);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_23193;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_23090
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_23193);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_23197;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_23090
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_23197);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 117 */
																																																															goto
																																																																BgL_tagzd2403zd2_1706;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_23201;
																																																															goto
																																																																BgL_tagzd2404zd2_1707;
																																																															BgL_auxz00_23090
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_23201);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd251733zd2_4900;
																																																											BgL_cdrzd251733zd2_4900
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											{	/* Ast/sexp.scm 117 */
																																																												obj_t
																																																													BgL_cdrzd251739zd2_4901;
																																																												BgL_cdrzd251739zd2_4901
																																																													=
																																																													CDR
																																																													(CAR
																																																													(BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd251745zd2_4902;
																																																													BgL_cdrzd251745zd2_4902
																																																														=
																																																														CDR
																																																														(BgL_cdrzd251739zd2_4901);
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_carzd251750zd2_4903;
																																																														obj_t
																																																															BgL_cdrzd251751zd2_4904;
																																																														BgL_carzd251750zd2_4903
																																																															=
																																																															CAR
																																																															(BgL_cdrzd251745zd2_4902);
																																																														BgL_cdrzd251751zd2_4904
																																																															=
																																																															CDR
																																																															(BgL_cdrzd251745zd2_4902);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251750zd2_4903))
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_carzd251756zd2_4906;
																																																																BgL_carzd251756zd2_4906
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd251751zd2_4904);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251756zd2_4906))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (NULLP(CDR(BgL_cdrzd251751zd2_4904)))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd251733zd2_4900))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_arg4203z00_4911;
																																																																						BgL_arg4203z00_4911
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd251739zd2_4901);
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_23220;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_23224;
																																																																								obj_t
																																																																									BgL_proc2z00_23223;
																																																																								obj_t
																																																																									BgL_proc1z00_23222;
																																																																								obj_t
																																																																									BgL_testz00_23221;
																																																																								BgL_testz00_23221
																																																																									=
																																																																									BgL_arg4203z00_4911;
																																																																								BgL_proc1z00_23222
																																																																									=
																																																																									BgL_carzd251750zd2_4903;
																																																																								BgL_proc2z00_23223
																																																																									=
																																																																									BgL_carzd251756zd2_4906;
																																																																								BgL_argsz00_23224
																																																																									=
																																																																									BgL_cdrzd251733zd2_4900;
																																																																								BgL_argsz00_1681
																																																																									=
																																																																									BgL_argsz00_23224;
																																																																								BgL_proc2z00_1680
																																																																									=
																																																																									BgL_proc2z00_23223;
																																																																								BgL_proc1z00_1679
																																																																									=
																																																																									BgL_proc1z00_23222;
																																																																								BgL_testz00_1678
																																																																									=
																																																																									BgL_testz00_23221;
																																																																								goto
																																																																									BgL_tagzd2388zd2_1682;
																																																																							}
																																																																							BgL_auxz00_23090
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_23220);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_23228;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																								BgL_auxz00_23090
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_23228);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_23232;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_23090
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_23232);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1706;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_23236;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1707;
																																																																				BgL_auxz00_23090
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_23236);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1706;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_23240;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1707;
																																																																		BgL_auxz00_23090
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_23240);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																											}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 117 */
																																																											goto
																																																												BgL_tagzd2403zd2_1706;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_23244;
																																																											goto
																																																												BgL_tagzd2404zd2_1707;
																																																											BgL_auxz00_23090
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_23244);
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_cdrzd252089zd2_4919;
																																																							BgL_cdrzd252089zd2_4919
																																																								=
																																																								CDR
																																																								(BgL_expz00_21);
																																																							{	/* Ast/sexp.scm 117 */
																																																								obj_t
																																																									BgL_cdrzd252096zd2_4920;
																																																								BgL_cdrzd252096zd2_4920
																																																									=
																																																									CDR
																																																									(CAR
																																																									(BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_cdrzd252103zd2_4921;
																																																									BgL_cdrzd252103zd2_4921
																																																										=
																																																										CDR
																																																										(BgL_cdrzd252096zd2_4920);
																																																									{	/* Ast/sexp.scm 117 */
																																																										obj_t
																																																											BgL_carzd252109zd2_4922;
																																																										obj_t
																																																											BgL_cdrzd252110zd2_4923;
																																																										BgL_carzd252109zd2_4922
																																																											=
																																																											CAR
																																																											(BgL_cdrzd252103zd2_4921);
																																																										BgL_cdrzd252110zd2_4923
																																																											=
																																																											CDR
																																																											(BgL_cdrzd252103zd2_4921);
																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252109zd2_4922))
																																																											{	/* Ast/sexp.scm 117 */
																																																												if (PAIRP(BgL_cdrzd252110zd2_4923))
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_carzd252117zd2_4926;
																																																														BgL_carzd252117zd2_4926
																																																															=
																																																															CAR
																																																															(BgL_cdrzd252110zd2_4923);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252117zd2_4926))
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (NULLP(CDR(BgL_cdrzd252110zd2_4923)))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd252089zd2_4919))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_arg4217z00_4931;
																																																																				BgL_arg4217z00_4931
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd252096zd2_4920);
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_23265;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_23269;
																																																																						obj_t
																																																																							BgL_proc2z00_23268;
																																																																						obj_t
																																																																							BgL_proc1z00_23267;
																																																																						obj_t
																																																																							BgL_testz00_23266;
																																																																						BgL_testz00_23266
																																																																							=
																																																																							BgL_arg4217z00_4931;
																																																																						BgL_proc1z00_23267
																																																																							=
																																																																							BgL_carzd252109zd2_4922;
																																																																						BgL_proc2z00_23268
																																																																							=
																																																																							BgL_carzd252117zd2_4926;
																																																																						BgL_argsz00_23269
																																																																							=
																																																																							BgL_cdrzd252089zd2_4919;
																																																																						BgL_argsz00_1681
																																																																							=
																																																																							BgL_argsz00_23269;
																																																																						BgL_proc2z00_1680
																																																																							=
																																																																							BgL_proc2z00_23268;
																																																																						BgL_proc1z00_1679
																																																																							=
																																																																							BgL_proc1z00_23267;
																																																																						BgL_testz00_1678
																																																																							=
																																																																							BgL_testz00_23266;
																																																																						goto
																																																																							BgL_tagzd2388zd2_1682;
																																																																					}
																																																																					BgL_auxz00_23090
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_23265);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_23273;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																						BgL_auxz00_23090
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_23273);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				goto
																																																																					BgL_tagzd2403zd2_1706;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_23277;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1707;
																																																																				BgL_auxz00_23090
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_23277);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		goto
																																																																			BgL_tagzd2403zd2_1706;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_23281;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1707;
																																																																		BgL_auxz00_23090
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_23281);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 117 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 117 */
																																																																goto
																																																																	BgL_tagzd2403zd2_1706;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_23285;
																																																																goto
																																																																	BgL_tagzd2404zd2_1707;
																																																																BgL_auxz00_23090
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_23285);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 117 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 117 */
																																																														goto
																																																															BgL_tagzd2403zd2_1706;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_23289;
																																																														goto
																																																															BgL_tagzd2404zd2_1707;
																																																														BgL_auxz00_23090
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_23289);
																																																													}
																																																											}
																																																									}
																																																								}
																																																							}
																																																						}
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 117 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{	/* Ast/sexp.scm 117 */
																																																						goto
																																																							BgL_tagzd2403zd2_1706;
																																																					}
																																																				else
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_23293;
																																																						goto
																																																							BgL_tagzd2404zd2_1707;
																																																						BgL_auxz00_23090
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_23293);
																																																					}
																																																			}
																																																	}
																																																}
																																														}
																																													}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 117 */
																																								bool_t
																																									BgL_testz00_23295;
																																								{	/* Ast/sexp.scm 117 */
																																									obj_t
																																										BgL_arg4243z00_4959;
																																									BgL_arg4243z00_4959
																																										=
																																										CAR
																																										(BgL_expz00_21);
																																									BgL_testz00_23295
																																										=
																																										CBOOL
																																										(BGl_letzd2symzf3z21zzast_letz00
																																										(BgL_arg4243z00_4959));
																																								}
																																								if (BgL_testz00_23295)
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_23299;
																																										goto
																																											BgL_tagzd2382zd2_1662;
																																										BgL_auxz00_23090
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_23299);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 117 */
																																										bool_t
																																											BgL_testz00_23301;
																																										{	/* Ast/sexp.scm 117 */
																																											obj_t
																																												BgL_arg4242z00_4958;
																																											BgL_arg4242z00_4958
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											BgL_testz00_23301
																																												=
																																												CBOOL
																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																												(BgL_arg4242z00_4958));
																																										}
																																										if (BgL_testz00_23301)
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_23305;
																																												goto
																																													BgL_tagzd2384zd2_1664;
																																												BgL_auxz00_23090
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_23305);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												obj_t
																																													BgL_carzd252563zd2_4949;
																																												BgL_carzd252563zd2_4949
																																													=
																																													CAR
																																													(BgL_expz00_21);
																																												{	/* Ast/sexp.scm 117 */
																																													obj_t
																																														BgL_cdrzd252568zd2_4950;
																																													BgL_cdrzd252568zd2_4950
																																														=
																																														CDR
																																														(BgL_carzd252563zd2_4949);
																																													if ((CAR(BgL_carzd252563zd2_4949) == CNST_TABLE_REF(((long) 3))))
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_arg4237z00_4953;
																																															obj_t
																																																BgL_arg4238z00_4954;
																																															obj_t
																																																BgL_arg4239z00_4955;
																																															BgL_arg4237z00_4953
																																																=
																																																CAR
																																																(BgL_cdrzd252568zd2_4950);
																																															BgL_arg4238z00_4954
																																																=
																																																CDR
																																																(BgL_cdrzd252568zd2_4950);
																																															BgL_arg4239z00_4955
																																																=
																																																CDR
																																																(BgL_expz00_21);
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_23316;
																																																{
																																																	obj_t
																																																		BgL_argsz00_23319;
																																																	obj_t
																																																		BgL_bodyz00_23318;
																																																	obj_t
																																																		BgL_varsz00_23317;
																																																	BgL_varsz00_23317
																																																		=
																																																		BgL_arg4237z00_4953;
																																																	BgL_bodyz00_23318
																																																		=
																																																		BgL_arg4238z00_4954;
																																																	BgL_argsz00_23319
																																																		=
																																																		BgL_arg4239z00_4955;
																																																	BgL_argsz00_1671
																																																		=
																																																		BgL_argsz00_23319;
																																																	BgL_bodyz00_1670
																																																		=
																																																		BgL_bodyz00_23318;
																																																	BgL_varsz00_1669
																																																		=
																																																		BgL_varsz00_23317;
																																																	goto
																																																		BgL_tagzd2386zd2_1672;
																																																}
																																																BgL_auxz00_23090
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_23316);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 117 */
																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																{	/* Ast/sexp.scm 117 */
																																																	goto
																																																		BgL_tagzd2403zd2_1706;
																																																}
																																															else
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_23323;
																																																	goto
																																																		BgL_tagzd2404zd2_1707;
																																																	BgL_auxz00_23090
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_23323);
																																																}
																																														}
																																												}
																																											}
																																									}
																																							}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 117 */
																																						bool_t
																																							BgL_testz00_23325;
																																						{	/* Ast/sexp.scm 117 */
																																							obj_t
																																								BgL_arg4250z00_4966;
																																							BgL_arg4250z00_4966
																																								=
																																								CAR
																																								(BgL_expz00_21);
																																							BgL_testz00_23325
																																								=
																																								CBOOL
																																								(BGl_letzd2symzf3z21zzast_letz00
																																								(BgL_arg4250z00_4966));
																																						}
																																						if (BgL_testz00_23325)
																																							{
																																								BgL_nodez00_bglt
																																									BgL_auxz00_23329;
																																								goto
																																									BgL_tagzd2382zd2_1662;
																																								BgL_auxz00_23090
																																									=
																																									(
																																									(obj_t)
																																									BgL_auxz00_23329);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 117 */
																																								bool_t
																																									BgL_testz00_23331;
																																								{	/* Ast/sexp.scm 117 */
																																									obj_t
																																										BgL_arg4249z00_4965;
																																									BgL_arg4249z00_4965
																																										=
																																										CAR
																																										(BgL_expz00_21);
																																									BgL_testz00_23331
																																										=
																																										CBOOL
																																										(BGl_labelszd2symzf3z21zzast_labelsz00
																																										(BgL_arg4249z00_4965));
																																								}
																																								if (BgL_testz00_23331)
																																									{
																																										BgL_letzd2funzd2_bglt
																																											BgL_auxz00_23335;
																																										goto
																																											BgL_tagzd2384zd2_1664;
																																										BgL_auxz00_23090
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_23335);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 117 */
																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																											{	/* Ast/sexp.scm 117 */
																																												goto
																																													BgL_tagzd2403zd2_1706;
																																											}
																																										else
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_23339;
																																												goto
																																													BgL_tagzd2404zd2_1707;
																																												BgL_auxz00_23090
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_23339);
																																											}
																																									}
																																							}
																																					}
																																				return
																																					(
																																					(BgL_nodez00_bglt)
																																					BgL_auxz00_23090);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 117 */
																																				if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd251270zd2_4642)))
																																					{
																																						obj_t
																																							BgL_auxz00_23345;
																																						goto
																																							BgL_kapzd251272zd2_4644;
																																						return
																																							(
																																							(BgL_nodez00_bglt)
																																							BgL_auxz00_23345);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 117 */
																																						if (
																																							(BgL_carzd251270zd2_4642
																																								==
																																								CNST_TABLE_REF
																																								(((long) 19))))
																																							{
																																								obj_t
																																									BgL_auxz00_23350;
																																								goto
																																									BgL_kapzd251272zd2_4644;
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_23350);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 117 */
																																								if ((BgL_carzd251270zd2_4642 == CNST_TABLE_REF(((long) 20))))
																																									{
																																										obj_t
																																											BgL_auxz00_23355;
																																										goto
																																											BgL_kapzd251272zd2_4644;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_23355);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 117 */
																																										if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd251270zd2_4642)))
																																											{
																																												obj_t
																																													BgL_auxz00_23360;
																																												goto
																																													BgL_kapzd251272zd2_4644;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_23360);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 117 */
																																												bool_t
																																													BgL_testz00_23362;
																																												{	/* Ast/sexp.scm 117 */
																																													obj_t
																																														BgL_arg4156z00_4827;
																																													BgL_arg4156z00_4827
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													BgL_testz00_23362
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg4156z00_4827));
																																												}
																																												if (BgL_testz00_23362)
																																													{	/* Ast/sexp.scm 117 */
																																														goto
																																															BgL_tagzd2382zd2_1662;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 117 */
																																														bool_t
																																															BgL_testz00_23366;
																																														{	/* Ast/sexp.scm 117 */
																																															obj_t
																																																BgL_arg4155z00_4826;
																																															BgL_arg4155z00_4826
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_testz00_23366
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg4155z00_4826));
																																														}
																																														if (BgL_testz00_23366)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_23370;
																																																goto
																																																	BgL_tagzd2384zd2_1664;
																																																return
																																																	(
																																																	(BgL_nodez00_bglt)
																																																	BgL_auxz00_23370);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 117 */
																																																obj_t
																																																	BgL_carzd252878zd2_4654;
																																																obj_t
																																																	BgL_cdrzd252879zd2_4655;
																																																BgL_carzd252878zd2_4654
																																																	=
																																																	CAR
																																																	(BgL_expz00_21);
																																																BgL_cdrzd252879zd2_4655
																																																	=
																																																	CDR
																																																	(BgL_expz00_21);
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_cdrzd252883zd2_4656;
																																																	BgL_cdrzd252883zd2_4656
																																																		=
																																																		CDR
																																																		(BgL_carzd252878zd2_4654);
																																																	if ((CAR(BgL_carzd252878zd2_4654) == CNST_TABLE_REF(((long) 3))))
																																																		{	/* Ast/sexp.scm 117 */
																																																			if (PAIRP(BgL_cdrzd252883zd2_4656))
																																																				{	/* Ast/sexp.scm 117 */
																																																					obj_t
																																																						BgL_carzd252886zd2_4660;
																																																					obj_t
																																																						BgL_cdrzd252887zd2_4661;
																																																					BgL_carzd252886zd2_4660
																																																						=
																																																						CAR
																																																						(BgL_cdrzd252883zd2_4656);
																																																					BgL_cdrzd252887zd2_4661
																																																						=
																																																						CDR
																																																						(BgL_cdrzd252883zd2_4656);
																																																					if (PAIRP(BgL_carzd252886zd2_4660))
																																																						{	/* Ast/sexp.scm 117 */
																																																							if (NULLP(CDR(BgL_carzd252886zd2_4660)))
																																																								{	/* Ast/sexp.scm 117 */
																																																									if (PAIRP(BgL_cdrzd252887zd2_4661))
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_carzd252893zd2_4666;
																																																											BgL_carzd252893zd2_4666
																																																												=
																																																												CAR
																																																												(BgL_cdrzd252887zd2_4661);
																																																											if (PAIRP(BgL_carzd252893zd2_4666))
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd252893zd2_4666))
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (NULLP(CDR(BgL_cdrzd252887zd2_4661)))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (PAIRP(BgL_cdrzd252879zd2_4655))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_carzd252900zd2_4672;
																																																																			BgL_carzd252900zd2_4672
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd252879zd2_4655);
																																																																			if (PAIRP(BgL_carzd252900zd2_4672))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd252924zd2_4674;
																																																																					BgL_cdrzd252924zd2_4674
																																																																						=
																																																																						CDR
																																																																						(CAR
																																																																						(BgL_expz00_21));
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_23409;
																																																																						obj_t
																																																																							BgL_bodyz00_23407;
																																																																						obj_t
																																																																							BgL_varsz00_23405;
																																																																						BgL_varsz00_23405
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd252924zd2_4674);
																																																																						BgL_bodyz00_23407
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd252924zd2_4674);
																																																																						BgL_argsz00_23409
																																																																							=
																																																																							CDR
																																																																							(BgL_expz00_21);
																																																																						BgL_argsz00_1671
																																																																							=
																																																																							BgL_argsz00_23409;
																																																																						BgL_bodyz00_1670
																																																																							=
																																																																							BgL_bodyz00_23407;
																																																																						BgL_varsz00_1669
																																																																							=
																																																																							BgL_varsz00_23405;
																																																																						goto
																																																																							BgL_tagzd2386zd2_1672;
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if (NULLP(CDR(BgL_cdrzd252879zd2_4655)))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_arg4058z00_4681;
																																																																							BgL_arg4058z00_4681
																																																																								=
																																																																								CAR
																																																																								(BgL_carzd252886zd2_4660);
																																																																							{
																																																																								BgL_castz00_bglt
																																																																									BgL_auxz00_23415;
																																																																								{
																																																																									obj_t
																																																																										BgL_argz00_23418;
																																																																									obj_t
																																																																										BgL_bodyz00_23417;
																																																																									obj_t
																																																																										BgL_varz00_23416;
																																																																									BgL_varz00_23416
																																																																										=
																																																																										BgL_arg4058z00_4681;
																																																																									BgL_bodyz00_23417
																																																																										=
																																																																										BgL_carzd252893zd2_4666;
																																																																									BgL_argz00_23418
																																																																										=
																																																																										BgL_carzd252900zd2_4672;
																																																																									BgL_argz00_1667
																																																																										=
																																																																										BgL_argz00_23418;
																																																																									BgL_bodyz00_1666
																																																																										=
																																																																										BgL_bodyz00_23417;
																																																																									BgL_varz00_1665
																																																																										=
																																																																										BgL_varz00_23416;
																																																																									goto
																																																																										BgL_tagzd2385zd2_1668;
																																																																								}
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_23415);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd252951zd2_4682;
																																																																							BgL_cdrzd252951zd2_4682
																																																																								=
																																																																								CDR
																																																																								(CAR
																																																																								(BgL_expz00_21));
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_23426;
																																																																								obj_t
																																																																									BgL_bodyz00_23424;
																																																																								obj_t
																																																																									BgL_varsz00_23422;
																																																																								BgL_varsz00_23422
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd252951zd2_4682);
																																																																								BgL_bodyz00_23424
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd252951zd2_4682);
																																																																								BgL_argsz00_23426
																																																																									=
																																																																									CDR
																																																																									(BgL_expz00_21);
																																																																								BgL_argsz00_1671
																																																																									=
																																																																									BgL_argsz00_23426;
																																																																								BgL_bodyz00_1670
																																																																									=
																																																																									BgL_bodyz00_23424;
																																																																								BgL_varsz00_1669
																																																																									=
																																																																									BgL_varsz00_23422;
																																																																								goto
																																																																									BgL_tagzd2386zd2_1672;
																																																																							}
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd252977zd2_4688;
																																																																			BgL_cdrzd252977zd2_4688
																																																																				=
																																																																				CDR
																																																																				(CAR
																																																																				(BgL_expz00_21));
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_23434;
																																																																				obj_t
																																																																					BgL_bodyz00_23432;
																																																																				obj_t
																																																																					BgL_varsz00_23430;
																																																																				BgL_varsz00_23430
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd252977zd2_4688);
																																																																				BgL_bodyz00_23432
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd252977zd2_4688);
																																																																				BgL_argsz00_23434
																																																																					=
																																																																					CDR
																																																																					(BgL_expz00_21);
																																																																				BgL_argsz00_1671
																																																																					=
																																																																					BgL_argsz00_23434;
																																																																				BgL_bodyz00_1670
																																																																					=
																																																																					BgL_bodyz00_23432;
																																																																				BgL_varsz00_1669
																																																																					=
																																																																					BgL_varsz00_23430;
																																																																				goto
																																																																					BgL_tagzd2386zd2_1672;
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd253003zd2_4693;
																																																																	BgL_cdrzd253003zd2_4693
																																																																		=
																																																																		CDR
																																																																		(CAR
																																																																		(BgL_expz00_21));
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_23442;
																																																																		obj_t
																																																																			BgL_bodyz00_23440;
																																																																		obj_t
																																																																			BgL_varsz00_23438;
																																																																		BgL_varsz00_23438
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd253003zd2_4693);
																																																																		BgL_bodyz00_23440
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd253003zd2_4693);
																																																																		BgL_argsz00_23442
																																																																			=
																																																																			CDR
																																																																			(BgL_expz00_21);
																																																																		BgL_argsz00_1671
																																																																			=
																																																																			BgL_argsz00_23442;
																																																																		BgL_bodyz00_1670
																																																																			=
																																																																			BgL_bodyz00_23440;
																																																																		BgL_varsz00_1669
																																																																			=
																																																																			BgL_varsz00_23438;
																																																																		goto
																																																																			BgL_tagzd2386zd2_1672;
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd253029zd2_4699;
																																																															BgL_cdrzd253029zd2_4699
																																																																=
																																																																CDR
																																																																(CAR
																																																																(BgL_expz00_21));
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_23450;
																																																																obj_t
																																																																	BgL_bodyz00_23448;
																																																																obj_t
																																																																	BgL_varsz00_23446;
																																																																BgL_varsz00_23446
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd253029zd2_4699);
																																																																BgL_bodyz00_23448
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd253029zd2_4699);
																																																																BgL_argsz00_23450
																																																																	=
																																																																	CDR
																																																																	(BgL_expz00_21);
																																																																BgL_argsz00_1671
																																																																	=
																																																																	BgL_argsz00_23450;
																																																																BgL_bodyz00_1670
																																																																	=
																																																																	BgL_bodyz00_23448;
																																																																BgL_varsz00_1669
																																																																	=
																																																																	BgL_varsz00_23446;
																																																																goto
																																																																	BgL_tagzd2386zd2_1672;
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd253055zd2_4704;
																																																													BgL_cdrzd253055zd2_4704
																																																														=
																																																														CDR
																																																														(BgL_carzd252878zd2_4654);
																																																													{
																																																														obj_t
																																																															BgL_argsz00_23457;
																																																														obj_t
																																																															BgL_bodyz00_23455;
																																																														obj_t
																																																															BgL_varsz00_23453;
																																																														BgL_varsz00_23453
																																																															=
																																																															CAR
																																																															(BgL_cdrzd253055zd2_4704);
																																																														BgL_bodyz00_23455
																																																															=
																																																															CDR
																																																															(BgL_cdrzd253055zd2_4704);
																																																														BgL_argsz00_23457
																																																															=
																																																															CDR
																																																															(BgL_expz00_21);
																																																														BgL_argsz00_1671
																																																															=
																																																															BgL_argsz00_23457;
																																																														BgL_bodyz00_1670
																																																															=
																																																															BgL_bodyz00_23455;
																																																														BgL_varsz00_1669
																																																															=
																																																															BgL_varsz00_23453;
																																																														goto
																																																															BgL_tagzd2386zd2_1672;
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd253081zd2_4709;
																																																											BgL_cdrzd253081zd2_4709
																																																												=
																																																												CDR
																																																												(BgL_carzd252878zd2_4654);
																																																											{
																																																												obj_t
																																																													BgL_argsz00_23464;
																																																												obj_t
																																																													BgL_bodyz00_23462;
																																																												obj_t
																																																													BgL_varsz00_23460;
																																																												BgL_varsz00_23460
																																																													=
																																																													CAR
																																																													(BgL_cdrzd253081zd2_4709);
																																																												BgL_bodyz00_23462
																																																													=
																																																													CDR
																																																													(BgL_cdrzd253081zd2_4709);
																																																												BgL_argsz00_23464
																																																													=
																																																													CDR
																																																													(BgL_expz00_21);
																																																												BgL_argsz00_1671
																																																													=
																																																													BgL_argsz00_23464;
																																																												BgL_bodyz00_1670
																																																													=
																																																													BgL_bodyz00_23462;
																																																												BgL_varsz00_1669
																																																													=
																																																													BgL_varsz00_23460;
																																																												goto
																																																													BgL_tagzd2386zd2_1672;
																																																											}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_cdrzd253107zd2_4714;
																																																									BgL_cdrzd253107zd2_4714
																																																										=
																																																										CDR
																																																										(BgL_carzd252878zd2_4654);
																																																									{
																																																										obj_t
																																																											BgL_argsz00_23471;
																																																										obj_t
																																																											BgL_bodyz00_23469;
																																																										obj_t
																																																											BgL_varsz00_23467;
																																																										BgL_varsz00_23467
																																																											=
																																																											CAR
																																																											(BgL_cdrzd253107zd2_4714);
																																																										BgL_bodyz00_23469
																																																											=
																																																											CDR
																																																											(BgL_cdrzd253107zd2_4714);
																																																										BgL_argsz00_23471
																																																											=
																																																											CDR
																																																											(BgL_expz00_21);
																																																										BgL_argsz00_1671
																																																											=
																																																											BgL_argsz00_23471;
																																																										BgL_bodyz00_1670
																																																											=
																																																											BgL_bodyz00_23469;
																																																										BgL_varsz00_1669
																																																											=
																																																											BgL_varsz00_23467;
																																																										goto
																																																											BgL_tagzd2386zd2_1672;
																																																									}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_cdrzd253133zd2_4720;
																																																							BgL_cdrzd253133zd2_4720
																																																								=
																																																								CDR
																																																								(BgL_carzd252878zd2_4654);
																																																							{
																																																								obj_t
																																																									BgL_argsz00_23478;
																																																								obj_t
																																																									BgL_bodyz00_23476;
																																																								obj_t
																																																									BgL_varsz00_23474;
																																																								BgL_varsz00_23474
																																																									=
																																																									CAR
																																																									(BgL_cdrzd253133zd2_4720);
																																																								BgL_bodyz00_23476
																																																									=
																																																									CDR
																																																									(BgL_cdrzd253133zd2_4720);
																																																								BgL_argsz00_23478
																																																									=
																																																									CDR
																																																									(BgL_expz00_21);
																																																								BgL_argsz00_1671
																																																									=
																																																									BgL_argsz00_23478;
																																																								BgL_bodyz00_1670
																																																									=
																																																									BgL_bodyz00_23476;
																																																								BgL_varsz00_1669
																																																									=
																																																									BgL_varsz00_23474;
																																																								goto
																																																									BgL_tagzd2386zd2_1672;
																																																							}
																																																						}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{
																																																							obj_t
																																																								BgL_auxz00_23482;
																																																							goto
																																																								BgL_tagzd2403zd2_1706;
																																																							return
																																																								(
																																																								(BgL_nodez00_bglt)
																																																								BgL_auxz00_23482);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							goto
																																																								BgL_tagzd2404zd2_1707;
																																																						}
																																																				}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 117 */
																																																			obj_t
																																																				BgL_cdrzd253271zd2_4728;
																																																			BgL_cdrzd253271zd2_4728
																																																				=
																																																				CDR
																																																				(BgL_carzd252878zd2_4654);
																																																			if ((CAR(BgL_carzd252878zd2_4654) == CNST_TABLE_REF(((long) 1))))
																																																				{	/* Ast/sexp.scm 117 */
																																																					if (PAIRP(BgL_cdrzd253271zd2_4728))
																																																						{	/* Ast/sexp.scm 117 */
																																																							obj_t
																																																								BgL_cdrzd253276zd2_4732;
																																																							BgL_cdrzd253276zd2_4732
																																																								=
																																																								CDR
																																																								(BgL_cdrzd253271zd2_4728);
																																																							if (PAIRP(BgL_cdrzd253276zd2_4732))
																																																								{	/* Ast/sexp.scm 117 */
																																																									obj_t
																																																										BgL_carzd253280zd2_4734;
																																																									obj_t
																																																										BgL_cdrzd253281zd2_4735;
																																																									BgL_carzd253280zd2_4734
																																																										=
																																																										CAR
																																																										(BgL_cdrzd253276zd2_4732);
																																																									BgL_cdrzd253281zd2_4735
																																																										=
																																																										CDR
																																																										(BgL_cdrzd253276zd2_4732);
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253280zd2_4734))
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (PAIRP(BgL_cdrzd253281zd2_4735))
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_carzd253286zd2_4738;
																																																													BgL_carzd253286zd2_4738
																																																														=
																																																														CAR
																																																														(BgL_cdrzd253281zd2_4735);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253286zd2_4738))
																																																														{	/* Ast/sexp.scm 117 */
																																																															if (NULLP(CDR(BgL_cdrzd253281zd2_4735)))
																																																																{	/* Ast/sexp.scm 117 */
																																																																	bool_t
																																																																		BgL_testz00_23506;
																																																																	{
																																																																		obj_t
																																																																			BgL_l1454z00_4771;
																																																																		BgL_l1454z00_4771
																																																																			=
																																																																			BgL_cdrzd252879zd2_4655;
																																																																	BgL_zc3anonymousza34119ze3z83_4772:
																																																																		if (NULLP(BgL_l1454z00_4771))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				BgL_testz00_23506
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					1);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				bool_t
																																																																					BgL_testz00_23509;
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					bool_t
																																																																						BgL_testz00_23510;
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_tmpz00_23511;
																																																																						BgL_tmpz00_23511
																																																																							=
																																																																							CAR
																																																																							(BgL_l1454z00_4771);
																																																																						BgL_testz00_23510
																																																																							=
																																																																							PAIRP
																																																																							(BgL_tmpz00_23511);
																																																																					}
																																																																					if (BgL_testz00_23510)
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							BgL_testz00_23509
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							BgL_testz00_23509
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																				}
																																																																				if (BgL_testz00_23509)
																																																																					{
																																																																						obj_t
																																																																							BgL_l1454z00_23514;
																																																																						BgL_l1454z00_23514
																																																																							=
																																																																							CDR
																																																																							(BgL_l1454z00_4771);
																																																																						BgL_l1454z00_4771
																																																																							=
																																																																							BgL_l1454z00_23514;
																																																																						goto
																																																																							BgL_zc3anonymousza34119ze3z83_4772;
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						BgL_testz00_23506
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							0);
																																																																					}
																																																																			}
																																																																	}
																																																																	if (BgL_testz00_23506)
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_23520;
																																																																			obj_t
																																																																				BgL_proc2z00_23519;
																																																																			obj_t
																																																																				BgL_proc1z00_23518;
																																																																			obj_t
																																																																				BgL_testz00_23516;
																																																																			BgL_testz00_23516
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd253271zd2_4728);
																																																																			BgL_proc1z00_23518
																																																																				=
																																																																				BgL_carzd253280zd2_4734;
																																																																			BgL_proc2z00_23519
																																																																				=
																																																																				BgL_carzd253286zd2_4738;
																																																																			BgL_argsz00_23520
																																																																				=
																																																																				BgL_cdrzd252879zd2_4655;
																																																																			BgL_argsz00_1676
																																																																				=
																																																																				BgL_argsz00_23520;
																																																																			BgL_proc2z00_1675
																																																																				=
																																																																				BgL_proc2z00_23519;
																																																																			BgL_proc1z00_1674
																																																																				=
																																																																				BgL_proc1z00_23518;
																																																																			BgL_testz00_1673
																																																																				=
																																																																				BgL_testz00_23516;
																																																																			goto
																																																																				BgL_tagzd2387zd2_1677;
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			obj_t
																																																																				BgL_cdrzd253311zd2_4755;
																																																																			BgL_cdrzd253311zd2_4755
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_cdrzd253319zd2_4756;
																																																																				BgL_cdrzd253319zd2_4756
																																																																					=
																																																																					CDR
																																																																					(CAR
																																																																					(BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd253327zd2_4757;
																																																																					BgL_cdrzd253327zd2_4757
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd253319zd2_4756);
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						obj_t
																																																																							BgL_carzd253334zd2_4758;
																																																																						BgL_carzd253334zd2_4758
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd253327zd2_4757);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253334zd2_4758))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								obj_t
																																																																									BgL_carzd253343zd2_4760;
																																																																								BgL_carzd253343zd2_4760
																																																																									=
																																																																									CAR
																																																																									(CDR
																																																																									(BgL_cdrzd253327zd2_4757));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253343zd2_4760))
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd253311zd2_4755))
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_23538;
																																																																												obj_t
																																																																													BgL_proc2z00_23537;
																																																																												obj_t
																																																																													BgL_proc1z00_23536;
																																																																												obj_t
																																																																													BgL_testz00_23534;
																																																																												BgL_testz00_23534
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd253319zd2_4756);
																																																																												BgL_proc1z00_23536
																																																																													=
																																																																													BgL_carzd253334zd2_4758;
																																																																												BgL_proc2z00_23537
																																																																													=
																																																																													BgL_carzd253343zd2_4760;
																																																																												BgL_argsz00_23538
																																																																													=
																																																																													BgL_cdrzd253311zd2_4755;
																																																																												BgL_argsz00_1681
																																																																													=
																																																																													BgL_argsz00_23538;
																																																																												BgL_proc2z00_1680
																																																																													=
																																																																													BgL_proc2z00_23537;
																																																																												BgL_proc1z00_1679
																																																																													=
																																																																													BgL_proc1z00_23536;
																																																																												BgL_testz00_1678
																																																																													=
																																																																													BgL_testz00_23534;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1682;
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_23541;
																																																																														goto
																																																																															BgL_tagzd2403zd2_1706;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_23541);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1707;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_23545;
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_23545);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_23549;
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_23549);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_23553;
																																																																			goto
																																																																				BgL_tagzd2403zd2_1706;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_23553);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1707;
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															obj_t
																																																																BgL_cdrzd253621zd2_4782;
																																																															BgL_cdrzd253621zd2_4782
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															{	/* Ast/sexp.scm 117 */
																																																																obj_t
																																																																	BgL_cdrzd253628zd2_4783;
																																																																BgL_cdrzd253628zd2_4783
																																																																	=
																																																																	CDR
																																																																	(CAR
																																																																	(BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd253635zd2_4784;
																																																																	BgL_cdrzd253635zd2_4784
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd253628zd2_4783);
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_carzd253641zd2_4785;
																																																																		obj_t
																																																																			BgL_cdrzd253642zd2_4786;
																																																																		BgL_carzd253641zd2_4785
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd253635zd2_4784);
																																																																		BgL_cdrzd253642zd2_4786
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd253635zd2_4784);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253641zd2_4785))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				obj_t
																																																																					BgL_carzd253649zd2_4788;
																																																																				BgL_carzd253649zd2_4788
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd253642zd2_4786);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253649zd2_4788))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (NULLP(CDR(BgL_cdrzd253642zd2_4786)))
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd253621zd2_4782))
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_23575;
																																																																										obj_t
																																																																											BgL_proc2z00_23574;
																																																																										obj_t
																																																																											BgL_proc1z00_23573;
																																																																										obj_t
																																																																											BgL_testz00_23571;
																																																																										BgL_testz00_23571
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd253628zd2_4783);
																																																																										BgL_proc1z00_23573
																																																																											=
																																																																											BgL_carzd253641zd2_4785;
																																																																										BgL_proc2z00_23574
																																																																											=
																																																																											BgL_carzd253649zd2_4788;
																																																																										BgL_argsz00_23575
																																																																											=
																																																																											BgL_cdrzd253621zd2_4782;
																																																																										BgL_argsz00_1681
																																																																											=
																																																																											BgL_argsz00_23575;
																																																																										BgL_proc2z00_1680
																																																																											=
																																																																											BgL_proc2z00_23574;
																																																																										BgL_proc1z00_1679
																																																																											=
																																																																											BgL_proc1z00_23573;
																																																																										BgL_testz00_1678
																																																																											=
																																																																											BgL_testz00_23571;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1682;
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_23578;
																																																																												goto
																																																																													BgL_tagzd2403zd2_1706;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_23578);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1707;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_23582;
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_23582);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_23586;
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_23586);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_23590;
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_23590);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{
																																																															obj_t
																																																																BgL_auxz00_23594;
																																																															goto
																																																																BgL_tagzd2403zd2_1706;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_23594);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															goto
																																																																BgL_tagzd2404zd2_1707;
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											obj_t
																																																												BgL_cdrzd253982zd2_4801;
																																																											BgL_cdrzd253982zd2_4801
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											{	/* Ast/sexp.scm 117 */
																																																												obj_t
																																																													BgL_cdrzd253988zd2_4802;
																																																												BgL_cdrzd253988zd2_4802
																																																													=
																																																													CDR
																																																													(CAR
																																																													(BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 117 */
																																																													obj_t
																																																														BgL_cdrzd253994zd2_4803;
																																																													BgL_cdrzd253994zd2_4803
																																																														=
																																																														CDR
																																																														(BgL_cdrzd253988zd2_4802);
																																																													{	/* Ast/sexp.scm 117 */
																																																														obj_t
																																																															BgL_carzd253999zd2_4804;
																																																														obj_t
																																																															BgL_cdrzd254000zd2_4805;
																																																														BgL_carzd253999zd2_4804
																																																															=
																																																															CAR
																																																															(BgL_cdrzd253994zd2_4803);
																																																														BgL_cdrzd254000zd2_4805
																																																															=
																																																															CDR
																																																															(BgL_cdrzd253994zd2_4803);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253999zd2_4804))
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (PAIRP(BgL_cdrzd254000zd2_4805))
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		obj_t
																																																																			BgL_carzd254005zd2_4808;
																																																																		BgL_carzd254005zd2_4808
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd254000zd2_4805);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd254005zd2_4808))
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (NULLP(CDR(BgL_cdrzd254000zd2_4805)))
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd253982zd2_4801))
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_23618;
																																																																								obj_t
																																																																									BgL_proc2z00_23617;
																																																																								obj_t
																																																																									BgL_proc1z00_23616;
																																																																								obj_t
																																																																									BgL_testz00_23614;
																																																																								BgL_testz00_23614
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd253988zd2_4802);
																																																																								BgL_proc1z00_23616
																																																																									=
																																																																									BgL_carzd253999zd2_4804;
																																																																								BgL_proc2z00_23617
																																																																									=
																																																																									BgL_carzd254005zd2_4808;
																																																																								BgL_argsz00_23618
																																																																									=
																																																																									BgL_cdrzd253982zd2_4801;
																																																																								BgL_argsz00_1681
																																																																									=
																																																																									BgL_argsz00_23618;
																																																																								BgL_proc2z00_1680
																																																																									=
																																																																									BgL_proc2z00_23617;
																																																																								BgL_proc1z00_1679
																																																																									=
																																																																									BgL_proc1z00_23616;
																																																																								BgL_testz00_1678
																																																																									=
																																																																									BgL_testz00_23614;
																																																																								goto
																																																																									BgL_tagzd2388zd2_1682;
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_23621;
																																																																										goto
																																																																											BgL_tagzd2403zd2_1706;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_23621);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1707;
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_23625;
																																																																								goto
																																																																									BgL_tagzd2403zd2_1706;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_23625);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 117 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1707;
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_23629;
																																																																						goto
																																																																							BgL_tagzd2403zd2_1706;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_23629);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 117 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1707;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_23633;
																																																																				goto
																																																																					BgL_tagzd2403zd2_1706;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_23633);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 117 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1707;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 117 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{
																																																																		obj_t
																																																																			BgL_auxz00_23637;
																																																																		goto
																																																																			BgL_tagzd2403zd2_1706;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_auxz00_23637);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 117 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1707;
																																																																	}
																																																															}
																																																													}
																																																												}
																																																											}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{
																																																											obj_t
																																																												BgL_auxz00_23641;
																																																											goto
																																																												BgL_tagzd2403zd2_1706;
																																																											return
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BgL_auxz00_23641);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											goto
																																																												BgL_tagzd2404zd2_1707;
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{
																																																									obj_t
																																																										BgL_auxz00_23645;
																																																									goto
																																																										BgL_tagzd2403zd2_1706;
																																																									return
																																																										(
																																																										(BgL_nodez00_bglt)
																																																										BgL_auxz00_23645);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									goto
																																																										BgL_tagzd2404zd2_1707;
																																																								}
																																																						}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{
																																																							obj_t
																																																								BgL_auxz00_23649;
																																																							goto
																																																								BgL_tagzd2403zd2_1706;
																																																							return
																																																								(
																																																								(BgL_nodez00_bglt)
																																																								BgL_auxz00_23649);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							goto
																																																								BgL_tagzd2404zd2_1707;
																																																						}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																																}
																															else
																																{	/* Ast/sexp.scm 117 */
																																	if (
																																		(BgL_carzd251267zd2_4640
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					18))))
																																		{	/* Ast/sexp.scm 117 */
																																			goto
																																				BgL_tagzd2382zd2_1662;
																																		}
																																	else
																																		{	/* Ast/sexp.scm 117 */
																																			if (CBOOL
																																				(BGl_letzd2symzf3z21zzast_letz00
																																					(BgL_carzd251267zd2_4640)))
																																				{	/* Ast/sexp.scm 117 */
																																					goto
																																						BgL_tagzd2382zd2_1662;
																																				}
																																			else
																																				{	/* Ast/sexp.scm 117 */
																																					if (
																																						(BgL_carzd251267zd2_4640
																																							==
																																							CNST_TABLE_REF
																																							(((long) 19))))
																																						{	/* Ast/sexp.scm 117 */
																																							goto
																																								BgL_tagzd2382zd2_1662;
																																						}
																																					else
																																						{	/* Ast/sexp.scm 117 */
																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 21))))
																																								{	/* Ast/sexp.scm 117 */
																																									goto
																																										BgL_tagzd2383zd2_1663;
																																								}
																																							else
																																								{	/* Ast/sexp.scm 117 */
																																									obj_t
																																										BgL_carzd254567zd2_4973;
																																									BgL_carzd254567zd2_4973
																																										=
																																										CAR
																																										(BgL_expz00_21);
																																									if ((BgL_carzd254567zd2_4973 == CNST_TABLE_REF(((long) 20))))
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_23668;
																																											goto
																																												BgL_tagzd2384zd2_1664;
																																											return
																																												(
																																												(BgL_nodez00_bglt)
																																												BgL_auxz00_23668);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 117 */
																																											if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd254567zd2_4973)))
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_23673;
																																													goto
																																														BgL_tagzd2384zd2_1664;
																																													return
																																														(
																																														(BgL_nodez00_bglt)
																																														BgL_auxz00_23673);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 117 */
																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																														{	/* Ast/sexp.scm 117 */
																																															goto
																																																BgL_tagzd2389zd2_1683;
																																														}
																																													else
																																														{	/* Ast/sexp.scm 117 */
																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																																{	/* Ast/sexp.scm 117 */
																																																	goto
																																																		BgL_tagzd2390zd2_1684;
																																																}
																																															else
																																																{	/* Ast/sexp.scm 117 */
																																																	obj_t
																																																		BgL_cdrzd254646zd2_4980;
																																																	BgL_cdrzd254646zd2_4980
																																																		=
																																																		CDR
																																																		(BgL_expz00_21);
																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																		{	/* Ast/sexp.scm 117 */
																																																			if (PAIRP(BgL_cdrzd254646zd2_4980))
																																																				{
																																																					obj_t
																																																						BgL_restz00_23692;
																																																					obj_t
																																																						BgL_effectz00_23690;
																																																					BgL_effectz00_23690
																																																						=
																																																						CAR
																																																						(BgL_cdrzd254646zd2_4980);
																																																					BgL_restz00_23692
																																																						=
																																																						CDR
																																																						(BgL_cdrzd254646zd2_4980);
																																																					BgL_restz00_1686
																																																						=
																																																						BgL_restz00_23692;
																																																					BgL_effectz00_1685
																																																						=
																																																						BgL_effectz00_23690;
																																																					goto
																																																						BgL_tagzd2391zd2_1687;
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{
																																																							obj_t
																																																								BgL_auxz00_23696;
																																																							goto
																																																								BgL_tagzd2403zd2_1706;
																																																							return
																																																								(
																																																								(BgL_nodez00_bglt)
																																																								BgL_auxz00_23696);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							goto
																																																								BgL_tagzd2404zd2_1707;
																																																						}
																																																				}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 117 */
																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																				{	/* Ast/sexp.scm 117 */
																																																					goto
																																																						BgL_tagzd2392zd2_1688;
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 117 */
																																																					if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																						{	/* Ast/sexp.scm 117 */
																																																							goto
																																																								BgL_tagzd2393zd2_1689;
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 117 */
																																																							if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																								{	/* Ast/sexp.scm 117 */
																																																									if (PAIRP(BgL_cdrzd254646zd2_4980))
																																																										{
																																																											obj_t
																																																												BgL_restz00_23714;
																																																											obj_t
																																																												BgL_effectz00_23712;
																																																											BgL_effectz00_23712
																																																												=
																																																												CAR
																																																												(BgL_cdrzd254646zd2_4980);
																																																											BgL_restz00_23714
																																																												=
																																																												CDR
																																																												(BgL_cdrzd254646zd2_4980);
																																																											BgL_restz00_1691
																																																												=
																																																												BgL_restz00_23714;
																																																											BgL_effectz00_1690
																																																												=
																																																												BgL_effectz00_23712;
																																																											goto
																																																												BgL_tagzd2394zd2_1692;
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{
																																																													obj_t
																																																														BgL_auxz00_23718;
																																																													goto
																																																														BgL_tagzd2403zd2_1706;
																																																													return
																																																														(
																																																														(BgL_nodez00_bglt)
																																																														BgL_auxz00_23718);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													goto
																																																														BgL_tagzd2404zd2_1707;
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 117 */
																																																									if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																										{	/* Ast/sexp.scm 117 */
																																																											goto
																																																												BgL_tagzd2395zd2_1693;
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 117 */
																																																											if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																												{	/* Ast/sexp.scm 117 */
																																																													goto
																																																														BgL_tagzd2396zd2_1694;
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 117 */
																																																													if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_23732;
																																																															goto
																																																																BgL_tagzd2397zd2_1695;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_23732);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 117 */
																																																															if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																																{
																																																																	BgL_jumpzd2exzd2itz00_bglt
																																																																		BgL_auxz00_23738;
																																																																	goto
																																																																		BgL_tagzd2398zd2_1696;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_23738);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 117 */
																																																																	obj_t
																																																																		BgL_cdrzd254773zd2_5006;
																																																																	BgL_cdrzd254773zd2_5006
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 31))))
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if (PAIRP(BgL_cdrzd254773zd2_5006))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					obj_t
																																																																						BgL_cdrzd254775zd2_5010;
																																																																					BgL_cdrzd254775zd2_5010
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd254773zd2_5006);
																																																																					if (PAIRP(BgL_cdrzd254775zd2_5010))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (NULLP(CDR(BgL_cdrzd254775zd2_5010)))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									goto
																																																																										BgL_tagzd2399zd2_1697;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_23755;
																																																																											goto
																																																																												BgL_tagzd2403zd2_1706;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_23755);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1707;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_23759;
																																																																									goto
																																																																										BgL_tagzd2403zd2_1706;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_23759);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1707;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_23763;
																																																																							goto
																																																																								BgL_tagzd2403zd2_1706;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_23763);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1707;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 117 */
																																																																			if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if (PAIRP(BgL_cdrzd254773zd2_5006))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							obj_t
																																																																								BgL_cdrzd254820zd2_5022;
																																																																							BgL_cdrzd254820zd2_5022
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd254773zd2_5006);
																																																																							if (PAIRP(BgL_cdrzd254820zd2_5022))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd254825zd2_5024;
																																																																									BgL_cdrzd254825zd2_5024
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd254820zd2_5022);
																																																																									if ((CAR(BgL_cdrzd254820zd2_5022) == CNST_TABLE_REF(((long) 32))))
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											if (PAIRP(BgL_cdrzd254825zd2_5024))
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_arg4303z00_5028;
																																																																													obj_t
																																																																														BgL_arg4304z00_5029;
																																																																													obj_t
																																																																														BgL_arg4305z00_5030;
																																																																													BgL_arg4303z00_5028
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd254773zd2_5006);
																																																																													BgL_arg4304z00_5029
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd254825zd2_5024);
																																																																													BgL_arg4305z00_5030
																																																																														=
																																																																														CDR
																																																																														(BgL_cdrzd254825zd2_5024);
																																																																													return
																																																																														BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																														(BgL_expz00_21,
																																																																														BgL_arg4303z00_5028,
																																																																														BgL_arg4304z00_5029,
																																																																														BgL_arg4305z00_5030,
																																																																														BgL_stackz00_22,
																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																														(BgL_expz00_21,
																																																																															BgL_locz00_23),
																																																																														BgL_sitez00_24);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 117 */
																																																																													obj_t
																																																																														BgL_cdrzd254838zd2_5031;
																																																																													BgL_cdrzd254838zd2_5031
																																																																														=
																																																																														CDR
																																																																														(BgL_expz00_21);
																																																																													{	/* Ast/sexp.scm 117 */
																																																																														obj_t
																																																																															BgL_arg4306z00_5032;
																																																																														obj_t
																																																																															BgL_arg4307z00_5033;
																																																																														BgL_arg4306z00_5032
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd254838zd2_5031);
																																																																														BgL_arg4307z00_5033
																																																																															=
																																																																															CDR
																																																																															(BgL_cdrzd254838zd2_5031);
																																																																														{	/* Ast/sexp.scm 538 */
																																																																															obj_t
																																																																																BgL_arg6415z00_11926;
																																																																															BgL_arg6415z00_11926
																																																																																=
																																																																																BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																(BgL_expz00_21,
																																																																																BgL_locz00_23);
																																																																															return
																																																																																BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																(BgL_expz00_21,
																																																																																BgL_arg4306z00_5032,
																																																																																CNST_TABLE_REF
																																																																																(((long) 4)), BgL_arg4307z00_5033, BgL_stackz00_22, BgL_arg6415z00_11926, BgL_sitez00_24);
																																																																										}}}}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											obj_t
																																																																												BgL_cdrzd254853zd2_5034;
																																																																											BgL_cdrzd254853zd2_5034
																																																																												=
																																																																												CDR
																																																																												(BgL_expz00_21);
																																																																											{	/* Ast/sexp.scm 117 */
																																																																												obj_t
																																																																													BgL_arg4308z00_5035;
																																																																												obj_t
																																																																													BgL_arg4309z00_5036;
																																																																												BgL_arg4308z00_5035
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd254853zd2_5034);
																																																																												BgL_arg4309z00_5036
																																																																													=
																																																																													CDR
																																																																													(BgL_cdrzd254853zd2_5034);
																																																																												{	/* Ast/sexp.scm 538 */
																																																																													obj_t
																																																																														BgL_arg6415z00_11930;
																																																																													BgL_arg6415z00_11930
																																																																														=
																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																														(BgL_expz00_21,
																																																																														BgL_locz00_23);
																																																																													return
																																																																														BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																														(BgL_expz00_21,
																																																																														BgL_arg4308z00_5035,
																																																																														CNST_TABLE_REF
																																																																														(((long) 4)), BgL_arg4309z00_5036, BgL_stackz00_22, BgL_arg6415z00_11930, BgL_sitez00_24);
																																																																								}}}}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									obj_t
																																																																										BgL_cdrzd254868zd2_5038;
																																																																									BgL_cdrzd254868zd2_5038
																																																																										=
																																																																										CDR
																																																																										(BgL_expz00_21);
																																																																									{	/* Ast/sexp.scm 117 */
																																																																										obj_t
																																																																											BgL_arg4311z00_5039;
																																																																										obj_t
																																																																											BgL_arg4312z00_5040;
																																																																										BgL_arg4311z00_5039
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd254868zd2_5038);
																																																																										BgL_arg4312z00_5040
																																																																											=
																																																																											CDR
																																																																											(BgL_cdrzd254868zd2_5038);
																																																																										{	/* Ast/sexp.scm 538 */
																																																																											obj_t
																																																																												BgL_arg6415z00_11934;
																																																																											BgL_arg6415z00_11934
																																																																												=
																																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																																												(BgL_expz00_21,
																																																																												BgL_locz00_23);
																																																																											return
																																																																												BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																												(BgL_expz00_21,
																																																																												BgL_arg4311z00_5039,
																																																																												CNST_TABLE_REF
																																																																												(((long) 4)), BgL_arg4312z00_5040, BgL_stackz00_22, BgL_arg6415z00_11934, BgL_sitez00_24);
																																																																						}}}}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_23806;
																																																																									goto
																																																																										BgL_tagzd2403zd2_1706;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_23806);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1707;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 117 */
																																																																					if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_21), BUNSPEC))
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (NULLP(CDR(BgL_expz00_21)))
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									goto
																																																																										BgL_tagzd2402zd2_1705;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_23816;
																																																																											goto
																																																																												BgL_tagzd2403zd2_1706;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_23816);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 117 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1707;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 117 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_23820;
																																																																									goto
																																																																										BgL_tagzd2403zd2_1706;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_23820);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 117 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1707;
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																			}
																	}
															}
													}
											}
									}
								else
									{	/* Ast/sexp.scm 117 */
										BgL_atomz00_1640 = BgL_expz00_21;
										{	/* Ast/sexp.scm 133 */
											bool_t BgL_testz00_23822;

											if (BGl_isazf3zf3zz__objectz00(BgL_atomz00_1640,
													BGl_localz00zzast_varz00))
												{	/* Ast/sexp.scm 133 */
													BgL_testz00_23822 = ((bool_t) 1);
												}
											else
												{	/* Ast/sexp.scm 133 */
													BgL_testz00_23822 =
														BGl_isazf3zf3zz__objectz00(BgL_atomz00_1640,
														BGl_globalz00zzast_varz00);
												}
											if (BgL_testz00_23822)
												{	/* Ast/sexp.scm 133 */
													return
														BGl_variablezd2ze3nodez31zzast_sexpz00
														(BgL_atomz00_1640, BgL_locz00_23, BgL_sitez00_24);
												}
											else
												{	/* Ast/sexp.scm 135 */
													bool_t BgL_testz00_23827;

													if (STRUCTP(BgL_atomz00_1640))
														{	/* Ast/sexp.scm 135 */
															BgL_testz00_23827 = ((bool_t) 1);
														}
													else
														{	/* Ast/sexp.scm 135 */
															if (VECTORP(BgL_atomz00_1640))
																{	/* Ast/sexp.scm 135 */
																	BgL_testz00_23827 = ((bool_t) 1);
																}
															else
																{	/* Ast/sexp.scm 135 */
																	if (BGL_OBJECTP(BgL_atomz00_1640))
																		{	/* Ast/sexp.scm 135 */
																			BgL_testz00_23827 = ((bool_t) 1);
																		}
																	else
																		{	/* Ast/sexp.scm 135 */
																			BgL_testz00_23827 =
																				PROCEDUREP(BgL_atomz00_1640);
																		}
																}
														}
													if (BgL_testz00_23827)
														{	/* Ast/sexp.scm 136 */
															BgL_nodez00_bglt BgL_res6667z00_8604;

															{	/* Ast/sexp.scm 692 */
																obj_t BgL_arg6515z00_8600;
																BgL_nodez00_bglt BgL_arg6516z00_8601;

																BgL_arg6515z00_8600 =
																	BGl_shapez00zztools_shapez00
																	(BGl_currentzd2functionzd2zztools_errorz00());
																BgL_arg6516z00_8601 =
																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																	(CNST_TABLE_REF(((long) 4)), BNIL,
																	BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																{	/* Ast/sexp.scm 691 */
																	obj_t BgL_list6517z00_8603;

																	BgL_list6517z00_8603 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg6516z00_8601), BNIL);
																	BgL_res6667z00_8604 =
																		((BgL_nodez00_bglt)
																		BGl_userzd2errorzf2locationz20zztools_errorz00
																		(BgL_locz00_23, BgL_arg6515z00_8600,
																			BGl_string7279z00zzast_sexpz00,
																			BgL_expz00_21, BgL_list6517z00_8603));
															}}
															return BgL_res6667z00_8604;
														}
													else
														{	/* Ast/sexp.scm 135 */
															if (SYMBOLP(BgL_atomz00_1640))
																{	/* Ast/sexp.scm 142 */
																	obj_t BgL_g1117z00_7506;

																	BgL_g1117z00_7506 =
																		BGl_findzd2localzd2zzast_sexpz00
																		(BgL_atomz00_1640, BgL_stackz00_22);
																	if (CBOOL(BgL_g1117z00_7506))
																		{	/* Ast/sexp.scm 142 */
																			return
																				BGl_variablezd2ze3nodez31zzast_sexpz00
																				(BgL_g1117z00_7506, BgL_locz00_23,
																				BgL_sitez00_24);
																		}
																	else
																		{	/* Ast/sexp.scm 146 */
																			obj_t BgL_globalz00_7509;

																			BgL_globalz00_7509 =
																				BGl_findzd2globalzd2zzast_envz00
																				(BgL_atomz00_1640, BNIL);
																			if (BGl_isazf3zf3zz__objectz00
																				(BgL_globalz00_7509,
																					BGl_globalz00zzast_varz00))
																				{	/* Ast/sexp.scm 148 */
																					if (
																						((((BgL_globalz00_bglt) CREF(
																										((BgL_globalz00_bglt)
																											BgL_globalz00_7509)))->
																								BgL_importz00) ==
																							CNST_TABLE_REF(((long) 11))))
																						{	/* Ast/sexp.scm 151 */
																							obj_t BgL_arg6066z00_7513;

																							{	/* Ast/sexp.scm 151 */
																								obj_t BgL_arg6067z00_7514;

																								{	/* Ast/sexp.scm 151 */
																									obj_t BgL_arg6068z00_7515;

																									{	/* Ast/sexp.scm 151 */
																										obj_t BgL_arg6069z00_7516;

																										BgL_arg6069z00_7516 =
																											MAKE_YOUNG_PAIR
																											(BgL_atomz00_1640, BNIL);
																										BgL_arg6068z00_7515 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													13)),
																											BgL_arg6069z00_7516);
																									}
																									BgL_arg6067z00_7514 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg6068z00_7515, BNIL);
																								}
																								BgL_arg6066z00_7513 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 11)),
																									BgL_arg6067z00_7514);
																							}
																							{
																								obj_t BgL_expz00_23864;

																								BgL_expz00_23864 =
																									BgL_arg6066z00_7513;
																								BgL_expz00_21 =
																									BgL_expz00_23864;
																								goto
																									BGl_sexpzd2ze3nodez31zzast_sexpz00;
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 150 */
																							return
																								BGl_variablezd2ze3nodez31zzast_sexpz00
																								(BgL_globalz00_7509,
																								BgL_locz00_23, BgL_sitez00_24);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 149 */
																					BgL_nodez00_bglt BgL_res6670z00_8613;

																					{	/* Ast/sexp.scm 692 */
																						obj_t BgL_arg6515z00_8609;
																						BgL_nodez00_bglt
																							BgL_arg6516z00_8610;
																						BgL_arg6515z00_8609 =
																							BGl_shapez00zztools_shapez00
																							(BGl_currentzd2functionzd2zztools_errorz00
																							());
																						BgL_arg6516z00_8610 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(CNST_TABLE_REF(((long) 4)), BNIL,
																							BgL_locz00_23,
																							CNST_TABLE_REF(((long) 2)));
																						{	/* Ast/sexp.scm 691 */
																							obj_t BgL_list6517z00_8612;

																							BgL_list6517z00_8612 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_arg6516z00_8610),
																								BNIL);
																							BgL_res6670z00_8613 =
																								((BgL_nodez00_bglt)
																								BGl_userzd2errorzf2locationz20zztools_errorz00
																								(BgL_locz00_23,
																									BgL_arg6515z00_8609,
																									BGl_string7278z00zzast_sexpz00,
																									BgL_expz00_21,
																									BgL_list6517z00_8612));
																					}}
																					return BgL_res6670z00_8613;
																				}
																		}
																}
															else
																{	/* Ast/sexp.scm 138 */
																	BgL_atomz00_bglt BgL_new1115z00_7519;

																	{	/* Ast/sexp.scm 139 */
																		BgL_atomz00_bglt BgL_new1114z00_7520;

																		BgL_new1114z00_7520 =
																			((BgL_atomz00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_atomz00_bgl))));
																		{	/* Ast/sexp.scm 139 */
																			long BgL_arg6072z00_7521;

																			{	/* Ast/sexp.scm 139 */
																				long BgL_res6671z00_8615;

																				BgL_res6671z00_8615 =
																					BGL_CLASS_INDEX
																					(BGl_atomz00zzast_nodez00);
																				BgL_arg6072z00_7521 =
																					BgL_res6671z00_8615;
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1114z00_7520),
																				BgL_arg6072z00_7521);
																		}
																		{	/* Ast/sexp.scm 139 */
																			BgL_objectz00_bglt BgL_tmpz00_23879;

																			BgL_tmpz00_23879 =
																				((BgL_objectz00_bglt)
																				BgL_new1114z00_7520);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_23879,
																				BFALSE);
																		}
																		BgL_new1115z00_7519 = BgL_new1114z00_7520;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1115z00_7519)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_23), BUNSPEC);
																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																						BgL_new1115z00_7519)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt)
																			BGl_getzd2typezd2atomz00zztype_typeofz00
																			(BgL_atomz00_1640)), BUNSPEC);
																	((((BgL_atomz00_bglt)
																				CREF(BgL_new1115z00_7519))->
																			BgL_valuez00) =
																		((obj_t) BgL_atomz00_1640), BUNSPEC);
																	return ((BgL_nodez00_bglt)
																		BgL_new1115z00_7519);
																}
														}
												}
										}
									}
							}
					}
			}
		}
	}



/* liip~0 */
	obj_t BGl_liipze70ze7zzast_sexpz00(obj_t BgL_argsz00_7884)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 371 */
			if (NULLP(BgL_argsz00_7884))
				{	/* Ast/sexp.scm 372 */
					return CNST_TABLE_REF(((long) 4));
				}
			else
				{	/* Ast/sexp.scm 374 */
					obj_t BgL_arg6291z00_7887;

					{	/* Ast/sexp.scm 374 */
						obj_t BgL_arg6292z00_7888;
						obj_t BgL_arg6293z00_7889;

						BgL_arg6292z00_7888 = CAR(BgL_argsz00_7884);
						BgL_arg6293z00_7889 =
							MAKE_YOUNG_PAIR(BGl_liipze70ze7zzast_sexpz00(CDR
								(BgL_argsz00_7884)), BNIL);
						BgL_arg6291z00_7887 =
							MAKE_YOUNG_PAIR(BgL_arg6292z00_7888, BgL_arg6293z00_7889);
					}
					return
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 33)), BgL_arg6291z00_7887);
		}}
	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzast_sexpz00(obj_t BgL_expz00_12171,
		obj_t BgL_locz00_12170, obj_t BgL_varsz00_7846, obj_t BgL_argsz00_7847)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 356 */
		BGl_loopze70ze7zzast_sexpz00:
			if (NULLP(BgL_varsz00_7846))
				{	/* Ast/sexp.scm 359 */
					if (NULLP(BgL_argsz00_7847))
						{	/* Ast/sexp.scm 360 */
							return BNIL;
						}
					else
						{	/* Ast/sexp.scm 360 */
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_12170,
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00()),
								BGl_string7281z00zzast_sexpz00, BgL_expz00_12171, BNIL);
						}
				}
			else
				{	/* Ast/sexp.scm 359 */
					if (PAIRP(BgL_varsz00_7846))
						{	/* Ast/sexp.scm 367 */
							if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(CAR
									(BgL_varsz00_7846)))
								{	/* Ast/sexp.scm 377 */
									obj_t BgL_argz00_7857;

									BgL_argz00_7857 =
										BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(CDR
										(BgL_varsz00_7846));
									if (CBOOL(BgL_argz00_7857))
										{
											obj_t BgL_varsz00_23915;

											BgL_varsz00_23915 = BgL_argz00_7857;
											BgL_varsz00_7846 = BgL_varsz00_23915;
											goto BGl_loopze70ze7zzast_sexpz00;
										}
									else
										{
											obj_t BgL_varsz00_23916;

											BgL_varsz00_23916 = BNIL;
											BgL_varsz00_7846 = BgL_varsz00_23916;
											goto BGl_loopze70ze7zzast_sexpz00;
										}
								}
							else
								{	/* Ast/sexp.scm 382 */
									bool_t BgL_testz00_23917;

									{	/* Ast/sexp.scm 382 */
										obj_t BgL_tmpz00_23918;

										BgL_tmpz00_23918 = CAR(BgL_varsz00_7846);
										BgL_testz00_23917 = SYMBOLP(BgL_tmpz00_23918);
									}
									if (BgL_testz00_23917)
										{	/* Ast/sexp.scm 382 */
											if (NULLP(BgL_argsz00_7847))
												{	/* Ast/sexp.scm 388 */
													return
														BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_locz00_12170,
														BGl_shapez00zztools_shapez00
														(BGl_currentzd2functionzd2zztools_errorz00()),
														BGl_string7281z00zzast_sexpz00, BgL_expz00_12171,
														BNIL);
												}
											else
												{	/* Ast/sexp.scm 395 */
													obj_t BgL_arg6271z00_7865;
													obj_t BgL_arg6272z00_7866;

													{	/* Ast/sexp.scm 395 */
														obj_t BgL_arg6273z00_7867;
														obj_t BgL_arg6274z00_7868;

														BgL_arg6273z00_7867 = CAR(BgL_varsz00_7846);
														BgL_arg6274z00_7868 = CAR(BgL_argsz00_7847);
														{	/* Ast/sexp.scm 395 */
															obj_t BgL_list6275z00_7869;

															{	/* Ast/sexp.scm 395 */
																obj_t BgL_arg6276z00_7870;

																BgL_arg6276z00_7870 =
																	MAKE_YOUNG_PAIR(BgL_arg6274z00_7868, BNIL);
																BgL_list6275z00_7869 =
																	MAKE_YOUNG_PAIR(BgL_arg6273z00_7867,
																	BgL_arg6276z00_7870);
															}
															BgL_arg6271z00_7865 = BgL_list6275z00_7869;
														}
													}
													BgL_arg6272z00_7866 =
														BGl_loopze70ze7zzast_sexpz00(BgL_expz00_12171,
														BgL_locz00_12170, CDR(BgL_varsz00_7846),
														CDR(BgL_argsz00_7847));
													return MAKE_YOUNG_PAIR(BgL_arg6271z00_7865,
														BgL_arg6272z00_7866);
												}
										}
									else
										{	/* Ast/sexp.scm 382 */
											return
												BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_locz00_12170,
												BGl_shapez00zztools_shapez00
												(BGl_currentzd2functionzd2zztools_errorz00()),
												BGl_string7282z00zzast_sexpz00, BgL_expz00_12171, BNIL);
										}
								}
						}
					else
						{	/* Ast/sexp.scm 372 */
							obj_t BgL_arg6284z00_7878;

							{	/* Ast/sexp.scm 372 */
								obj_t BgL_arg6286z00_7880;

								BgL_arg6286z00_7880 =
									BGl_liipze70ze7zzast_sexpz00(BgL_argsz00_7847);
								{	/* Ast/sexp.scm 369 */
									obj_t BgL_list6287z00_7881;

									{	/* Ast/sexp.scm 369 */
										obj_t BgL_arg6288z00_7882;

										BgL_arg6288z00_7882 =
											MAKE_YOUNG_PAIR(BgL_arg6286z00_7880, BNIL);
										BgL_list6287z00_7881 =
											MAKE_YOUNG_PAIR(BgL_varsz00_7846, BgL_arg6288z00_7882);
									}
									BgL_arg6284z00_7878 = BgL_list6287z00_7881;
								}
							}
							{	/* Ast/sexp.scm 368 */
								obj_t BgL_list6285z00_7879;

								BgL_list6285z00_7879 =
									MAKE_YOUNG_PAIR(BgL_arg6284z00_7878, BNIL);
								return BgL_list6285z00_7879;
							}
						}
				}
		}
	}



/* &sexp->node */
	BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t BgL_envz00_12132,
		obj_t BgL_expz00_12133, obj_t BgL_stackz00_12134, obj_t BgL_locz00_12135,
		obj_t BgL_sitez00_12136)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 112 */
			return
				BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_12133, BgL_stackz00_12134,
				BgL_locz00_12135, BgL_sitez00_12136);
		}
	}



/* &<anonymous:6301> */
	obj_t BGl_z62zc3anonymousza36301ze3ze1zzast_sexpz00(obj_t BgL_envz00_12137,
		obj_t BgL_objz00_12139, obj_t BgL_procz00_12140, obj_t BgL_msgz00_12141)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 401 */
			return
				BGl_userzd2errorzf2locationz20zztools_errorz00(PROCEDURE_REF
				(BgL_envz00_12137, (int) (((long) 0))), BgL_objz00_12139,
				BgL_procz00_12140, BgL_msgz00_12141, BNIL);
		}
	}



/* variable->node */
	BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t BgL_vz00_25,
		obj_t BgL_locz00_26, obj_t BgL_sitez00_27)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 557 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_vz00_25), BgL_locz00_26, BgL_sitez00_27);
			{	/* Ast/sexp.scm 559 */
				bool_t BgL_testz00_23947;

				if ((BgL_sitez00_27 == CNST_TABLE_REF(((long) 34))))
					{	/* Ast/sexp.scm 559 */
						BgL_testz00_23947 = ((bool_t) 0);
					}
				else
					{	/* Ast/sexp.scm 559 */
						BgL_valuez00_bglt BgL_arg6439z00_8126;

						BgL_arg6439z00_8126 =
							(((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_vz00_25)))->BgL_valuez00);
						{	/* Ast/sexp.scm 559 */
							bool_t BgL_res7209z00_11939;

							BgL_res7209z00_11939 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_arg6439z00_8126), BGl_funz00zzast_varz00);
							BgL_testz00_23947 = BgL_res7209z00_11939;
						}
					}
				if (BgL_testz00_23947)
					{	/* Ast/sexp.scm 560 */
						bool_t BgL_testz00_23955;

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_25,
								BGl_globalz00zzast_varz00))
							{	/* Ast/sexp.scm 561 */
								bool_t BgL_testz00_23958;

								{	/* Ast/sexp.scm 561 */
									BgL_valuez00_bglt BgL_arg6436z00_8120;

									BgL_arg6436z00_8120 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_25))))->BgL_valuez00);
									{	/* Ast/sexp.scm 561 */
										bool_t BgL_res7211z00_11942;

										BgL_res7211z00_11942 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_arg6436z00_8120), BGl_cfunz00zzast_varz00);
										BgL_testz00_23958 = BgL_res7211z00_11942;
									}
								}
								if (BgL_testz00_23958)
									{	/* Ast/sexp.scm 562 */
										bool_t BgL_testz00_23964;

										{	/* Ast/sexp.scm 562 */
											obj_t BgL_arg6435z00_8119;

											BgL_arg6435z00_8119 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											BgL_testz00_23964 =
												(((BgL_backendz00_bglt) CREF(
														((BgL_backendz00_bglt) BgL_arg6435z00_8119)))->
												BgL_foreignzd2closurezd2);
										}
										if (BgL_testz00_23964)
											{	/* Ast/sexp.scm 562 */
												BgL_testz00_23955 = ((bool_t) 0);
											}
										else
											{	/* Ast/sexp.scm 562 */
												if ((BgL_sitez00_27 == CNST_TABLE_REF(((long) 31))))
													{	/* Ast/sexp.scm 563 */
														BgL_testz00_23955 = ((bool_t) 0);
													}
												else
													{	/* Ast/sexp.scm 563 */
														BgL_testz00_23955 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Ast/sexp.scm 561 */
										BgL_testz00_23955 = ((bool_t) 0);
									}
							}
						else
							{	/* Ast/sexp.scm 560 */
								BgL_testz00_23955 = ((bool_t) 0);
							}
						if (BgL_testz00_23955)
							{	/* Ast/sexp.scm 565 */
								obj_t BgL_arg6429z00_8107;

								{	/* Ast/sexp.scm 565 */
									obj_t BgL_arg6430z00_8108;

									{	/* Ast/sexp.scm 565 */
										obj_t BgL_arg6432z00_8110;

										BgL_arg6432z00_8110 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_arg6430z00_8108 =
											(((BgL_backendz00_bglt) CREF(
													((BgL_backendz00_bglt) BgL_arg6432z00_8110)))->
											BgL_namez00);
									}
									{	/* Ast/sexp.scm 565 */
										obj_t BgL_list6431z00_8109;

										BgL_list6431z00_8109 =
											MAKE_YOUNG_PAIR(BgL_arg6430z00_8108, BNIL);
										BgL_arg6429z00_8107 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string7283z00zzast_sexpz00, BgL_list6431z00_8109);
									}
								}
								return
									BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
									(BgL_arg6429z00_8107, BGl_expzd2envzd2zz__r4_numbers_6_5z00,
									BgL_locz00_26);
							}
						else
							{	/* Ast/sexp.scm 566 */
								BgL_closurez00_bglt BgL_new1148z00_8111;

								{	/* Ast/sexp.scm 567 */
									BgL_closurez00_bglt BgL_new1147z00_8113;

									BgL_new1147z00_8113 =
										((BgL_closurez00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_closurez00_bgl))));
									{	/* Ast/sexp.scm 567 */
										long BgL_arg6434z00_8114;

										{	/* Ast/sexp.scm 567 */
											long BgL_res7214z00_11950;

											BgL_res7214z00_11950 =
												BGL_CLASS_INDEX(BGl_closurez00zzast_nodez00);
											BgL_arg6434z00_8114 = BgL_res7214z00_11950;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1147z00_8113),
											BgL_arg6434z00_8114);
									}
									BgL_new1148z00_8111 = BgL_new1147z00_8113;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1148z00_8111)))->
										BgL_locz00) = ((obj_t) BgL_locz00_26), BUNSPEC);
								{
									BgL_typez00_bglt BgL_auxz00_23983;

									{	/* Ast/sexp.scm 568 */
										BgL_typez00_bglt BgL_arg6433z00_8112;

										BgL_arg6433z00_8112 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_vz00_25)))->BgL_typez00);
										BgL_auxz00_23983 =
											BGl_strictzd2nodezd2typez00zzast_nodez00(
											((BgL_typez00_bglt)
												BGl_za2procedureza2z00zztype_cachez00),
											BgL_arg6433z00_8112);
									}
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_new1148z00_8111)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_23983), BUNSPEC);
								}
								((((BgL_varz00_bglt) CREF(
												((BgL_varz00_bglt) BgL_new1148z00_8111)))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_25)),
									BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1148z00_8111);
							}
					}
				else
					{	/* Ast/sexp.scm 570 */
						BgL_varz00_bglt BgL_new1150z00_8121;

						{	/* Ast/sexp.scm 571 */
							BgL_varz00_bglt BgL_new1149z00_8123;

							BgL_new1149z00_8123 =
								((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_varz00_bgl))));
							{	/* Ast/sexp.scm 571 */
								long BgL_arg6438z00_8124;

								{	/* Ast/sexp.scm 571 */
									long BgL_res7215z00_11955;

									BgL_res7215z00_11955 =
										BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
									BgL_arg6438z00_8124 = BgL_res7215z00_11955;
								}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1149z00_8123),
									BgL_arg6438z00_8124);
							}
							BgL_new1150z00_8121 = BgL_new1149z00_8123;
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_new1150z00_8121)))->BgL_locz00) =
							((obj_t) BgL_locz00_26), BUNSPEC);
						{
							BgL_typez00_bglt BgL_auxz00_24000;

							{	/* Ast/sexp.scm 572 */
								BgL_typez00_bglt BgL_arg6437z00_8122;

								BgL_arg6437z00_8122 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_vz00_25)))->BgL_typez00);
								BgL_auxz00_24000 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(
									((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00),
									BgL_arg6437z00_8122);
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1150z00_8121)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_24000), BUNSPEC);
						}
						((((BgL_varz00_bglt) CREF(BgL_new1150z00_8121))->BgL_variablez00) =
							((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_25)),
							BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1150z00_8121);
					}
			}
		}
	}



/* call->node */
	BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_28,
		obj_t BgL_stackz00_29, obj_t BgL_locz00_30, obj_t BgL_sitez00_31)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 578 */
			{	/* Ast/sexp.scm 579 */
				obj_t BgL_callerz00_8127;
				obj_t BgL_locz00_8128;

				BgL_callerz00_8127 = CAR(BgL_expz00_28);
				BgL_locz00_8128 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_28,
					BgL_locz00_30);
				if (SYMBOLP(BgL_callerz00_8127))
					{	/* Ast/sexp.scm 583 */
						obj_t BgL_pidz00_8130;

						BgL_pidz00_8130 =
							BGl_parsezd2idzd2zzast_identz00(BgL_callerz00_8127,
							BgL_locz00_8128);
						{	/* Ast/sexp.scm 583 */
							obj_t BgL_idz00_8131;

							BgL_idz00_8131 = CAR(BgL_pidz00_8130);
							{	/* Ast/sexp.scm 584 */
								obj_t BgL_typez00_8132;

								BgL_typez00_8132 = CDR(BgL_pidz00_8130);
								{	/* Ast/sexp.scm 585 */

									if ((BgL_idz00_8131 == CNST_TABLE_REF(((long) 6))))
										{	/* Ast/sexp.scm 586 */
											return
												BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t)
													0), BFALSE, ((BgL_typez00_bglt) BgL_typez00_8132),
												BgL_expz00_28, BgL_stackz00_29, BgL_locz00_8128,
												BgL_sitez00_31);
										}
									else
										{	/* Ast/sexp.scm 586 */
											if ((BgL_idz00_8131 == CNST_TABLE_REF(((long) 22))))
												{	/* Ast/sexp.scm 590 */
													bool_t BgL_testz00_24025;

													{	/* Ast/sexp.scm 590 */
														obj_t BgL_tmpz00_24026;

														BgL_tmpz00_24026 = CDR(BgL_expz00_28);
														BgL_testz00_24025 = PAIRP(BgL_tmpz00_24026);
													}
													if (BgL_testz00_24025)
														{	/* Ast/sexp.scm 594 */
															BgL_feffectz00_bglt BgL_arg6445z00_8138;
															obj_t BgL_arg6446z00_8139;

															BgL_arg6445z00_8138 =
																BGl_parsezd2effectzd2zzeffect_feffectz00(CAR(CDR
																	(BgL_expz00_28)));
															{	/* Ast/sexp.scm 595 */
																obj_t BgL_arg6448z00_8141;
																obj_t BgL_arg6449z00_8142;

																{	/* Ast/sexp.scm 595 */
																	obj_t BgL_arg6450z00_8143;

																	BgL_arg6450z00_8143 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 35)),
																		BNIL);
																	BgL_arg6448z00_8141 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 36)),
																		BgL_arg6450z00_8143);
																}
																BgL_arg6449z00_8142 =
																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																	(CDR(CDR(BgL_expz00_28)), BNIL);
																BgL_arg6446z00_8139 =
																	MAKE_YOUNG_PAIR(BgL_arg6448z00_8141,
																	BgL_arg6449z00_8142);
															}
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 0), ((obj_t) BgL_arg6445z00_8138),
																((BgL_typez00_bglt) BgL_typez00_8132),
																BgL_arg6446z00_8139, BgL_stackz00_29,
																BgL_locz00_8128, BgL_sitez00_31);
														}
													else
														{	/* Ast/sexp.scm 593 */
															obj_t BgL_arg6452z00_8145;

															BgL_arg6452z00_8145 =
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_expz00_28, BgL_locz00_8128);
															{	/* Ast/sexp.scm 591 */
																BgL_nodez00_bglt BgL_res7220z00_11982;

																{	/* Ast/sexp.scm 692 */
																	obj_t BgL_arg6515z00_11978;
																	BgL_nodez00_bglt BgL_arg6516z00_11979;

																	BgL_arg6515z00_11978 =
																		BGl_shapez00zztools_shapez00
																		(BGl_currentzd2functionzd2zztools_errorz00
																		());
																	BgL_arg6516z00_11979 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(CNST_TABLE_REF(((long) 4)), BNIL,
																		BgL_arg6452z00_8145,
																		CNST_TABLE_REF(((long) 2)));
																	{	/* Ast/sexp.scm 691 */
																		obj_t BgL_list6517z00_11981;

																		BgL_list6517z00_11981 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg6516z00_11979), BNIL);
																		BgL_res7220z00_11982 =
																			((BgL_nodez00_bglt)
																			BGl_userzd2errorzf2locationz20zztools_errorz00
																			(BgL_arg6452z00_8145,
																				BgL_arg6515z00_11978,
																				BGl_string7284z00zzast_sexpz00,
																				BgL_expz00_28, BgL_list6517z00_11981));
																}}
																return BgL_res7220z00_11982;
															}
														}
												}
											else
												{	/* Ast/sexp.scm 586 */
													if ((BgL_idz00_8131 == CNST_TABLE_REF(((long) 23))))
														{	/* Ast/sexp.scm 586 */
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 1), BFALSE,
																((BgL_typez00_bglt) BgL_typez00_8132),
																BgL_expz00_28, BgL_stackz00_29, BgL_locz00_8128,
																BgL_sitez00_31);
														}
													else
														{	/* Ast/sexp.scm 586 */
															if (
																(BgL_idz00_8131 == CNST_TABLE_REF(((long) 25))))
																{	/* Ast/sexp.scm 600 */
																	bool_t BgL_testz00_24061;

																	{	/* Ast/sexp.scm 600 */
																		obj_t BgL_tmpz00_24062;

																		BgL_tmpz00_24062 = CDR(BgL_expz00_28);
																		BgL_testz00_24061 = PAIRP(BgL_tmpz00_24062);
																	}
																	if (BgL_testz00_24061)
																		{	/* Ast/sexp.scm 604 */
																			BgL_feffectz00_bglt BgL_arg6458z00_8151;
																			obj_t BgL_arg6459z00_8152;

																			BgL_arg6458z00_8151 =
																				BGl_parsezd2effectzd2zzeffect_feffectz00
																				(CAR(CDR(BgL_expz00_28)));
																			{	/* Ast/sexp.scm 605 */
																				obj_t BgL_arg6461z00_8154;
																				obj_t BgL_arg6462z00_8155;

																				{	/* Ast/sexp.scm 605 */
																					obj_t BgL_arg6463z00_8156;

																					BgL_arg6463z00_8156 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 35)), BNIL);
																					BgL_arg6461z00_8154 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 36)),
																						BgL_arg6463z00_8156);
																				}
																				BgL_arg6462z00_8155 =
																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																					(CDR(CDR(BgL_expz00_28)), BNIL);
																				BgL_arg6459z00_8152 =
																					MAKE_YOUNG_PAIR(BgL_arg6461z00_8154,
																					BgL_arg6462z00_8155);
																			}
																			return
																				BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																				(((bool_t) 1),
																				((obj_t) BgL_arg6458z00_8151),
																				((BgL_typez00_bglt) BgL_typez00_8132),
																				BgL_arg6459z00_8152, BgL_stackz00_29,
																				BgL_locz00_8128, BgL_sitez00_31);
																		}
																	else
																		{	/* Ast/sexp.scm 603 */
																			obj_t BgL_arg6465z00_8158;

																			BgL_arg6465z00_8158 =
																				BGl_findzd2locationzf2locz20zztools_locationz00
																				(BgL_expz00_28, BgL_locz00_8128);
																			{	/* Ast/sexp.scm 601 */
																				BgL_nodez00_bglt BgL_res7224z00_12002;

																				{	/* Ast/sexp.scm 692 */
																					obj_t BgL_arg6515z00_11998;
																					BgL_nodez00_bglt BgL_arg6516z00_11999;

																					BgL_arg6515z00_11998 =
																						BGl_shapez00zztools_shapez00
																						(BGl_currentzd2functionzd2zztools_errorz00
																						());
																					BgL_arg6516z00_11999 =
																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																						(CNST_TABLE_REF(((long) 4)), BNIL,
																						BgL_arg6465z00_8158,
																						CNST_TABLE_REF(((long) 2)));
																					{	/* Ast/sexp.scm 691 */
																						obj_t BgL_list6517z00_12001;

																						BgL_list6517z00_12001 =
																							MAKE_YOUNG_PAIR(
																							((obj_t) BgL_arg6516z00_11999),
																							BNIL);
																						BgL_res7224z00_12002 =
																							((BgL_nodez00_bglt)
																							BGl_userzd2errorzf2locationz20zztools_errorz00
																							(BgL_arg6465z00_8158,
																								BgL_arg6515z00_11998,
																								BGl_string7285z00zzast_sexpz00,
																								BgL_expz00_28,
																								BgL_list6517z00_12001));
																				}}
																				return BgL_res7224z00_12002;
																			}
																		}
																}
															else
																{	/* Ast/sexp.scm 586 */
																	if (
																		(BgL_idz00_8131 ==
																			CNST_TABLE_REF(((long) 3))))
																		{
																			obj_t BgL_argsz00_8161;
																			obj_t BgL_bodyz00_8162;

																			if (PAIRP(BgL_expz00_28))
																				{	/* Ast/sexp.scm 608 */
																					obj_t BgL_cdrzd255120zd2_8167;

																					BgL_cdrzd255120zd2_8167 =
																						CDR(BgL_expz00_28);
																					if (PAIRP(BgL_cdrzd255120zd2_8167))
																						{	/* Ast/sexp.scm 608 */
																							BgL_argsz00_8161 =
																								CAR(BgL_cdrzd255120zd2_8167);
																							BgL_bodyz00_8162 =
																								CDR(BgL_cdrzd255120zd2_8167);
																							{	/* Ast/sexp.scm 610 */
																								obj_t BgL_locz00_8171;

																								BgL_locz00_8171 =
																									BGl_findzd2locationzf2locz20zztools_locationz00
																									(BgL_expz00_28,
																									BgL_locz00_8128);
																								{	/* Ast/sexp.scm 610 */
																									obj_t BgL_funz00_8172;

																									BgL_funz00_8172 =
																										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																										(BGl_gensymz00zz__r4_symbols_6_4z00
																										(CNST_TABLE_REF(((long)
																													3))));
																									{	/* Ast/sexp.scm 611 */
																										obj_t BgL_tfunz00_8173;

																										if (BGl_bigloozd2typezf3z21zztype_typez00(((BgL_typez00_bglt) BgL_typez00_8132)))
																											{	/* Ast/sexp.scm 613 */
																												obj_t
																													BgL_arg6482z00_8184;
																												BgL_arg6482z00_8184 =
																													(((BgL_typez00_bglt)
																														CREF((
																																(BgL_typez00_bglt)
																																BgL_typez00_8132)))->
																													BgL_idz00);
																												BgL_tfunz00_8173 =
																													BGl_makezd2typedzd2identz00zzast_identz00
																													(BgL_funz00_8172,
																													BgL_arg6482z00_8184);
																											}
																										else
																											{	/* Ast/sexp.scm 612 */
																												BgL_tfunz00_8173 =
																													BgL_funz00_8172;
																											}
																										{	/* Ast/sexp.scm 612 */

																											{	/* Ast/sexp.scm 616 */
																												obj_t
																													BgL_arg6472z00_8174;
																												{	/* Ast/sexp.scm 616 */
																													obj_t
																														BgL_arg6473z00_8175;
																													obj_t
																														BgL_arg6474z00_8176;
																													BgL_arg6473z00_8175 =
																														BGl_labelszd2symzd2zzast_labelsz00
																														();
																													{	/* Ast/sexp.scm 616 */
																														obj_t
																															BgL_arg6475z00_8177;
																														obj_t
																															BgL_arg6476z00_8178;
																														{	/* Ast/sexp.scm 616 */
																															obj_t
																																BgL_arg6477z00_8179;
																															{	/* Ast/sexp.scm 616 */
																																obj_t
																																	BgL_arg6478z00_8180;
																																{	/* Ast/sexp.scm 616 */
																																	obj_t
																																		BgL_arg6479z00_8181;
																																	BgL_arg6479z00_8181
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_normaliza7ezd2prognz75zztools_prognz00
																																		(BgL_bodyz00_8162),
																																		BNIL);
																																	BgL_arg6478z00_8180
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_argsz00_8161,
																																		BgL_arg6479z00_8181);
																																}
																																BgL_arg6477z00_8179
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_tfunz00_8173,
																																	BgL_arg6478z00_8180);
																															}
																															BgL_arg6475z00_8177
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg6477z00_8179,
																																BNIL);
																														}
																														BgL_arg6476z00_8178
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_funz00_8172,
																															BNIL);
																														BgL_arg6474z00_8176
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg6475z00_8177,
																															BgL_arg6476z00_8178);
																													}
																													BgL_arg6472z00_8174 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg6473z00_8175,
																														BgL_arg6474z00_8176);
																												}
																												return
																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																													(BgL_arg6472z00_8174,
																													BgL_stackz00_29,
																													BgL_locz00_8171,
																													BgL_sitez00_31);
																											}
																										}
																									}
																								}
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 608 */
																						BgL_tagzd255113zd2_8164:
																							{	/* Ast/sexp.scm 622 */
																								BgL_nodez00_bglt
																									BgL_res7226z00_12011;
																								{	/* Ast/sexp.scm 692 */
																									obj_t BgL_arg6515z00_12007;
																									BgL_nodez00_bglt
																										BgL_arg6516z00_12008;
																									BgL_arg6515z00_12007 =
																										BGl_shapez00zztools_shapez00
																										(BGl_currentzd2functionzd2zztools_errorz00
																										());
																									BgL_arg6516z00_12008 =
																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																										(CNST_TABLE_REF(((long) 4)),
																										BNIL, BgL_locz00_8128,
																										CNST_TABLE_REF(((long) 2)));
																									{	/* Ast/sexp.scm 691 */
																										obj_t BgL_list6517z00_12010;

																										BgL_list6517z00_12010 =
																											MAKE_YOUNG_PAIR(
																											((obj_t)
																												BgL_arg6516z00_12008),
																											BNIL);
																										BgL_res7226z00_12011 =
																											((BgL_nodez00_bglt)
																											BGl_userzd2errorzf2locationz20zztools_errorz00
																											(BgL_locz00_8128,
																												BgL_arg6515z00_12007,
																												BGl_string7286z00zzast_sexpz00,
																												BgL_expz00_28,
																												BgL_list6517z00_12010));
																								}}
																								return BgL_res7226z00_12011;
																							}
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 608 */
																					goto BgL_tagzd255113zd2_8164;
																				}
																		}
																	else
																		{	/* Ast/sexp.scm 586 */
																			return
																				BGl_applicationzd2ze3nodez31zzast_appz00
																				(BgL_expz00_28, BgL_stackz00_29,
																				BgL_locz00_8128, BgL_sitez00_31);
																		}
																}
														}
												}
										}
								}
							}
						}
					}
				else
					{	/* Ast/sexp.scm 581 */
						return
							BGl_applicationzd2ze3nodez31zzast_appz00(BgL_expz00_28,
							BgL_stackz00_29, BgL_locz00_8128, BgL_sitez00_31);
					}
			}
		}
	}



/* sexp*->node */
	BGL_EXPORTED_DEF obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t
		BgL_expza2za2_32, obj_t BgL_stackz00_33, obj_t BgL_locz00_34,
		obj_t BgL_sitez00_35)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 630 */
			{
				obj_t BgL_expsz00_8188;
				obj_t BgL_resz00_8189;
				obj_t BgL_locz00_8190;

				BgL_expsz00_8188 = BgL_expza2za2_32;
				BgL_resz00_8189 = BNIL;
				BgL_locz00_8190 = BgL_locz00_34;
			BgL_zc3anonymousza36484ze3z83_8191:
				if (NULLP(BgL_expsz00_8188))
					{	/* Ast/sexp.scm 636 */
						BgL_nodez00_bglt BgL_res7230z00_12023;

						{	/* Ast/sexp.scm 692 */
							obj_t BgL_arg6515z00_12019;
							BgL_nodez00_bglt BgL_arg6516z00_12020;

							BgL_arg6515z00_12019 =
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00());
							BgL_arg6516z00_12020 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)),
								BNIL, BgL_locz00_8190, CNST_TABLE_REF(((long) 2)));
							{	/* Ast/sexp.scm 691 */
								obj_t BgL_list6517z00_12022;

								BgL_list6517z00_12022 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg6516z00_12020), BNIL);
								BgL_res7230z00_12023 =
									((BgL_nodez00_bglt)
									BGl_userzd2errorzf2locationz20zztools_errorz00
									(BgL_locz00_8190, BgL_arg6515z00_12019,
										BGl_string7287z00zzast_sexpz00, BgL_expsz00_8188,
										BgL_list6517z00_12022));
						}}
						return ((obj_t) BgL_res7230z00_12023);
					}
				else
					{	/* Ast/sexp.scm 635 */
						if (NULLP(CDR(BgL_expsz00_8188)))
							{	/* Ast/sexp.scm 638 */
								obj_t BgL_locz00_8195;
								obj_t BgL_nsitez00_8196;

								BgL_locz00_8195 =
									BGl_findzd2locationzf2locz20zztools_locationz00(CAR
									(BgL_expsz00_8188),
									BGl_findzd2locationzf2locz20zztools_locationz00
									(BgL_expsz00_8188, BgL_locz00_8190));
								if ((BgL_sitez00_35 == CNST_TABLE_REF(((long) 34))))
									{	/* Ast/sexp.scm 640 */
										BgL_nsitez00_8196 = CNST_TABLE_REF(((long) 2));
									}
								else
									{	/* Ast/sexp.scm 640 */
										BgL_nsitez00_8196 = BgL_sitez00_35;
									}
								{	/* Ast/sexp.scm 641 */
									obj_t BgL_arg6488z00_8197;

									{	/* Ast/sexp.scm 641 */
										BgL_nodez00_bglt BgL_arg6489z00_8198;

										BgL_arg6489z00_8198 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(CAR(BgL_expsz00_8188),
											BgL_stackz00_33, BgL_locz00_8195, BgL_nsitez00_8196);
										BgL_arg6488z00_8197 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg6489z00_8198),
											BgL_resz00_8189);
									}
									return bgl_reverse_bang(BgL_arg6488z00_8197);
								}
							}
						else
							{	/* Ast/sexp.scm 643 */
								obj_t BgL_locz00_8203;

								BgL_locz00_8203 =
									BGl_findzd2locationzf2locz20zztools_locationz00(CAR
									(BgL_expsz00_8188),
									BGl_findzd2locationzf2locz20zztools_locationz00
									(BgL_expsz00_8188, BgL_locz00_8190));
								{	/* Ast/sexp.scm 645 */
									obj_t BgL_arg6494z00_8204;
									obj_t BgL_arg6495z00_8205;

									BgL_arg6494z00_8204 = CDR(BgL_expsz00_8188);
									{	/* Ast/sexp.scm 646 */
										BgL_nodez00_bglt BgL_arg6496z00_8206;

										{	/* Ast/sexp.scm 646 */
											obj_t BgL_arg6497z00_8207;

											BgL_arg6497z00_8207 = CAR(BgL_expsz00_8188);
											BgL_arg6496z00_8206 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg6497z00_8207,
												BgL_stackz00_33, BgL_locz00_8203,
												CNST_TABLE_REF(((long) 2)));
										}
										BgL_arg6495z00_8205 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg6496z00_8206), BgL_resz00_8189);
									}
									{
										obj_t BgL_locz00_24168;
										obj_t BgL_resz00_24167;
										obj_t BgL_expsz00_24166;

										BgL_expsz00_24166 = BgL_arg6494z00_8204;
										BgL_resz00_24167 = BgL_arg6495z00_8205;
										BgL_locz00_24168 = BgL_locz00_8203;
										BgL_locz00_8190 = BgL_locz00_24168;
										BgL_resz00_8189 = BgL_resz00_24167;
										BgL_expsz00_8188 = BgL_expsz00_24166;
										goto BgL_zc3anonymousza36484ze3z83_8191;
									}
								}
							}
					}
			}
		}
	}



/* &sexp*->node */
	obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t BgL_envz00_12144,
		obj_t BgL_expza2za2_12145, obj_t BgL_stackz00_12146, obj_t BgL_locz00_12147,
		obj_t BgL_sitez00_12148)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 630 */
			return
				BGl_sexpza2zd2ze3nodez93zzast_sexpz00(BgL_expza2za2_12145,
				BgL_stackz00_12146, BgL_locz00_12147, BgL_sitez00_12148);
		}
	}



/* find-local */
	BGL_EXPORTED_DEF obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t BgL_namez00_36,
		obj_t BgL_stackz00_37)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 659 */
			{	/* Ast/sexp.scm 660 */
				bool_t BgL_testz00_24170;

				if ((BgL_namez00_36 == BGl_za2cachezd2nameza2zd2zzast_sexpz00))
					{	/* Ast/sexp.scm 660 */
						BgL_testz00_24170 =
							(BgL_stackz00_37 == BGl_za2cachezd2stackza2zd2zzast_sexpz00);
					}
				else
					{	/* Ast/sexp.scm 660 */
						BgL_testz00_24170 = ((bool_t) 0);
					}
				if (BgL_testz00_24170)
					{	/* Ast/sexp.scm 660 */
						return BGl_za2cachezd2resza2zd2zzast_sexpz00;
					}
				else
					{	/* Ast/sexp.scm 660 */
						BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BgL_namez00_36;
						BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BgL_stackz00_37;
						{
							obj_t BgL_stackz00_8215;

							BgL_stackz00_8215 = BgL_stackz00_37;
						BgL_zc3anonymousza36503ze3z83_8216:
							if (NULLP(BgL_stackz00_8215))
								{	/* Ast/sexp.scm 667 */
									BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE;
									return BFALSE;
								}
							else
								{	/* Ast/sexp.scm 667 */
									if (
										((((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(BgL_stackz00_8215)))))->BgL_idz00) ==
											BgL_namez00_36))
										{	/* Ast/sexp.scm 670 */
											BGl_za2cachezd2resza2zd2zzast_sexpz00 =
												CAR(BgL_stackz00_8215);
											return CAR(BgL_stackz00_8215);
										}
									else
										{
											obj_t BgL_stackz00_24184;

											BgL_stackz00_24184 = CDR(BgL_stackz00_8215);
											BgL_stackz00_8215 = BgL_stackz00_24184;
											goto BgL_zc3anonymousza36503ze3z83_8216;
										}
								}
						}
					}
			}
		}
	}



/* &find-local */
	obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t BgL_envz00_12149,
		obj_t BgL_namez00_12150, obj_t BgL_stackz00_12151)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 659 */
			return
				BGl_findzd2localzd2zzast_sexpz00(BgL_namez00_12150, BgL_stackz00_12151);
		}
	}



/* use-variable! */
	BGL_EXPORTED_DEF obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt BgL_varz00_38,
		obj_t BgL_locz00_39, obj_t BgL_sitez00_40)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 679 */
			if ((BgL_sitez00_40 == CNST_TABLE_REF(((long) 7))))
				{	/* Ast/sexp.scm 682 */
					obj_t BgL_vz00_12038;

					BgL_vz00_12038 = CNST_TABLE_REF(((long) 37));
					((((BgL_variablez00_bglt) CREF(BgL_varz00_38))->BgL_accessz00) =
						((obj_t) BgL_vz00_12038), BUNSPEC);
				}
			else
				{	/* Ast/sexp.scm 681 */
					BFALSE;
				}
			{	/* Ast/sexp.scm 683 */
				BgL_valuez00_bglt BgL_valz00_8227;

				BgL_valz00_8227 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_38))->BgL_valuez00);
				{	/* Ast/sexp.scm 684 */
					bool_t BgL_testz00_24193;

					if ((BgL_sitez00_40 == CNST_TABLE_REF(((long) 7))))
						{	/* Ast/sexp.scm 684 */
							bool_t BgL_res7233z00_12040;

							BgL_res7233z00_12040 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_valz00_8227), BGl_funz00zzast_varz00);
							BgL_testz00_24193 = BgL_res7233z00_12040;
						}
					else
						{	/* Ast/sexp.scm 684 */
							BgL_testz00_24193 = ((bool_t) 0);
						}
					if (BgL_testz00_24193)
						{	/* Ast/sexp.scm 685 */
							obj_t BgL_arg6514z00_8230;

							BgL_arg6514z00_8230 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_38));
							{	/* Ast/sexp.scm 685 */
								BgL_nodez00_bglt BgL_res7234z00_12046;

								{	/* Ast/sexp.scm 692 */
									obj_t BgL_arg6515z00_12042;
									BgL_nodez00_bglt BgL_arg6516z00_12043;

									BgL_arg6515z00_12042 =
										BGl_shapez00zztools_shapez00
										(BGl_currentzd2functionzd2zztools_errorz00());
									BgL_arg6516z00_12043 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
												4)), BNIL, BgL_locz00_39, CNST_TABLE_REF(((long) 2)));
									{	/* Ast/sexp.scm 691 */
										obj_t BgL_list6517z00_12045;

										BgL_list6517z00_12045 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg6516z00_12043), BNIL);
										BgL_res7234z00_12046 =
											((BgL_nodez00_bglt)
											BGl_userzd2errorzf2locationz20zztools_errorz00
											(BgL_locz00_39, BgL_arg6515z00_12042,
												BGl_string7288z00zzast_sexpz00, BgL_arg6514z00_8230,
												BgL_list6517z00_12045));
								}}
								return ((obj_t) BgL_res7234z00_12046);
							}
						}
					else
						{	/* Ast/sexp.scm 684 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &use-variable! */
	obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t BgL_envz00_12152,
		obj_t BgL_varz00_12153, obj_t BgL_locz00_12154, obj_t BgL_sitez00_12155)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 679 */
			return
				BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_varz00_12153), BgL_locz00_12154,
				BgL_sitez00_12155);
		}
	}



/* error-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t BgL_msgz00_41,
		obj_t BgL_expz00_42, obj_t BgL_locz00_43)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 690 */
			{	/* Ast/sexp.scm 692 */
				obj_t BgL_arg6515z00_8232;
				BgL_nodez00_bglt BgL_arg6516z00_8233;

				BgL_arg6515z00_8232 =
					BGl_shapez00zztools_shapez00(BGl_currentzd2functionzd2zztools_errorz00
					());
				BgL_arg6516z00_8233 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)), BNIL,
					BgL_locz00_43, CNST_TABLE_REF(((long) 2)));
				{	/* Ast/sexp.scm 691 */
					obj_t BgL_list6517z00_8234;

					BgL_list6517z00_8234 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_arg6516z00_8233), BNIL);
					return
						((BgL_nodez00_bglt)
						BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_43,
							BgL_arg6515z00_8232, BgL_msgz00_41, BgL_expz00_42,
							BgL_list6517z00_8234));
				}
			}
		}
	}



/* &error-sexp->node */
	BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_12156, obj_t BgL_msgz00_12157, obj_t BgL_expz00_12158,
		obj_t BgL_locz00_12159)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 690 */
			return
				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BgL_msgz00_12157,
				BgL_expz00_12158, BgL_locz00_12159);
		}
	}



/* define-primop-ref->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_44, BgL_nodez00_bglt BgL_refz00_45)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 700 */
			{	/* Ast/sexp.scm 701 */
				BgL_nodez00_bglt BgL_funz00_8236;

				BgL_funz00_8236 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 38)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 34)));
				{	/* Ast/sexp.scm 702 */
					bool_t BgL_testz00_24226;

					{	/* Ast/sexp.scm 702 */
						bool_t BgL_res7235z00_12047;

						BgL_res7235z00_12047 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_8236), BGl_varz00zzast_nodez00);
						BgL_testz00_24226 = BgL_res7235z00_12047;
					}
					if (BgL_testz00_24226)
						{	/* Ast/sexp.scm 703 */
							BgL_appz00_bglt BgL_new1153z00_8238;

							{	/* Ast/sexp.scm 703 */
								BgL_appz00_bglt BgL_new1152z00_8245;

								BgL_new1152z00_8245 =
									((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 703 */
									long BgL_arg6526z00_8246;

									{	/* Ast/sexp.scm 703 */
										long BgL_res7236z00_12049;

										BgL_res7236z00_12049 =
											BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
										BgL_arg6526z00_8246 = BgL_res7236z00_12049;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1152z00_8245),
										BgL_arg6526z00_8246);
								}
								{	/* Ast/sexp.scm 703 */
									BgL_objectz00_bglt BgL_tmpz00_24233;

									BgL_tmpz00_24233 = ((BgL_objectz00_bglt) BgL_new1152z00_8245);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_24233, BFALSE);
								}
								BgL_new1153z00_8238 = BgL_new1152z00_8245;
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1153z00_8238)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_new1153z00_8238)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1153z00_8238)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1153z00_8238)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							((((BgL_appz00_bglt) CREF(BgL_new1153z00_8238))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_8236)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_24248;

								{	/* Ast/sexp.scm 706 */
									BgL_nodez00_bglt BgL_arg6520z00_8239;

									{	/* Ast/sexp.scm 706 */
										obj_t BgL_arg6523z00_8242;

										{	/* Ast/sexp.scm 706 */
											obj_t BgL_arg6524z00_8243;

											{	/* Ast/sexp.scm 706 */
												obj_t BgL_arg6525z00_8244;

												BgL_arg6525z00_8244 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_globalz00_44)))->
													BgL_idz00);
												BgL_arg6524z00_8243 =
													MAKE_YOUNG_PAIR(BgL_arg6525z00_8244, BNIL);
											}
											BgL_arg6523z00_8242 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 13)),
												BgL_arg6524z00_8243);
										}
										BgL_arg6520z00_8239 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg6523z00_8242,
											BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
									}
									{	/* Ast/sexp.scm 706 */
										obj_t BgL_list6521z00_8240;

										{	/* Ast/sexp.scm 706 */
											obj_t BgL_arg6522z00_8241;

											BgL_arg6522z00_8241 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_refz00_45), BNIL);
											BgL_list6521z00_8240 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg6520z00_8239), BgL_arg6522z00_8241);
										}
										BgL_auxz00_24248 = BgL_list6521z00_8240;
								}}
								((((BgL_appz00_bglt) CREF(BgL_new1153z00_8238))->BgL_argsz00) =
									((obj_t) BgL_auxz00_24248), BUNSPEC);
							}
							return ((BgL_nodez00_bglt) BgL_new1153z00_8238);
						}
					else
						{	/* Ast/sexp.scm 702 */
							return BgL_funz00_8236;
						}
				}
			}
		}
	}



/* &define-primop-ref->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_12160, obj_t BgL_globalz00_12161, obj_t BgL_refz00_12162)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 700 */
			return
				BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_12161),
				((BgL_nodez00_bglt) BgL_refz00_12162));
		}
	}



/* define-primop->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_46)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 712 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_46), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 714 */
				BgL_nodez00_bglt BgL_funz00_8247;

				BgL_funz00_8247 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 39)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 34)));
				{	/* Ast/sexp.scm 715 */
					bool_t BgL_testz00_24271;

					{	/* Ast/sexp.scm 715 */
						bool_t BgL_res7238z00_12054;

						BgL_res7238z00_12054 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_8247), BGl_varz00zzast_nodez00);
						BgL_testz00_24271 = BgL_res7238z00_12054;
					}
					if (BgL_testz00_24271)
						{	/* Ast/sexp.scm 716 */
							BgL_appz00_bglt BgL_new1155z00_8249;

							{	/* Ast/sexp.scm 716 */
								BgL_appz00_bglt BgL_new1154z00_8257;

								BgL_new1154z00_8257 =
									((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 716 */
									long BgL_arg6535z00_8258;

									{	/* Ast/sexp.scm 716 */
										long BgL_res7239z00_12056;

										BgL_res7239z00_12056 =
											BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
										BgL_arg6535z00_8258 = BgL_res7239z00_12056;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1154z00_8257),
										BgL_arg6535z00_8258);
								}
								{	/* Ast/sexp.scm 716 */
									BgL_objectz00_bglt BgL_tmpz00_24278;

									BgL_tmpz00_24278 = ((BgL_objectz00_bglt) BgL_new1154z00_8257);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_24278, BFALSE);
								}
								BgL_new1155z00_8249 = BgL_new1154z00_8257;
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1155z00_8249)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_new1155z00_8249)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1155z00_8249)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1155z00_8249)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							((((BgL_appz00_bglt) CREF(BgL_new1155z00_8249))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_8247)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_24293;

								{	/* Ast/sexp.scm 719 */
									BgL_nodez00_bglt BgL_arg6528z00_8250;
									BgL_nodez00_bglt BgL_arg6529z00_8251;

									{	/* Ast/sexp.scm 719 */
										obj_t BgL_arg6532z00_8254;

										{	/* Ast/sexp.scm 719 */
											obj_t BgL_arg6533z00_8255;

											{	/* Ast/sexp.scm 719 */
												obj_t BgL_arg6534z00_8256;

												BgL_arg6534z00_8256 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_globalz00_46)))->
													BgL_idz00);
												BgL_arg6533z00_8255 =
													MAKE_YOUNG_PAIR(BgL_arg6534z00_8256, BNIL);
											}
											BgL_arg6532z00_8254 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 13)),
												BgL_arg6533z00_8255);
										}
										BgL_arg6528z00_8250 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg6532z00_8254,
											BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
									}
									BgL_arg6529z00_8251 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(
										((obj_t) BgL_globalz00_46), BNIL, BFALSE,
										CNST_TABLE_REF(((long) 2)));
									{	/* Ast/sexp.scm 719 */
										obj_t BgL_list6530z00_8252;

										{	/* Ast/sexp.scm 719 */
											obj_t BgL_arg6531z00_8253;

											BgL_arg6531z00_8253 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg6529z00_8251), BNIL);
											BgL_list6530z00_8252 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg6528z00_8250), BgL_arg6531z00_8253);
										}
										BgL_auxz00_24293 = BgL_list6530z00_8252;
								}}
								((((BgL_appz00_bglt) CREF(BgL_new1155z00_8249))->BgL_argsz00) =
									((obj_t) BgL_auxz00_24293), BUNSPEC);
							}
							return ((BgL_nodez00_bglt) BgL_new1155z00_8249);
						}
					else
						{	/* Ast/sexp.scm 715 */
							return BgL_funz00_8247;
						}
				}
			}
		}
	}



/* &define-primop->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_12163, obj_t BgL_globalz00_12164)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 712 */
			return
				BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_12164));
		}
	}



/* location->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt BgL_globalz00_47)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 726 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_47), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 728 */
				BgL_nodez00_bglt BgL_funz00_8259;

				BgL_funz00_8259 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 40)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 34)));
				{	/* Ast/sexp.scm 729 */
					bool_t BgL_testz00_24318;

					{	/* Ast/sexp.scm 729 */
						bool_t BgL_res7241z00_12061;

						BgL_res7241z00_12061 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_8259), BGl_varz00zzast_nodez00);
						BgL_testz00_24318 = BgL_res7241z00_12061;
					}
					if (BgL_testz00_24318)
						{	/* Ast/sexp.scm 730 */
							obj_t BgL_exprz00_8261;

							{	/* Ast/sexp.scm 730 */
								bool_t BgL_testz00_24321;

								{	/* Ast/sexp.scm 730 */
									obj_t BgL_arg6544z00_8271;

									BgL_arg6544z00_8271 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									BgL_testz00_24321 =
										(((BgL_backendz00_bglt) CREF(
												((BgL_backendz00_bglt) BgL_arg6544z00_8271)))->
										BgL_pragmazd2supportzd2);
								}
								if (BgL_testz00_24321)
									{	/* Ast/sexp.scm 731 */
										obj_t BgL_arg6542z00_8269;

										{	/* Ast/sexp.scm 731 */
											obj_t BgL_arg6543z00_8270;

											BgL_arg6543z00_8270 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_globalz00_47), BNIL);
											BgL_arg6542z00_8269 =
												MAKE_YOUNG_PAIR(BGl_string7289z00zzast_sexpz00,
												BgL_arg6543z00_8270);
										}
										BgL_exprz00_8261 =
											MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 41)),
											BgL_arg6542z00_8269);
									}
								else
									{	/* Ast/sexp.scm 730 */
										BgL_exprz00_8261 = ((obj_t) BgL_globalz00_47);
									}
							}
							{	/* Ast/sexp.scm 733 */
								BgL_appz00_bglt BgL_new1158z00_8262;

								{	/* Ast/sexp.scm 733 */
									BgL_appz00_bglt BgL_new1156z00_8265;

									BgL_new1156z00_8265 =
										((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_appz00_bgl))));
									{	/* Ast/sexp.scm 733 */
										long BgL_arg6539z00_8266;

										{	/* Ast/sexp.scm 733 */
											long BgL_res7243z00_12066;

											BgL_res7243z00_12066 =
												BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
											BgL_arg6539z00_8266 = BgL_res7243z00_12066;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1156z00_8265),
											BgL_arg6539z00_8266);
									}
									{	/* Ast/sexp.scm 733 */
										BgL_objectz00_bglt BgL_tmpz00_24335;

										BgL_tmpz00_24335 =
											((BgL_objectz00_bglt) BgL_new1156z00_8265);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_24335, BFALSE);
									}
									BgL_new1158z00_8262 = BgL_new1156z00_8265;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1158z00_8262)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
													BgL_new1158z00_8262)))->BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
												BGl_za2_za2z00zztype_cachez00),
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00))),
									BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
													BgL_new1158z00_8262)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
													BgL_new1158z00_8262)))->BgL_keyz00) =
									((obj_t) BINT(((long) -1))), BUNSPEC);
								((((BgL_appz00_bglt) CREF(BgL_new1158z00_8262))->BgL_funz00) =
									((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_8259)),
									BUNSPEC);
								{
									obj_t BgL_auxz00_24352;

									{	/* Ast/sexp.scm 736 */
										BgL_nodez00_bglt BgL_arg6537z00_8263;

										BgL_arg6537z00_8263 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_exprz00_8261, BNIL,
											BFALSE, CNST_TABLE_REF(((long) 2)));
										{	/* Ast/sexp.scm 736 */
											obj_t BgL_list6538z00_8264;

											BgL_list6538z00_8264 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg6537z00_8263), BNIL);
											BgL_auxz00_24352 = BgL_list6538z00_8264;
									}}
									((((BgL_appz00_bglt) CREF(BgL_new1158z00_8262))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_24352), BUNSPEC);
								}
								return ((BgL_nodez00_bglt) BgL_new1158z00_8262);
							}
						}
					else
						{	/* Ast/sexp.scm 729 */
							return BgL_funz00_8259;
						}
				}
			}
		}
	}



/* &location->node */
	BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_12165, obj_t BgL_globalz00_12166)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 726 */
			return
				BGl_locationzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_12166));
		}
	}



/* make-anonymous-name */
	BGL_EXPORTED_DEF obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t
		BgL_locz00_48, obj_t BgL_prefz00_49)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 742 */
			{	/* Ast/sexp.scm 743 */
				obj_t BgL_prefz00_8272;

				{	/* Ast/sexp.scm 743 */
					bool_t BgL_testz00_24361;

					if (PAIRP(BgL_prefz00_49))
						{	/* Ast/sexp.scm 743 */
							obj_t BgL_tmpz00_24364;

							BgL_tmpz00_24364 = CAR(BgL_prefz00_49);
							BgL_testz00_24361 = STRINGP(BgL_tmpz00_24364);
						}
					else
						{	/* Ast/sexp.scm 743 */
							BgL_testz00_24361 = ((bool_t) 0);
						}
					if (BgL_testz00_24361)
						{	/* Ast/sexp.scm 743 */
							BgL_prefz00_8272 = CAR(BgL_prefz00_49);
						}
					else
						{	/* Ast/sexp.scm 743 */
							BgL_prefz00_8272 = BGl_string7290z00zzast_sexpz00;
						}
				}
				{	/* Ast/sexp.scm 746 */
					bool_t BgL_testz00_24368;

					if (STRUCTP(BgL_locz00_48))
						{	/* Ast/sexp.scm 746 */
							BgL_testz00_24368 =
								(STRUCT_KEY(BgL_locz00_48) == CNST_TABLE_REF(((long) 42)));
						}
					else
						{	/* Ast/sexp.scm 746 */
							BgL_testz00_24368 = ((bool_t) 0);
						}
					if (BgL_testz00_24368)
						{	/* Ast/sexp.scm 747 */
							obj_t BgL_filez00_8274;
							obj_t BgL_linez00_8275;
							obj_t BgL_basez00_8276;

							BgL_filez00_8274 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_48);
							BgL_linez00_8275 = STRUCT_REF(BgL_locz00_48, (int) (((long) 2)));
							{	/* Ast/sexp.scm 749 */
								obj_t BgL_arg6568z00_8305;

								BgL_arg6568z00_8305 =
									BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
									(BGl_string7291z00zzast_sexpz00, BgL_prefz00_8272,
										BGl_string7292z00zzast_sexpz00));
								{	/* Ast/sexp.scm 749 */
									obj_t BgL_res7249z00_12082;

									{	/* Ast/sexp.scm 749 */
										obj_t BgL_arg1377z00_12081;

										BgL_arg1377z00_12081 =
											SYMBOL_TO_STRING(BgL_arg6568z00_8305);
										BgL_res7249z00_12082 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1377z00_12081);
									}
									BgL_basez00_8276 = BgL_res7249z00_12082;
							}}
							{	/* Ast/sexp.scm 751 */
								bool_t BgL_testz00_24381;

								{	/* Ast/sexp.scm 751 */
									bool_t BgL_testz00_24382;

									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
											((long) 1)))
										{	/* Ast/sexp.scm 752 */
											obj_t BgL_arg6566z00_8303;

											{	/* Ast/sexp.scm 752 */
												obj_t BgL_arg6567z00_8304;

												BgL_arg6567z00_8304 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg6566z00_8303 =
													(((BgL_backendz00_bglt) CREF(
															((BgL_backendz00_bglt) BgL_arg6567z00_8304)))->
													BgL_debugzd2supportzd2);
											}
											BgL_testz00_24382 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 43)), BgL_arg6566z00_8303));
										}
									else
										{	/* Ast/sexp.scm 751 */
											BgL_testz00_24382 = ((bool_t) 0);
										}
									if (BgL_testz00_24382)
										{	/* Ast/sexp.scm 751 */
											BgL_testz00_24381 = ((bool_t) 1);
										}
									else
										{	/* Ast/sexp.scm 751 */
											BgL_testz00_24381 =
												(
												(long)
												CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >=
												((long) 1));
								}}
								if (BgL_testz00_24381)
									{	/* Ast/sexp.scm 754 */
										obj_t BgL_filez00_8285;

										if (bigloo_strncmp(BgL_filez00_8274,
												BGl_string7293z00zzast_sexpz00, ((long) 2)))
											{	/* Ast/sexp.scm 754 */
												BgL_filez00_8285 =
													c_substring(BgL_filez00_8274, ((long) 2),
													STRING_LENGTH(BgL_filez00_8274));
											}
										else
											{	/* Ast/sexp.scm 754 */
												BgL_filez00_8285 = BgL_filez00_8274;
											}
										{	/* Ast/sexp.scm 759 */
											obj_t BgL_arg6553z00_8286;

											{	/* Ast/sexp.scm 759 */
												obj_t BgL_arg6554z00_8287;
												obj_t BgL_arg6555z00_8288;

												BgL_arg6554z00_8287 =
													BGl_stringzd2replacezd2zz__r4_strings_6_7z00
													(BgL_filez00_8285, (char) (((unsigned char) '.')),
													(char) (((unsigned char) ',')));
												{	/* Ast/sexp.scm 760 */

													BgL_arg6555z00_8288 =
														BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
														(BgL_linez00_8275, BINT(((long) 10)));
												}
												{	/* Ast/sexp.scm 758 */
													obj_t BgL_list6556z00_8289;

													{	/* Ast/sexp.scm 758 */
														obj_t BgL_arg6557z00_8290;

														{	/* Ast/sexp.scm 758 */
															obj_t BgL_arg6558z00_8291;

															{	/* Ast/sexp.scm 758 */
																obj_t BgL_arg6559z00_8292;

																{	/* Ast/sexp.scm 758 */
																	obj_t BgL_arg6560z00_8293;

																	{	/* Ast/sexp.scm 758 */
																		obj_t BgL_arg6561z00_8294;

																		BgL_arg6561z00_8294 =
																			MAKE_YOUNG_PAIR
																			(BGl_string7294z00zzast_sexpz00, BNIL);
																		BgL_arg6560z00_8293 =
																			MAKE_YOUNG_PAIR(BgL_arg6555z00_8288,
																			BgL_arg6561z00_8294);
																	}
																	BgL_arg6559z00_8292 =
																		MAKE_YOUNG_PAIR
																		(BGl_string7292z00zzast_sexpz00,
																		BgL_arg6560z00_8293);
																}
																BgL_arg6558z00_8291 =
																	MAKE_YOUNG_PAIR(BgL_arg6554z00_8287,
																	BgL_arg6559z00_8292);
															}
															BgL_arg6557z00_8290 =
																MAKE_YOUNG_PAIR(BGl_string7292z00zzast_sexpz00,
																BgL_arg6558z00_8291);
														}
														BgL_list6556z00_8289 =
															MAKE_YOUNG_PAIR(BgL_basez00_8276,
															BgL_arg6557z00_8290);
													}
													BgL_arg6553z00_8286 =
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list6556z00_8289);
											}}
											return bstring_to_symbol(BgL_arg6553z00_8286);
										}
									}
								else
									{	/* Ast/sexp.scm 751 */
										return
											bstring_to_symbol
											(BGl_stringzd2replacezd2zz__r4_strings_6_7z00
											(string_append(BgL_basez00_8276,
													BGl_string7294z00zzast_sexpz00),
												(char) (((unsigned char) '.')),
												(char) (((unsigned char) ','))));
						}}}
					else
						{	/* Ast/sexp.scm 764 */
							obj_t BgL_arg6570z00_8307;

							{	/* Ast/sexp.scm 764 */
								obj_t BgL_arg6571z00_8308;
								obj_t BgL_arg6572z00_8309;

								{	/* Ast/sexp.scm 764 */
									obj_t BgL_arg6573z00_8310;

									BgL_arg6573z00_8310 =
										BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
										(BGl_string7291z00zzast_sexpz00, BgL_prefz00_8272,
											BGl_string7295z00zzast_sexpz00));
									{	/* Ast/sexp.scm 764 */
										obj_t BgL_res7258z00_12104;

										{	/* Ast/sexp.scm 764 */
											obj_t BgL_arg1377z00_12103;

											BgL_arg1377z00_12103 =
												SYMBOL_TO_STRING(BgL_arg6573z00_8310);
											BgL_res7258z00_12104 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1377z00_12103);
										}
										BgL_arg6571z00_8308 = BgL_res7258z00_12104;
									}
								}
								{	/* Ast/sexp.scm 764 */
									obj_t BgL_res7259z00_12107;

									{	/* Ast/sexp.scm 764 */
										obj_t BgL_symbolz00_12105;

										BgL_symbolz00_12105 = CNST_TABLE_REF(((long) 44));
										{	/* Ast/sexp.scm 764 */
											obj_t BgL_arg1377z00_12106;

											BgL_arg1377z00_12106 =
												SYMBOL_TO_STRING(BgL_symbolz00_12105);
											BgL_res7259z00_12107 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1377z00_12106);
									}}
									BgL_arg6572z00_8309 = BgL_res7259z00_12107;
								}
								BgL_arg6570z00_8307 =
									string_append(BgL_arg6571z00_8308, BgL_arg6572z00_8309);
							}
							return bstring_to_symbol(BgL_arg6570z00_8307);
						}
				}
			}
		}
	}



/* &make-anonymous-name */
	obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t BgL_envz00_12167,
		obj_t BgL_locz00_12168, obj_t BgL_prefz00_12169)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 742 */
			return
				BGl_makezd2anonymouszd2namez00zzast_sexpz00(BgL_locz00_12168,
				BgL_prefz00_12169);
		}
	}



/* synchronize->node */
	BgL_nodez00_bglt BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00(obj_t
		BgL_expz00_50, obj_t BgL_mutexz00_51, obj_t BgL_prelockz00_52,
		obj_t BgL_bodyz00_53, obj_t BgL_stackz00_54, obj_t BgL_locz00_55,
		obj_t BgL_sitez00_56)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 769 */
			if (SYMBOLP(BgL_mutexz00_51))
				{	/* Ast/sexp.scm 771 */
					BgL_syncz00_bglt BgL_new1160z00_8318;

					{	/* Ast/sexp.scm 772 */
						BgL_syncz00_bglt BgL_new1159z00_8320;

						BgL_new1159z00_8320 =
							((BgL_syncz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_syncz00_bgl))));
						{	/* Ast/sexp.scm 772 */
							long BgL_arg6581z00_8321;

							{	/* Ast/sexp.scm 772 */
								long BgL_res7262z00_12112;

								BgL_res7262z00_12112 =
									BGL_CLASS_INDEX(BGl_syncz00zzast_nodez00);
								BgL_arg6581z00_8321 = BgL_res7262z00_12112;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1159z00_8320),
								BgL_arg6581z00_8321);
						}
						{	/* Ast/sexp.scm 772 */
							BgL_objectz00_bglt BgL_tmpz00_24432;

							BgL_tmpz00_24432 = ((BgL_objectz00_bglt) BgL_new1159z00_8320);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_24432, BFALSE);
						}
						BgL_new1160z00_8318 = BgL_new1159z00_8320;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1160z00_8318)))->BgL_locz00) =
						((obj_t) BgL_locz00_55), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1160z00_8318)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
					((((BgL_syncz00_bglt) CREF(BgL_new1160z00_8318))->BgL_mutexz00) =
						((BgL_nodez00_bglt)
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_mutexz00_51,
								BgL_stackz00_54, BgL_locz00_55, CNST_TABLE_REF(((long) 2)))),
						BUNSPEC);
					((((BgL_syncz00_bglt) CREF(BgL_new1160z00_8318))->BgL_prelockz00) =
						((BgL_nodez00_bglt)
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_prelockz00_52,
								BgL_stackz00_54, BgL_locz00_55, CNST_TABLE_REF(((long) 2)))),
						BUNSPEC);
					{
						BgL_nodez00_bglt BgL_auxz00_24446;

						{	/* Ast/sexp.scm 776 */
							obj_t BgL_arg6580z00_8319;

							BgL_arg6580z00_8319 =
								BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_bodyz00_53);
							BgL_auxz00_24446 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg6580z00_8319,
								BgL_stackz00_54, BgL_locz00_55, BgL_sitez00_56);
						}
						((((BgL_syncz00_bglt) CREF(BgL_new1160z00_8318))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_auxz00_24446), BUNSPEC);
					}
					return ((BgL_nodez00_bglt) BgL_new1160z00_8318);
				}
			else
				{	/* Ast/sexp.scm 777 */
					obj_t BgL_vz00_8322;

					BgL_vz00_8322 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 45))));
					{	/* Ast/sexp.scm 777 */
						obj_t BgL_varz00_8323;

						BgL_varz00_8323 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_vz00_8322,
							CNST_TABLE_REF(((long) 45)));
						{	/* Ast/sexp.scm 778 */
							obj_t BgL_nexpz00_8324;

							{	/* Ast/sexp.scm 779 */
								obj_t BgL_arg6589z00_8332;

								{	/* Ast/sexp.scm 779 */
									obj_t BgL_arg6590z00_8333;

									BgL_arg6590z00_8333 =
										MAKE_YOUNG_PAIR(BgL_vz00_8322,
										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
										(BgL_bodyz00_53, BNIL));
									BgL_arg6589z00_8332 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 30)),
										BgL_arg6590z00_8333);
								}
								BgL_nexpz00_8324 =
									BGl_epairifyzd2reczd2zztools_miscz00(BgL_arg6589z00_8332,
									BgL_expz00_50);
							}
							{	/* Ast/sexp.scm 779 */

								{	/* Ast/sexp.scm 780 */
									obj_t BgL_arg6582z00_8325;

									{	/* Ast/sexp.scm 780 */
										obj_t BgL_arg6583z00_8326;
										obj_t BgL_arg6584z00_8327;

										BgL_arg6583z00_8326 = BGl_letzd2symzd2zzast_letz00();
										{	/* Ast/sexp.scm 780 */
											obj_t BgL_arg6585z00_8328;
											obj_t BgL_arg6586z00_8329;

											{	/* Ast/sexp.scm 780 */
												obj_t BgL_arg6587z00_8330;

												{	/* Ast/sexp.scm 780 */
													obj_t BgL_arg6588z00_8331;

													BgL_arg6588z00_8331 =
														MAKE_YOUNG_PAIR(BgL_mutexz00_51, BNIL);
													BgL_arg6587z00_8330 =
														MAKE_YOUNG_PAIR(BgL_varz00_8323,
														BgL_arg6588z00_8331);
												}
												BgL_arg6585z00_8328 =
													MAKE_YOUNG_PAIR(BgL_arg6587z00_8330, BNIL);
											}
											BgL_arg6586z00_8329 =
												MAKE_YOUNG_PAIR(BgL_nexpz00_8324, BNIL);
											BgL_arg6584z00_8327 =
												MAKE_YOUNG_PAIR(BgL_arg6585z00_8328,
												BgL_arg6586z00_8329);
										}
										BgL_arg6582z00_8325 =
											MAKE_YOUNG_PAIR(BgL_arg6583z00_8326, BgL_arg6584z00_8327);
									}
									BGl_replacez12z12zztools_miscz00(BgL_expz00_50,
										BgL_arg6582z00_8325);
								}
								return
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_50,
									BgL_stackz00_54, BgL_locz00_55, BgL_sitez00_56);
							}
						}
					}
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 209108747),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 428035925),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_pragmaz00(((long) 156774043),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_labelsz00(((long) 129879154),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 469204197),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_exitz00(((long) 419066125),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(((long) 277780830),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 296989457),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_objectz00(((long) 520121496),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string7296z00zzast_sexpz00));
		}
	}

#ifdef __cplusplus
}
#endif
