/*===========================================================================*/
/*   (Cfa/closure.scm)                                                       */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/closure.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;


	static bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
	extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	static bool_t BGl_mergezd2appzd2typesz12z12zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_closurez00();
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt);
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_closurez00();
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	static obj_t BGl_z62zc3anonymousza31633ze3ze1zzcfa_closurez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00();
	extern obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00();
	static bool_t BGl_showze70ze7zzcfa_closurez00(obj_t, obj_t);
	extern obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t);
	static obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t,
		obj_t);
	static obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t, obj_t);
	static bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00();
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00(BgL_typez00_bglt);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t);
	static obj_t BGl_z62typezd2closuresz12za2zzcfa_closurez00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_zc3anonymousza31813ze3ze70z64zzcfa_closurez00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_Xz12z12zzcfa_closurez00(obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
	static obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00();
	static obj_t BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	extern obj_t BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt,
		obj_t);
	static obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t);
	static obj_t BGl_z62zc3anonymousza31611ze3ze1zzcfa_closurez00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
	static obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_closurez00();
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_closurez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzcfa_closurez00();
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_closurez00();
	static obj_t BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static obj_t BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzcfa_closurez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t,
		obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	static bool_t BGl_mergezd2appzd2returnzd2typesz12zc0zzcfa_closurez00(obj_t,
		BgL_approxz00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[20];


	   
		 
		DEFINE_STRING(BGl_string2181z00zzcfa_closurez00,
		BgL_bgl_string2181za700za7za7c2192za7, "   . Light closures", 19);
	      DEFINE_STRING(BGl_string2184z00zzcfa_closurez00,
		BgL_bgl_string2184za700za7za7c2193za7, ": ", 2);
	      DEFINE_STRING(BGl_string2185z00zzcfa_closurez00,
		BgL_bgl_string2185za700za7za7c2194za7, "      ", 6);
	      DEFINE_STRING(BGl_string2186z00zzcfa_closurez00,
		BgL_bgl_string2186za700za7za7c2195za7, "        ", 8);
	      DEFINE_STRING(BGl_string2187z00zzcfa_closurez00,
		BgL_bgl_string2187za700za7za7c2196za7, "cfa_closure", 11);
	      DEFINE_STRING(BGl_string2188z00zzcfa_closurez00,
		BgL_bgl_string2188za700za7za7c2197za7,
		"make-l-procedure make-el-procedure procedure-el-set! procedure-el-ref procedure-l-set! procedure-l-ref procedure-set! foreign procedure-ref T X nothing-to-do slfun selfun done ok \077\077? light elight static ",
		203);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2makezd2procedurez12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2makeza7d22198za7,
		BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2funcallz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762addza7d2funcall2199z00,
		BGl_z62addzd2funcallz12za2zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zzcfa_closurez00,
		BgL_bgl_za762za7c3anonymousza72200za7,
		BGl_z62zc3anonymousza31611ze3ze1zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zzcfa_closurez00,
		BgL_bgl_za762za7c3anonymousza72201za7,
		BGl_z62zc3anonymousza31633ze3ze1zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2procedurezd2refz12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2procedu2202z00,
		BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2closuresz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762typeza7d2closur2203z00,
		BGl_z62typezd2closuresz12za2zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationzf3zd2envz54zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt2204z00,
		BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationz12zd2envzb5zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt2205z00,
		BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2procedurezd2listzd2envzd2zzcfa_closurez00,
		BgL_bgl_za762getza7d2procedu2206z00,
		BGl_z62getzd2procedurezd2listz62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stopzd2closurezd2cachezd2envzd2zzcfa_closurez00,
		BgL_bgl_za762stopza7d2closur2207z00,
		BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2procedurezd2elzf3zd2envz21zzcfa_closurez00,
		BgL_bgl_za762approxza7d2proc2208z00,
		BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00));
		   
			 ADD_ROOT((void *) (&BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2procedurezd2refza2zd2zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2funcallzd2listza2zd2zzcfa_closurez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long
		BgL_checksumz00_3997, char *BgL_fromz00_3998)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_closurez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_closurez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_closurez00();
					BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
					BGl_cnstzd2initzd2zzcfa_closurez00();
					BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
					return BGl_toplevelzd2initzd2zzcfa_closurez00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_closure");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			{	/* Cfa/closure.scm 25 */
				obj_t BgL_cportz00_3984;

				{	/* Cfa/closure.scm 25 */
					obj_t BgL_startz00_3993;

					BgL_startz00_3993 = BINT(((long) 0));
					{	/* Cfa/closure.scm 25 */
						obj_t BgL_endz00_3994;

						BgL_endz00_3994 =
							BINT(STRING_LENGTH(BGl_string2188z00zzcfa_closurez00));
						{	/* Cfa/closure.scm 25 */

							BgL_cportz00_3984 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string2188z00zzcfa_closurez00, BgL_startz00_3993,
								BgL_endz00_3994);
				}}}
				{
					long BgL_iz00_3985;

					BgL_iz00_3985 = ((long) 19);
				BgL_loopz00_3986:
					if ((BgL_iz00_3985 == ((long) -1)))
						{	/* Cfa/closure.scm 25 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/closure.scm 25 */
							{	/* Cfa/closure.scm 25 */
								obj_t BgL_arg2190z00_3988;

								{	/* Cfa/closure.scm 25 */

									{	/* Cfa/closure.scm 25 */
										obj_t BgL_locationz00_3990;

										BgL_locationz00_3990 = BBOOL(((bool_t) 0));
										{	/* Cfa/closure.scm 25 */

											BgL_arg2190z00_3988 =
												BGl_readz00zz__readerz00(BgL_cportz00_3984,
												BgL_locationz00_3990);
										}
									}
								}
								{	/* Cfa/closure.scm 25 */
									int BgL_tmpz00_4022;

									BgL_tmpz00_4022 = (int) (BgL_iz00_3985);
									CNST_TABLE_SET(BgL_tmpz00_4022, BgL_arg2190z00_3988);
							}}
							{	/* Cfa/closure.scm 25 */
								int BgL_auxz00_3991;

								BgL_auxz00_3991 = (int) ((BgL_iz00_3985 - ((long) 1)));
								{
									long BgL_iz00_4027;

									BgL_iz00_4027 = (long) (BgL_auxz00_3991);
									BgL_iz00_3985 = BgL_iz00_4027;
									goto BgL_loopz00_3986;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BNIL;
			BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
	}



/* closure-optimization? */
	BGL_EXPORTED_DEF obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 55 */
			{	/* Cfa/closure.scm 56 */
				long BgL_n1z00_3640;

				BgL_n1z00_3640 = (long) CINT(BGl_za2optimza2z00zzengine_paramz00);
				return BBOOL((BgL_n1z00_3640 >= ((long) 2)));
		}}
	}



/* &closure-optimization? */
	obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t
		BgL_envz00_3964)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 55 */
			return BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
		}
	}



/* closure-optimization! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 61 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 62 */
					{	/* Cfa/closure.scm 63 */
						obj_t BgL_list1537z00_2658;

						{	/* Cfa/closure.scm 63 */
							obj_t BgL_arg1540z00_2659;

							BgL_arg1540z00_2659 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_list1537z00_2658 =
								MAKE_YOUNG_PAIR(BGl_string2181z00zzcfa_closurez00,
								BgL_arg1540z00_2659);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list1537z00_2658);
					}
					BGl_startzd2closurezd2cachez00zzcfa_closurez00();
					{
						obj_t BgL_l1493z00_2661;

						BgL_l1493z00_2661 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3anonymousza31541ze3z83_2662:
						if (PAIRP(BgL_l1493z00_2661))
							{	/* Cfa/closure.scm 72 */
								{	/* Cfa/closure.scm 74 */
									obj_t BgL_appz00_2664;

									BgL_appz00_2664 = CAR(BgL_l1493z00_2661);
									{	/* Cfa/closure.scm 75 */
										BgL_variablez00_bglt BgL_funz00_2666;

										{
											BgL_varz00_bglt BgL_auxz00_4046;

											{	/* Cfa/closure.scm 75 */
												obj_t BgL_pairz00_3646;

												BgL_pairz00_3646 =
													(((BgL_appz00_bglt) CREF(
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_appz00_2664))))->
													BgL_argsz00);
												BgL_auxz00_4046 =
													((BgL_varz00_bglt) CAR(BgL_pairz00_3646));
											}
											BgL_funz00_2666 =
												(((BgL_varz00_bglt) CREF(BgL_auxz00_4046))->
												BgL_variablez00);
										}
										{	/* Cfa/closure.scm 75 */
											obj_t BgL_cloz00_2667;

											BgL_cloz00_2667 =
												(((BgL_funz00_bglt) CREF(
														((BgL_funz00_bglt)
															((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_funz00_2666))))->
																	BgL_valuez00)))))->BgL_thezd2closurezd2);
											{	/* Cfa/closure.scm 76 */
												bool_t BgL_lostzf3zf3_2668;

												{	/* Cfa/closure.scm 77 */
													long BgL_tmpz00_4059;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4060;

														{
															obj_t BgL_auxz00_4061;

															{	/* Cfa/closure.scm 77 */
																BgL_objectz00_bglt BgL_tmpz00_4062;

																BgL_tmpz00_4062 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_2664));
																BgL_auxz00_4061 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4062);
															}
															BgL_auxz00_4060 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_4061);
														}
														BgL_tmpz00_4059 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																CREF(BgL_auxz00_4060))->BgL_lostzd2stampzd2);
													}
													BgL_lostzf3zf3_2668 = (BgL_tmpz00_4059 > ((long) -1));
												}
												{	/* Cfa/closure.scm 77 */
													obj_t BgL_siza7eza7_2669;

													{	/* Cfa/closure.scm 78 */
														obj_t BgL_arg1579z00_2690;

														{	/* Cfa/closure.scm 78 */
															obj_t BgL_pairz00_3652;

															BgL_pairz00_3652 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_appz00_2664))))->
																BgL_argsz00);
															BgL_arg1579z00_2690 =
																CAR(CDR(CDR(BgL_pairz00_3652)));
														}
														BgL_siza7eza7_2669 =
															BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
															((BgL_nodez00_bglt) BgL_arg1579z00_2690));
													}
													{	/* Cfa/closure.scm 78 */

														{	/* Cfa/closure.scm 80 */
															bool_t BgL_testz00_4077;

															if (BgL_lostzf3zf3_2668)
																{	/* Cfa/closure.scm 80 */
																	BgL_testz00_4077 = ((bool_t) 1);
																}
															else
																{	/* Cfa/closure.scm 81 */
																	bool_t BgL_testz00_4079;

																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_4080;
																		{
																			obj_t BgL_auxz00_4081;

																			{	/* Cfa/closure.scm 81 */
																				BgL_objectz00_bglt BgL_tmpz00_4082;

																				BgL_tmpz00_4082 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt) BgL_appz00_2664));
																				BgL_auxz00_4081 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_4082);
																			}
																			BgL_auxz00_4080 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_4081);
																		}
																		BgL_testz00_4079 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				CREF(BgL_auxz00_4080))->
																			BgL_xzd2tzf3z21);
																	}
																	if (BgL_testz00_4079)
																		{	/* Cfa/closure.scm 81 */
																			if (
																				((((BgL_funz00_bglt) CREF(
																								((BgL_funz00_bglt)
																									((BgL_sfunz00_bglt)
																										(((BgL_variablez00_bglt)
																												CREF((
																														(BgL_variablez00_bglt)
																														((BgL_globalz00_bglt) BgL_funz00_2666))))->BgL_valuez00)))))->BgL_arityz00) < ((long) 0)))
																				{	/* Cfa/closure.scm 82 */
																					BgL_testz00_4077 = ((bool_t) 1);
																				}
																			else
																				{	/* Cfa/closure.scm 82 */
																					if (INTEGERP(BgL_siza7eza7_2669))
																						{	/* Cfa/closure.scm 83 */
																							if (BGl_isazf3zf3zz__objectz00
																								(BgL_cloz00_2667,
																									BGl_globalz00zzast_varz00))
																								{	/* Cfa/closure.scm 84 */
																									if (
																										((((BgL_globalz00_bglt)
																													CREF((
																															(BgL_globalz00_bglt)
																															BgL_cloz00_2667)))->
																												BgL_importz00) ==
																											CNST_TABLE_REF(((long)
																													0))))
																										{	/* Cfa/closure.scm 85 */
																											BgL_testz00_4077 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Cfa/closure.scm 85 */
																											BgL_testz00_4077 =
																												((bool_t) 1);
																										}
																								}
																							else
																								{	/* Cfa/closure.scm 84 */
																									BgL_testz00_4077 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Cfa/closure.scm 83 */
																							BgL_testz00_4077 = ((bool_t) 1);
																						}
																				}
																		}
																	else
																		{	/* Cfa/closure.scm 81 */
																			BgL_testz00_4077 = ((bool_t) 1);
																		}
																}
															if (BgL_testz00_4077)
																{	/* Cfa/closure.scm 80 */
																	BNIL;
																}
															else
																{	/* Cfa/closure.scm 80 */
																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_4105;
																		{
																			obj_t BgL_auxz00_4106;

																			{	/* Cfa/closure.scm 102 */
																				BgL_objectz00_bglt BgL_tmpz00_4107;

																				BgL_tmpz00_4107 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt) BgL_appz00_2664));
																				BgL_auxz00_4106 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_4107);
																			}
																			BgL_auxz00_4105 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_4106);
																		}
																		((((BgL_makezd2procedurezd2appz00_bglt)
																					CREF(BgL_auxz00_4105))->BgL_xz00) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																	}
																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_4113;
																		{
																			obj_t BgL_auxz00_4114;

																			{	/* Cfa/closure.scm 103 */
																				BgL_objectz00_bglt BgL_tmpz00_4115;

																				BgL_tmpz00_4115 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt) BgL_appz00_2664));
																				BgL_auxz00_4114 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_4115);
																			}
																			BgL_auxz00_4113 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_4114);
																		}
																		((((BgL_makezd2procedurezd2appz00_bglt)
																					CREF(BgL_auxz00_4113))->BgL_tz00) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																	}
																}
														}
													}
												}
											}
										}
									}
								}
								{
									obj_t BgL_l1493z00_4121;

									BgL_l1493z00_4121 = CDR(BgL_l1493z00_2661);
									BgL_l1493z00_2661 = BgL_l1493z00_4121;
									goto BgL_zc3anonymousza31541ze3z83_2662;
								}
							}
						else
							{	/* Cfa/closure.scm 72 */
								((bool_t) 1);
							}
					}
					BGl_Xz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					{
						obj_t BgL_l1495z00_2699;

						BgL_l1495z00_2699 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3anonymousza31596ze3z83_2700:
						if (PAIRP(BgL_l1495z00_2699))
							{	/* Cfa/closure.scm 110 */
								{	/* Cfa/closure.scm 111 */
									obj_t BgL_allocz00_2702;

									BgL_allocz00_2702 = CAR(BgL_l1495z00_2699);
									{	/* Cfa/closure.scm 112 */
										BgL_valuez00_bglt BgL_fz00_2704;

										{
											BgL_variablez00_bglt BgL_auxz00_4128;

											{
												BgL_varz00_bglt BgL_auxz00_4129;

												{	/* Cfa/closure.scm 112 */
													obj_t BgL_pairz00_3668;

													BgL_pairz00_3668 =
														(((BgL_appz00_bglt) CREF(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_allocz00_2702))))->
														BgL_argsz00);
													BgL_auxz00_4129 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_3668));
												}
												BgL_auxz00_4128 =
													(((BgL_varz00_bglt) CREF(BgL_auxz00_4129))->
													BgL_variablez00);
											}
											BgL_fz00_2704 =
												(((BgL_variablez00_bglt) CREF(BgL_auxz00_4128))->
												BgL_valuez00);
										}
										{	/* Cfa/closure.scm 114 */
											bool_t BgL_testz00_4137;

											{
												BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4138;

												{
													obj_t BgL_auxz00_4139;

													{	/* Cfa/closure.scm 114 */
														BgL_objectz00_bglt BgL_tmpz00_4140;

														BgL_tmpz00_4140 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt) BgL_allocz00_2702));
														BgL_auxz00_4139 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4140);
													}
													BgL_auxz00_4138 =
														((BgL_makezd2procedurezd2appz00_bglt)
														BgL_auxz00_4139);
												}
												BgL_testz00_4137 =
													(((BgL_makezd2procedurezd2appz00_bglt)
														CREF(BgL_auxz00_4138))->BgL_xz00);
											}
											if (BgL_testz00_4137)
												{	/* Cfa/closure.scm 114 */
													obj_t BgL_vz00_3672;

													BgL_vz00_3672 = CNST_TABLE_REF(((long) 1));
													((((BgL_sfunz00_bglt) CREF(
																	((BgL_sfunz00_bglt) BgL_fz00_2704)))->
															BgL_strengthz00) =
														((obj_t) BgL_vz00_3672), BUNSPEC);
												}
											else
												{	/* Cfa/closure.scm 115 */
													bool_t BgL_testz00_4149;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4150;

														{
															obj_t BgL_auxz00_4151;

															{	/* Cfa/closure.scm 115 */
																BgL_objectz00_bglt BgL_tmpz00_4152;

																BgL_tmpz00_4152 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_allocz00_2702));
																BgL_auxz00_4151 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4152);
															}
															BgL_auxz00_4150 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_4151);
														}
														BgL_testz00_4149 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																CREF(BgL_auxz00_4150))->BgL_tz00);
													}
													if (BgL_testz00_4149)
														{	/* Cfa/closure.scm 115 */
															obj_t BgL_vz00_3674;

															BgL_vz00_3674 = CNST_TABLE_REF(((long) 2));
															((((BgL_sfunz00_bglt) CREF(
																			((BgL_sfunz00_bglt) BgL_fz00_2704)))->
																	BgL_strengthz00) =
																((obj_t) BgL_vz00_3674), BUNSPEC);
														}
													else
														{	/* Cfa/closure.scm 116 */
															obj_t BgL_vz00_3676;

															BgL_vz00_3676 = CNST_TABLE_REF(((long) 3));
															((((BgL_sfunz00_bglt) CREF(
																			((BgL_sfunz00_bglt) BgL_fz00_2704)))->
																	BgL_strengthz00) =
																((obj_t) BgL_vz00_3676), BUNSPEC);
								}}}}}
								{
									obj_t BgL_l1495z00_4164;

									BgL_l1495z00_4164 = CDR(BgL_l1495z00_2699);
									BgL_l1495z00_2699 = BgL_l1495z00_4164;
									goto BgL_zc3anonymousza31596ze3z83_2700;
								}
							}
						else
							{	/* Cfa/closure.scm 110 */
								((bool_t) 1);
							}
					}
					BGl_showzd2Xzd2Tz00zzcfa_closurez00
						(BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00);
					BGl_lightzd2funcallz12zc0zzcfa_closurez00();
					BGl_lightzd2accessz12zc0zzcfa_closurez00();
					BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
					return BGl_lightzd2typez12zc0zzcfa_ltypez00(BgL_globalsz00_3);
				}
			else
				{	/* Cfa/closure.scm 62 */
					return BFALSE;
				}
		}
	}



/* &closure-optimization! */
	obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t
		BgL_envz00_3965, obj_t BgL_globalsz00_3966)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 61 */
			return
				BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(BgL_globalsz00_3966);
		}
	}



/* X! */
	bool_t BGl_Xz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_4)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 132 */
			{
				obj_t BgL_l1497z00_2713;

				BgL_l1497z00_2713 = BgL_funcallzd2listzd2_4;
			BgL_zc3anonymousza31608ze3z83_2714:
				if (PAIRP(BgL_l1497z00_2713))
					{	/* Cfa/closure.scm 134 */
						{	/* Cfa/closure.scm 135 */
							BgL_funcallz00_bglt BgL_appz00_2716;

							BgL_appz00_2716 = ((BgL_funcallz00_bglt) CAR(BgL_l1497z00_2713));
							{	/* Cfa/closure.scm 136 */
								BgL_nodez00_bglt BgL_funz00_2717;

								BgL_funz00_2717 =
									(((BgL_funcallz00_bglt) CREF(BgL_appz00_2716))->BgL_funz00);
								{	/* Cfa/closure.scm 136 */
									BgL_approxz00_bglt BgL_approxz00_2718;

									BgL_approxz00_2718 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2717);
									{	/* Cfa/closure.scm 137 */
										obj_t BgL_allocz00_2719;

										BgL_allocz00_2719 =
											(((BgL_approxz00_bglt) CREF(BgL_approxz00_2718))->
											BgL_allocsz00);
										{	/* Cfa/closure.scm 138 */
											BgL_typez00_bglt BgL_typez00_2720;

											BgL_typez00_2720 =
												(((BgL_approxz00_bglt) CREF(BgL_approxz00_2718))->
												BgL_typez00);
											{	/* Cfa/closure.scm 139 */
												bool_t BgL_topzf3zf3_2721;

												BgL_topzf3zf3_2721 =
													(((BgL_approxz00_bglt) CREF(BgL_approxz00_2718))->
													BgL_topzf3zf3);
												{	/* Cfa/closure.scm 140 */

													if (BgL_topzf3zf3_2721)
														{	/* Cfa/closure.scm 142 */
															BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																(BGl_proc2182z00zzcfa_closurez00,
																BgL_approxz00_2718);
														}
													else
														{	/* Cfa/closure.scm 153 */
															bool_t BgL_testz00_4183;

															{	/* Cfa/closure.scm 153 */
																obj_t BgL_arg1636z00_2742;

																BgL_arg1636z00_2742 =
																	BGl_setzd2lengthzd2zzcfa_setz00
																	(BgL_allocz00_2719);
																BgL_testz00_4183 =
																	((long) CINT(BgL_arg1636z00_2742) ==
																	((long) 0));
															}
															if (BgL_testz00_4183)
																{	/* Cfa/closure.scm 153 */
																	CNST_TABLE_REF(((long) 4));
																}
															else
																{	/* Cfa/closure.scm 156 */
																	bool_t BgL_testz00_4188;

																	{	/* Cfa/closure.scm 156 */
																		bool_t BgL_testz00_4189;

																		{	/* Cfa/closure.scm 156 */
																			obj_t BgL_arg1635z00_2741;

																			BgL_arg1635z00_2741 =
																				BGl_setzd2lengthzd2zzcfa_setz00
																				(BgL_allocz00_2719);
																			BgL_testz00_4189 =
																				((long) CINT(BgL_arg1635z00_2741) ==
																				((long) 1));
																		}
																		if (BgL_testz00_4189)
																			{	/* Cfa/closure.scm 157 */
																				obj_t BgL__ortest_1156z00_2740;

																				BgL__ortest_1156z00_2740 =
																					BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
																				if (CBOOL(BgL__ortest_1156z00_2740))
																					{	/* Cfa/closure.scm 157 */
																						BgL_testz00_4188 =
																							CBOOL(BgL__ortest_1156z00_2740);
																					}
																				else
																					{	/* Cfa/closure.scm 157 */
																						BgL_testz00_4188 =
																							(
																							((obj_t) BgL_typez00_2720) ==
																							BGl_za2procedureza2z00zztype_cachez00);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 156 */
																				BgL_testz00_4188 = ((bool_t) 0);
																			}
																	}
																	if (BgL_testz00_4188)
																		{	/* Cfa/closure.scm 156 */
																			CNST_TABLE_REF(((long) 4));
																		}
																	else
																		{	/* Cfa/closure.scm 156 */
																			BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																				(BGl_proc2183z00zzcfa_closurez00,
																				BgL_approxz00_2718);
																		}
																}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l1497z00_4200;

							BgL_l1497z00_4200 = CDR(BgL_l1497z00_2713);
							BgL_l1497z00_2713 = BgL_l1497z00_4200;
							goto BgL_zc3anonymousza31608ze3z83_2714;
						}
					}
				else
					{	/* Cfa/closure.scm 134 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* &<anonymous:1611> */
	obj_t BGl_z62zc3anonymousza31611ze3ze1zzcfa_closurez00(obj_t BgL_envz00_3969,
		obj_t BgL_allocz00_3970)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 145 */
			if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_3970,
					BGl_makezd2procedurezd2appz00zzcfa_info2z00))
				{	/* Cfa/closure.scm 146 */
					{
						BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4204;

						{
							obj_t BgL_auxz00_4205;

							{	/* Cfa/closure.scm 150 */
								BgL_objectz00_bglt BgL_tmpz00_4206;

								BgL_tmpz00_4206 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_allocz00_3970));
								BgL_auxz00_4205 = BGL_OBJECT_WIDENING(BgL_tmpz00_4206);
							}
							BgL_auxz00_4204 =
								((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4205);
						}
						((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_4204))->
								BgL_tz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
					}
					{
						BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4212;

						{
							obj_t BgL_auxz00_4213;

							{	/* Cfa/closure.scm 151 */
								BgL_objectz00_bglt BgL_tmpz00_4214;

								BgL_tmpz00_4214 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_allocz00_3970));
								BgL_auxz00_4213 = BGL_OBJECT_WIDENING(BgL_tmpz00_4214);
							}
							BgL_auxz00_4212 =
								((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4213);
						}
						return
							((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_4212))->
								BgL_xz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
					}
				}
			else
				{	/* Cfa/closure.scm 146 */
					return BFALSE;
				}
		}
	}



/* &<anonymous:1633> */
	obj_t BGl_z62zc3anonymousza31633ze3ze1zzcfa_closurez00(obj_t BgL_envz00_3971,
		obj_t BgL_allocz00_3972)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 164 */
			if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_3972,
					BGl_makezd2procedurezd2appz00zzcfa_info2z00))
				{	/* Cfa/closure.scm 165 */
					{
						BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4222;

						{
							obj_t BgL_auxz00_4223;

							{	/* Cfa/closure.scm 169 */
								BgL_objectz00_bglt BgL_tmpz00_4224;

								BgL_tmpz00_4224 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_allocz00_3972));
								BgL_auxz00_4223 = BGL_OBJECT_WIDENING(BgL_tmpz00_4224);
							}
							BgL_auxz00_4222 =
								((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4223);
						}
						return
							((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_4222))->
								BgL_xz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
					}
				}
			else
				{	/* Cfa/closure.scm 165 */
					return BFALSE;
				}
		}
	}



/* T-fix-point! */
	obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_5)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 182 */
			{
				bool_t BgL_continuezf3zf3_2746;

				BgL_continuezf3zf3_2746 = ((bool_t) 1);
			BgL_zc3anonymousza31638ze3z83_2747:
				if (BgL_continuezf3zf3_2746)
					{	/* Cfa/closure.scm 187 */
						bool_t BgL_continuezf3zf3_2748;

						BgL_continuezf3zf3_2748 = ((bool_t) 0);
						{
							obj_t BgL_l1501z00_2750;

							BgL_l1501z00_2750 = BgL_funcallzd2listzd2_5;
						BgL_zc3anonymousza31639ze3z83_2751:
							if (PAIRP(BgL_l1501z00_2750))
								{	/* Cfa/closure.scm 188 */
									{	/* Cfa/closure.scm 190 */
										obj_t BgL_appz00_2753;

										BgL_appz00_2753 = CAR(BgL_l1501z00_2750);
										{	/* Cfa/closure.scm 191 */
											BgL_nodez00_bglt BgL_funz00_2754;

											BgL_funz00_2754 =
												(((BgL_funcallz00_bglt) CREF(
														((BgL_funcallz00_bglt) BgL_appz00_2753)))->
												BgL_funz00);
											{	/* Cfa/closure.scm 191 */
												BgL_approxz00_bglt BgL_approxz00_2755;

												BgL_approxz00_2755 =
													BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2754);
												{	/* Cfa/closure.scm 192 */
													obj_t BgL_allocz00_2756;

													BgL_allocz00_2756 =
														BGl_setzd2ze3listz31zzcfa_setz00(
														(((BgL_approxz00_bglt) CREF(BgL_approxz00_2755))->
															BgL_allocsz00));
													{	/* Cfa/closure.scm 193 */
														BgL_typez00_bglt BgL_typez00_2757;

														BgL_typez00_2757 =
															(((BgL_approxz00_bglt) CREF(BgL_approxz00_2755))->
															BgL_typez00);
														{	/* Cfa/closure.scm 194 */
															bool_t BgL_tzd2initzf3z21_2758;

															{	/* Cfa/closure.scm 195 */
																bool_t BgL__ortest_1157z00_2782;

																BgL__ortest_1157z00_2782 =
																	(((BgL_approxz00_bglt)
																		CREF(BgL_approxz00_2755))->BgL_topzf3zf3);
																if (BgL__ortest_1157z00_2782)
																	{	/* Cfa/closure.scm 195 */
																		BgL_tzd2initzf3z21_2758 =
																			BgL__ortest_1157z00_2782;
																	}
																else
																	{	/* Cfa/closure.scm 196 */
																		bool_t BgL_testz00_4242;

																		if (
																			(((obj_t) BgL_typez00_2757) ==
																				BGl_za2procedureza2z00zztype_cachez00))
																			{	/* Cfa/closure.scm 196 */
																				BgL_testz00_4242 = ((bool_t) 1);
																			}
																		else
																			{	/* Cfa/closure.scm 196 */
																				BgL_testz00_4242 =
																					CBOOL
																					(BGl_za2unsafezd2typeza2zd2zzengine_paramz00);
																			}
																		if (BgL_testz00_4242)
																			{	/* Cfa/closure.scm 196 */
																				BgL_tzd2initzf3z21_2758 = ((bool_t) 0);
																			}
																		else
																			{	/* Cfa/closure.scm 196 */
																				BgL_tzd2initzf3z21_2758 = ((bool_t) 1);
																			}
																	}
															}
															{	/* Cfa/closure.scm 195 */

																{
																	bool_t BgL_onezd2nonzd2tzf3zf3_2760;
																	obj_t BgL_allocsz00_2761;

																	BgL_onezd2nonzd2tzf3zf3_2760 =
																		BgL_tzd2initzf3z21_2758;
																	BgL_allocsz00_2761 = BgL_allocz00_2756;
																BgL_zc3anonymousza31641ze3z83_2762:
																	if (NULLP(BgL_allocsz00_2761))
																		{	/* Cfa/closure.scm 204 */
																			CNST_TABLE_REF(((long) 5));
																		}
																	else
																		{	/* Cfa/closure.scm 204 */
																			if (BgL_onezd2nonzd2tzf3zf3_2760)
																				{
																					obj_t BgL_l1499z00_2765;

																					{	/* Cfa/closure.scm 207 */
																						bool_t BgL_tmpz00_4251;

																						BgL_l1499z00_2765 =
																							BgL_allocz00_2756;
																					BgL_zc3anonymousza31643ze3z83_2766:
																						if (PAIRP(BgL_l1499z00_2765))
																							{	/* Cfa/closure.scm 207 */
																								{	/* Cfa/closure.scm 209 */
																									obj_t BgL_allocz00_2768;

																									BgL_allocz00_2768 =
																										CAR(BgL_l1499z00_2765);
																									if (BGl_isazf3zf3zz__objectz00
																										(BgL_allocz00_2768,
																											BGl_makezd2procedurezd2appz00zzcfa_info2z00))
																										{	/* Cfa/closure.scm 211 */
																											bool_t BgL_testz00_4257;

																											{
																												BgL_makezd2procedurezd2appz00_bglt
																													BgL_auxz00_4258;
																												{
																													obj_t BgL_auxz00_4259;

																													{	/* Cfa/closure.scm 211 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_4260;
																														BgL_tmpz00_4260 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_appz00_bglt)
																																BgL_allocz00_2768));
																														BgL_auxz00_4259 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_4260);
																													}
																													BgL_auxz00_4258 =
																														(
																														(BgL_makezd2procedurezd2appz00_bglt)
																														BgL_auxz00_4259);
																												}
																												BgL_testz00_4257 =
																													(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_4258))->BgL_tz00);
																											}
																											if (BgL_testz00_4257)
																												{	/* Cfa/closure.scm 211 */
																													{
																														BgL_makezd2procedurezd2appz00_bglt
																															BgL_auxz00_4266;
																														{
																															obj_t
																																BgL_auxz00_4267;
																															{	/* Cfa/closure.scm 212 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_4268;
																																BgL_tmpz00_4268
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	((BgL_appz00_bglt) BgL_allocz00_2768));
																																BgL_auxz00_4267
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_tmpz00_4268);
																															}
																															BgL_auxz00_4266 =
																																(
																																(BgL_makezd2procedurezd2appz00_bglt)
																																BgL_auxz00_4267);
																														}
																														((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_4266))->BgL_tz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																													}
																													BgL_continuezf3zf3_2748
																														= ((bool_t) 1);
																												}
																											else
																												{	/* Cfa/closure.scm 211 */
																													BFALSE;
																												}
																										}
																									else
																										{	/* Cfa/closure.scm 209 */
																											BFALSE;
																										}
																								}
																								{
																									obj_t BgL_l1499z00_4274;

																									BgL_l1499z00_4274 =
																										CDR(BgL_l1499z00_2765);
																									BgL_l1499z00_2765 =
																										BgL_l1499z00_4274;
																									goto
																										BgL_zc3anonymousza31643ze3z83_2766;
																								}
																							}
																						else
																							{	/* Cfa/closure.scm 207 */
																								BgL_tmpz00_4251 = ((bool_t) 1);
																							}
																						BBOOL(BgL_tmpz00_4251);
																					}
																				}
																			else
																				{	/* Cfa/closure.scm 215 */
																					bool_t BgL_testz00_4277;

																					{	/* Cfa/closure.scm 215 */
																						obj_t BgL_arg1660z00_2780;

																						BgL_arg1660z00_2780 =
																							CAR(BgL_allocsz00_2761);
																						BgL_testz00_4277 =
																							BGl_isazf3zf3zz__objectz00
																							(BgL_arg1660z00_2780,
																							BGl_makezd2procedurezd2appz00zzcfa_info2z00);
																					}
																					if (BgL_testz00_4277)
																						{	/* Cfa/closure.scm 216 */
																							BgL_appz00_bglt BgL_i1159z00_2776;

																							BgL_i1159z00_2776 =
																								((BgL_appz00_bglt)
																								CAR(BgL_allocsz00_2761));
																							{	/* Cfa/closure.scm 217 */
																								bool_t BgL_testz00_4282;

																								{
																									BgL_makezd2procedurezd2appz00_bglt
																										BgL_auxz00_4283;
																									{
																										obj_t BgL_auxz00_4284;

																										{	/* Cfa/closure.scm 217 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_4285;
																											BgL_tmpz00_4285 =
																												((BgL_objectz00_bglt)
																												BgL_i1159z00_2776);
																											BgL_auxz00_4284 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_4285);
																										}
																										BgL_auxz00_4283 =
																											(
																											(BgL_makezd2procedurezd2appz00_bglt)
																											BgL_auxz00_4284);
																									}
																									BgL_testz00_4282 =
																										(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_4283))->BgL_tz00);
																								}
																								if (BgL_testz00_4282)
																									{
																										obj_t BgL_allocsz00_4290;

																										BgL_allocsz00_4290 =
																											CDR(BgL_allocsz00_2761);
																										BgL_allocsz00_2761 =
																											BgL_allocsz00_4290;
																										goto
																											BgL_zc3anonymousza31641ze3z83_2762;
																									}
																								else
																									{
																										bool_t
																											BgL_onezd2nonzd2tzf3zf3_4292;
																										BgL_onezd2nonzd2tzf3zf3_4292
																											= ((bool_t) 1);
																										BgL_onezd2nonzd2tzf3zf3_2760
																											=
																											BgL_onezd2nonzd2tzf3zf3_4292;
																										goto
																											BgL_zc3anonymousza31641ze3z83_2762;
																									}
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 215 */
																							if (CBOOL
																								(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
																								{
																									obj_t BgL_allocsz00_4295;

																									BgL_allocsz00_4295 =
																										CDR(BgL_allocsz00_2761);
																									BgL_allocsz00_2761 =
																										BgL_allocsz00_4295;
																									goto
																										BgL_zc3anonymousza31641ze3z83_2762;
																								}
																							else
																								{
																									bool_t
																										BgL_onezd2nonzd2tzf3zf3_4297;
																									BgL_onezd2nonzd2tzf3zf3_4297 =
																										((bool_t) 1);
																									BgL_onezd2nonzd2tzf3zf3_2760 =
																										BgL_onezd2nonzd2tzf3zf3_4297;
																									goto
																										BgL_zc3anonymousza31641ze3z83_2762;
																								}
																						}
																				}
																		}
																}
															}
														}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l1501z00_4298;

										BgL_l1501z00_4298 = CDR(BgL_l1501z00_2750);
										BgL_l1501z00_2750 = BgL_l1501z00_4298;
										goto BgL_zc3anonymousza31639ze3z83_2751;
									}
								}
							else
								{	/* Cfa/closure.scm 188 */
									((bool_t) 1);
								}
						}
						{
							bool_t BgL_continuezf3zf3_4300;

							BgL_continuezf3zf3_4300 = BgL_continuezf3zf3_2748;
							BgL_continuezf3zf3_2746 = BgL_continuezf3zf3_4300;
							goto BgL_zc3anonymousza31638ze3z83_2747;
						}
					}
				else
					{	/* Cfa/closure.scm 185 */
						return BUNSPEC;
					}
			}
		}
	}



/* light-make-procedure! */
	bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 251 */
			{
				obj_t BgL_appz00_2835;
				obj_t BgL_appz00_2805;

				{
					obj_t BgL_l1503z00_2796;

					BgL_l1503z00_2796 =
						BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
				BgL_zc3anonymousza31667ze3z83_2797:
					if (PAIRP(BgL_l1503z00_2796))
						{	/* Cfa/closure.scm 293 */
							{	/* Cfa/closure.scm 294 */
								obj_t BgL_appz00_2799;

								BgL_appz00_2799 = CAR(BgL_l1503z00_2796);
								{	/* Cfa/closure.scm 296 */
									bool_t BgL_testz00_4304;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4305;

										{
											obj_t BgL_auxz00_4306;

											{	/* Cfa/closure.scm 296 */
												BgL_objectz00_bglt BgL_tmpz00_4307;

												BgL_tmpz00_4307 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt) BgL_appz00_2799));
												BgL_auxz00_4306 = BGL_OBJECT_WIDENING(BgL_tmpz00_4307);
											}
											BgL_auxz00_4305 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4306);
										}
										BgL_testz00_4304 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												CREF(BgL_auxz00_4305))->BgL_xz00);
									}
									if (BgL_testz00_4304)
										{	/* Cfa/closure.scm 296 */
											BgL_appz00_2805 = BgL_appz00_2799;
											{	/* Cfa/closure.scm 255 */
												obj_t BgL_siza7eza7_2808;

												{	/* Cfa/closure.scm 255 */
													obj_t BgL_arg1730z00_2832;

													{	/* Cfa/closure.scm 255 */
														obj_t BgL_pairz00_3714;

														BgL_pairz00_3714 =
															(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_appz00_2805))))->
															BgL_argsz00);
														BgL_arg1730z00_2832 =
															CAR(CDR(CDR(BgL_pairz00_3714)));
													}
													BgL_siza7eza7_2808 =
														BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
														((BgL_nodez00_bglt) BgL_arg1730z00_2832));
												}
												{	/* Cfa/closure.scm 255 */
													BgL_variablez00_bglt BgL_ffunz00_2809;

													{
														BgL_varz00_bglt BgL_auxz00_4321;

														{	/* Cfa/closure.scm 256 */
															obj_t BgL_pairz00_3720;

															BgL_pairz00_3720 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_appz00_2805))))->
																BgL_argsz00);
															BgL_auxz00_4321 =
																((BgL_varz00_bglt) CAR(BgL_pairz00_3720));
														}
														BgL_ffunz00_2809 =
															(((BgL_varz00_bglt) CREF(BgL_auxz00_4321))->
															BgL_variablez00);
													}
													{	/* Cfa/closure.scm 256 */
														BgL_valuez00_bglt BgL_sfunz00_2810;

														BgL_sfunz00_2810 =
															(((BgL_variablez00_bglt) CREF(BgL_ffunz00_2809))->
															BgL_valuez00);
														{	/* Cfa/closure.scm 257 */

															if (
																((long) CINT(BgL_siza7eza7_2808) < ((long) 1)))
																{	/* Cfa/closure.scm 259 */
																	{	/* Cfa/closure.scm 260 */
																		bool_t BgL_testz00_4332;

																		{	/* Cfa/closure.scm 260 */
																			bool_t BgL_testz00_4333;

																			{	/* Cfa/closure.scm 260 */
																				bool_t BgL_res2142z00_3725;

																				BgL_res2142z00_3725 =
																					BGl_isazf3zf3zz__objectz00(
																					((obj_t) BgL_ffunz00_2809),
																					BGl_globalz00zzast_varz00);
																				BgL_testz00_4333 = BgL_res2142z00_3725;
																			}
																			if (BgL_testz00_4333)
																				{	/* Cfa/closure.scm 261 */
																					bool_t BgL_testz00_4336;

																					{	/* Cfa/closure.scm 261 */
																						obj_t BgL_arg1716z00_2825;

																						BgL_arg1716z00_2825 =
																							(((BgL_funz00_bglt) CREF(
																									((BgL_funz00_bglt)
																										((BgL_sfunz00_bglt)
																											BgL_sfunz00_2810))))->
																							BgL_thezd2closurezd2);
																						BgL_testz00_4336 =
																							BGl_isazf3zf3zz__objectz00
																							(BgL_arg1716z00_2825,
																							BGl_globalz00zzast_varz00);
																					}
																					if (BgL_testz00_4336)
																						{	/* Cfa/closure.scm 262 */
																							BgL_valuez00_bglt
																								BgL_arg1713z00_2823;
																							BgL_arg1713z00_2823 =
																								(((BgL_variablez00_bglt)
																									CREF(((BgL_variablez00_bglt) (
																												(BgL_globalz00_bglt) ((
																														(BgL_funz00_bglt)
																														CREF((
																																(BgL_funz00_bglt)
																																((BgL_sfunz00_bglt) BgL_sfunz00_2810))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																							{	/* Cfa/closure.scm 262 */
																								bool_t BgL_res2144z00_3730;

																								BgL_res2144z00_3730 =
																									BGl_isazf3zf3zz__objectz00(
																									((obj_t) BgL_arg1713z00_2823),
																									BGl_scnstz00zzast_varz00);
																								BgL_testz00_4332 =
																									BgL_res2144z00_3730;
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 261 */
																							BgL_testz00_4332 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 260 */
																					BgL_testz00_4332 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_4332)
																			{	/* Cfa/closure.scm 263 */
																				BgL_valuez00_bglt BgL_arg1694z00_2819;

																				BgL_arg1694z00_2819 =
																					(((BgL_variablez00_bglt) CREF(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									(((BgL_funz00_bglt) CREF(
																												((BgL_funz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_sfunz00_2810))))->
																										BgL_thezd2closurezd2)))))->
																					BgL_valuez00);
																				{	/* Cfa/closure.scm 263 */
																					obj_t BgL_vz00_3734;

																					BgL_vz00_3734 =
																						CNST_TABLE_REF(((long) 6));
																					((((BgL_scnstz00_bglt) CREF(
																									((BgL_scnstz00_bglt)
																										BgL_arg1694z00_2819)))->
																							BgL_classz00) =
																						((obj_t) BgL_vz00_3734), BUNSPEC);
																			}}
																		else
																			{	/* Cfa/closure.scm 260 */
																				BFALSE;
																			}
																	}
																	{	/* Cfa/closure.scm 265 */
																		BgL_varz00_bglt BgL_arg1720z00_2826;

																		BgL_arg1720z00_2826 =
																			(((BgL_appz00_bglt) CREF(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2805))))->BgL_funz00);
																		{	/* Cfa/closure.scm 265 */
																			BgL_variablez00_bglt BgL_vz00_3736;

																			BgL_vz00_3736 =
																				((BgL_variablez00_bglt)
																				BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						CREF(BgL_arg1720z00_2826))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_3736),
																				BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 266 */
																		BgL_varz00_bglt BgL_arg1724z00_2827;

																		BgL_arg1724z00_2827 =
																			(((BgL_appz00_bglt) CREF(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2805))))->BgL_funz00);
																		{	/* Cfa/closure.scm 266 */
																			BgL_typez00_bglt BgL_vz00_3738;

																			BgL_vz00_3738 =
																				((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00);
																			((((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_arg1724z00_2827)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_3738),
																				BUNSPEC);
																		}
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2805))))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																		BUNSPEC);
																}
															else
																{	/* Cfa/closure.scm 259 */
																	{	/* Cfa/closure.scm 269 */
																		BgL_varz00_bglt BgL_arg1725z00_2828;

																		BgL_arg1725z00_2828 =
																			(((BgL_appz00_bglt) CREF(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2805))))->BgL_funz00);
																		{	/* Cfa/closure.scm 269 */
																			BgL_variablez00_bglt BgL_vz00_3740;

																			BgL_vz00_3740 =
																				((BgL_variablez00_bglt)
																				BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						CREF(BgL_arg1725z00_2828))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_3740),
																				BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 270 */
																		BgL_varz00_bglt BgL_arg1726z00_2829;

																		BgL_arg1726z00_2829 =
																			(((BgL_appz00_bglt) CREF(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2805))))->BgL_funz00);
																		{	/* Cfa/closure.scm 270 */
																			BgL_typez00_bglt BgL_vz00_3742;

																			BgL_vz00_3742 =
																				((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00);
																			((((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_arg1726z00_2829)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_3742),
																				BUNSPEC);
																		}
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2805))))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																		BUNSPEC);
																}
														}
													}
												}
											}
											{
												obj_t BgL_auxz00_4388;

												{	/* Cfa/closure.scm 272 */
													obj_t BgL_pairz00_3743;

													BgL_pairz00_3743 =
														(((BgL_appz00_bglt) CREF(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_2805))))->
														BgL_argsz00);
													{	/* Cfa/closure.scm 272 */
														obj_t BgL_pairz00_3746;

														BgL_pairz00_3746 = CDR(BgL_pairz00_3743);
														BgL_auxz00_4388 = CDR(BgL_pairz00_3746);
													}
												}
												((((BgL_appz00_bglt) CREF(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_2805))))->
														BgL_argsz00) = ((obj_t) BgL_auxz00_4388), BUNSPEC);
											}
											BgL_appz00_2805;
										}
									else
										{	/* Cfa/closure.scm 297 */
											bool_t BgL_testz00_4397;

											{
												BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4398;

												{
													obj_t BgL_auxz00_4399;

													{	/* Cfa/closure.scm 297 */
														BgL_objectz00_bglt BgL_tmpz00_4400;

														BgL_tmpz00_4400 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt) BgL_appz00_2799));
														BgL_auxz00_4399 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4400);
													}
													BgL_auxz00_4398 =
														((BgL_makezd2procedurezd2appz00_bglt)
														BgL_auxz00_4399);
												}
												BgL_testz00_4397 =
													(((BgL_makezd2procedurezd2appz00_bglt)
														CREF(BgL_auxz00_4398))->BgL_tz00);
											}
											if (BgL_testz00_4397)
												{	/* Cfa/closure.scm 297 */
													BgL_appz00_2835 = BgL_appz00_2799;
													{	/* Cfa/closure.scm 277 */
														obj_t BgL_siza7eza7_2838;

														{	/* Cfa/closure.scm 277 */
															obj_t BgL_arg1756z00_2862;

															{	/* Cfa/closure.scm 277 */
																obj_t BgL_pairz00_3747;

																BgL_pairz00_3747 =
																	(((BgL_appz00_bglt) CREF(
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_appz00_2835))))->
																	BgL_argsz00);
																BgL_arg1756z00_2862 =
																	CAR(CDR(CDR(BgL_pairz00_3747)));
															}
															BgL_siza7eza7_2838 =
																BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
																((BgL_nodez00_bglt) BgL_arg1756z00_2862));
														}
														{	/* Cfa/closure.scm 277 */
															BgL_variablez00_bglt BgL_ffunz00_2839;

															{
																BgL_varz00_bglt BgL_auxz00_4414;

																{	/* Cfa/closure.scm 278 */
																	obj_t BgL_pairz00_3753;

																	BgL_pairz00_3753 =
																		(((BgL_appz00_bglt) CREF(
																				((BgL_appz00_bglt)
																					((BgL_appz00_bglt)
																						BgL_appz00_2835))))->BgL_argsz00);
																	BgL_auxz00_4414 =
																		((BgL_varz00_bglt) CAR(BgL_pairz00_3753));
																}
																BgL_ffunz00_2839 =
																	(((BgL_varz00_bglt) CREF(BgL_auxz00_4414))->
																	BgL_variablez00);
															}
															{	/* Cfa/closure.scm 278 */
																BgL_valuez00_bglt BgL_sfunz00_2840;

																BgL_sfunz00_2840 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_ffunz00_2839))->BgL_valuez00);
																{	/* Cfa/closure.scm 279 */

																	{	/* Cfa/closure.scm 280 */
																		bool_t BgL_testz00_4422;

																		{	/* Cfa/closure.scm 280 */
																			bool_t BgL_testz00_4423;

																			{	/* Cfa/closure.scm 280 */
																				bool_t BgL_res2145z00_3756;

																				BgL_res2145z00_3756 =
																					BGl_isazf3zf3zz__objectz00(
																					((obj_t) BgL_ffunz00_2839),
																					BGl_globalz00zzast_varz00);
																				BgL_testz00_4423 = BgL_res2145z00_3756;
																			}
																			if (BgL_testz00_4423)
																				{	/* Cfa/closure.scm 281 */
																					bool_t BgL_testz00_4426;

																					{	/* Cfa/closure.scm 281 */
																						obj_t BgL_arg1748z00_2854;

																						BgL_arg1748z00_2854 =
																							(((BgL_funz00_bglt) CREF(
																									((BgL_funz00_bglt)
																										((BgL_sfunz00_bglt)
																											BgL_sfunz00_2840))))->
																							BgL_thezd2closurezd2);
																						BgL_testz00_4426 =
																							BGl_isazf3zf3zz__objectz00
																							(BgL_arg1748z00_2854,
																							BGl_globalz00zzast_varz00);
																					}
																					if (BgL_testz00_4426)
																						{	/* Cfa/closure.scm 282 */
																							BgL_valuez00_bglt
																								BgL_arg1746z00_2852;
																							BgL_arg1746z00_2852 =
																								(((BgL_variablez00_bglt)
																									CREF(((BgL_variablez00_bglt) (
																												(BgL_globalz00_bglt) ((
																														(BgL_funz00_bglt)
																														CREF((
																																(BgL_funz00_bglt)
																																((BgL_sfunz00_bglt) BgL_sfunz00_2840))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																							{	/* Cfa/closure.scm 282 */
																								bool_t BgL_res2147z00_3761;

																								BgL_res2147z00_3761 =
																									BGl_isazf3zf3zz__objectz00(
																									((obj_t) BgL_arg1746z00_2852),
																									BGl_scnstz00zzast_varz00);
																								BgL_testz00_4422 =
																									BgL_res2147z00_3761;
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 281 */
																							BgL_testz00_4422 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 280 */
																					BgL_testz00_4422 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_4422)
																			{	/* Cfa/closure.scm 283 */
																				BgL_valuez00_bglt BgL_arg1743z00_2848;

																				BgL_arg1743z00_2848 =
																					(((BgL_variablez00_bglt) CREF(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									(((BgL_funz00_bglt) CREF(
																												((BgL_funz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_sfunz00_2840))))->
																										BgL_thezd2closurezd2)))))->
																					BgL_valuez00);
																				{	/* Cfa/closure.scm 283 */
																					obj_t BgL_vz00_3765;

																					BgL_vz00_3765 =
																						CNST_TABLE_REF(((long) 7));
																					((((BgL_scnstz00_bglt) CREF(
																									((BgL_scnstz00_bglt)
																										BgL_arg1743z00_2848)))->
																							BgL_classz00) =
																						((obj_t) BgL_vz00_3765), BUNSPEC);
																			}}
																		else
																			{	/* Cfa/closure.scm 280 */
																				BFALSE;
																			}
																	}
																	{	/* Cfa/closure.scm 285 */
																		BgL_varz00_bglt BgL_arg1749z00_2855;

																		BgL_arg1749z00_2855 =
																			(((BgL_appz00_bglt) CREF(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2835))))->BgL_funz00);
																		{	/* Cfa/closure.scm 285 */
																			BgL_variablez00_bglt BgL_vz00_3767;

																			BgL_vz00_3767 =
																				((BgL_variablez00_bglt)
																				BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						CREF(BgL_arg1749z00_2855))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_3767),
																				BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 287 */
																		BgL_varz00_bglt BgL_arg1750z00_2856;

																		BgL_arg1750z00_2856 =
																			(((BgL_appz00_bglt) CREF(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2835))))->BgL_funz00);
																		{	/* Cfa/closure.scm 287 */
																			BgL_typez00_bglt BgL_vz00_3769;

																			BgL_vz00_3769 =
																				((BgL_typez00_bglt)
																				BGl_za2procedureza2z00zztype_cachez00);
																			((((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_arg1750z00_2856)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_3769),
																				BUNSPEC);
																		}
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2835))))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2procedureza2z00zztype_cachez00)),
																		BUNSPEC);
																	{	/* Cfa/closure.scm 289 */
																		obj_t BgL_arg1751z00_2857;
																		obj_t BgL_arg1752z00_2858;

																		BgL_arg1751z00_2857 =
																			(((BgL_appz00_bglt) CREF(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2835))))->BgL_argsz00);
																		{	/* Cfa/closure.scm 289 */
																			obj_t BgL_pairz00_3770;

																			BgL_pairz00_3770 =
																				(((BgL_appz00_bglt) CREF(
																						((BgL_appz00_bglt)
																							((BgL_appz00_bglt)
																								BgL_appz00_2835))))->
																				BgL_argsz00);
																			BgL_arg1752z00_2858 =
																				CDR(CDR(BgL_pairz00_3770));
																		}
																		SET_CDR(BgL_arg1751z00_2857,
																			BgL_arg1752z00_2858);
																	}
																	BgL_appz00_2835;
																}
															}
														}
													}
												}
											else
												{	/* Cfa/closure.scm 297 */
													BFALSE;
												}
										}
								}
							}
							{
								obj_t BgL_l1503z00_4472;

								BgL_l1503z00_4472 = CDR(BgL_l1503z00_2796);
								BgL_l1503z00_2796 = BgL_l1503z00_4472;
								goto BgL_zc3anonymousza31667ze3z83_2797;
							}
						}
					else
						{	/* Cfa/closure.scm 293 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* light-funcall! */
	bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 303 */
			{
				obj_t BgL_l1510z00_2867;

				BgL_l1510z00_2867 = BGl_za2funcallzd2listza2zd2zzcfa_closurez00;
			BgL_zc3anonymousza31758ze3z83_2868:
				if (PAIRP(BgL_l1510z00_2867))
					{	/* Cfa/closure.scm 307 */
						{	/* Cfa/closure.scm 308 */
							BgL_funcallz00_bglt BgL_appz00_2870;

							BgL_appz00_2870 = ((BgL_funcallz00_bglt) CAR(BgL_l1510z00_2867));
							{	/* Cfa/closure.scm 309 */
								BgL_nodez00_bglt BgL_funz00_2871;

								BgL_funz00_2871 =
									(((BgL_funcallz00_bglt) CREF(BgL_appz00_2870))->BgL_funz00);
								{	/* Cfa/closure.scm 309 */
									BgL_approxz00_bglt BgL_approxz00_2872;

									BgL_approxz00_2872 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2871);
									{	/* Cfa/closure.scm 310 */
										obj_t BgL_alloczd2listzd2_2873;

										BgL_alloczd2listzd2_2873 =
											BGl_setzd2ze3listz31zzcfa_setz00(
											(((BgL_approxz00_bglt) CREF(BgL_approxz00_2872))->
												BgL_allocsz00));
										{	/* Cfa/closure.scm 311 */

											{	/* Cfa/closure.scm 312 */
												bool_t BgL_testz00_4482;

												if (PAIRP(BgL_alloczd2listzd2_2873))
													{	/* Cfa/closure.scm 313 */
														bool_t BgL_testz00_4485;

														{	/* Cfa/closure.scm 313 */
															obj_t BgL_arg1794z00_2918;

															BgL_arg1794z00_2918 =
																CAR(BgL_alloczd2listzd2_2873);
															BgL_testz00_4485 =
																BGl_isazf3zf3zz__objectz00(BgL_arg1794z00_2918,
																BGl_makezd2procedurezd2appz00zzcfa_info2z00);
														}
														if (BgL_testz00_4485)
															{	/* Cfa/closure.scm 313 */
																BgL_testz00_4482 = ((bool_t) 0);
															}
														else
															{	/* Cfa/closure.scm 313 */
																BgL_testz00_4482 = ((bool_t) 1);
															}
													}
												else
													{	/* Cfa/closure.scm 312 */
														BgL_testz00_4482 = ((bool_t) 1);
													}
												if (BgL_testz00_4482)
													{	/* Cfa/closure.scm 312 */
														CNST_TABLE_REF(((long) 8));
													}
												else
													{	/* Cfa/closure.scm 317 */
														BgL_appz00_bglt BgL_allocz00_2879;

														BgL_allocz00_2879 =
															((BgL_appz00_bglt) CAR(BgL_alloczd2listzd2_2873));
														{	/* Cfa/closure.scm 320 */
															bool_t BgL_testz00_4491;

															{
																BgL_makezd2procedurezd2appz00_bglt
																	BgL_auxz00_4492;
																{
																	obj_t BgL_auxz00_4493;

																	{	/* Cfa/closure.scm 320 */
																		BgL_objectz00_bglt BgL_tmpz00_4494;

																		BgL_tmpz00_4494 =
																			((BgL_objectz00_bglt)
																			((BgL_appz00_bglt) BgL_allocz00_2879));
																		BgL_auxz00_4493 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4494);
																	}
																	BgL_auxz00_4492 =
																		((BgL_makezd2procedurezd2appz00_bglt)
																		BgL_auxz00_4493);
																}
																BgL_testz00_4491 =
																	(((BgL_makezd2procedurezd2appz00_bglt)
																		CREF(BgL_auxz00_4492))->BgL_xz00);
															}
															if (BgL_testz00_4491)
																{	/* Cfa/closure.scm 320 */
																	{	/* Cfa/closure.scm 325 */
																		BgL_varz00_bglt BgL_arg1768z00_2882;

																		{	/* Cfa/closure.scm 325 */
																			BgL_nodez00_bglt
																				BgL_duplicated1167z00_2883;
																			BgL_varz00_bglt BgL_new1165z00_2884;

																			{	/* Cfa/closure.scm 325 */
																				obj_t BgL_pairz00_3786;

																				BgL_pairz00_3786 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								((BgL_appz00_bglt)
																									BgL_allocz00_2879))))->
																					BgL_argsz00);
																				BgL_duplicated1167z00_2883 =
																					((BgL_nodez00_bglt)
																					CAR(BgL_pairz00_3786));
																			}
																			{	/* Cfa/closure.scm 326 */
																				BgL_varz00_bglt BgL_new1169z00_2894;

																				BgL_new1169z00_2894 =
																					((BgL_varz00_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_varz00_bgl))));
																				{	/* Cfa/closure.scm 326 */
																					long BgL_arg1780z00_2895;

																					{	/* Cfa/closure.scm 326 */
																						long BgL_res2152z00_3788;

																						BgL_res2152z00_3788 =
																							BGL_CLASS_INDEX
																							(BGl_varz00zzast_nodez00);
																						BgL_arg1780z00_2895 =
																							BgL_res2152z00_3788;
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1169z00_2894),
																						BgL_arg1780z00_2895);
																				}
																				BgL_new1165z00_2884 =
																					BgL_new1169z00_2894;
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_new1165z00_2884)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_nodez00_bglt)
																							CREF
																							(BgL_duplicated1167z00_2883))->
																						BgL_locz00)), BUNSPEC);
																			{
																				BgL_typez00_bglt BgL_auxz00_4512;

																				{	/* Cfa/closure.scm 327 */
																					obj_t BgL_arg1770z00_2885;
																					BgL_typez00_bglt BgL_arg1773z00_2886;

																					{	/* Cfa/closure.scm 327 */
																						BgL_approxz00_bglt
																							BgL_arg1774z00_2887;
																						obj_t BgL_arg1775z00_2888;

																						{
																							BgL_makezd2procedurezd2appz00_bglt
																								BgL_auxz00_4514;
																							{
																								obj_t BgL_auxz00_4515;

																								{	/* Cfa/closure.scm 327 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_4516;
																									BgL_tmpz00_4516 =
																										((BgL_objectz00_bglt) (
																											(BgL_appz00_bglt)
																											BgL_allocz00_2879));
																									BgL_auxz00_4515 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_4516);
																								}
																								BgL_auxz00_4514 =
																									(
																									(BgL_makezd2procedurezd2appz00_bglt)
																									BgL_auxz00_4515);
																							}
																							BgL_arg1774z00_2887 =
																								(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_4514))->BgL_approxz00);
																						}
																						{	/* Cfa/closure.scm 327 */
																							obj_t BgL_pairz00_3791;

																							BgL_pairz00_3791 =
																								(((BgL_appz00_bglt) CREF(
																										((BgL_appz00_bglt)
																											((BgL_appz00_bglt)
																												BgL_allocz00_2879))))->
																								BgL_argsz00);
																							BgL_arg1775z00_2888 =
																								CAR(BgL_pairz00_3791);
																						}
																						BgL_arg1770z00_2885 =
																							BGl_getzd2approxzd2typez00zzcfa_typez00
																							(BgL_arg1774z00_2887,
																							BgL_arg1775z00_2888);
																					}
																					{
																						BgL_nodez00_bglt BgL_auxz00_4527;

																						{
																							BgL_varz00_bglt BgL_auxz00_4528;

																							{	/* Cfa/closure.scm 328 */
																								obj_t BgL_pairz00_3792;

																								BgL_pairz00_3792 =
																									(((BgL_appz00_bglt) CREF(
																											((BgL_appz00_bglt)
																												((BgL_appz00_bglt)
																													BgL_allocz00_2879))))->
																									BgL_argsz00);
																								BgL_auxz00_4528 =
																									((BgL_varz00_bglt)
																									CAR(BgL_pairz00_3792));
																							}
																							BgL_auxz00_4527 =
																								((BgL_nodez00_bglt)
																								BgL_auxz00_4528);
																						}
																						BgL_arg1773z00_2886 =
																							(((BgL_nodez00_bglt)
																								CREF(BgL_auxz00_4527))->
																							BgL_typez00);
																					}
																					BgL_auxz00_4512 =
																						BGl_strictzd2nodezd2typez00zzast_nodez00
																						(((BgL_typez00_bglt)
																							BgL_arg1770z00_2885),
																						BgL_arg1773z00_2886);
																				}
																				((((BgL_nodez00_bglt) CREF(
																								((BgL_nodez00_bglt)
																									BgL_new1165z00_2884)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_auxz00_4512),
																					BUNSPEC);
																			}
																			((((BgL_varz00_bglt)
																						CREF(BgL_new1165z00_2884))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) ((
																							(BgL_varz00_bglt)
																							CREF(((BgL_varz00_bglt)
																									BgL_duplicated1167z00_2883)))->
																						BgL_variablez00)), BUNSPEC);
																			BgL_arg1768z00_2882 = BgL_new1165z00_2884;
																		}
																		((((BgL_funcallz00_bglt)
																					CREF(BgL_appz00_2870))->BgL_funz00) =
																			((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																					BgL_arg1768z00_2882)), BUNSPEC);
																	}
																	{	/* Cfa/closure.scm 329 */
																		obj_t BgL_arg1781z00_2896;

																		{	/* Cfa/closure.scm 329 */
																			obj_t BgL_arg1782z00_2897;

																			{	/* Cfa/closure.scm 329 */
																				obj_t BgL_pairz00_3796;

																				BgL_pairz00_3796 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								((BgL_appz00_bglt)
																									BgL_allocz00_2879))))->
																					BgL_argsz00);
																				BgL_arg1782z00_2897 =
																					CAR(BgL_pairz00_3796);
																			}
																			{	/* Cfa/closure.scm 329 */
																				obj_t BgL_list1783z00_2898;

																				BgL_list1783z00_2898 =
																					MAKE_YOUNG_PAIR(BgL_arg1782z00_2897,
																					BNIL);
																				BgL_arg1781z00_2896 =
																					BgL_list1783z00_2898;
																		}}
																		((((BgL_funcallz00_bglt)
																					CREF(BgL_appz00_2870))->
																				BgL_functionsz00) =
																			((obj_t) BgL_arg1781z00_2896), BUNSPEC);
																	}
																	{	/* Cfa/closure.scm 330 */
																		obj_t BgL_vz00_3800;

																		BgL_vz00_3800 = CNST_TABLE_REF(((long) 1));
																		((((BgL_funcallz00_bglt)
																					CREF(BgL_appz00_2870))->
																				BgL_strengthz00) =
																			((obj_t) BgL_vz00_3800), BUNSPEC);
																}}
															else
																{	/* Cfa/closure.scm 331 */
																	bool_t BgL_testz00_4552;

																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_4553;
																		{
																			obj_t BgL_auxz00_4554;

																			{	/* Cfa/closure.scm 331 */
																				BgL_objectz00_bglt BgL_tmpz00_4555;

																				BgL_tmpz00_4555 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt)
																						BgL_allocz00_2879));
																				BgL_auxz00_4554 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_4555);
																			}
																			BgL_auxz00_4553 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_4554);
																		}
																		BgL_testz00_4552 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				CREF(BgL_auxz00_4553))->BgL_tz00);
																	}
																	if (BgL_testz00_4552)
																		{	/* Cfa/closure.scm 331 */
																			{	/* Cfa/closure.scm 334 */
																				obj_t BgL_fz00_2901;

																				if (NULLP(BgL_alloczd2listzd2_2873))
																					{	/* Cfa/closure.scm 334 */
																						BgL_fz00_2901 = BNIL;
																					}
																				else
																					{	/* Cfa/closure.scm 334 */
																						obj_t BgL_head1507z00_2904;

																						{	/* Cfa/closure.scm 334 */
																							obj_t BgL_res2155z00_3802;

																							BgL_res2155z00_3802 =
																								MAKE_YOUNG_PAIR(BNIL, BNIL);
																							BgL_head1507z00_2904 =
																								BgL_res2155z00_3802;
																						}
																						{
																							obj_t BgL_l1505z00_2906;
																							obj_t BgL_tail1508z00_2907;

																							BgL_l1505z00_2906 =
																								BgL_alloczd2listzd2_2873;
																							BgL_tail1508z00_2907 =
																								BgL_head1507z00_2904;
																						BgL_zc3anonymousza31788ze3z83_2908:
																							if (NULLP(BgL_l1505z00_2906))
																								{	/* Cfa/closure.scm 334 */
																									BgL_fz00_2901 =
																										CDR(BgL_head1507z00_2904);
																								}
																							else
																								{	/* Cfa/closure.scm 334 */
																									obj_t BgL_newtail1509z00_2910;

																									{	/* Cfa/closure.scm 334 */
																										obj_t BgL_arg1791z00_2912;

																										{	/* Cfa/closure.scm 335 */
																											obj_t BgL_pairz00_3807;

																											BgL_pairz00_3807 =
																												(((BgL_appz00_bglt)
																													CREF((
																															(BgL_appz00_bglt)
																															((BgL_appz00_bglt)
																																CAR
																																(BgL_l1505z00_2906)))))->
																												BgL_argsz00);
																											BgL_arg1791z00_2912 =
																												CAR(BgL_pairz00_3807);
																										}
																										{	/* Cfa/closure.scm 334 */
																											obj_t BgL_res2157z00_3808;

																											BgL_res2157z00_3808 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1791z00_2912,
																												BNIL);
																											BgL_newtail1509z00_2910 =
																												BgL_res2157z00_3808;
																										}
																									}
																									SET_CDR(BgL_tail1508z00_2907,
																										BgL_newtail1509z00_2910);
																									{
																										obj_t BgL_tail1508z00_4576;
																										obj_t BgL_l1505z00_4574;

																										BgL_l1505z00_4574 =
																											CDR(BgL_l1505z00_2906);
																										BgL_tail1508z00_4576 =
																											BgL_newtail1509z00_2910;
																										BgL_tail1508z00_2907 =
																											BgL_tail1508z00_4576;
																										BgL_l1505z00_2906 =
																											BgL_l1505z00_4574;
																										goto
																											BgL_zc3anonymousza31788ze3z83_2908;
																									}
																								}
																						}
																					}
																				((((BgL_funcallz00_bglt)
																							CREF(BgL_appz00_2870))->
																						BgL_functionsz00) =
																					((obj_t) BgL_fz00_2901), BUNSPEC);
																				{	/* Cfa/closure.scm 338 */
																					obj_t BgL_vz00_3813;

																					BgL_vz00_3813 =
																						CNST_TABLE_REF(((long) 2));
																					((((BgL_funcallz00_bglt)
																								CREF(BgL_appz00_2870))->
																							BgL_strengthz00) =
																						((obj_t) BgL_vz00_3813), BUNSPEC);
																		}}}
																	else
																		{	/* Cfa/closure.scm 331 */
																			CNST_TABLE_REF(((long) 8));
						}}}}}}}}}}
						{
							obj_t BgL_l1510z00_4581;

							BgL_l1510z00_4581 = CDR(BgL_l1510z00_2867);
							BgL_l1510z00_2867 = BgL_l1510z00_4581;
							goto BgL_zc3anonymousza31758ze3z83_2868;
						}
					}
				else
					{	/* Cfa/closure.scm 307 */
						((bool_t) 1);
					}
			}
			if (CBOOL
				(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
				{	/* Cfa/closure.scm 343 */
					{	/* Cfa/closure.scm 349 */
						obj_t BgL_funcallzd2lzd2_2922;

						BgL_funcallzd2lzd2_2922 =
							BGl_zc3anonymousza31813ze3ze70z64zzcfa_closurez00
							(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
						{

						BgL_zc3anonymousza31797ze3z83_2924:
							{	/* Cfa/closure.scm 353 */
								bool_t BgL_contz00_2925;

								BgL_contz00_2925 = ((bool_t) 0);
								{
									obj_t BgL_l1517z00_2927;

									BgL_l1517z00_2927 = BgL_funcallzd2lzd2_2922;
								BgL_zc3anonymousza31798ze3z83_2928:
									if (PAIRP(BgL_l1517z00_2927))
										{	/* Cfa/closure.scm 354 */
											{	/* Cfa/closure.scm 355 */
												BgL_funcallz00_bglt BgL_appz00_2930;

												BgL_appz00_2930 =
													((BgL_funcallz00_bglt) CAR(BgL_l1517z00_2927));
												{	/* Cfa/closure.scm 355 */
													BgL_nodez00_bglt BgL_funz00_2931;

													BgL_funz00_2931 =
														(((BgL_funcallz00_bglt) CREF(BgL_appz00_2930))->
														BgL_funz00);
													{	/* Cfa/closure.scm 355 */
														BgL_approxz00_bglt BgL_approxz00_2932;

														BgL_approxz00_2932 =
															BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2931);
														{	/* Cfa/closure.scm 356 */
															obj_t BgL_appsz00_2933;

															BgL_appsz00_2933 =
																BGl_setzd2ze3listz31zzcfa_setz00(
																(((BgL_approxz00_bglt)
																		CREF(BgL_approxz00_2932))->BgL_allocsz00));
															{	/* Cfa/closure.scm 357 */

																if (PAIRP(BgL_appsz00_2933))
																	{	/* Cfa/closure.scm 358 */
																		{	/* Cfa/closure.scm 359 */
																			bool_t BgL_testz00_4596;

																			{	/* Cfa/closure.scm 359 */
																				obj_t BgL_tmpz00_4597;

																				BgL_tmpz00_4597 = CDR(BgL_appsz00_2933);
																				BgL_testz00_4596 =
																					PAIRP(BgL_tmpz00_4597);
																			}
																			if (BgL_testz00_4596)
																				{	/* Cfa/closure.scm 361 */
																					bool_t BgL__ortest_1170z00_2937;

																					BgL__ortest_1170z00_2937 =
																						BGl_mergezd2appzd2typesz12z12zzcfa_closurez00
																						(BgL_appsz00_2933);
																					if (BgL__ortest_1170z00_2937)
																						{	/* Cfa/closure.scm 361 */
																							BgL_contz00_2925 =
																								BgL__ortest_1170z00_2937;
																						}
																					else
																						{	/* Cfa/closure.scm 361 */
																							BgL_contz00_2925 =
																								BgL_contz00_2925;
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 359 */
																					BFALSE;
																				}
																		}
																		{	/* Cfa/closure.scm 362 */
																			bool_t BgL_mz00_2939;

																			{	/* Cfa/closure.scm 363 */
																				BgL_approxz00_bglt BgL_arg1807z00_2941;

																				BgL_arg1807z00_2941 =
																					BGl_cfaz12z12zzcfa_cfaz00(
																					((BgL_nodez00_bglt) BgL_appz00_2930));
																				BgL_mz00_2939 =
																					BGl_mergezd2appzd2returnzd2typesz12zc0zzcfa_closurez00
																					(BgL_appsz00_2933,
																					BgL_arg1807z00_2941);
																			}
																			{	/* Cfa/closure.scm 364 */
																				bool_t BgL__ortest_1171z00_2940;

																				BgL__ortest_1171z00_2940 =
																					BgL_contz00_2925;
																				if (BgL__ortest_1171z00_2940)
																					{	/* Cfa/closure.scm 364 */
																						BgL_contz00_2925 =
																							BgL__ortest_1171z00_2940;
																					}
																				else
																					{	/* Cfa/closure.scm 364 */
																						BgL_contz00_2925 = BgL_mz00_2939;
																					}
																			}
																		}
																	}
																else
																	{	/* Cfa/closure.scm 358 */
																		BFALSE;
																	}
															}
														}
													}
												}
											}
											{
												obj_t BgL_l1517z00_4606;

												BgL_l1517z00_4606 = CDR(BgL_l1517z00_2927);
												BgL_l1517z00_2927 = BgL_l1517z00_4606;
												goto BgL_zc3anonymousza31798ze3z83_2928;
											}
										}
									else
										{	/* Cfa/closure.scm 354 */
											((bool_t) 1);
										}
								}
								if (BgL_contz00_2925)
									{	/* Cfa/closure.scm 366 */
										goto BgL_zc3anonymousza31797ze3z83_2924;
									}
								else
									{	/* Cfa/closure.scm 366 */
										return ((bool_t) 0);
									}
							}
						}
					}
				}
			else
				{	/* Cfa/closure.scm 343 */
					return ((bool_t) 0);
				}
		}
	}



/* <anonymous:1813>~0 */
	obj_t BGl_zc3anonymousza31813ze3ze70z64zzcfa_closurez00(obj_t
		BgL_lis1513z00_2947)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 349 */
		BGl_zc3anonymousza31813ze3ze70z64zzcfa_closurez00:
			if (NULLP(BgL_lis1513z00_2947))
				{	/* Cfa/closure.scm 349 */
					return BgL_lis1513z00_2947;
				}
			else
				{	/* Cfa/closure.scm 349 */
					obj_t BgL_head1514z00_2950;
					obj_t BgL_tail1515z00_2951;

					BgL_head1514z00_2950 = CAR(BgL_lis1513z00_2947);
					BgL_tail1515z00_2951 = CDR(BgL_lis1513z00_2947);
					if (
						((((BgL_funcallz00_bglt) CREF(
										((BgL_funcallz00_bglt) BgL_head1514z00_2950)))->
								BgL_strengthz00) == CNST_TABLE_REF(((long) 2))))
						{	/* Cfa/closure.scm 349 */
							obj_t BgL_newzd2tail1516zd2_2955;

							BgL_newzd2tail1516zd2_2955 =
								BGl_zc3anonymousza31813ze3ze70z64zzcfa_closurez00
								(BgL_tail1515z00_2951);
							if ((BgL_tail1515z00_2951 == BgL_newzd2tail1516zd2_2955))
								{	/* Cfa/closure.scm 349 */
									return BgL_lis1513z00_2947;
								}
							else
								{	/* Cfa/closure.scm 349 */
									obj_t BgL_res2160z00_3820;

									BgL_res2160z00_3820 =
										MAKE_YOUNG_PAIR(BgL_head1514z00_2950,
										BgL_newzd2tail1516zd2_2955);
									return BgL_res2160z00_3820;
								}
						}
					else
						{
							obj_t BgL_lis1513z00_4622;

							BgL_lis1513z00_4622 = BgL_tail1515z00_2951;
							BgL_lis1513z00_2947 = BgL_lis1513z00_4622;
							goto BGl_zc3anonymousza31813ze3ze70z64zzcfa_closurez00;
						}
				}
		}
	}



/* merge-app-return-types! */
	bool_t BGl_mergezd2appzd2returnzd2typesz12zc0zzcfa_closurez00(obj_t
		BgL_appsz00_8, BgL_approxz00_bglt BgL_approxz00_9)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 372 */
			{	/* Cfa/closure.scm 373 */
				obj_t BgL_app0z00_2960;

				BgL_app0z00_2960 = CAR(BgL_appsz00_8);
				{	/* Cfa/closure.scm 373 */
					BgL_variablez00_bglt BgL_f0z00_2961;

					{
						BgL_varz00_bglt BgL_auxz00_4624;

						{	/* Cfa/closure.scm 374 */
							obj_t BgL_pairz00_3831;

							BgL_pairz00_3831 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_app0z00_2960))))->BgL_argsz00);
							BgL_auxz00_4624 = ((BgL_varz00_bglt) CAR(BgL_pairz00_3831));
						}
						BgL_f0z00_2961 =
							(((BgL_varz00_bglt) CREF(BgL_auxz00_4624))->BgL_variablez00);
					}
					{	/* Cfa/closure.scm 374 */
						BgL_approxz00_bglt BgL_r0z00_2962;

						{
							BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4631;

							{
								obj_t BgL_auxz00_4632;

								{	/* Cfa/closure.scm 375 */
									BgL_objectz00_bglt BgL_tmpz00_4633;

									BgL_tmpz00_4633 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) CREF(BgL_f0z00_2961))->
												BgL_valuez00)));
									BgL_auxz00_4632 = BGL_OBJECT_WIDENING(BgL_tmpz00_4633);
								}
								BgL_auxz00_4631 =
									((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4632);
							}
							BgL_r0z00_2962 =
								(((BgL_internzd2sfunzf2cinfoz20_bglt) CREF(BgL_auxz00_4631))->
								BgL_approxz00);
						}
						{	/* Cfa/closure.scm 375 */
							BgL_typez00_bglt BgL_rt0z00_2963;

							BgL_rt0z00_2963 =
								(((BgL_approxz00_bglt) CREF(BgL_r0z00_2962))->BgL_typez00);
							{	/* Cfa/closure.scm 376 */
								BgL_typez00_bglt BgL_brt0z00_2964;

								BgL_brt0z00_2964 =
									BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_rt0z00_2963);
								{	/* Cfa/closure.scm 377 */
									BgL_typez00_bglt BgL_atz00_2965;

									BgL_atz00_2965 =
										(((BgL_approxz00_bglt) CREF(BgL_approxz00_9))->BgL_typez00);
									{	/* Cfa/closure.scm 378 */

										{	/* Cfa/closure.scm 379 */
											bool_t BgL_testz00_4643;

											if (
												(((obj_t) BgL_rt0z00_2963) == ((obj_t) BgL_atz00_2965)))
												{	/* Cfa/closure.scm 379 */
													BgL_testz00_4643 = ((bool_t) 1);
												}
											else
												{	/* Cfa/closure.scm 379 */
													if (BGl_bigloozd2typezf3z21zztype_typez00
														(BgL_rt0z00_2963))
														{	/* Cfa/closure.scm 379 */
															BgL_testz00_4643 =
																BGl_bigloozd2typezf3z21zztype_typez00
																(BgL_atz00_2965);
														}
													else
														{	/* Cfa/closure.scm 379 */
															BgL_testz00_4643 = ((bool_t) 0);
														}
												}
											if (BgL_testz00_4643)
												{	/* Cfa/closure.scm 379 */
													return ((bool_t) 0);
												}
											else
												{	/* Cfa/closure.scm 379 */
													((((BgL_approxz00_bglt) CREF(BgL_approxz00_9))->
															BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_approxz00_bglt)
																	CREF(BgL_r0z00_2962))->BgL_typez00)),
														BUNSPEC);
													return ((bool_t) 1);
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* merge-app-types! */
	bool_t BGl_mergezd2appzd2typesz12z12zzcfa_closurez00(obj_t BgL_apps0z00_10)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 386 */
			{
				BgL_appz00_bglt BgL_app0z00_2988;
				BgL_appz00_bglt BgL_app1z00_2989;

				{	/* Cfa/closure.scm 455 */
					obj_t BgL_g1177z00_2976;

					BgL_g1177z00_2976 = CDR(BgL_apps0z00_10);
					{
						obj_t BgL_appsz00_2978;
						bool_t BgL_contz00_2979;

						BgL_appsz00_2978 = BgL_g1177z00_2976;
						BgL_contz00_2979 = ((bool_t) 0);
					BgL_zc3anonymousza31828ze3z83_2980:
						if (NULLP(BgL_appsz00_2978))
							{	/* Cfa/closure.scm 457 */
								return BgL_contz00_2979;
							}
						else
							{	/* Cfa/closure.scm 459 */
								obj_t BgL_arg1830z00_2982;
								bool_t BgL_arg1831z00_2983;

								BgL_arg1830z00_2982 = CDR(BgL_appsz00_2978);
								{	/* Cfa/closure.scm 459 */
									bool_t BgL__ortest_1178z00_2984;

									{	/* Cfa/closure.scm 459 */
										obj_t BgL_arg1832z00_2985;
										obj_t BgL_arg1833z00_2986;

										BgL_arg1832z00_2985 = CAR(BgL_apps0z00_10);
										BgL_arg1833z00_2986 = CAR(BgL_appsz00_2978);
										BgL_app0z00_2988 = ((BgL_appz00_bglt) BgL_arg1832z00_2985);
										BgL_app1z00_2989 = ((BgL_appz00_bglt) BgL_arg1833z00_2986);
										{	/* Cfa/closure.scm 389 */
											BgL_variablez00_bglt BgL_f0z00_2991;

											{
												BgL_varz00_bglt BgL_auxz00_4659;

												{	/* Cfa/closure.scm 389 */
													obj_t BgL_pairz00_3841;

													BgL_pairz00_3841 =
														(((BgL_appz00_bglt) CREF(
																((BgL_appz00_bglt) BgL_app0z00_2988)))->
														BgL_argsz00);
													BgL_auxz00_4659 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_3841));
												}
												BgL_f0z00_2991 =
													(((BgL_varz00_bglt) CREF(BgL_auxz00_4659))->
													BgL_variablez00);
											}
											{	/* Cfa/closure.scm 389 */
												BgL_variablez00_bglt BgL_f1z00_2992;

												{
													BgL_varz00_bglt BgL_auxz00_4665;

													{	/* Cfa/closure.scm 390 */
														obj_t BgL_pairz00_3844;

														BgL_pairz00_3844 =
															(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_app1z00_2989)))->
															BgL_argsz00);
														BgL_auxz00_4665 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_3844));
													}
													BgL_f1z00_2992 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_4665))->
														BgL_variablez00);
												}
												{	/* Cfa/closure.scm 390 */

													{	/* Cfa/closure.scm 392 */
														BgL_approxz00_bglt BgL_r0z00_2993;

														{
															BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4671;

															{
																obj_t BgL_auxz00_4672;

																{	/* Cfa/closure.scm 392 */
																	BgL_objectz00_bglt BgL_tmpz00_4673;

																	BgL_tmpz00_4673 =
																		((BgL_objectz00_bglt)
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					CREF(BgL_f0z00_2991))->
																				BgL_valuez00)));
																	BgL_auxz00_4672 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_4673);
																}
																BgL_auxz00_4671 =
																	((BgL_internzd2sfunzf2cinfoz20_bglt)
																	BgL_auxz00_4672);
															}
															BgL_r0z00_2993 =
																(((BgL_internzd2sfunzf2cinfoz20_bglt)
																	CREF(BgL_auxz00_4671))->BgL_approxz00);
														}
														{	/* Cfa/closure.scm 392 */
															BgL_approxz00_bglt BgL_r1z00_2994;

															{
																BgL_internzd2sfunzf2cinfoz20_bglt
																	BgL_auxz00_4680;
																{
																	obj_t BgL_auxz00_4681;

																	{	/* Cfa/closure.scm 393 */
																		BgL_objectz00_bglt BgL_tmpz00_4682;

																		BgL_tmpz00_4682 =
																			((BgL_objectz00_bglt)
																			((BgL_sfunz00_bglt)
																				(((BgL_variablez00_bglt)
																						CREF(BgL_f1z00_2992))->
																					BgL_valuez00)));
																		BgL_auxz00_4681 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4682);
																	}
																	BgL_auxz00_4680 =
																		((BgL_internzd2sfunzf2cinfoz20_bglt)
																		BgL_auxz00_4681);
																}
																BgL_r1z00_2994 =
																	(((BgL_internzd2sfunzf2cinfoz20_bglt)
																		CREF(BgL_auxz00_4680))->BgL_approxz00);
															}
															{	/* Cfa/closure.scm 393 */
																BgL_typez00_bglt BgL_rt0z00_2995;

																BgL_rt0z00_2995 =
																	(((BgL_approxz00_bglt) CREF(BgL_r0z00_2993))->
																	BgL_typez00);
																{	/* Cfa/closure.scm 394 */
																	BgL_typez00_bglt BgL_rt1z00_2996;

																	BgL_rt1z00_2996 =
																		(((BgL_approxz00_bglt)
																			CREF(BgL_r1z00_2994))->BgL_typez00);
																	{	/* Cfa/closure.scm 395 */
																		BgL_typez00_bglt BgL_brt0z00_2997;

																		BgL_brt0z00_2997 =
																			BGl_getzd2bigloozd2typez00zztype_cachez00
																			(BgL_rt0z00_2995);
																		{	/* Cfa/closure.scm 396 */
																			BgL_typez00_bglt BgL_brt1z00_2998;

																			BgL_brt1z00_2998 =
																				BGl_getzd2bigloozd2typez00zztype_cachez00
																				(BgL_rt1z00_2996);
																			{	/* Cfa/closure.scm 397 */

																				{	/* Cfa/closure.scm 398 */
																					bool_t BgL_testz00_4693;

																					if (
																						(((obj_t) BgL_rt0z00_2995) ==
																							((obj_t) BgL_rt1z00_2996)))
																						{	/* Cfa/closure.scm 398 */
																							BgL_testz00_4693 = ((bool_t) 1);
																						}
																					else
																						{	/* Cfa/closure.scm 398 */
																							if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_rt0z00_2995))
																								{	/* Cfa/closure.scm 399 */
																									BgL_testz00_4693 =
																										BGl_bigloozd2typezf3z21zztype_typez00
																										(BgL_rt1z00_2996);
																								}
																							else
																								{	/* Cfa/closure.scm 399 */
																									BgL_testz00_4693 =
																										((bool_t) 0);
																								}
																						}
																					if (BgL_testz00_4693)
																						{	/* Cfa/closure.scm 398 */
																							BFALSE;
																						}
																					else
																						{	/* Cfa/closure.scm 398 */
																							if (
																								(((obj_t) BgL_rt0z00_2995) ==
																									((obj_t) BgL_brt0z00_2997)))
																								{	/* Cfa/closure.scm 400 */
																									BFALSE;
																								}
																							else
																								{	/* Cfa/closure.scm 400 */
																									((((BgL_approxz00_bglt)
																												CREF(BgL_r0z00_2993))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_brt0z00_2997),
																										BUNSPEC);
																								}
																							if (
																								(((obj_t) BgL_rt1z00_2996) ==
																									((obj_t) BgL_brt1z00_2998)))
																								{	/* Cfa/closure.scm 402 */
																									BFALSE;
																								}
																							else
																								{	/* Cfa/closure.scm 402 */
																									((((BgL_approxz00_bglt)
																												CREF(BgL_r1z00_2994))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_brt1z00_2998),
																										BUNSPEC);
																								}
																						}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
													{	/* Cfa/closure.scm 404 */
														obj_t BgL_g1174z00_3008;
														obj_t BgL_g1175z00_3009;

														{	/* Cfa/closure.scm 404 */
															obj_t BgL_pairz00_3858;

															BgL_pairz00_3858 =
																(((BgL_sfunz00_bglt) CREF(
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					CREF(BgL_f0z00_2991))->
																				BgL_valuez00))))->BgL_argsz00);
															BgL_g1174z00_3008 = CDR(BgL_pairz00_3858);
														}
														{	/* Cfa/closure.scm 405 */
															obj_t BgL_pairz00_3861;

															BgL_pairz00_3861 =
																(((BgL_sfunz00_bglt) CREF(
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					CREF(BgL_f1z00_2992))->
																				BgL_valuez00))))->BgL_argsz00);
															BgL_g1175z00_3009 = CDR(BgL_pairz00_3861);
														}
														{
															obj_t BgL_a0z00_3011;
															obj_t BgL_a1z00_3012;
															bool_t BgL_contz00_3013;

															BgL_a0z00_3011 = BgL_g1174z00_3008;
															BgL_a1z00_3012 = BgL_g1175z00_3009;
															BgL_contz00_3013 = ((bool_t) 0);
														BgL_zc3anonymousza31841ze3z83_3014:
															{	/* Cfa/closure.scm 407 */
																bool_t BgL_testz00_4719;

																if (PAIRP(BgL_a0z00_3011))
																	{	/* Cfa/closure.scm 407 */
																		BgL_testz00_4719 = PAIRP(BgL_a1z00_3012);
																	}
																else
																	{	/* Cfa/closure.scm 407 */
																		BgL_testz00_4719 = ((bool_t) 0);
																	}
																if (BgL_testz00_4719)
																	{	/* Cfa/closure.scm 408 */
																		BgL_approxz00_bglt BgL_p0z00_3017;

																		{
																			BgL_svarzf2cinfozf2_bglt BgL_auxz00_4723;

																			{
																				obj_t BgL_auxz00_4724;

																				{	/* Cfa/closure.scm 408 */
																					BgL_objectz00_bglt BgL_tmpz00_4725;

																					BgL_tmpz00_4725 =
																						((BgL_objectz00_bglt)
																						((BgL_svarz00_bglt)
																							(((BgL_variablez00_bglt) CREF(
																										((BgL_variablez00_bglt)
																											CAR(BgL_a0z00_3011))))->
																								BgL_valuez00)));
																					BgL_auxz00_4724 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_4725);
																				}
																				BgL_auxz00_4723 =
																					((BgL_svarzf2cinfozf2_bglt)
																					BgL_auxz00_4724);
																			}
																			BgL_p0z00_3017 =
																				(((BgL_svarzf2cinfozf2_bglt)
																					CREF(BgL_auxz00_4723))->
																				BgL_approxz00);
																		}
																		{	/* Cfa/closure.scm 408 */
																			BgL_approxz00_bglt BgL_p1z00_3018;

																			{
																				BgL_svarzf2cinfozf2_bglt
																					BgL_auxz00_4734;
																				{
																					obj_t BgL_auxz00_4735;

																					{	/* Cfa/closure.scm 409 */
																						BgL_objectz00_bglt BgL_tmpz00_4736;

																						BgL_tmpz00_4736 =
																							((BgL_objectz00_bglt)
																							((BgL_svarz00_bglt)
																								(((BgL_variablez00_bglt) CREF(
																											((BgL_variablez00_bglt)
																												CAR(BgL_a1z00_3012))))->
																									BgL_valuez00)));
																						BgL_auxz00_4735 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_4736);
																					}
																					BgL_auxz00_4734 =
																						((BgL_svarzf2cinfozf2_bglt)
																						BgL_auxz00_4735);
																				}
																				BgL_p1z00_3018 =
																					(((BgL_svarzf2cinfozf2_bglt)
																						CREF(BgL_auxz00_4734))->
																					BgL_approxz00);
																			}
																			{	/* Cfa/closure.scm 409 */
																				BgL_typez00_bglt BgL_t0z00_3019;

																				BgL_t0z00_3019 =
																					(((BgL_approxz00_bglt)
																						CREF(BgL_p0z00_3017))->BgL_typez00);
																				{	/* Cfa/closure.scm 410 */
																					BgL_typez00_bglt BgL_t1z00_3020;

																					BgL_t1z00_3020 =
																						(((BgL_approxz00_bglt)
																							CREF(BgL_p1z00_3018))->
																						BgL_typez00);
																					{	/* Cfa/closure.scm 411 */

																						{	/* Cfa/closure.scm 412 */
																							bool_t BgL_testz00_4747;

																							if (
																								(((obj_t) BgL_t0z00_3019) ==
																									((obj_t) BgL_t1z00_3020)))
																								{	/* Cfa/closure.scm 412 */
																									BgL_testz00_4747 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Cfa/closure.scm 412 */
																									if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t0z00_3019))
																										{	/* Cfa/closure.scm 412 */
																											BgL_testz00_4747 =
																												BGl_bigloozd2typezf3z21zztype_typez00
																												(BgL_t1z00_3020);
																										}
																									else
																										{	/* Cfa/closure.scm 412 */
																											BgL_testz00_4747 =
																												((bool_t) 0);
																										}
																								}
																							if (BgL_testz00_4747)
																								{
																									obj_t BgL_a1z00_4757;
																									obj_t BgL_a0z00_4755;

																									BgL_a0z00_4755 =
																										CDR(BgL_a0z00_3011);
																									BgL_a1z00_4757 =
																										CDR(BgL_a1z00_3012);
																									BgL_a1z00_3012 =
																										BgL_a1z00_4757;
																									BgL_a0z00_3011 =
																										BgL_a0z00_4755;
																									goto
																										BgL_zc3anonymousza31841ze3z83_3014;
																								}
																							else
																								{	/* Cfa/closure.scm 435 */
																									BgL_typez00_bglt
																										BgL_bt0z00_3026;
																									BgL_typez00_bglt
																										BgL_bt1z00_3027;
																									bool_t BgL_contz00_3028;

																									BgL_bt0z00_3026 =
																										BGl_getzd2bigloozd2typez00zztype_cachez00
																										(BgL_t0z00_3019);
																									BgL_bt1z00_3027 =
																										BGl_getzd2bigloozd2typez00zztype_cachez00
																										(BgL_t1z00_3020);
																									BgL_contz00_3028 =
																										((bool_t) 0);
																									if ((((obj_t) ((
																														(BgL_variablez00_bglt)
																														CREF((
																																(BgL_variablez00_bglt)
																																CAR
																																(BgL_a0z00_3011))))->
																													BgL_typez00)) ==
																											((obj_t)
																												BgL_bt0z00_3026)))
																										{	/* Cfa/closure.scm 438 */
																											BFALSE;
																										}
																									else
																										{	/* Cfa/closure.scm 438 */
																											{	/* Cfa/closure.scm 440 */
																												obj_t
																													BgL_arg1852z00_3032;
																												BgL_arg1852z00_3032 =
																													CAR(BgL_a0z00_3011);
																												((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) BgL_arg1852z00_3032)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_bt0z00_3026), BUNSPEC);
																											}
																											((((BgL_approxz00_bglt)
																														CREF
																														(BgL_p0z00_3017))->
																													BgL_typez00) =
																												((BgL_typez00_bglt)
																													BgL_bt0z00_3026),
																												BUNSPEC);
																											BgL_contz00_3028 =
																												((bool_t) 1);
																										}
																									if (
																										(((obj_t)
																												(((BgL_variablez00_bglt)
																														CREF((
																																(BgL_variablez00_bglt)
																																CAR
																																(BgL_a1z00_3012))))->
																													BgL_typez00)) ==
																											((obj_t)
																												BgL_bt1z00_3027)))
																										{	/* Cfa/closure.scm 444 */
																											BFALSE;
																										}
																									else
																										{	/* Cfa/closure.scm 444 */
																											{	/* Cfa/closure.scm 446 */
																												obj_t
																													BgL_arg1858z00_3038;
																												BgL_arg1858z00_3038 =
																													CAR(BgL_a1z00_3012);
																												((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) BgL_arg1858z00_3038)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_bt1z00_3027), BUNSPEC);
																											}
																											((((BgL_approxz00_bglt)
																														CREF
																														(BgL_p1z00_3018))->
																													BgL_typez00) =
																												((BgL_typez00_bglt)
																													BgL_bt1z00_3027),
																												BUNSPEC);
																											BgL_contz00_3028 =
																												((bool_t) 1);
																										}
																									{	/* Cfa/closure.scm 452 */
																										obj_t BgL_arg1861z00_3041;
																										obj_t BgL_arg1862z00_3042;

																										BgL_arg1861z00_3041 =
																											CDR(BgL_a0z00_3011);
																										BgL_arg1862z00_3042 =
																											CDR(BgL_a1z00_3012);
																										{
																											bool_t BgL_contz00_4787;
																											obj_t BgL_a1z00_4786;
																											obj_t BgL_a0z00_4785;

																											BgL_a0z00_4785 =
																												BgL_arg1861z00_3041;
																											BgL_a1z00_4786 =
																												BgL_arg1862z00_3042;
																											BgL_contz00_4787 =
																												BgL_contz00_3028;
																											BgL_contz00_3013 =
																												BgL_contz00_4787;
																											BgL_a1z00_3012 =
																												BgL_a1z00_4786;
																											BgL_a0z00_3011 =
																												BgL_a0z00_4785;
																											goto
																												BgL_zc3anonymousza31841ze3z83_3014;
																										}
																									}
																								}
																						}
																					}
																				}
																			}
																		}
																	}
																else
																	{	/* Cfa/closure.scm 407 */
																		BgL__ortest_1178z00_2984 = BgL_contz00_3013;
																	}
															}
														}
													}
												}
											}
										}
									}
									if (BgL__ortest_1178z00_2984)
										{	/* Cfa/closure.scm 459 */
											BgL_arg1831z00_2983 = BgL__ortest_1178z00_2984;
										}
									else
										{	/* Cfa/closure.scm 459 */
											BgL_arg1831z00_2983 = BgL_contz00_2979;
										}
								}
								{
									bool_t BgL_contz00_4792;
									obj_t BgL_appsz00_4791;

									BgL_appsz00_4791 = BgL_arg1830z00_2982;
									BgL_contz00_4792 = BgL_arg1831z00_2983;
									BgL_contz00_2979 = BgL_contz00_4792;
									BgL_appsz00_2978 = BgL_appsz00_4791;
									goto BgL_zc3anonymousza31828ze3z83_2980;
								}
							}
					}
				}
			}
		}
	}



/* type-closures! */
	BGL_EXPORTED_DEF obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 464 */
			{
				BgL_appz00_bglt BgL_appz00_3069;

				if (CBOOL
					(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
					{	/* Cfa/closure.scm 491 */
						obj_t BgL_g1524z00_3061;

						BgL_g1524z00_3061 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
						{
							obj_t BgL_l1522z00_3063;

							{	/* Cfa/closure.scm 491 */
								bool_t BgL_tmpz00_4795;

								BgL_l1522z00_3063 = BgL_g1524z00_3061;
							BgL_zc3anonymousza31876ze3z83_3064:
								if (PAIRP(BgL_l1522z00_3063))
									{	/* Cfa/closure.scm 491 */
										{	/* Cfa/closure.scm 491 */
											obj_t BgL_arg1878z00_3066;

											BgL_arg1878z00_3066 = CAR(BgL_l1522z00_3063);
											BgL_appz00_3069 = ((BgL_appz00_bglt) BgL_arg1878z00_3066);
											{	/* Cfa/closure.scm 475 */
												bool_t BgL_testz00_4799;

												{	/* Cfa/closure.scm 475 */
													bool_t BgL_testz00_4800;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4801;

														{
															obj_t BgL_auxz00_4802;

															{	/* Cfa/closure.scm 475 */
																BgL_objectz00_bglt BgL_tmpz00_4803;

																BgL_tmpz00_4803 =
																	((BgL_objectz00_bglt) BgL_appz00_3069);
																BgL_auxz00_4802 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4803);
															}
															BgL_auxz00_4801 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_4802);
														}
														BgL_testz00_4800 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																CREF(BgL_auxz00_4801))->BgL_xz00);
													}
													if (BgL_testz00_4800)
														{	/* Cfa/closure.scm 475 */
															BgL_testz00_4799 = ((bool_t) 1);
														}
													else
														{
															BgL_makezd2procedurezd2appz00_bglt
																BgL_auxz00_4808;
															{
																obj_t BgL_auxz00_4809;

																{	/* Cfa/closure.scm 475 */
																	BgL_objectz00_bglt BgL_tmpz00_4810;

																	BgL_tmpz00_4810 =
																		((BgL_objectz00_bglt) BgL_appz00_3069);
																	BgL_auxz00_4809 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_4810);
																}
																BgL_auxz00_4808 =
																	((BgL_makezd2procedurezd2appz00_bglt)
																	BgL_auxz00_4809);
															}
															BgL_testz00_4799 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	CREF(BgL_auxz00_4808))->BgL_tz00);
														}
												}
												if (BgL_testz00_4799)
													{	/* Cfa/closure.scm 475 */
														((bool_t) 0);
													}
												else
													{	/* Cfa/closure.scm 477 */
														BgL_variablez00_bglt BgL_varz00_3074;

														{
															BgL_varz00_bglt BgL_auxz00_4815;

															{	/* Cfa/closure.scm 477 */
																obj_t BgL_pairz00_3895;

																BgL_pairz00_3895 =
																	(((BgL_appz00_bglt) CREF(
																			((BgL_appz00_bglt) BgL_appz00_3069)))->
																	BgL_argsz00);
																BgL_auxz00_4815 =
																	((BgL_varz00_bglt) CAR(BgL_pairz00_3895));
															}
															BgL_varz00_3074 =
																(((BgL_varz00_bglt) CREF(BgL_auxz00_4815))->
																BgL_variablez00);
														}
														{	/* Cfa/closure.scm 477 */
															BgL_valuez00_bglt BgL_sfunz00_3075;

															BgL_sfunz00_3075 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_varz00_3074))->BgL_valuez00);
															{	/* Cfa/closure.scm 478 */

																((((BgL_variablez00_bglt)
																			CREF(BgL_varz00_3074))->BgL_typez00) =
																	((BgL_typez00_bglt)
																		BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																		((((BgL_variablez00_bglt)
																					CREF(BgL_varz00_3074))->
																				BgL_typez00))), BUNSPEC);
																{	/* Cfa/closure.scm 481 */
																	obj_t BgL_g1521z00_3078;

																	{	/* Cfa/closure.scm 488 */
																		obj_t BgL_pairz00_3902;

																		BgL_pairz00_3902 =
																			(((BgL_sfunz00_bglt) CREF(
																					((BgL_sfunz00_bglt)
																						BgL_sfunz00_3075)))->BgL_argsz00);
																		BgL_g1521z00_3078 = CDR(BgL_pairz00_3902);
																	}
																	{
																		obj_t BgL_l1519z00_3080;

																		BgL_l1519z00_3080 = BgL_g1521z00_3078;
																	BgL_zc3anonymousza31885ze3z83_3081:
																		if (PAIRP(BgL_l1519z00_3080))
																			{	/* Cfa/closure.scm 488 */
																				{	/* Cfa/closure.scm 482 */
																					obj_t BgL_az00_3083;

																					BgL_az00_3083 =
																						CAR(BgL_l1519z00_3080);
																					{	/* Cfa/closure.scm 482 */
																						BgL_approxz00_bglt BgL_pz00_3084;

																						{
																							BgL_svarzf2cinfozf2_bglt
																								BgL_auxz00_4831;
																							{
																								obj_t BgL_auxz00_4832;

																								{	/* Cfa/closure.scm 482 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_4833;
																									BgL_tmpz00_4833 =
																										((BgL_objectz00_bglt) (
																											(BgL_svarz00_bglt) ((
																													(BgL_variablez00_bglt)
																													CREF((
																															(BgL_variablez00_bglt)
																															BgL_az00_3083)))->
																												BgL_valuez00)));
																									BgL_auxz00_4832 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_4833);
																								}
																								BgL_auxz00_4831 =
																									((BgL_svarzf2cinfozf2_bglt)
																									BgL_auxz00_4832);
																							}
																							BgL_pz00_3084 =
																								(((BgL_svarzf2cinfozf2_bglt)
																									CREF(BgL_auxz00_4831))->
																								BgL_approxz00);
																						}
																						{	/* Cfa/closure.scm 482 */
																							BgL_typez00_bglt BgL_tz00_3085;

																							BgL_tz00_3085 =
																								(((BgL_approxz00_bglt)
																									CREF(BgL_pz00_3084))->
																								BgL_typez00);
																							{	/* Cfa/closure.scm 483 */

																								{	/* Cfa/closure.scm 487 */
																									BgL_typez00_bglt
																										BgL_arg1887z00_3086;
																									BgL_arg1887z00_3086 =
																										BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																										(BgL_tz00_3085);
																									((((BgL_variablez00_bglt)
																												CREF((
																														(BgL_variablez00_bglt)
																														BgL_az00_3083)))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_arg1887z00_3086),
																										BUNSPEC);
																								}
																							}
																						}
																					}
																				}
																				{
																					obj_t BgL_l1519z00_4845;

																					BgL_l1519z00_4845 =
																						CDR(BgL_l1519z00_3080);
																					BgL_l1519z00_3080 = BgL_l1519z00_4845;
																					goto
																						BgL_zc3anonymousza31885ze3z83_3081;
																				}
																			}
																		else
																			{	/* Cfa/closure.scm 488 */
																				((bool_t) 1);
																			}
																	}
																}
															}
														}
													}
											}
										}
										{
											obj_t BgL_l1522z00_4848;

											BgL_l1522z00_4848 = CDR(BgL_l1522z00_3063);
											BgL_l1522z00_3063 = BgL_l1522z00_4848;
											goto BgL_zc3anonymousza31876ze3z83_3064;
										}
									}
								else
									{	/* Cfa/closure.scm 491 */
										BgL_tmpz00_4795 = ((bool_t) 1);
									}
								return BBOOL(BgL_tmpz00_4795);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 490 */
						return BFALSE;
					}
			}
		}
	}



/* &type-closures! */
	obj_t BGl_z62typezd2closuresz12za2zzcfa_closurez00(obj_t BgL_envz00_3973)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 464 */
			return BGl_typezd2closuresz12zc0zzcfa_closurez00();
		}
	}



/* light-access! */
	bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 496 */
			{
				obj_t BgL_l1525z00_3096;

				BgL_l1525z00_3096 = BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00;
			BgL_zc3anonymousza31893ze3z83_3097:
				if (PAIRP(BgL_l1525z00_3096))
					{	/* Cfa/closure.scm 497 */
						{	/* Cfa/closure.scm 499 */
							obj_t BgL_appz00_3099;

							BgL_appz00_3099 = CAR(BgL_l1525z00_3096);
							{	/* Cfa/closure.scm 499 */
								BgL_approxz00_bglt BgL_approxz00_3101;

								{	/* Cfa/closure.scm 500 */
									obj_t BgL_arg1906z00_3120;

									{	/* Cfa/closure.scm 500 */
										obj_t BgL_pairz00_3919;

										BgL_pairz00_3919 =
											(((BgL_appz00_bglt) CREF(
													((BgL_appz00_bglt) BgL_appz00_3099)))->BgL_argsz00);
										BgL_arg1906z00_3120 = CAR(BgL_pairz00_3919);
									}
									BgL_approxz00_3101 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_arg1906z00_3120));
								}
								{	/* Cfa/closure.scm 500 */
									obj_t BgL_alloczd2listzd2_3102;

									BgL_alloczd2listzd2_3102 =
										BGl_setzd2ze3listz31zzcfa_setz00(
										(((BgL_approxz00_bglt) CREF(BgL_approxz00_3101))->
											BgL_allocsz00));
									{	/* Cfa/closure.scm 501 */
										BgL_varz00_bglt BgL_funz00_3103;

										BgL_funz00_3103 =
											(((BgL_appz00_bglt) CREF(
													((BgL_appz00_bglt) BgL_appz00_3099)))->BgL_funz00);
										{	/* Cfa/closure.scm 502 */
											BgL_variablez00_bglt BgL_vfunz00_3104;

											BgL_vfunz00_3104 =
												(((BgL_varz00_bglt) CREF(BgL_funz00_3103))->
												BgL_variablez00);
											{	/* Cfa/closure.scm 503 */

												{	/* Cfa/closure.scm 504 */
													bool_t BgL_testz00_4865;

													if (PAIRP(BgL_alloczd2listzd2_3102))
														{	/* Cfa/closure.scm 505 */
															bool_t BgL_testz00_4868;

															{	/* Cfa/closure.scm 505 */
																obj_t BgL_arg1904z00_3118;

																BgL_arg1904z00_3118 =
																	CAR(BgL_alloczd2listzd2_3102);
																BgL_testz00_4868 =
																	BGl_isazf3zf3zz__objectz00
																	(BgL_arg1904z00_3118,
																	BGl_makezd2procedurezd2appz00zzcfa_info2z00);
															}
															if (BgL_testz00_4868)
																{	/* Cfa/closure.scm 505 */
																	BgL_testz00_4865 = ((bool_t) 0);
																}
															else
																{	/* Cfa/closure.scm 505 */
																	BgL_testz00_4865 = ((bool_t) 1);
																}
														}
													else
														{	/* Cfa/closure.scm 504 */
															BgL_testz00_4865 = ((bool_t) 1);
														}
													if (BgL_testz00_4865)
														{	/* Cfa/closure.scm 504 */
															CNST_TABLE_REF(((long) 8));
														}
													else
														{	/* Cfa/closure.scm 507 */
															BgL_appz00_bglt BgL_allocz00_3110;

															BgL_allocz00_3110 =
																((BgL_appz00_bglt)
																CAR(BgL_alloczd2listzd2_3102));
															{	/* Cfa/closure.scm 510 */
																bool_t BgL_testz00_4874;

																{
																	BgL_makezd2procedurezd2appz00_bglt
																		BgL_auxz00_4875;
																	{
																		obj_t BgL_auxz00_4876;

																		{	/* Cfa/closure.scm 510 */
																			BgL_objectz00_bglt BgL_tmpz00_4877;

																			BgL_tmpz00_4877 =
																				((BgL_objectz00_bglt)
																				((BgL_appz00_bglt) BgL_allocz00_3110));
																			BgL_auxz00_4876 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_4877);
																		}
																		BgL_auxz00_4875 =
																			((BgL_makezd2procedurezd2appz00_bglt)
																			BgL_auxz00_4876);
																	}
																	BgL_testz00_4874 =
																		(((BgL_makezd2procedurezd2appz00_bglt)
																			CREF(BgL_auxz00_4875))->BgL_xz00);
																}
																if (BgL_testz00_4874)
																	{	/* Cfa/closure.scm 510 */
																		if (
																			(((obj_t) BgL_vfunz00_3104) ==
																				BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																			{	/* Cfa/closure.scm 512 */
																				BgL_variablez00_bglt BgL_vz00_3928;

																				BgL_vz00_3928 =
																					((BgL_variablez00_bglt)
																					BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00);
																				((((BgL_varz00_bglt)
																							CREF(BgL_funz00_3103))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt)
																						BgL_vz00_3928), BUNSPEC);
																			}
																		else
																			{	/* Cfa/closure.scm 513 */
																				BgL_variablez00_bglt BgL_vz00_3930;

																				BgL_vz00_3930 =
																					((BgL_variablez00_bglt)
																					BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00);
																				((((BgL_varz00_bglt)
																							CREF(BgL_funz00_3103))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt)
																						BgL_vz00_3930), BUNSPEC);
																			}
																	}
																else
																	{	/* Cfa/closure.scm 514 */
																		bool_t BgL_testz00_4890;

																		{
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_auxz00_4891;
																			{
																				obj_t BgL_auxz00_4892;

																				{	/* Cfa/closure.scm 514 */
																					BgL_objectz00_bglt BgL_tmpz00_4893;

																					BgL_tmpz00_4893 =
																						((BgL_objectz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_allocz00_3110));
																					BgL_auxz00_4892 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_4893);
																				}
																				BgL_auxz00_4891 =
																					((BgL_makezd2procedurezd2appz00_bglt)
																					BgL_auxz00_4892);
																			}
																			BgL_testz00_4890 =
																				(((BgL_makezd2procedurezd2appz00_bglt)
																					CREF(BgL_auxz00_4891))->BgL_tz00);
																		}
																		if (BgL_testz00_4890)
																			{	/* Cfa/closure.scm 514 */
																				if (
																					(((obj_t) BgL_vfunz00_3104) ==
																						BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																					{	/* Cfa/closure.scm 516 */
																						BgL_variablez00_bglt BgL_vz00_3932;

																						BgL_vz00_3932 =
																							((BgL_variablez00_bglt)
																							BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00);
																						((((BgL_varz00_bglt)
																									CREF(BgL_funz00_3103))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_vz00_3932), BUNSPEC);
																					}
																				else
																					{	/* Cfa/closure.scm 517 */
																						BgL_variablez00_bglt BgL_vz00_3934;

																						BgL_vz00_3934 =
																							((BgL_variablez00_bglt)
																							BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00);
																						((((BgL_varz00_bglt)
																									CREF(BgL_funz00_3103))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_vz00_3934), BUNSPEC);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 514 */
																				BFALSE;
																			}
																	}
															}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l1525z00_4906;

							BgL_l1525z00_4906 = CDR(BgL_l1525z00_3096);
							BgL_l1525z00_3096 = BgL_l1525z00_4906;
							goto BgL_zc3anonymousza31893ze3z83_3097;
						}
					}
				else
					{	/* Cfa/closure.scm 497 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* show-X-T */
	obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t BgL_allocsz00_11)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 523 */
			{
				obj_t BgL_xpz00_3128;
				obj_t BgL_tpz00_3129;
				obj_t BgL_allocsz00_3130;

				BgL_xpz00_3128 = BNIL;
				BgL_tpz00_3129 = BNIL;
				BgL_allocsz00_3130 = BgL_allocsz00_11;
			BgL_zc3anonymousza31909ze3z83_3131:
				if (NULLP(BgL_allocsz00_3130))
					{	/* Cfa/closure.scm 534 */
						BGl_showze70ze7zzcfa_closurez00(CNST_TABLE_REF(((long) 9)),
							BgL_xpz00_3128);
						BGl_showze70ze7zzcfa_closurez00(CNST_TABLE_REF(((long) 10)),
							BgL_tpz00_3129);
						return BUNSPEC;
					}
				else
					{	/* Cfa/closure.scm 539 */
						BgL_appz00_bglt BgL_i1183z00_3133;

						BgL_i1183z00_3133 = ((BgL_appz00_bglt) CAR(BgL_allocsz00_3130));
						{	/* Cfa/closure.scm 541 */
							bool_t BgL_testz00_4916;

							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4917;

								{
									obj_t BgL_auxz00_4918;

									{	/* Cfa/closure.scm 541 */
										BgL_objectz00_bglt BgL_tmpz00_4919;

										BgL_tmpz00_4919 = ((BgL_objectz00_bglt) BgL_i1183z00_3133);
										BgL_auxz00_4918 = BGL_OBJECT_WIDENING(BgL_tmpz00_4919);
									}
									BgL_auxz00_4917 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4918);
								}
								BgL_testz00_4916 =
									(((BgL_makezd2procedurezd2appz00_bglt)
										CREF(BgL_auxz00_4917))->BgL_xz00);
							}
							if (BgL_testz00_4916)
								{	/* Cfa/closure.scm 542 */
									obj_t BgL_arg1912z00_3135;
									obj_t BgL_arg1913z00_3136;

									{	/* Cfa/closure.scm 542 */
										BgL_variablez00_bglt BgL_arg1914z00_3137;

										{
											BgL_varz00_bglt BgL_auxz00_4924;

											{	/* Cfa/closure.scm 542 */
												obj_t BgL_pairz00_3944;

												BgL_pairz00_3944 =
													(((BgL_appz00_bglt) CREF(
															((BgL_appz00_bglt) BgL_i1183z00_3133)))->
													BgL_argsz00);
												BgL_auxz00_4924 =
													((BgL_varz00_bglt) CAR(BgL_pairz00_3944));
											}
											BgL_arg1914z00_3137 =
												(((BgL_varz00_bglt) CREF(BgL_auxz00_4924))->
												BgL_variablez00);
										}
										BgL_arg1912z00_3135 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg1914z00_3137), BgL_xpz00_3128);
									}
									BgL_arg1913z00_3136 = CDR(BgL_allocsz00_3130);
									{
										obj_t BgL_allocsz00_4934;
										obj_t BgL_xpz00_4933;

										BgL_xpz00_4933 = BgL_arg1912z00_3135;
										BgL_allocsz00_4934 = BgL_arg1913z00_3136;
										BgL_allocsz00_3130 = BgL_allocsz00_4934;
										BgL_xpz00_3128 = BgL_xpz00_4933;
										goto BgL_zc3anonymousza31909ze3z83_3131;
									}
								}
							else
								{	/* Cfa/closure.scm 543 */
									bool_t BgL_testz00_4935;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4936;

										{
											obj_t BgL_auxz00_4937;

											{	/* Cfa/closure.scm 543 */
												BgL_objectz00_bglt BgL_tmpz00_4938;

												BgL_tmpz00_4938 =
													((BgL_objectz00_bglt) BgL_i1183z00_3133);
												BgL_auxz00_4937 = BGL_OBJECT_WIDENING(BgL_tmpz00_4938);
											}
											BgL_auxz00_4936 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4937);
										}
										BgL_testz00_4935 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												CREF(BgL_auxz00_4936))->BgL_tz00);
									}
									if (BgL_testz00_4935)
										{	/* Cfa/closure.scm 544 */
											obj_t BgL_arg1918z00_3141;
											obj_t BgL_arg1919z00_3142;

											{	/* Cfa/closure.scm 544 */
												BgL_variablez00_bglt BgL_arg1920z00_3143;

												{
													BgL_varz00_bglt BgL_auxz00_4943;

													{	/* Cfa/closure.scm 544 */
														obj_t BgL_pairz00_3947;

														BgL_pairz00_3947 =
															(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_i1183z00_3133)))->
															BgL_argsz00);
														BgL_auxz00_4943 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_3947));
													}
													BgL_arg1920z00_3143 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_4943))->
														BgL_variablez00);
												}
												BgL_arg1918z00_3141 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg1920z00_3143), BgL_tpz00_3129);
											}
											BgL_arg1919z00_3142 = CDR(BgL_allocsz00_3130);
											{
												obj_t BgL_allocsz00_4953;
												obj_t BgL_tpz00_4952;

												BgL_tpz00_4952 = BgL_arg1918z00_3141;
												BgL_allocsz00_4953 = BgL_arg1919z00_3142;
												BgL_allocsz00_3130 = BgL_allocsz00_4953;
												BgL_tpz00_3129 = BgL_tpz00_4952;
												goto BgL_zc3anonymousza31909ze3z83_3131;
											}
										}
									else
										{
											obj_t BgL_allocsz00_4954;

											BgL_allocsz00_4954 = CDR(BgL_allocsz00_3130);
											BgL_allocsz00_3130 = BgL_allocsz00_4954;
											goto BgL_zc3anonymousza31909ze3z83_3131;
										}
								}
						}
					}
			}
		}
	}



/* show~0 */
	bool_t BGl_showze70ze7zzcfa_closurez00(obj_t BgL_propz00_3148,
		obj_t BgL_lz00_3149)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 530 */
			if (NULLP(BgL_lz00_3149))
				{	/* Cfa/closure.scm 525 */
					return ((bool_t) 0);
				}
			else
				{	/* Cfa/closure.scm 525 */
					{	/* Cfa/closure.scm 527 */
						obj_t BgL_arg1926z00_3152;

						BgL_arg1926z00_3152 =
							BGl_shapez00zztools_shapez00(CAR(BgL_lz00_3149));
						{	/* Cfa/closure.scm 527 */
							obj_t BgL_list1927z00_3153;

							{	/* Cfa/closure.scm 527 */
								obj_t BgL_arg1929z00_3154;

								{	/* Cfa/closure.scm 527 */
									obj_t BgL_arg1931z00_3155;

									{	/* Cfa/closure.scm 527 */
										obj_t BgL_arg1932z00_3156;

										{	/* Cfa/closure.scm 527 */
											obj_t BgL_arg1933z00_3157;

											BgL_arg1933z00_3157 =
												MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
											BgL_arg1932z00_3156 =
												MAKE_YOUNG_PAIR(BgL_arg1926z00_3152,
												BgL_arg1933z00_3157);
										}
										BgL_arg1931z00_3155 =
											MAKE_YOUNG_PAIR(BGl_string2184z00zzcfa_closurez00,
											BgL_arg1932z00_3156);
									}
									BgL_arg1929z00_3154 =
										MAKE_YOUNG_PAIR(BgL_propz00_3148, BgL_arg1931z00_3155);
								}
								BgL_list1927z00_3153 =
									MAKE_YOUNG_PAIR(BGl_string2185z00zzcfa_closurez00,
									BgL_arg1929z00_3154);
							}
							BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
								BgL_list1927z00_3153);
					}}
					{	/* Cfa/closure.scm 528 */
						obj_t BgL_g1529z00_3159;

						BgL_g1529z00_3159 = CDR(BgL_lz00_3149);
						{
							obj_t BgL_l1527z00_3161;

							BgL_l1527z00_3161 = BgL_g1529z00_3159;
						BgL_zc3anonymousza31935ze3z83_3162:
							if (PAIRP(BgL_l1527z00_3161))
								{	/* Cfa/closure.scm 530 */
									{	/* Cfa/closure.scm 529 */
										obj_t BgL_xz00_3164;

										BgL_xz00_3164 = CAR(BgL_l1527z00_3161);
										{	/* Cfa/closure.scm 529 */
											obj_t BgL_arg1937z00_3165;

											BgL_arg1937z00_3165 =
												BGl_shapez00zztools_shapez00(BgL_xz00_3164);
											{	/* Cfa/closure.scm 529 */
												obj_t BgL_list1938z00_3166;

												{	/* Cfa/closure.scm 529 */
													obj_t BgL_arg1939z00_3167;

													{	/* Cfa/closure.scm 529 */
														obj_t BgL_arg1940z00_3168;

														BgL_arg1940z00_3168 =
															MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)),
															BNIL);
														BgL_arg1939z00_3167 =
															MAKE_YOUNG_PAIR(BgL_arg1937z00_3165,
															BgL_arg1940z00_3168);
													}
													BgL_list1938z00_3166 =
														MAKE_YOUNG_PAIR(BGl_string2186z00zzcfa_closurez00,
														BgL_arg1939z00_3167);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
													BgL_list1938z00_3166);
									}}}
									{
										obj_t BgL_l1527z00_4979;

										BgL_l1527z00_4979 = CDR(BgL_l1527z00_3161);
										BgL_l1527z00_3161 = BgL_l1527z00_4979;
										goto BgL_zc3anonymousza31935ze3z83_3162;
									}
								}
							else
								{	/* Cfa/closure.scm 530 */
									return ((bool_t) 1);
								}
						}
					}
				}
		}
	}



/* get-procedure-list */
	BGL_EXPORTED_DEF obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 558 */
			return BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
		}
	}



/* &get-procedure-list */
	obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t BgL_envz00_3974)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 558 */
			return BGl_getzd2procedurezd2listz00zzcfa_closurez00();
		}
	}



/* add-funcall! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt BgL_astz00_12)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 564 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 565 */
					return (BGl_za2funcallzd2listza2zd2zzcfa_closurez00 =
						MAKE_YOUNG_PAIR(
							((obj_t) BgL_astz00_12),
							BGl_za2funcallzd2listza2zd2zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 565 */
					return BFALSE;
				}
		}
	}



/* &add-funcall! */
	obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t BgL_envz00_3975,
		obj_t BgL_astz00_3976)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 564 */
			return
				BGl_addzd2funcallz12zc0zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_3976));
		}
	}



/* add-make-procedure! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_13)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 571 */
			return (BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 =
				MAKE_YOUNG_PAIR(
					((obj_t) BgL_astz00_13),
					BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00), BUNSPEC);
		}
	}



/* &add-make-procedure! */
	obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t
		BgL_envz00_3977, obj_t BgL_astz00_3978)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 571 */
			return
				BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_3978));
		}
	}



/* add-procedure-ref! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_14)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 577 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 578 */
					return (BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 =
						MAKE_YOUNG_PAIR(
							((obj_t) BgL_astz00_14),
							BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 578 */
					return BFALSE;
				}
		}
	}



/* &add-procedure-ref! */
	obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t
		BgL_envz00_3979, obj_t BgL_astz00_3980)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 577 */
			return
				BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_3980));
		}
	}



/* approx-procedure-el? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt
		BgL_approxz00_15)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 584 */
			{	/* Cfa/closure.scm 585 */
				BgL_typez00_bglt BgL_typez00_3174;
				obj_t BgL_alloczd2listzd2_3175;

				BgL_typez00_3174 =
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_15))->BgL_typez00);
				BgL_alloczd2listzd2_3175 =
					BGl_setzd2ze3listz31zzcfa_setz00(
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_15))->BgL_allocsz00));
				if (
					(((obj_t) BgL_typez00_3174) == BGl_za2procedureza2z00zztype_cachez00))
					{	/* Cfa/closure.scm 587 */
						if (PAIRP(BgL_alloczd2listzd2_3175))
							{	/* Cfa/closure.scm 588 */
								if (NULLP(CDR(BgL_alloczd2listzd2_3175)))
									{	/* Cfa/closure.scm 590 */
										bool_t BgL_testz00_5011;

										{	/* Cfa/closure.scm 590 */
											obj_t BgL_arg1945z00_3181;

											BgL_arg1945z00_3181 = CAR(BgL_alloczd2listzd2_3175);
											BgL_testz00_5011 =
												BGl_isazf3zf3zz__objectz00(BgL_arg1945z00_3181,
												BGl_makezd2procedurezd2appz00zzcfa_info2z00);
										}
										if (BgL_testz00_5011)
											{
												BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5014;

												{
													obj_t BgL_auxz00_5015;

													{	/* Cfa/closure.scm 591 */
														BgL_objectz00_bglt BgL_tmpz00_5016;

														BgL_tmpz00_5016 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt)
																CAR(BgL_alloczd2listzd2_3175)));
														BgL_auxz00_5015 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5016);
													}
													BgL_auxz00_5014 =
														((BgL_makezd2procedurezd2appz00_bglt)
														BgL_auxz00_5015);
												}
												return
													(((BgL_makezd2procedurezd2appz00_bglt)
														CREF(BgL_auxz00_5014))->BgL_xz00);
											}
										else
											{	/* Cfa/closure.scm 590 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Cfa/closure.scm 589 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Cfa/closure.scm 588 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Cfa/closure.scm 587 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* &approx-procedure-el? */
	obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t
		BgL_envz00_3981, obj_t BgL_approxz00_3982)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 584 */
			return
				BBOOL(BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
					((BgL_approxz00_bglt) BgL_approxz00_3982)));
		}
	}



/* start-closure-cache */
	obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 608 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 11)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 13)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 14)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 15)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 16)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 17)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 18)),
				CNST_TABLE_REF(((long) 12)));
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 19)),
					CNST_TABLE_REF(((long) 12))), BUNSPEC);
		}
	}



/* stop-closure-cache */
	BGL_EXPORTED_DEF obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 621 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
	}



/* &stop-closure-cache */
	obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t BgL_envz00_3983)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 621 */
			return BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2187z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 209108747),
				BSTRING_TO_STRING(BGl_string2187z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2187z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2187z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2187z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2187z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2187z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string2187z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2187z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string2187z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2187z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string2187z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string2187z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 21528182),
				BSTRING_TO_STRING(BGl_string2187z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_ltypez00(((long) 315872512),
				BSTRING_TO_STRING(BGl_string2187z00zzcfa_closurez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_typez00(((long) 93933605),
				BSTRING_TO_STRING(BGl_string2187z00zzcfa_closurez00));
		}
	}

#ifdef __cplusplus
}
#endif
