/*===========================================================================*/
/*   (Dataflow/walk.scm)                                                     */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Dataflow/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2valuezf2_bgl
	{
		int BgL_stampz00;
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                       *BgL_localzf2valuezf2_bglt;


	static obj_t BGl_zc3anonymousza31667ze3ze70z64zzdataflow_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2appzd2l1382za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2selec1396z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2funca1386z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzdataflow_walkz00();
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2r1408za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2sync1378z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_z62dataflowzd2nodez12zd2fail1394z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2v1400za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2jumpzd21404za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzdataflow_walkz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2s1410za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2letzd2fun1441z91zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez121363za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2app1380z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2ap1414zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2makezd21406za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2closu1374z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31569ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzdataflow_walkz00();
	static obj_t BGl_z62zc3anonymousza31780ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2co1418zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda1600z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1601z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd21423zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2letzd2var1439z91zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd21429zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2sequence1435z43zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_z62dataflowzd2nodez12zd2seque1376z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2le1422zb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzdataflow_walkz00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzdataflow_walkz00();
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2exter1388z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_zc3anonymousza31731ze3ze70z64zzdataflow_walkz00(BgL_variablez00_bglt,
		obj_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2setq1390z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2var1372z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2condi1392z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2f1398za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static long BGl_letzd2varzd2stampz00zzdataflow_walkz00;
	static obj_t BGl_z62abortzf31430z91zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2in1416zb0zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_zc3anonymousza31753ze3ze70z64zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
	static obj_t BGl_z62dataflowzd2testzd2env1411z62zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
	static obj_t BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62abortzf3zd2app1445z43zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern obj_t BGl_instanceofz00zzast_nodez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_z62abortzf3zd2funcall1447z43zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_localzf2valuezf2zzdataflow_walkz00 = BUNSPEC;
	static BgL_localz00_bglt BGl_z62lambda1556z62zzdataflow_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda1561z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62abortzf3zd2conditional1443z43zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static BgL_localz00_bglt BGl_z62lambda1570z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2setzd2e1402za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	static obj_t BGl_z62abortzf3zd2appzd2ly1449z91zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62abortzf3zd2fail1433z43zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62lambda1592z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1593z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2va1420zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2sync1437z43zzdataflow_walkz00(obj_t, obj_t);
	static obj_t __cnst[12];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1593za7622286z00, BGl_z62lambda1593z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1592za7622287z00, BGl_z62lambda1592z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1601za7622288z00, BGl_z62lambda1601z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1600za7622289z00, BGl_z62lambda1600z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1570za7622290z00, BGl_z62lambda1570z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2228z00zzdataflow_walkz00,
		BgL_bgl_za762za7c3anonymousza72291za7,
		BGl_z62zc3anonymousza31569ze3ze1zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1561za7622292z00, BGl_z62lambda1561z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2230z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1556za7622293z00, BGl_z62lambda1556z62zzdataflow_walkz00,
		0L, BUNSPEC, 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2231z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2294z00,
		BGl_z62dataflowzd2nodez121363za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2233z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2295z00,
		BGl_z62dataflowzd2testzd2env1411z62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2235z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2296z00,
		BGl_z62dataflowzd2testzd2falsezd21423zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2237z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f31430za72297za7,
		BGl_z62abortzf31430z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2239z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2298z00,
		BGl_z62dataflowzd2nodez12zd2var1372z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2241z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2299z00,
		BGl_z62dataflowzd2nodez12zd2closu1374z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2242z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2300z00,
		BGl_z62dataflowzd2nodez12zd2seque1376z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2243z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2301z00,
		BGl_z62dataflowzd2nodez12zd2sync1378z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2244z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2302z00,
		BGl_z62dataflowzd2nodez12zd2app1380z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2245z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2303z00,
		BGl_z62dataflowzd2nodez12zd2appzd2l1382za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2246z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2304z00,
		BGl_z62dataflowzd2nodez12zd2funca1386z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2247z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2305z00,
		BGl_z62dataflowzd2nodez12zd2exter1388z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2248z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2306z00,
		BGl_z62dataflowzd2nodez12zd2setq1390z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2249z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2307z00,
		BGl_z62dataflowzd2nodez12zd2condi1392z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2250z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2308z00,
		BGl_z62dataflowzd2nodez12zd2fail1394z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2251z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2309z00,
		BGl_z62dataflowzd2nodez12zd2selec1396z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2252z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2310z00,
		BGl_z62dataflowzd2nodez12zd2letzd2f1398za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2253z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2311z00,
		BGl_z62dataflowzd2nodez12zd2letzd2v1400za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2254z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2312z00,
		BGl_z62dataflowzd2nodez12zd2setzd2e1402za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2255z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2313z00,
		BGl_z62dataflowzd2nodez12zd2jumpzd21404za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2256z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2314z00,
		BGl_z62dataflowzd2nodez12zd2makezd21406za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2257z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2315z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2r1408za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2258z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2316z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2s1410za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2259z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2317z00,
		BGl_z62dataflowzd2testzd2envzd2ap1414zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2261z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2318z00,
		BGl_z62dataflowzd2testzd2envzd2in1416zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2262z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2319z00,
		BGl_z62dataflowzd2testzd2envzd2co1418zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2263z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2320z00,
		BGl_z62dataflowzd2testzd2envzd2va1420zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2264z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2321z00,
		BGl_z62dataflowzd2testzd2envzd2le1422zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2265z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2322z00,
		BGl_z62dataflowzd2testzd2falsezd21429zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2267z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fa2323za7,
		BGl_z62abortzf3zd2fail1433z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2269z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2se2324za7,
		BGl_z62abortzf3zd2sequence1435z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2270z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2sy2325za7,
		BGl_z62abortzf3zd2sync1437z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2271z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2326za7,
		BGl_z62abortzf3zd2letzd2var1439z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2272z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2327za7,
		BGl_z62abortzf3zd2letzd2fun1441z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2273z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2co2328za7,
		BGl_z62abortzf3zd2conditional1443z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2274z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2329za7,
		BGl_z62abortzf3zd2app1445z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2275z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fu2330za7,
		BGl_z62abortzf3zd2funcall1447z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2276z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2331za7,
		BGl_z62abortzf3zd2appzd2ly1449z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2332z00,
		BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2216z00zzdataflow_walkz00,
		BgL_bgl_string2216za700za7za7d2333za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2217z00zzdataflow_walkz00,
		BgL_bgl_string2217za700za7za7d2334za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2218z00zzdataflow_walkz00,
		BgL_bgl_string2218za700za7za7d2335za7, " error", 6);
	      DEFINE_STRING(BGl_string2219z00zzdataflow_walkz00,
		BgL_bgl_string2219za700za7za7d2336za7, "s", 1);
	      DEFINE_STRING(BGl_string2220z00zzdataflow_walkz00,
		BgL_bgl_string2220za700za7za7d2337za7, "", 0);
	      DEFINE_STRING(BGl_string2221z00zzdataflow_walkz00,
		BgL_bgl_string2221za700za7za7d2338za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2222z00zzdataflow_walkz00,
		BgL_bgl_string2222za700za7za7d2339za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2232z00zzdataflow_walkz00,
		BgL_bgl_string2232za700za7za7d2340za7, "dataflow-node!1363", 18);
	      DEFINE_STRING(BGl_string2234z00zzdataflow_walkz00,
		BgL_bgl_string2234za700za7za7d2341za7, "dataflow-test-env1411", 21);
	      DEFINE_STRING(BGl_string2236z00zzdataflow_walkz00,
		BgL_bgl_string2236za700za7za7d2342za7, "dataflow-test-false-1423", 24);
	      DEFINE_STRING(BGl_string2238z00zzdataflow_walkz00,
		BgL_bgl_string2238za700za7za7d2343za7, "abort?1430", 10);
	      DEFINE_STRING(BGl_string2240z00zzdataflow_walkz00,
		BgL_bgl_string2240za700za7za7d2344za7, "dataflow-node!", 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dataflowzd2walkz12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2wa2345z00,
		BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_abortzf3zd2envz21zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za791za7za72346za7,
		BGl_z62abortzf3z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2260z00zzdataflow_walkz00,
		BgL_bgl_string2260za700za7za7d2347za7, "dataflow-test-env", 17);
	      DEFINE_STRING(BGl_string2266z00zzdataflow_walkz00,
		BgL_bgl_string2266za700za7za7d2348za7, "dataflow-test-false-env", 23);
	      DEFINE_STRING(BGl_string2268z00zzdataflow_walkz00,
		BgL_bgl_string2268za700za7za7d2349za7, "abort?", 6);
	      DEFINE_STRING(BGl_string2277z00zzdataflow_walkz00,
		BgL_bgl_string2277za700za7za7d2350za7, "dataflow_walk", 13);
	      DEFINE_STRING(BGl_string2278z00zzdataflow_walkz00,
		BgL_bgl_string2278za700za7za7d2351za7,
		"read _ dataflow_walk local/value node int stamp $epair? $pair? foreign $null? pass-started ",
		91);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2352z00,
		BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2353z00,
		BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2z42pairzf3za2zb1zzdataflow_walkz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_za2z42epairzf3za2zb1zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_za2z42nullzf3za2zb1zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_localzf2valuezf2zzdataflow_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long
		BgL_checksumz00_3555, char *BgL_fromz00_3556)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzdataflow_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzdataflow_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzdataflow_walkz00();
					BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_cnstzd2initzd2zzdataflow_walkz00();
					BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_objectzd2initzd2zzdataflow_walkz00();
					BGl_genericzd2initzd2zzdataflow_walkz00();
					BGl_methodzd2initzd2zzdataflow_walkz00();
					return BGl_toplevelzd2initzd2zzdataflow_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"dataflow_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 17 */
				obj_t BgL_cportz00_3291;

				{	/* Dataflow/walk.scm 17 */
					obj_t BgL_startz00_3300;

					BgL_startz00_3300 = BINT(((long) 0));
					{	/* Dataflow/walk.scm 17 */
						obj_t BgL_endz00_3301;

						BgL_endz00_3301 =
							BINT(STRING_LENGTH(BGl_string2278z00zzdataflow_walkz00));
						{	/* Dataflow/walk.scm 17 */

							BgL_cportz00_3291 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string2278z00zzdataflow_walkz00, BgL_startz00_3300,
								BgL_endz00_3301);
				}}}
				{
					long BgL_iz00_3292;

					BgL_iz00_3292 = ((long) 11);
				BgL_loopz00_3293:
					if ((BgL_iz00_3292 == ((long) -1)))
						{	/* Dataflow/walk.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Dataflow/walk.scm 17 */
							{	/* Dataflow/walk.scm 17 */
								obj_t BgL_arg2280z00_3295;

								{	/* Dataflow/walk.scm 17 */

									{	/* Dataflow/walk.scm 17 */
										obj_t BgL_locationz00_3297;

										BgL_locationz00_3297 = BBOOL(((bool_t) 0));
										{	/* Dataflow/walk.scm 17 */

											BgL_arg2280z00_3295 =
												BGl_readz00zz__readerz00(BgL_cportz00_3291,
												BgL_locationz00_3297);
										}
									}
								}
								{	/* Dataflow/walk.scm 17 */
									int BgL_tmpz00_3588;

									BgL_tmpz00_3588 = (int) (BgL_iz00_3292);
									CNST_TABLE_SET(BgL_tmpz00_3588, BgL_arg2280z00_3295);
							}}
							{	/* Dataflow/walk.scm 17 */
								int BgL_auxz00_3298;

								BgL_auxz00_3298 = (int) ((BgL_iz00_3292 - ((long) 1)));
								{
									long BgL_iz00_3593;

									BgL_iz00_3593 = (long) (BgL_auxz00_3298);
									BgL_iz00_3292 = BgL_iz00_3593;
									goto BgL_loopz00_3293;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_letzd2varzd2stampz00zzdataflow_walkz00 = ((long) 0);
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1699;

				BgL_headz00_1699 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1700;
					obj_t BgL_tailz00_1701;

					BgL_prevz00_1700 = BgL_headz00_1699;
					BgL_tailz00_1701 = BgL_l1z00_1;
				BgL_loopz00_1702:
					if (PAIRP(BgL_tailz00_1701))
						{
							obj_t BgL_newzd2prevzd2_1704;

							BgL_newzd2prevzd2_1704 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1701), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1700, BgL_newzd2prevzd2_1704);
							{
								obj_t BgL_tailz00_3603;
								obj_t BgL_prevz00_3602;

								BgL_prevz00_3602 = BgL_newzd2prevzd2_1704;
								BgL_tailz00_3603 = CDR(BgL_tailz00_1701);
								BgL_tailz00_1701 = BgL_tailz00_3603;
								BgL_prevz00_1700 = BgL_prevz00_3602;
								goto BgL_loopz00_1702;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1699);
				}
			}
		}
	}



/* dataflow-walk! */
	BGL_EXPORTED_DEF obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t
		BgL_globalsz00_56, obj_t BgL_namez00_57)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 45 */
			{	/* Dataflow/walk.scm 46 */
				obj_t BgL_list1470z00_1713;

				{	/* Dataflow/walk.scm 46 */
					obj_t BgL_arg1481z00_1714;

					{	/* Dataflow/walk.scm 46 */
						obj_t BgL_arg1484z00_1715;

						BgL_arg1484z00_1715 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1481z00_1714 =
							MAKE_YOUNG_PAIR(BgL_namez00_57, BgL_arg1484z00_1715);
					}
					BgL_list1470z00_1713 =
						MAKE_YOUNG_PAIR(BGl_string2216z00zzdataflow_walkz00,
						BgL_arg1481z00_1714);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1470z00_1713);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 = BgL_namez00_57;
			{
				obj_t BgL_hooksz00_1719;
				obj_t BgL_hnamesz00_1720;

				BgL_hooksz00_1719 = BNIL;
				BgL_hnamesz00_1720 = BNIL;
			BgL_zc3anonymousza31485ze3z83_1721:
				if (NULLP(BgL_hooksz00_1719))
					{	/* Dataflow/walk.scm 46 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Dataflow/walk.scm 46 */
						bool_t BgL_testz00_3616;

						{	/* Dataflow/walk.scm 46 */
							obj_t BgL_fun1495z00_1728;

							BgL_fun1495z00_1728 = CAR(BgL_hooksz00_1719);
							BgL_testz00_3616 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun1495z00_1728) (BgL_fun1495z00_1728,
									BEOA));
						}
						if (BgL_testz00_3616)
							{
								obj_t BgL_hnamesz00_3624;
								obj_t BgL_hooksz00_3622;

								BgL_hooksz00_3622 = CDR(BgL_hooksz00_1719);
								BgL_hnamesz00_3624 = CDR(BgL_hnamesz00_1720);
								BgL_hnamesz00_1720 = BgL_hnamesz00_3624;
								BgL_hooksz00_1719 = BgL_hooksz00_3622;
								goto BgL_zc3anonymousza31485ze3z83_1721;
							}
						else
							{	/* Dataflow/walk.scm 46 */
								BGl_internalzd2errorzd2zztools_errorz00(BgL_namez00_57,
									BGl_string2217z00zzdataflow_walkz00, CAR(BgL_hnamesz00_1720));
							}
					}
			}
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 1)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 3)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 4)),
				CNST_TABLE_REF(((long) 2)));
			{
				obj_t BgL_l1319z00_1732;

				BgL_l1319z00_1732 = BgL_globalsz00_56;
			BgL_zc3anonymousza31497ze3z83_1733:
				if (PAIRP(BgL_l1319z00_1732))
					{	/* Dataflow/walk.scm 50 */
						{	/* Dataflow/walk.scm 50 */
							obj_t BgL_arg1504z00_1735;

							BgL_arg1504z00_1735 = CAR(BgL_l1319z00_1732);
							{	/* Dataflow/walk.scm 64 */
								obj_t BgL_arg1535z00_2718;

								BgL_arg1535z00_2718 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_arg1504z00_1735))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((BgL_nodez00_bglt)
										BgL_arg1535z00_2718), BNIL);
							}
						}
						{
							obj_t BgL_l1319z00_3647;

							BgL_l1319z00_3647 = CDR(BgL_l1319z00_1732);
							BgL_l1319z00_1732 = BgL_l1319z00_3647;
							goto BgL_zc3anonymousza31497ze3z83_1733;
						}
					}
				else
					{	/* Dataflow/walk.scm 50 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Dataflow/walk.scm 51 */
					{	/* Dataflow/walk.scm 51 */
						obj_t BgL_port1321z00_1740;

						{	/* Dataflow/walk.scm 51 */
							obj_t BgL_res2124z00_2726;

							{	/* Dataflow/walk.scm 51 */
								obj_t BgL_tmpz00_3652;

								BgL_tmpz00_3652 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2124z00_2726 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3652);
							}
							BgL_port1321z00_1740 = BgL_res2124z00_2726;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1321z00_1740);
						bgl_display_string(BGl_string2218z00zzdataflow_walkz00,
							BgL_port1321z00_1740);
						{	/* Dataflow/walk.scm 51 */
							obj_t BgL_arg1509z00_1741;

							{	/* Dataflow/walk.scm 51 */
								bool_t BgL_testz00_3657;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Dataflow/walk.scm 51 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Dataflow/walk.scm 51 */
												BgL_testz00_3657 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Dataflow/walk.scm 51 */
												BgL_testz00_3657 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Dataflow/walk.scm 51 */
										BgL_testz00_3657 = ((bool_t) 0);
									}
								if (BgL_testz00_3657)
									{	/* Dataflow/walk.scm 51 */
										BgL_arg1509z00_1741 = BGl_string2219z00zzdataflow_walkz00;
									}
								else
									{	/* Dataflow/walk.scm 51 */
										BgL_arg1509z00_1741 = BGl_string2220z00zzdataflow_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1509z00_1741, BgL_port1321z00_1740);
						}
						bgl_display_string(BGl_string2221z00zzdataflow_walkz00,
							BgL_port1321z00_1740);
						bgl_display_char(((unsigned char) 10), BgL_port1321z00_1740);
					}
					{	/* Dataflow/walk.scm 51 */
						obj_t BgL_list1515z00_1747;

						BgL_list1515z00_1747 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1515z00_1747);
					}
				}
			else
				{
					obj_t BgL_hooksz00_1751;
					obj_t BgL_hnamesz00_1752;

					BgL_hooksz00_1751 = BNIL;
					BgL_hnamesz00_1752 = BNIL;
				BgL_zc3anonymousza31516ze3z83_1753:
					if (NULLP(BgL_hooksz00_1751))
						{	/* Dataflow/walk.scm 51 */
							return BgL_globalsz00_56;
						}
					else
						{	/* Dataflow/walk.scm 51 */
							bool_t BgL_testz00_3674;

							{	/* Dataflow/walk.scm 51 */
								obj_t BgL_fun1532z00_1760;

								BgL_fun1532z00_1760 = CAR(BgL_hooksz00_1751);
								BgL_testz00_3674 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1532z00_1760)
									(BgL_fun1532z00_1760, BEOA));
							}
							if (BgL_testz00_3674)
								{
									obj_t BgL_hnamesz00_3682;
									obj_t BgL_hooksz00_3680;

									BgL_hooksz00_3680 = CDR(BgL_hooksz00_1751);
									BgL_hnamesz00_3682 = CDR(BgL_hnamesz00_1752);
									BgL_hnamesz00_1752 = BgL_hnamesz00_3682;
									BgL_hooksz00_1751 = BgL_hooksz00_3680;
									goto BgL_zc3anonymousza31516ze3z83_1753;
								}
							else
								{	/* Dataflow/walk.scm 51 */
									obj_t BgL_arg1530z00_1759;

									BgL_arg1530z00_1759 = CAR(BgL_hnamesz00_1752);
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_za2currentzd2passza2zd2zzengine_passz00,
										BGl_string2222z00zzdataflow_walkz00, BgL_arg1530z00_1759);
								}
						}
				}
		}
	}



/* &dataflow-walk! */
	obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t BgL_envz00_3101,
		obj_t BgL_globalsz00_3102, obj_t BgL_namez00_3103)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 45 */
			return
				BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(BgL_globalsz00_3102,
				BgL_namez00_3103);
		}
	}



/* dataflow-node*! */
	obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t BgL_nodeza2za2_99,
		obj_t BgL_envz00_100)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 307 */
			{
				obj_t BgL_l1343z00_1766;

				BgL_l1343z00_1766 = BgL_nodeza2za2_99;
			BgL_zc3anonymousza31538ze3z83_1767:
				if (PAIRP(BgL_l1343z00_1766))
					{	/* Dataflow/walk.scm 308 */
						{	/* Dataflow/walk.scm 308 */
							obj_t BgL_nz00_1769;

							BgL_nz00_1769 = CAR(BgL_l1343z00_1766);
							BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
								((BgL_nodez00_bglt) BgL_nz00_1769), BgL_envz00_100);
						}
						{
							obj_t BgL_l1343z00_3692;

							BgL_l1343z00_3692 = CDR(BgL_l1343z00_1766);
							BgL_l1343z00_1766 = BgL_l1343z00_3692;
							goto BgL_zc3anonymousza31538ze3z83_1767;
						}
					}
				else
					{	/* Dataflow/walk.scm 308 */
						((bool_t) 1);
					}
			}
			return BgL_envz00_100;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 37 */
				obj_t BgL_arg1551z00_1776;
				obj_t BgL_arg1555z00_1777;

				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_v1361z00_1811;

					BgL_v1361z00_1811 = create_vector((int) (((long) 2)));
					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_arg1586z00_1812;

						BgL_arg1586z00_1812 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc2224z00zzdataflow_walkz00,
							BGl_proc2223z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1361z00_1811, (int) (((long) 0)),
							BgL_arg1586z00_1812);
					}
					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_arg1595z00_1822;

						BgL_arg1595z00_1822 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc2226z00zzdataflow_walkz00,
							BGl_proc2225z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1361z00_1811, (int) (((long) 1)),
							BgL_arg1595z00_1822);
					}
					BgL_arg1551z00_1776 = BgL_v1361z00_1811;
				}
				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_v1362z00_1832;

					BgL_v1362z00_1832 = create_vector((int) (((long) 0)));
					BgL_arg1555z00_1777 = BgL_v1362z00_1832;
				}
				return (BGl_localzf2valuezf2zzdataflow_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 8)),
						CNST_TABLE_REF(((long) 9)), BGl_localz00zzast_varz00,
						((long) 51723), BGl_proc2230z00zzdataflow_walkz00,
						BGl_proc2229z00zzdataflow_walkz00, BFALSE,
						BGl_proc2228z00zzdataflow_walkz00,
						BGl_proc2227z00zzdataflow_walkz00, BgL_arg1551z00_1776,
						BgL_arg1555z00_1777), BUNSPEC);
		}}
	}



/* &lambda1570 */
	BgL_localz00_bglt BGl_z62lambda1570z62zzdataflow_walkz00(obj_t
		BgL_envz00_3112, obj_t BgL_o1120z00_3113)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				long BgL_arg1579z00_3305;

				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_arg1580z00_3306;

					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_arg1583z00_3307;

						{	/* Dataflow/walk.scm 37 */
							long BgL_arg1722z00_3308;

							{	/* Dataflow/walk.scm 37 */
								long BgL_arg1723z00_3309;

								{	/* Dataflow/walk.scm 37 */
									long BgL_res2133z00_3310;

									BgL_res2133z00_3310 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_o1120z00_3113)));
									BgL_arg1723z00_3309 = BgL_res2133z00_3310;
								}
								BgL_arg1722z00_3308 = (BgL_arg1723z00_3309 - OBJECT_TYPE);
							}
							BgL_arg1583z00_3307 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								(int) (BgL_arg1722z00_3308));
						}
						BgL_arg1580z00_3306 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1583z00_3307);
					}
					{	/* Dataflow/walk.scm 37 */
						long BgL_res2135z00_3311;

						BgL_res2135z00_3311 = BGL_CLASS_INDEX(BgL_arg1580z00_3306);
						BgL_arg1579z00_3305 = BgL_res2135z00_3311;
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1120z00_3113)), BgL_arg1579z00_3305);
			}
			{	/* Dataflow/walk.scm 37 */
				BgL_objectz00_bglt BgL_tmpz00_3721;

				BgL_tmpz00_3721 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1120z00_3113));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3721, BFALSE);
			}
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1120z00_3113));
		}
	}



/* &<anonymous:1569> */
	obj_t BGl_z62zc3anonymousza31569ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_3114, obj_t BgL_new1119z00_3115)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 37 */
			{
				BgL_localz00_bglt BgL_new1119z00_1803;

				{
					BgL_localz00_bglt BgL_auxz00_3727;

					BgL_new1119z00_1803 = ((BgL_localz00_bglt) BgL_new1119z00_3115);
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1119z00_1803)))->BgL_idz00) =
						((obj_t) CNST_TABLE_REF(((long) 10))), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1119z00_1803)))->BgL_namez00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_typez00_bglt BgL_auxz00_3733;

						{	/* Dataflow/walk.scm 37 */
							obj_t BgL_classz00_2763;

							BgL_classz00_2763 = BGl_typez00zztype_typez00;
							{	/* Dataflow/walk.scm 37 */
								obj_t BgL__ortest_1101z00_2764;

								BgL__ortest_1101z00_2764 = BGL_CLASS_NIL(BgL_classz00_2763);
								if (CBOOL(BgL__ortest_1101z00_2764))
									{	/* Dataflow/walk.scm 37 */
										BgL_auxz00_3733 =
											((BgL_typez00_bglt) BgL__ortest_1101z00_2764);
									}
								else
									{	/* Dataflow/walk.scm 37 */
										BgL_auxz00_3733 =
											((BgL_typez00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2763));
									}
							}
						}
						((((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_new1119z00_1803)))->
								BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3733), BUNSPEC);
					}
					{
						BgL_valuez00_bglt BgL_auxz00_3742;

						{	/* Dataflow/walk.scm 37 */
							obj_t BgL_classz00_2765;

							BgL_classz00_2765 = BGl_valuez00zzast_varz00;
							{	/* Dataflow/walk.scm 37 */
								obj_t BgL__ortest_1101z00_2766;

								BgL__ortest_1101z00_2766 = BGL_CLASS_NIL(BgL_classz00_2765);
								if (CBOOL(BgL__ortest_1101z00_2766))
									{	/* Dataflow/walk.scm 37 */
										BgL_auxz00_3742 =
											((BgL_valuez00_bglt) BgL__ortest_1101z00_2766);
									}
								else
									{	/* Dataflow/walk.scm 37 */
										BgL_auxz00_3742 =
											((BgL_valuez00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2765));
									}
							}
						}
						((((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_new1119z00_1803)))->
								BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_3742), BUNSPEC);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1119z00_1803)))->
							BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1119z00_1803)))->BgL_fastzd2alphazd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1119z00_1803)))->BgL_removablez00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1119z00_1803)))->BgL_occurrencez00) =
						((long) ((long) 0)), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1119z00_1803)))->BgL_occurrencewz00) =
						((long) ((long) 0)), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1119z00_1803)))->BgL_userzf3zf3) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
										BgL_new1119z00_1803)))->BgL_keyz00) =
						((long) ((long) 0)), BUNSPEC);
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_3765;

						{
							obj_t BgL_auxz00_3766;

							{	/* Dataflow/walk.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_3767;

								BgL_tmpz00_3767 = ((BgL_objectz00_bglt) BgL_new1119z00_1803);
								BgL_auxz00_3766 = BGL_OBJECT_WIDENING(BgL_tmpz00_3767);
							}
							BgL_auxz00_3765 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_3766);
						}
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_3765))->
								BgL_stampz00) = ((int) (int) (((long) 0))), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3779;
						BgL_localzf2valuezf2_bglt BgL_auxz00_3773;

						{	/* Dataflow/walk.scm 37 */
							obj_t BgL_classz00_2767;

							BgL_classz00_2767 = BGl_nodez00zzast_nodez00;
							{	/* Dataflow/walk.scm 37 */
								obj_t BgL__ortest_1101z00_2768;

								BgL__ortest_1101z00_2768 = BGL_CLASS_NIL(BgL_classz00_2767);
								if (CBOOL(BgL__ortest_1101z00_2768))
									{	/* Dataflow/walk.scm 37 */
										BgL_auxz00_3779 =
											((BgL_nodez00_bglt) BgL__ortest_1101z00_2768);
									}
								else
									{	/* Dataflow/walk.scm 37 */
										BgL_auxz00_3779 =
											((BgL_nodez00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2767));
									}
							}
						}
						{
							obj_t BgL_auxz00_3774;

							{	/* Dataflow/walk.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_3775;

								BgL_tmpz00_3775 = ((BgL_objectz00_bglt) BgL_new1119z00_1803);
								BgL_auxz00_3774 = BGL_OBJECT_WIDENING(BgL_tmpz00_3775);
							}
							BgL_auxz00_3773 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_3774);
						}
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_3773))->
								BgL_nodez00) = ((BgL_nodez00_bglt) BgL_auxz00_3779), BUNSPEC);
					}
					BgL_auxz00_3727 = BgL_new1119z00_1803;
					return ((obj_t) BgL_auxz00_3727);
				}
			}
		}
	}



/* &lambda1561 */
	BgL_localz00_bglt BGl_z62lambda1561z62zzdataflow_walkz00(obj_t
		BgL_envz00_3116, obj_t BgL_o1116z00_3117)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				BgL_localzf2valuezf2_bglt BgL_wide1118z00_3320;

				BgL_wide1118z00_3320 =
					((BgL_localzf2valuezf2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_localzf2valuezf2_bgl))));
				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_auxz00_3794;
					BgL_objectz00_bglt BgL_tmpz00_3790;

					BgL_auxz00_3794 = ((obj_t) BgL_wide1118z00_3320);
					BgL_tmpz00_3790 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1116z00_3117)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3790, BgL_auxz00_3794);
				}
				{	/* Dataflow/walk.scm 37 */
					long BgL_arg1568z00_3321;

					{	/* Dataflow/walk.scm 37 */
						long BgL_res2132z00_3322;

						BgL_res2132z00_3322 =
							BGL_CLASS_INDEX(BGl_localzf2valuezf2zzdataflow_walkz00);
						BgL_arg1568z00_3321 = BgL_res2132z00_3322;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1116z00_3117))), BgL_arg1568z00_3321);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1116z00_3117)));
			}
		}
	}



/* &lambda1556 */
	BgL_localz00_bglt BGl_z62lambda1556z62zzdataflow_walkz00(obj_t
		BgL_envz00_3118, obj_t BgL_id1103z00_3119, obj_t BgL_name1104z00_3120,
		obj_t BgL_type1105z00_3121, obj_t BgL_value1106z00_3122,
		obj_t BgL_access1107z00_3123, obj_t BgL_fastzd2alpha1108zd2_3124,
		obj_t BgL_removable1109z00_3125, obj_t BgL_occurrence1110z00_3126,
		obj_t BgL_occurrencew1111z00_3127, obj_t BgL_userzf31112zf3_3128,
		obj_t BgL_key1113z00_3129, obj_t BgL_stamp1114z00_3130,
		obj_t BgL_node1115z00_3131)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				long BgL_occurrence1110z00_3326;
				long BgL_occurrencew1111z00_3327;
				bool_t BgL_userzf31112zf3_3328;
				long BgL_key1113z00_3329;
				int BgL_stamp1114z00_3330;

				BgL_occurrence1110z00_3326 = (long) CINT(BgL_occurrence1110z00_3126);
				BgL_occurrencew1111z00_3327 = (long) CINT(BgL_occurrencew1111z00_3127);
				BgL_userzf31112zf3_3328 = CBOOL(BgL_userzf31112zf3_3128);
				BgL_key1113z00_3329 = (long) CINT(BgL_key1113z00_3129);
				BgL_stamp1114z00_3330 = CINT(BgL_stamp1114z00_3130);
				{	/* Dataflow/walk.scm 37 */
					BgL_localz00_bglt BgL_new1193z00_3332;

					{	/* Dataflow/walk.scm 37 */
						BgL_localz00_bglt BgL_tmp1191z00_3333;
						BgL_localzf2valuezf2_bglt BgL_wide1192z00_3334;

						{
							BgL_localz00_bglt BgL_auxz00_3810;

							{	/* Dataflow/walk.scm 37 */
								BgL_localz00_bglt BgL_new1190z00_3335;

								BgL_new1190z00_3335 =
									((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Dataflow/walk.scm 37 */
									long BgL_arg1560z00_3336;

									{	/* Dataflow/walk.scm 37 */
										long BgL_res2130z00_3337;

										BgL_res2130z00_3337 =
											BGL_CLASS_INDEX(BGl_localz00zzast_varz00);
										BgL_arg1560z00_3336 = BgL_res2130z00_3337;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1190z00_3335),
										BgL_arg1560z00_3336);
								}
								{	/* Dataflow/walk.scm 37 */
									BgL_objectz00_bglt BgL_tmpz00_3815;

									BgL_tmpz00_3815 = ((BgL_objectz00_bglt) BgL_new1190z00_3335);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3815, BFALSE);
								}
								BgL_auxz00_3810 = BgL_new1190z00_3335;
							}
							BgL_tmp1191z00_3333 = ((BgL_localz00_bglt) BgL_auxz00_3810);
						}
						BgL_wide1192z00_3334 =
							((BgL_localzf2valuezf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2valuezf2_bgl))));
						{	/* Dataflow/walk.scm 37 */
							obj_t BgL_auxz00_3822;
							BgL_objectz00_bglt BgL_tmpz00_3820;

							BgL_auxz00_3822 = ((obj_t) BgL_wide1192z00_3334);
							BgL_tmpz00_3820 = ((BgL_objectz00_bglt) BgL_tmp1191z00_3333);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3820, BgL_auxz00_3822);
						}
						{	/* Dataflow/walk.scm 37 */
							long BgL_arg1557z00_3338;

							{	/* Dataflow/walk.scm 37 */
								long BgL_res2131z00_3339;

								BgL_res2131z00_3339 =
									BGL_CLASS_INDEX(BGl_localzf2valuezf2zzdataflow_walkz00);
								BgL_arg1557z00_3338 = BgL_res2131z00_3339;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1191z00_3333),
								BgL_arg1557z00_3338);
						}
						BgL_new1193z00_3332 = ((BgL_localz00_bglt) BgL_tmp1191z00_3333);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1193z00_3332)))->BgL_idz00) =
						((obj_t) BgL_id1103z00_3119), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1193z00_3332)))->BgL_namez00) =
						((obj_t) BgL_name1104z00_3120), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1193z00_3332)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1105z00_3121)),
						BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1193z00_3332)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1106z00_3122)),
						BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1193z00_3332)))->BgL_accessz00) =
						((obj_t) BgL_access1107z00_3123), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1193z00_3332)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1108zd2_3124), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1193z00_3332)))->BgL_removablez00) =
						((obj_t) BgL_removable1109z00_3125), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1193z00_3332)))->BgL_occurrencez00) =
						((long) BgL_occurrence1110z00_3326), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1193z00_3332)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1111z00_3327), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1193z00_3332)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31112zf3_3328), BUNSPEC);
					((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
										BgL_new1193z00_3332)))->BgL_keyz00) =
						((long) BgL_key1113z00_3329), BUNSPEC);
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_3853;

						{
							obj_t BgL_auxz00_3854;

							{	/* Dataflow/walk.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_3855;

								BgL_tmpz00_3855 = ((BgL_objectz00_bglt) BgL_new1193z00_3332);
								BgL_auxz00_3854 = BGL_OBJECT_WIDENING(BgL_tmpz00_3855);
							}
							BgL_auxz00_3853 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_3854);
						}
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_3853))->
								BgL_stampz00) = ((int) BgL_stamp1114z00_3330), BUNSPEC);
					}
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_3860;

						{
							obj_t BgL_auxz00_3861;

							{	/* Dataflow/walk.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_3862;

								BgL_tmpz00_3862 = ((BgL_objectz00_bglt) BgL_new1193z00_3332);
								BgL_auxz00_3861 = BGL_OBJECT_WIDENING(BgL_tmpz00_3862);
							}
							BgL_auxz00_3860 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_3861);
						}
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_3860))->
								BgL_nodez00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_node1115z00_3131)),
							BUNSPEC);
					}
					return BgL_new1193z00_3332;
				}
			}
		}
	}



/* &lambda1601 */
	obj_t BGl_z62lambda1601z62zzdataflow_walkz00(obj_t BgL_envz00_3132,
		obj_t BgL_oz00_3133, obj_t BgL_vz00_3134)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 37 */
			{
				BgL_localzf2valuezf2_bglt BgL_auxz00_3868;

				{
					obj_t BgL_auxz00_3869;

					{	/* Dataflow/walk.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_3870;

						BgL_tmpz00_3870 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3133));
						BgL_auxz00_3869 = BGL_OBJECT_WIDENING(BgL_tmpz00_3870);
					}
					BgL_auxz00_3868 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_3869);
				}
				return
					((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_3868))->BgL_nodez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_3134)), BUNSPEC);
			}
		}
	}



/* &lambda1600 */
	BgL_nodez00_bglt BGl_z62lambda1600z62zzdataflow_walkz00(obj_t BgL_envz00_3135,
		obj_t BgL_oz00_3136)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 37 */
			{
				BgL_localzf2valuezf2_bglt BgL_auxz00_3877;

				{
					obj_t BgL_auxz00_3878;

					{	/* Dataflow/walk.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_3879;

						BgL_tmpz00_3879 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3136));
						BgL_auxz00_3878 = BGL_OBJECT_WIDENING(BgL_tmpz00_3879);
					}
					BgL_auxz00_3877 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_3878);
				}
				return
					(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_3877))->BgL_nodez00);
			}
		}
	}



/* &lambda1593 */
	obj_t BGl_z62lambda1593z62zzdataflow_walkz00(obj_t BgL_envz00_3137,
		obj_t BgL_oz00_3138, obj_t BgL_vz00_3139)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				int BgL_vz00_3344;

				BgL_vz00_3344 = CINT(BgL_vz00_3139);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_3886;

					{
						obj_t BgL_auxz00_3887;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_3888;

							BgL_tmpz00_3888 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3138));
							BgL_auxz00_3887 = BGL_OBJECT_WIDENING(BgL_tmpz00_3888);
						}
						BgL_auxz00_3886 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_3887);
					}
					return
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_3886))->
							BgL_stampz00) = ((int) BgL_vz00_3344), BUNSPEC);
		}}}
	}



/* &lambda1592 */
	obj_t BGl_z62lambda1592z62zzdataflow_walkz00(obj_t BgL_envz00_3140,
		obj_t BgL_oz00_3141)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				int BgL_tmpz00_3894;

				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_3895;

					{
						obj_t BgL_auxz00_3896;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_3897;

							BgL_tmpz00_3897 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3141));
							BgL_auxz00_3896 = BGL_OBJECT_WIDENING(BgL_tmpz00_3897);
						}
						BgL_auxz00_3895 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_3896);
					}
					BgL_tmpz00_3894 =
						(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_3895))->BgL_stampz00);
				}
				return BINT(BgL_tmpz00_3894);
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_proc2231z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2232z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_proc2233z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2234z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_proc2235z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2236z00zzdataflow_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_proc2237z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2238z00zzdataflow_walkz00);
		}
	}



/* &abort?1430 */
	obj_t BGl_z62abortzf31430z91zzdataflow_walkz00(obj_t BgL_envz00_3146,
		obj_t BgL_nodez00_3147)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 428 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &dataflow-test-false-1423 */
	obj_t BGl_z62dataflowzd2testzd2falsezd21423zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3148, obj_t BgL_nodez00_3149)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 400 */
			return BNIL;
		}
	}



/* &dataflow-test-env1411 */
	obj_t BGl_z62dataflowzd2testzd2env1411z62zzdataflow_walkz00(obj_t
		BgL_envz00_3150, obj_t BgL_nodez00_3151)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 314 */
			return BNIL;
		}
	}



/* &dataflow-node!1363 */
	obj_t BGl_z62dataflowzd2nodez121363za2zzdataflow_walkz00(obj_t
		BgL_envz00_3152, obj_t BgL_nodez00_3153, obj_t BgL_envz00_3154)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 69 */
			return BgL_envz00_3154;
		}
	}



/* dataflow-node! */
	obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_59, obj_t BgL_envz00_60)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 69 */
			{	/* Dataflow/walk.scm 69 */
				obj_t BgL_method1370z00_1854;

				{	/* Dataflow/walk.scm 69 */
					obj_t BgL_res2142z00_2811;

					{	/* Dataflow/walk.scm 69 */
						long BgL_objzd2classzd2numz00_2784;

						{	/* Dataflow/walk.scm 69 */
							long BgL_res2136z00_2787;

							BgL_res2136z00_2787 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_59));
							BgL_objzd2classzd2numz00_2784 = BgL_res2136z00_2787;
						}
						{	/* Dataflow/walk.scm 69 */
							obj_t BgL_arg1718z00_2785;

							BgL_arg1718z00_2785 =
								PROCEDURE_REF(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 69 */
								int BgL_offsetz00_2789;

								BgL_offsetz00_2789 = (int) (BgL_objzd2classzd2numz00_2784);
								{	/* Dataflow/walk.scm 69 */
									long BgL_offsetz00_2790;

									BgL_offsetz00_2790 =
										((long) (BgL_offsetz00_2789) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 69 */
										long BgL_modz00_2791;

										{	/* Dataflow/walk.scm 69 */
											int BgL_arg1721z00_2792;

											BgL_arg1721z00_2792 = (int) (((long) 16));
											{	/* Dataflow/walk.scm 69 */
												long BgL_res2139z00_2802;

												{	/* Dataflow/walk.scm 69 */
													long BgL_tmpz00_3917;

													BgL_tmpz00_3917 = (long) (BgL_arg1721z00_2792);
													BgL_res2139z00_2802 =
														(BgL_offsetz00_2790 / BgL_tmpz00_3917);
												}
												BgL_modz00_2791 = BgL_res2139z00_2802;
										}}
										{	/* Dataflow/walk.scm 69 */
											long BgL_restz00_2793;

											{	/* Dataflow/walk.scm 69 */
												int BgL_arg1719z00_2794;

												BgL_arg1719z00_2794 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 69 */
													long BgL_res2141z00_2806;

													{	/* Dataflow/walk.scm 69 */
														long BgL_tmpz00_3921;

														BgL_tmpz00_3921 = (long) (BgL_arg1719z00_2794);
														BgL_res2141z00_2806 =
															(BgL_offsetz00_2790 % BgL_tmpz00_3921);
													}
													BgL_restz00_2793 = BgL_res2141z00_2806;
											}}
											{	/* Dataflow/walk.scm 69 */

												BgL_res2142z00_2811 =
													VECTOR_REF(VECTOR_REF(BgL_arg1718z00_2785,
														(int) (BgL_modz00_2791)), (int) (BgL_restz00_2793));
					}}}}}}}
					BgL_method1370z00_1854 = BgL_res2142z00_2811;
				}
				return
					PROCEDURE_ENTRY(BgL_method1370z00_1854) (BgL_method1370z00_1854,
					((obj_t) BgL_nodez00_59), BgL_envz00_60, BEOA);
			}
		}
	}



/* &dataflow-node! */
	obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t BgL_envz00_3155,
		obj_t BgL_nodez00_3156, obj_t BgL_envz00_3157)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 69 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3156), BgL_envz00_3157);
		}
	}



/* dataflow-test-env */
	obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_101)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 314 */
			{	/* Dataflow/walk.scm 314 */
				obj_t BgL_method1412z00_1855;

				{	/* Dataflow/walk.scm 314 */
					obj_t BgL_res2149z00_2840;

					{	/* Dataflow/walk.scm 314 */
						long BgL_objzd2classzd2numz00_2813;

						{	/* Dataflow/walk.scm 314 */
							long BgL_res2143z00_2816;

							BgL_res2143z00_2816 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_101));
							BgL_objzd2classzd2numz00_2813 = BgL_res2143z00_2816;
						}
						{	/* Dataflow/walk.scm 314 */
							obj_t BgL_arg1718z00_2814;

							BgL_arg1718z00_2814 =
								PROCEDURE_REF
								(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 314 */
								int BgL_offsetz00_2818;

								BgL_offsetz00_2818 = (int) (BgL_objzd2classzd2numz00_2813);
								{	/* Dataflow/walk.scm 314 */
									long BgL_offsetz00_2819;

									BgL_offsetz00_2819 =
										((long) (BgL_offsetz00_2818) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 314 */
										long BgL_modz00_2820;

										{	/* Dataflow/walk.scm 314 */
											int BgL_arg1721z00_2821;

											BgL_arg1721z00_2821 = (int) (((long) 16));
											{	/* Dataflow/walk.scm 314 */
												long BgL_res2146z00_2831;

												{	/* Dataflow/walk.scm 314 */
													long BgL_tmpz00_3944;

													BgL_tmpz00_3944 = (long) (BgL_arg1721z00_2821);
													BgL_res2146z00_2831 =
														(BgL_offsetz00_2819 / BgL_tmpz00_3944);
												}
												BgL_modz00_2820 = BgL_res2146z00_2831;
										}}
										{	/* Dataflow/walk.scm 314 */
											long BgL_restz00_2822;

											{	/* Dataflow/walk.scm 314 */
												int BgL_arg1719z00_2823;

												BgL_arg1719z00_2823 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 314 */
													long BgL_res2148z00_2835;

													{	/* Dataflow/walk.scm 314 */
														long BgL_tmpz00_3948;

														BgL_tmpz00_3948 = (long) (BgL_arg1719z00_2823);
														BgL_res2148z00_2835 =
															(BgL_offsetz00_2819 % BgL_tmpz00_3948);
													}
													BgL_restz00_2822 = BgL_res2148z00_2835;
											}}
											{	/* Dataflow/walk.scm 314 */

												BgL_res2149z00_2840 =
													VECTOR_REF(VECTOR_REF(BgL_arg1718z00_2814,
														(int) (BgL_modz00_2820)), (int) (BgL_restz00_2822));
					}}}}}}}
					BgL_method1412z00_1855 = BgL_res2149z00_2840;
				}
				return
					PROCEDURE_ENTRY(BgL_method1412z00_1855) (BgL_method1412z00_1855,
					((obj_t) BgL_nodez00_101), BEOA);
			}
		}
	}



/* &dataflow-test-env */
	obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t BgL_envz00_3158,
		obj_t BgL_nodez00_3159)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 314 */
			return
				BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3159));
		}
	}



/* dataflow-test-false-env */
	obj_t BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_107)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 400 */
			{	/* Dataflow/walk.scm 400 */
				obj_t BgL_method1427z00_1856;

				{	/* Dataflow/walk.scm 400 */
					obj_t BgL_res2156z00_2869;

					{	/* Dataflow/walk.scm 400 */
						long BgL_objzd2classzd2numz00_2842;

						{	/* Dataflow/walk.scm 400 */
							long BgL_res2150z00_2845;

							BgL_res2150z00_2845 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_107));
							BgL_objzd2classzd2numz00_2842 = BgL_res2150z00_2845;
						}
						{	/* Dataflow/walk.scm 400 */
							obj_t BgL_arg1718z00_2843;

							BgL_arg1718z00_2843 =
								PROCEDURE_REF
								(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 400 */
								int BgL_offsetz00_2847;

								BgL_offsetz00_2847 = (int) (BgL_objzd2classzd2numz00_2842);
								{	/* Dataflow/walk.scm 400 */
									long BgL_offsetz00_2848;

									BgL_offsetz00_2848 =
										((long) (BgL_offsetz00_2847) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 400 */
										long BgL_modz00_2849;

										{	/* Dataflow/walk.scm 400 */
											int BgL_arg1721z00_2850;

											BgL_arg1721z00_2850 = (int) (((long) 16));
											{	/* Dataflow/walk.scm 400 */
												long BgL_res2153z00_2860;

												{	/* Dataflow/walk.scm 400 */
													long BgL_tmpz00_3970;

													BgL_tmpz00_3970 = (long) (BgL_arg1721z00_2850);
													BgL_res2153z00_2860 =
														(BgL_offsetz00_2848 / BgL_tmpz00_3970);
												}
												BgL_modz00_2849 = BgL_res2153z00_2860;
										}}
										{	/* Dataflow/walk.scm 400 */
											long BgL_restz00_2851;

											{	/* Dataflow/walk.scm 400 */
												int BgL_arg1719z00_2852;

												BgL_arg1719z00_2852 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 400 */
													long BgL_res2155z00_2864;

													{	/* Dataflow/walk.scm 400 */
														long BgL_tmpz00_3974;

														BgL_tmpz00_3974 = (long) (BgL_arg1719z00_2852);
														BgL_res2155z00_2864 =
															(BgL_offsetz00_2848 % BgL_tmpz00_3974);
													}
													BgL_restz00_2851 = BgL_res2155z00_2864;
											}}
											{	/* Dataflow/walk.scm 400 */

												BgL_res2156z00_2869 =
													VECTOR_REF(VECTOR_REF(BgL_arg1718z00_2843,
														(int) (BgL_modz00_2849)), (int) (BgL_restz00_2851));
					}}}}}}}
					BgL_method1427z00_1856 = BgL_res2156z00_2869;
				}
				return
					PROCEDURE_ENTRY(BgL_method1427z00_1856) (BgL_method1427z00_1856,
					((obj_t) BgL_nodez00_107), BEOA);
			}
		}
	}



/* &dataflow-test-false-env */
	obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t
		BgL_envz00_3160, obj_t BgL_nodez00_3161)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 400 */
			return
				BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3161));
		}
	}



/* abort? */
	obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt BgL_nodez00_109)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 428 */
			{	/* Dataflow/walk.scm 428 */
				obj_t BgL_method1431z00_1857;

				{	/* Dataflow/walk.scm 428 */
					obj_t BgL_res2163z00_2898;

					{	/* Dataflow/walk.scm 428 */
						long BgL_objzd2classzd2numz00_2871;

						{	/* Dataflow/walk.scm 428 */
							long BgL_res2157z00_2874;

							BgL_res2157z00_2874 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_109));
							BgL_objzd2classzd2numz00_2871 = BgL_res2157z00_2874;
						}
						{	/* Dataflow/walk.scm 428 */
							obj_t BgL_arg1718z00_2872;

							BgL_arg1718z00_2872 =
								PROCEDURE_REF(BGl_abortzf3zd2envz21zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 428 */
								int BgL_offsetz00_2876;

								BgL_offsetz00_2876 = (int) (BgL_objzd2classzd2numz00_2871);
								{	/* Dataflow/walk.scm 428 */
									long BgL_offsetz00_2877;

									BgL_offsetz00_2877 =
										((long) (BgL_offsetz00_2876) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 428 */
										long BgL_modz00_2878;

										{	/* Dataflow/walk.scm 428 */
											int BgL_arg1721z00_2879;

											BgL_arg1721z00_2879 = (int) (((long) 16));
											{	/* Dataflow/walk.scm 428 */
												long BgL_res2160z00_2889;

												{	/* Dataflow/walk.scm 428 */
													long BgL_tmpz00_3996;

													BgL_tmpz00_3996 = (long) (BgL_arg1721z00_2879);
													BgL_res2160z00_2889 =
														(BgL_offsetz00_2877 / BgL_tmpz00_3996);
												}
												BgL_modz00_2878 = BgL_res2160z00_2889;
										}}
										{	/* Dataflow/walk.scm 428 */
											long BgL_restz00_2880;

											{	/* Dataflow/walk.scm 428 */
												int BgL_arg1719z00_2881;

												BgL_arg1719z00_2881 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 428 */
													long BgL_res2162z00_2893;

													{	/* Dataflow/walk.scm 428 */
														long BgL_tmpz00_4000;

														BgL_tmpz00_4000 = (long) (BgL_arg1719z00_2881);
														BgL_res2162z00_2893 =
															(BgL_offsetz00_2877 % BgL_tmpz00_4000);
													}
													BgL_restz00_2880 = BgL_res2162z00_2893;
											}}
											{	/* Dataflow/walk.scm 428 */

												BgL_res2163z00_2898 =
													VECTOR_REF(VECTOR_REF(BgL_arg1718z00_2872,
														(int) (BgL_modz00_2878)), (int) (BgL_restz00_2880));
					}}}}}}}
					BgL_method1431z00_1857 = BgL_res2163z00_2898;
				}
				return
					PROCEDURE_ENTRY(BgL_method1431z00_1857) (BgL_method1431z00_1857,
					((obj_t) BgL_nodez00_109), BEOA);
			}
		}
	}



/* &abort? */
	obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t BgL_envz00_3162,
		obj_t BgL_nodez00_3163)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 428 */
			return
				BGl_abortzf3zf3zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3163));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2239z00zzdataflow_walkz00,
				BGl_string2240z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_closurez00zzast_nodez00, BGl_proc2241z00zzdataflow_walkz00,
				BGl_string2240z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2242z00zzdataflow_walkz00,
				BGl_string2240z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2243z00zzdataflow_walkz00,
				BGl_string2240z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2244z00zzdataflow_walkz00,
				BGl_string2240z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2245z00zzdataflow_walkz00,
				BGl_string2240z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2246z00zzdataflow_walkz00,
				BGl_string2240z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2247z00zzdataflow_walkz00,
				BGl_string2240z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2248z00zzdataflow_walkz00,
				BGl_string2240z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2249z00zzdataflow_walkz00,
				BGl_string2240z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2250z00zzdataflow_walkz00,
				BGl_string2240z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_selectz00zzast_nodez00, BGl_proc2251z00zzdataflow_walkz00,
				BGl_string2240z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2252z00zzdataflow_walkz00,
				BGl_string2240z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2253z00zzdataflow_walkz00,
				BGl_string2240z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2254z00zzdataflow_walkz00,
				BGl_string2240z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2255z00zzdataflow_walkz00,
				BGl_string2240z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2256z00zzdataflow_walkz00,
				BGl_string2240z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2257z00zzdataflow_walkz00,
				BGl_string2240z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2258z00zzdataflow_walkz00,
				BGl_string2240z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2259z00zzdataflow_walkz00,
				BGl_string2260z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc2261z00zzdataflow_walkz00,
				BGl_string2260z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2262z00zzdataflow_walkz00,
				BGl_string2260z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2263z00zzdataflow_walkz00,
				BGl_string2260z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2264z00zzdataflow_walkz00,
				BGl_string2260z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2265z00zzdataflow_walkz00,
				BGl_string2266z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2267z00zzdataflow_walkz00, BGl_string2268z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2269z00zzdataflow_walkz00, BGl_string2268z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2270z00zzdataflow_walkz00, BGl_string2268z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2271z00zzdataflow_walkz00, BGl_string2268z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2272z00zzdataflow_walkz00, BGl_string2268z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2273z00zzdataflow_walkz00,
				BGl_string2268z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2274z00zzdataflow_walkz00, BGl_string2268z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2275z00zzdataflow_walkz00, BGl_string2268z00zzdataflow_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2276z00zzdataflow_walkz00, BGl_string2268z00zzdataflow_walkz00);
		}
	}



/* &abort?-app-ly1449 */
	obj_t BGl_z62abortzf3zd2appzd2ly1449z91zzdataflow_walkz00(obj_t
		BgL_envz00_3199, obj_t BgL_nodez00_3200)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 489 */
			{	/* Dataflow/walk.scm 491 */
				obj_t BgL__ortest_1189z00_3352;

				BgL__ortest_1189z00_3352 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_appzd2lyzd2_bglt) CREF(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3200)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1189z00_3352))
					{	/* Dataflow/walk.scm 491 */
						return BgL__ortest_1189z00_3352;
					}
				else
					{	/* Dataflow/walk.scm 491 */
						return
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_appzd2lyzd2_bglt) CREF(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_3200)))->BgL_argz00));
					}
			}
		}
	}



/* &abort?-funcall1447 */
	obj_t BGl_z62abortzf3zd2funcall1447z43zzdataflow_walkz00(obj_t
		BgL_envz00_3201, obj_t BgL_nodez00_3202)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 482 */
			{	/* Dataflow/walk.scm 484 */
				obj_t BgL__ortest_1187z00_3354;

				BgL__ortest_1187z00_3354 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_funcallz00_bglt) CREF(
								((BgL_funcallz00_bglt) BgL_nodez00_3202)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1187z00_3354))
					{	/* Dataflow/walk.scm 484 */
						return BgL__ortest_1187z00_3354;
					}
				else
					{	/* Dataflow/walk.scm 484 */
						obj_t BgL_g1359z00_3355;

						BgL_g1359z00_3355 =
							(((BgL_funcallz00_bglt) CREF(
									((BgL_funcallz00_bglt) BgL_nodez00_3202)))->BgL_argsz00);
						{
							obj_t BgL_l1357z00_3357;

							BgL_l1357z00_3357 = BgL_g1359z00_3355;
						BgL_zc3anonymousza32042ze3z83_3356:
							if (NULLP(BgL_l1357z00_3357))
								{	/* Dataflow/walk.scm 484 */
									return BFALSE;
								}
							else
								{	/* Dataflow/walk.scm 484 */
									obj_t BgL__ortest_1360z00_3358;

									{	/* Dataflow/walk.scm 484 */
										obj_t BgL_arg2045z00_3359;

										BgL_arg2045z00_3359 = CAR(BgL_l1357z00_3357);
										BgL__ortest_1360z00_3358 =
											BGl_abortzf3zf3zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2045z00_3359));
									}
									if (CBOOL(BgL__ortest_1360z00_3358))
										{	/* Dataflow/walk.scm 484 */
											return BgL__ortest_1360z00_3358;
										}
									else
										{
											obj_t BgL_l1357z00_4070;

											BgL_l1357z00_4070 = CDR(BgL_l1357z00_3357);
											BgL_l1357z00_3357 = BgL_l1357z00_4070;
											goto BgL_zc3anonymousza32042ze3z83_3356;
										}
								}
						}
					}
			}
		}
	}



/* &abort?-app1445 */
	obj_t BGl_z62abortzf3zd2app1445z43zzdataflow_walkz00(obj_t BgL_envz00_3203,
		obj_t BgL_nodez00_3204)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 475 */
			{	/* Dataflow/walk.scm 477 */
				obj_t BgL__ortest_1185z00_3361;

				{	/* Dataflow/walk.scm 477 */
					BgL_varz00_bglt BgL_arg2041z00_3362;

					BgL_arg2041z00_3362 =
						(((BgL_appz00_bglt) CREF(
								((BgL_appz00_bglt) BgL_nodez00_3204)))->BgL_funz00);
					BgL__ortest_1185z00_3361 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						((BgL_nodez00_bglt) BgL_arg2041z00_3362));
				}
				if (CBOOL(BgL__ortest_1185z00_3361))
					{	/* Dataflow/walk.scm 477 */
						return BgL__ortest_1185z00_3361;
					}
				else
					{	/* Dataflow/walk.scm 477 */
						obj_t BgL_g1355z00_3363;

						BgL_g1355z00_3363 =
							(((BgL_appz00_bglt) CREF(
									((BgL_appz00_bglt) BgL_nodez00_3204)))->BgL_argsz00);
						{
							obj_t BgL_l1353z00_3365;

							BgL_l1353z00_3365 = BgL_g1355z00_3363;
						BgL_zc3anonymousza32036ze3z83_3364:
							if (NULLP(BgL_l1353z00_3365))
								{	/* Dataflow/walk.scm 477 */
									return BFALSE;
								}
							else
								{	/* Dataflow/walk.scm 477 */
									obj_t BgL__ortest_1356z00_3366;

									{	/* Dataflow/walk.scm 477 */
										obj_t BgL_arg2040z00_3367;

										BgL_arg2040z00_3367 = CAR(BgL_l1353z00_3365);
										BgL__ortest_1356z00_3366 =
											BGl_abortzf3zf3zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2040z00_3367));
									}
									if (CBOOL(BgL__ortest_1356z00_3366))
										{	/* Dataflow/walk.scm 477 */
											return BgL__ortest_1356z00_3366;
										}
									else
										{
											obj_t BgL_l1353z00_4087;

											BgL_l1353z00_4087 = CDR(BgL_l1353z00_3365);
											BgL_l1353z00_3365 = BgL_l1353z00_4087;
											goto BgL_zc3anonymousza32036ze3z83_3364;
										}
								}
						}
					}
			}
		}
	}



/* &abort?-conditional1443 */
	obj_t BGl_z62abortzf3zd2conditional1443z43zzdataflow_walkz00(obj_t
		BgL_envz00_3205, obj_t BgL_nodez00_3206)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 468 */
			{	/* Dataflow/walk.scm 470 */
				obj_t BgL__ortest_1182z00_3369;

				BgL__ortest_1182z00_3369 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_conditionalz00_bglt) CREF(
								((BgL_conditionalz00_bglt) BgL_nodez00_3206)))->BgL_testz00));
				if (CBOOL(BgL__ortest_1182z00_3369))
					{	/* Dataflow/walk.scm 470 */
						return BgL__ortest_1182z00_3369;
					}
				else
					{	/* Dataflow/walk.scm 470 */
						obj_t BgL__andtest_1183z00_3370;

						BgL__andtest_1183z00_3370 =
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_conditionalz00_bglt) CREF(
										((BgL_conditionalz00_bglt) BgL_nodez00_3206)))->
								BgL_truez00));
						if (CBOOL(BgL__andtest_1183z00_3370))
							{	/* Dataflow/walk.scm 470 */
								return
									BGl_abortzf3zf3zzdataflow_walkz00(
									(((BgL_conditionalz00_bglt) CREF(
												((BgL_conditionalz00_bglt) BgL_nodez00_3206)))->
										BgL_falsez00));
							}
						else
							{	/* Dataflow/walk.scm 470 */
								return BFALSE;
							}
					}
			}
		}
	}



/* &abort?-let-fun1441 */
	obj_t BGl_z62abortzf3zd2letzd2fun1441z91zzdataflow_walkz00(obj_t
		BgL_envz00_3207, obj_t BgL_nodez00_3208)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 461 */
			return
				BGl_abortzf3zf3zzdataflow_walkz00(
				(((BgL_letzd2funzd2_bglt) CREF(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3208)))->BgL_bodyz00));
		}
	}



/* &abort?-let-var1439 */
	obj_t BGl_z62abortzf3zd2letzd2var1439z91zzdataflow_walkz00(obj_t
		BgL_envz00_3209, obj_t BgL_nodez00_3210)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 454 */
			{	/* Dataflow/walk.scm 456 */
				obj_t BgL__ortest_1179z00_3373;

				{	/* Dataflow/walk.scm 456 */
					obj_t BgL_g1351z00_3374;

					BgL_g1351z00_3374 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3210)))->BgL_bindingsz00);
					{
						obj_t BgL_l1349z00_3376;

						BgL_l1349z00_3376 = BgL_g1351z00_3374;
					BgL_zc3anonymousza32028ze3z83_3375:
						if (NULLP(BgL_l1349z00_3376))
							{	/* Dataflow/walk.scm 456 */
								BgL__ortest_1179z00_3373 = BFALSE;
							}
						else
							{	/* Dataflow/walk.scm 456 */
								obj_t BgL__ortest_1352z00_3377;

								{	/* Dataflow/walk.scm 456 */
									obj_t BgL_bz00_3378;

									BgL_bz00_3378 = CAR(BgL_l1349z00_3376);
									{	/* Dataflow/walk.scm 456 */
										obj_t BgL_arg2031z00_3379;

										BgL_arg2031z00_3379 = CDR(BgL_bz00_3378);
										BgL__ortest_1352z00_3377 =
											BGl_abortzf3zf3zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2031z00_3379));
									}
								}
								if (CBOOL(BgL__ortest_1352z00_3377))
									{	/* Dataflow/walk.scm 456 */
										BgL__ortest_1179z00_3373 = BgL__ortest_1352z00_3377;
									}
								else
									{
										obj_t BgL_l1349z00_4115;

										BgL_l1349z00_4115 = CDR(BgL_l1349z00_3376);
										BgL_l1349z00_3376 = BgL_l1349z00_4115;
										goto BgL_zc3anonymousza32028ze3z83_3375;
									}
							}
					}
				}
				if (CBOOL(BgL__ortest_1179z00_3373))
					{	/* Dataflow/walk.scm 456 */
						return BgL__ortest_1179z00_3373;
					}
				else
					{	/* Dataflow/walk.scm 456 */
						return
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_letzd2varzd2_bglt) CREF(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_3210)))->BgL_bodyz00));
					}
			}
		}
	}



/* &abort?-sync1437 */
	obj_t BGl_z62abortzf3zd2sync1437z43zzdataflow_walkz00(obj_t BgL_envz00_3211,
		obj_t BgL_nodez00_3212)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 446 */
			{	/* Dataflow/walk.scm 447 */
				obj_t BgL__ortest_1176z00_3381;

				BgL__ortest_1176z00_3381 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_syncz00_bglt) CREF(
								((BgL_syncz00_bglt) BgL_nodez00_3212)))->BgL_mutexz00));
				if (CBOOL(BgL__ortest_1176z00_3381))
					{	/* Dataflow/walk.scm 447 */
						return BgL__ortest_1176z00_3381;
					}
				else
					{	/* Dataflow/walk.scm 448 */
						obj_t BgL__ortest_1177z00_3382;

						BgL__ortest_1177z00_3382 =
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_syncz00_bglt) CREF(
										((BgL_syncz00_bglt) BgL_nodez00_3212)))->BgL_prelockz00));
						if (CBOOL(BgL__ortest_1177z00_3382))
							{	/* Dataflow/walk.scm 448 */
								return BgL__ortest_1177z00_3382;
							}
						else
							{	/* Dataflow/walk.scm 448 */
								return
									BGl_abortzf3zf3zzdataflow_walkz00(
									(((BgL_syncz00_bglt) CREF(
												((BgL_syncz00_bglt) BgL_nodez00_3212)))->BgL_bodyz00));
							}
					}
			}
		}
	}



/* &abort?-sequence1435 */
	obj_t BGl_z62abortzf3zd2sequence1435z43zzdataflow_walkz00(obj_t
		BgL_envz00_3213, obj_t BgL_nodez00_3214)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 440 */
			{	/* Dataflow/walk.scm 441 */
				obj_t BgL_g1347z00_3384;

				BgL_g1347z00_3384 =
					(((BgL_sequencez00_bglt) CREF(
							((BgL_sequencez00_bglt) BgL_nodez00_3214)))->BgL_nodesz00);
				{
					obj_t BgL_l1345z00_3386;

					BgL_l1345z00_3386 = BgL_g1347z00_3384;
				BgL_zc3anonymousza32020ze3z83_3385:
					if (NULLP(BgL_l1345z00_3386))
						{	/* Dataflow/walk.scm 441 */
							return BFALSE;
						}
					else
						{	/* Dataflow/walk.scm 441 */
							obj_t BgL__ortest_1348z00_3387;

							{	/* Dataflow/walk.scm 441 */
								obj_t BgL_arg2023z00_3388;

								BgL_arg2023z00_3388 = CAR(BgL_l1345z00_3386);
								BgL__ortest_1348z00_3387 =
									BGl_abortzf3zf3zzdataflow_walkz00(
									((BgL_nodez00_bglt) BgL_arg2023z00_3388));
							}
							if (CBOOL(BgL__ortest_1348z00_3387))
								{	/* Dataflow/walk.scm 441 */
									return BgL__ortest_1348z00_3387;
								}
							else
								{
									obj_t BgL_l1345z00_4144;

									BgL_l1345z00_4144 = CDR(BgL_l1345z00_3386);
									BgL_l1345z00_3386 = BgL_l1345z00_4144;
									goto BgL_zc3anonymousza32020ze3z83_3385;
								}
						}
				}
			}
		}
	}



/* &abort?-fail1433 */
	obj_t BGl_z62abortzf3zd2fail1433z43zzdataflow_walkz00(obj_t BgL_envz00_3215,
		obj_t BgL_nodez00_3216)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 434 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &dataflow-test-false-1429 */
	obj_t BGl_z62dataflowzd2testzd2falsezd21429zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3217, obj_t BgL_nodez00_3218)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 406 */
			{	/* Dataflow/walk.scm 408 */
				BgL_variablez00_bglt BgL_fz00_3391;

				BgL_fz00_3391 =
					(((BgL_varz00_bglt) CREF(
							(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3218)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Dataflow/walk.scm 409 */

					{	/* Dataflow/walk.scm 410 */
						bool_t BgL_testz00_4150;

						{	/* Dataflow/walk.scm 410 */
							bool_t BgL_testz00_4151;

							{	/* Dataflow/walk.scm 410 */
								obj_t BgL_tmpz00_4152;

								BgL_tmpz00_4152 =
									(((BgL_appz00_bglt) CREF(
											((BgL_appz00_bglt) BgL_nodez00_3218)))->BgL_argsz00);
								BgL_testz00_4151 = PAIRP(BgL_tmpz00_4152);
							}
							if (BgL_testz00_4151)
								{	/* Dataflow/walk.scm 410 */
									if (NULLP(CDR(
												(((BgL_appz00_bglt) CREF(
															((BgL_appz00_bglt) BgL_nodez00_3218)))->
													BgL_argsz00))))
										{	/* Dataflow/walk.scm 411 */
											bool_t BgL_testz00_4161;

											{	/* Dataflow/walk.scm 411 */
												obj_t BgL_arg2013z00_3392;

												BgL_arg2013z00_3392 =
													CAR(
													(((BgL_appz00_bglt) CREF(
																((BgL_appz00_bglt) BgL_nodez00_3218)))->
														BgL_argsz00));
												BgL_testz00_4161 =
													BGl_isazf3zf3zz__objectz00(BgL_arg2013z00_3392,
													BGl_varz00zzast_nodez00);
											}
											if (BgL_testz00_4161)
												{	/* Dataflow/walk.scm 412 */
													BgL_typez00_bglt BgL_arg2008z00_3393;

													{
														BgL_variablez00_bglt BgL_auxz00_4166;

														{
															BgL_varz00_bglt BgL_auxz00_4167;

															{	/* Dataflow/walk.scm 412 */
																obj_t BgL_pairz00_3394;

																BgL_pairz00_3394 =
																	(((BgL_appz00_bglt) CREF(
																			((BgL_appz00_bglt) BgL_nodez00_3218)))->
																	BgL_argsz00);
																BgL_auxz00_4167 =
																	((BgL_varz00_bglt) CAR(BgL_pairz00_3394));
															}
															BgL_auxz00_4166 =
																(((BgL_varz00_bglt) CREF(BgL_auxz00_4167))->
																BgL_variablez00);
														}
														BgL_arg2008z00_3393 =
															(((BgL_variablez00_bglt) CREF(BgL_auxz00_4166))->
															BgL_typez00);
													}
													BgL_testz00_4150 =
														(
														((obj_t) BgL_arg2008z00_3393) ==
														BGl_za2pairzd2nilza2zd2zztype_cachez00);
												}
											else
												{	/* Dataflow/walk.scm 411 */
													BgL_testz00_4150 = ((bool_t) 0);
												}
										}
									else
										{	/* Dataflow/walk.scm 410 */
											BgL_testz00_4150 = ((bool_t) 0);
										}
								}
							else
								{	/* Dataflow/walk.scm 410 */
									BgL_testz00_4150 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_4150)
							{	/* Dataflow/walk.scm 410 */
								if (
									(((obj_t) BgL_fz00_3391) ==
										BGl_za2z42nullzf3za2zb1zzdataflow_walkz00))
									{	/* Dataflow/walk.scm 415 */
										obj_t BgL_arg1993z00_3395;

										{	/* Dataflow/walk.scm 415 */
											BgL_variablez00_bglt BgL_arg1996z00_3396;

											{
												BgL_varz00_bglt BgL_auxz00_4179;

												{	/* Dataflow/walk.scm 415 */
													obj_t BgL_pairz00_3397;

													BgL_pairz00_3397 =
														(((BgL_appz00_bglt) CREF(
																((BgL_appz00_bglt) BgL_nodez00_3218)))->
														BgL_argsz00);
													BgL_auxz00_4179 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_3397));
												}
												BgL_arg1996z00_3396 =
													(((BgL_varz00_bglt) CREF(BgL_auxz00_4179))->
													BgL_variablez00);
											}
											BgL_arg1993z00_3395 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg1996z00_3396),
												BGl_za2pairza2z00zztype_cachez00);
										}
										{	/* Dataflow/walk.scm 415 */
											obj_t BgL_list1994z00_3398;

											BgL_list1994z00_3398 =
												MAKE_YOUNG_PAIR(BgL_arg1993z00_3395, BNIL);
											return BgL_list1994z00_3398;
										}
									}
								else
									{	/* Dataflow/walk.scm 416 */
										bool_t BgL_testz00_4188;

										if (
											(((obj_t) BgL_fz00_3391) ==
												BGl_za2z42pairzf3za2zb1zzdataflow_walkz00))
											{	/* Dataflow/walk.scm 416 */
												BgL_testz00_4188 = ((bool_t) 1);
											}
										else
											{	/* Dataflow/walk.scm 416 */
												BgL_testz00_4188 =
													(
													((obj_t) BgL_fz00_3391) ==
													BGl_za2z42epairzf3za2zb1zzdataflow_walkz00);
											}
										if (BgL_testz00_4188)
											{	/* Dataflow/walk.scm 417 */
												obj_t BgL_arg2003z00_3399;

												{	/* Dataflow/walk.scm 417 */
													BgL_variablez00_bglt BgL_arg2005z00_3400;

													{
														BgL_varz00_bglt BgL_auxz00_4194;

														{	/* Dataflow/walk.scm 417 */
															obj_t BgL_pairz00_3401;

															BgL_pairz00_3401 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_nodez00_3218)))->
																BgL_argsz00);
															BgL_auxz00_4194 =
																((BgL_varz00_bglt) CAR(BgL_pairz00_3401));
														}
														BgL_arg2005z00_3400 =
															(((BgL_varz00_bglt) CREF(BgL_auxz00_4194))->
															BgL_variablez00);
													}
													BgL_arg2003z00_3399 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg2005z00_3400),
														BGl_za2bnilza2z00zztype_cachez00);
												}
												{	/* Dataflow/walk.scm 417 */
													obj_t BgL_list2004z00_3402;

													BgL_list2004z00_3402 =
														MAKE_YOUNG_PAIR(BgL_arg2003z00_3399, BNIL);
													return BgL_list2004z00_3402;
												}
											}
										else
											{	/* Dataflow/walk.scm 416 */
												return BNIL;
											}
									}
							}
						else
							{	/* Dataflow/walk.scm 410 */
								return BNIL;
							}
					}
				}
			}
		}
	}



/* &dataflow-test-env-le1422 */
	obj_t BGl_z62dataflowzd2testzd2envzd2le1422zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3219, obj_t BgL_nodez00_3220)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 378 */
			{	/* Dataflow/walk.scm 380 */
				bool_t BgL_testz00_4203;

				{	/* Dataflow/walk.scm 380 */
					bool_t BgL_testz00_4204;

					{	/* Dataflow/walk.scm 380 */
						obj_t BgL_tmpz00_4205;

						BgL_tmpz00_4205 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_3220)))->
							BgL_bindingsz00);
						BgL_testz00_4204 = PAIRP(BgL_tmpz00_4205);
					}
					if (BgL_testz00_4204)
						{	/* Dataflow/walk.scm 380 */
							BgL_testz00_4203 =
								NULLP(CDR(
									(((BgL_letzd2varzd2_bglt) CREF(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_3220)))->
										BgL_bindingsz00)));
						}
					else
						{	/* Dataflow/walk.scm 380 */
							BgL_testz00_4203 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_4203)
					{	/* Dataflow/walk.scm 382 */
						bool_t BgL_testz00_4213;

						{	/* Dataflow/walk.scm 382 */
							obj_t BgL_arg1964z00_3404;

							{	/* Dataflow/walk.scm 382 */
								obj_t BgL_pairz00_3405;

								BgL_pairz00_3405 =
									(((BgL_letzd2varzd2_bglt) CREF(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_3220)))->
									BgL_bindingsz00);
								BgL_arg1964z00_3404 = CDR(CAR(BgL_pairz00_3405));
							}
							BgL_testz00_4213 =
								BGl_isazf3zf3zz__objectz00(BgL_arg1964z00_3404,
								BGl_varz00zzast_nodez00);
						}
						if (BgL_testz00_4213)
							{	/* Dataflow/walk.scm 383 */
								obj_t BgL_envz00_3406;

								BgL_envz00_3406 =
									BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
									(((BgL_letzd2varzd2_bglt) CREF(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_3220)))->
										BgL_bodyz00));
								{	/* Dataflow/walk.scm 384 */
									bool_t BgL_testz00_4222;

									if (NULLP(BgL_envz00_3406))
										{	/* Dataflow/walk.scm 384 */
											BgL_testz00_4222 = ((bool_t) 0);
										}
									else
										{	/* Dataflow/walk.scm 384 */
											if (NULLP(CDR(BgL_envz00_3406)))
												{	/* Dataflow/walk.scm 386 */
													obj_t BgL_tmpz00_4228;

													{	/* Dataflow/walk.scm 386 */
														obj_t BgL_pairz00_3407;

														BgL_pairz00_3407 =
															(((BgL_letzd2varzd2_bglt) CREF(
																	((BgL_letzd2varzd2_bglt) BgL_nodez00_3220)))->
															BgL_bindingsz00);
														BgL_tmpz00_4228 = CAR(CAR(BgL_pairz00_3407));
													}
													BgL_testz00_4222 =
														(CAR(CAR(BgL_envz00_3406)) == BgL_tmpz00_4228);
												}
											else
												{	/* Dataflow/walk.scm 385 */
													BgL_testz00_4222 = ((bool_t) 0);
												}
										}
									if (BgL_testz00_4222)
										{	/* Dataflow/walk.scm 387 */
											obj_t BgL_arg1922z00_3408;

											{	/* Dataflow/walk.scm 387 */
												BgL_variablez00_bglt BgL_arg1924z00_3409;
												obj_t BgL_arg1925z00_3410;

												{
													BgL_varz00_bglt BgL_auxz00_4236;

													{
														obj_t BgL_auxz00_4237;

														{	/* Dataflow/walk.scm 387 */
															obj_t BgL_pairz00_3411;

															BgL_pairz00_3411 =
																(((BgL_letzd2varzd2_bglt) CREF(
																		((BgL_letzd2varzd2_bglt)
																			BgL_nodez00_3220)))->BgL_bindingsz00);
															{	/* Dataflow/walk.scm 387 */
																obj_t BgL_pairz00_3412;

																BgL_pairz00_3412 = CAR(BgL_pairz00_3411);
																BgL_auxz00_4237 = CDR(BgL_pairz00_3412);
															}
														}
														BgL_auxz00_4236 =
															((BgL_varz00_bglt) BgL_auxz00_4237);
													}
													BgL_arg1924z00_3409 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_4236))->
														BgL_variablez00);
												}
												BgL_arg1925z00_3410 = CDR(CAR(BgL_envz00_3406));
												BgL_arg1922z00_3408 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg1924z00_3409), BgL_arg1925z00_3410);
											}
											{	/* Dataflow/walk.scm 387 */
												obj_t BgL_list1923z00_3413;

												BgL_list1923z00_3413 =
													MAKE_YOUNG_PAIR(BgL_arg1922z00_3408, BNIL);
												return BgL_list1923z00_3413;
											}
										}
									else
										{	/* Dataflow/walk.scm 384 */
											return BNIL;
										}
								}
							}
						else
							{	/* Dataflow/walk.scm 389 */
								bool_t BgL_testz00_4249;

								{	/* Dataflow/walk.scm 389 */
									bool_t BgL_testz00_4250;

									{	/* Dataflow/walk.scm 389 */
										BgL_nodez00_bglt BgL_arg1963z00_3414;

										BgL_arg1963z00_3414 =
											(((BgL_letzd2varzd2_bglt) CREF(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_3220)))->
											BgL_bodyz00);
										{	/* Dataflow/walk.scm 389 */
											bool_t BgL_res2206z00_3415;

											BgL_res2206z00_3415 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_arg1963z00_3414), BGl_varz00zzast_nodez00);
											BgL_testz00_4250 = BgL_res2206z00_3415;
										}
									}
									if (BgL_testz00_4250)
										{	/* Dataflow/walk.scm 390 */
											bool_t BgL_testz00_4255;

											{	/* Dataflow/walk.scm 390 */
												obj_t BgL_tmpz00_4256;

												{	/* Dataflow/walk.scm 390 */
													obj_t BgL_pairz00_3416;

													BgL_pairz00_3416 =
														(((BgL_letzd2varzd2_bglt) CREF(
																((BgL_letzd2varzd2_bglt) BgL_nodez00_3220)))->
														BgL_bindingsz00);
													BgL_tmpz00_4256 = CAR(CAR(BgL_pairz00_3416));
												}
												BgL_testz00_4255 =
													(
													((obj_t)
														(((BgL_varz00_bglt) CREF(
																	((BgL_varz00_bglt)
																		(((BgL_letzd2varzd2_bglt) CREF(
																					((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_3220)))->
																			BgL_bodyz00))))->BgL_variablez00)) ==
													BgL_tmpz00_4256);
											}
											if (BgL_testz00_4255)
												{	/* Dataflow/walk.scm 391 */
													BgL_typez00_bglt BgL_arg1955z00_3417;

													{
														BgL_variablez00_bglt BgL_auxz00_4267;

														{
															obj_t BgL_auxz00_4268;

															{	/* Dataflow/walk.scm 391 */
																obj_t BgL_pairz00_3418;

																BgL_pairz00_3418 =
																	(((BgL_letzd2varzd2_bglt) CREF(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_3220)))->BgL_bindingsz00);
																{	/* Dataflow/walk.scm 391 */
																	obj_t BgL_pairz00_3419;

																	BgL_pairz00_3419 = CAR(BgL_pairz00_3418);
																	BgL_auxz00_4268 = CAR(BgL_pairz00_3419);
																}
															}
															BgL_auxz00_4267 =
																((BgL_variablez00_bglt) BgL_auxz00_4268);
														}
														BgL_arg1955z00_3417 =
															(((BgL_variablez00_bglt) CREF(BgL_auxz00_4267))->
															BgL_typez00);
													}
													BgL_testz00_4249 =
														(
														((obj_t) BgL_arg1955z00_3417) ==
														BGl_za2boolza2z00zztype_cachez00);
												}
											else
												{	/* Dataflow/walk.scm 390 */
													BgL_testz00_4249 = ((bool_t) 0);
												}
										}
									else
										{	/* Dataflow/walk.scm 389 */
											BgL_testz00_4249 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_4249)
									{	/* Dataflow/walk.scm 392 */
										obj_t BgL_arg1953z00_3420;

										{	/* Dataflow/walk.scm 392 */
											obj_t BgL_pairz00_3421;

											BgL_pairz00_3421 =
												(((BgL_letzd2varzd2_bglt) CREF(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_3220)))->
												BgL_bindingsz00);
											BgL_arg1953z00_3420 = CDR(CAR(BgL_pairz00_3421));
										}
										return
											BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg1953z00_3420));
									}
								else
									{	/* Dataflow/walk.scm 389 */
										return BNIL;
									}
							}
					}
				else
					{	/* Dataflow/walk.scm 380 */
						return BNIL;
					}
			}
		}
	}



/* &dataflow-test-env-va1420 */
	obj_t BGl_z62dataflowzd2testzd2envzd2va1420zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3221, obj_t BgL_nodez00_3222)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 361 */
			{	/* Dataflow/walk.scm 363 */
				bool_t BgL_testz00_4283;

				{	/* Dataflow/walk.scm 363 */
					BgL_variablez00_bglt BgL_arg1904z00_3423;

					BgL_arg1904z00_3423 =
						(((BgL_varz00_bglt) CREF(
								((BgL_varz00_bglt) BgL_nodez00_3222)))->BgL_variablez00);
					{	/* Dataflow/walk.scm 363 */
						bool_t BgL_res2199z00_3424;

						BgL_res2199z00_3424 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_arg1904z00_3423),
							BGl_localzf2valuezf2zzdataflow_walkz00);
						BgL_testz00_4283 = BgL_res2199z00_3424;
					}
				}
				if (BgL_testz00_4283)
					{	/* Dataflow/walk.scm 364 */
						BgL_nodez00_bglt BgL_arg1900z00_3425;

						{
							BgL_localzf2valuezf2_bglt BgL_auxz00_4288;

							{
								obj_t BgL_auxz00_4289;

								{	/* Dataflow/walk.scm 364 */
									BgL_objectz00_bglt BgL_tmpz00_4290;

									BgL_tmpz00_4290 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt)
											(((BgL_varz00_bglt) CREF(
														((BgL_varz00_bglt) BgL_nodez00_3222)))->
												BgL_variablez00)));
									BgL_auxz00_4289 = BGL_OBJECT_WIDENING(BgL_tmpz00_4290);
								}
								BgL_auxz00_4288 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4289);
							}
							BgL_arg1900z00_3425 =
								(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4288))->
								BgL_nodez00);
						}
						return
							BGl_dataflowzd2testzd2envz00zzdataflow_walkz00
							(BgL_arg1900z00_3425);
					}
				else
					{	/* Dataflow/walk.scm 363 */
						return BNIL;
					}
			}
		}
	}



/* &dataflow-test-env-co1418 */
	obj_t BGl_z62dataflowzd2testzd2envzd2co1418zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3223, obj_t BgL_nodez00_3224)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 352 */
			{	/* Dataflow/walk.scm 354 */
				bool_t BgL_testz00_4299;

				{	/* Dataflow/walk.scm 354 */
					bool_t BgL_testz00_4300;

					{	/* Dataflow/walk.scm 354 */
						BgL_nodez00_bglt BgL_arg1897z00_3427;

						BgL_arg1897z00_3427 =
							(((BgL_conditionalz00_bglt) CREF(
									((BgL_conditionalz00_bglt) BgL_nodez00_3224)))->BgL_falsez00);
						{	/* Dataflow/walk.scm 354 */
							bool_t BgL_res2198z00_3428;

							BgL_res2198z00_3428 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_arg1897z00_3427), BGl_atomz00zzast_nodez00);
							BgL_testz00_4300 = BgL_res2198z00_3428;
						}
					}
					if (BgL_testz00_4300)
						{	/* Dataflow/walk.scm 354 */
							BgL_testz00_4299 =
								(
								(((BgL_atomz00_bglt) CREF(
											((BgL_atomz00_bglt)
												(((BgL_conditionalz00_bglt) CREF(
															((BgL_conditionalz00_bglt) BgL_nodez00_3224)))->
													BgL_falsez00))))->BgL_valuez00) == BFALSE);
						}
					else
						{	/* Dataflow/walk.scm 354 */
							BgL_testz00_4299 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_4299)
					{	/* Dataflow/walk.scm 354 */
						return
							BGl_appendzd221011zd2zzdataflow_walkz00
							(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) CREF(((BgL_conditionalz00_bglt)
												BgL_nodez00_3224)))->BgL_testz00)),
							BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) CREF(((BgL_conditionalz00_bglt)
												BgL_nodez00_3224)))->BgL_truez00)));
					}
				else
					{	/* Dataflow/walk.scm 354 */
						return BNIL;
					}
			}
		}
	}



/* &dataflow-test-env-in1416 */
	obj_t BGl_z62dataflowzd2testzd2envzd2in1416zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3225, obj_t BgL_nodez00_3226)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 343 */
			{	/* Dataflow/walk.scm 345 */
				bool_t BgL_testz00_4317;

				{	/* Dataflow/walk.scm 345 */
					obj_t BgL_arg1883z00_3430;

					{	/* Dataflow/walk.scm 345 */
						obj_t BgL_pairz00_3431;

						BgL_pairz00_3431 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt)
										((BgL_instanceofz00_bglt) BgL_nodez00_3226))))->
							BgL_exprza2za2);
						BgL_arg1883z00_3430 = CAR(BgL_pairz00_3431);
					}
					BgL_testz00_4317 =
						BGl_isazf3zf3zz__objectz00(BgL_arg1883z00_3430,
						BGl_varz00zzast_nodez00);
				}
				if (BgL_testz00_4317)
					{	/* Dataflow/walk.scm 346 */
						obj_t BgL_arg1877z00_3432;

						{	/* Dataflow/walk.scm 346 */
							BgL_variablez00_bglt BgL_arg1879z00_3433;
							BgL_typez00_bglt BgL_arg1880z00_3434;

							{
								BgL_varz00_bglt BgL_auxz00_4323;

								{	/* Dataflow/walk.scm 346 */
									obj_t BgL_pairz00_3435;

									BgL_pairz00_3435 =
										(((BgL_externz00_bglt) CREF(
												((BgL_externz00_bglt)
													((BgL_instanceofz00_bglt) BgL_nodez00_3226))))->
										BgL_exprza2za2);
									BgL_auxz00_4323 = ((BgL_varz00_bglt) CAR(BgL_pairz00_3435));
								}
								BgL_arg1879z00_3433 =
									(((BgL_varz00_bglt) CREF(BgL_auxz00_4323))->BgL_variablez00);
							}
							BgL_arg1880z00_3434 =
								(((BgL_instanceofz00_bglt) CREF(
										((BgL_instanceofz00_bglt) BgL_nodez00_3226)))->
								BgL_classz00);
							BgL_arg1877z00_3432 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1879z00_3433),
								((obj_t) BgL_arg1880z00_3434));
						}
						{	/* Dataflow/walk.scm 346 */
							obj_t BgL_list1878z00_3436;

							BgL_list1878z00_3436 = MAKE_YOUNG_PAIR(BgL_arg1877z00_3432, BNIL);
							return BgL_list1878z00_3436;
						}
					}
				else
					{	/* Dataflow/walk.scm 345 */
						return BNIL;
					}
			}
		}
	}



/* &dataflow-test-env-ap1414 */
	obj_t BGl_z62dataflowzd2testzd2envzd2ap1414zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3227, obj_t BgL_nodez00_3228)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 320 */
			{	/* Dataflow/walk.scm 322 */
				BgL_variablez00_bglt BgL_fz00_3438;

				BgL_fz00_3438 =
					(((BgL_varz00_bglt) CREF(
							(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3228)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Dataflow/walk.scm 322 */
					BgL_valuez00_bglt BgL_funvz00_3439;

					BgL_funvz00_3439 =
						(((BgL_variablez00_bglt) CREF(BgL_fz00_3438))->BgL_valuez00);
					{	/* Dataflow/walk.scm 323 */

						{	/* Dataflow/walk.scm 325 */
							obj_t BgL_g1169z00_3440;

							BgL_g1169z00_3440 =
								BGl_isazd2ofzd2zztype_miscz00(
								((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3228)));
							if (CBOOL(BgL_g1169z00_3440))
								{	/* Dataflow/walk.scm 328 */
									bool_t BgL_testz00_4345;

									{	/* Dataflow/walk.scm 328 */
										obj_t BgL_arg1834z00_3441;

										BgL_arg1834z00_3441 =
											CAR(
											(((BgL_appz00_bglt) CREF(
														((BgL_appz00_bglt) BgL_nodez00_3228)))->
												BgL_argsz00));
										BgL_testz00_4345 =
											BGl_isazf3zf3zz__objectz00(BgL_arg1834z00_3441,
											BGl_varz00zzast_nodez00);
									}
									if (BgL_testz00_4345)
										{	/* Dataflow/walk.scm 329 */
											obj_t BgL_arg1829z00_3442;

											{	/* Dataflow/walk.scm 329 */
												BgL_variablez00_bglt BgL_arg1831z00_3443;

												{
													BgL_varz00_bglt BgL_auxz00_4350;

													{	/* Dataflow/walk.scm 329 */
														obj_t BgL_pairz00_3444;

														BgL_pairz00_3444 =
															(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_nodez00_3228)))->
															BgL_argsz00);
														BgL_auxz00_4350 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_3444));
													}
													BgL_arg1831z00_3443 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_4350))->
														BgL_variablez00);
												}
												BgL_arg1829z00_3442 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg1831z00_3443), BgL_g1169z00_3440);
											}
											{	/* Dataflow/walk.scm 329 */
												obj_t BgL_list1830z00_3445;

												BgL_list1830z00_3445 =
													MAKE_YOUNG_PAIR(BgL_arg1829z00_3442, BNIL);
												return BgL_list1830z00_3445;
											}
										}
									else
										{	/* Dataflow/walk.scm 328 */
											return BNIL;
										}
								}
							else
								{	/* Dataflow/walk.scm 331 */
									bool_t BgL_testz00_4359;

									{	/* Dataflow/walk.scm 331 */
										bool_t BgL_testz00_4360;

										{	/* Dataflow/walk.scm 331 */
											bool_t BgL_res2191z00_3446;

											BgL_res2191z00_3446 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_funvz00_3439), BGl_funz00zzast_varz00);
											BgL_testz00_4360 = BgL_res2191z00_3446;
										}
										if (BgL_testz00_4360)
											{	/* Dataflow/walk.scm 331 */
												if (CBOOL(
														(((BgL_funz00_bglt) CREF(
																	((BgL_funz00_bglt) BgL_funvz00_3439)))->
															BgL_predicatezd2ofzd2)))
													{	/* Dataflow/walk.scm 333 */
														bool_t BgL_testz00_4367;

														{	/* Dataflow/walk.scm 333 */
															obj_t BgL_tmpz00_4368;

															BgL_tmpz00_4368 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_nodez00_3228)))->
																BgL_argsz00);
															BgL_testz00_4367 = PAIRP(BgL_tmpz00_4368);
														}
														if (BgL_testz00_4367)
															{	/* Dataflow/walk.scm 333 */
																if (NULLP(CDR(
																			(((BgL_appz00_bglt) CREF(
																						((BgL_appz00_bglt)
																							BgL_nodez00_3228)))->
																				BgL_argsz00))))
																	{	/* Dataflow/walk.scm 334 */
																		bool_t BgL_testz00_4377;

																		{	/* Dataflow/walk.scm 334 */
																			obj_t BgL_arg1867z00_3447;

																			BgL_arg1867z00_3447 =
																				CAR(
																				(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_nodez00_3228)))->
																					BgL_argsz00));
																			BgL_testz00_4377 =
																				BGl_isazf3zf3zz__objectz00
																				(BgL_arg1867z00_3447,
																				BGl_varz00zzast_nodez00);
																		}
																		if (BgL_testz00_4377)
																			{	/* Dataflow/walk.scm 335 */
																				BgL_typez00_bglt BgL_arg1863z00_3448;

																				{
																					BgL_variablez00_bglt BgL_auxz00_4382;

																					{
																						BgL_varz00_bglt BgL_auxz00_4383;

																						{	/* Dataflow/walk.scm 335 */
																							obj_t BgL_pairz00_3449;

																							BgL_pairz00_3449 =
																								(((BgL_appz00_bglt) CREF(
																										((BgL_appz00_bglt)
																											BgL_nodez00_3228)))->
																								BgL_argsz00);
																							BgL_auxz00_4383 =
																								((BgL_varz00_bglt)
																								CAR(BgL_pairz00_3449));
																						}
																						BgL_auxz00_4382 =
																							(((BgL_varz00_bglt)
																								CREF(BgL_auxz00_4383))->
																							BgL_variablez00);
																					}
																					BgL_arg1863z00_3448 =
																						(((BgL_variablez00_bglt)
																							CREF(BgL_auxz00_4382))->
																						BgL_typez00);
																				}
																				BgL_testz00_4359 =
																					BGl_bigloozd2typezf3z21zztype_typez00
																					(BgL_arg1863z00_3448);
																			}
																		else
																			{	/* Dataflow/walk.scm 334 */
																				BgL_testz00_4359 = ((bool_t) 0);
																			}
																	}
																else
																	{	/* Dataflow/walk.scm 333 */
																		BgL_testz00_4359 = ((bool_t) 0);
																	}
															}
														else
															{	/* Dataflow/walk.scm 333 */
																BgL_testz00_4359 = ((bool_t) 0);
															}
													}
												else
													{	/* Dataflow/walk.scm 332 */
														BgL_testz00_4359 = ((bool_t) 0);
													}
											}
										else
											{	/* Dataflow/walk.scm 331 */
												BgL_testz00_4359 = ((bool_t) 0);
											}
									}
									if (BgL_testz00_4359)
										{	/* Dataflow/walk.scm 336 */
											obj_t BgL_arg1857z00_3450;

											{	/* Dataflow/walk.scm 336 */
												BgL_variablez00_bglt BgL_arg1859z00_3451;
												obj_t BgL_arg1860z00_3452;

												{
													BgL_varz00_bglt BgL_auxz00_4391;

													{	/* Dataflow/walk.scm 336 */
														obj_t BgL_pairz00_3453;

														BgL_pairz00_3453 =
															(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_nodez00_3228)))->
															BgL_argsz00);
														BgL_auxz00_4391 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_3453));
													}
													BgL_arg1859z00_3451 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_4391))->
														BgL_variablez00);
												}
												BgL_arg1860z00_3452 =
													(((BgL_funz00_bglt) CREF(
															((BgL_funz00_bglt) BgL_funvz00_3439)))->
													BgL_predicatezd2ofzd2);
												BgL_arg1857z00_3450 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1859z00_3451),
													BgL_arg1860z00_3452);
											}
											{	/* Dataflow/walk.scm 336 */
												obj_t BgL_list1858z00_3454;

												BgL_list1858z00_3454 =
													MAKE_YOUNG_PAIR(BgL_arg1857z00_3450, BNIL);
												return BgL_list1858z00_3454;
											}
										}
									else
										{	/* Dataflow/walk.scm 331 */
											return BNIL;
										}
								}
						}
					}
				}
			}
		}
	}



/* &dataflow-node!-box-s1410 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2s1410za2zzdataflow_walkz00(obj_t
		BgL_envz00_3229, obj_t BgL_nodez00_3230, obj_t BgL_envz00_3231)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 300 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_boxzd2setz12zc0_bglt) CREF(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3230)))->BgL_valuez00),
				BgL_envz00_3231);
		}
	}



/* &dataflow-node!-box-r1408 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2r1408za2zzdataflow_walkz00(obj_t
		BgL_envz00_3232, obj_t BgL_nodez00_3233, obj_t BgL_envz00_3234)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 293 */
			return BgL_envz00_3234;
		}
	}



/* &dataflow-node!-make-1406 */
	obj_t BGl_z62dataflowzd2nodez12zd2makezd21406za2zzdataflow_walkz00(obj_t
		BgL_envz00_3235, obj_t BgL_nodez00_3236, obj_t BgL_envz00_3237)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 287 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_makezd2boxzd2_bglt) CREF(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3236)))->BgL_valuez00),
				BgL_envz00_3237);
		}
	}



/* &dataflow-node!-jump-1404 */
	obj_t BGl_z62dataflowzd2nodez12zd2jumpzd21404za2zzdataflow_walkz00(obj_t
		BgL_envz00_3238, obj_t BgL_nodez00_3239, obj_t BgL_envz00_3240)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 278 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_jumpzd2exzd2itz00_bglt) CREF(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3239)))->BgL_exitz00),
				BgL_envz00_3240);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_jumpzd2exzd2itz00_bglt)
						CREF(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3239)))->
					BgL_valuez00), BgL_envz00_3240);
			return BNIL;
		}
	}



/* &dataflow-node!-set-e1402 */
	obj_t BGl_z62dataflowzd2nodez12zd2setzd2e1402za2zzdataflow_walkz00(obj_t
		BgL_envz00_3241, obj_t BgL_nodez00_3242, obj_t BgL_envz00_3243)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 270 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_setzd2exzd2itz00_bglt) CREF(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3242)))->BgL_bodyz00),
				BgL_envz00_3243);
			return BNIL;
		}
	}



/* &dataflow-node!-let-v1400 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2v1400za2zzdataflow_walkz00(obj_t
		BgL_envz00_3244, obj_t BgL_nodez00_3245, obj_t BgL_envz00_3246)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 238 */
			BGl_letzd2varzd2stampz00zzdataflow_walkz00 =
				(((long) 1) + BGl_letzd2varzd2stampz00zzdataflow_walkz00);
			{	/* Dataflow/walk.scm 241 */
				long BgL_stampz00_3462;

				BgL_stampz00_3462 = BGl_letzd2varzd2stampz00zzdataflow_walkz00;
				{	/* Dataflow/walk.scm 241 */
					obj_t BgL_envz00_3463;

					{
						obj_t BgL_bindingsz00_3465;
						obj_t BgL_envz00_3466;

						BgL_bindingsz00_3465 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_3245)))->
							BgL_bindingsz00);
						BgL_envz00_3466 = BgL_envz00_3246;
					BgL_loopz00_3464:
						if (NULLP(BgL_bindingsz00_3465))
							{	/* Dataflow/walk.scm 244 */
								BgL_envz00_3463 = BgL_envz00_3466;
							}
						else
							{	/* Dataflow/walk.scm 246 */
								obj_t BgL_nodez00_3467;

								BgL_nodez00_3467 = CDR(CAR(BgL_bindingsz00_3465));
								{	/* Dataflow/walk.scm 246 */
									obj_t BgL_envz00_3468;

									BgL_envz00_3468 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_nodez00_3467), BgL_envz00_3466);
									{	/* Dataflow/walk.scm 247 */

										{	/* Dataflow/walk.scm 248 */
											obj_t BgL_lz00_3469;

											BgL_lz00_3469 = CAR(CAR(BgL_bindingsz00_3465));
											if (
												((((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt) BgL_lz00_3469)))->
														BgL_accessz00) == CNST_TABLE_REF(((long) 11))))
												{	/* Dataflow/walk.scm 249 */
													{	/* Dataflow/walk.scm 250 */
														BgL_localzf2valuezf2_bglt BgL_wide1162z00_3470;

														BgL_wide1162z00_3470 =
															((BgL_localzf2valuezf2_bglt)
															BREF(GC_MALLOC(sizeof(struct
																		BgL_localzf2valuezf2_bgl))));
														{	/* Dataflow/walk.scm 250 */
															obj_t BgL_auxz00_4436;
															BgL_objectz00_bglt BgL_tmpz00_4432;

															BgL_auxz00_4436 = ((obj_t) BgL_wide1162z00_3470);
															BgL_tmpz00_4432 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_lz00_3469)));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4432,
																BgL_auxz00_4436);
														}
														{	/* Dataflow/walk.scm 250 */
															long BgL_arg1813z00_3471;

															{	/* Dataflow/walk.scm 250 */
																long BgL_res2185z00_3472;

																BgL_res2185z00_3472 =
																	BGL_CLASS_INDEX
																	(BGl_localzf2valuezf2zzdataflow_walkz00);
																BgL_arg1813z00_3471 = BgL_res2185z00_3472;
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_3469))),
																BgL_arg1813z00_3471);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_lz00_3469)));
													}
													{
														BgL_localzf2valuezf2_bglt BgL_auxz00_4447;

														{
															obj_t BgL_auxz00_4448;

															{	/* Dataflow/walk.scm 251 */
																BgL_objectz00_bglt BgL_tmpz00_4449;

																BgL_tmpz00_4449 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_3469)));
																BgL_auxz00_4448 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4449);
															}
															BgL_auxz00_4447 =
																((BgL_localzf2valuezf2_bglt) BgL_auxz00_4448);
														}
														((((BgL_localzf2valuezf2_bglt)
																	CREF(BgL_auxz00_4447))->BgL_stampz00) =
															((int) (int) (BgL_stampz00_3462)), BUNSPEC);
													}
													{
														BgL_localzf2valuezf2_bglt BgL_auxz00_4457;

														{
															obj_t BgL_auxz00_4458;

															{	/* Dataflow/walk.scm 252 */
																BgL_objectz00_bglt BgL_tmpz00_4459;

																BgL_tmpz00_4459 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_3469)));
																BgL_auxz00_4458 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4459);
															}
															BgL_auxz00_4457 =
																((BgL_localzf2valuezf2_bglt) BgL_auxz00_4458);
														}
														((((BgL_localzf2valuezf2_bglt)
																	CREF(BgL_auxz00_4457))->BgL_nodez00) =
															((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																	BgL_nodez00_3467)), BUNSPEC);
													}
													((obj_t)
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_lz00_3469)));
												}
											else
												{	/* Dataflow/walk.scm 249 */
													BFALSE;
												}
										}
										{
											obj_t BgL_envz00_4472;
											obj_t BgL_bindingsz00_4470;

											BgL_bindingsz00_4470 = CDR(BgL_bindingsz00_3465);
											BgL_envz00_4472 = BgL_envz00_3468;
											BgL_envz00_3466 = BgL_envz00_4472;
											BgL_bindingsz00_3465 = BgL_bindingsz00_4470;
											goto BgL_loopz00_3464;
										}
									}
								}
							}
					}
					{	/* Dataflow/walk.scm 242 */

						{	/* Dataflow/walk.scm 254 */
							obj_t BgL_arg1778z00_3473;

							BgL_arg1778z00_3473 =
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
								(((BgL_letzd2varzd2_bglt) CREF(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_3245)))->
									BgL_bodyz00), BgL_envz00_3463);
							{	/* Dataflow/walk.scm 256 */
								obj_t BgL_zc3anonymousza31780ze3z83_3474;

								BgL_zc3anonymousza31780ze3z83_3474 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza31780ze3ze1zzdataflow_walkz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza31780ze3z83_3474,
									(int) (((long) 0)), BINT(BgL_stampz00_3462));
								{	/* Dataflow/walk.scm 254 */
									obj_t BgL_list1779z00_3475;

									BgL_list1779z00_3475 =
										MAKE_YOUNG_PAIR(BgL_arg1778z00_3473, BNIL);
									return
										BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
										(BgL_zc3anonymousza31780ze3z83_3474, BgL_list1779z00_3475);
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:1780> */
	obj_t BGl_z62zc3anonymousza31780ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_3247, obj_t BgL_bz00_3249)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 254 */
			{	/* Dataflow/walk.scm 256 */
				long BgL_stampz00_3248;

				BgL_stampz00_3248 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_3247, (int) (((long) 0))));
				{	/* Dataflow/walk.scm 256 */
					bool_t BgL_testz00_4489;

					{	/* Dataflow/walk.scm 256 */
						bool_t BgL_testz00_4490;

						{	/* Dataflow/walk.scm 256 */
							obj_t BgL_arg1802z00_3476;

							BgL_arg1802z00_3476 = CAR(BgL_bz00_3249);
							BgL_testz00_4490 =
								BGl_isazf3zf3zz__objectz00(BgL_arg1802z00_3476,
								BGl_localzf2valuezf2zzdataflow_walkz00);
						}
						if (BgL_testz00_4490)
							{	/* Dataflow/walk.scm 257 */
								long BgL_tmpz00_4493;

								{	/* Dataflow/walk.scm 257 */
									int BgL_tmpz00_4494;

									{
										BgL_localzf2valuezf2_bglt BgL_auxz00_4495;

										{
											obj_t BgL_auxz00_4496;

											{	/* Dataflow/walk.scm 257 */
												BgL_objectz00_bglt BgL_tmpz00_4497;

												BgL_tmpz00_4497 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt) CAR(BgL_bz00_3249)));
												BgL_auxz00_4496 = BGL_OBJECT_WIDENING(BgL_tmpz00_4497);
											}
											BgL_auxz00_4495 =
												((BgL_localzf2valuezf2_bglt) BgL_auxz00_4496);
										}
										BgL_tmpz00_4494 =
											(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4495))->
											BgL_stampz00);
									}
									BgL_tmpz00_4493 = (long) (BgL_tmpz00_4494);
								}
								BgL_testz00_4489 = (BgL_tmpz00_4493 < BgL_stampz00_3248);
							}
						else
							{	/* Dataflow/walk.scm 256 */
								BgL_testz00_4489 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_4489)
						{	/* Dataflow/walk.scm 256 */
							return BgL_bz00_3249;
						}
					else
						{	/* Dataflow/walk.scm 259 */
							bool_t BgL_testz00_4506;

							{	/* Dataflow/walk.scm 259 */
								BgL_nodez00_bglt BgL_arg1797z00_3477;

								{
									BgL_localzf2valuezf2_bglt BgL_auxz00_4507;

									{
										obj_t BgL_auxz00_4508;

										{	/* Dataflow/walk.scm 259 */
											BgL_objectz00_bglt BgL_tmpz00_4509;

											BgL_tmpz00_4509 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt) CAR(BgL_bz00_3249)));
											BgL_auxz00_4508 = BGL_OBJECT_WIDENING(BgL_tmpz00_4509);
										}
										BgL_auxz00_4507 =
											((BgL_localzf2valuezf2_bglt) BgL_auxz00_4508);
									}
									BgL_arg1797z00_3477 =
										(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4507))->
										BgL_nodez00);
								}
								{	/* Dataflow/walk.scm 259 */
									bool_t BgL_res2188z00_3478;

									BgL_res2188z00_3478 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_arg1797z00_3477), BGl_varz00zzast_nodez00);
									BgL_testz00_4506 = BgL_res2188z00_3478;
								}
							}
							if (BgL_testz00_4506)
								{	/* Dataflow/walk.scm 260 */
									BgL_variablez00_bglt BgL_vz00_3479;

									{
										BgL_varz00_bglt BgL_auxz00_4518;

										{
											BgL_nodez00_bglt BgL_auxz00_4519;

											{
												BgL_localzf2valuezf2_bglt BgL_auxz00_4520;

												{
													obj_t BgL_auxz00_4521;

													{	/* Dataflow/walk.scm 260 */
														BgL_objectz00_bglt BgL_tmpz00_4522;

														BgL_tmpz00_4522 =
															((BgL_objectz00_bglt)
															((BgL_localz00_bglt) CAR(BgL_bz00_3249)));
														BgL_auxz00_4521 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4522);
													}
													BgL_auxz00_4520 =
														((BgL_localzf2valuezf2_bglt) BgL_auxz00_4521);
												}
												BgL_auxz00_4519 =
													(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4520))->
													BgL_nodez00);
											}
											BgL_auxz00_4518 = ((BgL_varz00_bglt) BgL_auxz00_4519);
										}
										BgL_vz00_3479 =
											(((BgL_varz00_bglt) CREF(BgL_auxz00_4518))->
											BgL_variablez00);
									}
									if (
										((((BgL_variablez00_bglt) CREF(BgL_vz00_3479))->
												BgL_accessz00) == CNST_TABLE_REF(((long) 11))))
										{	/* Dataflow/walk.scm 262 */
											obj_t BgL_arg1793z00_3480;

											BgL_arg1793z00_3480 = CDR(BgL_bz00_3249);
											return
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_vz00_3479), BgL_arg1793z00_3480);
										}
									else
										{	/* Dataflow/walk.scm 261 */
											return BFALSE;
										}
								}
							else
								{	/* Dataflow/walk.scm 259 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* &dataflow-node!-let-f1398 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2f1398za2zzdataflow_walkz00(obj_t
		BgL_envz00_3250, obj_t BgL_nodez00_3251, obj_t BgL_envz00_3252)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 223 */
			{	/* Dataflow/walk.scm 225 */
				obj_t BgL_g1342z00_3482;

				BgL_g1342z00_3482 =
					(((BgL_letzd2funzd2_bglt) CREF(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3251)))->BgL_localsz00);
				{
					obj_t BgL_l1340z00_3484;

					BgL_l1340z00_3484 = BgL_g1342z00_3482;
				BgL_zc3anonymousza31771ze3z83_3483:
					if (PAIRP(BgL_l1340z00_3484))
						{	/* Dataflow/walk.scm 225 */
							{	/* Dataflow/walk.scm 226 */
								obj_t BgL_localz00_3485;

								BgL_localz00_3485 = CAR(BgL_l1340z00_3484);
								{	/* Dataflow/walk.scm 226 */
									obj_t BgL_arg1773z00_3486;

									BgL_arg1773z00_3486 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_3485))))->
														BgL_valuez00))))->BgL_bodyz00);
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((
											(BgL_nodez00_bglt) BgL_arg1773z00_3486), BNIL);
								}
							}
							{
								obj_t BgL_l1340z00_4550;

								BgL_l1340z00_4550 = CDR(BgL_l1340z00_3484);
								BgL_l1340z00_3484 = BgL_l1340z00_4550;
								goto BgL_zc3anonymousza31771ze3z83_3483;
							}
						}
					else
						{	/* Dataflow/walk.scm 225 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_letzd2funzd2_bglt) CREF(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3251)))->BgL_bodyz00),
				BgL_envz00_3252);
		}
	}



/* &dataflow-node!-selec1396 */
	obj_t BGl_z62dataflowzd2nodez12zd2selec1396z70zzdataflow_walkz00(obj_t
		BgL_envz00_3253, obj_t BgL_nodez00_3254, obj_t BgL_envz00_3255)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 212 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_selectz00_bglt) CREF(
							((BgL_selectz00_bglt) BgL_nodez00_3254)))->BgL_testz00),
				BgL_envz00_3255);
			{	/* Dataflow/walk.scm 215 */
				obj_t BgL_g1339z00_3488;

				BgL_g1339z00_3488 =
					(((BgL_selectz00_bglt) CREF(
							((BgL_selectz00_bglt) BgL_nodez00_3254)))->BgL_clausesz00);
				{
					obj_t BgL_l1337z00_3490;

					BgL_l1337z00_3490 = BgL_g1339z00_3488;
				BgL_zc3anonymousza31764ze3z83_3489:
					if (PAIRP(BgL_l1337z00_3490))
						{	/* Dataflow/walk.scm 215 */
							{	/* Dataflow/walk.scm 216 */
								obj_t BgL_clausez00_3491;

								BgL_clausez00_3491 = CAR(BgL_l1337z00_3490);
								{	/* Dataflow/walk.scm 216 */
									obj_t BgL_arg1768z00_3492;

									BgL_arg1768z00_3492 = CDR(BgL_clausez00_3491);
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg1768z00_3492), BgL_envz00_3255);
								}
							}
							{
								obj_t BgL_l1337z00_4566;

								BgL_l1337z00_4566 = CDR(BgL_l1337z00_3490);
								BgL_l1337z00_3490 = BgL_l1337z00_4566;
								goto BgL_zc3anonymousza31764ze3z83_3489;
							}
						}
					else
						{	/* Dataflow/walk.scm 215 */
							((bool_t) 1);
						}
				}
			}
			return BgL_envz00_3255;
		}
	}



/* &dataflow-node!-fail1394 */
	obj_t BGl_z62dataflowzd2nodez12zd2fail1394z70zzdataflow_walkz00(obj_t
		BgL_envz00_3256, obj_t BgL_nodez00_3257, obj_t BgL_envz00_3258)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 202 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_failz00_bglt) CREF(
							((BgL_failz00_bglt) BgL_nodez00_3257)))->BgL_procz00),
				BgL_envz00_3258);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
						CREF(((BgL_failz00_bglt) BgL_nodez00_3257)))->BgL_msgz00),
				BgL_envz00_3258);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
						CREF(((BgL_failz00_bglt) BgL_nodez00_3257)))->BgL_objz00),
				BgL_envz00_3258);
			return BgL_envz00_3258;
		}
	}



/* &dataflow-node!-condi1392 */
	obj_t BGl_z62dataflowzd2nodez12zd2condi1392z70zzdataflow_walkz00(obj_t
		BgL_envz00_3259, obj_t BgL_nodez00_3260, obj_t BgL_envz00_3261)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 179 */
			{	/* Dataflow/walk.scm 190 */
				obj_t BgL_tenvz00_3500;

				BgL_tenvz00_3500 =
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_conditionalz00_bglt) CREF(
								((BgL_conditionalz00_bglt) BgL_nodez00_3260)))->BgL_testz00),
					BgL_envz00_3261);
				{	/* Dataflow/walk.scm 190 */
					obj_t BgL_truezd2envzd2_3501;

					BgL_truezd2envzd2_3501 =
						BGl_appendzd221011zd2zzdataflow_walkz00
						(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
									(BgL_conditionalz00_bglt) CREF(((BgL_conditionalz00_bglt)
											BgL_nodez00_3260)))->BgL_testz00)), BgL_tenvz00_3500);
					{	/* Dataflow/walk.scm 191 */
						obj_t BgL_falsezd2envzd2_3502;

						BgL_falsezd2envzd2_3502 =
							BGl_appendzd221011zd2zzdataflow_walkz00
							(BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) CREF(((BgL_conditionalz00_bglt)
												BgL_nodez00_3260)))->BgL_testz00)), BgL_tenvz00_3500);
						{	/* Dataflow/walk.scm 192 */

							{	/* Dataflow/walk.scm 193 */
								obj_t BgL_tenvz00_3503;
								obj_t BgL_fenvz00_3504;

								BgL_tenvz00_3503 =
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
									(((BgL_conditionalz00_bglt) CREF(
												((BgL_conditionalz00_bglt) BgL_nodez00_3260)))->
										BgL_falsez00), BgL_falsezd2envzd2_3502);
								BgL_fenvz00_3504 =
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt) CREF(((BgL_conditionalz00_bglt)
													BgL_nodez00_3260)))->BgL_truez00),
									BgL_truezd2envzd2_3501);
								{	/* Dataflow/walk.scm 195 */
									bool_t BgL_testz00_4594;

									{	/* Dataflow/walk.scm 195 */
										BgL_nodez00_bglt BgL_arg1743z00_3505;

										BgL_arg1743z00_3505 =
											(((BgL_conditionalz00_bglt) CREF(
													((BgL_conditionalz00_bglt) BgL_nodez00_3260)))->
											BgL_falsez00);
										BgL_testz00_4594 =
											CBOOL(BGl_abortzf3zf3zzdataflow_walkz00
											(BgL_arg1743z00_3505));
									}
									if (BgL_testz00_4594)
										{	/* Dataflow/walk.scm 195 */
											return BgL_tenvz00_3503;
										}
									else
										{	/* Dataflow/walk.scm 195 */
											return
												BGl_zc3anonymousza31753ze3ze70z64zzdataflow_walkz00
												(BgL_fenvz00_3504, BgL_tenvz00_3503);
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:1753>~0 */
	obj_t BGl_zc3anonymousza31753ze3ze70z64zzdataflow_walkz00(obj_t
		BgL_env2z00_3290, obj_t BgL_lis1333z00_2040)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 182 */
		BGl_zc3anonymousza31753ze3ze70z64zzdataflow_walkz00:
			if (NULLP(BgL_lis1333z00_2040))
				{	/* Dataflow/walk.scm 182 */
					return BgL_lis1333z00_2040;
				}
			else
				{	/* Dataflow/walk.scm 182 */
					obj_t BgL_head1334z00_2043;
					obj_t BgL_tail1335z00_2044;

					BgL_head1334z00_2043 = CAR(BgL_lis1333z00_2040);
					BgL_tail1335z00_2044 = CDR(BgL_lis1333z00_2040);
					{	/* Dataflow/walk.scm 182 */
						bool_t BgL_testz00_4604;

						{	/* Dataflow/walk.scm 184 */
							obj_t BgL_c2z00_2057;

							BgL_c2z00_2057 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(CAR
								(BgL_head1334z00_2043), BgL_env2z00_3290);
							{	/* Dataflow/walk.scm 185 */

								if (PAIRP(BgL_c2z00_2057))
									{	/* Dataflow/walk.scm 186 */
										BgL_testz00_4604 =
											(CDR(BgL_c2z00_2057) == CDR(BgL_head1334z00_2043));
									}
								else
									{	/* Dataflow/walk.scm 186 */
										BgL_testz00_4604 = ((bool_t) 0);
									}
							}
						}
						if (BgL_testz00_4604)
							{	/* Dataflow/walk.scm 182 */
								obj_t BgL_newzd2tail1336zd2_2052;

								BgL_newzd2tail1336zd2_2052 =
									BGl_zc3anonymousza31753ze3ze70z64zzdataflow_walkz00
									(BgL_env2z00_3290, BgL_tail1335z00_2044);
								if ((BgL_tail1335z00_2044 == BgL_newzd2tail1336zd2_2052))
									{	/* Dataflow/walk.scm 182 */
										return BgL_lis1333z00_2040;
									}
								else
									{	/* Dataflow/walk.scm 182 */
										obj_t BgL_res2180z00_2944;

										BgL_res2180z00_2944 =
											MAKE_YOUNG_PAIR(BgL_head1334z00_2043,
											BgL_newzd2tail1336zd2_2052);
										return BgL_res2180z00_2944;
									}
							}
						else
							{
								obj_t BgL_lis1333z00_4616;

								BgL_lis1333z00_4616 = BgL_tail1335z00_2044;
								BgL_lis1333z00_2040 = BgL_lis1333z00_4616;
								goto BGl_zc3anonymousza31753ze3ze70z64zzdataflow_walkz00;
							}
					}
				}
		}
	}



/* &dataflow-node!-setq1390 */
	obj_t BGl_z62dataflowzd2nodez12zd2setq1390z70zzdataflow_walkz00(obj_t
		BgL_envz00_3262, obj_t BgL_nodez00_3263, obj_t BgL_envz00_3264)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 159 */
			{	/* Dataflow/walk.scm 167 */
				obj_t BgL_nenvz00_3516;

				BgL_nenvz00_3516 =
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_setqz00_bglt) CREF(
								((BgL_setqz00_bglt) BgL_nodez00_3263)))->BgL_valuez00),
					BgL_envz00_3264);
				{	/* Dataflow/walk.scm 168 */
					BgL_varz00_bglt BgL_i1153z00_3517;

					BgL_i1153z00_3517 =
						(((BgL_setqz00_bglt) CREF(
								((BgL_setqz00_bglt) BgL_nodez00_3263)))->BgL_varz00);
					{	/* Dataflow/walk.scm 169 */
						bool_t BgL_testz00_4622;

						{	/* Dataflow/walk.scm 169 */
							BgL_variablez00_bglt BgL_arg1727z00_3518;

							BgL_arg1727z00_3518 =
								(((BgL_varz00_bglt) CREF(BgL_i1153z00_3517))->BgL_variablez00);
							{	/* Dataflow/walk.scm 169 */
								bool_t BgL_res2176z00_3519;

								BgL_res2176z00_3519 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_arg1727z00_3518), BGl_globalz00zzast_varz00);
								BgL_testz00_4622 = BgL_res2176z00_3519;
							}
						}
						if (BgL_testz00_4622)
							{	/* Dataflow/walk.scm 169 */
								return
									BGl_zc3anonymousza31731ze3ze70z64zzdataflow_walkz00(
									(((BgL_varz00_bglt) CREF(BgL_i1153z00_3517))->
										BgL_variablez00), BgL_nenvz00_3516);
							}
						else
							{	/* Dataflow/walk.scm 171 */
								BgL_typez00_bglt BgL_typz00_3522;

								BgL_typz00_3522 =
									BGl_getzd2typezd2zztype_typeofz00(
									(((BgL_setqz00_bglt) CREF(
												((BgL_setqz00_bglt) BgL_nodez00_3263)))->BgL_valuez00),
									((bool_t) 1));
								{	/* Dataflow/walk.scm 172 */
									bool_t BgL_testz00_4631;

									if (
										(((obj_t) BgL_typz00_3522) ==
											BGl_za2_za2z00zztype_cachez00))
										{	/* Dataflow/walk.scm 172 */
											BgL_testz00_4631 = ((bool_t) 1);
										}
									else
										{	/* Dataflow/walk.scm 172 */
											BgL_testz00_4631 =
												(
												((obj_t) BgL_typz00_3522) ==
												BGl_za2objza2z00zztype_cachez00);
										}
									if (BgL_testz00_4631)
										{	/* Dataflow/walk.scm 172 */
											return
												BGl_zc3anonymousza31731ze3ze70z64zzdataflow_walkz00(
												(((BgL_varz00_bglt) CREF(BgL_i1153z00_3517))->
													BgL_variablez00), BgL_nenvz00_3516);
										}
									else
										{	/* Dataflow/walk.scm 174 */
											obj_t BgL_arg1724z00_3525;

											{	/* Dataflow/walk.scm 174 */
												BgL_variablez00_bglt BgL_arg1725z00_3526;

												BgL_arg1725z00_3526 =
													(((BgL_varz00_bglt) CREF(BgL_i1153z00_3517))->
													BgL_variablez00);
												BgL_arg1724z00_3525 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1725z00_3526),
													((obj_t) BgL_typz00_3522));
											}
											return
												MAKE_YOUNG_PAIR(BgL_arg1724z00_3525, BgL_nenvz00_3516);
										}
								}
							}
					}
				}
			}
		}
	}



/* <anonymous:1731>~0 */
	obj_t BGl_zc3anonymousza31731ze3ze70z64zzdataflow_walkz00(BgL_variablez00_bglt
		BgL_variablez00_3289, obj_t BgL_lis1328z00_1997)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 162 */
		BGl_zc3anonymousza31731ze3ze70z64zzdataflow_walkz00:
			if (NULLP(BgL_lis1328z00_1997))
				{	/* Dataflow/walk.scm 162 */
					return BgL_lis1328z00_1997;
				}
			else
				{	/* Dataflow/walk.scm 162 */
					obj_t BgL_head1329z00_2000;
					obj_t BgL_tail1330z00_2001;

					BgL_head1329z00_2000 = CAR(BgL_lis1328z00_1997);
					BgL_tail1330z00_2001 = CDR(BgL_lis1328z00_1997);
					{	/* Dataflow/walk.scm 162 */
						bool_t BgL_testz00_4648;

						if ((CAR(BgL_head1329z00_2000) == ((obj_t) BgL_variablez00_3289)))
							{	/* Dataflow/walk.scm 163 */
								BgL_testz00_4648 = ((bool_t) 0);
							}
						else
							{	/* Dataflow/walk.scm 163 */
								BgL_testz00_4648 = ((bool_t) 1);
							}
						if (BgL_testz00_4648)
							{	/* Dataflow/walk.scm 162 */
								obj_t BgL_newzd2tail1331zd2_2007;

								BgL_newzd2tail1331zd2_2007 =
									BGl_zc3anonymousza31731ze3ze70z64zzdataflow_walkz00
									(BgL_variablez00_3289, BgL_tail1330z00_2001);
								if ((BgL_tail1330z00_2001 == BgL_newzd2tail1331zd2_2007))
									{	/* Dataflow/walk.scm 162 */
										return BgL_lis1328z00_1997;
									}
								else
									{	/* Dataflow/walk.scm 162 */
										obj_t BgL_res2175z00_2934;

										BgL_res2175z00_2934 =
											MAKE_YOUNG_PAIR(BgL_head1329z00_2000,
											BgL_newzd2tail1331zd2_2007);
										return BgL_res2175z00_2934;
									}
							}
						else
							{
								obj_t BgL_lis1328z00_4657;

								BgL_lis1328z00_4657 = BgL_tail1330z00_2001;
								BgL_lis1328z00_1997 = BgL_lis1328z00_4657;
								goto BGl_zc3anonymousza31731ze3ze70z64zzdataflow_walkz00;
							}
					}
				}
		}
	}



/* &dataflow-node!-exter1388 */
	obj_t BGl_z62dataflowzd2nodez12zd2exter1388z70zzdataflow_walkz00(obj_t
		BgL_envz00_3265, obj_t BgL_nodez00_3266, obj_t BgL_envz00_3267)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 152 */
			{	/* Dataflow/walk.scm 153 */
				obj_t BgL_res2283z00_3528;

				BgL_res2283z00_3528 =
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
					(((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_nodez00_3266)))->BgL_exprza2za2),
					BgL_envz00_3267);
				return BgL_res2283z00_3528;
			}
		}
	}



/* &dataflow-node!-funca1386 */
	obj_t BGl_z62dataflowzd2nodez12zd2funca1386z70zzdataflow_walkz00(obj_t
		BgL_envz00_3268, obj_t BgL_nodez00_3269, obj_t BgL_envz00_3270)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 144 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_funcallz00_bglt) CREF(
							((BgL_funcallz00_bglt) BgL_nodez00_3269)))->BgL_funz00),
				BgL_envz00_3270);
			return
				BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00((((BgL_funcallz00_bglt)
						CREF(((BgL_funcallz00_bglt) BgL_nodez00_3269)))->BgL_argsz00),
				BgL_envz00_3270);
		}
	}



/* &dataflow-node!-app-l1382 */
	obj_t BGl_z62dataflowzd2nodez12zd2appzd2l1382za2zzdataflow_walkz00(obj_t
		BgL_envz00_3271, obj_t BgL_nodez00_3272, obj_t BgL_envz00_3273)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 136 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_appzd2lyzd2_bglt) CREF(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_3272)))->BgL_funz00),
				BgL_envz00_3273);
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_appzd2lyzd2_bglt)
						CREF(((BgL_appzd2lyzd2_bglt) BgL_nodez00_3272)))->BgL_argz00),
				BgL_envz00_3273);
		}
	}



/* &dataflow-node!-app1380 */
	obj_t BGl_z62dataflowzd2nodez12zd2app1380z70zzdataflow_walkz00(obj_t
		BgL_envz00_3274, obj_t BgL_nodez00_3275, obj_t BgL_envz00_3276)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 120 */
			{	/* Dataflow/walk.scm 122 */
				obj_t BgL_aenvz00_3532;

				BgL_aenvz00_3532 =
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
					(((BgL_appz00_bglt) CREF(
								((BgL_appz00_bglt) BgL_nodez00_3275)))->BgL_argsz00),
					BgL_envz00_3276);
				{	/* Dataflow/walk.scm 123 */
					bool_t BgL_testz00_4676;

					{	/* Dataflow/walk.scm 123 */
						BgL_variablez00_bglt BgL_arg1678z00_3533;

						BgL_arg1678z00_3533 =
							(((BgL_varz00_bglt) CREF(
									(((BgL_appz00_bglt) CREF(
												((BgL_appz00_bglt) BgL_nodez00_3275)))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Dataflow/walk.scm 123 */
							bool_t BgL_res2168z00_3534;

							BgL_res2168z00_3534 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_arg1678z00_3533), BGl_localz00zzast_varz00);
							BgL_testz00_4676 = BgL_res2168z00_3534;
						}
					}
					if (BgL_testz00_4676)
						{	/* Dataflow/walk.scm 123 */
							return
								BGl_zc3anonymousza31667ze3ze70z64zzdataflow_walkz00
								(BgL_aenvz00_3532);
						}
					else
						{	/* Dataflow/walk.scm 123 */
							return BgL_aenvz00_3532;
						}
				}
			}
		}
	}



/* <anonymous:1667>~0 */
	obj_t BGl_zc3anonymousza31667ze3ze70z64zzdataflow_walkz00(obj_t
		BgL_lis1323z00_1927)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 127 */
		BGl_zc3anonymousza31667ze3ze70z64zzdataflow_walkz00:
			if (NULLP(BgL_lis1323z00_1927))
				{	/* Dataflow/walk.scm 127 */
					return BgL_lis1323z00_1927;
				}
			else
				{	/* Dataflow/walk.scm 127 */
					obj_t BgL_head1324z00_1930;
					obj_t BgL_tail1325z00_1931;

					BgL_head1324z00_1930 = CAR(BgL_lis1323z00_1927);
					BgL_tail1325z00_1931 = CDR(BgL_lis1323z00_1927);
					{	/* Dataflow/walk.scm 127 */
						bool_t BgL_testz00_4687;

						{	/* Dataflow/walk.scm 128 */
							obj_t BgL_vz00_1940;

							BgL_vz00_1940 = CAR(BgL_head1324z00_1930);
							{	/* Dataflow/walk.scm 129 */
								bool_t BgL__ortest_1149z00_1941;

								BgL__ortest_1149z00_1941 =
									BGl_isazf3zf3zz__objectz00(BgL_vz00_1940,
									BGl_globalz00zzast_varz00);
								if (BgL__ortest_1149z00_1941)
									{	/* Dataflow/walk.scm 129 */
										BgL_testz00_4687 = BgL__ortest_1149z00_1941;
									}
								else
									{	/* Dataflow/walk.scm 129 */
										BgL_testz00_4687 =
											(
											(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_vz00_1940)))->
												BgL_accessz00) == CNST_TABLE_REF(((long) 11)));
						}}}
						if (BgL_testz00_4687)
							{	/* Dataflow/walk.scm 127 */
								obj_t BgL_newzd2tail1326zd2_1937;

								BgL_newzd2tail1326zd2_1937 =
									BGl_zc3anonymousza31667ze3ze70z64zzdataflow_walkz00
									(BgL_tail1325z00_1931);
								if ((BgL_tail1325z00_1931 == BgL_newzd2tail1326zd2_1937))
									{	/* Dataflow/walk.scm 127 */
										return BgL_lis1323z00_1927;
									}
								else
									{	/* Dataflow/walk.scm 127 */
										obj_t BgL_res2172z00_2920;

										BgL_res2172z00_2920 =
											MAKE_YOUNG_PAIR(BgL_head1324z00_1930,
											BgL_newzd2tail1326zd2_1937);
										return BgL_res2172z00_2920;
									}
							}
						else
							{
								obj_t BgL_lis1323z00_4699;

								BgL_lis1323z00_4699 = BgL_tail1325z00_1931;
								BgL_lis1323z00_1927 = BgL_lis1323z00_4699;
								goto BGl_zc3anonymousza31667ze3ze70z64zzdataflow_walkz00;
							}
					}
				}
		}
	}



/* &dataflow-node!-sync1378 */
	obj_t BGl_z62dataflowzd2nodez12zd2sync1378z70zzdataflow_walkz00(obj_t
		BgL_envz00_3277, obj_t BgL_nodez00_3278, obj_t BgL_envz00_3279)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 111 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_syncz00_bglt) CREF(
							((BgL_syncz00_bglt) BgL_nodez00_3278)))->BgL_mutexz00),
				BgL_envz00_3279);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_syncz00_bglt)
						CREF(((BgL_syncz00_bglt) BgL_nodez00_3278)))->BgL_prelockz00),
				BgL_envz00_3279);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_syncz00_bglt)
						CREF(((BgL_syncz00_bglt) BgL_nodez00_3278)))->BgL_bodyz00),
				BgL_envz00_3279);
			return BgL_envz00_3279;
		}
	}



/* &dataflow-node!-seque1376 */
	obj_t BGl_z62dataflowzd2nodez12zd2seque1376z70zzdataflow_walkz00(obj_t
		BgL_envz00_3280, obj_t BgL_nodez00_3281, obj_t BgL_envz00_3282)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 101 */
			{	/* Dataflow/walk.scm 102 */
				obj_t BgL_res2284z00_3544;

				{	/* Dataflow/walk.scm 102 */
					obj_t BgL_g1147z00_3537;

					BgL_g1147z00_3537 =
						(((BgL_sequencez00_bglt) CREF(
								((BgL_sequencez00_bglt) BgL_nodez00_3281)))->BgL_nodesz00);
					{
						obj_t BgL_nodeza2za2_3539;
						obj_t BgL_envz00_3540;

						BgL_nodeza2za2_3539 = BgL_g1147z00_3537;
						BgL_envz00_3540 = BgL_envz00_3282;
					BgL_loopz00_3538:
						if (NULLP(BgL_nodeza2za2_3539))
							{	/* Dataflow/walk.scm 104 */
								BgL_res2284z00_3544 = BgL_envz00_3540;
							}
						else
							{	/* Dataflow/walk.scm 106 */
								obj_t BgL_arg1647z00_3541;
								obj_t BgL_arg1649z00_3542;

								BgL_arg1647z00_3541 = CDR(BgL_nodeza2za2_3539);
								{	/* Dataflow/walk.scm 106 */
									obj_t BgL_arg1650z00_3543;

									BgL_arg1650z00_3543 = CAR(BgL_nodeza2za2_3539);
									BgL_arg1649z00_3542 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg1650z00_3543), BgL_envz00_3540);
								}
								{
									obj_t BgL_envz00_4718;
									obj_t BgL_nodeza2za2_4717;

									BgL_nodeza2za2_4717 = BgL_arg1647z00_3541;
									BgL_envz00_4718 = BgL_arg1649z00_3542;
									BgL_envz00_3540 = BgL_envz00_4718;
									BgL_nodeza2za2_3539 = BgL_nodeza2za2_4717;
									goto BgL_loopz00_3538;
								}
							}
					}
				}
				return BgL_res2284z00_3544;
			}
		}
	}



/* &dataflow-node!-closu1374 */
	obj_t BGl_z62dataflowzd2nodez12zd2closu1374z70zzdataflow_walkz00(obj_t
		BgL_envz00_3283, obj_t BgL_nodez00_3284, obj_t BgL_envz00_3285)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 95 */
			return BgL_envz00_3285;
		}
	}



/* &dataflow-node!-var1372 */
	obj_t BGl_z62dataflowzd2nodez12zd2var1372z70zzdataflow_walkz00(obj_t
		BgL_envz00_3286, obj_t BgL_nodez00_3287, obj_t BgL_envz00_3288)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 81 */
			{	/* Dataflow/walk.scm 83 */
				BgL_variablez00_bglt BgL_i1145z00_3548;

				BgL_i1145z00_3548 =
					(((BgL_varz00_bglt) CREF(
							((BgL_varz00_bglt) BgL_nodez00_3287)))->BgL_variablez00);
				{	/* Dataflow/walk.scm 84 */
					bool_t BgL_testz00_4721;

					if (BGl_bigloozd2typezf3z21zztype_typez00(
							(((BgL_variablez00_bglt) CREF(BgL_i1145z00_3548))->BgL_typez00)))
						{	/* Dataflow/walk.scm 85 */
							bool_t BgL__ortest_1146z00_3549;

							{	/* Dataflow/walk.scm 85 */
								bool_t BgL_testz00_4725;

								{	/* Dataflow/walk.scm 85 */
									BgL_typez00_bglt BgL_arg1643z00_3550;

									BgL_arg1643z00_3550 =
										(((BgL_variablez00_bglt) CREF(BgL_i1145z00_3548))->
										BgL_typez00);
									{	/* Dataflow/walk.scm 85 */
										bool_t BgL_res2164z00_3551;

										BgL_res2164z00_3551 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_arg1643z00_3550),
											BGl_tclassz00zzobject_classz00);
										BgL_testz00_4725 = BgL_res2164z00_3551;
									}
								}
								if (BgL_testz00_4725)
									{	/* Dataflow/walk.scm 85 */
										BgL__ortest_1146z00_3549 = ((bool_t) 0);
									}
								else
									{	/* Dataflow/walk.scm 85 */
										BgL__ortest_1146z00_3549 = ((bool_t) 1);
									}
							}
							if (BgL__ortest_1146z00_3549)
								{	/* Dataflow/walk.scm 85 */
									BgL_testz00_4721 = BgL__ortest_1146z00_3549;
								}
							else
								{	/* Dataflow/walk.scm 85 */
									BgL_typez00_bglt BgL_arg1641z00_3552;
									BgL_typez00_bglt BgL_arg1642z00_3553;

									BgL_arg1641z00_3552 =
										(((BgL_variablez00_bglt) CREF(BgL_i1145z00_3548))->
										BgL_typez00);
									BgL_arg1642z00_3553 =
										(((BgL_nodez00_bglt)
											CREF(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
														BgL_nodez00_3287))))->BgL_typez00);
									BgL_testz00_4721 =
										BGl_typezd2subclasszf3z21zzobject_classz00
										(BgL_arg1641z00_3552, BgL_arg1642z00_3553);
								}
						}
					else
						{	/* Dataflow/walk.scm 84 */
							BgL_testz00_4721 = ((bool_t) 0);
						}
					if (BgL_testz00_4721)
						{	/* Dataflow/walk.scm 86 */
							obj_t BgL_bz00_3554;

							BgL_bz00_3554 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t)
									(((BgL_varz00_bglt) CREF(
												((BgL_varz00_bglt) BgL_nodez00_3287)))->
										BgL_variablez00)), BgL_envz00_3288);
							if (PAIRP(BgL_bz00_3554))
								{	/* Dataflow/walk.scm 87 */
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_3287))))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												CDR(BgL_bz00_3554))), BUNSPEC);
								}
							else
								{	/* Dataflow/walk.scm 87 */
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_3287))))->
											BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													CREF((((BgL_varz00_bglt) CREF(((BgL_varz00_bglt)
																		BgL_nodez00_3287)))->BgL_variablez00)))->
												BgL_typez00)), BUNSPEC);
								}
						}
					else
						{	/* Dataflow/walk.scm 84 */
							BFALSE;
						}
				}
			}
			return BgL_envz00_3288;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2277z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2277z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2277z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2277z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2277z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2277z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2277z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2277z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2277z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2277z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2277z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2277z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string2277z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2277z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2277z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long) 271385047),
				BSTRING_TO_STRING(BGl_string2277z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string2277z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string2277z00zzdataflow_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 209108747),
				BSTRING_TO_STRING(BGl_string2277z00zzdataflow_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
