/*===========================================================================*/
/*   (Trace/walk.scm)                                                        */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Trace/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	static obj_t BGl_z62findzd2lastzd2nodezd2setzd2e1334z62zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodez62zztrace_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2exter1320zb0zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2sequence1341z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2condi1324zb0zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zztrace_walkz00();
	BGL_EXPORTED_DECL obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2condition1358z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zztrace_walkz00();
	static obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2letzd2f1332z62zztrace_walkz00(obj_t,
		obj_t);
	static BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2letzd2v1330z62zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2jumpzd21336z62zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt,
		obj_t, obj_t);
	static obj_t BGl_z62tracezd2walkz12za2zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62tracezd2nodezb0zztrace_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1370z62zztrace_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2setq1322zb0zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zztrace_walkz00();
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd21382zb0zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd21386zb0zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd21388zb0zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2funcall1349z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2cast1353z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2setz121376za2zztrace_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62toplevelzd2tracezd2node1377z62zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2makezd2box1372zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2ref1374zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setq1356z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2appzd2l1316z62zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2selec1328zb0zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztrace_walkz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2funca1318zb0zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static bool_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zztrace_walkz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zztrace_walkz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62tracezd2nodezd2app1345z62zztrace_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static bool_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2app1314zb0zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2letzd2fun1364zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2node1307z62zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2appzd2ly1347zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2select1362z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setzd2exzd2it1368z62zztrace_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_z62findzd2lastzd2nodezd2sync1312zb0zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2fail1326zb0zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2extern1351z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zztrace_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00();
	static obj_t BGl_z62findzd2lastzd2nodezd2seque1310zb0zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62tracezd2node1337zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2letzd2var1366zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2sync1343z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2fail1360z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t __cnst[21];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2061z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2110za7,
		BGl_z62findzd2lastzd2node1307z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2063z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2node12111z00,
		BGl_z62tracezd2node1337zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2065z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2112z00,
		BGl_z62toplevelzd2tracezd2node1377z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2067z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2113za7,
		BGl_z62findzd2lastzd2nodezd2seque1310zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2069z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2114za7,
		BGl_z62findzd2lastzd2nodezd2sync1312zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2070z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2115za7,
		BGl_z62findzd2lastzd2nodezd2app1314zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2071z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2116za7,
		BGl_z62findzd2lastzd2nodezd2appzd2l1316z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2072z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2117za7,
		BGl_z62findzd2lastzd2nodezd2funca1318zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2073z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2118za7,
		BGl_z62findzd2lastzd2nodezd2exter1320zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2074z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2119za7,
		BGl_z62findzd2lastzd2nodezd2setq1322zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2075z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2120za7,
		BGl_z62findzd2lastzd2nodezd2condi1324zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2076z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2121za7,
		BGl_z62findzd2lastzd2nodezd2fail1326zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2077z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2122za7,
		BGl_z62findzd2lastzd2nodezd2selec1328zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2078z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2123za7,
		BGl_z62findzd2lastzd2nodezd2letzd2v1330z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2079z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2124za7,
		BGl_z62findzd2lastzd2nodezd2letzd2f1332z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2080z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2125za7,
		BGl_z62findzd2lastzd2nodezd2setzd2e1334z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2081z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2126za7,
		BGl_z62findzd2lastzd2nodezd2jumpzd21336z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2082z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72127za7,
		BGl_z62tracezd2nodezd2sequence1341z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2084z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72128za7,
		BGl_z62tracezd2nodezd2sync1343z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2085z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72129za7,
		BGl_z62tracezd2nodezd2app1345z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2086z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72130za7,
		BGl_z62tracezd2nodezd2appzd2ly1347zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2087z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72131za7,
		BGl_z62tracezd2nodezd2funcall1349z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2088z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72132za7,
		BGl_z62tracezd2nodezd2extern1351z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2089z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72133za7,
		BGl_z62tracezd2nodezd2cast1353z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2090z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72134za7,
		BGl_z62tracezd2nodezd2setq1356z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2091z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72135za7,
		BGl_z62tracezd2nodezd2condition1358z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2092z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72136za7,
		BGl_z62tracezd2nodezd2fail1360z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2093z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72137za7,
		BGl_z62tracezd2nodezd2select1362z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2094z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72138za7,
		BGl_z62tracezd2nodezd2letzd2fun1364zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2095z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72139za7,
		BGl_z62tracezd2nodezd2letzd2var1366zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2096z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72140za7,
		BGl_z62tracezd2nodezd2setzd2exzd2it1368z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2097z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72141za7,
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1370z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2098z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72142za7,
		BGl_z62tracezd2nodezd2makezd2box1372zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2099z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72143za7,
		BGl_z62tracezd2nodezd2boxzd2ref1374zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tracezd2walkz12zd2envz12zztrace_walkz00,
		BgL_bgl_za762traceza7d2walkza72144za7,
		BGl_z62tracezd2walkz12za2zztrace_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2145za7,
		BGl_z62findzd2lastzd2nodez62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2100z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72146za7,
		BGl_z62tracezd2nodezd2boxzd2setz121376za2zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2101z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2147z00,
		BGl_z62toplevelzd2tracezd2nodezd21382zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2103z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2148z00,
		BGl_z62toplevelzd2tracezd2nodezd21386zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2104z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2149z00,
		BGl_z62toplevelzd2tracezd2nodezd21388zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2150z00,
		BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2051z00zztrace_walkz00,
		BgL_bgl_string2051za700za7za7t2151za7, "Trace", 5);
	      DEFINE_STRING(BGl_string2052z00zztrace_walkz00,
		BgL_bgl_string2052za700za7za7t2152za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2053z00zztrace_walkz00,
		BgL_bgl_string2053za700za7za7t2153za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2054z00zztrace_walkz00,
		BgL_bgl_string2054za700za7za7t2154za7, " error", 6);
	      DEFINE_STRING(BGl_string2055z00zztrace_walkz00,
		BgL_bgl_string2055za700za7za7t2155za7, "s", 1);
	      DEFINE_STRING(BGl_string2056z00zztrace_walkz00,
		BgL_bgl_string2056za700za7za7t2156za7, "", 0);
	      DEFINE_STRING(BGl_string2057z00zztrace_walkz00,
		BgL_bgl_string2057za700za7za7t2157za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2058z00zztrace_walkz00,
		BgL_bgl_string2058za700za7za7t2158za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2059z00zztrace_walkz00,
		BgL_bgl_string2059za700za7za7t2159za7, "%toplevel@", 10);
	      DEFINE_STRING(BGl_string2060z00zztrace_walkz00,
		BgL_bgl_string2060za700za7za7t2160za7, "%import@", 8);
	      DEFINE_STRING(BGl_string2062z00zztrace_walkz00,
		BgL_bgl_string2062za700za7za7t2161za7, "find-last-node1307", 18);
	      DEFINE_STRING(BGl_string2064z00zztrace_walkz00,
		BgL_bgl_string2064za700za7za7t2162za7, "trace-node1337", 14);
	      DEFINE_STRING(BGl_string2066z00zztrace_walkz00,
		BgL_bgl_string2066za700za7za7t2163za7, "toplevel-trace-node1377", 23);
	      DEFINE_STRING(BGl_string2068z00zztrace_walkz00,
		BgL_bgl_string2068za700za7za7t2164za7, "find-last-node", 14);
	      DEFINE_STRING(BGl_string2083z00zztrace_walkz00,
		BgL_bgl_string2083za700za7za7t2165za7, "trace-node", 10);
	      DEFINE_STATIC_BGL_GENERIC(BGl_tracezd2nodezd2envz00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72166za7,
		BGl_z62tracezd2nodezb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2102z00zztrace_walkz00,
		BgL_bgl_string2102za700za7za7t2167za7, "toplevel-trace-node", 19);
	      DEFINE_STRING(BGl_string2105z00zztrace_walkz00,
		BgL_bgl_string2105za700za7za7t2168za7, "trace_walk", 10);
	      DEFINE_STRING(BGl_string2106z00zztrace_walkz00,
		BgL_bgl_string2106za700za7za7t2169za7,
		"value let $env-pop-trace $env-push-trace current-dynamic-env dynamic-env quote at location |:| env loc name aux generic-init method-init no-trace @ imported-modules-init toplevel-init pass-started ",
		197);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zztrace_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long
		BgL_checksumz00_2822, char *BgL_fromz00_2823)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztrace_walkz00))
				{
					BGl_requirezd2initializa7ationz75zztrace_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zztrace_walkz00();
					BGl_libraryzd2moduleszd2initz00zztrace_walkz00();
					BGl_cnstzd2initzd2zztrace_walkz00();
					BGl_importedzd2moduleszd2initz00zztrace_walkz00();
					BGl_genericzd2initzd2zztrace_walkz00();
					BGl_methodzd2initzd2zztrace_walkz00();
					return BGl_toplevelzd2initzd2zztrace_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "trace_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			{	/* Trace/walk.scm 15 */
				obj_t BgL_cportz00_2711;

				{	/* Trace/walk.scm 15 */
					obj_t BgL_startz00_2720;

					BgL_startz00_2720 = BINT(((long) 0));
					{	/* Trace/walk.scm 15 */
						obj_t BgL_endz00_2721;

						BgL_endz00_2721 =
							BINT(STRING_LENGTH(BGl_string2106z00zztrace_walkz00));
						{	/* Trace/walk.scm 15 */

							BgL_cportz00_2711 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string2106z00zztrace_walkz00, BgL_startz00_2720,
								BgL_endz00_2721);
				}}}
				{
					long BgL_iz00_2712;

					BgL_iz00_2712 = ((long) 20);
				BgL_loopz00_2713:
					if ((BgL_iz00_2712 == ((long) -1)))
						{	/* Trace/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Trace/walk.scm 15 */
							{	/* Trace/walk.scm 15 */
								obj_t BgL_arg2108z00_2715;

								{	/* Trace/walk.scm 15 */

									{	/* Trace/walk.scm 15 */
										obj_t BgL_locationz00_2717;

										BgL_locationz00_2717 = BBOOL(((bool_t) 0));
										{	/* Trace/walk.scm 15 */

											BgL_arg2108z00_2715 =
												BGl_readz00zz__readerz00(BgL_cportz00_2711,
												BgL_locationz00_2717);
										}
									}
								}
								{	/* Trace/walk.scm 15 */
									int BgL_tmpz00_2855;

									BgL_tmpz00_2855 = (int) (BgL_iz00_2712);
									CNST_TABLE_SET(BgL_tmpz00_2855, BgL_arg2108z00_2715);
							}}
							{	/* Trace/walk.scm 15 */
								int BgL_auxz00_2718;

								BgL_auxz00_2718 = (int) ((BgL_iz00_2712 - ((long) 1)));
								{
									long BgL_iz00_2860;

									BgL_iz00_2860 = (long) (BgL_auxz00_2718);
									BgL_iz00_2712 = BgL_iz00_2860;
									goto BgL_loopz00_2713;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* trace-walk! */
	BGL_EXPORTED_DEF obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t
		BgL_globalsz00_17)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 38 */
			{	/* Trace/walk.scm 39 */
				obj_t BgL_list1424z00_1448;

				{	/* Trace/walk.scm 39 */
					obj_t BgL_arg1436z00_1449;

					{	/* Trace/walk.scm 39 */
						obj_t BgL_arg1437z00_1450;

						BgL_arg1437z00_1450 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1436z00_1449 =
							MAKE_YOUNG_PAIR(BGl_string2051z00zztrace_walkz00,
							BgL_arg1437z00_1450);
					}
					BgL_list1424z00_1448 =
						MAKE_YOUNG_PAIR(BGl_string2052z00zztrace_walkz00,
						BgL_arg1436z00_1449);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1424z00_1448);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2051z00zztrace_walkz00;
			{
				obj_t BgL_hooksz00_1454;
				obj_t BgL_hnamesz00_1455;

				BgL_hooksz00_1454 = BNIL;
				BgL_hnamesz00_1455 = BNIL;
			BgL_zc3anonymousza31438ze3z83_1456:
				if (NULLP(BgL_hooksz00_1454))
					{	/* Trace/walk.scm 39 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Trace/walk.scm 39 */
						bool_t BgL_testz00_2873;

						{	/* Trace/walk.scm 39 */
							obj_t BgL_fun1461z00_1463;

							BgL_fun1461z00_1463 = CAR(BgL_hooksz00_1454);
							BgL_testz00_2873 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun1461z00_1463) (BgL_fun1461z00_1463,
									BEOA));
						}
						if (BgL_testz00_2873)
							{
								obj_t BgL_hnamesz00_2881;
								obj_t BgL_hooksz00_2879;

								BgL_hooksz00_2879 = CDR(BgL_hooksz00_1454);
								BgL_hnamesz00_2881 = CDR(BgL_hnamesz00_1455);
								BgL_hnamesz00_1455 = BgL_hnamesz00_2881;
								BgL_hooksz00_1454 = BgL_hooksz00_2879;
								goto BgL_zc3anonymousza31438ze3z83_1456;
							}
						else
							{	/* Trace/walk.scm 39 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string2051z00zztrace_walkz00,
									BGl_string2053z00zztrace_walkz00, CAR(BgL_hnamesz00_1455));
							}
					}
			}
			{	/* Trace/walk.scm 45 */
				obj_t BgL_idz00_1466;

				BgL_idz00_1466 = CNST_TABLE_REF(((long) 1));
				{	/* Trace/walk.scm 45 */
					obj_t BgL_gloz00_1467;

					{	/* Trace/walk.scm 46 */
						obj_t BgL_list1466z00_1471;

						BgL_list1466z00_1471 =
							MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
						BgL_gloz00_1467 =
							BGl_findzd2globalzd2zzast_envz00(BgL_idz00_1466,
							BgL_list1466z00_1471);
					}
					{	/* Trace/walk.scm 46 */

						if (BGl_isazf3zf3zz__objectz00(BgL_gloz00_1467,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 48 */
								BgL_sfunz00_bglt BgL_i1108z00_1469;

								BgL_i1108z00_1469 =
									((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gloz00_1467))))->
										BgL_valuez00));
								{
									obj_t BgL_auxz00_2894;

									{	/* Trace/walk.scm 49 */
										obj_t BgL_arg1465z00_1470;

										BgL_arg1465z00_1470 =
											(((BgL_sfunz00_bglt) CREF(BgL_i1108z00_1469))->
											BgL_bodyz00);
										BgL_auxz00_2894 =
											((obj_t)
											BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((
													(BgL_nodez00_bglt) BgL_arg1465z00_1470)));
									}
									((((BgL_sfunz00_bglt) CREF(BgL_i1108z00_1469))->BgL_bodyz00) =
										((obj_t) BgL_auxz00_2894), BUNSPEC);
								}
							}
						else
							{	/* Trace/walk.scm 47 */
								BFALSE;
							}
					}
				}
			}
			{
				obj_t BgL_l1295z00_1473;

				BgL_l1295z00_1473 = BgL_globalsz00_17;
			BgL_zc3anonymousza31467ze3z83_1474:
				if (PAIRP(BgL_l1295z00_1473))
					{	/* Trace/walk.scm 51 */
						{	/* Trace/walk.scm 51 */
							obj_t BgL_vz00_1476;

							BgL_vz00_1476 = CAR(BgL_l1295z00_1473);
							BGl_tracezd2funz12zc0zztrace_walkz00(BgL_vz00_1476, BNIL,
								BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00);
						}
						{
							obj_t BgL_l1295z00_2904;

							BgL_l1295z00_2904 = CDR(BgL_l1295z00_1473);
							BgL_l1295z00_1473 = BgL_l1295z00_2904;
							goto BgL_zc3anonymousza31467ze3z83_1474;
						}
					}
				else
					{	/* Trace/walk.scm 51 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Trace/walk.scm 52 */
					{	/* Trace/walk.scm 52 */
						obj_t BgL_port1297z00_1481;

						{	/* Trace/walk.scm 52 */
							obj_t BgL_res1982z00_2265;

							{	/* Trace/walk.scm 52 */
								obj_t BgL_tmpz00_2909;

								BgL_tmpz00_2909 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1982z00_2265 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2909);
							}
							BgL_port1297z00_1481 = BgL_res1982z00_2265;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1297z00_1481);
						bgl_display_string(BGl_string2054z00zztrace_walkz00,
							BgL_port1297z00_1481);
						{	/* Trace/walk.scm 52 */
							obj_t BgL_arg1481z00_1482;

							{	/* Trace/walk.scm 52 */
								bool_t BgL_testz00_2914;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Trace/walk.scm 52 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Trace/walk.scm 52 */
												BgL_testz00_2914 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Trace/walk.scm 52 */
												BgL_testz00_2914 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Trace/walk.scm 52 */
										BgL_testz00_2914 = ((bool_t) 0);
									}
								if (BgL_testz00_2914)
									{	/* Trace/walk.scm 52 */
										BgL_arg1481z00_1482 = BGl_string2055z00zztrace_walkz00;
									}
								else
									{	/* Trace/walk.scm 52 */
										BgL_arg1481z00_1482 = BGl_string2056z00zztrace_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1481z00_1482, BgL_port1297z00_1481);
						}
						bgl_display_string(BGl_string2057z00zztrace_walkz00,
							BgL_port1297z00_1481);
						bgl_display_char(((unsigned char) 10), BgL_port1297z00_1481);
					}
					{	/* Trace/walk.scm 52 */
						obj_t BgL_list1485z00_1488;

						BgL_list1485z00_1488 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1485z00_1488);
					}
				}
			else
				{
					obj_t BgL_hooksz00_1492;
					obj_t BgL_hnamesz00_1493;

					BgL_hooksz00_1492 = BNIL;
					BgL_hnamesz00_1493 = BNIL;
				BgL_zc3anonymousza31486ze3z83_1494:
					if (NULLP(BgL_hooksz00_1492))
						{	/* Trace/walk.scm 52 */
							return BgL_globalsz00_17;
						}
					else
						{	/* Trace/walk.scm 52 */
							bool_t BgL_testz00_2931;

							{	/* Trace/walk.scm 52 */
								obj_t BgL_fun1495z00_1501;

								BgL_fun1495z00_1501 = CAR(BgL_hooksz00_1492);
								BgL_testz00_2931 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1495z00_1501)
									(BgL_fun1495z00_1501, BEOA));
							}
							if (BgL_testz00_2931)
								{
									obj_t BgL_hnamesz00_2939;
									obj_t BgL_hooksz00_2937;

									BgL_hooksz00_2937 = CDR(BgL_hooksz00_1492);
									BgL_hnamesz00_2939 = CDR(BgL_hnamesz00_1493);
									BgL_hnamesz00_1493 = BgL_hnamesz00_2939;
									BgL_hooksz00_1492 = BgL_hooksz00_2937;
									goto BgL_zc3anonymousza31486ze3z83_1494;
								}
							else
								{	/* Trace/walk.scm 52 */
									obj_t BgL_arg1492z00_1500;

									BgL_arg1492z00_1500 = CAR(BgL_hnamesz00_1493);
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_za2currentzd2passza2zd2zzengine_passz00,
										BGl_string2058z00zztrace_walkz00, BgL_arg1492z00_1500);
								}
						}
				}
		}
	}



/* &trace-walk! */
	obj_t BGl_z62tracezd2walkz12za2zztrace_walkz00(obj_t BgL_envz00_2548,
		obj_t BgL_globalsz00_2549)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 38 */
			return BGl_tracezd2walkz12zc0zztrace_walkz00(BgL_globalsz00_2549);
		}
	}



/* trace-id */
	obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t BgL_vz00_18)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 63 */
			{	/* Trace/walk.scm 65 */
				bool_t BgL_testz00_2944;

				if (BGl_isazf3zf3zz__objectz00(BgL_vz00_18, BGl_globalz00zzast_varz00))
					{	/* Trace/walk.scm 65 */
						BgL_testz00_2944 =
							(
							(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00) ==
							CNST_TABLE_REF(((long) 1)));
					}
				else
					{	/* Trace/walk.scm 65 */
						BgL_testz00_2944 = ((bool_t) 0);
					}
				if (BgL_testz00_2944)
					{	/* Trace/walk.scm 66 */
						obj_t BgL_arg1507z00_1507;

						{	/* Trace/walk.scm 66 */
							obj_t BgL_arg1509z00_1508;
							obj_t BgL_arg1510z00_1509;

							{	/* Trace/walk.scm 66 */
								obj_t BgL_arg1511z00_1510;

								BgL_arg1511z00_1510 =
									bstring_to_symbol(BGl_string2059z00zztrace_walkz00);
								{	/* Trace/walk.scm 66 */
									obj_t BgL_res1989z00_2287;

									{	/* Trace/walk.scm 66 */
										obj_t BgL_arg1377z00_2286;

										BgL_arg1377z00_2286 = SYMBOL_TO_STRING(BgL_arg1511z00_1510);
										BgL_res1989z00_2287 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1377z00_2286);
									}
									BgL_arg1509z00_1508 = BgL_res1989z00_2287;
								}
							}
							{	/* Trace/walk.scm 66 */
								obj_t BgL_arg1526z00_1511;

								BgL_arg1526z00_1511 =
									(((BgL_globalz00_bglt) CREF(
											((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
								{	/* Trace/walk.scm 66 */
									obj_t BgL_res1990z00_2291;

									{	/* Trace/walk.scm 66 */
										obj_t BgL_arg1377z00_2290;

										BgL_arg1377z00_2290 = SYMBOL_TO_STRING(BgL_arg1526z00_1511);
										BgL_res1990z00_2291 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1377z00_2290);
									}
									BgL_arg1510z00_1509 = BgL_res1990z00_2291;
								}
							}
							BgL_arg1507z00_1507 =
								string_append(BgL_arg1509z00_1508, BgL_arg1510z00_1509);
						}
						return bstring_to_symbol(BgL_arg1507z00_1507);
					}
				else
					{	/* Trace/walk.scm 67 */
						bool_t BgL_testz00_2961;

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_18,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 67 */
								BgL_testz00_2961 =
									(
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00) ==
									CNST_TABLE_REF(((long) 2)));
							}
						else
							{	/* Trace/walk.scm 67 */
								BgL_testz00_2961 = ((bool_t) 0);
							}
						if (BgL_testz00_2961)
							{	/* Trace/walk.scm 68 */
								obj_t BgL_arg1533z00_1515;

								{	/* Trace/walk.scm 68 */
									obj_t BgL_arg1535z00_1516;
									obj_t BgL_arg1537z00_1517;

									{	/* Trace/walk.scm 68 */
										obj_t BgL_arg1540z00_1518;

										BgL_arg1540z00_1518 =
											bstring_to_symbol(BGl_string2060z00zztrace_walkz00);
										{	/* Trace/walk.scm 68 */
											obj_t BgL_res1994z00_2300;

											{	/* Trace/walk.scm 68 */
												obj_t BgL_arg1377z00_2299;

												BgL_arg1377z00_2299 =
													SYMBOL_TO_STRING(BgL_arg1540z00_1518);
												BgL_res1994z00_2300 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1377z00_2299);
											}
											BgL_arg1535z00_1516 = BgL_res1994z00_2300;
										}
									}
									{	/* Trace/walk.scm 68 */
										obj_t BgL_arg1541z00_1519;

										BgL_arg1541z00_1519 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
										{	/* Trace/walk.scm 68 */
											obj_t BgL_res1995z00_2304;

											{	/* Trace/walk.scm 68 */
												obj_t BgL_arg1377z00_2303;

												BgL_arg1377z00_2303 =
													SYMBOL_TO_STRING(BgL_arg1541z00_1519);
												BgL_res1995z00_2304 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1377z00_2303);
											}
											BgL_arg1537z00_1517 = BgL_res1995z00_2304;
										}
									}
									BgL_arg1533z00_1515 =
										string_append(BgL_arg1535z00_1516, BgL_arg1537z00_1517);
								}
								return bstring_to_symbol(BgL_arg1533z00_1515);
							}
						else
							{	/* Trace/walk.scm 67 */
								if (BGl_isazf3zf3zz__objectz00(BgL_vz00_18,
										BGl_globalz00zzast_varz00))
									{	/* Trace/walk.scm 70 */
										obj_t BgL_arg1545z00_1521;
										obj_t BgL_arg1546z00_1522;

										BgL_arg1545z00_1521 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00);
										BgL_arg1546z00_1522 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
										{	/* Trace/walk.scm 70 */
											obj_t BgL_list1547z00_1523;

											{	/* Trace/walk.scm 70 */
												obj_t BgL_arg1551z00_1524;

												{	/* Trace/walk.scm 70 */
													obj_t BgL_arg1555z00_1525;

													BgL_arg1555z00_1525 =
														MAKE_YOUNG_PAIR(BgL_arg1546z00_1522, BNIL);
													BgL_arg1551z00_1524 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
														BgL_arg1555z00_1525);
												}
												BgL_list1547z00_1523 =
													MAKE_YOUNG_PAIR(BgL_arg1545z00_1521,
													BgL_arg1551z00_1524);
											}
											return
												BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
												(BgL_list1547z00_1523);
										}
									}
								else
									{	/* Trace/walk.scm 69 */
										return
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_vz00_18)))->BgL_idz00);
									}
							}
					}
			}
		}
	}



/* trace-fun! */
	obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t BgL_varz00_19,
		obj_t BgL_stackz00_20, obj_t BgL_levelz00_21)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 80 */
			{	/* Trace/walk.scm 81 */
				BgL_valuez00_bglt BgL_funz00_1530;

				BgL_funz00_1530 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_varz00_19)))->BgL_valuez00);
				{	/* Trace/walk.scm 81 */
					obj_t BgL_bodyz00_1531;

					BgL_bodyz00_1531 =
						(((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_funz00_1530)))->BgL_bodyz00);
					{	/* Trace/walk.scm 82 */
						obj_t BgL_llocz00_1532;

						if (BGl_isazf3zf3zz__objectz00(BgL_varz00_19,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 84 */
								obj_t BgL_arg1635z00_1579;

								BgL_arg1635z00_1579 =
									BGl_findzd2lastzd2sexpz00zztrace_walkz00(
									(((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt) BgL_varz00_19)))->BgL_srcz00));
								BgL_llocz00_1532 =
									BGl_findzd2locationzd2zztools_locationz00
									(BgL_arg1635z00_1579);
							}
						else
							{	/* Trace/walk.scm 85 */
								obj_t BgL_arg1637z00_1581;

								BgL_arg1637z00_1581 =
									BGl_findzd2lastzd2nodez00zztrace_walkz00(
									((BgL_nodez00_bglt) BgL_bodyz00_1531));
								BgL_llocz00_1532 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_arg1637z00_1581)))->BgL_locz00);
							}
						{	/* Trace/walk.scm 83 */

							{	/* Trace/walk.scm 86 */
								bool_t BgL_testz00_3006;

								if (CBOOL(
										(((BgL_funz00_bglt) CREF(
													((BgL_funz00_bglt) BgL_funz00_1530)))->
											BgL_predicatezd2ofzd2)))
									{	/* Trace/walk.scm 86 */
										BgL_testz00_3006 = ((bool_t) 0);
									}
								else
									{	/* Trace/walk.scm 86 */
										if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 4)),
													(((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
																	BgL_funz00_1530)))->BgL_propertyz00))))
											{	/* Trace/walk.scm 87 */
												BgL_testz00_3006 = ((bool_t) 0);
											}
										else
											{	/* Trace/walk.scm 88 */
												obj_t BgL_arg1630z00_1576;

												BgL_arg1630z00_1576 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_varz00_19)))->
													BgL_idz00);
												BgL_testz00_3006 =
													BGl_userzd2symbolzf3z21zzast_identz00
													(BgL_arg1630z00_1576);
											}
									}
								if (BgL_testz00_3006)
									{	/* Trace/walk.scm 86 */
										BGl_enterzd2functionzd2zztools_errorz00
											(BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_19));
										{	/* Trace/walk.scm 90 */
											obj_t BgL_bdz00_1540;

											{	/* Trace/walk.scm 90 */
												bool_t BgL_testz00_3022;

												if (((long) CINT(BgL_levelz00_21) > ((long) 1)))
													{	/* Trace/walk.scm 90 */
														BgL_testz00_3022 = ((bool_t) 1);
													}
												else
													{	/* Trace/walk.scm 90 */
														if (BGl_isazf3zf3zz__objectz00(BgL_varz00_19,
																BGl_globalz00zzast_varz00))
															{	/* Trace/walk.scm 92 */
																bool_t BgL__ortest_1112z00_1569;

																BgL__ortest_1112z00_1569 =
																	(
																	(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_varz00_19))))->BgL_idz00) ==
																	CNST_TABLE_REF(((long) 1)));
																if (BgL__ortest_1112z00_1569)
																	{	/* Trace/walk.scm 92 */
																		BgL_testz00_3022 = BgL__ortest_1112z00_1569;
																	}
																else
																	{	/* Trace/walk.scm 93 */
																		bool_t BgL__ortest_1113z00_1570;

																		BgL__ortest_1113z00_1570 =
																			(
																			(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_varz00_19))))->BgL_idz00) ==
																			CNST_TABLE_REF(((long) 5)));
																		if (BgL__ortest_1113z00_1570)
																			{	/* Trace/walk.scm 93 */
																				BgL_testz00_3022 =
																					BgL__ortest_1113z00_1570;
																			}
																		else
																			{	/* Trace/walk.scm 93 */
																				BgL_testz00_3022 =
																					(
																					(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										BgL_varz00_19))))->
																						BgL_idz00) ==
																					CNST_TABLE_REF(((long) 6)));
															}}}
														else
															{	/* Trace/walk.scm 91 */
																BgL_testz00_3022 = ((bool_t) 0);
															}
													}
												if (BgL_testz00_3022)
													{	/* Trace/walk.scm 102 */
														bool_t BgL_testz00_3045;

														if (BGl_isazf3zf3zz__objectz00(BgL_varz00_19,
																BGl_localz00zzast_varz00))
															{	/* Trace/walk.scm 102 */
																BgL_testz00_3045 = ((bool_t) 1);
															}
														else
															{	/* Trace/walk.scm 102 */
																if (
																	((((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_varz00_19))))->BgL_idz00) ==
																		CNST_TABLE_REF(((long) 5))))
																	{	/* Trace/walk.scm 103 */
																		BgL_testz00_3045 = ((bool_t) 1);
																	}
																else
																	{	/* Trace/walk.scm 103 */
																		BgL_testz00_3045 =
																			(
																			(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_varz00_19))))->BgL_idz00) ==
																			CNST_TABLE_REF(((long) 6)));
															}}
														if (BgL_testz00_3045)
															{	/* Trace/walk.scm 105 */
																long BgL_arg1601z00_1560;

																BgL_arg1601z00_1560 =
																	((long) CINT(BgL_levelz00_21) - ((long) 1));
																BgL_bdz00_1540 =
																	((obj_t)
																	BGl_tracezd2nodezd2zztrace_walkz00(
																		((BgL_nodez00_bglt) BgL_bodyz00_1531),
																		BgL_stackz00_20,
																		BINT(BgL_arg1601z00_1560)));
															}
														else
															{	/* Trace/walk.scm 106 */
																obj_t BgL_arg1604z00_1561;
																long BgL_arg1606z00_1562;

																BgL_arg1604z00_1561 =
																	MAKE_YOUNG_PAIR(BgL_varz00_19,
																	BgL_stackz00_20);
																BgL_arg1606z00_1562 =
																	((long) CINT(BgL_levelz00_21) - ((long) 1));
																BgL_bdz00_1540 =
																	((obj_t)
																	BGl_tracezd2nodezd2zztrace_walkz00((
																			(BgL_nodez00_bglt) BgL_bodyz00_1531),
																		BgL_arg1604z00_1561,
																		BINT(BgL_arg1606z00_1562)));
													}}
												else
													{	/* Trace/walk.scm 90 */
														BgL_bdz00_1540 = BgL_bodyz00_1531;
													}
											}
											{	/* Trace/walk.scm 90 */
												BgL_typez00_bglt BgL_tz00_1541;

												{	/* Trace/walk.scm 108 */
													BgL_typez00_bglt BgL_arg1580z00_1544;
													BgL_typez00_bglt BgL_arg1583z00_1545;

													BgL_arg1580z00_1544 =
														(((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_bodyz00_1531)))->
														BgL_typez00);
													BgL_arg1583z00_1545 =
														(((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt) BgL_varz00_19)))->
														BgL_typez00);
													BgL_tz00_1541 =
														BGl_strictzd2nodezd2typez00zzast_nodez00
														(BgL_arg1580z00_1544, BgL_arg1583z00_1545);
												}
												{	/* Trace/walk.scm 108 */
													obj_t BgL_idz00_1542;

													BgL_idz00_1542 =
														BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_19);
													{	/* Trace/walk.scm 109 */
														BgL_letzd2varzd2_bglt BgL_nbodyz00_1543;

														BgL_nbodyz00_1543 =
															BGl_makezd2tracedzd2nodez00zztrace_walkz00(
															((BgL_nodez00_bglt) BgL_bdz00_1540),
															BgL_tz00_1541, BgL_idz00_1542, BgL_llocz00_1532,
															BgL_stackz00_20);
														{	/* Trace/walk.scm 110 */

															((((BgL_sfunz00_bglt) CREF(
																			((BgL_sfunz00_bglt) BgL_funz00_1530)))->
																	BgL_bodyz00) =
																((obj_t) ((obj_t) BgL_nbodyz00_1543)), BUNSPEC);
															return BGl_leavezd2functionzd2zztools_errorz00();
														}
													}
												}
											}
										}
									}
								else
									{	/* Trace/walk.scm 86 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}
	}



/* find-last-sexp */
	obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(obj_t BgL_sexpz00_22)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 121 */
			{
				obj_t BgL_sexpz00_1583;
				obj_t BgL_resz00_1584;

				BgL_sexpz00_1583 = BgL_sexpz00_22;
				BgL_resz00_1584 = BgL_sexpz00_22;
			BgL_zc3anonymousza31638ze3z83_1585:
				if (PAIRP(BgL_sexpz00_1583))
					{	/* Trace/walk.scm 127 */
						bool_t BgL_testz00_3086;

						{	/* Trace/walk.scm 127 */
							obj_t BgL_tmpz00_3087;

							BgL_tmpz00_3087 = CDR(BgL_sexpz00_1583);
							BgL_testz00_3086 = PAIRP(BgL_tmpz00_3087);
						}
						if (BgL_testz00_3086)
							{
								obj_t BgL_resz00_3092;
								obj_t BgL_sexpz00_3090;

								BgL_sexpz00_3090 =
									BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
									(BgL_sexpz00_1583);
								BgL_resz00_3092 = BgL_sexpz00_1583;
								BgL_resz00_1584 = BgL_resz00_3092;
								BgL_sexpz00_1583 = BgL_sexpz00_3090;
								goto BgL_zc3anonymousza31638ze3z83_1585;
							}
						else
							{
								obj_t BgL_resz00_3095;
								obj_t BgL_sexpz00_3093;

								BgL_sexpz00_3093 = CAR(BgL_sexpz00_1583);
								BgL_resz00_3095 = BgL_sexpz00_1583;
								BgL_resz00_1584 = BgL_resz00_3095;
								BgL_sexpz00_1583 = BgL_sexpz00_3093;
								goto BgL_zc3anonymousza31638ze3z83_1585;
							}
					}
				else
					{	/* Trace/walk.scm 125 */
						return BgL_resz00_1584;
					}
			}
		}
	}



/* make-traced-node */
	BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt BgL_nodez00_38,
		BgL_typez00_bglt BgL_typez00_39, obj_t BgL_symbolz00_40,
		obj_t BgL_llocz00_41, obj_t BgL_stackz00_42)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 244 */
			{	/* Trace/walk.scm 245 */
				obj_t BgL_locz00_1593;

				BgL_locz00_1593 =
					(((BgL_nodez00_bglt) CREF(BgL_nodez00_38))->BgL_locz00);
				{	/* Trace/walk.scm 245 */
					obj_t BgL_auxz00_1594;

					BgL_auxz00_1594 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 7))));
					{	/* Trace/walk.scm 246 */
						obj_t BgL_tauxz00_1595;

						BgL_tauxz00_1595 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_auxz00_1594,
							(((BgL_typez00_bglt) CREF(BgL_typez00_39))->BgL_idz00));
						{	/* Trace/walk.scm 247 */
							obj_t BgL_tmp1z00_1596;

							BgL_tmp1z00_1596 =
								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
								(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											8))));
							{	/* Trace/walk.scm 248 */
								obj_t BgL_tmp2z00_1597;

								BgL_tmp2z00_1597 =
									BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
									(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												9))));
								{	/* Trace/walk.scm 249 */
									obj_t BgL_tmp3z00_1598;

									BgL_tmp3z00_1598 =
										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
										(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													10))));
									{	/* Trace/walk.scm 250 */
										obj_t BgL_symz00_1599;

										{	/* Trace/walk.scm 251 */
											bool_t BgL_testz00_3111;

											if (PAIRP(BgL_stackz00_42))
												{	/* Trace/walk.scm 251 */
													obj_t BgL_arg1749z00_1655;

													BgL_arg1749z00_1655 = CAR(BgL_stackz00_42);
													BgL_testz00_3111 =
														BGl_isazf3zf3zz__objectz00(BgL_arg1749z00_1655,
														BGl_variablez00zzast_varz00);
												}
											else
												{	/* Trace/walk.scm 251 */
													BgL_testz00_3111 = ((bool_t) 0);
												}
											if (BgL_testz00_3111)
												{	/* Trace/walk.scm 252 */
													obj_t BgL_arg1743z00_1649;

													BgL_arg1743z00_1649 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	CAR(BgL_stackz00_42))))->BgL_idz00);
													{	/* Trace/walk.scm 252 */
														obj_t BgL_list1744z00_1650;

														{	/* Trace/walk.scm 252 */
															obj_t BgL_arg1746z00_1651;

															{	/* Trace/walk.scm 252 */
																obj_t BgL_arg1747z00_1652;

																BgL_arg1747z00_1652 =
																	MAKE_YOUNG_PAIR(BgL_arg1743z00_1649, BNIL);
																BgL_arg1746z00_1651 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 11)),
																	BgL_arg1747z00_1652);
															}
															BgL_list1744z00_1650 =
																MAKE_YOUNG_PAIR(BgL_symbolz00_40,
																BgL_arg1746z00_1651);
														}
														BgL_symz00_1599 =
															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
															(BgL_list1744z00_1650);
												}}
											else
												{	/* Trace/walk.scm 251 */
													BgL_symz00_1599 = BgL_symbolz00_40;
												}
										}
										{	/* Trace/walk.scm 251 */
											obj_t BgL_lz00_1600;

											{	/* Trace/walk.scm 254 */
												bool_t BgL_testz00_3124;

												if (STRUCTP(BgL_locz00_1593))
													{	/* Trace/walk.scm 254 */
														BgL_testz00_3124 =
															(STRUCT_KEY(BgL_locz00_1593) ==
															CNST_TABLE_REF(((long) 12)));
													}
												else
													{	/* Trace/walk.scm 254 */
														BgL_testz00_3124 = ((bool_t) 0);
													}
												if (BgL_testz00_3124)
													{	/* Trace/walk.scm 255 */
														obj_t BgL_arg1736z00_1642;

														{	/* Trace/walk.scm 255 */
															obj_t BgL_arg1737z00_1643;
															obj_t BgL_arg1738z00_1644;

															BgL_arg1737z00_1643 =
																BGl_locationzd2fullzd2fnamez00zztools_locationz00
																(BgL_locz00_1593);
															BgL_arg1738z00_1644 =
																MAKE_YOUNG_PAIR(STRUCT_REF(BgL_locz00_1593,
																	(int) (((long) 1))), BNIL);
															BgL_arg1736z00_1642 =
																MAKE_YOUNG_PAIR(BgL_arg1737z00_1643,
																BgL_arg1738z00_1644);
														}
														BgL_lz00_1600 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 13)),
															BgL_arg1736z00_1642);
													}
												else
													{	/* Trace/walk.scm 254 */
														BgL_lz00_1600 = BFALSE;
													}
											}
											{	/* Trace/walk.scm 254 */
												obj_t BgL_expz00_1601;

												{	/* Trace/walk.scm 256 */
													obj_t BgL_arg1649z00_1605;

													{	/* Trace/walk.scm 256 */
														obj_t BgL_arg1650z00_1606;
														obj_t BgL_arg1658z00_1607;

														{	/* Trace/walk.scm 256 */
															obj_t BgL_arg1659z00_1608;
															obj_t BgL_arg1660z00_1609;

															{	/* Trace/walk.scm 256 */
																obj_t BgL_arg1661z00_1610;

																{	/* Trace/walk.scm 256 */
																	obj_t BgL_arg1662z00_1611;

																	{	/* Trace/walk.scm 256 */
																		obj_t BgL_arg1663z00_1612;

																		BgL_arg1663z00_1612 =
																			MAKE_YOUNG_PAIR(BgL_symz00_1599, BNIL);
																		BgL_arg1662z00_1611 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					14)), BgL_arg1663z00_1612);
																	}
																	BgL_arg1661z00_1610 =
																		MAKE_YOUNG_PAIR(BgL_arg1662z00_1611, BNIL);
																}
																BgL_arg1659z00_1608 =
																	MAKE_YOUNG_PAIR(BgL_tmp1z00_1596,
																	BgL_arg1661z00_1610);
															}
															{	/* Trace/walk.scm 257 */
																obj_t BgL_arg1664z00_1613;
																obj_t BgL_arg1665z00_1614;

																{	/* Trace/walk.scm 257 */
																	obj_t BgL_arg1666z00_1615;

																	{	/* Trace/walk.scm 257 */
																		obj_t BgL_arg1667z00_1616;

																		{	/* Trace/walk.scm 257 */
																			obj_t BgL_arg1668z00_1617;

																			BgL_arg1668z00_1617 =
																				MAKE_YOUNG_PAIR(BgL_lz00_1600, BNIL);
																			BgL_arg1667z00_1616 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						14)), BgL_arg1668z00_1617);
																		}
																		BgL_arg1666z00_1615 =
																			MAKE_YOUNG_PAIR(BgL_arg1667z00_1616,
																			BNIL);
																	}
																	BgL_arg1664z00_1613 =
																		MAKE_YOUNG_PAIR(BgL_tmp2z00_1597,
																		BgL_arg1666z00_1615);
																}
																{	/* Trace/walk.scm 258 */
																	obj_t BgL_arg1669z00_1618;

																	{	/* Trace/walk.scm 258 */
																		obj_t BgL_arg1670z00_1619;
																		obj_t BgL_arg1677z00_1620;

																		BgL_arg1670z00_1619 =
																			BGl_makezd2typedzd2identz00zzast_identz00
																			(BgL_tmp3z00_1598,
																			CNST_TABLE_REF(((long) 15)));
																		{	/* Trace/walk.scm 258 */
																			obj_t BgL_arg1678z00_1621;

																			BgL_arg1678z00_1621 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						16)), BNIL);
																			BgL_arg1677z00_1620 =
																				MAKE_YOUNG_PAIR(BgL_arg1678z00_1621,
																				BNIL);
																		}
																		BgL_arg1669z00_1618 =
																			MAKE_YOUNG_PAIR(BgL_arg1670z00_1619,
																			BgL_arg1677z00_1620);
																	}
																	BgL_arg1665z00_1614 =
																		MAKE_YOUNG_PAIR(BgL_arg1669z00_1618, BNIL);
																}
																BgL_arg1660z00_1609 =
																	MAKE_YOUNG_PAIR(BgL_arg1664z00_1613,
																	BgL_arg1665z00_1614);
															}
															BgL_arg1650z00_1606 =
																MAKE_YOUNG_PAIR(BgL_arg1659z00_1608,
																BgL_arg1660z00_1609);
														}
														{	/* Trace/walk.scm 260 */
															obj_t BgL_arg1679z00_1622;

															{	/* Trace/walk.scm 260 */
																obj_t BgL_arg1683z00_1623;

																{	/* Trace/walk.scm 260 */
																	obj_t BgL_arg1687z00_1624;

																	{	/* Trace/walk.scm 260 */
																		obj_t BgL_arg1690z00_1625;
																		obj_t BgL_arg1691z00_1626;

																		{	/* Trace/walk.scm 260 */
																			obj_t BgL_arg1694z00_1627;

																			{	/* Trace/walk.scm 260 */
																				obj_t BgL_arg1700z00_1628;

																				{	/* Trace/walk.scm 260 */
																					obj_t BgL_arg1713z00_1629;

																					BgL_arg1713z00_1629 =
																						MAKE_YOUNG_PAIR(BgL_tmp2z00_1597,
																						BNIL);
																					BgL_arg1700z00_1628 =
																						MAKE_YOUNG_PAIR(BgL_tmp1z00_1596,
																						BgL_arg1713z00_1629);
																				}
																				BgL_arg1694z00_1627 =
																					MAKE_YOUNG_PAIR(BgL_tmp3z00_1598,
																					BgL_arg1700z00_1628);
																			}
																			BgL_arg1690z00_1625 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						17)), BgL_arg1694z00_1627);
																		}
																		{	/* Trace/walk.scm 261 */
																			obj_t BgL_arg1714z00_1630;

																			{	/* Trace/walk.scm 261 */
																				obj_t BgL_arg1716z00_1631;

																				{	/* Trace/walk.scm 261 */
																					obj_t BgL_arg1720z00_1632;
																					obj_t BgL_arg1724z00_1633;

																					{	/* Trace/walk.scm 261 */
																						obj_t BgL_arg1725z00_1634;

																						{	/* Trace/walk.scm 261 */
																							obj_t BgL_arg1726z00_1635;

																							BgL_arg1726z00_1635 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_nodez00_38), BNIL);
																							BgL_arg1725z00_1634 =
																								MAKE_YOUNG_PAIR
																								(BgL_tauxz00_1595,
																								BgL_arg1726z00_1635);
																						}
																						BgL_arg1720z00_1632 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1725z00_1634, BNIL);
																					}
																					{	/* Trace/walk.scm 262 */
																						obj_t BgL_arg1727z00_1636;
																						obj_t BgL_arg1729z00_1637;

																						{	/* Trace/walk.scm 262 */
																							bool_t BgL_testz00_3165;

																							if (STRUCTP(BgL_llocz00_41))
																								{	/* Trace/walk.scm 262 */
																									BgL_testz00_3165 =
																										(STRUCT_KEY(BgL_llocz00_41)
																										==
																										CNST_TABLE_REF(((long)
																												12)));
																								}
																							else
																								{	/* Trace/walk.scm 262 */
																									BgL_testz00_3165 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_3165)
																								{	/* Trace/walk.scm 264 */
																									obj_t BgL_arg1732z00_1639;

																									{	/* Trace/walk.scm 264 */
																										obj_t BgL_res2012z00_2357;

																										BgL_res2012z00_2357 =
																											MAKE_YOUNG_EPAIR
																											(BgL_tmp3z00_1598, BNIL,
																											BgL_llocz00_41);
																										BgL_arg1732z00_1639 =
																											BgL_res2012z00_2357;
																									}
																									{	/* Trace/walk.scm 263 */
																										obj_t BgL_res2013z00_2359;

																										{	/* Trace/walk.scm 263 */
																											obj_t BgL_obj1z00_2358;

																											BgL_obj1z00_2358 =
																												CNST_TABLE_REF(((long)
																													18));
																											BgL_res2013z00_2359 =
																												MAKE_YOUNG_EPAIR
																												(BgL_obj1z00_2358,
																												BgL_arg1732z00_1639,
																												BgL_llocz00_41);
																										}
																										BgL_arg1727z00_1636 =
																											BgL_res2013z00_2359;
																								}}
																							else
																								{	/* Trace/walk.scm 266 */
																									obj_t BgL_arg1734z00_1640;

																									BgL_arg1734z00_1640 =
																										MAKE_YOUNG_PAIR
																										(BgL_tmp3z00_1598, BNIL);
																									BgL_arg1727z00_1636 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long)
																												18)),
																										BgL_arg1734z00_1640);
																						}}
																						BgL_arg1729z00_1637 =
																							MAKE_YOUNG_PAIR(BgL_auxz00_1594,
																							BNIL);
																						BgL_arg1724z00_1633 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1727z00_1636,
																							BgL_arg1729z00_1637);
																					}
																					BgL_arg1716z00_1631 =
																						MAKE_YOUNG_PAIR(BgL_arg1720z00_1632,
																						BgL_arg1724z00_1633);
																				}
																				BgL_arg1714z00_1630 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							19)), BgL_arg1716z00_1631);
																			}
																			BgL_arg1691z00_1626 =
																				MAKE_YOUNG_PAIR(BgL_arg1714z00_1630,
																				BNIL);
																		}
																		BgL_arg1687z00_1624 =
																			MAKE_YOUNG_PAIR(BgL_arg1690z00_1625,
																			BgL_arg1691z00_1626);
																	}
																	BgL_arg1683z00_1623 =
																		MAKE_YOUNG_PAIR(BNIL, BgL_arg1687z00_1624);
																}
																BgL_arg1679z00_1622 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 19)),
																	BgL_arg1683z00_1623);
															}
															BgL_arg1658z00_1607 =
																MAKE_YOUNG_PAIR(BgL_arg1679z00_1622, BNIL);
														}
														BgL_arg1649z00_1605 =
															MAKE_YOUNG_PAIR(BgL_arg1650z00_1606,
															BgL_arg1658z00_1607);
													}
													BgL_expz00_1601 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 19)),
														BgL_arg1649z00_1605);
												}
												{	/* Trace/walk.scm 256 */
													BgL_nodez00_bglt BgL_nnodez00_1602;

													BgL_nnodez00_1602 =
														BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_1601,
														BNIL, BgL_locz00_1593, CNST_TABLE_REF(((long) 20)));
													{	/* Trace/walk.scm 268 */

														{	/* Trace/walk.scm 269 */
															bool_t BgL_arg1646z00_1603;

															{	/* Trace/walk.scm 269 */
																obj_t BgL_arg1647z00_1604;

																BgL_arg1647z00_1604 =
																	BGl_thezd2backendzd2zzbackend_backendz00();
																BgL_arg1646z00_1603 =
																	(((BgL_backendz00_bglt) CREF(
																			((BgL_backendz00_bglt)
																				BgL_arg1647z00_1604)))->
																	BgL_removezd2emptyzd2letz00);
															}
															((((BgL_letzd2varzd2_bglt) CREF(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nnodez00_1602)))->
																	BgL_removablezf3zf3) =
																((bool_t) BgL_arg1646z00_1603), BUNSPEC);
														}
														return ((BgL_letzd2varzd2_bglt) BgL_nnodez00_1602);
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* trace-node*! */
	bool_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t BgL_nodeza2za2_100,
		obj_t BgL_stackz00_101, obj_t BgL_levelz00_102)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 434 */
		BGl_tracezd2nodeza2z12z62zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_100))
				{	/* Trace/walk.scm 435 */
					return ((bool_t) 0);
				}
			else
				{	/* Trace/walk.scm 435 */
					{	/* Trace/walk.scm 436 */
						BgL_nodez00_bglt BgL_arg1756z00_1662;

						{	/* Trace/walk.scm 436 */
							obj_t BgL_arg1757z00_1663;

							BgL_arg1757z00_1663 = CAR(BgL_nodeza2za2_100);
							BgL_arg1756z00_1662 =
								BGl_tracezd2nodezd2zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg1757z00_1663), BgL_stackz00_101,
								BgL_levelz00_102);
						}
						{	/* Trace/walk.scm 436 */
							obj_t BgL_tmpz00_3204;

							BgL_tmpz00_3204 = ((obj_t) BgL_arg1756z00_1662);
							SET_CAR(BgL_nodeza2za2_100, BgL_tmpz00_3204);
						}
					}
					{
						obj_t BgL_nodeza2za2_3207;

						BgL_nodeza2za2_3207 = CDR(BgL_nodeza2za2_100);
						BgL_nodeza2za2_100 = BgL_nodeza2za2_3207;
						goto BGl_tracezd2nodeza2z12z62zztrace_walkz00;
					}
				}
		}
	}



/* toplevel-trace-node*! */
	bool_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t
		BgL_nodeza2za2_107)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 485 */
		BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_107))
				{	/* Trace/walk.scm 486 */
					return ((bool_t) 0);
				}
			else
				{	/* Trace/walk.scm 486 */
					{	/* Trace/walk.scm 487 */
						BgL_nodez00_bglt BgL_arg1761z00_1666;

						{	/* Trace/walk.scm 487 */
							obj_t BgL_arg1762z00_1667;

							BgL_arg1762z00_1667 = CAR(BgL_nodeza2za2_107);
							BgL_arg1761z00_1666 =
								BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg1762z00_1667));
						}
						{	/* Trace/walk.scm 487 */
							obj_t BgL_tmpz00_3214;

							BgL_tmpz00_3214 = ((obj_t) BgL_arg1761z00_1666);
							SET_CAR(BgL_nodeza2za2_107, BgL_tmpz00_3214);
						}
					}
					{
						obj_t BgL_nodeza2za2_3217;

						BgL_nodeza2za2_3217 = CDR(BgL_nodeza2za2_107);
						BgL_nodeza2za2_107 = BgL_nodeza2za2_3217;
						goto BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00;
					}
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_proc2061z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2062z00zztrace_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_proc2063z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2064z00zztrace_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_proc2065z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2066z00zztrace_walkz00);
		}
	}



/* &toplevel-trace-node1377 */
	obj_t BGl_z62toplevelzd2tracezd2node1377z62zztrace_walkz00(obj_t
		BgL_envz00_2553, obj_t BgL_nodez00_2554)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 442 */
			{
				BgL_nodez00_bglt BgL_nodez00_1680;

				{
					BgL_nodez00_bglt BgL_auxz00_3222;

					BgL_nodez00_1680 = ((BgL_nodez00_bglt) BgL_nodez00_2554);
					BgL_auxz00_3222 = BgL_nodez00_1680;
					return ((obj_t) BgL_auxz00_3222);
				}
			}
		}
	}



/* &trace-node1337 */
	obj_t BGl_z62tracezd2node1337zb0zztrace_walkz00(obj_t BgL_envz00_2555,
		obj_t BgL_nodez00_2556, obj_t BgL_stackz00_2557, obj_t BgL_levelz00_2558)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 275 */
			{
				BgL_nodez00_bglt BgL_nodez00_1674;
				obj_t BgL_stackz00_1675;
				obj_t BgL_levelz00_1676;

				{
					BgL_nodez00_bglt BgL_auxz00_3225;

					BgL_nodez00_1674 = ((BgL_nodez00_bglt) BgL_nodez00_2556);
					BgL_stackz00_1675 = BgL_stackz00_2557;
					BgL_levelz00_1676 = BgL_levelz00_2558;
					BgL_auxz00_3225 = BgL_nodez00_1674;
					return ((obj_t) BgL_auxz00_3225);
				}
			}
		}
	}



/* &find-last-node1307 */
	obj_t BGl_z62findzd2lastzd2node1307z62zztrace_walkz00(obj_t BgL_envz00_2559,
		obj_t BgL_nodez00_2560)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 138 */
			{
				BgL_nodez00_bglt BgL_nodez00_1670;

				{
					BgL_nodez00_bglt BgL_auxz00_3228;

					BgL_nodez00_1670 = ((BgL_nodez00_bglt) BgL_nodez00_2560);
					BgL_auxz00_3228 = BgL_nodez00_1670;
					return ((obj_t) BgL_auxz00_3228);
				}
			}
		}
	}



/* find-last-node */
	obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_23)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 138 */
			{	/* Trace/walk.scm 138 */
				obj_t BgL_method1308z00_1683;

				{	/* Trace/walk.scm 138 */
					obj_t BgL_res2023z00_2401;

					{	/* Trace/walk.scm 138 */
						long BgL_objzd2classzd2numz00_2374;

						{	/* Trace/walk.scm 138 */
							long BgL_res2017z00_2377;

							BgL_res2017z00_2377 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_23));
							BgL_objzd2classzd2numz00_2374 = BgL_res2017z00_2377;
						}
						{	/* Trace/walk.scm 138 */
							obj_t BgL_arg1718z00_2375;

							BgL_arg1718z00_2375 =
								PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
								(int) (((long) 1)));
							{	/* Trace/walk.scm 138 */
								int BgL_offsetz00_2379;

								BgL_offsetz00_2379 = (int) (BgL_objzd2classzd2numz00_2374);
								{	/* Trace/walk.scm 138 */
									long BgL_offsetz00_2380;

									BgL_offsetz00_2380 =
										((long) (BgL_offsetz00_2379) - OBJECT_TYPE);
									{	/* Trace/walk.scm 138 */
										long BgL_modz00_2381;

										{	/* Trace/walk.scm 138 */
											int BgL_arg1721z00_2382;

											BgL_arg1721z00_2382 = (int) (((long) 16));
											{	/* Trace/walk.scm 138 */
												long BgL_res2020z00_2392;

												{	/* Trace/walk.scm 138 */
													long BgL_tmpz00_3239;

													BgL_tmpz00_3239 = (long) (BgL_arg1721z00_2382);
													BgL_res2020z00_2392 =
														(BgL_offsetz00_2380 / BgL_tmpz00_3239);
												}
												BgL_modz00_2381 = BgL_res2020z00_2392;
										}}
										{	/* Trace/walk.scm 138 */
											long BgL_restz00_2383;

											{	/* Trace/walk.scm 138 */
												int BgL_arg1719z00_2384;

												BgL_arg1719z00_2384 = (int) (((long) 16));
												{	/* Trace/walk.scm 138 */
													long BgL_res2022z00_2396;

													{	/* Trace/walk.scm 138 */
														long BgL_tmpz00_3243;

														BgL_tmpz00_3243 = (long) (BgL_arg1719z00_2384);
														BgL_res2022z00_2396 =
															(BgL_offsetz00_2380 % BgL_tmpz00_3243);
													}
													BgL_restz00_2383 = BgL_res2022z00_2396;
											}}
											{	/* Trace/walk.scm 138 */

												BgL_res2023z00_2401 =
													VECTOR_REF(VECTOR_REF(BgL_arg1718z00_2375,
														(int) (BgL_modz00_2381)), (int) (BgL_restz00_2383));
					}}}}}}}
					BgL_method1308z00_1683 = BgL_res2023z00_2401;
				}
				return
					PROCEDURE_ENTRY(BgL_method1308z00_1683) (BgL_method1308z00_1683,
					((obj_t) BgL_nodez00_23), BEOA);
			}
		}
	}



/* &find-last-node */
	obj_t BGl_z62findzd2lastzd2nodez62zztrace_walkz00(obj_t BgL_envz00_2561,
		obj_t BgL_nodez00_2562)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 138 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2562));
		}
	}



/* trace-node */
	BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_43, obj_t BgL_stackz00_44, obj_t BgL_levelz00_45)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 275 */
			{	/* Trace/walk.scm 275 */
				obj_t BgL_method1339z00_1684;

				{	/* Trace/walk.scm 275 */
					obj_t BgL_res2030z00_2430;

					{	/* Trace/walk.scm 275 */
						long BgL_objzd2classzd2numz00_2403;

						{	/* Trace/walk.scm 275 */
							long BgL_res2024z00_2406;

							BgL_res2024z00_2406 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_43));
							BgL_objzd2classzd2numz00_2403 = BgL_res2024z00_2406;
						}
						{	/* Trace/walk.scm 275 */
							obj_t BgL_arg1718z00_2404;

							BgL_arg1718z00_2404 =
								PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00,
								(int) (((long) 1)));
							{	/* Trace/walk.scm 275 */
								int BgL_offsetz00_2408;

								BgL_offsetz00_2408 = (int) (BgL_objzd2classzd2numz00_2403);
								{	/* Trace/walk.scm 275 */
									long BgL_offsetz00_2409;

									BgL_offsetz00_2409 =
										((long) (BgL_offsetz00_2408) - OBJECT_TYPE);
									{	/* Trace/walk.scm 275 */
										long BgL_modz00_2410;

										{	/* Trace/walk.scm 275 */
											int BgL_arg1721z00_2411;

											BgL_arg1721z00_2411 = (int) (((long) 16));
											{	/* Trace/walk.scm 275 */
												long BgL_res2027z00_2421;

												{	/* Trace/walk.scm 275 */
													long BgL_tmpz00_3265;

													BgL_tmpz00_3265 = (long) (BgL_arg1721z00_2411);
													BgL_res2027z00_2421 =
														(BgL_offsetz00_2409 / BgL_tmpz00_3265);
												}
												BgL_modz00_2410 = BgL_res2027z00_2421;
										}}
										{	/* Trace/walk.scm 275 */
											long BgL_restz00_2412;

											{	/* Trace/walk.scm 275 */
												int BgL_arg1719z00_2413;

												BgL_arg1719z00_2413 = (int) (((long) 16));
												{	/* Trace/walk.scm 275 */
													long BgL_res2029z00_2425;

													{	/* Trace/walk.scm 275 */
														long BgL_tmpz00_3269;

														BgL_tmpz00_3269 = (long) (BgL_arg1719z00_2413);
														BgL_res2029z00_2425 =
															(BgL_offsetz00_2409 % BgL_tmpz00_3269);
													}
													BgL_restz00_2412 = BgL_res2029z00_2425;
											}}
											{	/* Trace/walk.scm 275 */

												BgL_res2030z00_2430 =
													VECTOR_REF(VECTOR_REF(BgL_arg1718z00_2404,
														(int) (BgL_modz00_2410)), (int) (BgL_restz00_2412));
					}}}}}}}
					BgL_method1339z00_1684 = BgL_res2030z00_2430;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1339z00_1684) (BgL_method1339z00_1684,
						((obj_t) BgL_nodez00_43), BgL_stackz00_44, BgL_levelz00_45, BEOA));
			}
		}
	}



/* &trace-node */
	BgL_nodez00_bglt BGl_z62tracezd2nodezb0zztrace_walkz00(obj_t BgL_envz00_2563,
		obj_t BgL_nodez00_2564, obj_t BgL_stackz00_2565, obj_t BgL_levelz00_2566)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 275 */
			return
				BGl_tracezd2nodezd2zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2564), BgL_stackz00_2565,
				BgL_levelz00_2566);
		}
	}



/* toplevel-trace-node */
	BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_103)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 442 */
			{	/* Trace/walk.scm 442 */
				obj_t BgL_method1379z00_1685;

				{	/* Trace/walk.scm 442 */
					obj_t BgL_res2037z00_2459;

					{	/* Trace/walk.scm 442 */
						long BgL_objzd2classzd2numz00_2432;

						{	/* Trace/walk.scm 442 */
							long BgL_res2031z00_2435;

							BgL_res2031z00_2435 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_103));
							BgL_objzd2classzd2numz00_2432 = BgL_res2031z00_2435;
						}
						{	/* Trace/walk.scm 442 */
							obj_t BgL_arg1718z00_2433;

							BgL_arg1718z00_2433 =
								PROCEDURE_REF
								(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
								(int) (((long) 1)));
							{	/* Trace/walk.scm 442 */
								int BgL_offsetz00_2437;

								BgL_offsetz00_2437 = (int) (BgL_objzd2classzd2numz00_2432);
								{	/* Trace/walk.scm 442 */
									long BgL_offsetz00_2438;

									BgL_offsetz00_2438 =
										((long) (BgL_offsetz00_2437) - OBJECT_TYPE);
									{	/* Trace/walk.scm 442 */
										long BgL_modz00_2439;

										{	/* Trace/walk.scm 442 */
											int BgL_arg1721z00_2440;

											BgL_arg1721z00_2440 = (int) (((long) 16));
											{	/* Trace/walk.scm 442 */
												long BgL_res2034z00_2450;

												{	/* Trace/walk.scm 442 */
													long BgL_tmpz00_3294;

													BgL_tmpz00_3294 = (long) (BgL_arg1721z00_2440);
													BgL_res2034z00_2450 =
														(BgL_offsetz00_2438 / BgL_tmpz00_3294);
												}
												BgL_modz00_2439 = BgL_res2034z00_2450;
										}}
										{	/* Trace/walk.scm 442 */
											long BgL_restz00_2441;

											{	/* Trace/walk.scm 442 */
												int BgL_arg1719z00_2442;

												BgL_arg1719z00_2442 = (int) (((long) 16));
												{	/* Trace/walk.scm 442 */
													long BgL_res2036z00_2454;

													{	/* Trace/walk.scm 442 */
														long BgL_tmpz00_3298;

														BgL_tmpz00_3298 = (long) (BgL_arg1719z00_2442);
														BgL_res2036z00_2454 =
															(BgL_offsetz00_2438 % BgL_tmpz00_3298);
													}
													BgL_restz00_2441 = BgL_res2036z00_2454;
											}}
											{	/* Trace/walk.scm 442 */

												BgL_res2037z00_2459 =
													VECTOR_REF(VECTOR_REF(BgL_arg1718z00_2433,
														(int) (BgL_modz00_2439)), (int) (BgL_restz00_2441));
					}}}}}}}
					BgL_method1379z00_1685 = BgL_res2037z00_2459;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1379z00_1685) (BgL_method1379z00_1685,
						((obj_t) BgL_nodez00_103), BEOA));
			}
		}
	}



/* &toplevel-trace-node */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00(obj_t
		BgL_envz00_2567, obj_t BgL_nodez00_2568)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 442 */
			return
				BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2568));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2067z00zztrace_walkz00,
				BGl_string2068z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2069z00zztrace_walkz00,
				BGl_string2068z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2070z00zztrace_walkz00,
				BGl_string2068z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2071z00zztrace_walkz00,
				BGl_string2068z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2072z00zztrace_walkz00,
				BGl_string2068z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2073z00zztrace_walkz00,
				BGl_string2068z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2074z00zztrace_walkz00,
				BGl_string2068z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2075z00zztrace_walkz00,
				BGl_string2068z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2076z00zztrace_walkz00,
				BGl_string2068z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_selectz00zzast_nodez00, BGl_proc2077z00zztrace_walkz00,
				BGl_string2068z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2078z00zztrace_walkz00,
				BGl_string2068z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2079z00zztrace_walkz00,
				BGl_string2068z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2080z00zztrace_walkz00,
				BGl_string2068z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2081z00zztrace_walkz00,
				BGl_string2068z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2082z00zztrace_walkz00, BGl_string2083z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2084z00zztrace_walkz00, BGl_string2083z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2085z00zztrace_walkz00, BGl_string2083z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2086z00zztrace_walkz00, BGl_string2083z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2087z00zztrace_walkz00, BGl_string2083z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc2088z00zztrace_walkz00, BGl_string2083z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc2089z00zztrace_walkz00, BGl_string2083z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc2090z00zztrace_walkz00, BGl_string2083z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2091z00zztrace_walkz00,
				BGl_string2083z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2092z00zztrace_walkz00, BGl_string2083z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_selectz00zzast_nodez00,
				BGl_proc2093z00zztrace_walkz00, BGl_string2083z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2094z00zztrace_walkz00,
				BGl_string2083z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2095z00zztrace_walkz00,
				BGl_string2083z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2096z00zztrace_walkz00,
				BGl_string2083z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2097z00zztrace_walkz00,
				BGl_string2083z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2098z00zztrace_walkz00,
				BGl_string2083z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2099z00zztrace_walkz00,
				BGl_string2083z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2100z00zztrace_walkz00,
				BGl_string2083z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2101z00zztrace_walkz00,
				BGl_string2102z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2103z00zztrace_walkz00,
				BGl_string2102z00zztrace_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2104z00zztrace_walkz00,
				BGl_string2102z00zztrace_walkz00);
		}
	}



/* &toplevel-trace-node-1388 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd21388zb0zztrace_walkz00(obj_t
		BgL_envz00_2604, obj_t BgL_nodez00_2605)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 469 */
			{	/* Trace/walk.scm 471 */
				BgL_varz00_bglt BgL_i1131z00_2728;

				BgL_i1131z00_2728 =
					(((BgL_setqz00_bglt) CREF(
							((BgL_setqz00_bglt) BgL_nodez00_2605)))->BgL_varz00);
				{	/* Trace/walk.scm 472 */
					bool_t BgL_testz00_3350;

					{	/* Trace/walk.scm 472 */
						bool_t BgL_testz00_3351;

						{	/* Trace/walk.scm 472 */
							BgL_variablez00_bglt BgL_arg1913z00_2729;

							BgL_arg1913z00_2729 =
								(((BgL_varz00_bglt) CREF(BgL_i1131z00_2728))->BgL_variablez00);
							{	/* Trace/walk.scm 472 */
								bool_t BgL_res2046z00_2730;

								BgL_res2046z00_2730 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_arg1913z00_2729), BGl_globalz00zzast_varz00);
								BgL_testz00_3351 = BgL_res2046z00_2730;
							}
						}
						if (BgL_testz00_3351)
							{	/* Trace/walk.scm 473 */
								bool_t BgL_testz00_3355;

								{	/* Trace/walk.scm 473 */
									bool_t BgL_testz00_3356;

									{	/* Trace/walk.scm 473 */
										BgL_nodez00_bglt BgL_arg1912z00_2731;

										BgL_arg1912z00_2731 =
											(((BgL_setqz00_bglt) CREF(
													((BgL_setqz00_bglt) BgL_nodez00_2605)))->
											BgL_valuez00);
										{	/* Trace/walk.scm 473 */
											bool_t BgL_res2047z00_2732;

											BgL_res2047z00_2732 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_arg1912z00_2731),
												BGl_atomz00zzast_nodez00);
											BgL_testz00_3356 = BgL_res2047z00_2732;
										}
									}
									if (BgL_testz00_3356)
										{	/* Trace/walk.scm 473 */
											BgL_testz00_3355 = ((bool_t) 1);
										}
									else
										{	/* Trace/walk.scm 474 */
											bool_t BgL_testz00_3361;

											{	/* Trace/walk.scm 474 */
												BgL_nodez00_bglt BgL_arg1911z00_2733;

												BgL_arg1911z00_2733 =
													(((BgL_setqz00_bglt) CREF(
															((BgL_setqz00_bglt) BgL_nodez00_2605)))->
													BgL_valuez00);
												{	/* Trace/walk.scm 474 */
													bool_t BgL_res2048z00_2734;

													BgL_res2048z00_2734 =
														BGl_isazf3zf3zz__objectz00(
														((obj_t) BgL_arg1911z00_2733),
														BGl_varz00zzast_nodez00);
													BgL_testz00_3361 = BgL_res2048z00_2734;
												}
											}
											if (BgL_testz00_3361)
												{	/* Trace/walk.scm 474 */
													BgL_testz00_3355 = ((bool_t) 1);
												}
											else
												{	/* Trace/walk.scm 475 */
													bool_t BgL_testz00_3366;

													{	/* Trace/walk.scm 475 */
														BgL_nodez00_bglt BgL_arg1910z00_2735;

														BgL_arg1910z00_2735 =
															(((BgL_setqz00_bglt) CREF(
																	((BgL_setqz00_bglt) BgL_nodez00_2605)))->
															BgL_valuez00);
														{	/* Trace/walk.scm 475 */
															bool_t BgL_res2049z00_2736;

															BgL_res2049z00_2736 =
																BGl_isazf3zf3zz__objectz00(
																((obj_t) BgL_arg1910z00_2735),
																BGl_kwotez00zzast_nodez00);
															BgL_testz00_3366 = BgL_res2049z00_2736;
														}
													}
													if (BgL_testz00_3366)
														{	/* Trace/walk.scm 475 */
															BgL_testz00_3355 = ((bool_t) 1);
														}
													else
														{	/* Trace/walk.scm 476 */
															BgL_nodez00_bglt BgL_arg1909z00_2737;

															BgL_arg1909z00_2737 =
																(((BgL_setqz00_bglt) CREF(
																		((BgL_setqz00_bglt) BgL_nodez00_2605)))->
																BgL_valuez00);
															{	/* Trace/walk.scm 476 */
																bool_t BgL_res2050z00_2738;

																BgL_res2050z00_2738 =
																	BGl_isazf3zf3zz__objectz00(
																	((obj_t) BgL_arg1909z00_2737),
																	BGl_pragmaz00zzast_nodez00);
																BgL_testz00_3355 = BgL_res2050z00_2738;
															}
														}
												}
										}
								}
								if (BgL_testz00_3355)
									{	/* Trace/walk.scm 473 */
										BgL_testz00_3350 = ((bool_t) 0);
									}
								else
									{	/* Trace/walk.scm 473 */
										BgL_testz00_3350 = ((bool_t) 1);
									}
							}
						else
							{	/* Trace/walk.scm 472 */
								BgL_testz00_3350 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3350)
						{	/* Trace/walk.scm 477 */
							BgL_typez00_bglt BgL_tz00_2739;

							{	/* Trace/walk.scm 477 */
								BgL_typez00_bglt BgL_arg1905z00_2740;
								BgL_typez00_bglt BgL_arg1906z00_2741;

								BgL_arg1905z00_2740 =
									(((BgL_nodez00_bglt) CREF(
											(((BgL_setqz00_bglt) CREF(
														((BgL_setqz00_bglt) BgL_nodez00_2605)))->
												BgL_valuez00)))->BgL_typez00);
								BgL_arg1906z00_2741 =
									(((BgL_variablez00_bglt)
										CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) ((
															(BgL_varz00_bglt) CREF(BgL_i1131z00_2728))->
														BgL_variablez00)))))->BgL_typez00);
								BgL_tz00_2739 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg1905z00_2740,
									BgL_arg1906z00_2741);
							}
							{	/* Trace/walk.scm 477 */
								BgL_letzd2varzd2_bglt BgL_tracez00_2742;

								{	/* Trace/walk.scm 478 */
									BgL_nodez00_bglt BgL_arg1899z00_2743;
									obj_t BgL_arg1900z00_2744;
									obj_t BgL_arg1903z00_2745;

									BgL_arg1899z00_2743 =
										(((BgL_setqz00_bglt) CREF(
												((BgL_setqz00_bglt) BgL_nodez00_2605)))->BgL_valuez00);
									{	/* Trace/walk.scm 478 */
										BgL_variablez00_bglt BgL_arg1904z00_2746;

										BgL_arg1904z00_2746 =
											(((BgL_varz00_bglt) CREF(BgL_i1131z00_2728))->
											BgL_variablez00);
										BgL_arg1900z00_2744 =
											BGl_tracezd2idzd2zztrace_walkz00(((obj_t)
												BgL_arg1904z00_2746));
									}
									BgL_arg1903z00_2745 =
										(((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt)
													((BgL_setqz00_bglt) BgL_nodez00_2605))))->BgL_locz00);
									BgL_tracez00_2742 =
										BGl_makezd2tracedzd2nodez00zztrace_walkz00
										(BgL_arg1899z00_2743, BgL_tz00_2739, BgL_arg1900z00_2744,
										BgL_arg1903z00_2745, BNIL);
								}
								{	/* Trace/walk.scm 478 */

									((((BgL_setqz00_bglt) CREF(
													((BgL_setqz00_bglt) BgL_nodez00_2605)))->
											BgL_valuez00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_tracez00_2742)),
										BUNSPEC);
								}
							}
						}
					else
						{	/* Trace/walk.scm 472 */
							BFALSE;
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2605));
		}
	}



/* &toplevel-trace-node-1386 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd21386zb0zztrace_walkz00(obj_t
		BgL_envz00_2606, obj_t BgL_nodez00_2607)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 455 */
			((((BgL_syncz00_bglt) CREF(
							((BgL_syncz00_bglt) BgL_nodez00_2607)))->BgL_mutexz00) =
				((BgL_nodez00_bglt)
					BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((((BgL_syncz00_bglt)
								CREF(((BgL_syncz00_bglt) BgL_nodez00_2607)))->BgL_mutexz00))),
				BUNSPEC);
			((((BgL_syncz00_bglt) CREF(((BgL_syncz00_bglt) BgL_nodez00_2607)))->
					BgL_prelockz00) =
				((BgL_nodez00_bglt)
					BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((((BgL_syncz00_bglt)
								CREF(((BgL_syncz00_bglt) BgL_nodez00_2607)))->BgL_prelockz00))),
				BUNSPEC);
			((((BgL_syncz00_bglt) CREF(((BgL_syncz00_bglt) BgL_nodez00_2607)))->
					BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((((BgL_syncz00_bglt)
								CREF(((BgL_syncz00_bglt) BgL_nodez00_2607)))->BgL_bodyz00))),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2607));
		}
	}



/* &toplevel-trace-node-1382 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd21382zb0zztrace_walkz00(obj_t
		BgL_envz00_2608, obj_t BgL_nodez00_2609)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 448 */
			BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(
				(((BgL_sequencez00_bglt) CREF(
							((BgL_sequencez00_bglt) BgL_nodez00_2609)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2609));
		}
	}



/* &trace-node-box-set!1376 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2setz121376za2zztrace_walkz00(obj_t
		BgL_envz00_2610, obj_t BgL_nodez00_2611, obj_t BgL_stackz00_2612,
		obj_t BgL_levelz00_2613)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 425 */
			{
				BgL_varz00_bglt BgL_auxz00_3419;

				{	/* Trace/walk.scm 427 */
					BgL_varz00_bglt BgL_arg1870z00_2750;

					BgL_arg1870z00_2750 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2611)))->BgL_varz00);
					BgL_auxz00_3419 =
						((BgL_varz00_bglt)
						BGl_tracezd2nodezd2zztrace_walkz00(
							((BgL_nodez00_bglt) BgL_arg1870z00_2750), BgL_stackz00_2612,
							BgL_levelz00_2613));
				}
				((((BgL_boxzd2setz12zc0_bglt) CREF(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2611)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3419), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3427;

				{	/* Trace/walk.scm 428 */
					BgL_nodez00_bglt BgL_arg1871z00_2751;

					BgL_arg1871z00_2751 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2611)))->BgL_valuez00);
					BgL_auxz00_3427 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1871z00_2751,
						BgL_stackz00_2612, BgL_levelz00_2613);
				}
				((((BgL_boxzd2setz12zc0_bglt) CREF(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2611)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3427), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2611));
		}
	}



/* &trace-node-box-ref1374 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2boxzd2ref1374zb0zztrace_walkz00(obj_t
		BgL_envz00_2614, obj_t BgL_nodez00_2615, obj_t BgL_stackz00_2616,
		obj_t BgL_levelz00_2617)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 418 */
			{	/* Trace/walk.scm 419 */
				BgL_nodez00_bglt BgL_arg1868z00_2753;

				{	/* Trace/walk.scm 419 */
					BgL_varz00_bglt BgL_arg1869z00_2754;

					BgL_arg1869z00_2754 =
						(((BgL_boxzd2refzd2_bglt) CREF(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2615)))->BgL_varz00);
					BgL_arg1868z00_2753 =
						BGl_tracezd2nodezd2zztrace_walkz00(
						((BgL_nodez00_bglt) BgL_arg1869z00_2754), BgL_stackz00_2616,
						BgL_levelz00_2617);
				}
				((((BgL_boxzd2refzd2_bglt) CREF(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2615)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1868z00_2753)), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2615));
		}
	}



/* &trace-node-make-box1372 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2makezd2box1372zb0zztrace_walkz00(obj_t
		BgL_envz00_2618, obj_t BgL_nodez00_2619, obj_t BgL_stackz00_2620,
		obj_t BgL_levelz00_2621)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 411 */
			((((BgL_makezd2boxzd2_bglt) CREF(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2619)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_tracezd2nodezd2zztrace_walkz00((((BgL_makezd2boxzd2_bglt)
								CREF(((BgL_makezd2boxzd2_bglt) BgL_nodez00_2619)))->
							BgL_valuez00), BgL_stackz00_2620, BgL_levelz00_2621)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2619));
		}
	}



/* &trace-node-jump-ex-i1370 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1370z62zztrace_walkz00(obj_t
		BgL_envz00_2622, obj_t BgL_nodez00_2623, obj_t BgL_stackz00_2624,
		obj_t BgL_levelz00_2625)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 402 */
			{
				BgL_nodez00_bglt BgL_auxz00_3451;

				{	/* Trace/walk.scm 404 */
					BgL_nodez00_bglt BgL_arg1864z00_2757;

					BgL_arg1864z00_2757 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2623)))->BgL_exitz00);
					BgL_auxz00_3451 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1864z00_2757,
						BgL_stackz00_2624, BgL_levelz00_2625);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2623)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3451), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3457;

				{	/* Trace/walk.scm 405 */
					BgL_nodez00_bglt BgL_arg1865z00_2758;

					BgL_arg1865z00_2758 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2623)))->
						BgL_valuez00);
					BgL_auxz00_3457 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1865z00_2758,
						BgL_stackz00_2624, BgL_levelz00_2625);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2623)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3457), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2623));
		}
	}



/* &trace-node-set-ex-it1368 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setzd2exzd2it1368z62zztrace_walkz00(obj_t
		BgL_envz00_2626, obj_t BgL_nodez00_2627, obj_t BgL_stackz00_2628,
		obj_t BgL_levelz00_2629)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 395 */
			((((BgL_setzd2exzd2itz00_bglt) CREF(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2627)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_tracezd2nodezd2zztrace_walkz00((((BgL_setzd2exzd2itz00_bglt)
								CREF(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2627)))->
							BgL_bodyz00), BgL_stackz00_2628, BgL_levelz00_2629)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt)
					BgL_nodez00_2627));
		}
	}



/* &trace-node-let-var1366 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2letzd2var1366zb0zztrace_walkz00(obj_t
		BgL_envz00_2630, obj_t BgL_nodez00_2631, obj_t BgL_stackz00_2632,
		obj_t BgL_levelz00_2633)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 384 */
			{	/* Trace/walk.scm 386 */
				obj_t BgL_g1306z00_2761;

				BgL_g1306z00_2761 =
					(((BgL_letzd2varzd2_bglt) CREF(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2631)))->BgL_bindingsz00);
				{
					obj_t BgL_l1304z00_2763;

					BgL_l1304z00_2763 = BgL_g1306z00_2761;
				BgL_zc3anonymousza31856ze3z83_2762:
					if (PAIRP(BgL_l1304z00_2763))
						{	/* Trace/walk.scm 386 */
							{	/* Trace/walk.scm 387 */
								obj_t BgL_bindingz00_2764;

								BgL_bindingz00_2764 = CAR(BgL_l1304z00_2763);
								{	/* Trace/walk.scm 387 */
									BgL_nodez00_bglt BgL_arg1858z00_2765;

									{	/* Trace/walk.scm 387 */
										obj_t BgL_arg1859z00_2766;

										BgL_arg1859z00_2766 = CDR(BgL_bindingz00_2764);
										BgL_arg1858z00_2765 =
											BGl_tracezd2nodezd2zztrace_walkz00(
											((BgL_nodez00_bglt) BgL_arg1859z00_2766),
											BgL_stackz00_2632, BgL_levelz00_2633);
									}
									{	/* Trace/walk.scm 387 */
										obj_t BgL_tmpz00_3480;

										BgL_tmpz00_3480 = ((obj_t) BgL_arg1858z00_2765);
										SET_CDR(BgL_bindingz00_2764, BgL_tmpz00_3480);
									}
								}
							}
							{
								obj_t BgL_l1304z00_3483;

								BgL_l1304z00_3483 = CDR(BgL_l1304z00_2763);
								BgL_l1304z00_2763 = BgL_l1304z00_3483;
								goto BgL_zc3anonymousza31856ze3z83_2762;
							}
						}
					else
						{	/* Trace/walk.scm 386 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3485;

				{	/* Trace/walk.scm 389 */
					BgL_nodez00_bglt BgL_arg1861z00_2767;

					BgL_arg1861z00_2767 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2631)))->BgL_bodyz00);
					BgL_auxz00_3485 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1861z00_2767,
						BgL_stackz00_2632, BgL_levelz00_2633);
				}
				((((BgL_letzd2varzd2_bglt) CREF(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2631)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3485), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2631));
		}
	}



/* &trace-node-let-fun1364 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2letzd2fun1364zb0zztrace_walkz00(obj_t
		BgL_envz00_2634, obj_t BgL_nodez00_2635, obj_t BgL_stackz00_2636,
		obj_t BgL_levelz00_2637)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 375 */
			{	/* Trace/walk.scm 377 */
				obj_t BgL_g1303z00_2769;

				BgL_g1303z00_2769 =
					(((BgL_letzd2funzd2_bglt) CREF(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2635)))->BgL_localsz00);
				{
					obj_t BgL_l1301z00_2771;

					BgL_l1301z00_2771 = BgL_g1303z00_2769;
				BgL_zc3anonymousza31852ze3z83_2770:
					if (PAIRP(BgL_l1301z00_2771))
						{	/* Trace/walk.scm 377 */
							BGl_tracezd2funz12zc0zztrace_walkz00(CAR(BgL_l1301z00_2771),
								BgL_stackz00_2636, BgL_levelz00_2637);
							{
								obj_t BgL_l1301z00_3499;

								BgL_l1301z00_3499 = CDR(BgL_l1301z00_2771);
								BgL_l1301z00_2771 = BgL_l1301z00_3499;
								goto BgL_zc3anonymousza31852ze3z83_2770;
							}
						}
					else
						{	/* Trace/walk.scm 377 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3501;

				{	/* Trace/walk.scm 378 */
					BgL_nodez00_bglt BgL_arg1855z00_2772;

					BgL_arg1855z00_2772 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2635)))->BgL_bodyz00);
					BgL_auxz00_3501 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1855z00_2772,
						BgL_stackz00_2636, BgL_levelz00_2637);
				}
				((((BgL_letzd2funzd2_bglt) CREF(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2635)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3501), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2635));
		}
	}



/* &trace-node-select1362 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2select1362z62zztrace_walkz00(obj_t
		BgL_envz00_2638, obj_t BgL_nodez00_2639, obj_t BgL_stackz00_2640,
		obj_t BgL_levelz00_2641)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 364 */
			{
				BgL_nodez00_bglt BgL_auxz00_3509;

				{	/* Trace/walk.scm 366 */
					BgL_nodez00_bglt BgL_arg1846z00_2774;

					BgL_arg1846z00_2774 =
						(((BgL_selectz00_bglt) CREF(
								((BgL_selectz00_bglt) BgL_nodez00_2639)))->BgL_testz00);
					BgL_auxz00_3509 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1846z00_2774,
						BgL_stackz00_2640, BgL_levelz00_2641);
				}
				((((BgL_selectz00_bglt) CREF(
								((BgL_selectz00_bglt) BgL_nodez00_2639)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3509), BUNSPEC);
			}
			{	/* Trace/walk.scm 367 */
				obj_t BgL_g1300z00_2775;

				BgL_g1300z00_2775 =
					(((BgL_selectz00_bglt) CREF(
							((BgL_selectz00_bglt) BgL_nodez00_2639)))->BgL_clausesz00);
				{
					obj_t BgL_l1298z00_2777;

					BgL_l1298z00_2777 = BgL_g1300z00_2775;
				BgL_zc3anonymousza31847ze3z83_2776:
					if (PAIRP(BgL_l1298z00_2777))
						{	/* Trace/walk.scm 367 */
							{	/* Trace/walk.scm 368 */
								obj_t BgL_clausez00_2778;

								BgL_clausez00_2778 = CAR(BgL_l1298z00_2777);
								{	/* Trace/walk.scm 368 */
									BgL_nodez00_bglt BgL_arg1849z00_2779;

									{	/* Trace/walk.scm 368 */
										obj_t BgL_arg1850z00_2780;

										BgL_arg1850z00_2780 = CDR(BgL_clausez00_2778);
										BgL_arg1849z00_2779 =
											BGl_tracezd2nodezd2zztrace_walkz00(
											((BgL_nodez00_bglt) BgL_arg1850z00_2780),
											BgL_stackz00_2640, BgL_levelz00_2641);
									}
									{	/* Trace/walk.scm 368 */
										obj_t BgL_tmpz00_3523;

										BgL_tmpz00_3523 = ((obj_t) BgL_arg1849z00_2779);
										SET_CDR(BgL_clausez00_2778, BgL_tmpz00_3523);
									}
								}
							}
							{
								obj_t BgL_l1298z00_3526;

								BgL_l1298z00_3526 = CDR(BgL_l1298z00_2777);
								BgL_l1298z00_2777 = BgL_l1298z00_3526;
								goto BgL_zc3anonymousza31847ze3z83_2776;
							}
						}
					else
						{	/* Trace/walk.scm 367 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_selectz00_bglt) BgL_nodez00_2639));
		}
	}



/* &trace-node-fail1360 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2fail1360z62zztrace_walkz00(obj_t
		BgL_envz00_2642, obj_t BgL_nodez00_2643, obj_t BgL_stackz00_2644,
		obj_t BgL_levelz00_2645)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 354 */
			{
				BgL_nodez00_bglt BgL_auxz00_3530;

				{	/* Trace/walk.scm 356 */
					BgL_nodez00_bglt BgL_arg1843z00_2782;

					BgL_arg1843z00_2782 =
						(((BgL_failz00_bglt) CREF(
								((BgL_failz00_bglt) BgL_nodez00_2643)))->BgL_procz00);
					BgL_auxz00_3530 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1843z00_2782,
						BgL_stackz00_2644, BgL_levelz00_2645);
				}
				((((BgL_failz00_bglt) CREF(
								((BgL_failz00_bglt) BgL_nodez00_2643)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3530), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3536;

				{	/* Trace/walk.scm 357 */
					BgL_nodez00_bglt BgL_arg1844z00_2783;

					BgL_arg1844z00_2783 =
						(((BgL_failz00_bglt) CREF(
								((BgL_failz00_bglt) BgL_nodez00_2643)))->BgL_msgz00);
					BgL_auxz00_3536 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1844z00_2783,
						BgL_stackz00_2644, BgL_levelz00_2645);
				}
				((((BgL_failz00_bglt) CREF(
								((BgL_failz00_bglt) BgL_nodez00_2643)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3536), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3542;

				{	/* Trace/walk.scm 358 */
					BgL_nodez00_bglt BgL_arg1845z00_2784;

					BgL_arg1845z00_2784 =
						(((BgL_failz00_bglt) CREF(
								((BgL_failz00_bglt) BgL_nodez00_2643)))->BgL_objz00);
					BgL_auxz00_3542 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1845z00_2784,
						BgL_stackz00_2644, BgL_levelz00_2645);
				}
				((((BgL_failz00_bglt) CREF(
								((BgL_failz00_bglt) BgL_nodez00_2643)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3542), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2643));
		}
	}



/* &trace-node-condition1358 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2condition1358z62zztrace_walkz00(obj_t
		BgL_envz00_2646, obj_t BgL_nodez00_2647, obj_t BgL_stackz00_2648,
		obj_t BgL_levelz00_2649)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 344 */
			{
				BgL_nodez00_bglt BgL_auxz00_3550;

				{	/* Trace/walk.scm 346 */
					BgL_nodez00_bglt BgL_arg1840z00_2786;

					BgL_arg1840z00_2786 =
						(((BgL_conditionalz00_bglt) CREF(
								((BgL_conditionalz00_bglt) BgL_nodez00_2647)))->BgL_testz00);
					BgL_auxz00_3550 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1840z00_2786,
						BgL_stackz00_2648, BgL_levelz00_2649);
				}
				((((BgL_conditionalz00_bglt) CREF(
								((BgL_conditionalz00_bglt) BgL_nodez00_2647)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3550), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3556;

				{	/* Trace/walk.scm 347 */
					BgL_nodez00_bglt BgL_arg1841z00_2787;

					BgL_arg1841z00_2787 =
						(((BgL_conditionalz00_bglt) CREF(
								((BgL_conditionalz00_bglt) BgL_nodez00_2647)))->BgL_truez00);
					BgL_auxz00_3556 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1841z00_2787,
						BgL_stackz00_2648, BgL_levelz00_2649);
				}
				((((BgL_conditionalz00_bglt) CREF(
								((BgL_conditionalz00_bglt) BgL_nodez00_2647)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3556), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3562;

				{	/* Trace/walk.scm 348 */
					BgL_nodez00_bglt BgL_arg1842z00_2788;

					BgL_arg1842z00_2788 =
						(((BgL_conditionalz00_bglt) CREF(
								((BgL_conditionalz00_bglt) BgL_nodez00_2647)))->BgL_falsez00);
					BgL_auxz00_3562 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1842z00_2788,
						BgL_stackz00_2648, BgL_levelz00_2649);
				}
				((((BgL_conditionalz00_bglt) CREF(
								((BgL_conditionalz00_bglt) BgL_nodez00_2647)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3562), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2647));
		}
	}



/* &trace-node-setq1356 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2setq1356z62zztrace_walkz00(obj_t
		BgL_envz00_2650, obj_t BgL_nodez00_2651, obj_t BgL_stackz00_2652,
		obj_t BgL_levelz00_2653)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 337 */
			((((BgL_setqz00_bglt) CREF(
							((BgL_setqz00_bglt) BgL_nodez00_2651)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_tracezd2nodezd2zztrace_walkz00((((BgL_setqz00_bglt)
								CREF(((BgL_setqz00_bglt) BgL_nodez00_2651)))->BgL_valuez00),
						BgL_stackz00_2652, BgL_levelz00_2653)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2651));
		}
	}



/* &trace-node-cast1353 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2cast1353z62zztrace_walkz00(obj_t
		BgL_envz00_2654, obj_t BgL_nodez00_2655, obj_t BgL_stackz00_2656,
		obj_t BgL_levelz00_2657)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 330 */
			BGl_tracezd2nodezd2zztrace_walkz00(
				(((BgL_castz00_bglt) CREF(
							((BgL_castz00_bglt) BgL_nodez00_2655)))->BgL_argz00),
				BgL_stackz00_2656, BgL_levelz00_2657);
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2655));
		}
	}



/* &trace-node-extern1351 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2extern1351z62zztrace_walkz00(obj_t
		BgL_envz00_2658, obj_t BgL_nodez00_2659, obj_t BgL_stackz00_2660,
		obj_t BgL_levelz00_2661)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 323 */
			BGl_tracezd2nodeza2z12z62zztrace_walkz00(
				(((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_nodez00_2659)))->BgL_exprza2za2),
				BgL_stackz00_2660, BgL_levelz00_2661);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2659));
		}
	}



/* &trace-node-funcall1349 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2funcall1349z62zztrace_walkz00(obj_t
		BgL_envz00_2662, obj_t BgL_nodez00_2663, obj_t BgL_stackz00_2664,
		obj_t BgL_levelz00_2665)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 314 */
			{
				BgL_nodez00_bglt BgL_auxz00_3587;

				{	/* Trace/walk.scm 316 */
					BgL_nodez00_bglt BgL_arg1834z00_2793;

					BgL_arg1834z00_2793 =
						(((BgL_funcallz00_bglt) CREF(
								((BgL_funcallz00_bglt) BgL_nodez00_2663)))->BgL_funz00);
					BgL_auxz00_3587 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1834z00_2793,
						BgL_stackz00_2664, BgL_levelz00_2665);
				}
				((((BgL_funcallz00_bglt) CREF(
								((BgL_funcallz00_bglt) BgL_nodez00_2663)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3587), BUNSPEC);
			}
			BGl_tracezd2nodeza2z12z62zztrace_walkz00(
				(((BgL_funcallz00_bglt) CREF(
							((BgL_funcallz00_bglt) BgL_nodez00_2663)))->BgL_argsz00),
				BgL_stackz00_2664, BgL_levelz00_2665);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2663));
		}
	}



/* &trace-node-app-ly1347 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2appzd2ly1347zb0zztrace_walkz00(obj_t
		BgL_envz00_2666, obj_t BgL_nodez00_2667, obj_t BgL_stackz00_2668,
		obj_t BgL_levelz00_2669)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 305 */
			{
				BgL_nodez00_bglt BgL_auxz00_3598;

				{	/* Trace/walk.scm 307 */
					BgL_nodez00_bglt BgL_arg1832z00_2795;

					BgL_arg1832z00_2795 =
						(((BgL_appzd2lyzd2_bglt) CREF(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2667)))->BgL_funz00);
					BgL_auxz00_3598 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1832z00_2795,
						BgL_stackz00_2668, BgL_levelz00_2669);
				}
				((((BgL_appzd2lyzd2_bglt) CREF(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2667)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3598), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3604;

				{	/* Trace/walk.scm 308 */
					BgL_nodez00_bglt BgL_arg1833z00_2796;

					BgL_arg1833z00_2796 =
						(((BgL_appzd2lyzd2_bglt) CREF(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2667)))->BgL_argz00);
					BgL_auxz00_3604 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1833z00_2796,
						BgL_stackz00_2668, BgL_levelz00_2669);
				}
				((((BgL_appzd2lyzd2_bglt) CREF(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2667)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3604), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2667));
		}
	}



/* &trace-node-app1345 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2app1345z62zztrace_walkz00(obj_t
		BgL_envz00_2670, obj_t BgL_nodez00_2671, obj_t BgL_stackz00_2672,
		obj_t BgL_levelz00_2673)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 298 */
			BGl_tracezd2nodeza2z12z62zztrace_walkz00(
				(((BgL_appz00_bglt) CREF(
							((BgL_appz00_bglt) BgL_nodez00_2671)))->BgL_argsz00),
				BgL_stackz00_2672, BgL_levelz00_2673);
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2671));
		}
	}



/* &trace-node-sync1343 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2sync1343z62zztrace_walkz00(obj_t
		BgL_envz00_2674, obj_t BgL_nodez00_2675, obj_t BgL_stackz00_2676,
		obj_t BgL_levelz00_2677)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 288 */
			{
				BgL_nodez00_bglt BgL_auxz00_3617;

				{	/* Trace/walk.scm 290 */
					BgL_nodez00_bglt BgL_arg1828z00_2799;

					BgL_arg1828z00_2799 =
						(((BgL_syncz00_bglt) CREF(
								((BgL_syncz00_bglt) BgL_nodez00_2675)))->BgL_mutexz00);
					BgL_auxz00_3617 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1828z00_2799,
						BgL_stackz00_2676, BgL_levelz00_2677);
				}
				((((BgL_syncz00_bglt) CREF(
								((BgL_syncz00_bglt) BgL_nodez00_2675)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3617), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3623;

				{	/* Trace/walk.scm 291 */
					BgL_nodez00_bglt BgL_arg1829z00_2800;

					BgL_arg1829z00_2800 =
						(((BgL_syncz00_bglt) CREF(
								((BgL_syncz00_bglt) BgL_nodez00_2675)))->BgL_prelockz00);
					BgL_auxz00_3623 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1829z00_2800,
						BgL_stackz00_2676, BgL_levelz00_2677);
				}
				((((BgL_syncz00_bglt) CREF(
								((BgL_syncz00_bglt) BgL_nodez00_2675)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3623), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3629;

				{	/* Trace/walk.scm 292 */
					BgL_nodez00_bglt BgL_arg1830z00_2801;

					BgL_arg1830z00_2801 =
						(((BgL_syncz00_bglt) CREF(
								((BgL_syncz00_bglt) BgL_nodez00_2675)))->BgL_bodyz00);
					BgL_auxz00_3629 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1830z00_2801,
						BgL_stackz00_2676, BgL_levelz00_2677);
				}
				((((BgL_syncz00_bglt) CREF(
								((BgL_syncz00_bglt) BgL_nodez00_2675)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3629), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2675));
		}
	}



/* &trace-node-sequence1341 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2sequence1341z62zztrace_walkz00(obj_t
		BgL_envz00_2678, obj_t BgL_nodez00_2679, obj_t BgL_stackz00_2680,
		obj_t BgL_levelz00_2681)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 281 */
			BGl_tracezd2nodeza2z12z62zztrace_walkz00(
				(((BgL_sequencez00_bglt) CREF(
							((BgL_sequencez00_bglt) BgL_nodez00_2679)))->BgL_nodesz00),
				BgL_stackz00_2680, BgL_levelz00_2681);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2679));
		}
	}



/* &find-last-node-jump-1336 */
	obj_t BGl_z62findzd2lastzd2nodezd2jumpzd21336z62zztrace_walkz00(obj_t
		BgL_envz00_2682, obj_t BgL_nodez00_2683)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 238 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_jumpzd2exzd2itz00_bglt) CREF(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2683)))->BgL_valuez00));
		}
	}



/* &find-last-node-set-e1334 */
	obj_t BGl_z62findzd2lastzd2nodezd2setzd2e1334z62zztrace_walkz00(obj_t
		BgL_envz00_2684, obj_t BgL_nodez00_2685)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 232 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_setzd2exzd2itz00_bglt) CREF(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2685)))->BgL_bodyz00));
		}
	}



/* &find-last-node-let-f1332 */
	obj_t BGl_z62findzd2lastzd2nodezd2letzd2f1332z62zztrace_walkz00(obj_t
		BgL_envz00_2686, obj_t BgL_nodez00_2687)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 226 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_letzd2funzd2_bglt) CREF(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2687)))->BgL_bodyz00));
		}
	}



/* &find-last-node-let-v1330 */
	obj_t BGl_z62findzd2lastzd2nodezd2letzd2v1330z62zztrace_walkz00(obj_t
		BgL_envz00_2688, obj_t BgL_nodez00_2689)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 220 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_letzd2varzd2_bglt) CREF(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2689)))->BgL_bodyz00));
		}
	}



/* &find-last-node-selec1328 */
	obj_t BGl_z62findzd2lastzd2nodezd2selec1328zb0zztrace_walkz00(obj_t
		BgL_envz00_2690, obj_t BgL_nodez00_2691)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 211 */
			{	/* Trace/walk.scm 213 */
				bool_t BgL_testz00_3654;

				{	/* Trace/walk.scm 213 */
					obj_t BgL_tmpz00_3655;

					BgL_tmpz00_3655 =
						(((BgL_selectz00_bglt) CREF(
								((BgL_selectz00_bglt) BgL_nodez00_2691)))->BgL_clausesz00);
					BgL_testz00_3654 = PAIRP(BgL_tmpz00_3655);
				}
				if (BgL_testz00_3654)
					{	/* Trace/walk.scm 214 */
						obj_t BgL_arg1813z00_2808;

						BgL_arg1813z00_2808 =
							CDR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_selectz00_bglt) CREF(
											((BgL_selectz00_bglt) BgL_nodez00_2691)))->
									BgL_clausesz00)));
						return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
								BgL_arg1813z00_2808));
					}
				else
					{	/* Trace/walk.scm 213 */
						return
							BGl_findzd2lastzd2sexpz00zztrace_walkz00(
							((obj_t)
								(((BgL_selectz00_bglt) CREF(
											((BgL_selectz00_bglt) BgL_nodez00_2691)))->BgL_testz00)));
					}
			}
		}
	}



/* &find-last-node-fail1326 */
	obj_t BGl_z62findzd2lastzd2nodezd2fail1326zb0zztrace_walkz00(obj_t
		BgL_envz00_2692, obj_t BgL_nodez00_2693)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 205 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_failz00_bglt) CREF(
							((BgL_failz00_bglt) BgL_nodez00_2693)))->BgL_objz00));
		}
	}



/* &find-last-node-condi1324 */
	obj_t BGl_z62findzd2lastzd2nodezd2condi1324zb0zztrace_walkz00(obj_t
		BgL_envz00_2694, obj_t BgL_nodez00_2695)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 199 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_conditionalz00_bglt) CREF(
							((BgL_conditionalz00_bglt) BgL_nodez00_2695)))->BgL_falsez00));
		}
	}



/* &find-last-node-setq1322 */
	obj_t BGl_z62findzd2lastzd2nodezd2setq1322zb0zztrace_walkz00(obj_t
		BgL_envz00_2696, obj_t BgL_nodez00_2697)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 193 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_setqz00_bglt) CREF(
							((BgL_setqz00_bglt) BgL_nodez00_2697)))->BgL_valuez00));
		}
	}



/* &find-last-node-exter1320 */
	obj_t BGl_z62findzd2lastzd2nodezd2exter1320zb0zztrace_walkz00(obj_t
		BgL_envz00_2698, obj_t BgL_nodez00_2699)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 184 */
			if (NULLP(
					(((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_nodez00_2699)))->BgL_exprza2za2)))
				{	/* Trace/walk.scm 186 */
					return ((obj_t) ((BgL_externz00_bglt) BgL_nodez00_2699));
				}
			else
				{	/* Trace/walk.scm 187 */
					obj_t BgL_arg1798z00_2813;

					BgL_arg1798z00_2813 =
						CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
							(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_2699)))->
								BgL_exprza2za2)));
					return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
							BgL_arg1798z00_2813));
				}
		}
	}



/* &find-last-node-funca1318 */
	obj_t BGl_z62findzd2lastzd2nodezd2funca1318zb0zztrace_walkz00(obj_t
		BgL_envz00_2700, obj_t BgL_nodez00_2701)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 175 */
			{	/* Trace/walk.scm 177 */
				bool_t BgL_testz00_3690;

				{	/* Trace/walk.scm 177 */
					obj_t BgL_tmpz00_3691;

					BgL_tmpz00_3691 =
						(((BgL_funcallz00_bglt) CREF(
								((BgL_funcallz00_bglt) BgL_nodez00_2701)))->BgL_argsz00);
					BgL_testz00_3690 = PAIRP(BgL_tmpz00_3691);
				}
				if (BgL_testz00_3690)
					{	/* Trace/walk.scm 178 */
						obj_t BgL_arg1790z00_2815;

						BgL_arg1790z00_2815 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_funcallz00_bglt) CREF(
											((BgL_funcallz00_bglt) BgL_nodez00_2701)))->
									BgL_argsz00)));
						return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
								BgL_arg1790z00_2815));
					}
				else
					{	/* Trace/walk.scm 177 */
						return
							BGl_findzd2lastzd2nodez00zztrace_walkz00(
							(((BgL_funcallz00_bglt) CREF(
										((BgL_funcallz00_bglt) BgL_nodez00_2701)))->BgL_funz00));
					}
			}
		}
	}



/* &find-last-node-app-l1316 */
	obj_t BGl_z62findzd2lastzd2nodezd2appzd2l1316z62zztrace_walkz00(obj_t
		BgL_envz00_2702, obj_t BgL_nodez00_2703)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 169 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_appzd2lyzd2_bglt) CREF(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2703)))->BgL_argz00));
		}
	}



/* &find-last-node-app1314 */
	obj_t BGl_z62findzd2lastzd2nodezd2app1314zb0zztrace_walkz00(obj_t
		BgL_envz00_2704, obj_t BgL_nodez00_2705)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 160 */
			{	/* Trace/walk.scm 162 */
				bool_t BgL_testz00_3707;

				{	/* Trace/walk.scm 162 */
					obj_t BgL_tmpz00_3708;

					BgL_tmpz00_3708 =
						(((BgL_appz00_bglt) CREF(
								((BgL_appz00_bglt) BgL_nodez00_2705)))->BgL_argsz00);
					BgL_testz00_3707 = PAIRP(BgL_tmpz00_3708);
				}
				if (BgL_testz00_3707)
					{	/* Trace/walk.scm 163 */
						obj_t BgL_arg1782z00_2818;

						BgL_arg1782z00_2818 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_appz00_bglt) CREF(
											((BgL_appz00_bglt) BgL_nodez00_2705)))->BgL_argsz00)));
						return
							BGl_findzd2lastzd2nodez00zztrace_walkz00(
							((BgL_nodez00_bglt) BgL_arg1782z00_2818));
					}
				else
					{	/* Trace/walk.scm 162 */
						return ((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2705));
					}
			}
		}
	}



/* &find-last-node-sync1312 */
	obj_t BGl_z62findzd2lastzd2nodezd2sync1312zb0zztrace_walkz00(obj_t
		BgL_envz00_2706, obj_t BgL_nodez00_2707)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 153 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_syncz00_bglt) CREF(
							((BgL_syncz00_bglt) BgL_nodez00_2707)))->BgL_bodyz00));
		}
	}



/* &find-last-node-seque1310 */
	obj_t BGl_z62findzd2lastzd2nodezd2seque1310zb0zztrace_walkz00(obj_t
		BgL_envz00_2708, obj_t BgL_nodez00_2709)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 144 */
			{	/* Trace/walk.scm 146 */
				bool_t BgL_testz00_3723;

				{	/* Trace/walk.scm 146 */
					obj_t BgL_tmpz00_3724;

					BgL_tmpz00_3724 =
						(((BgL_sequencez00_bglt) CREF(
								((BgL_sequencez00_bglt) BgL_nodez00_2709)))->BgL_nodesz00);
					BgL_testz00_3723 = PAIRP(BgL_tmpz00_3724);
				}
				if (BgL_testz00_3723)
					{	/* Trace/walk.scm 147 */
						obj_t BgL_arg1775z00_2821;

						BgL_arg1775z00_2821 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_sequencez00_bglt) CREF(
											((BgL_sequencez00_bglt) BgL_nodez00_2709)))->
									BgL_nodesz00)));
						return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
								BgL_arg1775z00_2821));
					}
				else
					{	/* Trace/walk.scm 146 */
						return ((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_2709));
					}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2105z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2105z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2105z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2105z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2105z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string2105z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 469204197),
				BSTRING_TO_STRING(BGl_string2105z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2105z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2105z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2105z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2105z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2105z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2105z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2105z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2105z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 209108747),
				BSTRING_TO_STRING(BGl_string2105z00zztrace_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2105z00zztrace_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
