/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Apr 13 12:39:29 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3a/bin/bigloo -srfi enable-unistring -srfi enable-resolv -srfi enable-gmp -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3a/lib/bigloo/4.3a -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3a/lib/bigloo/4.3a -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -copt -fPIC -srfi bigloo-profile -c Eval/evaluate_types.scm -o objs/obj_p/Eval/evaluate_types.o) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2565z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1931z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1772z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1935z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1936z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31976ze3ze1zz__evaluate_typesz00(obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2571z00zz__evaluate_typesz00 = BUNSPEC;
extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_symbol2575z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1940z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1941z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1781z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1946z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1947z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1788z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1789z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2582z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2588z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1953z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letrecz00_bglt BGl_z62lambda1796z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_letrecz00_bglt BGl_z62lambda1798z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2594z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2599z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1961z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1967z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1968z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1974z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1975z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62zc3anonymousza31451ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31508ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31380ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62zc3anonymousza31810ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31633ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31741ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31493ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1404z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1405z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31834ze3ze1zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza31583ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1412z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1413z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_globalz00_bglt BGl_z62lambda1419z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_globalz00_bglt BGl_z62lambda1421z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza31690ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1428z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1429z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31569ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
static obj_t BGl_z62lambda1433z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1434z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1439z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1440z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1604z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1605z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_littz00_bglt BGl_z62lambda1447z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_littz00_bglt BGl_z62lambda1449z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2403z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2407z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1613z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1614z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1456z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1618z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31766ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1619z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2411z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2416z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_ifz00_bglt BGl_z62lambda1462z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_ifz00_bglt BGl_z62lambda1464z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza31783ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31856ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1628z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2423z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2428z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_defglobalz00_bglt BGl_z62lambda1630z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1471z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31962ze3ze1zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1475z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2432z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2437z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1640z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1480z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1642z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1481z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1806z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_labelsz00_bglt BGl_z62lambda1808z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_profzd2initzd2zz__evaluate_typesz00();
static BgL_ev_listz00_bglt BGl_z62lambda1487z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1649z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_listz00_bglt BGl_z62lambda1489z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2605z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2609z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2448z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1650z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1814z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1815z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1654z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1655z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31948ze3ze1zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1819z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1497z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1498z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2453z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2618z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2457z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1820z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1661z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1825z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1826z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1665z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2620z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2461z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2625z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2466z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1832z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1833z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1672z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1673z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1677z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1839z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1678z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2630z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2635z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2475z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2479z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1844z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1845z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2643z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2645z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2486z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_gotoz00_bglt BGl_z62lambda1852z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_gotoz00_bglt BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1695z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1699z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2492z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2496z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1860z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1861z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1865z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1866z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31969ze3ze1zz__evaluate_typesz00(obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1870z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1871z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1875z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1876z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31600ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31406ze3ze1zz__evaluate_typesz00(obj_t);
static BgL_ev_appz00_bglt BGl_z62lambda1882z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_appz00_bglt BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62zc3anonymousza31423ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1890z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1891z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1895z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1896z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31531ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31710ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31800ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31518ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31390ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31554ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31466ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31645ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31916ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31827ze3ze1zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_orz00_bglt BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_orz00_bglt BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
static BgL_ev_andz00_bglt BGl_z62lambda1514z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_andz00_bglt BGl_z62lambda1516z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza31667ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2319z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_prog2z00_bglt BGl_z62lambda1525z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31773ze3ze1zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza31846ze3ze1zz__evaluate_typesz00(obj_t);
extern obj_t BGl_objectz00zz__objectz00;
static BgL_ev_prog2z00_bglt BGl_z62lambda1529z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2321z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2325z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2327z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31790ze3ze1zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1535z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1536z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1376z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1378z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2332z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2334z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2338z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1700z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1543z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1544z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1706z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1708z62zz__evaluate_typesz00(obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1386z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_varz00_bglt BGl_z62lambda1388z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2503z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2343z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2507z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2347z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_hookz00_bglt BGl_z62lambda1550z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_hookz00_bglt BGl_z62lambda1552z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1714z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1715z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1394z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1395z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1719z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1558z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1559z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2511z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2353z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2518z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2358z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1720z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1724z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1725z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31955ze3ze1zz__evaluate_typesz00(obj_t);
static BgL_ev_trapz00_bglt BGl_z62lambda1565z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_trapz00_bglt BGl_z62lambda1567z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2523z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2362z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2528z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2367z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1730z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1731z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1737z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1578z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2371z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2536z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2375z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2379z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1900z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1901z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1581z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1905z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1906z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1745z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1746z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1589z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2541z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2384z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2388z00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1750z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_absz00_bglt BGl_z62lambda1912z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1751z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_absz00_bglt BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1756z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_setglobalz00_bglt BGl_z62lambda1596z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_setglobalz00_bglt BGl_z62lambda1598z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2550z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2555z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2393z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2398z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1921z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1762z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1764z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1926z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string2320z00zz__evaluate_typesz00, BgL_bgl_string2320za700za7za7_2647za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string2322z00zz__evaluate_typesz00, BgL_bgl_string2322za700za7za7_2648za7, "__evaluate_types", 16 );
DEFINE_STRING( BGl_string2326z00zz__evaluate_typesz00, BgL_bgl_string2326za700za7za7_2649za7, "name", 4 );
DEFINE_STRING( BGl_string2328z00zz__evaluate_typesz00, BgL_bgl_string2328za700za7za7_2650za7, "symbol", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2400z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72651za7, BGl_z62zc3anonymousza31518ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2401z00zz__evaluate_typesz00, BgL_bgl_za762lambda1516za7622652z00, BGl_z62lambda1516z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2402z00zz__evaluate_typesz00, BgL_bgl_za762lambda1514za7622653z00, BGl_z62lambda1514z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2405z00zz__evaluate_typesz00, BgL_bgl_za762lambda1536za7622654z00, BGl_z62lambda1536z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2406z00zz__evaluate_typesz00, BgL_bgl_za762lambda1535za7622655z00, BGl_z62lambda1535z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2333z00zz__evaluate_typesz00, BgL_bgl_string2333za700za7za7_2656za7, "eff", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2409z00zz__evaluate_typesz00, BgL_bgl_za762lambda1544za7622657z00, BGl_z62lambda1544z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2335z00zz__evaluate_typesz00, BgL_bgl_string2335za700za7za7_2658za7, "obj", 3 );
DEFINE_STRING( BGl_string2339z00zz__evaluate_typesz00, BgL_bgl_string2339za700za7za7_2659za7, "type", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2410z00zz__evaluate_typesz00, BgL_bgl_za762lambda1543za7622660z00, BGl_z62lambda1543z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2413z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72661za7, BGl_z62zc3anonymousza31531ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2414z00zz__evaluate_typesz00, BgL_bgl_za762lambda1529za7622662z00, BGl_z62lambda1529z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2415z00zz__evaluate_typesz00, BgL_bgl_za762lambda1525za7622663z00, BGl_z62lambda1525z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2504z00zz__evaluate_typesz00, BgL_bgl_string2504za700za7za7_2664za7, "ev_synchronize", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2418z00zz__evaluate_typesz00, BgL_bgl_za762lambda1559za7622665z00, BGl_z62lambda1559z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2419z00zz__evaluate_typesz00, BgL_bgl_za762lambda1558za7622666z00, BGl_z62lambda1558z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2344z00zz__evaluate_typesz00, BgL_bgl_string2344za700za7za7_2667za7, "ev_var", 6 );
DEFINE_STRING( BGl_string2508z00zz__evaluate_typesz00, BgL_bgl_string2508za700za7za7_2668za7, "vars", 4 );
DEFINE_STRING( BGl_string2348z00zz__evaluate_typesz00, BgL_bgl_string2348za700za7za7_2669za7, "loc", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2420z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72670za7, BGl_z62zc3anonymousza31554ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2421z00zz__evaluate_typesz00, BgL_bgl_za762lambda1552za7622671z00, BGl_z62lambda1552z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2422z00zz__evaluate_typesz00, BgL_bgl_za762lambda1550za7622672z00, BGl_z62lambda1550z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2512z00zz__evaluate_typesz00, BgL_bgl_string2512za700za7za7_2673za7, "vals", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2425z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72674za7, BGl_z62zc3anonymousza31569ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2426z00zz__evaluate_typesz00, BgL_bgl_za762lambda1567za7622675z00, BGl_z62lambda1567z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2427z00zz__evaluate_typesz00, BgL_bgl_za762lambda1565za7622676z00, BGl_z62lambda1565z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2354z00zz__evaluate_typesz00, BgL_bgl_string2354za700za7za7_2677za7, "mod", 3 );
DEFINE_STRING( BGl_string2519z00zz__evaluate_typesz00, BgL_bgl_string2519za700za7za7_2678za7, "ev_binder", 9 );
DEFINE_STRING( BGl_string2359z00zz__evaluate_typesz00, BgL_bgl_string2359za700za7za7_2679za7, "ev_global", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2430z00zz__evaluate_typesz00, BgL_bgl_za762lambda1589za7622680z00, BGl_z62lambda1589z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2431z00zz__evaluate_typesz00, BgL_bgl_za762lambda1588za7622681z00, BGl_z62lambda1588z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2434z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72682za7, BGl_z62zc3anonymousza31583ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2435z00zz__evaluate_typesz00, BgL_bgl_za762lambda1581za7622683z00, BGl_z62lambda1581z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2436z00zz__evaluate_typesz00, BgL_bgl_za762lambda1578za7622684z00, BGl_z62lambda1578z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2524z00zz__evaluate_typesz00, BgL_bgl_string2524za700za7za7_2685za7, "boxes", 5 );
DEFINE_STRING( BGl_string2363z00zz__evaluate_typesz00, BgL_bgl_string2363za700za7za7_2686za7, "value", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2439z00zz__evaluate_typesz00, BgL_bgl_za762lambda1605za7622687z00, BGl_z62lambda1605z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2529z00zz__evaluate_typesz00, BgL_bgl_string2529za700za7za7_2688za7, "ev_let", 6 );
DEFINE_STRING( BGl_string2368z00zz__evaluate_typesz00, BgL_bgl_string2368za700za7za7_2689za7, "ev_litt", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2601z00zz__evaluate_typesz00, BgL_bgl_za762lambda1921za7622690z00, BGl_z62lambda1921z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2602z00zz__evaluate_typesz00, BgL_bgl_za762lambda1920za7622691z00, BGl_z62lambda1920z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2440z00zz__evaluate_typesz00, BgL_bgl_za762lambda1604za7622692z00, BGl_z62lambda1604z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2603z00zz__evaluate_typesz00, BgL_bgl_za762lambda1926za7622693z00, BGl_z62lambda1926z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2441z00zz__evaluate_typesz00, BgL_bgl_za762lambda1614za7622694z00, BGl_z62lambda1614z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2604z00zz__evaluate_typesz00, BgL_bgl_za762lambda1925za7622695z00, BGl_z62lambda1925z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2442z00zz__evaluate_typesz00, BgL_bgl_za762lambda1613za7622696z00, BGl_z62lambda1613z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2443z00zz__evaluate_typesz00, BgL_bgl_za762lambda1619za7622697z00, BGl_z62lambda1619z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2444z00zz__evaluate_typesz00, BgL_bgl_za762lambda1618za7622698z00, BGl_z62lambda1618z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2607z00zz__evaluate_typesz00, BgL_bgl_za762lambda1931za7622699z00, BGl_z62lambda1931z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2445z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72700za7, BGl_z62zc3anonymousza31600ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2608z00zz__evaluate_typesz00, BgL_bgl_za762lambda1930za7622701z00, BGl_z62lambda1930z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2446z00zz__evaluate_typesz00, BgL_bgl_za762lambda1598za7622702z00, BGl_z62lambda1598z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2447z00zz__evaluate_typesz00, BgL_bgl_za762lambda1596za7622703z00, BGl_z62lambda1596z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2372z00zz__evaluate_typesz00, BgL_bgl_string2372za700za7za7_2704za7, "p", 1 );
DEFINE_STRING( BGl_string2537z00zz__evaluate_typesz00, BgL_bgl_string2537za700za7za7_2705za7, "ev_let*", 7 );
DEFINE_STRING( BGl_string2376z00zz__evaluate_typesz00, BgL_bgl_string2376za700za7za7_2706za7, "t", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2611z00zz__evaluate_typesz00, BgL_bgl_za762lambda1936za7622707z00, BGl_z62lambda1936z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2612z00zz__evaluate_typesz00, BgL_bgl_za762lambda1935za7622708z00, BGl_z62lambda1935z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2450z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72709za7, BGl_z62zc3anonymousza31633ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2613z00zz__evaluate_typesz00, BgL_bgl_za762lambda1941za7622710z00, BGl_z62lambda1941z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2451z00zz__evaluate_typesz00, BgL_bgl_za762lambda1630za7622711z00, BGl_z62lambda1630z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2614z00zz__evaluate_typesz00, BgL_bgl_za762lambda1940za7622712z00, BGl_z62lambda1940z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2452z00zz__evaluate_typesz00, BgL_bgl_za762lambda1628za7622713z00, BGl_z62lambda1628z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2615z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72714za7, BGl_z62zc3anonymousza31948ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2616z00zz__evaluate_typesz00, BgL_bgl_za762lambda1947za7622715z00, BGl_z62lambda1947z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2617z00zz__evaluate_typesz00, BgL_bgl_za762lambda1946za7622716z00, BGl_z62lambda1946z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2542z00zz__evaluate_typesz00, BgL_bgl_string2542za700za7za7_2717za7, "ev_letrec", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2455z00zz__evaluate_typesz00, BgL_bgl_za762lambda1650za7622718z00, BGl_z62lambda1650z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2380z00zz__evaluate_typesz00, BgL_bgl_string2380za700za7za7_2719za7, "e", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2456z00zz__evaluate_typesz00, BgL_bgl_za762lambda1649za7622720z00, BGl_z62lambda1649z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2459z00zz__evaluate_typesz00, BgL_bgl_za762lambda1655za7622721z00, BGl_z62lambda1655z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2385z00zz__evaluate_typesz00, BgL_bgl_string2385za700za7za7_2722za7, "ev_if", 5 );
DEFINE_STRING( BGl_string2389z00zz__evaluate_typesz00, BgL_bgl_string2389za700za7za7_2723za7, "args", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2622z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72724za7, BGl_z62zc3anonymousza31955ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2460z00zz__evaluate_typesz00, BgL_bgl_za762lambda1654za7622725z00, BGl_z62lambda1654z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2623z00zz__evaluate_typesz00, BgL_bgl_za762lambda1954za7622726z00, BGl_z62lambda1954z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2624z00zz__evaluate_typesz00, BgL_bgl_za762lambda1953za7622727z00, BGl_z62lambda1953z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2463z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72728za7, BGl_z62zc3anonymousza31645ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2551z00zz__evaluate_typesz00, BgL_bgl_string2551za700za7za7_2729za7, "env", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2464z00zz__evaluate_typesz00, BgL_bgl_za762lambda1642za7622730z00, BGl_z62lambda1642z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2627z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72731za7, BGl_z62zc3anonymousza31962ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2465z00zz__evaluate_typesz00, BgL_bgl_za762lambda1640za7622732z00, BGl_z62lambda1640z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2628z00zz__evaluate_typesz00, BgL_bgl_za762lambda1961za7622733z00, BGl_z62lambda1961z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2629z00zz__evaluate_typesz00, BgL_bgl_za762lambda1960za7622734z00, BGl_z62lambda1960z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2468z00zz__evaluate_typesz00, BgL_bgl_za762lambda1673za7622735z00, BGl_z62lambda1673z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2556z00zz__evaluate_typesz00, BgL_bgl_string2556za700za7za7_2736za7, "stk", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2469z00zz__evaluate_typesz00, BgL_bgl_za762lambda1672za7622737z00, BGl_z62lambda1672z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2394z00zz__evaluate_typesz00, BgL_bgl_string2394za700za7za7_2738za7, "ev_list", 7 );
DEFINE_STRING( BGl_string2399z00zz__evaluate_typesz00, BgL_bgl_string2399za700za7za7_2739za7, "ev_or", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2632z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72740za7, BGl_z62zc3anonymousza31969ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2470z00zz__evaluate_typesz00, BgL_bgl_za762lambda1678za7622741z00, BGl_z62lambda1678z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2633z00zz__evaluate_typesz00, BgL_bgl_za762lambda1968za7622742z00, BGl_z62lambda1968z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2471z00zz__evaluate_typesz00, BgL_bgl_za762lambda1677za7622743z00, BGl_z62lambda1677z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2634z00zz__evaluate_typesz00, BgL_bgl_za762lambda1967za7622744z00, BGl_z62lambda1967z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2472z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72745za7, BGl_z62zc3anonymousza31667ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2473z00zz__evaluate_typesz00, BgL_bgl_za762lambda1665za7622746z00, BGl_z62lambda1665z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2474z00zz__evaluate_typesz00, BgL_bgl_za762lambda1661za7622747z00, BGl_z62lambda1661z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2637z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72748za7, BGl_z62zc3anonymousza31976ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2638z00zz__evaluate_typesz00, BgL_bgl_za762lambda1975za7622749z00, BGl_z62lambda1975z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2639z00zz__evaluate_typesz00, BgL_bgl_za762lambda1974za7622750z00, BGl_z62lambda1974z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2477z00zz__evaluate_typesz00, BgL_bgl_za762lambda1695za7622751z00, BGl_z62lambda1695z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2478z00zz__evaluate_typesz00, BgL_bgl_za762lambda1694za7622752z00, BGl_z62lambda1694z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2566z00zz__evaluate_typesz00, BgL_bgl_string2566za700za7za7_2753za7, "ev_labels", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2640z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72754za7, BGl_z62zc3anonymousza31916ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2641z00zz__evaluate_typesz00, BgL_bgl_za762lambda1914za7622755z00, BGl_z62lambda1914z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2642z00zz__evaluate_typesz00, BgL_bgl_za762lambda1912za7622756z00, BGl_z62lambda1912z62zz__evaluate_typesz00, 0L, BUNSPEC, 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2481z00zz__evaluate_typesz00, BgL_bgl_za762lambda1700za7622757z00, BGl_z62lambda1700z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2482z00zz__evaluate_typesz00, BgL_bgl_za762lambda1699za7622758z00, BGl_z62lambda1699z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2483z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72759za7, BGl_z62zc3anonymousza31690ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2484z00zz__evaluate_typesz00, BgL_bgl_za762lambda1688za7622760z00, BGl_z62lambda1688z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2572z00zz__evaluate_typesz00, BgL_bgl_string2572za700za7za7_2761za7, "label", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2485z00zz__evaluate_typesz00, BgL_bgl_za762lambda1686za7622762z00, BGl_z62lambda1686z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2488z00zz__evaluate_typesz00, BgL_bgl_za762lambda1715za7622763z00, BGl_z62lambda1715z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2576z00zz__evaluate_typesz00, BgL_bgl_string2576za700za7za7_2764za7, "labels", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2489z00zz__evaluate_typesz00, BgL_bgl_za762lambda1714za7622765z00, BGl_z62lambda1714z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2490z00zz__evaluate_typesz00, BgL_bgl_za762lambda1720za7622766z00, BGl_z62lambda1720z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2491z00zz__evaluate_typesz00, BgL_bgl_za762lambda1719za7622767z00, BGl_z62lambda1719z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2494z00zz__evaluate_typesz00, BgL_bgl_za762lambda1725za7622768z00, BGl_z62lambda1725z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2495z00zz__evaluate_typesz00, BgL_bgl_za762lambda1724za7622769z00, BGl_z62lambda1724z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2583z00zz__evaluate_typesz00, BgL_bgl_string2583za700za7za7_2770za7, "ev_goto", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2498z00zz__evaluate_typesz00, BgL_bgl_za762lambda1731za7622771z00, BGl_z62lambda1731z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2499z00zz__evaluate_typesz00, BgL_bgl_za762lambda1730za7622772z00, BGl_z62lambda1730z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2589z00zz__evaluate_typesz00, BgL_bgl_string2589za700za7za7_2773za7, "fun", 3 );
DEFINE_STRING( BGl_string2595z00zz__evaluate_typesz00, BgL_bgl_string2595za700za7za7_2774za7, "tail?", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2316z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72775za7, BGl_z62zc3anonymousza31380ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2404z00zz__evaluate_typesz00, BgL_bgl_string2404za700za7za7_2776za7, "ev_and", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2317z00zz__evaluate_typesz00, BgL_bgl_za762lambda1378za7622777z00, BGl_z62lambda1378z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2318z00zz__evaluate_typesz00, BgL_bgl_za762lambda1376za7622778z00, BGl_z62lambda1376z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2408z00zz__evaluate_typesz00, BgL_bgl_string2408za700za7za7_2779za7, "e1", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2323z00zz__evaluate_typesz00, BgL_bgl_za762lambda1395za7622780z00, BGl_z62lambda1395z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2324z00zz__evaluate_typesz00, BgL_bgl_za762lambda1394za7622781z00, BGl_z62lambda1394z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2412z00zz__evaluate_typesz00, BgL_bgl_string2412za700za7za7_2782za7, "e2", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2329z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72783za7, BGl_z62zc3anonymousza31406ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2417z00zz__evaluate_typesz00, BgL_bgl_string2417za700za7za7_2784za7, "ev_prog2", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2330z00zz__evaluate_typesz00, BgL_bgl_za762lambda1405za7622785z00, BGl_z62lambda1405z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2331z00zz__evaluate_typesz00, BgL_bgl_za762lambda1404za7622786z00, BGl_z62lambda1404z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2336z00zz__evaluate_typesz00, BgL_bgl_za762lambda1413za7622787z00, BGl_z62lambda1413z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2424z00zz__evaluate_typesz00, BgL_bgl_string2424za700za7za7_2788za7, "ev_hook", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2337z00zz__evaluate_typesz00, BgL_bgl_za762lambda1412za7622789z00, BGl_z62lambda1412z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2429z00zz__evaluate_typesz00, BgL_bgl_string2429za700za7za7_2790za7, "ev_trap", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2500z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72791za7, BGl_z62zc3anonymousza31710ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2501z00zz__evaluate_typesz00, BgL_bgl_za762lambda1708za7622792z00, BGl_z62lambda1708z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2502z00zz__evaluate_typesz00, BgL_bgl_za762lambda1706za7622793z00, BGl_z62lambda1706z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2340z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72794za7, BGl_z62zc3anonymousza31390ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2341z00zz__evaluate_typesz00, BgL_bgl_za762lambda1388za7622795z00, BGl_z62lambda1388z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2342z00zz__evaluate_typesz00, BgL_bgl_za762lambda1386za7622796z00, BGl_z62lambda1386z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2505z00zz__evaluate_typesz00, BgL_bgl_za762lambda1746za7622797z00, BGl_z62lambda1746z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2506z00zz__evaluate_typesz00, BgL_bgl_za762lambda1745za7622798z00, BGl_z62lambda1745z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2345z00zz__evaluate_typesz00, BgL_bgl_za762lambda1429za7622799z00, BGl_z62lambda1429z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2433z00zz__evaluate_typesz00, BgL_bgl_string2433za700za7za7_2800za7, "v", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2346z00zz__evaluate_typesz00, BgL_bgl_za762lambda1428za7622801z00, BGl_z62lambda1428z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2509z00zz__evaluate_typesz00, BgL_bgl_za762lambda1751za7622802z00, BGl_z62lambda1751z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2349z00zz__evaluate_typesz00, BgL_bgl_za762lambda1434za7622803z00, BGl_z62lambda1434z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2438z00zz__evaluate_typesz00, BgL_bgl_string2438za700za7za7_2804za7, "ev_setlocal", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2510z00zz__evaluate_typesz00, BgL_bgl_za762lambda1750za7622805z00, BGl_z62lambda1750z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2350z00zz__evaluate_typesz00, BgL_bgl_za762lambda1433za7622806z00, BGl_z62lambda1433z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2600z00zz__evaluate_typesz00, BgL_bgl_string2600za700za7za7_2807za7, "ev_app", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2513z00zz__evaluate_typesz00, BgL_bgl_za762lambda1756za7622808z00, BGl_z62lambda1756z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2351z00zz__evaluate_typesz00, BgL_bgl_za762lambda1440za7622809z00, BGl_z62lambda1440z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2514z00zz__evaluate_typesz00, BgL_bgl_za762lambda1755za7622810z00, BGl_z62lambda1755z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2352z00zz__evaluate_typesz00, BgL_bgl_za762lambda1439za7622811z00, BGl_z62lambda1439z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2515z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72812za7, BGl_z62zc3anonymousza31741ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2516z00zz__evaluate_typesz00, BgL_bgl_za762lambda1739za7622813z00, BGl_z62lambda1739z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2517z00zz__evaluate_typesz00, BgL_bgl_za762lambda1737za7622814z00, BGl_z62lambda1737z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2355z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72815za7, BGl_z62zc3anonymousza31423ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2356z00zz__evaluate_typesz00, BgL_bgl_za762lambda1421za7622816z00, BGl_z62lambda1421z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2606z00zz__evaluate_typesz00, BgL_bgl_string2606za700za7za7_2817za7, "where", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2357z00zz__evaluate_typesz00, BgL_bgl_za762lambda1419za7622818z00, BGl_z62lambda1419z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2449z00zz__evaluate_typesz00, BgL_bgl_string2449za700za7za7_2819za7, "ev_setglobal", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2520z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72820za7, BGl_z62zc3anonymousza31773ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2521z00zz__evaluate_typesz00, BgL_bgl_za762lambda1772za7622821z00, BGl_z62lambda1772z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2522z00zz__evaluate_typesz00, BgL_bgl_za762lambda1771za7622822z00, BGl_z62lambda1771z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2360z00zz__evaluate_typesz00, BgL_bgl_za762lambda1456za7622823z00, BGl_z62lambda1456z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2610z00zz__evaluate_typesz00, BgL_bgl_string2610za700za7za7_2824za7, "arity", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2361z00zz__evaluate_typesz00, BgL_bgl_za762lambda1455za7622825z00, BGl_z62lambda1455z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2525z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72826za7, BGl_z62zc3anonymousza31766ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2526z00zz__evaluate_typesz00, BgL_bgl_za762lambda1764za7622827z00, BGl_z62lambda1764z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2364z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72828za7, BGl_z62zc3anonymousza31451ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2527z00zz__evaluate_typesz00, BgL_bgl_za762lambda1762za7622829z00, BGl_z62lambda1762z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2365z00zz__evaluate_typesz00, BgL_bgl_za762lambda1449za7622830z00, BGl_z62lambda1449z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2366z00zz__evaluate_typesz00, BgL_bgl_za762lambda1447za7622831z00, BGl_z62lambda1447z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2454z00zz__evaluate_typesz00, BgL_bgl_string2454za700za7za7_2832za7, "ev_defglobal", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2369z00zz__evaluate_typesz00, BgL_bgl_za762lambda1471za7622833z00, BGl_z62lambda1471z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2619z00zz__evaluate_typesz00, BgL_bgl_string2619za700za7za7_2834za7, "size", 4 );
DEFINE_STRING( BGl_string2458z00zz__evaluate_typesz00, BgL_bgl_string2458za700za7za7_2835za7, "var", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2530z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72836za7, BGl_z62zc3anonymousza31790ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2531z00zz__evaluate_typesz00, BgL_bgl_za762lambda1789za7622837z00, BGl_z62lambda1789z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2532z00zz__evaluate_typesz00, BgL_bgl_za762lambda1788za7622838z00, BGl_z62lambda1788z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2370z00zz__evaluate_typesz00, BgL_bgl_za762lambda1470za7622839z00, BGl_z62lambda1470z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2533z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72840za7, BGl_z62zc3anonymousza31783ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2621z00zz__evaluate_typesz00, BgL_bgl_string2621za700za7za7_2841za7, "int", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2534z00zz__evaluate_typesz00, BgL_bgl_za762lambda1781za7622842z00, BGl_z62lambda1781z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2535z00zz__evaluate_typesz00, BgL_bgl_za762lambda1779za7622843z00, BGl_z62lambda1779z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2373z00zz__evaluate_typesz00, BgL_bgl_za762lambda1476za7622844z00, BGl_z62lambda1476z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2374z00zz__evaluate_typesz00, BgL_bgl_za762lambda1475za7622845z00, BGl_z62lambda1475z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2462z00zz__evaluate_typesz00, BgL_bgl_string2462za700za7za7_2846za7, "body", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2538z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72847za7, BGl_z62zc3anonymousza31800ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2626z00zz__evaluate_typesz00, BgL_bgl_string2626za700za7za7_2848za7, "bind", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2539z00zz__evaluate_typesz00, BgL_bgl_za762lambda1798za7622849z00, BGl_z62lambda1798z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2377z00zz__evaluate_typesz00, BgL_bgl_za762lambda1481za7622850z00, BGl_z62lambda1481z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2378z00zz__evaluate_typesz00, BgL_bgl_za762lambda1480za7622851z00, BGl_z62lambda1480z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2467z00zz__evaluate_typesz00, BgL_bgl_string2467za700za7za7_2852za7, "ev_bind-exit", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2540z00zz__evaluate_typesz00, BgL_bgl_za762lambda1796za7622853z00, BGl_z62lambda1796z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2543z00zz__evaluate_typesz00, BgL_bgl_za762lambda1815za7622854z00, BGl_z62lambda1815z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2381z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72855za7, BGl_z62zc3anonymousza31466ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2631z00zz__evaluate_typesz00, BgL_bgl_string2631za700za7za7_2856za7, "free", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2544z00zz__evaluate_typesz00, BgL_bgl_za762lambda1814za7622857z00, BGl_z62lambda1814z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2382z00zz__evaluate_typesz00, BgL_bgl_za762lambda1464za7622858z00, BGl_z62lambda1464z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2545z00zz__evaluate_typesz00, BgL_bgl_za762lambda1820za7622859z00, BGl_z62lambda1820z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2383z00zz__evaluate_typesz00, BgL_bgl_za762lambda1462za7622860z00, BGl_z62lambda1462z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2546z00zz__evaluate_typesz00, BgL_bgl_za762lambda1819za7622861z00, BGl_z62lambda1819z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2547z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72862za7, BGl_z62zc3anonymousza31827ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2548z00zz__evaluate_typesz00, BgL_bgl_za762lambda1826za7622863z00, BGl_z62lambda1826z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2386z00zz__evaluate_typesz00, BgL_bgl_za762lambda1498za7622864z00, BGl_z62lambda1498z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2636z00zz__evaluate_typesz00, BgL_bgl_string2636za700za7za7_2865za7, "inner", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2549z00zz__evaluate_typesz00, BgL_bgl_za762lambda1825za7622866z00, BGl_z62lambda1825z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2387z00zz__evaluate_typesz00, BgL_bgl_za762lambda1497za7622867z00, BGl_z62lambda1497z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2476z00zz__evaluate_typesz00, BgL_bgl_string2476za700za7za7_2868za7, "ev_unwind-protect", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2552z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72869za7, BGl_z62zc3anonymousza31834ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2390z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72870za7, BGl_z62zc3anonymousza31493ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2553z00zz__evaluate_typesz00, BgL_bgl_za762lambda1833za7622871z00, BGl_z62lambda1833z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2391z00zz__evaluate_typesz00, BgL_bgl_za762lambda1489za7622872z00, BGl_z62lambda1489z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2554z00zz__evaluate_typesz00, BgL_bgl_za762lambda1832za7622873z00, BGl_z62lambda1832z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2392z00zz__evaluate_typesz00, BgL_bgl_za762lambda1487za7622874z00, BGl_z62lambda1487z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2480z00zz__evaluate_typesz00, BgL_bgl_string2480za700za7za7_2875za7, "handler", 7 );
DEFINE_STRING( BGl_string2644z00zz__evaluate_typesz00, BgL_bgl_string2644za700za7za7_2876za7, "ev_abs", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2557z00zz__evaluate_typesz00, BgL_bgl_za762lambda1839za7622877z00, BGl_z62lambda1839z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2395z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72878za7, BGl_z62zc3anonymousza31508ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2558z00zz__evaluate_typesz00, BgL_bgl_za762lambda1838za7622879z00, BGl_z62lambda1838z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2396z00zz__evaluate_typesz00, BgL_bgl_za762lambda1506za7622880z00, BGl_z62lambda1506z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2646z00zz__evaluate_typesz00, BgL_bgl_string2646za700za7za7_2881za7, "_", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2559z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72882za7, BGl_z62zc3anonymousza31846ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2397z00zz__evaluate_typesz00, BgL_bgl_za762lambda1504za7622883z00, BGl_z62lambda1504z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2487z00zz__evaluate_typesz00, BgL_bgl_string2487za700za7za7_2884za7, "ev_with-handler", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2560z00zz__evaluate_typesz00, BgL_bgl_za762lambda1845za7622885z00, BGl_z62lambda1845z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2561z00zz__evaluate_typesz00, BgL_bgl_za762lambda1844za7622886z00, BGl_z62lambda1844z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2562z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72887za7, BGl_z62zc3anonymousza31810ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2563z00zz__evaluate_typesz00, BgL_bgl_za762lambda1808za7622888z00, BGl_z62lambda1808z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2564z00zz__evaluate_typesz00, BgL_bgl_za762lambda1806za7622889z00, BGl_z62lambda1806z62zz__evaluate_typesz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2567z00zz__evaluate_typesz00, BgL_bgl_za762lambda1861za7622890z00, BGl_z62lambda1861z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2568z00zz__evaluate_typesz00, BgL_bgl_za762lambda1860za7622891z00, BGl_z62lambda1860z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2493z00zz__evaluate_typesz00, BgL_bgl_string2493za700za7za7_2892za7, "mutex", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2569z00zz__evaluate_typesz00, BgL_bgl_za762lambda1866za7622893z00, BGl_z62lambda1866z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2497z00zz__evaluate_typesz00, BgL_bgl_string2497za700za7za7_2894za7, "prelock", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2570z00zz__evaluate_typesz00, BgL_bgl_za762lambda1865za7622895z00, BGl_z62lambda1865z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2573z00zz__evaluate_typesz00, BgL_bgl_za762lambda1871za7622896z00, BGl_z62lambda1871z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2574z00zz__evaluate_typesz00, BgL_bgl_za762lambda1870za7622897z00, BGl_z62lambda1870z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2577z00zz__evaluate_typesz00, BgL_bgl_za762lambda1876za7622898z00, BGl_z62lambda1876z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2578z00zz__evaluate_typesz00, BgL_bgl_za762lambda1875za7622899z00, BGl_z62lambda1875z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2579z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72900za7, BGl_z62zc3anonymousza31856ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2580z00zz__evaluate_typesz00, BgL_bgl_za762lambda1854za7622901z00, BGl_z62lambda1854z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2581z00zz__evaluate_typesz00, BgL_bgl_za762lambda1852za7622902z00, BGl_z62lambda1852z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2584z00zz__evaluate_typesz00, BgL_bgl_za762lambda1891za7622903z00, BGl_z62lambda1891z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2585z00zz__evaluate_typesz00, BgL_bgl_za762lambda1890za7622904z00, BGl_z62lambda1890z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2586z00zz__evaluate_typesz00, BgL_bgl_za762lambda1896za7622905z00, BGl_z62lambda1896z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2587z00zz__evaluate_typesz00, BgL_bgl_za762lambda1895za7622906z00, BGl_z62lambda1895z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2590z00zz__evaluate_typesz00, BgL_bgl_za762lambda1901za7622907z00, BGl_z62lambda1901z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2591z00zz__evaluate_typesz00, BgL_bgl_za762lambda1900za7622908z00, BGl_z62lambda1900z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2592z00zz__evaluate_typesz00, BgL_bgl_za762lambda1906za7622909z00, BGl_z62lambda1906z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2593z00zz__evaluate_typesz00, BgL_bgl_za762lambda1905za7622910z00, BGl_z62lambda1905z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2596z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72911za7, BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2597z00zz__evaluate_typesz00, BgL_bgl_za762lambda1884za7622912z00, BGl_z62lambda1884z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2598z00zz__evaluate_typesz00, BgL_bgl_za762lambda1882za7622913z00, BGl_z62lambda1882z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol2565z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2571z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2575z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2582z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2588z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2594z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2599z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letrecz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_labelsz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_absz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_ifz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_gotoz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_orz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_varz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_andz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2403z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2407z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2411z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2416z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_appz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2423z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2428z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2432z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2437z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_synchroniza7eza7zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2605z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2609z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2448z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2453z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2618z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2457z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2620z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2461z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2625z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2466z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2630z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2635z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2475z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2479z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2643z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2645z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2486z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_defglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2492z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2496z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_prog2z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_bindzd2exitzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letza2za2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_trapz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_hookz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_globalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_binderz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_listz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_littz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_withzd2handlerzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2319z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2321z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2325z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2327z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2332z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2334z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2338z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_exprz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2503z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2343z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2507z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2347z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2511z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2353z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2518z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2358z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2523z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2362z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2528z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2367z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2371z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2536z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2375z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2379z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2541z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2384z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2388z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setlocalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2550z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2555z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2393z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2398z00zz__evaluate_typesz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_types.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1916>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31916ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1976>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31976ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1969>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31969ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1962>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31962ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1955>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31955ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1948>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31948ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1886>\" \"Eval/evaluate_types.scm\" 3265) \"BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1856>\" \"Eval/evaluate_types.scm\" 3154) \"BGl_z62zc3anonymousza31856ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1810>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3anonymousza31810ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1846>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3anonymousza31846ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1834>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3anonymousza31834ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1827>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3anonymousza31827ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1800>\" \"Eval/evaluate_types.scm\" 2908) \"BGl_z62zc3anonymousza31800ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1783>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3anonymousza31783ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1790>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3anonymousza31790ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1766>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3anonymousza31766ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1773>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3anonymousza31773ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1741>\" \"Eval/evaluate_types.scm\" 2713) \"BGl_z62zc3anonymousza31741ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1710>\" \"Eval/evaluate_types.scm\" 2587) \"BGl_z62zc3anonymousza31710ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1690>\" \"Eval/evaluate_types.scm\" 2505) \"BGl_z62zc3anonymousza31690ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1667>\" \"Eval/evaluate_types.scm\" 2427) \"BGl_z62zc3anonymousza31667ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1645>\" \"Eval/evaluate_types.scm\" 2353) \"BGl_z62zc3anonymousza31645ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1633>\" \"Eval/evaluate_types.scm\" 2314) \"BGl_z62zc3anonymousza31633ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1600>\" \"Eval/evaluate_types.scm\" 2226) \"BGl_z62zc3anonymousza31600ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1583>\" \"Eval/evaluate_types.scm\" 2176) \"BGl_z62zc3anonymousza31583ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1569>\" \"Eval/evaluate_types.scm\" 2147) \"BGl_z62zc3anonymousza31569ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1554>\" \"Eval/evaluate_types.scm\" 2100) \"BGl_z62zc3anonymousza31554ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1531>\" \"Eval/evaluate_types.scm\" 2032) \"BGl_z62zc3anonymousza31531ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1518>\" \"Eval/evaluate_types.scm\" 2004) \"BGl_z62zc3anonymousza31518ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1508>\" \"Eval/evaluate_types.scm\" 1977) \"BGl_z62zc3anonymousza31508ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1493>\" \"Eval/evaluate_types.scm\" 1936) \"BGl_z62zc3anonymousza31493ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1466>\" \"Eval/evaluate_types.scm\" 1855) \"BGl_z62zc3anonymousza31466ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1451>\" \"Eval/evaluate_types.scm\" 1813) \"BGl_z62zc3anonymousza31451ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1423>\" \"Eval/evaluate_types.scm\" 1723) \"BGl_z62zc3anonymousza31423ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1390>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3anonymousza31390ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1406>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3anonymousza31406ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1380>\" \"Eval/evaluate_types.scm\" 1612) \"BGl_z62zc3anonymousza31380ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long BgL_checksumz00_4142, char * BgL_fromz00_4143)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_typesz00(); 
BGl_cnstzd2initzd2zz__evaluate_typesz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(); 
BGl_objectzd2initzd2zz__evaluate_typesz00(); 
return 
BGl_profzd2initzd2zz__evaluate_typesz00();}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 15 */
BGl_symbol2319z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2320z00zz__evaluate_typesz00); 
BGl_symbol2321z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2322z00zz__evaluate_typesz00); 
BGl_symbol2325z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2326z00zz__evaluate_typesz00); 
BGl_symbol2327z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2328z00zz__evaluate_typesz00); 
BGl_symbol2332z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2333z00zz__evaluate_typesz00); 
BGl_symbol2334z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2335z00zz__evaluate_typesz00); 
BGl_symbol2338z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2339z00zz__evaluate_typesz00); 
BGl_symbol2343z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2344z00zz__evaluate_typesz00); 
BGl_symbol2347z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2348z00zz__evaluate_typesz00); 
BGl_symbol2353z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2354z00zz__evaluate_typesz00); 
BGl_symbol2358z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2359z00zz__evaluate_typesz00); 
BGl_symbol2362z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2363z00zz__evaluate_typesz00); 
BGl_symbol2367z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2368z00zz__evaluate_typesz00); 
BGl_symbol2371z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2372z00zz__evaluate_typesz00); 
BGl_symbol2375z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2376z00zz__evaluate_typesz00); 
BGl_symbol2379z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2380z00zz__evaluate_typesz00); 
BGl_symbol2384z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2385z00zz__evaluate_typesz00); 
BGl_symbol2388z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2389z00zz__evaluate_typesz00); 
BGl_symbol2393z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2394z00zz__evaluate_typesz00); 
BGl_symbol2398z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2399z00zz__evaluate_typesz00); 
BGl_symbol2403z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2404z00zz__evaluate_typesz00); 
BGl_symbol2407z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2408z00zz__evaluate_typesz00); 
BGl_symbol2411z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2412z00zz__evaluate_typesz00); 
BGl_symbol2416z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2417z00zz__evaluate_typesz00); 
BGl_symbol2423z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2424z00zz__evaluate_typesz00); 
BGl_symbol2428z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2429z00zz__evaluate_typesz00); 
BGl_symbol2432z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2433z00zz__evaluate_typesz00); 
BGl_symbol2437z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2438z00zz__evaluate_typesz00); 
BGl_symbol2448z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2449z00zz__evaluate_typesz00); 
BGl_symbol2453z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2454z00zz__evaluate_typesz00); 
BGl_symbol2457z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2458z00zz__evaluate_typesz00); 
BGl_symbol2461z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2462z00zz__evaluate_typesz00); 
BGl_symbol2466z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2467z00zz__evaluate_typesz00); 
BGl_symbol2475z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2476z00zz__evaluate_typesz00); 
BGl_symbol2479z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2480z00zz__evaluate_typesz00); 
BGl_symbol2486z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2487z00zz__evaluate_typesz00); 
BGl_symbol2492z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2493z00zz__evaluate_typesz00); 
BGl_symbol2496z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2497z00zz__evaluate_typesz00); 
BGl_symbol2503z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2504z00zz__evaluate_typesz00); 
BGl_symbol2507z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2508z00zz__evaluate_typesz00); 
BGl_symbol2511z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2512z00zz__evaluate_typesz00); 
BGl_symbol2518z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2519z00zz__evaluate_typesz00); 
BGl_symbol2523z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2524z00zz__evaluate_typesz00); 
BGl_symbol2528z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2529z00zz__evaluate_typesz00); 
BGl_symbol2536z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2537z00zz__evaluate_typesz00); 
BGl_symbol2541z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2542z00zz__evaluate_typesz00); 
BGl_symbol2550z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2551z00zz__evaluate_typesz00); 
BGl_symbol2555z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2556z00zz__evaluate_typesz00); 
BGl_symbol2565z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2566z00zz__evaluate_typesz00); 
BGl_symbol2571z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2572z00zz__evaluate_typesz00); 
BGl_symbol2575z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2576z00zz__evaluate_typesz00); 
BGl_symbol2582z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2583z00zz__evaluate_typesz00); 
BGl_symbol2588z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2589z00zz__evaluate_typesz00); 
BGl_symbol2594z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2595z00zz__evaluate_typesz00); 
BGl_symbol2599z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2600z00zz__evaluate_typesz00); 
BGl_symbol2605z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2606z00zz__evaluate_typesz00); 
BGl_symbol2609z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2610z00zz__evaluate_typesz00); 
BGl_symbol2618z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2619z00zz__evaluate_typesz00); 
BGl_symbol2620z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2621z00zz__evaluate_typesz00); 
BGl_symbol2625z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2626z00zz__evaluate_typesz00); 
BGl_symbol2630z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2631z00zz__evaluate_typesz00); 
BGl_symbol2635z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2636z00zz__evaluate_typesz00); 
BGl_symbol2643z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2644z00zz__evaluate_typesz00); 
return ( 
BGl_symbol2645z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2646z00zz__evaluate_typesz00), BUNSPEC) ;} 
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00()
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 15 */
return 
bgl_gc_roots_register();} 
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_typesz00()
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 15 */
return 
write_bprof_table();} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 15 */
{ /* Eval/evaluate_types.scm 49 */
obj_t BgL_arg1374z00_1036;obj_t BgL_arg1375z00_1037;
{ /* Eval/evaluate_types.scm 49 */
obj_t BgL_v1275z00_1047;
BgL_v1275z00_1047 = 
create_vector(
(int)(((long)0))); 
BgL_arg1374z00_1036 = BgL_v1275z00_1047; } 
{ /* Eval/evaluate_types.scm 49 */
obj_t BgL_v1276z00_1048;
BgL_v1276z00_1048 = 
create_vector(
(int)(((long)0))); 
BgL_arg1375z00_1037 = BgL_v1276z00_1048; } 
BGl_ev_exprz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2319z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00, ((long)36682), BGl_proc2318z00zz__evaluate_typesz00, BGl_proc2317z00zz__evaluate_typesz00, BFALSE, BGl_proc2316z00zz__evaluate_typesz00, BFALSE, BgL_arg1374z00_1036, BgL_arg1375z00_1037); } 
{ /* Eval/evaluate_types.scm 51 */
obj_t BgL_arg1384z00_1055;obj_t BgL_arg1385z00_1056;
{ /* Eval/evaluate_types.scm 51 */
obj_t BgL_v1277z00_1069;
BgL_v1277z00_1069 = 
create_vector(
(int)(((long)3))); 
VECTOR_SET(BgL_v1277z00_1069,
(int)(((long)0)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2325z00zz__evaluate_typesz00, BGl_proc2324z00zz__evaluate_typesz00, BGl_proc2323z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2327z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1277z00_1069,
(int)(((long)1)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2332z00zz__evaluate_typesz00, BGl_proc2331z00zz__evaluate_typesz00, BGl_proc2330z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2329z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1277z00_1069,
(int)(((long)2)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2338z00zz__evaluate_typesz00, BGl_proc2337z00zz__evaluate_typesz00, BGl_proc2336z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2334z00zz__evaluate_typesz00)); 
BgL_arg1384z00_1055 = BgL_v1277z00_1069; } 
{ /* Eval/evaluate_types.scm 51 */
obj_t BgL_v1278z00_1103;
BgL_v1278z00_1103 = 
create_vector(
(int)(((long)0))); 
BgL_arg1385z00_1056 = BgL_v1278z00_1103; } 
BGl_ev_varz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2343z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)7285), BGl_proc2342z00zz__evaluate_typesz00, BGl_proc2341z00zz__evaluate_typesz00, BFALSE, BGl_proc2340z00zz__evaluate_typesz00, BFALSE, BgL_arg1384z00_1055, BgL_arg1385z00_1056); } 
{ /* Eval/evaluate_types.scm 55 */
obj_t BgL_arg1417z00_1110;obj_t BgL_arg1418z00_1111;
{ /* Eval/evaluate_types.scm 55 */
obj_t BgL_v1279z00_1124;
BgL_v1279z00_1124 = 
create_vector(
(int)(((long)3))); 
VECTOR_SET(BgL_v1279z00_1124,
(int)(((long)0)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2347z00zz__evaluate_typesz00, BGl_proc2346z00zz__evaluate_typesz00, BGl_proc2345z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2334z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1279z00_1124,
(int)(((long)1)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2325z00zz__evaluate_typesz00, BGl_proc2350z00zz__evaluate_typesz00, BGl_proc2349z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2327z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1279z00_1124,
(int)(((long)2)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2353z00zz__evaluate_typesz00, BGl_proc2352z00zz__evaluate_typesz00, BGl_proc2351z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2334z00zz__evaluate_typesz00)); 
BgL_arg1417z00_1110 = BgL_v1279z00_1124; } 
{ /* Eval/evaluate_types.scm 55 */
obj_t BgL_v1280z00_1155;
BgL_v1280z00_1155 = 
create_vector(
(int)(((long)0))); 
BgL_arg1418z00_1111 = BgL_v1280z00_1155; } 
BGl_ev_globalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2358z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59175), BGl_proc2357z00zz__evaluate_typesz00, BGl_proc2356z00zz__evaluate_typesz00, BFALSE, BGl_proc2355z00zz__evaluate_typesz00, BFALSE, BgL_arg1417z00_1110, BgL_arg1418z00_1111); } 
{ /* Eval/evaluate_types.scm 60 */
obj_t BgL_arg1445z00_1162;obj_t BgL_arg1446z00_1163;
{ /* Eval/evaluate_types.scm 60 */
obj_t BgL_v1281z00_1174;
BgL_v1281z00_1174 = 
create_vector(
(int)(((long)1))); 
VECTOR_SET(BgL_v1281z00_1174,
(int)(((long)0)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2362z00zz__evaluate_typesz00, BGl_proc2361z00zz__evaluate_typesz00, BGl_proc2360z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2334z00zz__evaluate_typesz00)); 
BgL_arg1445z00_1162 = BgL_v1281z00_1174; } 
{ /* Eval/evaluate_types.scm 60 */
obj_t BgL_v1282z00_1185;
BgL_v1282z00_1185 = 
create_vector(
(int)(((long)0))); 
BgL_arg1446z00_1163 = BgL_v1282z00_1185; } 
BGl_ev_littz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2367z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)42418), BGl_proc2366z00zz__evaluate_typesz00, BGl_proc2365z00zz__evaluate_typesz00, BFALSE, BGl_proc2364z00zz__evaluate_typesz00, BFALSE, BgL_arg1445z00_1162, BgL_arg1446z00_1163); } 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_arg1460z00_1192;obj_t BgL_arg1461z00_1193;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_v1283z00_1206;
BgL_v1283z00_1206 = 
create_vector(
(int)(((long)3))); 
VECTOR_SET(BgL_v1283z00_1206,
(int)(((long)0)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2371z00zz__evaluate_typesz00, BGl_proc2370z00zz__evaluate_typesz00, BGl_proc2369z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1283z00_1206,
(int)(((long)1)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2375z00zz__evaluate_typesz00, BGl_proc2374z00zz__evaluate_typesz00, BGl_proc2373z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1283z00_1206,
(int)(((long)2)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2379z00zz__evaluate_typesz00, BGl_proc2378z00zz__evaluate_typesz00, BGl_proc2377z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1460z00_1192 = BgL_v1283z00_1206; } 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_v1284z00_1237;
BgL_v1284z00_1237 = 
create_vector(
(int)(((long)0))); 
BgL_arg1461z00_1193 = BgL_v1284z00_1237; } 
BGl_ev_ifz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2384z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)19099), BGl_proc2383z00zz__evaluate_typesz00, BGl_proc2382z00zz__evaluate_typesz00, BFALSE, BGl_proc2381z00zz__evaluate_typesz00, BFALSE, BgL_arg1460z00_1192, BgL_arg1461z00_1193); } 
{ /* Eval/evaluate_types.scm 66 */
obj_t BgL_arg1485z00_1244;obj_t BgL_arg1486z00_1245;
{ /* Eval/evaluate_types.scm 66 */
obj_t BgL_v1285z00_1256;
BgL_v1285z00_1256 = 
create_vector(
(int)(((long)1))); 
VECTOR_SET(BgL_v1285z00_1256,
(int)(((long)0)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2388z00zz__evaluate_typesz00, BGl_proc2387z00zz__evaluate_typesz00, BGl_proc2386z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2334z00zz__evaluate_typesz00)); 
BgL_arg1485z00_1244 = BgL_v1285z00_1256; } 
{ /* Eval/evaluate_types.scm 66 */
obj_t BgL_v1286z00_1267;
BgL_v1286z00_1267 = 
create_vector(
(int)(((long)0))); 
BgL_arg1486z00_1245 = BgL_v1286z00_1267; } 
BGl_ev_listz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2393z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)39617), BGl_proc2392z00zz__evaluate_typesz00, BGl_proc2391z00zz__evaluate_typesz00, BFALSE, BGl_proc2390z00zz__evaluate_typesz00, BFALSE, BgL_arg1485z00_1244, BgL_arg1486z00_1245); } 
{ /* Eval/evaluate_types.scm 68 */
obj_t BgL_arg1502z00_1274;obj_t BgL_arg1503z00_1275;
{ /* Eval/evaluate_types.scm 68 */
obj_t BgL_v1287z00_1286;
BgL_v1287z00_1286 = 
create_vector(
(int)(((long)0))); 
BgL_arg1502z00_1274 = BgL_v1287z00_1286; } 
{ /* Eval/evaluate_types.scm 68 */
obj_t BgL_v1288z00_1287;
BgL_v1288z00_1287 = 
create_vector(
(int)(((long)0))); 
BgL_arg1503z00_1275 = BgL_v1288z00_1287; } 
BGl_ev_orz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2398z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)50334), BGl_proc2397z00zz__evaluate_typesz00, BGl_proc2396z00zz__evaluate_typesz00, BFALSE, BGl_proc2395z00zz__evaluate_typesz00, BFALSE, BgL_arg1502z00_1274, BgL_arg1503z00_1275); } 
{ /* Eval/evaluate_types.scm 69 */
obj_t BgL_arg1512z00_1294;obj_t BgL_arg1513z00_1295;
{ /* Eval/evaluate_types.scm 69 */
obj_t BgL_v1289z00_1306;
BgL_v1289z00_1306 = 
create_vector(
(int)(((long)0))); 
BgL_arg1512z00_1294 = BgL_v1289z00_1306; } 
{ /* Eval/evaluate_types.scm 69 */
obj_t BgL_v1290z00_1307;
BgL_v1290z00_1307 = 
create_vector(
(int)(((long)0))); 
BgL_arg1513z00_1295 = BgL_v1290z00_1307; } 
BGl_ev_andz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2403z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)26888), BGl_proc2402z00zz__evaluate_typesz00, BGl_proc2401z00zz__evaluate_typesz00, BFALSE, BGl_proc2400z00zz__evaluate_typesz00, BFALSE, BgL_arg1512z00_1294, BgL_arg1513z00_1295); } 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_arg1523z00_1314;obj_t BgL_arg1524z00_1315;
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_v1291z00_1327;
BgL_v1291z00_1327 = 
create_vector(
(int)(((long)2))); 
VECTOR_SET(BgL_v1291z00_1327,
(int)(((long)0)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2407z00zz__evaluate_typesz00, BGl_proc2406z00zz__evaluate_typesz00, BGl_proc2405z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1291z00_1327,
(int)(((long)1)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2411z00zz__evaluate_typesz00, BGl_proc2410z00zz__evaluate_typesz00, BGl_proc2409z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1523z00_1314 = BgL_v1291z00_1327; } 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_v1292z00_1348;
BgL_v1292z00_1348 = 
create_vector(
(int)(((long)0))); 
BgL_arg1524z00_1315 = BgL_v1292z00_1348; } 
BGl_ev_prog2z00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2416z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)14177), BGl_proc2415z00zz__evaluate_typesz00, BGl_proc2414z00zz__evaluate_typesz00, BFALSE, BGl_proc2413z00zz__evaluate_typesz00, BFALSE, BgL_arg1523z00_1314, BgL_arg1524z00_1315); } 
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_arg1548z00_1355;obj_t BgL_arg1549z00_1356;
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_v1293z00_1367;
BgL_v1293z00_1367 = 
create_vector(
(int)(((long)1))); 
VECTOR_SET(BgL_v1293z00_1367,
(int)(((long)0)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2379z00zz__evaluate_typesz00, BGl_proc2419z00zz__evaluate_typesz00, BGl_proc2418z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1548z00_1355 = BgL_v1293z00_1367; } 
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_v1294z00_1378;
BgL_v1294z00_1378 = 
create_vector(
(int)(((long)0))); 
BgL_arg1549z00_1356 = BgL_v1294z00_1378; } 
BGl_ev_hookz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2423z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)32125), BGl_proc2422z00zz__evaluate_typesz00, BGl_proc2421z00zz__evaluate_typesz00, BFALSE, BGl_proc2420z00zz__evaluate_typesz00, BFALSE, BgL_arg1548z00_1355, BgL_arg1549z00_1356); } 
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_arg1563z00_1385;obj_t BgL_arg1564z00_1386;
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_v1295z00_1397;
BgL_v1295z00_1397 = 
create_vector(
(int)(((long)0))); 
BgL_arg1563z00_1385 = BgL_v1295z00_1397; } 
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_v1296z00_1398;
BgL_v1296z00_1398 = 
create_vector(
(int)(((long)0))); 
BgL_arg1564z00_1386 = BgL_v1296z00_1398; } 
BGl_ev_trapz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2428z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)24451), BGl_proc2427z00zz__evaluate_typesz00, BGl_proc2426z00zz__evaluate_typesz00, BFALSE, BGl_proc2425z00zz__evaluate_typesz00, BFALSE, BgL_arg1563z00_1385, BgL_arg1564z00_1386); } 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_arg1575z00_1405;obj_t BgL_arg1577z00_1406;
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_v1297z00_1418;
BgL_v1297z00_1418 = 
create_vector(
(int)(((long)1))); 
VECTOR_SET(BgL_v1297z00_1418,
(int)(((long)0)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2432z00zz__evaluate_typesz00, BGl_proc2431z00zz__evaluate_typesz00, BGl_proc2430z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
BgL_arg1575z00_1405 = BgL_v1297z00_1418; } 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_v1298z00_1429;
BgL_v1298z00_1429 = 
create_vector(
(int)(((long)0))); 
BgL_arg1577z00_1406 = BgL_v1298z00_1429; } 
BGl_ev_setlocalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2437z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)37950), BGl_proc2436z00zz__evaluate_typesz00, BGl_proc2435z00zz__evaluate_typesz00, BFALSE, BGl_proc2434z00zz__evaluate_typesz00, BFALSE, BgL_arg1575z00_1405, BgL_arg1577z00_1406); } 
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_arg1594z00_1436;obj_t BgL_arg1595z00_1437;
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_v1299z00_1451;
BgL_v1299z00_1451 = 
create_vector(
(int)(((long)3))); 
VECTOR_SET(BgL_v1299z00_1451,
(int)(((long)0)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2347z00zz__evaluate_typesz00, BGl_proc2440z00zz__evaluate_typesz00, BGl_proc2439z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2334z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1299z00_1451,
(int)(((long)1)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2325z00zz__evaluate_typesz00, BGl_proc2442z00zz__evaluate_typesz00, BGl_proc2441z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2327z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1299z00_1451,
(int)(((long)2)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2353z00zz__evaluate_typesz00, BGl_proc2444z00zz__evaluate_typesz00, BGl_proc2443z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2334z00zz__evaluate_typesz00)); 
BgL_arg1594z00_1436 = BgL_v1299z00_1451; } 
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_v1300z00_1482;
BgL_v1300z00_1482 = 
create_vector(
(int)(((long)0))); 
BgL_arg1595z00_1437 = BgL_v1300z00_1482; } 
BGl_ev_setglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2448z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)62117), BGl_proc2447z00zz__evaluate_typesz00, BGl_proc2446z00zz__evaluate_typesz00, BFALSE, BGl_proc2445z00zz__evaluate_typesz00, BFALSE, BgL_arg1594z00_1436, BgL_arg1595z00_1437); } 
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_arg1625z00_1489;obj_t BgL_arg1627z00_1490;
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_v1301z00_1504;
BgL_v1301z00_1504 = 
create_vector(
(int)(((long)0))); 
BgL_arg1625z00_1489 = BgL_v1301z00_1504; } 
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_v1302z00_1505;
BgL_v1302z00_1505 = 
create_vector(
(int)(((long)0))); 
BgL_arg1627z00_1490 = BgL_v1302z00_1505; } 
BGl_ev_defglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2453z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_setglobalz00zz__evaluate_typesz00, ((long)36158), BGl_proc2452z00zz__evaluate_typesz00, BGl_proc2451z00zz__evaluate_typesz00, BFALSE, BGl_proc2450z00zz__evaluate_typesz00, BFALSE, BgL_arg1625z00_1489, BgL_arg1627z00_1490); } 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_arg1638z00_1512;obj_t BgL_arg1639z00_1513;
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_v1303z00_1525;
BgL_v1303z00_1525 = 
create_vector(
(int)(((long)2))); 
VECTOR_SET(BgL_v1303z00_1525,
(int)(((long)0)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2457z00zz__evaluate_typesz00, BGl_proc2456z00zz__evaluate_typesz00, BGl_proc2455z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1303z00_1525,
(int)(((long)1)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2461z00zz__evaluate_typesz00, BGl_proc2460z00zz__evaluate_typesz00, BGl_proc2459z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1638z00_1512 = BgL_v1303z00_1525; } 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_v1304z00_1546;
BgL_v1304z00_1546 = 
create_vector(
(int)(((long)0))); 
BgL_arg1639z00_1513 = BgL_v1304z00_1546; } 
BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2466z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)10723), BGl_proc2465z00zz__evaluate_typesz00, BGl_proc2464z00zz__evaluate_typesz00, BFALSE, BGl_proc2463z00zz__evaluate_typesz00, BFALSE, BgL_arg1638z00_1512, BgL_arg1639z00_1513); } 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_arg1659z00_1553;obj_t BgL_arg1660z00_1554;
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_v1305z00_1566;
BgL_v1305z00_1566 = 
create_vector(
(int)(((long)2))); 
VECTOR_SET(BgL_v1305z00_1566,
(int)(((long)0)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2379z00zz__evaluate_typesz00, BGl_proc2469z00zz__evaluate_typesz00, BGl_proc2468z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1305z00_1566,
(int)(((long)1)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2461z00zz__evaluate_typesz00, BGl_proc2471z00zz__evaluate_typesz00, BGl_proc2470z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1659z00_1553 = BgL_v1305z00_1566; } 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_v1306z00_1587;
BgL_v1306z00_1587 = 
create_vector(
(int)(((long)0))); 
BgL_arg1660z00_1554 = BgL_v1306z00_1587; } 
BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2475z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59644), BGl_proc2474z00zz__evaluate_typesz00, BGl_proc2473z00zz__evaluate_typesz00, BFALSE, BGl_proc2472z00zz__evaluate_typesz00, BFALSE, BgL_arg1659z00_1553, BgL_arg1660z00_1554); } 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_arg1684z00_1594;obj_t BgL_arg1685z00_1595;
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_v1307z00_1607;
BgL_v1307z00_1607 = 
create_vector(
(int)(((long)2))); 
VECTOR_SET(BgL_v1307z00_1607,
(int)(((long)0)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2479z00zz__evaluate_typesz00, BGl_proc2478z00zz__evaluate_typesz00, BGl_proc2477z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1307z00_1607,
(int)(((long)1)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2461z00zz__evaluate_typesz00, BGl_proc2482z00zz__evaluate_typesz00, BGl_proc2481z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1684z00_1594 = BgL_v1307z00_1607; } 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_v1308z00_1628;
BgL_v1308z00_1628 = 
create_vector(
(int)(((long)0))); 
BgL_arg1685z00_1595 = BgL_v1308z00_1628; } 
BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2486z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)54033), BGl_proc2485z00zz__evaluate_typesz00, BGl_proc2484z00zz__evaluate_typesz00, BFALSE, BGl_proc2483z00zz__evaluate_typesz00, BFALSE, BgL_arg1684z00_1594, BgL_arg1685z00_1595); } 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_arg1704z00_1635;obj_t BgL_arg1705z00_1636;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_v1309z00_1650;
BgL_v1309z00_1650 = 
create_vector(
(int)(((long)4))); 
VECTOR_SET(BgL_v1309z00_1650,
(int)(((long)0)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2347z00zz__evaluate_typesz00, BGl_proc2489z00zz__evaluate_typesz00, BGl_proc2488z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2334z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1309z00_1650,
(int)(((long)1)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2492z00zz__evaluate_typesz00, BGl_proc2491z00zz__evaluate_typesz00, BGl_proc2490z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1309z00_1650,
(int)(((long)2)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2496z00zz__evaluate_typesz00, BGl_proc2495z00zz__evaluate_typesz00, BGl_proc2494z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1309z00_1650,
(int)(((long)3)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2461z00zz__evaluate_typesz00, BGl_proc2499z00zz__evaluate_typesz00, BGl_proc2498z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1704z00_1635 = BgL_v1309z00_1650; } 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_v1310z00_1691;
BgL_v1310z00_1691 = 
create_vector(
(int)(((long)0))); 
BgL_arg1705z00_1636 = BgL_v1310z00_1691; } 
BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2503z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)40653), BGl_proc2502z00zz__evaluate_typesz00, BGl_proc2501z00zz__evaluate_typesz00, BFALSE, BGl_proc2500z00zz__evaluate_typesz00, BFALSE, BgL_arg1704z00_1635, BgL_arg1705z00_1636); } 
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_arg1735z00_1698;obj_t BgL_arg1736z00_1699;
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_v1311z00_1712;
BgL_v1311z00_1712 = 
create_vector(
(int)(((long)3))); 
VECTOR_SET(BgL_v1311z00_1712,
(int)(((long)0)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2507z00zz__evaluate_typesz00, BGl_proc2506z00zz__evaluate_typesz00, BGl_proc2505z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2334z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1311z00_1712,
(int)(((long)1)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2511z00zz__evaluate_typesz00, BGl_proc2510z00zz__evaluate_typesz00, BGl_proc2509z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2334z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1311z00_1712,
(int)(((long)2)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2461z00zz__evaluate_typesz00, BGl_proc2514z00zz__evaluate_typesz00, BGl_proc2513z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1735z00_1698 = BgL_v1311z00_1712; } 
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_v1312z00_1743;
BgL_v1312z00_1743 = 
create_vector(
(int)(((long)0))); 
BgL_arg1736z00_1699 = BgL_v1312z00_1743; } 
BGl_ev_binderz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2518z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)50341), BGl_proc2517z00zz__evaluate_typesz00, BGl_proc2516z00zz__evaluate_typesz00, BFALSE, BGl_proc2515z00zz__evaluate_typesz00, BFALSE, BgL_arg1735z00_1698, BgL_arg1736z00_1699); } 
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_arg1760z00_1750;obj_t BgL_arg1761z00_1751;
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_v1313z00_1765;
BgL_v1313z00_1765 = 
create_vector(
(int)(((long)1))); 
VECTOR_SET(BgL_v1313z00_1765,
(int)(((long)0)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2523z00zz__evaluate_typesz00, BGl_proc2522z00zz__evaluate_typesz00, BGl_proc2521z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2520z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00)); 
BgL_arg1760z00_1750 = BgL_v1313z00_1765; } 
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_v1314z00_1779;
BgL_v1314z00_1779 = 
create_vector(
(int)(((long)0))); 
BgL_arg1761z00_1751 = BgL_v1314z00_1779; } 
BGl_ev_letz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2528z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)20484), BGl_proc2527z00zz__evaluate_typesz00, BGl_proc2526z00zz__evaluate_typesz00, BFALSE, BGl_proc2525z00zz__evaluate_typesz00, BFALSE, BgL_arg1760z00_1750, BgL_arg1761z00_1751); } 
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_arg1777z00_1786;obj_t BgL_arg1778z00_1787;
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_v1315z00_1801;
BgL_v1315z00_1801 = 
create_vector(
(int)(((long)1))); 
VECTOR_SET(BgL_v1315z00_1801,
(int)(((long)0)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2523z00zz__evaluate_typesz00, BGl_proc2532z00zz__evaluate_typesz00, BGl_proc2531z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2530z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00)); 
BgL_arg1777z00_1786 = BgL_v1315z00_1801; } 
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_v1316z00_1815;
BgL_v1316z00_1815 = 
create_vector(
(int)(((long)0))); 
BgL_arg1778z00_1787 = BgL_v1316z00_1815; } 
BGl_ev_letza2za2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2536z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)9906), BGl_proc2535z00zz__evaluate_typesz00, BGl_proc2534z00zz__evaluate_typesz00, BFALSE, BGl_proc2533z00zz__evaluate_typesz00, BFALSE, BgL_arg1777z00_1786, BgL_arg1778z00_1787); } 
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_arg1794z00_1822;obj_t BgL_arg1795z00_1823;
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_v1317z00_1836;
BgL_v1317z00_1836 = 
create_vector(
(int)(((long)0))); 
BgL_arg1794z00_1822 = BgL_v1317z00_1836; } 
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_v1318z00_1837;
BgL_v1318z00_1837 = 
create_vector(
(int)(((long)0))); 
BgL_arg1795z00_1823 = BgL_v1318z00_1837; } 
BGl_ev_letrecz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2541z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)43956), BGl_proc2540z00zz__evaluate_typesz00, BGl_proc2539z00zz__evaluate_typesz00, BFALSE, BGl_proc2538z00zz__evaluate_typesz00, BFALSE, BgL_arg1794z00_1822, BgL_arg1795z00_1823); } 
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_arg1804z00_1844;obj_t BgL_arg1805z00_1845;
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_v1319z00_1861;
BgL_v1319z00_1861 = 
create_vector(
(int)(((long)6))); 
VECTOR_SET(BgL_v1319z00_1861,
(int)(((long)0)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2507z00zz__evaluate_typesz00, BGl_proc2544z00zz__evaluate_typesz00, BGl_proc2543z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2334z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1319z00_1861,
(int)(((long)1)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2511z00zz__evaluate_typesz00, BGl_proc2546z00zz__evaluate_typesz00, BGl_proc2545z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2334z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1319z00_1861,
(int)(((long)2)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2550z00zz__evaluate_typesz00, BGl_proc2549z00zz__evaluate_typesz00, BGl_proc2548z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2547z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1319z00_1861,
(int)(((long)3)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2555z00zz__evaluate_typesz00, BGl_proc2554z00zz__evaluate_typesz00, BGl_proc2553z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2552z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1319z00_1861,
(int)(((long)4)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2461z00zz__evaluate_typesz00, BGl_proc2558z00zz__evaluate_typesz00, BGl_proc2557z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1319z00_1861,
(int)(((long)5)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2523z00zz__evaluate_typesz00, BGl_proc2561z00zz__evaluate_typesz00, BGl_proc2560z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2559z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00)); 
BgL_arg1804z00_1844 = BgL_v1319z00_1861; } 
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_v1320z00_1931;
BgL_v1320z00_1931 = 
create_vector(
(int)(((long)0))); 
BgL_arg1805z00_1845 = BgL_v1320z00_1931; } 
BGl_ev_labelsz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2565z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)51941), BGl_proc2564z00zz__evaluate_typesz00, BGl_proc2563z00zz__evaluate_typesz00, BFALSE, BGl_proc2562z00zz__evaluate_typesz00, BFALSE, BgL_arg1804z00_1844, BgL_arg1805z00_1845); } 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_arg1850z00_1938;obj_t BgL_arg1851z00_1939;
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_v1321z00_1953;
BgL_v1321z00_1953 = 
create_vector(
(int)(((long)4))); 
VECTOR_SET(BgL_v1321z00_1953,
(int)(((long)0)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2347z00zz__evaluate_typesz00, BGl_proc2568z00zz__evaluate_typesz00, BGl_proc2567z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2334z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1321z00_1953,
(int)(((long)1)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2571z00zz__evaluate_typesz00, BGl_proc2570z00zz__evaluate_typesz00, BGl_proc2569z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1321z00_1953,
(int)(((long)2)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2575z00zz__evaluate_typesz00, BGl_proc2574z00zz__evaluate_typesz00, BGl_proc2573z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1321z00_1953,
(int)(((long)3)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2388z00zz__evaluate_typesz00, BGl_proc2578z00zz__evaluate_typesz00, BGl_proc2577z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2334z00zz__evaluate_typesz00)); 
BgL_arg1850z00_1938 = BgL_v1321z00_1953; } 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_v1322z00_1994;
BgL_v1322z00_1994 = 
create_vector(
(int)(((long)0))); 
BgL_arg1851z00_1939 = BgL_v1322z00_1994; } 
BGl_ev_gotoz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2582z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)25746), BGl_proc2581z00zz__evaluate_typesz00, BGl_proc2580z00zz__evaluate_typesz00, BFALSE, BGl_proc2579z00zz__evaluate_typesz00, BFALSE, BgL_arg1850z00_1938, BgL_arg1851z00_1939); } 
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_arg1880z00_2001;obj_t BgL_arg1881z00_2002;
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_v1323z00_2016;
BgL_v1323z00_2016 = 
create_vector(
(int)(((long)4))); 
VECTOR_SET(BgL_v1323z00_2016,
(int)(((long)0)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2347z00zz__evaluate_typesz00, BGl_proc2585z00zz__evaluate_typesz00, BGl_proc2584z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2334z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1323z00_2016,
(int)(((long)1)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2588z00zz__evaluate_typesz00, BGl_proc2587z00zz__evaluate_typesz00, BGl_proc2586z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1323z00_2016,
(int)(((long)2)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2388z00zz__evaluate_typesz00, BGl_proc2591z00zz__evaluate_typesz00, BGl_proc2590z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2334z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1323z00_2016,
(int)(((long)3)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2594z00zz__evaluate_typesz00, BGl_proc2593z00zz__evaluate_typesz00, BGl_proc2592z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2334z00zz__evaluate_typesz00)); 
BgL_arg1880z00_2001 = BgL_v1323z00_2016; } 
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_v1324z00_2057;
BgL_v1324z00_2057 = 
create_vector(
(int)(((long)0))); 
BgL_arg1881z00_2002 = BgL_v1324z00_2057; } 
BGl_ev_appz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2599z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)55822), BGl_proc2598z00zz__evaluate_typesz00, BGl_proc2597z00zz__evaluate_typesz00, BFALSE, BGl_proc2596z00zz__evaluate_typesz00, BFALSE, BgL_arg1880z00_2001, BgL_arg1881z00_2002); } 
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_arg1910z00_2064;obj_t BgL_arg1911z00_2065;
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_v1325z00_2085;
BgL_v1325z00_2085 = 
create_vector(
(int)(((long)10))); 
VECTOR_SET(BgL_v1325z00_2085,
(int)(((long)0)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2347z00zz__evaluate_typesz00, BGl_proc2602z00zz__evaluate_typesz00, BGl_proc2601z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2334z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1325z00_2085,
(int)(((long)1)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2605z00zz__evaluate_typesz00, BGl_proc2604z00zz__evaluate_typesz00, BGl_proc2603z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2334z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1325z00_2085,
(int)(((long)2)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2609z00zz__evaluate_typesz00, BGl_proc2608z00zz__evaluate_typesz00, BGl_proc2607z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2334z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1325z00_2085,
(int)(((long)3)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2507z00zz__evaluate_typesz00, BGl_proc2612z00zz__evaluate_typesz00, BGl_proc2611z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2334z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1325z00_2085,
(int)(((long)4)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2461z00zz__evaluate_typesz00, BGl_proc2614z00zz__evaluate_typesz00, BGl_proc2613z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1325z00_2085,
(int)(((long)5)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2618z00zz__evaluate_typesz00, BGl_proc2617z00zz__evaluate_typesz00, BGl_proc2616z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2615z00zz__evaluate_typesz00, BGl_symbol2620z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1325z00_2085,
(int)(((long)6)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2625z00zz__evaluate_typesz00, BGl_proc2624z00zz__evaluate_typesz00, BGl_proc2623z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2622z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1325z00_2085,
(int)(((long)7)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2630z00zz__evaluate_typesz00, BGl_proc2629z00zz__evaluate_typesz00, BGl_proc2628z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2627z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1325z00_2085,
(int)(((long)8)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2635z00zz__evaluate_typesz00, BGl_proc2634z00zz__evaluate_typesz00, BGl_proc2633z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2632z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1325z00_2085,
(int)(((long)9)),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2523z00zz__evaluate_typesz00, BGl_proc2639z00zz__evaluate_typesz00, BGl_proc2638z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2637z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00)); 
BgL_arg1910z00_2064 = BgL_v1325z00_2085; } 
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_v1326z00_2201;
BgL_v1326z00_2201 = 
create_vector(
(int)(((long)0))); 
BgL_arg1911z00_2065 = BgL_v1326z00_2201; } 
return ( 
BGl_ev_absz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2643z00zz__evaluate_typesz00, BGl_symbol2321z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)22827), BGl_proc2642z00zz__evaluate_typesz00, BGl_proc2641z00zz__evaluate_typesz00, BFALSE, BGl_proc2640z00zz__evaluate_typesz00, BFALSE, BgL_arg1910z00_2064, BgL_arg1911z00_2065), BUNSPEC) ;} } 
}



/* &<anonymous:1916> */
obj_t BGl_z62zc3anonymousza31916ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3227, obj_t BgL_new1189z00_3228)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
{ 
BgL_ev_absz00_bglt BgL_new1189z00_2083;
{ 
BgL_ev_absz00_bglt BgL_auxz00_4519;
BgL_new1189z00_2083 = 
((BgL_ev_absz00_bglt)BgL_new1189z00_3228); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1189z00_2083))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1189z00_2083))->BgL_wherez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1189z00_2083))->BgL_arityz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1189z00_2083))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4524;
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_classz00_2860;
BgL_classz00_2860 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL__ortest_1274z00_2861;
BgL__ortest_1274z00_2861 = 
BGL_CLASS_NIL(BgL_classz00_2860); 
if(
CBOOL(BgL__ortest_1274z00_2861))
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4524 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2861)
; }  else 
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4524 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2860))
; } } } 
((((BgL_ev_absz00_bglt)CREF(BgL_new1189z00_2083))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4524),BUNSPEC); } 
((((BgL_ev_absz00_bglt)CREF(BgL_new1189z00_2083))->BgL_siza7eza7)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1189z00_2083))->BgL_bindz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1189z00_2083))->BgL_freez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1189z00_2083))->BgL_innerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1189z00_2083))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4519 = BgL_new1189z00_2083; 
return 
((obj_t)BgL_auxz00_4519);} } } 
}



/* &lambda1914 */
BgL_ev_absz00_bglt BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t BgL_envz00_3229)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
BgL_ev_absz00_bglt BgL_new1188z00_3705;
BgL_new1188z00_3705 = 
((BgL_ev_absz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
long BgL_arg1915z00_3706;
{ /* Eval/evaluate_types.scm 122 */
long BgL_res2279z00_3707;
BgL_res2279z00_3707 = 
BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00); 
BgL_arg1915z00_3706 = BgL_res2279z00_3707; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1188z00_3705), BgL_arg1915z00_3706); } 
return BgL_new1188z00_3705;} } 
}



/* &lambda1912 */
BgL_ev_absz00_bglt BGl_z62lambda1912z62zz__evaluate_typesz00(obj_t BgL_envz00_3230, obj_t BgL_loc1178z00_3231, obj_t BgL_where1179z00_3232, obj_t BgL_arity1180z00_3233, obj_t BgL_vars1181z00_3234, obj_t BgL_body1182z00_3235, obj_t BgL_siza7e1183za7_3236, obj_t BgL_bind1184z00_3237, obj_t BgL_free1185z00_3238, obj_t BgL_inner1186z00_3239, obj_t BgL_boxes1187z00_3240)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
int BgL_siza7e1183za7_3709;
BgL_siza7e1183za7_3709 = 
CINT(BgL_siza7e1183za7_3236); 
{ /* Eval/evaluate_types.scm 122 */
BgL_ev_absz00_bglt BgL_new1241z00_3710;
{ /* Eval/evaluate_types.scm 122 */
BgL_ev_absz00_bglt BgL_new1240z00_3711;
BgL_new1240z00_3711 = 
((BgL_ev_absz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
long BgL_arg1913z00_3712;
{ /* Eval/evaluate_types.scm 122 */
long BgL_res2278z00_3713;
BgL_res2278z00_3713 = 
BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00); 
BgL_arg1913z00_3712 = BgL_res2278z00_3713; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1240z00_3711), BgL_arg1913z00_3712); } 
BgL_new1241z00_3710 = BgL_new1240z00_3711; } 
((((BgL_ev_absz00_bglt)CREF(BgL_new1241z00_3710))->BgL_locz00)=((obj_t)BgL_loc1178z00_3231),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1241z00_3710))->BgL_wherez00)=((obj_t)BgL_where1179z00_3232),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1241z00_3710))->BgL_arityz00)=((obj_t)BgL_arity1180z00_3233),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1241z00_3710))->BgL_varsz00)=((obj_t)BgL_vars1181z00_3234),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1241z00_3710))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1182z00_3235)),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1241z00_3710))->BgL_siza7eza7)=((int)BgL_siza7e1183za7_3709),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1241z00_3710))->BgL_bindz00)=((obj_t)BgL_bind1184z00_3237),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1241z00_3710))->BgL_freez00)=((obj_t)BgL_free1185z00_3238),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1241z00_3710))->BgL_innerz00)=((obj_t)BgL_inner1186z00_3239),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1241z00_3710))->BgL_boxesz00)=((obj_t)BgL_boxes1187z00_3240),BUNSPEC); 
return BgL_new1241z00_3710;} } } 
}



/* &<anonymous:1976> */
obj_t BGl_z62zc3anonymousza31976ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3241)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 
}



/* &lambda1975 */
obj_t BGl_z62lambda1975z62zz__evaluate_typesz00(obj_t BgL_envz00_3242, obj_t BgL_oz00_3243, obj_t BgL_vz00_3244)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_oz00_3243)))->BgL_boxesz00)=((obj_t)BgL_vz00_3244),BUNSPEC);} 
}



/* &lambda1974 */
obj_t BGl_z62lambda1974z62zz__evaluate_typesz00(obj_t BgL_envz00_3245, obj_t BgL_oz00_3246)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_oz00_3246)))->BgL_boxesz00);} 
}



/* &<anonymous:1969> */
obj_t BGl_z62zc3anonymousza31969ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3247)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 
}



/* &lambda1968 */
obj_t BGl_z62lambda1968z62zz__evaluate_typesz00(obj_t BgL_envz00_3248, obj_t BgL_oz00_3249, obj_t BgL_vz00_3250)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_oz00_3249)))->BgL_innerz00)=((obj_t)BgL_vz00_3250),BUNSPEC);} 
}



/* &lambda1967 */
obj_t BGl_z62lambda1967z62zz__evaluate_typesz00(obj_t BgL_envz00_3251, obj_t BgL_oz00_3252)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_oz00_3252)))->BgL_innerz00);} 
}



/* &<anonymous:1962> */
obj_t BGl_z62zc3anonymousza31962ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3253)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 
}



/* &lambda1961 */
obj_t BGl_z62lambda1961z62zz__evaluate_typesz00(obj_t BgL_envz00_3254, obj_t BgL_oz00_3255, obj_t BgL_vz00_3256)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_oz00_3255)))->BgL_freez00)=((obj_t)BgL_vz00_3256),BUNSPEC);} 
}



/* &lambda1960 */
obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t BgL_envz00_3257, obj_t BgL_oz00_3258)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_oz00_3258)))->BgL_freez00);} 
}



/* &<anonymous:1955> */
obj_t BGl_z62zc3anonymousza31955ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3259)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 
}



/* &lambda1954 */
obj_t BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t BgL_envz00_3260, obj_t BgL_oz00_3261, obj_t BgL_vz00_3262)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_oz00_3261)))->BgL_bindz00)=((obj_t)BgL_vz00_3262),BUNSPEC);} 
}



/* &lambda1953 */
obj_t BGl_z62lambda1953z62zz__evaluate_typesz00(obj_t BgL_envz00_3263, obj_t BgL_oz00_3264)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_oz00_3264)))->BgL_bindz00);} 
}



/* &<anonymous:1948> */
obj_t BGl_z62zc3anonymousza31948ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3265)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(((long)0));} 
}



/* &lambda1947 */
obj_t BGl_z62lambda1947z62zz__evaluate_typesz00(obj_t BgL_envz00_3266, obj_t BgL_oz00_3267, obj_t BgL_vz00_3268)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
int BgL_vz00_3723;
BgL_vz00_3723 = 
CINT(BgL_vz00_3268); 
return 
((((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_oz00_3267)))->BgL_siza7eza7)=((int)BgL_vz00_3723),BUNSPEC);} } 
}



/* &lambda1946 */
obj_t BGl_z62lambda1946z62zz__evaluate_typesz00(obj_t BgL_envz00_3269, obj_t BgL_oz00_3270)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_oz00_3270)))->BgL_siza7eza7));} 
}



/* &lambda1941 */
obj_t BGl_z62lambda1941z62zz__evaluate_typesz00(obj_t BgL_envz00_3271, obj_t BgL_oz00_3272, obj_t BgL_vz00_3273)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_oz00_3272)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3273)),BUNSPEC);} 
}



/* &lambda1940 */
BgL_ev_exprz00_bglt BGl_z62lambda1940z62zz__evaluate_typesz00(obj_t BgL_envz00_3274, obj_t BgL_oz00_3275)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_oz00_3275)))->BgL_bodyz00);} 
}



/* &lambda1936 */
obj_t BGl_z62lambda1936z62zz__evaluate_typesz00(obj_t BgL_envz00_3276, obj_t BgL_oz00_3277, obj_t BgL_vz00_3278)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_oz00_3277)))->BgL_varsz00)=((obj_t)BgL_vz00_3278),BUNSPEC);} 
}



/* &lambda1935 */
obj_t BGl_z62lambda1935z62zz__evaluate_typesz00(obj_t BgL_envz00_3279, obj_t BgL_oz00_3280)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_oz00_3280)))->BgL_varsz00);} 
}



/* &lambda1931 */
obj_t BGl_z62lambda1931z62zz__evaluate_typesz00(obj_t BgL_envz00_3281, obj_t BgL_oz00_3282, obj_t BgL_vz00_3283)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_oz00_3282)))->BgL_arityz00)=((obj_t)BgL_vz00_3283),BUNSPEC);} 
}



/* &lambda1930 */
obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t BgL_envz00_3284, obj_t BgL_oz00_3285)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_oz00_3285)))->BgL_arityz00);} 
}



/* &lambda1926 */
obj_t BGl_z62lambda1926z62zz__evaluate_typesz00(obj_t BgL_envz00_3286, obj_t BgL_oz00_3287, obj_t BgL_vz00_3288)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_oz00_3287)))->BgL_wherez00)=((obj_t)BgL_vz00_3288),BUNSPEC);} 
}



/* &lambda1925 */
obj_t BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t BgL_envz00_3289, obj_t BgL_oz00_3290)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_oz00_3290)))->BgL_wherez00);} 
}



/* &lambda1921 */
obj_t BGl_z62lambda1921z62zz__evaluate_typesz00(obj_t BgL_envz00_3291, obj_t BgL_oz00_3292, obj_t BgL_vz00_3293)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_oz00_3292)))->BgL_locz00)=((obj_t)BgL_vz00_3293),BUNSPEC);} 
}



/* &lambda1920 */
obj_t BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t BgL_envz00_3294, obj_t BgL_oz00_3295)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_oz00_3295)))->BgL_locz00);} 
}



/* &<anonymous:1886> */
obj_t BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3296, obj_t BgL_new1176z00_3297)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 119 */
{ 
BgL_ev_appz00_bglt BgL_new1176z00_2014;
{ 
BgL_ev_appz00_bglt BgL_auxz00_4604;
BgL_new1176z00_2014 = 
((BgL_ev_appz00_bglt)BgL_new1176z00_3297); 
((((BgL_ev_appz00_bglt)CREF(BgL_new1176z00_2014))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4606;
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_classz00_2840;
BgL_classz00_2840 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL__ortest_1274z00_2841;
BgL__ortest_1274z00_2841 = 
BGL_CLASS_NIL(BgL_classz00_2840); 
if(
CBOOL(BgL__ortest_1274z00_2841))
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4606 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2841)
; }  else 
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4606 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2840))
; } } } 
((((BgL_ev_appz00_bglt)CREF(BgL_new1176z00_2014))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4606),BUNSPEC); } 
((((BgL_ev_appz00_bglt)CREF(BgL_new1176z00_2014))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_appz00_bglt)CREF(BgL_new1176z00_2014))->BgL_tailzf3zf3)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4604 = BgL_new1176z00_2014; 
return 
((obj_t)BgL_auxz00_4604);} } } 
}



/* &lambda1884 */
BgL_ev_appz00_bglt BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t BgL_envz00_3298)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
BgL_ev_appz00_bglt BgL_new1175z00_3739;
BgL_new1175z00_3739 = 
((BgL_ev_appz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
long BgL_arg1885z00_3740;
{ /* Eval/evaluate_types.scm 119 */
long BgL_res2277z00_3741;
BgL_res2277z00_3741 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg1885z00_3740 = BgL_res2277z00_3741; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1175z00_3739), BgL_arg1885z00_3740); } 
return BgL_new1175z00_3739;} } 
}



/* &lambda1882 */
BgL_ev_appz00_bglt BGl_z62lambda1882z62zz__evaluate_typesz00(obj_t BgL_envz00_3299, obj_t BgL_loc1171z00_3300, obj_t BgL_fun1172z00_3301, obj_t BgL_args1173z00_3302, obj_t BgL_tailzf31174zf3_3303)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
BgL_ev_appz00_bglt BgL_new1239z00_3743;
{ /* Eval/evaluate_types.scm 119 */
BgL_ev_appz00_bglt BgL_new1238z00_3744;
BgL_new1238z00_3744 = 
((BgL_ev_appz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
long BgL_arg1883z00_3745;
{ /* Eval/evaluate_types.scm 119 */
long BgL_res2276z00_3746;
BgL_res2276z00_3746 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg1883z00_3745 = BgL_res2276z00_3746; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1238z00_3744), BgL_arg1883z00_3745); } 
BgL_new1239z00_3743 = BgL_new1238z00_3744; } 
((((BgL_ev_appz00_bglt)CREF(BgL_new1239z00_3743))->BgL_locz00)=((obj_t)BgL_loc1171z00_3300),BUNSPEC); 
((((BgL_ev_appz00_bglt)CREF(BgL_new1239z00_3743))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_fun1172z00_3301)),BUNSPEC); 
((((BgL_ev_appz00_bglt)CREF(BgL_new1239z00_3743))->BgL_argsz00)=((obj_t)BgL_args1173z00_3302),BUNSPEC); 
((((BgL_ev_appz00_bglt)CREF(BgL_new1239z00_3743))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf31174zf3_3303),BUNSPEC); 
return BgL_new1239z00_3743;} } 
}



/* &lambda1906 */
obj_t BGl_z62lambda1906z62zz__evaluate_typesz00(obj_t BgL_envz00_3304, obj_t BgL_oz00_3305, obj_t BgL_vz00_3306)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)CREF(
((BgL_ev_appz00_bglt)BgL_oz00_3305)))->BgL_tailzf3zf3)=((obj_t)BgL_vz00_3306),BUNSPEC);} 
}



/* &lambda1905 */
obj_t BGl_z62lambda1905z62zz__evaluate_typesz00(obj_t BgL_envz00_3307, obj_t BgL_oz00_3308)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)CREF(
((BgL_ev_appz00_bglt)BgL_oz00_3308)))->BgL_tailzf3zf3);} 
}



/* &lambda1901 */
obj_t BGl_z62lambda1901z62zz__evaluate_typesz00(obj_t BgL_envz00_3309, obj_t BgL_oz00_3310, obj_t BgL_vz00_3311)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)CREF(
((BgL_ev_appz00_bglt)BgL_oz00_3310)))->BgL_argsz00)=((obj_t)BgL_vz00_3311),BUNSPEC);} 
}



/* &lambda1900 */
obj_t BGl_z62lambda1900z62zz__evaluate_typesz00(obj_t BgL_envz00_3312, obj_t BgL_oz00_3313)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)CREF(
((BgL_ev_appz00_bglt)BgL_oz00_3313)))->BgL_argsz00);} 
}



/* &lambda1896 */
obj_t BGl_z62lambda1896z62zz__evaluate_typesz00(obj_t BgL_envz00_3314, obj_t BgL_oz00_3315, obj_t BgL_vz00_3316)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)CREF(
((BgL_ev_appz00_bglt)BgL_oz00_3315)))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3316)),BUNSPEC);} 
}



/* &lambda1895 */
BgL_ev_exprz00_bglt BGl_z62lambda1895z62zz__evaluate_typesz00(obj_t BgL_envz00_3317, obj_t BgL_oz00_3318)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)CREF(
((BgL_ev_appz00_bglt)BgL_oz00_3318)))->BgL_funz00);} 
}



/* &lambda1891 */
obj_t BGl_z62lambda1891z62zz__evaluate_typesz00(obj_t BgL_envz00_3319, obj_t BgL_oz00_3320, obj_t BgL_vz00_3321)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)CREF(
((BgL_ev_appz00_bglt)BgL_oz00_3320)))->BgL_locz00)=((obj_t)BgL_vz00_3321),BUNSPEC);} 
}



/* &lambda1890 */
obj_t BGl_z62lambda1890z62zz__evaluate_typesz00(obj_t BgL_envz00_3322, obj_t BgL_oz00_3323)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)CREF(
((BgL_ev_appz00_bglt)BgL_oz00_3323)))->BgL_locz00);} 
}



/* &<anonymous:1856> */
obj_t BGl_z62zc3anonymousza31856ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3324, obj_t BgL_new1169z00_3325)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 114 */
{ 
BgL_ev_gotoz00_bglt BgL_new1169z00_1951;
{ 
BgL_ev_gotoz00_bglt BgL_auxz00_4648;
BgL_new1169z00_1951 = 
((BgL_ev_gotoz00_bglt)BgL_new1169z00_3325); 
((((BgL_ev_gotoz00_bglt)CREF(BgL_new1169z00_1951))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_varz00_bglt BgL_auxz00_4650;
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_classz00_2824;
BgL_classz00_2824 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL__ortest_1274z00_2825;
BgL__ortest_1274z00_2825 = 
BGL_CLASS_NIL(BgL_classz00_2824); 
if(
CBOOL(BgL__ortest_1274z00_2825))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4650 = 
((BgL_ev_varz00_bglt)BgL__ortest_1274z00_2825)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4650 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2824))
; } } } 
((((BgL_ev_gotoz00_bglt)CREF(BgL_new1169z00_1951))->BgL_labelz00)=((BgL_ev_varz00_bglt)BgL_auxz00_4650),BUNSPEC); } 
{ 
BgL_ev_labelsz00_bglt BgL_auxz00_4658;
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_classz00_2826;
BgL_classz00_2826 = BGl_ev_labelsz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL__ortest_1274z00_2827;
BgL__ortest_1274z00_2827 = 
BGL_CLASS_NIL(BgL_classz00_2826); 
if(
CBOOL(BgL__ortest_1274z00_2827))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4658 = 
((BgL_ev_labelsz00_bglt)BgL__ortest_1274z00_2827)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4658 = 
((BgL_ev_labelsz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2826))
; } } } 
((((BgL_ev_gotoz00_bglt)CREF(BgL_new1169z00_1951))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)BgL_auxz00_4658),BUNSPEC); } 
((((BgL_ev_gotoz00_bglt)CREF(BgL_new1169z00_1951))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4648 = BgL_new1169z00_1951; 
return 
((obj_t)BgL_auxz00_4648);} } } 
}



/* &lambda1854 */
BgL_ev_gotoz00_bglt BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t BgL_envz00_3326)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
BgL_ev_gotoz00_bglt BgL_new1168z00_3761;
BgL_new1168z00_3761 = 
((BgL_ev_gotoz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
long BgL_arg1855z00_3762;
{ /* Eval/evaluate_types.scm 114 */
long BgL_res2275z00_3763;
BgL_res2275z00_3763 = 
BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00); 
BgL_arg1855z00_3762 = BgL_res2275z00_3763; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1168z00_3761), BgL_arg1855z00_3762); } 
return BgL_new1168z00_3761;} } 
}



/* &lambda1852 */
BgL_ev_gotoz00_bglt BGl_z62lambda1852z62zz__evaluate_typesz00(obj_t BgL_envz00_3327, obj_t BgL_loc1164z00_3328, obj_t BgL_label1165z00_3329, obj_t BgL_labels1166z00_3330, obj_t BgL_args1167z00_3331)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
BgL_ev_gotoz00_bglt BgL_new1237z00_3766;
{ /* Eval/evaluate_types.scm 114 */
BgL_ev_gotoz00_bglt BgL_new1236z00_3767;
BgL_new1236z00_3767 = 
((BgL_ev_gotoz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
long BgL_arg1853z00_3768;
{ /* Eval/evaluate_types.scm 114 */
long BgL_res2274z00_3769;
BgL_res2274z00_3769 = 
BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00); 
BgL_arg1853z00_3768 = BgL_res2274z00_3769; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1236z00_3767), BgL_arg1853z00_3768); } 
BgL_new1237z00_3766 = BgL_new1236z00_3767; } 
((((BgL_ev_gotoz00_bglt)CREF(BgL_new1237z00_3766))->BgL_locz00)=((obj_t)BgL_loc1164z00_3328),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)CREF(BgL_new1237z00_3766))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_label1165z00_3329)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)CREF(BgL_new1237z00_3766))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_labels1166z00_3330)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)CREF(BgL_new1237z00_3766))->BgL_argsz00)=((obj_t)BgL_args1167z00_3331),BUNSPEC); 
return BgL_new1237z00_3766;} } 
}



/* &lambda1876 */
obj_t BGl_z62lambda1876z62zz__evaluate_typesz00(obj_t BgL_envz00_3332, obj_t BgL_oz00_3333, obj_t BgL_vz00_3334)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)CREF(
((BgL_ev_gotoz00_bglt)BgL_oz00_3333)))->BgL_argsz00)=((obj_t)BgL_vz00_3334),BUNSPEC);} 
}



/* &lambda1875 */
obj_t BGl_z62lambda1875z62zz__evaluate_typesz00(obj_t BgL_envz00_3335, obj_t BgL_oz00_3336)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)CREF(
((BgL_ev_gotoz00_bglt)BgL_oz00_3336)))->BgL_argsz00);} 
}



/* &lambda1871 */
obj_t BGl_z62lambda1871z62zz__evaluate_typesz00(obj_t BgL_envz00_3337, obj_t BgL_oz00_3338, obj_t BgL_vz00_3339)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)CREF(
((BgL_ev_gotoz00_bglt)BgL_oz00_3338)))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_vz00_3339)),BUNSPEC);} 
}



/* &lambda1870 */
BgL_ev_labelsz00_bglt BGl_z62lambda1870z62zz__evaluate_typesz00(obj_t BgL_envz00_3340, obj_t BgL_oz00_3341)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)CREF(
((BgL_ev_gotoz00_bglt)BgL_oz00_3341)))->BgL_labelsz00);} 
}



/* &lambda1866 */
obj_t BGl_z62lambda1866z62zz__evaluate_typesz00(obj_t BgL_envz00_3342, obj_t BgL_oz00_3343, obj_t BgL_vz00_3344)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)CREF(
((BgL_ev_gotoz00_bglt)BgL_oz00_3343)))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3344)),BUNSPEC);} 
}



/* &lambda1865 */
BgL_ev_varz00_bglt BGl_z62lambda1865z62zz__evaluate_typesz00(obj_t BgL_envz00_3345, obj_t BgL_oz00_3346)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)CREF(
((BgL_ev_gotoz00_bglt)BgL_oz00_3346)))->BgL_labelz00);} 
}



/* &lambda1861 */
obj_t BGl_z62lambda1861z62zz__evaluate_typesz00(obj_t BgL_envz00_3347, obj_t BgL_oz00_3348, obj_t BgL_vz00_3349)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)CREF(
((BgL_ev_gotoz00_bglt)BgL_oz00_3348)))->BgL_locz00)=((obj_t)BgL_vz00_3349),BUNSPEC);} 
}



/* &lambda1860 */
obj_t BGl_z62lambda1860z62zz__evaluate_typesz00(obj_t BgL_envz00_3350, obj_t BgL_oz00_3351)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)CREF(
((BgL_ev_gotoz00_bglt)BgL_oz00_3351)))->BgL_locz00);} 
}



/* &<anonymous:1810> */
obj_t BGl_z62zc3anonymousza31810ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3352, obj_t BgL_new1162z00_3353)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 106 */
{ 
BgL_ev_labelsz00_bglt BgL_new1162z00_1859;
{ 
BgL_ev_labelsz00_bglt BgL_auxz00_4701;
BgL_new1162z00_1859 = 
((BgL_ev_labelsz00_bglt)BgL_new1162z00_3353); 
((((BgL_ev_labelsz00_bglt)CREF(BgL_new1162z00_1859))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)CREF(BgL_new1162z00_1859))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)CREF(BgL_new1162z00_1859))->BgL_envz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)CREF(BgL_new1162z00_1859))->BgL_stkz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4706;
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_classz00_2810;
BgL_classz00_2810 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL__ortest_1274z00_2811;
BgL__ortest_1274z00_2811 = 
BGL_CLASS_NIL(BgL_classz00_2810); 
if(
CBOOL(BgL__ortest_1274z00_2811))
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4706 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2811)
; }  else 
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4706 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2810))
; } } } 
((((BgL_ev_labelsz00_bglt)CREF(BgL_new1162z00_1859))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4706),BUNSPEC); } 
((((BgL_ev_labelsz00_bglt)CREF(BgL_new1162z00_1859))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4701 = BgL_new1162z00_1859; 
return 
((obj_t)BgL_auxz00_4701);} } } 
}



/* &lambda1808 */
BgL_ev_labelsz00_bglt BGl_z62lambda1808z62zz__evaluate_typesz00(obj_t BgL_envz00_3354)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
BgL_ev_labelsz00_bglt BgL_new1161z00_3783;
BgL_new1161z00_3783 = 
((BgL_ev_labelsz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
long BgL_arg1809z00_3784;
{ /* Eval/evaluate_types.scm 106 */
long BgL_res2273z00_3785;
BgL_res2273z00_3785 = 
BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00); 
BgL_arg1809z00_3784 = BgL_res2273z00_3785; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1161z00_3783), BgL_arg1809z00_3784); } 
return BgL_new1161z00_3783;} } 
}



/* &lambda1806 */
BgL_ev_labelsz00_bglt BGl_z62lambda1806z62zz__evaluate_typesz00(obj_t BgL_envz00_3355, obj_t BgL_vars1155z00_3356, obj_t BgL_vals1156z00_3357, obj_t BgL_env1157z00_3358, obj_t BgL_stk1158z00_3359, obj_t BgL_body1159z00_3360, obj_t BgL_boxes1160z00_3361)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
BgL_ev_labelsz00_bglt BgL_new1235z00_3787;
{ /* Eval/evaluate_types.scm 106 */
BgL_ev_labelsz00_bglt BgL_new1234z00_3788;
BgL_new1234z00_3788 = 
((BgL_ev_labelsz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
long BgL_arg1807z00_3789;
{ /* Eval/evaluate_types.scm 106 */
long BgL_res2272z00_3790;
BgL_res2272z00_3790 = 
BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00); 
BgL_arg1807z00_3789 = BgL_res2272z00_3790; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1234z00_3788), BgL_arg1807z00_3789); } 
BgL_new1235z00_3787 = BgL_new1234z00_3788; } 
((((BgL_ev_labelsz00_bglt)CREF(BgL_new1235z00_3787))->BgL_varsz00)=((obj_t)BgL_vars1155z00_3356),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)CREF(BgL_new1235z00_3787))->BgL_valsz00)=((obj_t)BgL_vals1156z00_3357),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)CREF(BgL_new1235z00_3787))->BgL_envz00)=((obj_t)BgL_env1157z00_3358),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)CREF(BgL_new1235z00_3787))->BgL_stkz00)=((obj_t)BgL_stk1158z00_3359),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)CREF(BgL_new1235z00_3787))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1159z00_3360)),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)CREF(BgL_new1235z00_3787))->BgL_boxesz00)=((obj_t)BgL_boxes1160z00_3361),BUNSPEC); 
return BgL_new1235z00_3787;} } 
}



/* &<anonymous:1846> */
obj_t BGl_z62zc3anonymousza31846ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3362)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 
}



/* &lambda1845 */
obj_t BGl_z62lambda1845z62zz__evaluate_typesz00(obj_t BgL_envz00_3363, obj_t BgL_oz00_3364, obj_t BgL_vz00_3365)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)CREF(
((BgL_ev_labelsz00_bglt)BgL_oz00_3364)))->BgL_boxesz00)=((obj_t)BgL_vz00_3365),BUNSPEC);} 
}



/* &lambda1844 */
obj_t BGl_z62lambda1844z62zz__evaluate_typesz00(obj_t BgL_envz00_3366, obj_t BgL_oz00_3367)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)CREF(
((BgL_ev_labelsz00_bglt)BgL_oz00_3367)))->BgL_boxesz00);} 
}



/* &lambda1839 */
obj_t BGl_z62lambda1839z62zz__evaluate_typesz00(obj_t BgL_envz00_3368, obj_t BgL_oz00_3369, obj_t BgL_vz00_3370)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)CREF(
((BgL_ev_labelsz00_bglt)BgL_oz00_3369)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3370)),BUNSPEC);} 
}



/* &lambda1838 */
BgL_ev_exprz00_bglt BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t BgL_envz00_3371, obj_t BgL_oz00_3372)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)CREF(
((BgL_ev_labelsz00_bglt)BgL_oz00_3372)))->BgL_bodyz00);} 
}



/* &<anonymous:1834> */
obj_t BGl_z62zc3anonymousza31834ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3373)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 
}



/* &lambda1833 */
obj_t BGl_z62lambda1833z62zz__evaluate_typesz00(obj_t BgL_envz00_3374, obj_t BgL_oz00_3375, obj_t BgL_vz00_3376)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)CREF(
((BgL_ev_labelsz00_bglt)BgL_oz00_3375)))->BgL_stkz00)=((obj_t)BgL_vz00_3376),BUNSPEC);} 
}



/* &lambda1832 */
obj_t BGl_z62lambda1832z62zz__evaluate_typesz00(obj_t BgL_envz00_3377, obj_t BgL_oz00_3378)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)CREF(
((BgL_ev_labelsz00_bglt)BgL_oz00_3378)))->BgL_stkz00);} 
}



/* &<anonymous:1827> */
obj_t BGl_z62zc3anonymousza31827ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3379)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 
}



/* &lambda1826 */
obj_t BGl_z62lambda1826z62zz__evaluate_typesz00(obj_t BgL_envz00_3380, obj_t BgL_oz00_3381, obj_t BgL_vz00_3382)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)CREF(
((BgL_ev_labelsz00_bglt)BgL_oz00_3381)))->BgL_envz00)=((obj_t)BgL_vz00_3382),BUNSPEC);} 
}



/* &lambda1825 */
obj_t BGl_z62lambda1825z62zz__evaluate_typesz00(obj_t BgL_envz00_3383, obj_t BgL_oz00_3384)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)CREF(
((BgL_ev_labelsz00_bglt)BgL_oz00_3384)))->BgL_envz00);} 
}



/* &lambda1820 */
obj_t BGl_z62lambda1820z62zz__evaluate_typesz00(obj_t BgL_envz00_3385, obj_t BgL_oz00_3386, obj_t BgL_vz00_3387)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)CREF(
((BgL_ev_labelsz00_bglt)BgL_oz00_3386)))->BgL_valsz00)=((obj_t)BgL_vz00_3387),BUNSPEC);} 
}



/* &lambda1819 */
obj_t BGl_z62lambda1819z62zz__evaluate_typesz00(obj_t BgL_envz00_3388, obj_t BgL_oz00_3389)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)CREF(
((BgL_ev_labelsz00_bglt)BgL_oz00_3389)))->BgL_valsz00);} 
}



/* &lambda1815 */
obj_t BGl_z62lambda1815z62zz__evaluate_typesz00(obj_t BgL_envz00_3390, obj_t BgL_oz00_3391, obj_t BgL_vz00_3392)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)CREF(
((BgL_ev_labelsz00_bglt)BgL_oz00_3391)))->BgL_varsz00)=((obj_t)BgL_vz00_3392),BUNSPEC);} 
}



/* &lambda1814 */
obj_t BGl_z62lambda1814z62zz__evaluate_typesz00(obj_t BgL_envz00_3393, obj_t BgL_oz00_3394)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)CREF(
((BgL_ev_labelsz00_bglt)BgL_oz00_3394)))->BgL_varsz00);} 
}



/* &<anonymous:1800> */
obj_t BGl_z62zc3anonymousza31800ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3395, obj_t BgL_new1153z00_3396)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 105 */
{ 
BgL_ev_letrecz00_bglt BgL_new1153z00_1834;
{ 
BgL_ev_letrecz00_bglt BgL_auxz00_4757;
BgL_new1153z00_1834 = 
((BgL_ev_letrecz00_bglt)BgL_new1153z00_3396); 
((((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_new1153z00_1834)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_new1153z00_1834)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4762;
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_classz00_2794;
BgL_classz00_2794 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL__ortest_1274z00_2795;
BgL__ortest_1274z00_2795 = 
BGL_CLASS_NIL(BgL_classz00_2794); 
if(
CBOOL(BgL__ortest_1274z00_2795))
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4762 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2795)
; }  else 
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4762 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2794))
; } } } 
((((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_new1153z00_1834)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4762),BUNSPEC); } 
BgL_auxz00_4757 = BgL_new1153z00_1834; 
return 
((obj_t)BgL_auxz00_4757);} } } 
}



/* &lambda1798 */
BgL_ev_letrecz00_bglt BGl_z62lambda1798z62zz__evaluate_typesz00(obj_t BgL_envz00_3397)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
BgL_ev_letrecz00_bglt BgL_new1152z00_3807;
BgL_new1152z00_3807 = 
((BgL_ev_letrecz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
long BgL_arg1799z00_3808;
{ /* Eval/evaluate_types.scm 105 */
long BgL_res2271z00_3809;
BgL_res2271z00_3809 = 
BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00); 
BgL_arg1799z00_3808 = BgL_res2271z00_3809; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1152z00_3807), BgL_arg1799z00_3808); } 
return BgL_new1152z00_3807;} } 
}



/* &lambda1796 */
BgL_ev_letrecz00_bglt BGl_z62lambda1796z62zz__evaluate_typesz00(obj_t BgL_envz00_3398, obj_t BgL_vars1149z00_3399, obj_t BgL_vals1150z00_3400, obj_t BgL_body1151z00_3401)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
BgL_ev_letrecz00_bglt BgL_new1233z00_3811;
{ /* Eval/evaluate_types.scm 105 */
BgL_ev_letrecz00_bglt BgL_new1232z00_3812;
BgL_new1232z00_3812 = 
((BgL_ev_letrecz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
long BgL_arg1797z00_3813;
{ /* Eval/evaluate_types.scm 105 */
long BgL_res2270z00_3814;
BgL_res2270z00_3814 = 
BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00); 
BgL_arg1797z00_3813 = BgL_res2270z00_3814; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1232z00_3812), BgL_arg1797z00_3813); } 
BgL_new1233z00_3811 = BgL_new1232z00_3812; } 
((((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_new1233z00_3811)))->BgL_varsz00)=((obj_t)BgL_vars1149z00_3399),BUNSPEC); 
((((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_new1233z00_3811)))->BgL_valsz00)=((obj_t)BgL_vals1150z00_3400),BUNSPEC); 
((((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_new1233z00_3811)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1151z00_3401)),BUNSPEC); 
return BgL_new1233z00_3811;} } 
}



/* &<anonymous:1783> */
obj_t BGl_z62zc3anonymousza31783ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3402, obj_t BgL_new1147z00_3403)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 103 */
{ 
BgL_ev_letza2za2_bglt BgL_new1147z00_1799;
{ 
BgL_ev_letza2za2_bglt BgL_auxz00_4788;
BgL_new1147z00_1799 = 
((BgL_ev_letza2za2_bglt)BgL_new1147z00_3403); 
((((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_new1147z00_1799)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_new1147z00_1799)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4793;
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_classz00_2784;
BgL_classz00_2784 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL__ortest_1274z00_2785;
BgL__ortest_1274z00_2785 = 
BGL_CLASS_NIL(BgL_classz00_2784); 
if(
CBOOL(BgL__ortest_1274z00_2785))
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4793 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2785)
; }  else 
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4793 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2784))
; } } } 
((((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_new1147z00_1799)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4793),BUNSPEC); } 
((((BgL_ev_letza2za2_bglt)CREF(BgL_new1147z00_1799))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4788 = BgL_new1147z00_1799; 
return 
((obj_t)BgL_auxz00_4788);} } } 
}



/* &lambda1781 */
BgL_ev_letza2za2_bglt BGl_z62lambda1781z62zz__evaluate_typesz00(obj_t BgL_envz00_3404)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
BgL_ev_letza2za2_bglt BgL_new1146z00_3818;
BgL_new1146z00_3818 = 
((BgL_ev_letza2za2_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
long BgL_arg1782z00_3819;
{ /* Eval/evaluate_types.scm 103 */
long BgL_res2269z00_3820;
BgL_res2269z00_3820 = 
BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00); 
BgL_arg1782z00_3819 = BgL_res2269z00_3820; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1146z00_3818), BgL_arg1782z00_3819); } 
return BgL_new1146z00_3818;} } 
}



/* &lambda1779 */
BgL_ev_letza2za2_bglt BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t BgL_envz00_3405, obj_t BgL_vars1142z00_3406, obj_t BgL_vals1143z00_3407, obj_t BgL_body1144z00_3408, obj_t BgL_boxes1145z00_3409)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
BgL_ev_letza2za2_bglt BgL_new1231z00_3822;
{ /* Eval/evaluate_types.scm 103 */
BgL_ev_letza2za2_bglt BgL_new1230z00_3823;
BgL_new1230z00_3823 = 
((BgL_ev_letza2za2_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
long BgL_arg1780z00_3824;
{ /* Eval/evaluate_types.scm 103 */
long BgL_res2268z00_3825;
BgL_res2268z00_3825 = 
BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00); 
BgL_arg1780z00_3824 = BgL_res2268z00_3825; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1230z00_3823), BgL_arg1780z00_3824); } 
BgL_new1231z00_3822 = BgL_new1230z00_3823; } 
((((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_new1231z00_3822)))->BgL_varsz00)=((obj_t)BgL_vars1142z00_3406),BUNSPEC); 
((((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_new1231z00_3822)))->BgL_valsz00)=((obj_t)BgL_vals1143z00_3407),BUNSPEC); 
((((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_new1231z00_3822)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1144z00_3408)),BUNSPEC); 
((((BgL_ev_letza2za2_bglt)CREF(BgL_new1231z00_3822))->BgL_boxesz00)=((obj_t)BgL_boxes1145z00_3409),BUNSPEC); 
return BgL_new1231z00_3822;} } 
}



/* &<anonymous:1790> */
obj_t BGl_z62zc3anonymousza31790ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3410)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 103 */
return BNIL;} 
}



/* &lambda1789 */
obj_t BGl_z62lambda1789z62zz__evaluate_typesz00(obj_t BgL_envz00_3411, obj_t BgL_oz00_3412, obj_t BgL_vz00_3413)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 103 */
return 
((((BgL_ev_letza2za2_bglt)CREF(
((BgL_ev_letza2za2_bglt)BgL_oz00_3412)))->BgL_boxesz00)=((obj_t)BgL_vz00_3413),BUNSPEC);} 
}



/* &lambda1788 */
obj_t BGl_z62lambda1788z62zz__evaluate_typesz00(obj_t BgL_envz00_3414, obj_t BgL_oz00_3415)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 103 */
return 
(((BgL_ev_letza2za2_bglt)CREF(
((BgL_ev_letza2za2_bglt)BgL_oz00_3415)))->BgL_boxesz00);} 
}



/* &<anonymous:1766> */
obj_t BGl_z62zc3anonymousza31766ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3416, obj_t BgL_new1140z00_3417)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 101 */
{ 
BgL_ev_letz00_bglt BgL_new1140z00_1763;
{ 
BgL_ev_letz00_bglt BgL_auxz00_4825;
BgL_new1140z00_1763 = 
((BgL_ev_letz00_bglt)BgL_new1140z00_3417); 
((((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_new1140z00_1763)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_new1140z00_1763)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4830;
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_classz00_2773;
BgL_classz00_2773 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL__ortest_1274z00_2774;
BgL__ortest_1274z00_2774 = 
BGL_CLASS_NIL(BgL_classz00_2773); 
if(
CBOOL(BgL__ortest_1274z00_2774))
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4830 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2774)
; }  else 
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4830 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2773))
; } } } 
((((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_new1140z00_1763)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4830),BUNSPEC); } 
((((BgL_ev_letz00_bglt)CREF(BgL_new1140z00_1763))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4825 = BgL_new1140z00_1763; 
return 
((obj_t)BgL_auxz00_4825);} } } 
}



/* &lambda1764 */
BgL_ev_letz00_bglt BGl_z62lambda1764z62zz__evaluate_typesz00(obj_t BgL_envz00_3418)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
BgL_ev_letz00_bglt BgL_new1139z00_3831;
BgL_new1139z00_3831 = 
((BgL_ev_letz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
long BgL_arg1765z00_3832;
{ /* Eval/evaluate_types.scm 101 */
long BgL_res2267z00_3833;
BgL_res2267z00_3833 = 
BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00); 
BgL_arg1765z00_3832 = BgL_res2267z00_3833; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1139z00_3831), BgL_arg1765z00_3832); } 
return BgL_new1139z00_3831;} } 
}



/* &lambda1762 */
BgL_ev_letz00_bglt BGl_z62lambda1762z62zz__evaluate_typesz00(obj_t BgL_envz00_3419, obj_t BgL_vars1135z00_3420, obj_t BgL_vals1136z00_3421, obj_t BgL_body1137z00_3422, obj_t BgL_boxes1138z00_3423)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
BgL_ev_letz00_bglt BgL_new1229z00_3835;
{ /* Eval/evaluate_types.scm 101 */
BgL_ev_letz00_bglt BgL_new1228z00_3836;
BgL_new1228z00_3836 = 
((BgL_ev_letz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
long BgL_arg1763z00_3837;
{ /* Eval/evaluate_types.scm 101 */
long BgL_res2266z00_3838;
BgL_res2266z00_3838 = 
BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00); 
BgL_arg1763z00_3837 = BgL_res2266z00_3838; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1228z00_3836), BgL_arg1763z00_3837); } 
BgL_new1229z00_3835 = BgL_new1228z00_3836; } 
((((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_new1229z00_3835)))->BgL_varsz00)=((obj_t)BgL_vars1135z00_3420),BUNSPEC); 
((((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_new1229z00_3835)))->BgL_valsz00)=((obj_t)BgL_vals1136z00_3421),BUNSPEC); 
((((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_new1229z00_3835)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1137z00_3422)),BUNSPEC); 
((((BgL_ev_letz00_bglt)CREF(BgL_new1229z00_3835))->BgL_boxesz00)=((obj_t)BgL_boxes1138z00_3423),BUNSPEC); 
return BgL_new1229z00_3835;} } 
}



/* &<anonymous:1773> */
obj_t BGl_z62zc3anonymousza31773ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3424)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 101 */
return BNIL;} 
}



/* &lambda1772 */
obj_t BGl_z62lambda1772z62zz__evaluate_typesz00(obj_t BgL_envz00_3425, obj_t BgL_oz00_3426, obj_t BgL_vz00_3427)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 101 */
return 
((((BgL_ev_letz00_bglt)CREF(
((BgL_ev_letz00_bglt)BgL_oz00_3426)))->BgL_boxesz00)=((obj_t)BgL_vz00_3427),BUNSPEC);} 
}



/* &lambda1771 */
obj_t BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t BgL_envz00_3428, obj_t BgL_oz00_3429)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 101 */
return 
(((BgL_ev_letz00_bglt)CREF(
((BgL_ev_letz00_bglt)BgL_oz00_3429)))->BgL_boxesz00);} 
}



/* &<anonymous:1741> */
obj_t BGl_z62zc3anonymousza31741ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3430, obj_t BgL_new1133z00_3431)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 97 */
{ 
BgL_ev_binderz00_bglt BgL_new1133z00_1710;
{ 
BgL_ev_binderz00_bglt BgL_auxz00_4862;
BgL_new1133z00_1710 = 
((BgL_ev_binderz00_bglt)BgL_new1133z00_3431); 
((((BgL_ev_binderz00_bglt)CREF(BgL_new1133z00_1710))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)CREF(BgL_new1133z00_1710))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4865;
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_classz00_2762;
BgL_classz00_2762 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL__ortest_1274z00_2763;
BgL__ortest_1274z00_2763 = 
BGL_CLASS_NIL(BgL_classz00_2762); 
if(
CBOOL(BgL__ortest_1274z00_2763))
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4865 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2763)
; }  else 
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4865 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2762))
; } } } 
((((BgL_ev_binderz00_bglt)CREF(BgL_new1133z00_1710))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4865),BUNSPEC); } 
BgL_auxz00_4862 = BgL_new1133z00_1710; 
return 
((obj_t)BgL_auxz00_4862);} } } 
}



/* &lambda1739 */
BgL_ev_binderz00_bglt BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t BgL_envz00_3432)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
BgL_ev_binderz00_bglt BgL_new1132z00_3844;
BgL_new1132z00_3844 = 
((BgL_ev_binderz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
long BgL_arg1740z00_3845;
{ /* Eval/evaluate_types.scm 97 */
long BgL_res2265z00_3846;
BgL_res2265z00_3846 = 
BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00); 
BgL_arg1740z00_3845 = BgL_res2265z00_3846; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1132z00_3844), BgL_arg1740z00_3845); } 
return BgL_new1132z00_3844;} } 
}



/* &lambda1737 */
BgL_ev_binderz00_bglt BGl_z62lambda1737z62zz__evaluate_typesz00(obj_t BgL_envz00_3433, obj_t BgL_vars1129z00_3434, obj_t BgL_vals1130z00_3435, obj_t BgL_body1131z00_3436)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
BgL_ev_binderz00_bglt BgL_new1227z00_3848;
{ /* Eval/evaluate_types.scm 97 */
BgL_ev_binderz00_bglt BgL_new1226z00_3849;
BgL_new1226z00_3849 = 
((BgL_ev_binderz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
long BgL_arg1738z00_3850;
{ /* Eval/evaluate_types.scm 97 */
long BgL_res2264z00_3851;
BgL_res2264z00_3851 = 
BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00); 
BgL_arg1738z00_3850 = BgL_res2264z00_3851; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1226z00_3849), BgL_arg1738z00_3850); } 
BgL_new1227z00_3848 = BgL_new1226z00_3849; } 
((((BgL_ev_binderz00_bglt)CREF(BgL_new1227z00_3848))->BgL_varsz00)=((obj_t)BgL_vars1129z00_3434),BUNSPEC); 
((((BgL_ev_binderz00_bglt)CREF(BgL_new1227z00_3848))->BgL_valsz00)=((obj_t)BgL_vals1130z00_3435),BUNSPEC); 
((((BgL_ev_binderz00_bglt)CREF(BgL_new1227z00_3848))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1131z00_3436)),BUNSPEC); 
return BgL_new1227z00_3848;} } 
}



/* &lambda1756 */
obj_t BGl_z62lambda1756z62zz__evaluate_typesz00(obj_t BgL_envz00_3437, obj_t BgL_oz00_3438, obj_t BgL_vz00_3439)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_oz00_3438)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3439)),BUNSPEC);} 
}



/* &lambda1755 */
BgL_ev_exprz00_bglt BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t BgL_envz00_3440, obj_t BgL_oz00_3441)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_oz00_3441)))->BgL_bodyz00);} 
}



/* &lambda1751 */
obj_t BGl_z62lambda1751z62zz__evaluate_typesz00(obj_t BgL_envz00_3442, obj_t BgL_oz00_3443, obj_t BgL_vz00_3444)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_oz00_3443)))->BgL_valsz00)=((obj_t)BgL_vz00_3444),BUNSPEC);} 
}



/* &lambda1750 */
obj_t BGl_z62lambda1750z62zz__evaluate_typesz00(obj_t BgL_envz00_3445, obj_t BgL_oz00_3446)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_oz00_3446)))->BgL_valsz00);} 
}



/* &lambda1746 */
obj_t BGl_z62lambda1746z62zz__evaluate_typesz00(obj_t BgL_envz00_3447, obj_t BgL_oz00_3448, obj_t BgL_vz00_3449)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_oz00_3448)))->BgL_varsz00)=((obj_t)BgL_vz00_3449),BUNSPEC);} 
}



/* &lambda1745 */
obj_t BGl_z62lambda1745z62zz__evaluate_typesz00(obj_t BgL_envz00_3450, obj_t BgL_oz00_3451)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)BgL_oz00_3451)))->BgL_varsz00);} 
}



/* &<anonymous:1710> */
obj_t BGl_z62zc3anonymousza31710ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3452, obj_t BgL_new1127z00_3453)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 92 */
{ 
BgL_ev_synchroniza7eza7_bglt BgL_new1127z00_1648;
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_4900;
BgL_new1127z00_1648 = 
((BgL_ev_synchroniza7eza7_bglt)BgL_new1127z00_3453); 
((((BgL_ev_synchroniza7eza7_bglt)CREF(BgL_new1127z00_1648))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4902;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_classz00_2745;
BgL_classz00_2745 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL__ortest_1274z00_2746;
BgL__ortest_1274z00_2746 = 
BGL_CLASS_NIL(BgL_classz00_2745); 
if(
CBOOL(BgL__ortest_1274z00_2746))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4902 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2746)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4902 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2745))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)CREF(BgL_new1127z00_1648))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4902),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4910;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_classz00_2747;
BgL_classz00_2747 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL__ortest_1274z00_2748;
BgL__ortest_1274z00_2748 = 
BGL_CLASS_NIL(BgL_classz00_2747); 
if(
CBOOL(BgL__ortest_1274z00_2748))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4910 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2748)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4910 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2747))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)CREF(BgL_new1127z00_1648))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4910),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4918;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_classz00_2749;
BgL_classz00_2749 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL__ortest_1274z00_2750;
BgL__ortest_1274z00_2750 = 
BGL_CLASS_NIL(BgL_classz00_2749); 
if(
CBOOL(BgL__ortest_1274z00_2750))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4918 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2750)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4918 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2749))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)CREF(BgL_new1127z00_1648))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4918),BUNSPEC); } 
BgL_auxz00_4900 = BgL_new1127z00_1648; 
return 
((obj_t)BgL_auxz00_4900);} } } 
}



/* &lambda1708 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1708z62zz__evaluate_typesz00(obj_t BgL_envz00_3454)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
BgL_ev_synchroniza7eza7_bglt BgL_new1126z00_3866;
BgL_new1126z00_3866 = 
((BgL_ev_synchroniza7eza7_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
long BgL_arg1709z00_3867;
{ /* Eval/evaluate_types.scm 92 */
long BgL_res2263z00_3868;
BgL_res2263z00_3868 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BgL_arg1709z00_3867 = BgL_res2263z00_3868; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1126z00_3866), BgL_arg1709z00_3867); } 
return BgL_new1126z00_3866;} } 
}



/* &lambda1706 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1706z62zz__evaluate_typesz00(obj_t BgL_envz00_3455, obj_t BgL_loc1122z00_3456, obj_t BgL_mutex1123z00_3457, obj_t BgL_prelock1124z00_3458, obj_t BgL_body1125z00_3459)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
BgL_ev_synchroniza7eza7_bglt BgL_new1225z00_3872;
{ /* Eval/evaluate_types.scm 92 */
BgL_ev_synchroniza7eza7_bglt BgL_new1224z00_3873;
BgL_new1224z00_3873 = 
((BgL_ev_synchroniza7eza7_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
long BgL_arg1707z00_3874;
{ /* Eval/evaluate_types.scm 92 */
long BgL_res2262z00_3875;
BgL_res2262z00_3875 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BgL_arg1707z00_3874 = BgL_res2262z00_3875; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1224z00_3873), BgL_arg1707z00_3874); } 
BgL_new1225z00_3872 = BgL_new1224z00_3873; } 
((((BgL_ev_synchroniza7eza7_bglt)CREF(BgL_new1225z00_3872))->BgL_locz00)=((obj_t)BgL_loc1122z00_3456),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)CREF(BgL_new1225z00_3872))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_mutex1123z00_3457)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)CREF(BgL_new1225z00_3872))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_prelock1124z00_3458)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)CREF(BgL_new1225z00_3872))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1125z00_3459)),BUNSPEC); 
return BgL_new1225z00_3872;} } 
}



/* &lambda1731 */
obj_t BGl_z62lambda1731z62zz__evaluate_typesz00(obj_t BgL_envz00_3460, obj_t BgL_oz00_3461, obj_t BgL_vz00_3462)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)CREF(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3461)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3462)),BUNSPEC);} 
}



/* &lambda1730 */
BgL_ev_exprz00_bglt BGl_z62lambda1730z62zz__evaluate_typesz00(obj_t BgL_envz00_3463, obj_t BgL_oz00_3464)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)CREF(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3464)))->BgL_bodyz00);} 
}



/* &lambda1725 */
obj_t BGl_z62lambda1725z62zz__evaluate_typesz00(obj_t BgL_envz00_3465, obj_t BgL_oz00_3466, obj_t BgL_vz00_3467)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)CREF(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3466)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3467)),BUNSPEC);} 
}



/* &lambda1724 */
BgL_ev_exprz00_bglt BGl_z62lambda1724z62zz__evaluate_typesz00(obj_t BgL_envz00_3468, obj_t BgL_oz00_3469)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)CREF(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3469)))->BgL_prelockz00);} 
}



/* &lambda1720 */
obj_t BGl_z62lambda1720z62zz__evaluate_typesz00(obj_t BgL_envz00_3470, obj_t BgL_oz00_3471, obj_t BgL_vz00_3472)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)CREF(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3471)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3472)),BUNSPEC);} 
}



/* &lambda1719 */
BgL_ev_exprz00_bglt BGl_z62lambda1719z62zz__evaluate_typesz00(obj_t BgL_envz00_3473, obj_t BgL_oz00_3474)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)CREF(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3474)))->BgL_mutexz00);} 
}



/* &lambda1715 */
obj_t BGl_z62lambda1715z62zz__evaluate_typesz00(obj_t BgL_envz00_3475, obj_t BgL_oz00_3476, obj_t BgL_vz00_3477)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)CREF(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3476)))->BgL_locz00)=((obj_t)BgL_vz00_3477),BUNSPEC);} 
}



/* &lambda1714 */
obj_t BGl_z62lambda1714z62zz__evaluate_typesz00(obj_t BgL_envz00_3478, obj_t BgL_oz00_3479)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)CREF(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3479)))->BgL_locz00);} 
}



/* &<anonymous:1690> */
obj_t BGl_z62zc3anonymousza31690ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3480, obj_t BgL_new1120z00_3481)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 89 */
{ 
BgL_ev_withzd2handlerzd2_bglt BgL_new1120z00_1605;
{ 
BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_4962;
BgL_new1120z00_1605 = 
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1120z00_3481); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4963;
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_classz00_2729;
BgL_classz00_2729 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL__ortest_1274z00_2730;
BgL__ortest_1274z00_2730 = 
BGL_CLASS_NIL(BgL_classz00_2729); 
if(
CBOOL(BgL__ortest_1274z00_2730))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4963 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2730)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4963 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2729))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)CREF(BgL_new1120z00_1605))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4963),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4971;
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_classz00_2731;
BgL_classz00_2731 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL__ortest_1274z00_2732;
BgL__ortest_1274z00_2732 = 
BGL_CLASS_NIL(BgL_classz00_2731); 
if(
CBOOL(BgL__ortest_1274z00_2732))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4971 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2732)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4971 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2731))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)CREF(BgL_new1120z00_1605))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4971),BUNSPEC); } 
BgL_auxz00_4962 = BgL_new1120z00_1605; 
return 
((obj_t)BgL_auxz00_4962);} } } 
}



/* &lambda1688 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t BgL_envz00_3482)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1119z00_3892;
BgL_new1119z00_3892 = 
((BgL_ev_withzd2handlerzd2_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
long BgL_arg1689z00_3893;
{ /* Eval/evaluate_types.scm 89 */
long BgL_res2261z00_3894;
BgL_res2261z00_3894 = 
BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BgL_arg1689z00_3893 = BgL_res2261z00_3894; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_3892), BgL_arg1689z00_3893); } 
return BgL_new1119z00_3892;} } 
}



/* &lambda1686 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t BgL_envz00_3483, obj_t BgL_handler1117z00_3484, obj_t BgL_body1118z00_3485)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1223z00_3897;
{ /* Eval/evaluate_types.scm 89 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1222z00_3898;
BgL_new1222z00_3898 = 
((BgL_ev_withzd2handlerzd2_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
long BgL_arg1687z00_3899;
{ /* Eval/evaluate_types.scm 89 */
long BgL_res2260z00_3900;
BgL_res2260z00_3900 = 
BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BgL_arg1687z00_3899 = BgL_res2260z00_3900; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1222z00_3898), BgL_arg1687z00_3899); } 
BgL_new1223z00_3897 = BgL_new1222z00_3898; } 
((((BgL_ev_withzd2handlerzd2_bglt)CREF(BgL_new1223z00_3897))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_handler1117z00_3484)),BUNSPEC); 
((((BgL_ev_withzd2handlerzd2_bglt)CREF(BgL_new1223z00_3897))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1118z00_3485)),BUNSPEC); 
return BgL_new1223z00_3897;} } 
}



/* &lambda1700 */
obj_t BGl_z62lambda1700z62zz__evaluate_typesz00(obj_t BgL_envz00_3486, obj_t BgL_oz00_3487, obj_t BgL_vz00_3488)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)CREF(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3487)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3488)),BUNSPEC);} 
}



/* &lambda1699 */
BgL_ev_exprz00_bglt BGl_z62lambda1699z62zz__evaluate_typesz00(obj_t BgL_envz00_3489, obj_t BgL_oz00_3490)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)CREF(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3490)))->BgL_bodyz00);} 
}



/* &lambda1695 */
obj_t BGl_z62lambda1695z62zz__evaluate_typesz00(obj_t BgL_envz00_3491, obj_t BgL_oz00_3492, obj_t BgL_vz00_3493)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)CREF(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3492)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3493)),BUNSPEC);} 
}



/* &lambda1694 */
BgL_ev_exprz00_bglt BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t BgL_envz00_3494, obj_t BgL_oz00_3495)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)CREF(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3495)))->BgL_handlerz00);} 
}



/* &<anonymous:1667> */
obj_t BGl_z62zc3anonymousza31667ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3496, obj_t BgL_new1115z00_3497)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 86 */
{ 
BgL_ev_unwindzd2protectzd2_bglt BgL_new1115z00_1564;
{ 
BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5003;
BgL_new1115z00_1564 = 
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1115z00_3497); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5004;
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_classz00_2715;
BgL_classz00_2715 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL__ortest_1274z00_2716;
BgL__ortest_1274z00_2716 = 
BGL_CLASS_NIL(BgL_classz00_2715); 
if(
CBOOL(BgL__ortest_1274z00_2716))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5004 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2716)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5004 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2715))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)CREF(BgL_new1115z00_1564))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5004),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5012;
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_classz00_2717;
BgL_classz00_2717 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL__ortest_1274z00_2718;
BgL__ortest_1274z00_2718 = 
BGL_CLASS_NIL(BgL_classz00_2717); 
if(
CBOOL(BgL__ortest_1274z00_2718))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5012 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2718)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5012 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2717))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)CREF(BgL_new1115z00_1564))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5012),BUNSPEC); } 
BgL_auxz00_5003 = BgL_new1115z00_1564; 
return 
((obj_t)BgL_auxz00_5003);} } } 
}



/* &lambda1665 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1665z62zz__evaluate_typesz00(obj_t BgL_envz00_3498)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1114z00_3912;
BgL_new1114z00_3912 = 
((BgL_ev_unwindzd2protectzd2_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
long BgL_arg1666z00_3913;
{ /* Eval/evaluate_types.scm 86 */
long BgL_res2259z00_3914;
BgL_res2259z00_3914 = 
BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BgL_arg1666z00_3913 = BgL_res2259z00_3914; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1114z00_3912), BgL_arg1666z00_3913); } 
return BgL_new1114z00_3912;} } 
}



/* &lambda1661 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1661z62zz__evaluate_typesz00(obj_t BgL_envz00_3499, obj_t BgL_e1112z00_3500, obj_t BgL_body1113z00_3501)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1221z00_3917;
{ /* Eval/evaluate_types.scm 86 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1220z00_3918;
BgL_new1220z00_3918 = 
((BgL_ev_unwindzd2protectzd2_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
long BgL_arg1664z00_3919;
{ /* Eval/evaluate_types.scm 86 */
long BgL_res2258z00_3920;
BgL_res2258z00_3920 = 
BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BgL_arg1664z00_3919 = BgL_res2258z00_3920; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1220z00_3918), BgL_arg1664z00_3919); } 
BgL_new1221z00_3917 = BgL_new1220z00_3918; } 
((((BgL_ev_unwindzd2protectzd2_bglt)CREF(BgL_new1221z00_3917))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1112z00_3500)),BUNSPEC); 
((((BgL_ev_unwindzd2protectzd2_bglt)CREF(BgL_new1221z00_3917))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1113z00_3501)),BUNSPEC); 
return BgL_new1221z00_3917;} } 
}



/* &lambda1678 */
obj_t BGl_z62lambda1678z62zz__evaluate_typesz00(obj_t BgL_envz00_3502, obj_t BgL_oz00_3503, obj_t BgL_vz00_3504)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)CREF(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3503)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3504)),BUNSPEC);} 
}



/* &lambda1677 */
BgL_ev_exprz00_bglt BGl_z62lambda1677z62zz__evaluate_typesz00(obj_t BgL_envz00_3505, obj_t BgL_oz00_3506)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)CREF(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3506)))->BgL_bodyz00);} 
}



/* &lambda1673 */
obj_t BGl_z62lambda1673z62zz__evaluate_typesz00(obj_t BgL_envz00_3507, obj_t BgL_oz00_3508, obj_t BgL_vz00_3509)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)CREF(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3508)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3509)),BUNSPEC);} 
}



/* &lambda1672 */
BgL_ev_exprz00_bglt BGl_z62lambda1672z62zz__evaluate_typesz00(obj_t BgL_envz00_3510, obj_t BgL_oz00_3511)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)CREF(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3511)))->BgL_ez00);} 
}



/* &<anonymous:1645> */
obj_t BGl_z62zc3anonymousza31645ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3512, obj_t BgL_new1110z00_3513)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 83 */
{ 
BgL_ev_bindzd2exitzd2_bglt BgL_new1110z00_1523;
{ 
BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5044;
BgL_new1110z00_1523 = 
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1110z00_3513); 
{ 
BgL_ev_varz00_bglt BgL_auxz00_5045;
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_classz00_2701;
BgL_classz00_2701 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL__ortest_1274z00_2702;
BgL__ortest_1274z00_2702 = 
BGL_CLASS_NIL(BgL_classz00_2701); 
if(
CBOOL(BgL__ortest_1274z00_2702))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5045 = 
((BgL_ev_varz00_bglt)BgL__ortest_1274z00_2702)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5045 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2701))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)CREF(BgL_new1110z00_1523))->BgL_varz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5045),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5053;
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_classz00_2703;
BgL_classz00_2703 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL__ortest_1274z00_2704;
BgL__ortest_1274z00_2704 = 
BGL_CLASS_NIL(BgL_classz00_2703); 
if(
CBOOL(BgL__ortest_1274z00_2704))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5053 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2704)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5053 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2703))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)CREF(BgL_new1110z00_1523))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5053),BUNSPEC); } 
BgL_auxz00_5044 = BgL_new1110z00_1523; 
return 
((obj_t)BgL_auxz00_5044);} } } 
}



/* &lambda1642 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1642z62zz__evaluate_typesz00(obj_t BgL_envz00_3514)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1109z00_3932;
BgL_new1109z00_3932 = 
((BgL_ev_bindzd2exitzd2_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
long BgL_arg1644z00_3933;
{ /* Eval/evaluate_types.scm 83 */
long BgL_res2257z00_3934;
BgL_res2257z00_3934 = 
BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BgL_arg1644z00_3933 = BgL_res2257z00_3934; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1109z00_3932), BgL_arg1644z00_3933); } 
return BgL_new1109z00_3932;} } 
}



/* &lambda1640 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1640z62zz__evaluate_typesz00(obj_t BgL_envz00_3515, obj_t BgL_var1107z00_3516, obj_t BgL_body1108z00_3517)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1219z00_3937;
{ /* Eval/evaluate_types.scm 83 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1218z00_3938;
BgL_new1218z00_3938 = 
((BgL_ev_bindzd2exitzd2_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
long BgL_arg1641z00_3939;
{ /* Eval/evaluate_types.scm 83 */
long BgL_res2256z00_3940;
BgL_res2256z00_3940 = 
BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BgL_arg1641z00_3939 = BgL_res2256z00_3940; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1218z00_3938), BgL_arg1641z00_3939); } 
BgL_new1219z00_3937 = BgL_new1218z00_3938; } 
((((BgL_ev_bindzd2exitzd2_bglt)CREF(BgL_new1219z00_3937))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_var1107z00_3516)),BUNSPEC); 
((((BgL_ev_bindzd2exitzd2_bglt)CREF(BgL_new1219z00_3937))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1108z00_3517)),BUNSPEC); 
return BgL_new1219z00_3937;} } 
}



/* &lambda1655 */
obj_t BGl_z62lambda1655z62zz__evaluate_typesz00(obj_t BgL_envz00_3518, obj_t BgL_oz00_3519, obj_t BgL_vz00_3520)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)CREF(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3519)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3520)),BUNSPEC);} 
}



/* &lambda1654 */
BgL_ev_exprz00_bglt BGl_z62lambda1654z62zz__evaluate_typesz00(obj_t BgL_envz00_3521, obj_t BgL_oz00_3522)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)CREF(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3522)))->BgL_bodyz00);} 
}



/* &lambda1650 */
obj_t BGl_z62lambda1650z62zz__evaluate_typesz00(obj_t BgL_envz00_3523, obj_t BgL_oz00_3524, obj_t BgL_vz00_3525)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)CREF(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3524)))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3525)),BUNSPEC);} 
}



/* &lambda1649 */
BgL_ev_varz00_bglt BGl_z62lambda1649z62zz__evaluate_typesz00(obj_t BgL_envz00_3526, obj_t BgL_oz00_3527)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)CREF(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3527)))->BgL_varz00);} 
}



/* &<anonymous:1633> */
obj_t BGl_z62zc3anonymousza31633ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3528, obj_t BgL_new1105z00_3529)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 82 */
{ 
BgL_ev_defglobalz00_bglt BgL_new1105z00_1502;
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5085;
BgL_new1105z00_1502 = 
((BgL_ev_defglobalz00_bglt)BgL_new1105z00_3529); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5086;
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_classz00_2689;
BgL_classz00_2689 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL__ortest_1274z00_2690;
BgL__ortest_1274z00_2690 = 
BGL_CLASS_NIL(BgL_classz00_2689); 
if(
CBOOL(BgL__ortest_1274z00_2690))
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5086 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2690)
; }  else 
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5086 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2689))
; } } } 
((((BgL_ev_hookz00_bglt)CREF(
((BgL_ev_hookz00_bglt)BgL_new1105z00_1502)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5086),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)CREF(
((BgL_ev_setglobalz00_bglt)BgL_new1105z00_1502)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)CREF(
((BgL_ev_setglobalz00_bglt)BgL_new1105z00_1502)))->BgL_namez00)=((obj_t)BGl_symbol2645z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)CREF(
((BgL_ev_setglobalz00_bglt)BgL_new1105z00_1502)))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5085 = BgL_new1105z00_1502; 
return 
((obj_t)BgL_auxz00_5085);} } } 
}



/* &lambda1630 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1630z62zz__evaluate_typesz00(obj_t BgL_envz00_3530)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
BgL_ev_defglobalz00_bglt BgL_new1104z00_3950;
BgL_new1104z00_3950 = 
((BgL_ev_defglobalz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
long BgL_arg1632z00_3951;
{ /* Eval/evaluate_types.scm 82 */
long BgL_res2255z00_3952;
BgL_res2255z00_3952 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BgL_arg1632z00_3951 = BgL_res2255z00_3952; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1104z00_3950), BgL_arg1632z00_3951); } 
return BgL_new1104z00_3950;} } 
}



/* &lambda1628 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1628z62zz__evaluate_typesz00(obj_t BgL_envz00_3531, obj_t BgL_e1100z00_3532, obj_t BgL_loc1101z00_3533, obj_t BgL_name1102z00_3534, obj_t BgL_mod1103z00_3535)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
BgL_ev_defglobalz00_bglt BgL_new1217z00_3955;
{ /* Eval/evaluate_types.scm 82 */
BgL_ev_defglobalz00_bglt BgL_new1216z00_3956;
BgL_new1216z00_3956 = 
((BgL_ev_defglobalz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
long BgL_arg1629z00_3957;
{ /* Eval/evaluate_types.scm 82 */
long BgL_res2254z00_3958;
BgL_res2254z00_3958 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BgL_arg1629z00_3957 = BgL_res2254z00_3958; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1216z00_3956), BgL_arg1629z00_3957); } 
BgL_new1217z00_3955 = BgL_new1216z00_3956; } 
((((BgL_ev_hookz00_bglt)CREF(
((BgL_ev_hookz00_bglt)BgL_new1217z00_3955)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1100z00_3532)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)CREF(
((BgL_ev_setglobalz00_bglt)BgL_new1217z00_3955)))->BgL_locz00)=((obj_t)BgL_loc1101z00_3533),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)CREF(
((BgL_ev_setglobalz00_bglt)BgL_new1217z00_3955)))->BgL_namez00)=((obj_t)BgL_name1102z00_3534),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)CREF(
((BgL_ev_setglobalz00_bglt)BgL_new1217z00_3955)))->BgL_modz00)=((obj_t)BgL_mod1103z00_3535),BUNSPEC); 
return BgL_new1217z00_3955;} } 
}



/* &<anonymous:1600> */
obj_t BGl_z62zc3anonymousza31600ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3536, obj_t BgL_new1098z00_3537)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 78 */
{ 
BgL_ev_setglobalz00_bglt BgL_new1098z00_1449;
{ 
BgL_ev_setglobalz00_bglt BgL_auxz00_5120;
BgL_new1098z00_1449 = 
((BgL_ev_setglobalz00_bglt)BgL_new1098z00_3537); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5121;
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_classz00_2679;
BgL_classz00_2679 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL__ortest_1274z00_2680;
BgL__ortest_1274z00_2680 = 
BGL_CLASS_NIL(BgL_classz00_2679); 
if(
CBOOL(BgL__ortest_1274z00_2680))
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5121 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2680)
; }  else 
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5121 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2679))
; } } } 
((((BgL_ev_hookz00_bglt)CREF(
((BgL_ev_hookz00_bglt)BgL_new1098z00_1449)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5121),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)CREF(BgL_new1098z00_1449))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)CREF(BgL_new1098z00_1449))->BgL_namez00)=((obj_t)BGl_symbol2645z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)CREF(BgL_new1098z00_1449))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5120 = BgL_new1098z00_1449; 
return 
((obj_t)BgL_auxz00_5120);} } } 
}



/* &lambda1598 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1598z62zz__evaluate_typesz00(obj_t BgL_envz00_3538)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
BgL_ev_setglobalz00_bglt BgL_new1097z00_3962;
BgL_new1097z00_3962 = 
((BgL_ev_setglobalz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
long BgL_arg1599z00_3963;
{ /* Eval/evaluate_types.scm 78 */
long BgL_res2253z00_3964;
BgL_res2253z00_3964 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BgL_arg1599z00_3963 = BgL_res2253z00_3964; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1097z00_3962), BgL_arg1599z00_3963); } 
return BgL_new1097z00_3962;} } 
}



/* &lambda1596 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1596z62zz__evaluate_typesz00(obj_t BgL_envz00_3539, obj_t BgL_e1093z00_3540, obj_t BgL_loc1094z00_3541, obj_t BgL_name1095z00_3542, obj_t BgL_mod1096z00_3543)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
BgL_ev_setglobalz00_bglt BgL_new1215z00_3967;
{ /* Eval/evaluate_types.scm 78 */
BgL_ev_setglobalz00_bglt BgL_new1214z00_3968;
BgL_new1214z00_3968 = 
((BgL_ev_setglobalz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
long BgL_arg1597z00_3969;
{ /* Eval/evaluate_types.scm 78 */
long BgL_res2252z00_3970;
BgL_res2252z00_3970 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BgL_arg1597z00_3969 = BgL_res2252z00_3970; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1214z00_3968), BgL_arg1597z00_3969); } 
BgL_new1215z00_3967 = BgL_new1214z00_3968; } 
((((BgL_ev_hookz00_bglt)CREF(
((BgL_ev_hookz00_bglt)BgL_new1215z00_3967)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1093z00_3540)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)CREF(BgL_new1215z00_3967))->BgL_locz00)=((obj_t)BgL_loc1094z00_3541),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)CREF(BgL_new1215z00_3967))->BgL_namez00)=((obj_t)BgL_name1095z00_3542),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)CREF(BgL_new1215z00_3967))->BgL_modz00)=((obj_t)BgL_mod1096z00_3543),BUNSPEC); 
return BgL_new1215z00_3967;} } 
}



/* &lambda1619 */
obj_t BGl_z62lambda1619z62zz__evaluate_typesz00(obj_t BgL_envz00_3544, obj_t BgL_oz00_3545, obj_t BgL_vz00_3546)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)CREF(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3545)))->BgL_modz00)=((obj_t)BgL_vz00_3546),BUNSPEC);} 
}



/* &lambda1618 */
obj_t BGl_z62lambda1618z62zz__evaluate_typesz00(obj_t BgL_envz00_3547, obj_t BgL_oz00_3548)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)CREF(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3548)))->BgL_modz00);} 
}



/* &lambda1614 */
obj_t BGl_z62lambda1614z62zz__evaluate_typesz00(obj_t BgL_envz00_3549, obj_t BgL_oz00_3550, obj_t BgL_vz00_3551)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)CREF(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3550)))->BgL_namez00)=((obj_t)BgL_vz00_3551),BUNSPEC);} 
}



/* &lambda1613 */
obj_t BGl_z62lambda1613z62zz__evaluate_typesz00(obj_t BgL_envz00_3552, obj_t BgL_oz00_3553)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)CREF(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3553)))->BgL_namez00);} 
}



/* &lambda1605 */
obj_t BGl_z62lambda1605z62zz__evaluate_typesz00(obj_t BgL_envz00_3554, obj_t BgL_oz00_3555, obj_t BgL_vz00_3556)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)CREF(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3555)))->BgL_locz00)=((obj_t)BgL_vz00_3556),BUNSPEC);} 
}



/* &lambda1604 */
obj_t BGl_z62lambda1604z62zz__evaluate_typesz00(obj_t BgL_envz00_3557, obj_t BgL_oz00_3558)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)CREF(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3558)))->BgL_locz00);} 
}



/* &<anonymous:1583> */
obj_t BGl_z62zc3anonymousza31583ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3559, obj_t BgL_new1091z00_3560)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 76 */
{ 
BgL_ev_setlocalz00_bglt BgL_new1091z00_1416;
{ 
BgL_ev_setlocalz00_bglt BgL_auxz00_5161;
BgL_new1091z00_1416 = 
((BgL_ev_setlocalz00_bglt)BgL_new1091z00_3560); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5162;
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_classz00_2664;
BgL_classz00_2664 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL__ortest_1274z00_2665;
BgL__ortest_1274z00_2665 = 
BGL_CLASS_NIL(BgL_classz00_2664); 
if(
CBOOL(BgL__ortest_1274z00_2665))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5162 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2665)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5162 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2664))
; } } } 
((((BgL_ev_hookz00_bglt)CREF(
((BgL_ev_hookz00_bglt)BgL_new1091z00_1416)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5162),BUNSPEC); } 
{ 
BgL_ev_varz00_bglt BgL_auxz00_5171;
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_classz00_2666;
BgL_classz00_2666 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL__ortest_1274z00_2667;
BgL__ortest_1274z00_2667 = 
BGL_CLASS_NIL(BgL_classz00_2666); 
if(
CBOOL(BgL__ortest_1274z00_2667))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5171 = 
((BgL_ev_varz00_bglt)BgL__ortest_1274z00_2667)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5171 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2666))
; } } } 
((((BgL_ev_setlocalz00_bglt)CREF(BgL_new1091z00_1416))->BgL_vz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5171),BUNSPEC); } 
BgL_auxz00_5161 = BgL_new1091z00_1416; 
return 
((obj_t)BgL_auxz00_5161);} } } 
}



/* &lambda1581 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1581z62zz__evaluate_typesz00(obj_t BgL_envz00_3561)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
BgL_ev_setlocalz00_bglt BgL_new1090z00_3983;
BgL_new1090z00_3983 = 
((BgL_ev_setlocalz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
long BgL_arg1582z00_3984;
{ /* Eval/evaluate_types.scm 76 */
long BgL_res2251z00_3985;
BgL_res2251z00_3985 = 
BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BgL_arg1582z00_3984 = BgL_res2251z00_3985; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1090z00_3983), BgL_arg1582z00_3984); } 
return BgL_new1090z00_3983;} } 
}



/* &lambda1578 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1578z62zz__evaluate_typesz00(obj_t BgL_envz00_3562, obj_t BgL_e1088z00_3563, obj_t BgL_v1089z00_3564)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
BgL_ev_setlocalz00_bglt BgL_new1213z00_3988;
{ /* Eval/evaluate_types.scm 76 */
BgL_ev_setlocalz00_bglt BgL_new1212z00_3989;
BgL_new1212z00_3989 = 
((BgL_ev_setlocalz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
long BgL_arg1580z00_3990;
{ /* Eval/evaluate_types.scm 76 */
long BgL_res2250z00_3991;
BgL_res2250z00_3991 = 
BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BgL_arg1580z00_3990 = BgL_res2250z00_3991; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1212z00_3989), BgL_arg1580z00_3990); } 
BgL_new1213z00_3988 = BgL_new1212z00_3989; } 
((((BgL_ev_hookz00_bglt)CREF(
((BgL_ev_hookz00_bglt)BgL_new1213z00_3988)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1088z00_3563)),BUNSPEC); 
((((BgL_ev_setlocalz00_bglt)CREF(BgL_new1213z00_3988))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_v1089z00_3564)),BUNSPEC); 
return BgL_new1213z00_3988;} } 
}



/* &lambda1589 */
obj_t BGl_z62lambda1589z62zz__evaluate_typesz00(obj_t BgL_envz00_3565, obj_t BgL_oz00_3566, obj_t BgL_vz00_3567)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 76 */
return 
((((BgL_ev_setlocalz00_bglt)CREF(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3566)))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3567)),BUNSPEC);} 
}



/* &lambda1588 */
BgL_ev_varz00_bglt BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t BgL_envz00_3568, obj_t BgL_oz00_3569)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 76 */
return 
(((BgL_ev_setlocalz00_bglt)CREF(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3569)))->BgL_vz00);} 
}



/* &<anonymous:1569> */
obj_t BGl_z62zc3anonymousza31569ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3570, obj_t BgL_new1086z00_3571)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 75 */
{ 
BgL_ev_trapz00_bglt BgL_new1086z00_1395;
{ 
BgL_ev_trapz00_bglt BgL_auxz00_5199;
BgL_new1086z00_1395 = 
((BgL_ev_trapz00_bglt)BgL_new1086z00_3571); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5200;
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_classz00_2653;
BgL_classz00_2653 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL__ortest_1274z00_2654;
BgL__ortest_1274z00_2654 = 
BGL_CLASS_NIL(BgL_classz00_2653); 
if(
CBOOL(BgL__ortest_1274z00_2654))
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5200 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2654)
; }  else 
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5200 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2653))
; } } } 
((((BgL_ev_hookz00_bglt)CREF(
((BgL_ev_hookz00_bglt)BgL_new1086z00_1395)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5200),BUNSPEC); } 
BgL_auxz00_5199 = BgL_new1086z00_1395; 
return 
((obj_t)BgL_auxz00_5199);} } } 
}



/* &lambda1567 */
BgL_ev_trapz00_bglt BGl_z62lambda1567z62zz__evaluate_typesz00(obj_t BgL_envz00_3572)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
BgL_ev_trapz00_bglt BgL_new1085z00_3998;
BgL_new1085z00_3998 = 
((BgL_ev_trapz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
long BgL_arg1568z00_3999;
{ /* Eval/evaluate_types.scm 75 */
long BgL_res2249z00_4000;
BgL_res2249z00_4000 = 
BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00); 
BgL_arg1568z00_3999 = BgL_res2249z00_4000; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1085z00_3998), BgL_arg1568z00_3999); } 
return BgL_new1085z00_3998;} } 
}



/* &lambda1565 */
BgL_ev_trapz00_bglt BGl_z62lambda1565z62zz__evaluate_typesz00(obj_t BgL_envz00_3573, obj_t BgL_e1084z00_3574)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
BgL_ev_trapz00_bglt BgL_new1211z00_4002;
{ /* Eval/evaluate_types.scm 75 */
BgL_ev_trapz00_bglt BgL_new1210z00_4003;
BgL_new1210z00_4003 = 
((BgL_ev_trapz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
long BgL_arg1566z00_4004;
{ /* Eval/evaluate_types.scm 75 */
long BgL_res2248z00_4005;
BgL_res2248z00_4005 = 
BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00); 
BgL_arg1566z00_4004 = BgL_res2248z00_4005; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1210z00_4003), BgL_arg1566z00_4004); } 
BgL_new1211z00_4002 = BgL_new1210z00_4003; } 
((((BgL_ev_hookz00_bglt)CREF(
((BgL_ev_hookz00_bglt)BgL_new1211z00_4002)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1084z00_3574)),BUNSPEC); 
return BgL_new1211z00_4002;} } 
}



/* &<anonymous:1554> */
obj_t BGl_z62zc3anonymousza31554ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3575, obj_t BgL_new1082z00_3576)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 73 */
{ 
BgL_ev_hookz00_bglt BgL_new1082z00_1365;
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5222;
BgL_new1082z00_1365 = 
((BgL_ev_hookz00_bglt)BgL_new1082z00_3576); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5223;
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_classz00_2643;
BgL_classz00_2643 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL__ortest_1274z00_2644;
BgL__ortest_1274z00_2644 = 
BGL_CLASS_NIL(BgL_classz00_2643); 
if(
CBOOL(BgL__ortest_1274z00_2644))
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5223 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2644)
; }  else 
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5223 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2643))
; } } } 
((((BgL_ev_hookz00_bglt)CREF(BgL_new1082z00_1365))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5223),BUNSPEC); } 
BgL_auxz00_5222 = BgL_new1082z00_1365; 
return 
((obj_t)BgL_auxz00_5222);} } } 
}



/* &lambda1552 */
BgL_ev_hookz00_bglt BGl_z62lambda1552z62zz__evaluate_typesz00(obj_t BgL_envz00_3577)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
BgL_ev_hookz00_bglt BgL_new1081z00_4009;
BgL_new1081z00_4009 = 
((BgL_ev_hookz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
long BgL_arg1553z00_4010;
{ /* Eval/evaluate_types.scm 73 */
long BgL_res2247z00_4011;
BgL_res2247z00_4011 = 
BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00); 
BgL_arg1553z00_4010 = BgL_res2247z00_4011; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1081z00_4009), BgL_arg1553z00_4010); } 
return BgL_new1081z00_4009;} } 
}



/* &lambda1550 */
BgL_ev_hookz00_bglt BGl_z62lambda1550z62zz__evaluate_typesz00(obj_t BgL_envz00_3578, obj_t BgL_e1080z00_3579)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
BgL_ev_hookz00_bglt BgL_new1209z00_4013;
{ /* Eval/evaluate_types.scm 73 */
BgL_ev_hookz00_bglt BgL_new1208z00_4014;
BgL_new1208z00_4014 = 
((BgL_ev_hookz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
long BgL_arg1551z00_4015;
{ /* Eval/evaluate_types.scm 73 */
long BgL_res2246z00_4016;
BgL_res2246z00_4016 = 
BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00); 
BgL_arg1551z00_4015 = BgL_res2246z00_4016; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1208z00_4014), BgL_arg1551z00_4015); } 
BgL_new1209z00_4013 = BgL_new1208z00_4014; } 
((((BgL_ev_hookz00_bglt)CREF(BgL_new1209z00_4013))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1080z00_3579)),BUNSPEC); 
return BgL_new1209z00_4013;} } 
}



/* &lambda1559 */
obj_t BGl_z62lambda1559z62zz__evaluate_typesz00(obj_t BgL_envz00_3580, obj_t BgL_oz00_3581, obj_t BgL_vz00_3582)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 73 */
return 
((((BgL_ev_hookz00_bglt)CREF(
((BgL_ev_hookz00_bglt)BgL_oz00_3581)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3582)),BUNSPEC);} 
}



/* &lambda1558 */
BgL_ev_exprz00_bglt BGl_z62lambda1558z62zz__evaluate_typesz00(obj_t BgL_envz00_3583, obj_t BgL_oz00_3584)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 73 */
return 
(((BgL_ev_hookz00_bglt)CREF(
((BgL_ev_hookz00_bglt)BgL_oz00_3584)))->BgL_ez00);} 
}



/* &<anonymous:1531> */
obj_t BGl_z62zc3anonymousza31531ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3585, obj_t BgL_new1078z00_3586)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 70 */
{ 
BgL_ev_prog2z00_bglt BgL_new1078z00_1325;
{ 
BgL_ev_prog2z00_bglt BgL_auxz00_5248;
BgL_new1078z00_1325 = 
((BgL_ev_prog2z00_bglt)BgL_new1078z00_3586); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5249;
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_classz00_2630;
BgL_classz00_2630 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL__ortest_1274z00_2631;
BgL__ortest_1274z00_2631 = 
BGL_CLASS_NIL(BgL_classz00_2630); 
if(
CBOOL(BgL__ortest_1274z00_2631))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5249 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2631)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5249 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2630))
; } } } 
((((BgL_ev_prog2z00_bglt)CREF(BgL_new1078z00_1325))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5249),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5257;
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_classz00_2632;
BgL_classz00_2632 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL__ortest_1274z00_2633;
BgL__ortest_1274z00_2633 = 
BGL_CLASS_NIL(BgL_classz00_2632); 
if(
CBOOL(BgL__ortest_1274z00_2633))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5257 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2633)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5257 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2632))
; } } } 
((((BgL_ev_prog2z00_bglt)CREF(BgL_new1078z00_1325))->BgL_e2z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5257),BUNSPEC); } 
BgL_auxz00_5248 = BgL_new1078z00_1325; 
return 
((obj_t)BgL_auxz00_5248);} } } 
}



/* &lambda1529 */
BgL_ev_prog2z00_bglt BGl_z62lambda1529z62zz__evaluate_typesz00(obj_t BgL_envz00_3587)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
BgL_ev_prog2z00_bglt BgL_new1077z00_4025;
BgL_new1077z00_4025 = 
((BgL_ev_prog2z00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
long BgL_arg1530z00_4026;
{ /* Eval/evaluate_types.scm 70 */
long BgL_res2245z00_4027;
BgL_res2245z00_4027 = 
BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00); 
BgL_arg1530z00_4026 = BgL_res2245z00_4027; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1077z00_4025), BgL_arg1530z00_4026); } 
return BgL_new1077z00_4025;} } 
}



/* &lambda1525 */
BgL_ev_prog2z00_bglt BGl_z62lambda1525z62zz__evaluate_typesz00(obj_t BgL_envz00_3588, obj_t BgL_e11075z00_3589, obj_t BgL_e21076z00_3590)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
BgL_ev_prog2z00_bglt BgL_new1207z00_4030;
{ /* Eval/evaluate_types.scm 70 */
BgL_ev_prog2z00_bglt BgL_new1206z00_4031;
BgL_new1206z00_4031 = 
((BgL_ev_prog2z00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
long BgL_arg1528z00_4032;
{ /* Eval/evaluate_types.scm 70 */
long BgL_res2244z00_4033;
BgL_res2244z00_4033 = 
BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00); 
BgL_arg1528z00_4032 = BgL_res2244z00_4033; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1206z00_4031), BgL_arg1528z00_4032); } 
BgL_new1207z00_4030 = BgL_new1206z00_4031; } 
((((BgL_ev_prog2z00_bglt)CREF(BgL_new1207z00_4030))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e11075z00_3589)),BUNSPEC); 
((((BgL_ev_prog2z00_bglt)CREF(BgL_new1207z00_4030))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e21076z00_3590)),BUNSPEC); 
return BgL_new1207z00_4030;} } 
}



/* &lambda1544 */
obj_t BGl_z62lambda1544z62zz__evaluate_typesz00(obj_t BgL_envz00_3591, obj_t BgL_oz00_3592, obj_t BgL_vz00_3593)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)CREF(
((BgL_ev_prog2z00_bglt)BgL_oz00_3592)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3593)),BUNSPEC);} 
}



/* &lambda1543 */
BgL_ev_exprz00_bglt BGl_z62lambda1543z62zz__evaluate_typesz00(obj_t BgL_envz00_3594, obj_t BgL_oz00_3595)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)CREF(
((BgL_ev_prog2z00_bglt)BgL_oz00_3595)))->BgL_e2z00);} 
}



/* &lambda1536 */
obj_t BGl_z62lambda1536z62zz__evaluate_typesz00(obj_t BgL_envz00_3596, obj_t BgL_oz00_3597, obj_t BgL_vz00_3598)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)CREF(
((BgL_ev_prog2z00_bglt)BgL_oz00_3597)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3598)),BUNSPEC);} 
}



/* &lambda1535 */
BgL_ev_exprz00_bglt BGl_z62lambda1535z62zz__evaluate_typesz00(obj_t BgL_envz00_3599, obj_t BgL_oz00_3600)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)CREF(
((BgL_ev_prog2z00_bglt)BgL_oz00_3600)))->BgL_e1z00);} 
}



/* &<anonymous:1518> */
obj_t BGl_z62zc3anonymousza31518ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3601, obj_t BgL_new1073z00_3602)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 69 */
{ 
BgL_ev_andz00_bglt BgL_new1073z00_1304;
{ 
BgL_ev_andz00_bglt BgL_auxz00_5289;
BgL_new1073z00_1304 = 
((BgL_ev_andz00_bglt)BgL_new1073z00_3602); 
((((BgL_ev_listz00_bglt)CREF(
((BgL_ev_listz00_bglt)BgL_new1073z00_1304)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5289 = BgL_new1073z00_1304; 
return 
((obj_t)BgL_auxz00_5289);} } } 
}



/* &lambda1516 */
BgL_ev_andz00_bglt BGl_z62lambda1516z62zz__evaluate_typesz00(obj_t BgL_envz00_3603)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
BgL_ev_andz00_bglt BgL_new1072z00_4041;
BgL_new1072z00_4041 = 
((BgL_ev_andz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
long BgL_arg1517z00_4042;
{ /* Eval/evaluate_types.scm 69 */
long BgL_res2243z00_4043;
BgL_res2243z00_4043 = 
BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00); 
BgL_arg1517z00_4042 = BgL_res2243z00_4043; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1072z00_4041), BgL_arg1517z00_4042); } 
return BgL_new1072z00_4041;} } 
}



/* &lambda1514 */
BgL_ev_andz00_bglt BGl_z62lambda1514z62zz__evaluate_typesz00(obj_t BgL_envz00_3604, obj_t BgL_args1071z00_3605)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
BgL_ev_andz00_bglt BgL_new1205z00_4044;
{ /* Eval/evaluate_types.scm 69 */
BgL_ev_andz00_bglt BgL_new1204z00_4045;
BgL_new1204z00_4045 = 
((BgL_ev_andz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
long BgL_arg1515z00_4046;
{ /* Eval/evaluate_types.scm 69 */
long BgL_res2242z00_4047;
BgL_res2242z00_4047 = 
BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00); 
BgL_arg1515z00_4046 = BgL_res2242z00_4047; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1204z00_4045), BgL_arg1515z00_4046); } 
BgL_new1205z00_4044 = BgL_new1204z00_4045; } 
((((BgL_ev_listz00_bglt)CREF(
((BgL_ev_listz00_bglt)BgL_new1205z00_4044)))->BgL_argsz00)=((obj_t)BgL_args1071z00_3605),BUNSPEC); 
return BgL_new1205z00_4044;} } 
}



/* &<anonymous:1508> */
obj_t BGl_z62zc3anonymousza31508ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3606, obj_t BgL_new1069z00_3607)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 68 */
{ 
BgL_ev_orz00_bglt BgL_new1069z00_1284;
{ 
BgL_ev_orz00_bglt BgL_auxz00_5304;
BgL_new1069z00_1284 = 
((BgL_ev_orz00_bglt)BgL_new1069z00_3607); 
((((BgL_ev_listz00_bglt)CREF(
((BgL_ev_listz00_bglt)BgL_new1069z00_1284)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5304 = BgL_new1069z00_1284; 
return 
((obj_t)BgL_auxz00_5304);} } } 
}



/* &lambda1506 */
BgL_ev_orz00_bglt BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t BgL_envz00_3608)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
BgL_ev_orz00_bglt BgL_new1068z00_4049;
BgL_new1068z00_4049 = 
((BgL_ev_orz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
long BgL_arg1507z00_4050;
{ /* Eval/evaluate_types.scm 68 */
long BgL_res2241z00_4051;
BgL_res2241z00_4051 = 
BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00); 
BgL_arg1507z00_4050 = BgL_res2241z00_4051; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1068z00_4049), BgL_arg1507z00_4050); } 
return BgL_new1068z00_4049;} } 
}



/* &lambda1504 */
BgL_ev_orz00_bglt BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t BgL_envz00_3609, obj_t BgL_args1067z00_3610)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
BgL_ev_orz00_bglt BgL_new1203z00_4052;
{ /* Eval/evaluate_types.scm 68 */
BgL_ev_orz00_bglt BgL_new1202z00_4053;
BgL_new1202z00_4053 = 
((BgL_ev_orz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
long BgL_arg1505z00_4054;
{ /* Eval/evaluate_types.scm 68 */
long BgL_res2240z00_4055;
BgL_res2240z00_4055 = 
BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00); 
BgL_arg1505z00_4054 = BgL_res2240z00_4055; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1202z00_4053), BgL_arg1505z00_4054); } 
BgL_new1203z00_4052 = BgL_new1202z00_4053; } 
((((BgL_ev_listz00_bglt)CREF(
((BgL_ev_listz00_bglt)BgL_new1203z00_4052)))->BgL_argsz00)=((obj_t)BgL_args1067z00_3610),BUNSPEC); 
return BgL_new1203z00_4052;} } 
}



/* &<anonymous:1493> */
obj_t BGl_z62zc3anonymousza31493ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3611, obj_t BgL_new1065z00_3612)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 66 */
{ 
BgL_ev_listz00_bglt BgL_new1065z00_1254;
{ 
BgL_ev_listz00_bglt BgL_auxz00_5319;
BgL_new1065z00_1254 = 
((BgL_ev_listz00_bglt)BgL_new1065z00_3612); 
((((BgL_ev_listz00_bglt)CREF(BgL_new1065z00_1254))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5319 = BgL_new1065z00_1254; 
return 
((obj_t)BgL_auxz00_5319);} } } 
}



/* &lambda1489 */
BgL_ev_listz00_bglt BGl_z62lambda1489z62zz__evaluate_typesz00(obj_t BgL_envz00_3613)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
BgL_ev_listz00_bglt BgL_new1064z00_4057;
BgL_new1064z00_4057 = 
((BgL_ev_listz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
long BgL_arg1492z00_4058;
{ /* Eval/evaluate_types.scm 66 */
long BgL_res2239z00_4059;
BgL_res2239z00_4059 = 
BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00); 
BgL_arg1492z00_4058 = BgL_res2239z00_4059; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1064z00_4057), BgL_arg1492z00_4058); } 
return BgL_new1064z00_4057;} } 
}



/* &lambda1487 */
BgL_ev_listz00_bglt BGl_z62lambda1487z62zz__evaluate_typesz00(obj_t BgL_envz00_3614, obj_t BgL_args1063z00_3615)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
BgL_ev_listz00_bglt BgL_new1201z00_4060;
{ /* Eval/evaluate_types.scm 66 */
BgL_ev_listz00_bglt BgL_new1200z00_4061;
BgL_new1200z00_4061 = 
((BgL_ev_listz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
long BgL_arg1488z00_4062;
{ /* Eval/evaluate_types.scm 66 */
long BgL_res2238z00_4063;
BgL_res2238z00_4063 = 
BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00); 
BgL_arg1488z00_4062 = BgL_res2238z00_4063; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1200z00_4061), BgL_arg1488z00_4062); } 
BgL_new1201z00_4060 = BgL_new1200z00_4061; } 
((((BgL_ev_listz00_bglt)CREF(BgL_new1201z00_4060))->BgL_argsz00)=((obj_t)BgL_args1063z00_3615),BUNSPEC); 
return BgL_new1201z00_4060;} } 
}



/* &lambda1498 */
obj_t BGl_z62lambda1498z62zz__evaluate_typesz00(obj_t BgL_envz00_3616, obj_t BgL_oz00_3617, obj_t BgL_vz00_3618)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 66 */
return 
((((BgL_ev_listz00_bglt)CREF(
((BgL_ev_listz00_bglt)BgL_oz00_3617)))->BgL_argsz00)=((obj_t)BgL_vz00_3618),BUNSPEC);} 
}



/* &lambda1497 */
obj_t BGl_z62lambda1497z62zz__evaluate_typesz00(obj_t BgL_envz00_3619, obj_t BgL_oz00_3620)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 66 */
return 
(((BgL_ev_listz00_bglt)CREF(
((BgL_ev_listz00_bglt)BgL_oz00_3620)))->BgL_argsz00);} 
}



/* &<anonymous:1466> */
obj_t BGl_z62zc3anonymousza31466ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3621, obj_t BgL_new1061z00_3622)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 62 */
{ 
BgL_ev_ifz00_bglt BgL_new1061z00_1204;
{ 
BgL_ev_ifz00_bglt BgL_auxz00_5336;
BgL_new1061z00_1204 = 
((BgL_ev_ifz00_bglt)BgL_new1061z00_3622); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5337;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_classz00_2589;
BgL_classz00_2589 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL__ortest_1274z00_2590;
BgL__ortest_1274z00_2590 = 
BGL_CLASS_NIL(BgL_classz00_2589); 
if(
CBOOL(BgL__ortest_1274z00_2590))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5337 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2590)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5337 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2589))
; } } } 
((((BgL_ev_ifz00_bglt)CREF(BgL_new1061z00_1204))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5337),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5345;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_classz00_2591;
BgL_classz00_2591 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL__ortest_1274z00_2592;
BgL__ortest_1274z00_2592 = 
BGL_CLASS_NIL(BgL_classz00_2591); 
if(
CBOOL(BgL__ortest_1274z00_2592))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5345 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2592)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5345 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2591))
; } } } 
((((BgL_ev_ifz00_bglt)CREF(BgL_new1061z00_1204))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5345),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5353;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_classz00_2593;
BgL_classz00_2593 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL__ortest_1274z00_2594;
BgL__ortest_1274z00_2594 = 
BGL_CLASS_NIL(BgL_classz00_2593); 
if(
CBOOL(BgL__ortest_1274z00_2594))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5353 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1274z00_2594)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5353 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2593))
; } } } 
((((BgL_ev_ifz00_bglt)CREF(BgL_new1061z00_1204))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5353),BUNSPEC); } 
BgL_auxz00_5336 = BgL_new1061z00_1204; 
return 
((obj_t)BgL_auxz00_5336);} } } 
}



/* &lambda1464 */
BgL_ev_ifz00_bglt BGl_z62lambda1464z62zz__evaluate_typesz00(obj_t BgL_envz00_3623)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
BgL_ev_ifz00_bglt BgL_new1059z00_4073;
BgL_new1059z00_4073 = 
((BgL_ev_ifz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
long BgL_arg1465z00_4074;
{ /* Eval/evaluate_types.scm 62 */
long BgL_res2237z00_4075;
BgL_res2237z00_4075 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BgL_arg1465z00_4074 = BgL_res2237z00_4075; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1059z00_4073), BgL_arg1465z00_4074); } 
return BgL_new1059z00_4073;} } 
}



/* &lambda1462 */
BgL_ev_ifz00_bglt BGl_z62lambda1462z62zz__evaluate_typesz00(obj_t BgL_envz00_3624, obj_t BgL_p1056z00_3625, obj_t BgL_t1057z00_3626, obj_t BgL_e1058z00_3627)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
BgL_ev_ifz00_bglt BgL_new1199z00_4079;
{ /* Eval/evaluate_types.scm 62 */
BgL_ev_ifz00_bglt BgL_new1198z00_4080;
BgL_new1198z00_4080 = 
((BgL_ev_ifz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
long BgL_arg1463z00_4081;
{ /* Eval/evaluate_types.scm 62 */
long BgL_res2236z00_4082;
BgL_res2236z00_4082 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BgL_arg1463z00_4081 = BgL_res2236z00_4082; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1198z00_4080), BgL_arg1463z00_4081); } 
BgL_new1199z00_4079 = BgL_new1198z00_4080; } 
((((BgL_ev_ifz00_bglt)CREF(BgL_new1199z00_4079))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_p1056z00_3625)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)CREF(BgL_new1199z00_4079))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_t1057z00_3626)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)CREF(BgL_new1199z00_4079))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1058z00_3627)),BUNSPEC); 
return BgL_new1199z00_4079;} } 
}



/* &lambda1481 */
obj_t BGl_z62lambda1481z62zz__evaluate_typesz00(obj_t BgL_envz00_3628, obj_t BgL_oz00_3629, obj_t BgL_vz00_3630)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)CREF(
((BgL_ev_ifz00_bglt)BgL_oz00_3629)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3630)),BUNSPEC);} 
}



/* &lambda1480 */
BgL_ev_exprz00_bglt BGl_z62lambda1480z62zz__evaluate_typesz00(obj_t BgL_envz00_3631, obj_t BgL_oz00_3632)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)CREF(
((BgL_ev_ifz00_bglt)BgL_oz00_3632)))->BgL_ez00);} 
}



/* &lambda1476 */
obj_t BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t BgL_envz00_3633, obj_t BgL_oz00_3634, obj_t BgL_vz00_3635)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)CREF(
((BgL_ev_ifz00_bglt)BgL_oz00_3634)))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3635)),BUNSPEC);} 
}



/* &lambda1475 */
BgL_ev_exprz00_bglt BGl_z62lambda1475z62zz__evaluate_typesz00(obj_t BgL_envz00_3636, obj_t BgL_oz00_3637)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)CREF(
((BgL_ev_ifz00_bglt)BgL_oz00_3637)))->BgL_tz00);} 
}



/* &lambda1471 */
obj_t BGl_z62lambda1471z62zz__evaluate_typesz00(obj_t BgL_envz00_3638, obj_t BgL_oz00_3639, obj_t BgL_vz00_3640)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)CREF(
((BgL_ev_ifz00_bglt)BgL_oz00_3639)))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3640)),BUNSPEC);} 
}



/* &lambda1470 */
BgL_ev_exprz00_bglt BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t BgL_envz00_3641, obj_t BgL_oz00_3642)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)CREF(
((BgL_ev_ifz00_bglt)BgL_oz00_3642)))->BgL_pz00);} 
}



/* &<anonymous:1451> */
obj_t BGl_z62zc3anonymousza31451ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3643, obj_t BgL_new1054z00_3644)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 60 */
{ 
BgL_ev_littz00_bglt BgL_new1054z00_1172;
{ 
BgL_ev_littz00_bglt BgL_auxz00_5392;
BgL_new1054z00_1172 = 
((BgL_ev_littz00_bglt)BgL_new1054z00_3644); 
((((BgL_ev_littz00_bglt)CREF(BgL_new1054z00_1172))->BgL_valuez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5392 = BgL_new1054z00_1172; 
return 
((obj_t)BgL_auxz00_5392);} } } 
}



/* &lambda1449 */
BgL_ev_littz00_bglt BGl_z62lambda1449z62zz__evaluate_typesz00(obj_t BgL_envz00_3645)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
BgL_ev_littz00_bglt BgL_new1053z00_4093;
BgL_new1053z00_4093 = 
((BgL_ev_littz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
long BgL_arg1450z00_4094;
{ /* Eval/evaluate_types.scm 60 */
long BgL_res2235z00_4095;
BgL_res2235z00_4095 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BgL_arg1450z00_4094 = BgL_res2235z00_4095; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1053z00_4093), BgL_arg1450z00_4094); } 
return BgL_new1053z00_4093;} } 
}



/* &lambda1447 */
BgL_ev_littz00_bglt BGl_z62lambda1447z62zz__evaluate_typesz00(obj_t BgL_envz00_3646, obj_t BgL_value1052z00_3647)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
BgL_ev_littz00_bglt BgL_new1197z00_4096;
{ /* Eval/evaluate_types.scm 60 */
BgL_ev_littz00_bglt BgL_new1196z00_4097;
BgL_new1196z00_4097 = 
((BgL_ev_littz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
long BgL_arg1448z00_4098;
{ /* Eval/evaluate_types.scm 60 */
long BgL_res2234z00_4099;
BgL_res2234z00_4099 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BgL_arg1448z00_4098 = BgL_res2234z00_4099; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1196z00_4097), BgL_arg1448z00_4098); } 
BgL_new1197z00_4096 = BgL_new1196z00_4097; } 
((((BgL_ev_littz00_bglt)CREF(BgL_new1197z00_4096))->BgL_valuez00)=((obj_t)BgL_value1052z00_3647),BUNSPEC); 
return BgL_new1197z00_4096;} } 
}



/* &lambda1456 */
obj_t BGl_z62lambda1456z62zz__evaluate_typesz00(obj_t BgL_envz00_3648, obj_t BgL_oz00_3649, obj_t BgL_vz00_3650)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 60 */
return 
((((BgL_ev_littz00_bglt)CREF(
((BgL_ev_littz00_bglt)BgL_oz00_3649)))->BgL_valuez00)=((obj_t)BgL_vz00_3650),BUNSPEC);} 
}



/* &lambda1455 */
obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t BgL_envz00_3651, obj_t BgL_oz00_3652)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 60 */
return 
(((BgL_ev_littz00_bglt)CREF(
((BgL_ev_littz00_bglt)BgL_oz00_3652)))->BgL_valuez00);} 
}



/* &<anonymous:1423> */
obj_t BGl_z62zc3anonymousza31423ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3653, obj_t BgL_new1050z00_3654)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 55 */
{ 
BgL_ev_globalz00_bglt BgL_new1050z00_1122;
{ 
BgL_ev_globalz00_bglt BgL_auxz00_5409;
BgL_new1050z00_1122 = 
((BgL_ev_globalz00_bglt)BgL_new1050z00_3654); 
((((BgL_ev_globalz00_bglt)CREF(BgL_new1050z00_1122))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_globalz00_bglt)CREF(BgL_new1050z00_1122))->BgL_namez00)=((obj_t)BGl_symbol2645z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_globalz00_bglt)CREF(BgL_new1050z00_1122))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5409 = BgL_new1050z00_1122; 
return 
((obj_t)BgL_auxz00_5409);} } } 
}



/* &lambda1421 */
BgL_ev_globalz00_bglt BGl_z62lambda1421z62zz__evaluate_typesz00(obj_t BgL_envz00_3655)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
BgL_ev_globalz00_bglt BgL_new1049z00_4103;
BgL_new1049z00_4103 = 
((BgL_ev_globalz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
long BgL_arg1422z00_4104;
{ /* Eval/evaluate_types.scm 55 */
long BgL_res2233z00_4105;
BgL_res2233z00_4105 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BgL_arg1422z00_4104 = BgL_res2233z00_4105; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1049z00_4103), BgL_arg1422z00_4104); } 
return BgL_new1049z00_4103;} } 
}



/* &lambda1419 */
BgL_ev_globalz00_bglt BGl_z62lambda1419z62zz__evaluate_typesz00(obj_t BgL_envz00_3656, obj_t BgL_loc1046z00_3657, obj_t BgL_name1047z00_3658, obj_t BgL_mod1048z00_3659)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
BgL_ev_globalz00_bglt BgL_new1195z00_4107;
{ /* Eval/evaluate_types.scm 55 */
BgL_ev_globalz00_bglt BgL_new1194z00_4108;
BgL_new1194z00_4108 = 
((BgL_ev_globalz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
long BgL_arg1420z00_4109;
{ /* Eval/evaluate_types.scm 55 */
long BgL_res2232z00_4110;
BgL_res2232z00_4110 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BgL_arg1420z00_4109 = BgL_res2232z00_4110; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1194z00_4108), BgL_arg1420z00_4109); } 
BgL_new1195z00_4107 = BgL_new1194z00_4108; } 
((((BgL_ev_globalz00_bglt)CREF(BgL_new1195z00_4107))->BgL_locz00)=((obj_t)BgL_loc1046z00_3657),BUNSPEC); 
((((BgL_ev_globalz00_bglt)CREF(BgL_new1195z00_4107))->BgL_namez00)=((obj_t)BgL_name1047z00_3658),BUNSPEC); 
((((BgL_ev_globalz00_bglt)CREF(BgL_new1195z00_4107))->BgL_modz00)=((obj_t)BgL_mod1048z00_3659),BUNSPEC); 
return BgL_new1195z00_4107;} } 
}



/* &lambda1440 */
obj_t BGl_z62lambda1440z62zz__evaluate_typesz00(obj_t BgL_envz00_3660, obj_t BgL_oz00_3661, obj_t BgL_vz00_3662)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)CREF(
((BgL_ev_globalz00_bglt)BgL_oz00_3661)))->BgL_modz00)=((obj_t)BgL_vz00_3662),BUNSPEC);} 
}



/* &lambda1439 */
obj_t BGl_z62lambda1439z62zz__evaluate_typesz00(obj_t BgL_envz00_3663, obj_t BgL_oz00_3664)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)CREF(
((BgL_ev_globalz00_bglt)BgL_oz00_3664)))->BgL_modz00);} 
}



/* &lambda1434 */
obj_t BGl_z62lambda1434z62zz__evaluate_typesz00(obj_t BgL_envz00_3665, obj_t BgL_oz00_3666, obj_t BgL_vz00_3667)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)CREF(
((BgL_ev_globalz00_bglt)BgL_oz00_3666)))->BgL_namez00)=((obj_t)BgL_vz00_3667),BUNSPEC);} 
}



/* &lambda1433 */
obj_t BGl_z62lambda1433z62zz__evaluate_typesz00(obj_t BgL_envz00_3668, obj_t BgL_oz00_3669)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)CREF(
((BgL_ev_globalz00_bglt)BgL_oz00_3669)))->BgL_namez00);} 
}



/* &lambda1429 */
obj_t BGl_z62lambda1429z62zz__evaluate_typesz00(obj_t BgL_envz00_3670, obj_t BgL_oz00_3671, obj_t BgL_vz00_3672)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)CREF(
((BgL_ev_globalz00_bglt)BgL_oz00_3671)))->BgL_locz00)=((obj_t)BgL_vz00_3672),BUNSPEC);} 
}



/* &lambda1428 */
obj_t BGl_z62lambda1428z62zz__evaluate_typesz00(obj_t BgL_envz00_3673, obj_t BgL_oz00_3674)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)CREF(
((BgL_ev_globalz00_bglt)BgL_oz00_3674)))->BgL_locz00);} 
}



/* &<anonymous:1390> */
obj_t BGl_z62zc3anonymousza31390ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3675, obj_t BgL_new1044z00_3676)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 51 */
{ 
BgL_ev_varz00_bglt BgL_new1044z00_1067;
{ 
BgL_ev_varz00_bglt BgL_auxz00_5438;
BgL_new1044z00_1067 = 
((BgL_ev_varz00_bglt)BgL_new1044z00_3676); 
((((BgL_ev_varz00_bglt)CREF(BgL_new1044z00_1067))->BgL_namez00)=((obj_t)BGl_symbol2645z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_varz00_bglt)CREF(BgL_new1044z00_1067))->BgL_effz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_varz00_bglt)CREF(BgL_new1044z00_1067))->BgL_typez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5438 = BgL_new1044z00_1067; 
return 
((obj_t)BgL_auxz00_5438);} } } 
}



/* &lambda1388 */
BgL_ev_varz00_bglt BGl_z62lambda1388z62zz__evaluate_typesz00(obj_t BgL_envz00_3677)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
BgL_ev_varz00_bglt BgL_new1043z00_4119;
BgL_new1043z00_4119 = 
((BgL_ev_varz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
long BgL_arg1389z00_4120;
{ /* Eval/evaluate_types.scm 51 */
long BgL_res2231z00_4121;
BgL_res2231z00_4121 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg1389z00_4120 = BgL_res2231z00_4121; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1043z00_4119), BgL_arg1389z00_4120); } 
return BgL_new1043z00_4119;} } 
}



/* &lambda1386 */
BgL_ev_varz00_bglt BGl_z62lambda1386z62zz__evaluate_typesz00(obj_t BgL_envz00_3678, obj_t BgL_name1040z00_3679, obj_t BgL_eff1041z00_3680, obj_t BgL_type1042z00_3681)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
BgL_ev_varz00_bglt BgL_new1193z00_4123;
{ /* Eval/evaluate_types.scm 51 */
BgL_ev_varz00_bglt BgL_new1192z00_4124;
BgL_new1192z00_4124 = 
((BgL_ev_varz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
long BgL_arg1387z00_4125;
{ /* Eval/evaluate_types.scm 51 */
long BgL_res2230z00_4126;
BgL_res2230z00_4126 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg1387z00_4125 = BgL_res2230z00_4126; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1192z00_4124), BgL_arg1387z00_4125); } 
BgL_new1193z00_4123 = BgL_new1192z00_4124; } 
((((BgL_ev_varz00_bglt)CREF(BgL_new1193z00_4123))->BgL_namez00)=((obj_t)BgL_name1040z00_3679),BUNSPEC); 
((((BgL_ev_varz00_bglt)CREF(BgL_new1193z00_4123))->BgL_effz00)=((obj_t)BgL_eff1041z00_3680),BUNSPEC); 
((((BgL_ev_varz00_bglt)CREF(BgL_new1193z00_4123))->BgL_typez00)=((obj_t)BgL_type1042z00_3681),BUNSPEC); 
return BgL_new1193z00_4123;} } 
}



/* &lambda1413 */
obj_t BGl_z62lambda1413z62zz__evaluate_typesz00(obj_t BgL_envz00_3682, obj_t BgL_oz00_3683, obj_t BgL_vz00_3684)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)CREF(
((BgL_ev_varz00_bglt)BgL_oz00_3683)))->BgL_typez00)=((obj_t)BgL_vz00_3684),BUNSPEC);} 
}



/* &lambda1412 */
obj_t BGl_z62lambda1412z62zz__evaluate_typesz00(obj_t BgL_envz00_3685, obj_t BgL_oz00_3686)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)CREF(
((BgL_ev_varz00_bglt)BgL_oz00_3686)))->BgL_typez00);} 
}



/* &<anonymous:1406> */
obj_t BGl_z62zc3anonymousza31406ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3687)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 51 */
return 
BBOOL(((bool_t)0));} 
}



/* &lambda1405 */
obj_t BGl_z62lambda1405z62zz__evaluate_typesz00(obj_t BgL_envz00_3688, obj_t BgL_oz00_3689, obj_t BgL_vz00_3690)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)CREF(
((BgL_ev_varz00_bglt)BgL_oz00_3689)))->BgL_effz00)=((obj_t)BgL_vz00_3690),BUNSPEC);} 
}



/* &lambda1404 */
obj_t BGl_z62lambda1404z62zz__evaluate_typesz00(obj_t BgL_envz00_3691, obj_t BgL_oz00_3692)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)CREF(
((BgL_ev_varz00_bglt)BgL_oz00_3692)))->BgL_effz00);} 
}



/* &lambda1395 */
obj_t BGl_z62lambda1395z62zz__evaluate_typesz00(obj_t BgL_envz00_3693, obj_t BgL_oz00_3694, obj_t BgL_vz00_3695)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)CREF(
((BgL_ev_varz00_bglt)BgL_oz00_3694)))->BgL_namez00)=((obj_t)BgL_vz00_3695),BUNSPEC);} 
}



/* &lambda1394 */
obj_t BGl_z62lambda1394z62zz__evaluate_typesz00(obj_t BgL_envz00_3696, obj_t BgL_oz00_3697)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)CREF(
((BgL_ev_varz00_bglt)BgL_oz00_3697)))->BgL_namez00);} 
}



/* &<anonymous:1380> */
obj_t BGl_z62zc3anonymousza31380ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3698, obj_t BgL_new1038z00_3699)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 49 */
{ 
BgL_ev_exprz00_bglt BgL_new1038z00_1045;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5468;
BgL_new1038z00_1045 = 
((BgL_ev_exprz00_bglt)BgL_new1038z00_3699); 
BgL_auxz00_5468 = BgL_new1038z00_1045; 
return 
((obj_t)BgL_auxz00_5468);} } } 
}



/* &lambda1378 */
BgL_ev_exprz00_bglt BGl_z62lambda1378z62zz__evaluate_typesz00(obj_t BgL_envz00_3700)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
BgL_ev_exprz00_bglt BgL_new1037z00_4135;
BgL_new1037z00_4135 = 
((BgL_ev_exprz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
long BgL_arg1379z00_4136;
{ /* Eval/evaluate_types.scm 49 */
long BgL_res2229z00_4137;
BgL_res2229z00_4137 = 
BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00); 
BgL_arg1379z00_4136 = BgL_res2229z00_4137; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1037z00_4135), BgL_arg1379z00_4136); } 
return BgL_new1037z00_4135;} } 
}



/* &lambda1376 */
BgL_ev_exprz00_bglt BGl_z62lambda1376z62zz__evaluate_typesz00(obj_t BgL_envz00_3701)
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
BgL_ev_exprz00_bglt BgL_new1191z00_4138;
{ /* Eval/evaluate_types.scm 49 */
BgL_ev_exprz00_bglt BgL_new1190z00_4139;
BgL_new1190z00_4139 = 
((BgL_ev_exprz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
long BgL_arg1377z00_4140;
{ /* Eval/evaluate_types.scm 49 */
long BgL_res2228z00_4141;
BgL_res2228z00_4141 = 
BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00); 
BgL_arg1377z00_4140 = BgL_res2228z00_4141; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1190z00_4139), BgL_arg1377z00_4140); } 
BgL_new1191z00_4138 = BgL_new1190z00_4139; } 
return BgL_new1191z00_4138;} } 
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
{ AN_OBJECT;
{ /* Eval/evaluate_types.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)129954706), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)444693568), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)298117425), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)1047446), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)316564000), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)454272164), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)381113196), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)231310901), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460263214), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-282360853), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)525089452), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)513004434), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00)); 
return 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)116655667), 
BSTRING_TO_STRING(BGl_string2322z00zz__evaluate_typesz00));} 
}

#ifdef __cplusplus
}
#endif
