/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate.scm -indent -o objs/obj_u/Eval/evaluate.c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	extern bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
	static BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
	static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	extern obj_t BGl_classzd2existszd2zz__objectz00(obj_t);
	extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_objectzd2initzd2zz__evaluatez00();
	extern bool_t BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t);
	extern obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
	extern obj_t make_vector(int, obj_t);
	static obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluatez00();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
	extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
	extern obj_t BGl_classzd2fieldzd2typez00zz__objectz00(obj_t);
	static obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t,
		obj_t);
	extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	extern int bgl_debug();
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__evaluatez00();
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_symbol3145z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t
		BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t,
		obj_t, bool_t);
	static obj_t BGl_symbol3153z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3155z00zz__evaluatez00 = BUNSPEC;
	extern obj_t c_substring(obj_t, long, long);
	static obj_t BGl_symbol3157z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3158z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol3160z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3162z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3164z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3166z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3168z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_symbol3170z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3171z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3173z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3175z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3177z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_loopze70ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_loopze71ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol3179z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_symbol3181z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3183z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3185z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3187z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3189z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3191z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3193z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3195z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3197z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3199z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, bool_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	extern obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluatez00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t);
	extern obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_findzd2classzd2fieldz00zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza31355ze3ze1zz__evaluatez00(obj_t);
	extern obj_t BGl_classzd2fieldzd2mutatorz00zz__objectz00(obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	extern obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
	extern obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	static obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_expandz00zz__expandz00(obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluatez00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00();
	static obj_t BGl_symbol3201z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3203z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3205z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol3207z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3209z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_keyword3256z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3211z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3213z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3215z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3217z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3219z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol3223z00zz__evaluatez00 = BUNSPEC;
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	static obj_t BGl_symbol3225z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
	static obj_t BGl_symbol3228z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol3230z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3232z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3234z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3236z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3238z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
	static obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int);
	static obj_t BGl_symbol3240z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3242z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3244z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3246z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3248z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3250z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3252z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3254z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3258z00zz__evaluatez00 = BUNSPEC;
	extern obj_t bstring_to_keyword(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t);
	static obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_evaluate2zd2restorezd2bpz12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762evaluate2za7d2r3261z00,
		BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3200z00zz__evaluatez00,
		BgL_bgl_string3200za700za7za7_3262za7, "quote", 5);
	      DEFINE_STRING(BGl_string3202z00zz__evaluatez00,
		BgL_bgl_string3202za700za7za7_3263za7, "class-exists", 12);
	      DEFINE_STRING(BGl_string3204z00zz__evaluatez00,
		BgL_bgl_string3204za700za7za7_3264za7, "c", 1);
	      DEFINE_STRING(BGl_string3206z00zz__evaluatez00,
		BgL_bgl_string3206za700za7za7_3265za7, "isa?", 4);
	      DEFINE_STRING(BGl_string3208z00zz__evaluatez00,
		BgL_bgl_string3208za700za7za7_3266za7, "if", 2);
	      DEFINE_STRING(BGl_string3210z00zz__evaluatez00,
		BgL_bgl_string3210za700za7za7_3267za7, "let", 3);
	      DEFINE_STRING(BGl_string3212z00zz__evaluatez00,
		BgL_bgl_string3212za700za7za7_3268za7, "lambda", 6);
	      DEFINE_STRING(BGl_string3214z00zz__evaluatez00,
		BgL_bgl_string3214za700za7za7_3269za7, "bigloo-type-error/location", 26);
	      DEFINE_STRING(BGl_string3216z00zz__evaluatez00,
		BgL_bgl_string3216za700za7za7_3270za7, "bigloo-type-error", 17);
	      DEFINE_STRING(BGl_string3218z00zz__evaluatez00,
		BgL_bgl_string3218za700za7za7_3271za7, "at", 2);
	      DEFINE_STRING(BGl_string3220z00zz__evaluatez00,
		BgL_bgl_string3220za700za7za7_3272za7, "tmp", 3);
	      DEFINE_STRING(BGl_string3221z00zz__evaluatez00,
		BgL_bgl_string3221za700za7za7_3273za7, "~a::~a", 6);
	      DEFINE_STRING(BGl_string3222z00zz__evaluatez00,
		BgL_bgl_string3222za700za7za7_3274za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string3224z00zz__evaluatez00,
		BgL_bgl_string3224za700za7za7_3275za7, "begin", 5);
	      DEFINE_STRING(BGl_string3226z00zz__evaluatez00,
		BgL_bgl_string3226za700za7za7_3276za7, " ", 1);
	      DEFINE_STRING(BGl_string3227z00zz__evaluatez00,
		BgL_bgl_string3227za700za7za7_3277za7,
		"Illegal non toplevel module declaration", 39);
	      DEFINE_STRING(BGl_string3229z00zz__evaluatez00,
		BgL_bgl_string3229za700za7za7_3278za7, "module", 6);
	      DEFINE_STRING(BGl_string3231z00zz__evaluatez00,
		BgL_bgl_string3231za700za7za7_3279za7, "@", 1);
	      DEFINE_STRING(BGl_string3233z00zz__evaluatez00,
		BgL_bgl_string3233za700za7za7_3280za7, "->", 2);
	      DEFINE_STRING(BGl_string3235z00zz__evaluatez00,
		BgL_bgl_string3235za700za7za7_3281za7, "trap", 4);
	      DEFINE_STRING(BGl_string3237z00zz__evaluatez00,
		BgL_bgl_string3237za700za7za7_3282za7, "or", 2);
	      DEFINE_STRING(BGl_string3239z00zz__evaluatez00,
		BgL_bgl_string3239za700za7za7_3283za7, "and", 3);
	      DEFINE_STRING(BGl_string3241z00zz__evaluatez00,
		BgL_bgl_string3241za700za7za7_3284za7, "let*", 4);
	      DEFINE_STRING(BGl_string3243z00zz__evaluatez00,
		BgL_bgl_string3243za700za7za7_3285za7, "letrec", 6);
	      DEFINE_STRING(BGl_string3245z00zz__evaluatez00,
		BgL_bgl_string3245za700za7za7_3286za7, "set!", 4);
	      DEFINE_STRING(BGl_string3247z00zz__evaluatez00,
		BgL_bgl_string3247za700za7za7_3287za7, "define", 6);
	      DEFINE_STRING(BGl_string3249z00zz__evaluatez00,
		BgL_bgl_string3249za700za7za7_3288za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string3251z00zz__evaluatez00,
		BgL_bgl_string3251za700za7za7_3289za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string3253z00zz__evaluatez00,
		BgL_bgl_string3253za700za7za7_3290za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string3255z00zz__evaluatez00,
		BgL_bgl_string3255za700za7za7_3291za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string3257z00zz__evaluatez00,
		BgL_bgl_string3257za700za7za7_3292za7, "prelock", 7);
	      DEFINE_STRING(BGl_string3259z00zz__evaluatez00,
		BgL_bgl_string3259za700za7za7_3293za7, "\\@", 2);
	      DEFINE_STRING(BGl_string3260z00zz__evaluatez00,
		BgL_bgl_string3260za700za7za7_3294za7, "__evaluate", 10);
	extern obj_t BGl_errorzd2envzd2zz__errorz00;
	   
		 
		DEFINE_STRING(BGl_string3139z00zz__evaluatez00,
		BgL_bgl_string3139za700za7za7_3295za7, "", 0);
	      DEFINE_STRING(BGl_string3140z00zz__evaluatez00,
		BgL_bgl_string3140za700za7za7_3296za7,
		"/tmp/bigloo/runtime/Eval/evaluate.scm", 37);
	      DEFINE_STRING(BGl_string3141z00zz__evaluatez00,
		BgL_bgl_string3141za700za7za7_3297za7, "&evaluate2-restore-bp!", 22);
	      DEFINE_STRING(BGl_string3142z00zz__evaluatez00,
		BgL_bgl_string3142za700za7za7_3298za7, "bint", 4);
	      DEFINE_STRING(BGl_string3143z00zz__evaluatez00,
		BgL_bgl_string3143za700za7za7_3299za7, "&evaluate2-restore-state!", 25);
	      DEFINE_STRING(BGl_string3144z00zz__evaluatez00,
		BgL_bgl_string3144za700za7za7_3300za7, "vector", 6);
	      DEFINE_STRING(BGl_string3146z00zz__evaluatez00,
		BgL_bgl_string3146za700za7za7_3301za7, "toplevel", 8);
	      DEFINE_STRING(BGl_string3147z00zz__evaluatez00,
		BgL_bgl_string3147za700za7za7_3302za7, "eval", 4);
	      DEFINE_STRING(BGl_string3148z00zz__evaluatez00,
		BgL_bgl_string3148za700za7za7_3303za7, "Bad syntax", 10);
	      DEFINE_STRING(BGl_string3149z00zz__evaluatez00,
		BgL_bgl_string3149za700za7za7_3304za7, "Class \"~a\" has no field \"~a\"",
		28);
	      DEFINE_STRING(BGl_string3150z00zz__evaluatez00,
		BgL_bgl_string3150za700za7za7_3305za7, "Static type not a class", 23);
	      DEFINE_STRING(BGl_string3151z00zz__evaluatez00,
		BgL_bgl_string3151za700za7za7_3306za7, "Variable unbound", 16);
	      DEFINE_STRING(BGl_string3152z00zz__evaluatez00,
		BgL_bgl_string3152za700za7za7_3307za7, "Field read-only", 15);
	      DEFINE_STRING(BGl_string3154z00zz__evaluatez00,
		BgL_bgl_string3154za700za7za7_3308za7, "pair", 4);
	      DEFINE_STRING(BGl_string3156z00zz__evaluatez00,
		BgL_bgl_string3156za700za7za7_3309za7, "pair?", 5);
	      DEFINE_STRING(BGl_string3159z00zz__evaluatez00,
		BgL_bgl_string3159za700za7za7_3310za7, "vector?", 7);
	      DEFINE_STRING(BGl_string3161z00zz__evaluatez00,
		BgL_bgl_string3161za700za7za7_3311za7, "symbol", 6);
	      DEFINE_STRING(BGl_string3163z00zz__evaluatez00,
		BgL_bgl_string3163za700za7za7_3312za7, "symbol?", 7);
	      DEFINE_STRING(BGl_string3165z00zz__evaluatez00,
		BgL_bgl_string3165za700za7za7_3313za7, "char", 4);
	      DEFINE_STRING(BGl_string3167z00zz__evaluatez00,
		BgL_bgl_string3167za700za7za7_3314za7, "char?", 5);
	      DEFINE_STRING(BGl_string3169z00zz__evaluatez00,
		BgL_bgl_string3169za700za7za7_3315za7, "int", 3);
	      DEFINE_STRING(BGl_string3172z00zz__evaluatez00,
		BgL_bgl_string3172za700za7za7_3316za7, "integer?", 8);
	      DEFINE_STRING(BGl_string3174z00zz__evaluatez00,
		BgL_bgl_string3174za700za7za7_3317za7, "real", 4);
	      DEFINE_STRING(BGl_string3176z00zz__evaluatez00,
		BgL_bgl_string3176za700za7za7_3318za7, "breal", 5);
	      DEFINE_STRING(BGl_string3178z00zz__evaluatez00,
		BgL_bgl_string3178za700za7za7_3319za7, "real?", 5);
	      DEFINE_STRING(BGl_string3180z00zz__evaluatez00,
		BgL_bgl_string3180za700za7za7_3320za7, "bool", 4);
	      DEFINE_STRING(BGl_string3182z00zz__evaluatez00,
		BgL_bgl_string3182za700za7za7_3321za7, "boolean?", 8);
	      DEFINE_STRING(BGl_string3184z00zz__evaluatez00,
		BgL_bgl_string3184za700za7za7_3322za7, "struct", 6);
	      DEFINE_STRING(BGl_string3186z00zz__evaluatez00,
		BgL_bgl_string3186za700za7za7_3323za7, "struct?", 7);
	      DEFINE_STRING(BGl_string3188z00zz__evaluatez00,
		BgL_bgl_string3188za700za7za7_3324za7, "class", 5);
	      DEFINE_STRING(BGl_string3190z00zz__evaluatez00,
		BgL_bgl_string3190za700za7za7_3325za7, "class?", 6);
	      DEFINE_STRING(BGl_string3192z00zz__evaluatez00,
		BgL_bgl_string3192za700za7za7_3326za7, "string", 6);
	      DEFINE_STRING(BGl_string3194z00zz__evaluatez00,
		BgL_bgl_string3194za700za7za7_3327za7, "bstring", 7);
	      DEFINE_STRING(BGl_string3196z00zz__evaluatez00,
		BgL_bgl_string3196za700za7za7_3328za7, "string?", 7);
	      DEFINE_STRING(BGl_string3198z00zz__evaluatez00,
		BgL_bgl_string3198za700za7za7_3329za7, "o", 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2evaluationzd2contextz12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762setza7d2evaluat3330z00,
		BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_evaluate2zd2restorezd2statez12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762evaluate2za7d2r3331z00,
		BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2evaluationzd2contextzd2envzd2zz__evaluatez00,
		BgL_bgl_za762getza7d2evaluat3332z00,
		BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evaluate2zd2envzd2zz__evaluatez00,
		BgL_bgl_za762evaluate2za762za73333za7, BGl_z62evaluate2z62zz__evaluatez00,
		0L, BUNSPEC, 3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol3145z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3153z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3155z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3157z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3158z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3160z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3162z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3164z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3166z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3168z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3170z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3171z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3173z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3175z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3177z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3179z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3181z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3183z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3185z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3187z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3189z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3191z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3193z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3195z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3197z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3199z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3201z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3203z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3205z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3207z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3209z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_keyword3256z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3211z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3213z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3215z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3217z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3219z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3223z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3225z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3228z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3230z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3232z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3234z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3236z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3238z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3240z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3242z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3244z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3246z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3248z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3250z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3252z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3254z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3258z00zz__evaluatez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long
		BgL_checksumz00_4805, char *BgL_fromz00_4806)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluatez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluatez00();
					BGl_cnstzd2initzd2zz__evaluatez00();
					BGl_importedzd2moduleszd2initz00zz__evaluatez00();
					return BGl_methodzd2initzd2zz__evaluatez00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_symbol3145z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3146z00zz__evaluatez00);
			BGl_symbol3153z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3154z00zz__evaluatez00);
			BGl_symbol3155z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3156z00zz__evaluatez00);
			BGl_symbol3157z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3144z00zz__evaluatez00);
			BGl_symbol3158z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3159z00zz__evaluatez00);
			BGl_symbol3160z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3161z00zz__evaluatez00);
			BGl_symbol3162z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3163z00zz__evaluatez00);
			BGl_symbol3164z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3165z00zz__evaluatez00);
			BGl_symbol3166z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3167z00zz__evaluatez00);
			BGl_symbol3168z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3169z00zz__evaluatez00);
			BGl_symbol3170z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3142z00zz__evaluatez00);
			BGl_symbol3171z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3172z00zz__evaluatez00);
			BGl_symbol3173z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3174z00zz__evaluatez00);
			BGl_symbol3175z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3176z00zz__evaluatez00);
			BGl_symbol3177z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3178z00zz__evaluatez00);
			BGl_symbol3179z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3180z00zz__evaluatez00);
			BGl_symbol3181z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3182z00zz__evaluatez00);
			BGl_symbol3183z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3184z00zz__evaluatez00);
			BGl_symbol3185z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3186z00zz__evaluatez00);
			BGl_symbol3187z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3188z00zz__evaluatez00);
			BGl_symbol3189z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3190z00zz__evaluatez00);
			BGl_symbol3191z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3192z00zz__evaluatez00);
			BGl_symbol3193z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3194z00zz__evaluatez00);
			BGl_symbol3195z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3196z00zz__evaluatez00);
			BGl_symbol3197z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3198z00zz__evaluatez00);
			BGl_symbol3199z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3200z00zz__evaluatez00);
			BGl_symbol3201z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3202z00zz__evaluatez00);
			BGl_symbol3203z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3204z00zz__evaluatez00);
			BGl_symbol3205z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3206z00zz__evaluatez00);
			BGl_symbol3207z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3208z00zz__evaluatez00);
			BGl_symbol3209z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3210z00zz__evaluatez00);
			BGl_symbol3211z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3212z00zz__evaluatez00);
			BGl_symbol3213z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3214z00zz__evaluatez00);
			BGl_symbol3215z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3216z00zz__evaluatez00);
			BGl_symbol3217z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3218z00zz__evaluatez00);
			BGl_symbol3219z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3220z00zz__evaluatez00);
			BGl_symbol3223z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3224z00zz__evaluatez00);
			BGl_symbol3225z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3226z00zz__evaluatez00);
			BGl_symbol3228z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3229z00zz__evaluatez00);
			BGl_symbol3230z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3231z00zz__evaluatez00);
			BGl_symbol3232z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3233z00zz__evaluatez00);
			BGl_symbol3234z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3235z00zz__evaluatez00);
			BGl_symbol3236z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3237z00zz__evaluatez00);
			BGl_symbol3238z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3239z00zz__evaluatez00);
			BGl_symbol3240z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3241z00zz__evaluatez00);
			BGl_symbol3242z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3243z00zz__evaluatez00);
			BGl_symbol3244z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3245z00zz__evaluatez00);
			BGl_symbol3246z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3247z00zz__evaluatez00);
			BGl_symbol3248z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3249z00zz__evaluatez00);
			BGl_symbol3250z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3251z00zz__evaluatez00);
			BGl_symbol3252z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3253z00zz__evaluatez00);
			BGl_symbol3254z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3255z00zz__evaluatez00);
			BGl_keyword3256z00zz__evaluatez00 =
				bstring_to_keyword(BGl_string3257z00zz__evaluatez00);
			return (BGl_symbol3258z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3259z00zz__evaluatez00), BUNSPEC);
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1113;

				BgL_headz00_1113 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_3055;
					obj_t BgL_tailz00_3056;

					BgL_prevz00_3055 = BgL_headz00_1113;
					BgL_tailz00_3056 = BgL_l1z00_1;
				BgL_loopz00_3054:
					if (PAIRP(BgL_tailz00_3056))
						{
							obj_t BgL_newzd2prevzd2_3062;

							BgL_newzd2prevzd2_3062 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_3056), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_3055, BgL_newzd2prevzd2_3062);
							{
								obj_t BgL_tailz00_4876;
								obj_t BgL_prevz00_4875;

								BgL_prevz00_4875 = BgL_newzd2prevzd2_3062;
								BgL_tailz00_4876 = CDR(BgL_tailz00_3056);
								BgL_tailz00_3056 = BgL_tailz00_4876;
								BgL_prevz00_3055 = BgL_prevz00_4875;
								goto BgL_loopz00_3054;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_1113);
			}
		}
	}



/* untype-ident */
	obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t BgL_idz00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 73 */
			{	/* Eval/evaluate.scm 74 */
				obj_t BgL_stringz00_1121;

				{	/* Eval/evaluate.scm 74 */
					obj_t BgL_res2775z00_3072;

					{	/* Eval/evaluate.scm 74 */
						obj_t BgL_arg2595z00_3071;

						BgL_arg2595z00_3071 = SYMBOL_TO_STRING(BgL_idz00_3);
						BgL_res2775z00_3072 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2595z00_3071);
					}
					BgL_stringz00_1121 = BgL_res2775z00_3072;
				}
				{	/* Eval/evaluate.scm 74 */
					long BgL_lenz00_1122;

					BgL_lenz00_1122 = STRING_LENGTH(BgL_stringz00_1121);
					{	/* Eval/evaluate.scm 75 */

						{
							long BgL_walkerz00_1124;

							BgL_walkerz00_1124 = ((long) 0);
						BgL_zc3anonymousza31314ze3z83_1125:
							if ((BgL_walkerz00_1124 == BgL_lenz00_1122))
								{	/* Eval/evaluate.scm 78 */
									return MAKE_YOUNG_PAIR(BgL_idz00_3, BFALSE);
								}
							else
								{	/* Eval/evaluate.scm 80 */
									bool_t BgL_testz00_4885;

									if (
										(STRING_REF(BgL_stringz00_1121,
												BgL_walkerz00_1124) == ((unsigned char) ':')))
										{	/* Eval/evaluate.scm 80 */
											if ((BgL_walkerz00_1124 < (BgL_lenz00_1122 - ((long) 1))))
												{	/* Eval/evaluate.scm 81 */
													BgL_testz00_4885 =
														(STRING_REF(BgL_stringz00_1121,
															(BgL_walkerz00_1124 + ((long) 1))) ==
														((unsigned char) ':'));
												}
											else
												{	/* Eval/evaluate.scm 81 */
													BgL_testz00_4885 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate.scm 80 */
											BgL_testz00_4885 = ((bool_t) 0);
										}
									if (BgL_testz00_4885)
										{	/* Eval/evaluate.scm 83 */
											obj_t BgL_arg1329z00_1136;
											obj_t BgL_arg1330z00_1137;

											BgL_arg1329z00_1136 =
												bstring_to_symbol(c_substring(BgL_stringz00_1121,
													((long) 0), BgL_walkerz00_1124));
											{	/* Eval/evaluate.scm 84 */
												obj_t BgL_arg1332z00_1139;

												{	/* Eval/evaluate.scm 84 */
													long BgL_arg1333z00_1140;

													BgL_arg1333z00_1140 =
														(BgL_walkerz00_1124 + ((long) 2));
													{	/* Ieee/string.scm 183 */
														long BgL_endz00_1143;

														BgL_endz00_1143 = STRING_LENGTH(BgL_stringz00_1121);
														{	/* Ieee/string.scm 183 */

															BgL_arg1332z00_1139 =
																BGl_substringz00zz__r4_strings_6_7z00
																(BgL_stringz00_1121, BgL_arg1333z00_1140,
																BgL_endz00_1143);
												}}}
												BgL_arg1330z00_1137 =
													bstring_to_symbol(BgL_arg1332z00_1139);
											}
											return
												MAKE_YOUNG_PAIR(BgL_arg1329z00_1136,
												BgL_arg1330z00_1137);
										}
									else
										{
											long BgL_walkerz00_4902;

											BgL_walkerz00_4902 = (BgL_walkerz00_1124 + ((long) 1));
											BgL_walkerz00_1124 = BgL_walkerz00_4902;
											goto BgL_zc3anonymousza31314ze3z83_1125;
										}
								}
						}
					}
				}
			}
		}
	}



/* get-evaluation-context */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 91 */
			{	/* Eval/evaluate.scm 92 */
				obj_t BgL_sz00_1152;

				BgL_sz00_1152 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 93 */
					obj_t BgL_bpz00_1153;

					BgL_bpz00_1153 = VECTOR_REF(BgL_sz00_1152, (int) (((long) 0)));
					{	/* Eval/evaluate.scm 94 */
						obj_t BgL_rz00_1154;

						BgL_rz00_1154 =
							make_vector(CINT(BgL_bpz00_1153),
							BGl_string3139z00zz__evaluatez00);
						{
							long BgL_iz00_3121;

							BgL_iz00_3121 = ((long) 0);
						BgL_recz00_3120:
							if ((BgL_iz00_3121 < (long) CINT(BgL_bpz00_1153)))
								{	/* Eval/evaluate.scm 96 */
									VECTOR_SET(BgL_rz00_1154,
										(int) (BgL_iz00_3121),
										VECTOR_REF(BgL_sz00_1152, (int) (BgL_iz00_3121)));
									{
										long BgL_iz00_4916;

										BgL_iz00_4916 = (BgL_iz00_3121 + ((long) 1));
										BgL_iz00_3121 = BgL_iz00_4916;
										goto BgL_recz00_3120;
									}
								}
							else
								{	/* Eval/evaluate.scm 96 */
									((bool_t) 0);
								}
						}
						return BgL_rz00_1154;
					}
				}
			}
		}
	}



/* &get-evaluation-context */
	obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t
		BgL_envz00_4762)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 91 */
			return BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
		}
	}



/* set-evaluation-context! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t BgL_vz00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 104 */
			{	/* Eval/evaluate.scm 105 */
				obj_t BgL_sz00_1162;

				BgL_sz00_1162 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 106 */
					obj_t BgL_bpz00_1163;

					BgL_bpz00_1163 = VECTOR_REF(BgL_vz00_4, (int) (((long) 0)));
					{
						long BgL_iz00_3145;

						{	/* Eval/evaluate.scm 107 */
							bool_t BgL_tmpz00_4922;

							BgL_iz00_3145 = ((long) 0);
						BgL_recz00_3144:
							if ((BgL_iz00_3145 < (long) CINT(BgL_bpz00_1163)))
								{	/* Eval/evaluate.scm 108 */
									VECTOR_SET(BgL_sz00_1162,
										(int) (BgL_iz00_3145),
										VECTOR_REF(BgL_vz00_4, (int) (BgL_iz00_3145)));
									{
										long BgL_iz00_4930;

										BgL_iz00_4930 = (BgL_iz00_3145 + ((long) 1));
										BgL_iz00_3145 = BgL_iz00_4930;
										goto BgL_recz00_3144;
									}
								}
							else
								{	/* Eval/evaluate.scm 108 */
									BgL_tmpz00_4922 = ((bool_t) 0);
								}
							return BBOOL(BgL_tmpz00_4922);
						}
					}
				}
			}
		}
	}



/* &set-evaluation-context! */
	obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t
		BgL_envz00_4763, obj_t BgL_vz00_4764)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 104 */
			return BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_vz00_4764);
		}
	}



/* evaluate2-restore-bp! */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int
		BgL_bpz00_5)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 115 */
			{	/* Eval/evaluate.scm 116 */
				obj_t BgL_sz00_3158;

				{	/* Eval/evaluate.scm 116 */
					obj_t BgL_tmpz00_4934;

					BgL_tmpz00_4934 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_3158 = BGL_ENV_EVSTATE(BgL_tmpz00_4934);
				}
				return VECTOR_SET(BgL_sz00_3158, (int) (((long) 0)), BINT(BgL_bpz00_5));
		}}
	}



/* &evaluate2-restore-bp! */
	obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t
		BgL_envz00_4765, obj_t BgL_bpz00_4766)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 115 */
			{	/* Eval/evaluate.scm 116 */
				int BgL_auxz00_4940;

				{	/* Eval/evaluate.scm 116 */
					obj_t BgL_tmpz00_4941;

					if (INTEGERP(BgL_bpz00_4766))
						{	/* Eval/evaluate.scm 116 */
							BgL_tmpz00_4941 = BgL_bpz00_4766;
						}
					else
						{
							obj_t BgL_auxz00_4944;

							BgL_auxz00_4944 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string3140z00zz__evaluatez00, BINT(((long) 3890)),
								BGl_string3141z00zz__evaluatez00,
								BGl_string3142z00zz__evaluatez00, BgL_bpz00_4766);
							FAILURE(BgL_auxz00_4944, BFALSE, BFALSE);
						}
					BgL_auxz00_4940 = CINT(BgL_tmpz00_4941);
				}
				return
					BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(BgL_auxz00_4940);
			}
		}
	}



/* evaluate2-restore-state! */
	BGL_EXPORTED_DEF obj_t
		BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t BgL_statez00_6)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 122 */
			{	/* Eval/evaluate.scm 124 */
				obj_t BgL_tmpz00_4950;

				BgL_tmpz00_4950 = BGL_CURRENT_DYNAMIC_ENV();
				return BGL_ENV_EVSTATE_SET(BgL_tmpz00_4950, BgL_statez00_6);
			}
		}
	}



/* &evaluate2-restore-state! */
	obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t
		BgL_envz00_4767, obj_t BgL_statez00_4768)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 122 */
			{	/* Eval/evaluate.scm 123 */
				obj_t BgL_auxz00_4953;

				if (VECTORP(BgL_statez00_4768))
					{	/* Eval/evaluate.scm 123 */
						BgL_auxz00_4953 = BgL_statez00_4768;
					}
				else
					{
						obj_t BgL_auxz00_4956;

						BgL_auxz00_4956 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string3140z00zz__evaluatez00,
							BINT(((long) 4240)), BGl_string3143z00zz__evaluatez00,
							BGl_string3144z00zz__evaluatez00, BgL_statez00_4768);
						FAILURE(BgL_auxz00_4956, BFALSE, BFALSE);
					}
				return
					BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(BgL_auxz00_4953);
			}
		}
	}



/* evaluate2 */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_7,
		obj_t BgL_envz00_8, obj_t BgL_locz00_9)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 129 */
			{	/* Eval/evaluate.scm 130 */
				BgL_ev_exprz00_bglt BgL_astz00_1174;

				{	/* Eval/evaluate.scm 130 */
					obj_t BgL_arg1356z00_1189;

					BgL_arg1356z00_1189 =
						BGl_convz00zz__evaluatez00(BgL_sexpz00_7, BNIL, BgL_envz00_8,
						BFALSE, BGl_symbol3145z00zz__evaluatez00, BgL_locz00_9,
						((bool_t) 1));
					BgL_astz00_1174 =
						BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(((BgL_ev_exprz00_bglt)
							BgL_arg1356z00_1189));
				}
				{	/* Eval/evaluate.scm 131 */
					bool_t BgL_testz00_4964;

					{	/* Eval/evaluate.scm 131 */
						int BgL_arg1354z00_1179;

						BgL_arg1354z00_1179 = bgl_debug();
						BgL_testz00_4964 =
							BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1354z00_1179),
							BINT(((long) 10)));
					}
					if (BgL_testz00_4964)
						{	/* Eval/evaluate.scm 131 */
							BGl_ppz00zz__ppz00(BGl_uncompilez00zz__evaluate_uncompz00
								(BgL_astz00_1174), BNIL);
						}
					else
						{	/* Eval/evaluate.scm 131 */
							BFALSE;
						}
				}
				BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_1174);
				{	/* Eval/evaluate.scm 133 */
					int BgL_nz00_1180;

					BgL_nz00_1180 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_1174);
					{	/* Eval/evaluate.scm 134 */
						obj_t BgL_fz00_1181;

						BgL_fz00_1181 = BGl_compilez00zz__evaluate_compz00(BgL_astz00_1174);
						{	/* Eval/evaluate.scm 135 */
							obj_t BgL_sz00_1182;

							BgL_sz00_1182 = BGl_findzd2statezd2zz__evaluate_compz00();
							{	/* Eval/evaluate.scm 136 */
								obj_t BgL_bpz00_1183;

								BgL_bpz00_1183 = VECTOR_REF(BgL_sz00_1182, (int) (((long) 0)));
								{	/* Eval/evaluate.scm 137 */
									obj_t BgL_exitd1064z00_1184;

									BgL_exitd1064z00_1184 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate.scm 139 */
										obj_t BgL_zc3anonymousza31355ze3z83_4769;

										BgL_zc3anonymousza31355ze3z83_4769 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31355ze3ze1zz__evaluatez00,
											(int) (((long) 0)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3anonymousza31355ze3z83_4769,
											(int) (((long) 0)), BgL_sz00_1182);
										PROCEDURE_SET(BgL_zc3anonymousza31355ze3z83_4769,
											(int) (((long) 1)), BgL_bpz00_1183);
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
											(BgL_exitd1064z00_1184,
											BgL_zc3anonymousza31355ze3z83_4769);
										{	/* Eval/evaluate.scm 138 */
											obj_t BgL_tmp1066z00_1186;

											BgL_tmp1066z00_1186 =
												PROCEDURE_ENTRY(BgL_fz00_1181) (BgL_fz00_1181,
												BgL_sz00_1182, BEOA);
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_exitd1064z00_1184);
											VECTOR_SET(BgL_sz00_1182, (int) (((long) 0)),
												BgL_bpz00_1183);
											return BgL_tmp1066z00_1186;
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &evaluate2 */
	obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_4770,
		obj_t BgL_sexpz00_4771, obj_t BgL_envz00_4772, obj_t BgL_locz00_4773)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 129 */
			return
				BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_4771, BgL_envz00_4772,
				BgL_locz00_4773);
		}
	}



/* &<anonymous:1355> */
	obj_t BGl_z62zc3anonymousza31355ze3ze1zz__evaluatez00(obj_t BgL_envz00_4774)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 137 */
			return
				VECTOR_SET(PROCEDURE_REF(BgL_envz00_4774,
					(int) (((long) 0))),
				(int) (((long) 0)), PROCEDURE_REF(BgL_envz00_4774, (int) (((long) 1))));
		}
	}



/* get-location */
	obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_10,
		obj_t BgL_locz00_11)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 144 */
			{	/* Eval/evaluate.scm 145 */
				obj_t BgL__ortest_1067z00_3167;

				BgL__ortest_1067z00_3167 =
					BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_10);
				if (CBOOL(BgL__ortest_1067z00_3167))
					{	/* Eval/evaluate.scm 145 */
						return BgL__ortest_1067z00_3167;
					}
				else
					{	/* Eval/evaluate.scm 145 */
						return BgL_locz00_11;
					}
			}
		}
	}



/* conv-var */
	obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_18,
		obj_t BgL_localsz00_19)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 164 */
			{
				obj_t BgL_lz00_1194;

				BgL_lz00_1194 = BgL_localsz00_19;
			BgL_zc3anonymousza31357ze3z83_1195:
				if (NULLP(BgL_lz00_1194))
					{	/* Eval/evaluate.scm 166 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate.scm 168 */
						obj_t BgL_rvz00_1197;

						BgL_rvz00_1197 = CAR(BgL_lz00_1194);
						if (
							(BgL_vz00_18 ==
								(((BgL_ev_varz00_bglt) CREF(
											((BgL_ev_varz00_bglt) BgL_rvz00_1197)))->BgL_namez00)))
							{	/* Eval/evaluate.scm 170 */
								return BgL_rvz00_1197;
							}
						else
							{
								obj_t BgL_lz00_5010;

								BgL_lz00_5010 = CDR(BgL_lz00_1194);
								BgL_lz00_1194 = BgL_lz00_5010;
								goto BgL_zc3anonymousza31357ze3z83_1195;
							}
					}
			}
		}
	}



/* conv-begin */
	obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_20,
		obj_t BgL_localsz00_21, obj_t BgL_globalsz00_22, obj_t BgL_tailzf3zf3_23,
		obj_t BgL_wherez00_24, obj_t BgL_locz00_25, bool_t BgL_topzf3zf3_26)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 177 */
			{	/* Eval/evaluate.scm 178 */
				obj_t BgL_locz00_1204;

				{	/* Eval/evaluate.scm 145 */
					obj_t BgL__ortest_1067z00_3173;

					BgL__ortest_1067z00_3173 =
						BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lz00_20);
					if (CBOOL(BgL__ortest_1067z00_3173))
						{	/* Eval/evaluate.scm 145 */
							BgL_locz00_1204 = BgL__ortest_1067z00_3173;
						}
					else
						{	/* Eval/evaluate.scm 145 */
							BgL_locz00_1204 = BgL_locz00_25;
						}
				}
				{
					obj_t BgL_e1z00_1208;
					obj_t BgL_rz00_1209;

					if (NULLP(BgL_lz00_20))
						{
							BgL_ev_littz00_bglt BgL_auxz00_5017;

							{	/* Eval/evaluate.scm 181 */
								BgL_ev_littz00_bglt BgL_new1072z00_1221;

								{	/* Eval/evaluate.scm 182 */
									BgL_ev_littz00_bglt BgL_new1071z00_1222;

									BgL_new1071z00_1222 =
										((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 182 */
										long BgL_arg1372z00_1223;

										{	/* Eval/evaluate.scm 182 */
											long BgL_res2798z00_3175;

											BgL_res2798z00_3175 =
												BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
											BgL_arg1372z00_1223 = BgL_res2798z00_3175;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1071z00_1222),
											BgL_arg1372z00_1223);
									}
									BgL_new1072z00_1221 = BgL_new1071z00_1222;
								}
								((((BgL_ev_littz00_bglt) CREF(BgL_new1072z00_1221))->
										BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
								BgL_auxz00_5017 = BgL_new1072z00_1221;
							}
							return ((obj_t) BgL_auxz00_5017);
						}
					else
						{	/* Eval/evaluate.scm 179 */
							if (PAIRP(BgL_lz00_20))
								{	/* Eval/evaluate.scm 179 */
									if (NULLP(CDR(BgL_lz00_20)))
										{	/* Eval/evaluate.scm 179 */
											obj_t BgL_arg1368z00_1217;

											BgL_arg1368z00_1217 = CAR(BgL_lz00_20);
											{	/* Eval/evaluate.scm 184 */
												obj_t BgL_arg1373z00_3190;

												{	/* Eval/evaluate.scm 145 */
													obj_t BgL__ortest_1067z00_3191;

													BgL__ortest_1067z00_3191 =
														BGl_getzd2sourcezd2locationz00zz__readerz00
														(BgL_arg1368z00_1217);
													if (CBOOL(BgL__ortest_1067z00_3191))
														{	/* Eval/evaluate.scm 145 */
															BgL_arg1373z00_3190 = BgL__ortest_1067z00_3191;
														}
													else
														{	/* Eval/evaluate.scm 145 */
															BgL_arg1373z00_3190 = BgL_locz00_1204;
														}
												}
												return
													BGl_convz00zz__evaluatez00(BgL_arg1368z00_1217,
													BgL_localsz00_21, BgL_globalsz00_22,
													BgL_tailzf3zf3_23, BgL_wherez00_24,
													BgL_arg1373z00_3190, BgL_topzf3zf3_26);
											}
										}
									else
										{	/* Eval/evaluate.scm 179 */
											obj_t BgL_arg1369z00_1218;
											obj_t BgL_arg1370z00_1219;

											BgL_arg1369z00_1218 = CAR(BgL_lz00_20);
											BgL_arg1370z00_1219 = CDR(BgL_lz00_20);
											{
												BgL_ev_prog2z00_bglt BgL_auxz00_5036;

												BgL_e1z00_1208 = BgL_arg1369z00_1218;
												BgL_rz00_1209 = BgL_arg1370z00_1219;
												{	/* Eval/evaluate.scm 186 */
													BgL_ev_prog2z00_bglt BgL_new1074z00_1225;

													{	/* Eval/evaluate.scm 187 */
														BgL_ev_prog2z00_bglt BgL_new1073z00_1227;

														BgL_new1073z00_1227 =
															((BgL_ev_prog2z00_bglt)
															BREF(GC_MALLOC(sizeof(struct
																		BgL_ev_prog2z00_bgl))));
														{	/* Eval/evaluate.scm 187 */
															long BgL_arg1375z00_1228;

															{	/* Eval/evaluate.scm 187 */
																long BgL_res2799z00_3181;

																BgL_res2799z00_3181 =
																	BGL_CLASS_INDEX
																	(BGl_ev_prog2z00zz__evaluate_typesz00);
																BgL_arg1375z00_1228 = BgL_res2799z00_3181;
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1073z00_1227),
																BgL_arg1375z00_1228);
														}
														BgL_new1074z00_1225 = BgL_new1073z00_1227;
													}
													{
														BgL_ev_exprz00_bglt BgL_auxz00_5041;

														{	/* Eval/evaluate.scm 187 */
															obj_t BgL_arg1374z00_1226;

															{	/* Eval/evaluate.scm 145 */
																obj_t BgL__ortest_1067z00_3184;

																BgL__ortest_1067z00_3184 =
																	BGl_getzd2sourcezd2locationz00zz__readerz00
																	(BgL_e1z00_1208);
																if (CBOOL(BgL__ortest_1067z00_3184))
																	{	/* Eval/evaluate.scm 145 */
																		BgL_arg1374z00_1226 =
																			BgL__ortest_1067z00_3184;
																	}
																else
																	{	/* Eval/evaluate.scm 145 */
																		BgL_arg1374z00_1226 = BgL_locz00_1204;
																	}
															}
															BgL_auxz00_5041 =
																((BgL_ev_exprz00_bglt)
																BGl_convz00zz__evaluatez00(BgL_e1z00_1208,
																	BgL_localsz00_21, BgL_globalsz00_22, BFALSE,
																	BgL_wherez00_24, BgL_arg1374z00_1226,
																	BgL_topzf3zf3_26));
														}
														((((BgL_ev_prog2z00_bglt)
																	CREF(BgL_new1074z00_1225))->BgL_e1z00) =
															((BgL_ev_exprz00_bglt) BgL_auxz00_5041), BUNSPEC);
													}
													((((BgL_ev_prog2z00_bglt) CREF(BgL_new1074z00_1225))->
															BgL_e2z00) =
														((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
																BGl_convzd2beginzd2zz__evaluatez00
																(BgL_rz00_1209, BgL_localsz00_21,
																	BgL_globalsz00_22, BgL_tailzf3zf3_23,
																	BgL_wherez00_24, BgL_locz00_1204,
																	BgL_topzf3zf3_26))), BUNSPEC);
													BgL_auxz00_5036 = BgL_new1074z00_1225;
												}
												return ((obj_t) BgL_auxz00_5036);
											}
										}
								}
							else
								{	/* Eval/evaluate.scm 179 */
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_1204,
										BGl_string3147z00zz__evaluatez00,
										BGl_string3148z00zz__evaluatez00, BgL_lz00_20);
								}
						}
				}
			}
		}
	}



/* conv-field-ref */
	obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t BgL_ez00_30,
		obj_t BgL_localsz00_31, obj_t BgL_globalsz00_32, obj_t BgL_tailzf3zf3_33,
		obj_t BgL_wherez00_34, obj_t BgL_locz00_35, bool_t BgL_topzf3zf3_36)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 204 */
			{	/* Eval/evaluate.scm 205 */
				obj_t BgL_lz00_1233;

				BgL_lz00_1233 = CDR(BgL_ez00_30);
				{	/* Eval/evaluate.scm 205 */
					obj_t BgL_vz00_1234;

					BgL_vz00_1234 =
						BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_1233),
						BgL_localsz00_31);
					{	/* Eval/evaluate.scm 206 */

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_1234,
								BGl_ev_varz00zz__evaluate_typesz00))
							{	/* Eval/evaluate.scm 209 */
								obj_t BgL_g1078z00_1237;
								obj_t BgL_g1079z00_1238;

								{	/* Eval/evaluate.scm 210 */
									obj_t BgL_arg1399z00_1261;

									BgL_arg1399z00_1261 =
										(((BgL_ev_varz00_bglt) CREF(
												((BgL_ev_varz00_bglt) BgL_vz00_1234)))->BgL_typez00);
									BgL_g1078z00_1237 =
										BGl_classzd2existszd2zz__objectz00(BgL_arg1399z00_1261);
								}
								BgL_g1079z00_1238 = CDR(BgL_lz00_1233);
								{
									BgL_ev_exprz00_bglt BgL_nodez00_1240;
									obj_t BgL_klassz00_1241;
									obj_t BgL_fieldsz00_1242;

									BgL_nodez00_1240 =
										((BgL_ev_exprz00_bglt)
										((BgL_ev_varz00_bglt) BgL_vz00_1234));
									BgL_klassz00_1241 = BgL_g1078z00_1237;
									BgL_fieldsz00_1242 = BgL_g1079z00_1238;
								BgL_zc3anonymousza31381ze3z83_1243:
									if (NULLP(BgL_fieldsz00_1242))
										{	/* Eval/evaluate.scm 213 */
											return ((obj_t) BgL_nodez00_1240);
										}
									else
										{	/* Eval/evaluate.scm 213 */
											if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_1241))
												{	/* Eval/evaluate.scm 216 */
													obj_t BgL_fieldz00_1246;

													BgL_fieldz00_1246 =
														BGl_findzd2classzd2fieldz00zz__objectz00
														(BgL_klassz00_1241, CAR(BgL_fieldsz00_1242));
													if (BGl_classzd2fieldzf3z21zz__objectz00
														(BgL_fieldz00_1246))
														{	/* Eval/evaluate.scm 218 */
															BgL_ev_appz00_bglt BgL_nodez00_1248;

															{	/* Eval/evaluate.scm 272 */
																obj_t BgL_getz00_3207;

																BgL_getz00_3207 =
																	BGl_classzd2fieldzd2accessorz00zz__objectz00
																	(BgL_fieldz00_1246);
																{	/* Eval/evaluate.scm 273 */
																	BgL_ev_appz00_bglt BgL_new1086z00_3208;

																	{	/* Eval/evaluate.scm 274 */
																		BgL_ev_appz00_bglt BgL_new1085z00_3209;

																		BgL_new1085z00_3209 =
																			((BgL_ev_appz00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_ev_appz00_bgl))));
																		{	/* Eval/evaluate.scm 274 */
																			long BgL_arg1434z00_3210;

																			{	/* Eval/evaluate.scm 274 */
																				long BgL_res2805z00_3216;

																				BgL_res2805z00_3216 =
																					BGL_CLASS_INDEX
																					(BGl_ev_appz00zz__evaluate_typesz00);
																				BgL_arg1434z00_3210 =
																					BgL_res2805z00_3216;
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1085z00_3209),
																				BgL_arg1434z00_3210);
																		}
																		BgL_new1086z00_3208 = BgL_new1085z00_3209;
																	}
																	((((BgL_ev_appz00_bglt)
																				CREF(BgL_new1086z00_3208))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_35), BUNSPEC);
																	{
																		BgL_ev_exprz00_bglt BgL_auxz00_5077;

																		{	/* Eval/evaluate.scm 275 */
																			BgL_ev_littz00_bglt BgL_new1088z00_3211;

																			{	/* Eval/evaluate.scm 275 */
																				BgL_ev_littz00_bglt BgL_new1087z00_3212;

																				BgL_new1087z00_3212 =
																					((BgL_ev_littz00_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_ev_littz00_bgl))));
																				{	/* Eval/evaluate.scm 275 */
																					long BgL_arg1432z00_3213;

																					{	/* Eval/evaluate.scm 275 */
																						long BgL_res2806z00_3220;

																						{	/* Eval/evaluate.scm 275 */
																							obj_t BgL_classz00_3219;

																							BgL_classz00_3219 =
																								BGl_ev_littz00zz__evaluate_typesz00;
																							BgL_res2806z00_3220 =
																								BGL_CLASS_INDEX
																								(BgL_classz00_3219);
																						}
																						BgL_arg1432z00_3213 =
																							BgL_res2806z00_3220;
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1087z00_3212),
																						BgL_arg1432z00_3213);
																				}
																				BgL_new1088z00_3211 =
																					BgL_new1087z00_3212;
																			}
																			((((BgL_ev_littz00_bglt)
																						CREF(BgL_new1088z00_3211))->
																					BgL_valuez00) =
																				((obj_t) BgL_getz00_3207), BUNSPEC);
																			BgL_auxz00_5077 =
																				((BgL_ev_exprz00_bglt)
																				BgL_new1088z00_3211);
																		}
																		((((BgL_ev_appz00_bglt)
																					CREF(BgL_new1086z00_3208))->
																				BgL_funz00) =
																			((BgL_ev_exprz00_bglt) BgL_auxz00_5077),
																			BUNSPEC);
																	}
																	{
																		obj_t BgL_auxz00_5085;

																		{	/* Eval/evaluate.scm 276 */
																			obj_t BgL_list1433z00_3214;

																			BgL_list1433z00_3214 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_nodez00_1240), BNIL);
																			BgL_auxz00_5085 = BgL_list1433z00_3214;
																		}
																		((((BgL_ev_appz00_bglt)
																					CREF(BgL_new1086z00_3208))->
																				BgL_argsz00) =
																			((obj_t) BgL_auxz00_5085), BUNSPEC);
																	}
																	((((BgL_ev_appz00_bglt)
																				CREF(BgL_new1086z00_3208))->
																			BgL_tailzf3zf3) =
																		((obj_t) BgL_tailzf3zf3_33), BUNSPEC);
																	BgL_nodez00_1248 = BgL_new1086z00_3208;
															}}
															{	/* Eval/evaluate.scm 221 */
																obj_t BgL_arg1385z00_1249;
																obj_t BgL_arg1386z00_1250;

																BgL_arg1385z00_1249 =
																	BGl_classzd2fieldzd2typez00zz__objectz00
																	(BgL_fieldz00_1246);
																BgL_arg1386z00_1250 = CDR(BgL_fieldsz00_1242);
																{
																	obj_t BgL_fieldsz00_5095;
																	obj_t BgL_klassz00_5094;
																	BgL_ev_exprz00_bglt BgL_nodez00_5092;

																	BgL_nodez00_5092 =
																		((BgL_ev_exprz00_bglt) BgL_nodez00_1248);
																	BgL_klassz00_5094 = BgL_arg1385z00_1249;
																	BgL_fieldsz00_5095 = BgL_arg1386z00_1250;
																	BgL_fieldsz00_1242 = BgL_fieldsz00_5095;
																	BgL_klassz00_1241 = BgL_klassz00_5094;
																	BgL_nodez00_1240 = BgL_nodez00_5092;
																	goto BgL_zc3anonymousza31381ze3z83_1243;
																}
															}
														}
													else
														{	/* Eval/evaluate.scm 223 */
															obj_t BgL_arg1387z00_1251;
															obj_t BgL_arg1390z00_1252;

															BgL_arg1387z00_1251 =
																(((BgL_ev_varz00_bglt) CREF(
																		((BgL_ev_varz00_bglt) BgL_vz00_1234)))->
																BgL_typez00);
															{	/* Eval/evaluate.scm 224 */
																obj_t BgL_arg1391z00_1253;
																obj_t BgL_arg1392z00_1254;

																BgL_arg1391z00_1253 =
																	(((BgL_ev_varz00_bglt) CREF(
																			((BgL_ev_varz00_bglt) BgL_vz00_1234)))->
																	BgL_typez00);
																BgL_arg1392z00_1254 = CAR(BgL_fieldsz00_1242);
																{	/* Eval/evaluate.scm 224 */
																	obj_t BgL_list1393z00_1255;

																	{	/* Eval/evaluate.scm 224 */
																		obj_t BgL_arg1394z00_1256;

																		BgL_arg1394z00_1256 =
																			MAKE_YOUNG_PAIR(BgL_arg1392z00_1254,
																			BNIL);
																		BgL_list1393z00_1255 =
																			MAKE_YOUNG_PAIR(BgL_arg1391z00_1253,
																			BgL_arg1394z00_1256);
																	}
																	BgL_arg1390z00_1252 =
																		BGl_formatz00zz__r4_output_6_10_3z00
																		(BGl_string3149z00zz__evaluatez00,
																		BgL_list1393z00_1255);
																}
															}
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_35, BgL_arg1387z00_1251,
																BgL_arg1390z00_1252, BgL_ez00_30);
														}
												}
											else
												{	/* Eval/evaluate.scm 227 */
													obj_t BgL_arg1398z00_1258;

													{	/* Eval/evaluate.scm 227 */
														obj_t BgL__ortest_1080z00_1259;

														BgL__ortest_1080z00_1259 =
															(((BgL_ev_varz00_bglt) CREF(
																	((BgL_ev_varz00_bglt) BgL_vz00_1234)))->
															BgL_typez00);
														if (CBOOL(BgL__ortest_1080z00_1259))
															{	/* Eval/evaluate.scm 227 */
																BgL_arg1398z00_1258 = BgL__ortest_1080z00_1259;
															}
														else
															{	/* Eval/evaluate.scm 227 */
																BgL_arg1398z00_1258 =
																	(((BgL_ev_varz00_bglt) CREF(
																			((BgL_ev_varz00_bglt) BgL_vz00_1234)))->
																	BgL_namez00);
															}
													}
													return
														BGl_evcompilezd2errorzd2zz__evcompilez00
														(BgL_locz00_35, BgL_arg1398z00_1258,
														BGl_string3150z00zz__evaluatez00, BgL_ez00_30);
												}
										}
								}
							}
						else
							{	/* Eval/evaluate.scm 207 */
								return
									BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35,
									CAR(CDR(BgL_ez00_30)), BGl_string3151z00zz__evaluatez00,
									BgL_ez00_30);
							}
					}
				}
			}
		}
	}



/* conv-field-set */
	obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t BgL_lz00_37,
		obj_t BgL_e2z00_38, obj_t BgL_ez00_39, obj_t BgL_localsz00_40,
		obj_t BgL_globalsz00_41, obj_t BgL_tailzf3zf3_42, obj_t BgL_wherez00_43,
		obj_t BgL_locz00_44, bool_t BgL_topzf3zf3_45)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 234 */
			{	/* Eval/evaluate.scm 235 */
				obj_t BgL_vz00_1264;

				BgL_vz00_1264 =
					BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_37), BgL_localsz00_40);
				{	/* Eval/evaluate.scm 235 */
					obj_t BgL_e2z00_1265;

					BgL_e2z00_1265 =
						BGl_convz00zz__evaluatez00(BgL_e2z00_38, BgL_localsz00_40,
						BgL_globalsz00_41, BFALSE, BgL_wherez00_43, BgL_locz00_44,
						((bool_t) 0));
					{	/* Eval/evaluate.scm 236 */

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_1264,
								BGl_ev_varz00zz__evaluate_typesz00))
							{	/* Eval/evaluate.scm 239 */
								obj_t BgL_g1082z00_1268;
								obj_t BgL_g1083z00_1269;

								{	/* Eval/evaluate.scm 240 */
									obj_t BgL_arg1429z00_1300;

									BgL_arg1429z00_1300 =
										(((BgL_ev_varz00_bglt) CREF(
												((BgL_ev_varz00_bglt) BgL_vz00_1264)))->BgL_typez00);
									BgL_g1082z00_1268 =
										BGl_classzd2existszd2zz__objectz00(BgL_arg1429z00_1300);
								}
								BgL_g1083z00_1269 = CDR(BgL_lz00_37);
								{
									BgL_ev_exprz00_bglt BgL_nodez00_1271;
									obj_t BgL_klassz00_1272;
									obj_t BgL_fieldsz00_1273;

									BgL_nodez00_1271 =
										((BgL_ev_exprz00_bglt)
										((BgL_ev_varz00_bglt) BgL_vz00_1264));
									BgL_klassz00_1272 = BgL_g1082z00_1268;
									BgL_fieldsz00_1273 = BgL_g1083z00_1269;
								BgL_zc3anonymousza31403ze3z83_1274:
									if (NULLP(BgL_fieldsz00_1273))
										{	/* Eval/evaluate.scm 243 */
											return ((obj_t) BgL_nodez00_1271);
										}
									else
										{	/* Eval/evaluate.scm 243 */
											if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_1272))
												{	/* Eval/evaluate.scm 246 */
													obj_t BgL_fieldz00_1277;

													BgL_fieldz00_1277 =
														BGl_findzd2classzd2fieldz00zz__objectz00
														(BgL_klassz00_1272, CAR(BgL_fieldsz00_1273));
													if (BGl_classzd2fieldzf3z21zz__objectz00
														(BgL_fieldz00_1277))
														{	/* Eval/evaluate.scm 247 */
															if (NULLP(CDR(BgL_fieldsz00_1273)))
																{	/* Eval/evaluate.scm 248 */
																	if (BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(BgL_fieldz00_1277))
																		{	/* Eval/evaluate.scm 251 */
																			obj_t BgL_arg1412z00_1282;

																			{	/* Eval/evaluate.scm 251 */
																				obj_t BgL_list1413z00_1283;

																				{	/* Eval/evaluate.scm 251 */
																					obj_t BgL_arg1414z00_1284;

																					BgL_arg1414z00_1284 =
																						MAKE_YOUNG_PAIR(BgL_e2z00_1265,
																						BNIL);
																					BgL_list1413z00_1283 =
																						MAKE_YOUNG_PAIR(((obj_t)
																							BgL_nodez00_1271),
																						BgL_arg1414z00_1284);
																				}
																				BgL_arg1412z00_1282 =
																					BgL_list1413z00_1283;
																			}
																			{	/* Eval/evaluate.scm 283 */
																				obj_t BgL_setz00_3237;

																				BgL_setz00_3237 =
																					BGl_classzd2fieldzd2mutatorz00zz__objectz00
																					(BgL_fieldz00_1277);
																				{	/* Eval/evaluate.scm 284 */
																					BgL_ev_appz00_bglt
																						BgL_new1090z00_3238;
																					{	/* Eval/evaluate.scm 285 */
																						BgL_ev_appz00_bglt
																							BgL_new1089z00_3239;
																						BgL_new1089z00_3239 =
																							((BgL_ev_appz00_bglt)
																							BREF(GC_MALLOC(sizeof(struct
																										BgL_ev_appz00_bgl))));
																						{	/* Eval/evaluate.scm 285 */
																							long BgL_arg1436z00_3240;

																							{	/* Eval/evaluate.scm 285 */
																								long BgL_res2811z00_3245;

																								BgL_res2811z00_3245 =
																									BGL_CLASS_INDEX
																									(BGl_ev_appz00zz__evaluate_typesz00);
																								BgL_arg1436z00_3240 =
																									BgL_res2811z00_3245;
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1089z00_3239),
																								BgL_arg1436z00_3240);
																						}
																						BgL_new1090z00_3238 =
																							BgL_new1089z00_3239;
																					}
																					((((BgL_ev_appz00_bglt)
																								CREF(BgL_new1090z00_3238))->
																							BgL_locz00) =
																						((obj_t) BgL_locz00_44), BUNSPEC);
																					{
																						BgL_ev_exprz00_bglt BgL_auxz00_5149;

																						{	/* Eval/evaluate.scm 286 */
																							BgL_ev_littz00_bglt
																								BgL_new1092z00_3241;
																							{	/* Eval/evaluate.scm 286 */
																								BgL_ev_littz00_bglt
																									BgL_new1091z00_3242;
																								BgL_new1091z00_3242 =
																									((BgL_ev_littz00_bglt)
																									BREF(GC_MALLOC(sizeof(struct
																												BgL_ev_littz00_bgl))));
																								{	/* Eval/evaluate.scm 286 */
																									long BgL_arg1435z00_3243;

																									{	/* Eval/evaluate.scm 286 */
																										long BgL_res2812z00_3249;

																										{	/* Eval/evaluate.scm 286 */
																											obj_t BgL_classz00_3248;

																											BgL_classz00_3248 =
																												BGl_ev_littz00zz__evaluate_typesz00;
																											BgL_res2812z00_3249 =
																												BGL_CLASS_INDEX
																												(BgL_classz00_3248);
																										}
																										BgL_arg1435z00_3243 =
																											BgL_res2812z00_3249;
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1091z00_3242),
																										BgL_arg1435z00_3243);
																								}
																								BgL_new1092z00_3241 =
																									BgL_new1091z00_3242;
																							}
																							((((BgL_ev_littz00_bglt)
																										CREF(BgL_new1092z00_3241))->
																									BgL_valuez00) =
																								((obj_t) BgL_setz00_3237),
																								BUNSPEC);
																							BgL_auxz00_5149 =
																								((BgL_ev_exprz00_bglt)
																								BgL_new1092z00_3241);
																						}
																						((((BgL_ev_appz00_bglt)
																									CREF(BgL_new1090z00_3238))->
																								BgL_funz00) =
																							((BgL_ev_exprz00_bglt)
																								BgL_auxz00_5149), BUNSPEC);
																					}
																					((((BgL_ev_appz00_bglt)
																								CREF(BgL_new1090z00_3238))->
																							BgL_argsz00) =
																						((obj_t) BgL_arg1412z00_1282),
																						BUNSPEC);
																					((((BgL_ev_appz00_bglt)
																								CREF(BgL_new1090z00_3238))->
																							BgL_tailzf3zf3) =
																						((obj_t) BgL_tailzf3zf3_42),
																						BUNSPEC);
																					return ((obj_t) BgL_new1090z00_3238);
																				}
																			}
																		}
																	else
																		{	/* Eval/evaluate.scm 249 */
																			return
																				BGl_evcompilezd2errorzd2zz__evcompilez00
																				(BgL_locz00_44, CAR(BgL_fieldsz00_1273),
																				BGl_string3152z00zz__evaluatez00,
																				BgL_ez00_39);
																		}
																}
															else
																{	/* Eval/evaluate.scm 255 */
																	BgL_ev_appz00_bglt BgL_nodez00_1286;

																	{	/* Eval/evaluate.scm 272 */
																		obj_t BgL_getz00_3253;

																		BgL_getz00_3253 =
																			BGl_classzd2fieldzd2accessorz00zz__objectz00
																			(BgL_fieldz00_1277);
																		{	/* Eval/evaluate.scm 273 */
																			BgL_ev_appz00_bglt BgL_new1086z00_3254;

																			{	/* Eval/evaluate.scm 274 */
																				BgL_ev_appz00_bglt BgL_new1085z00_3255;

																				BgL_new1085z00_3255 =
																					((BgL_ev_appz00_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_ev_appz00_bgl))));
																				{	/* Eval/evaluate.scm 274 */
																					long BgL_arg1434z00_3256;

																					{	/* Eval/evaluate.scm 274 */
																						long BgL_res2813z00_3262;

																						BgL_res2813z00_3262 =
																							BGL_CLASS_INDEX
																							(BGl_ev_appz00zz__evaluate_typesz00);
																						BgL_arg1434z00_3256 =
																							BgL_res2813z00_3262;
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1085z00_3255),
																						BgL_arg1434z00_3256);
																				}
																				BgL_new1086z00_3254 =
																					BgL_new1085z00_3255;
																			}
																			((((BgL_ev_appz00_bglt)
																						CREF(BgL_new1086z00_3254))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_44), BUNSPEC);
																			{
																				BgL_ev_exprz00_bglt BgL_auxz00_5168;

																				{	/* Eval/evaluate.scm 275 */
																					BgL_ev_littz00_bglt
																						BgL_new1088z00_3257;
																					{	/* Eval/evaluate.scm 275 */
																						BgL_ev_littz00_bglt
																							BgL_new1087z00_3258;
																						BgL_new1087z00_3258 =
																							((BgL_ev_littz00_bglt)
																							BREF(GC_MALLOC(sizeof(struct
																										BgL_ev_littz00_bgl))));
																						{	/* Eval/evaluate.scm 275 */
																							long BgL_arg1432z00_3259;

																							{	/* Eval/evaluate.scm 275 */
																								long BgL_res2814z00_3266;

																								{	/* Eval/evaluate.scm 275 */
																									obj_t BgL_classz00_3265;

																									BgL_classz00_3265 =
																										BGl_ev_littz00zz__evaluate_typesz00;
																									BgL_res2814z00_3266 =
																										BGL_CLASS_INDEX
																										(BgL_classz00_3265);
																								}
																								BgL_arg1432z00_3259 =
																									BgL_res2814z00_3266;
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1087z00_3258),
																								BgL_arg1432z00_3259);
																						}
																						BgL_new1088z00_3257 =
																							BgL_new1087z00_3258;
																					}
																					((((BgL_ev_littz00_bglt)
																								CREF(BgL_new1088z00_3257))->
																							BgL_valuez00) =
																						((obj_t) BgL_getz00_3253), BUNSPEC);
																					BgL_auxz00_5168 =
																						((BgL_ev_exprz00_bglt)
																						BgL_new1088z00_3257);
																				}
																				((((BgL_ev_appz00_bglt)
																							CREF(BgL_new1086z00_3254))->
																						BgL_funz00) =
																					((BgL_ev_exprz00_bglt)
																						BgL_auxz00_5168), BUNSPEC);
																			}
																			{
																				obj_t BgL_auxz00_5176;

																				{	/* Eval/evaluate.scm 276 */
																					obj_t BgL_list1433z00_3260;

																					BgL_list1433z00_3260 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_nodez00_1271), BNIL);
																					BgL_auxz00_5176 =
																						BgL_list1433z00_3260;
																				}
																				((((BgL_ev_appz00_bglt)
																							CREF(BgL_new1086z00_3254))->
																						BgL_argsz00) =
																					((obj_t) BgL_auxz00_5176), BUNSPEC);
																			}
																			((((BgL_ev_appz00_bglt)
																						CREF(BgL_new1086z00_3254))->
																					BgL_tailzf3zf3) =
																				((obj_t) BgL_tailzf3zf3_42), BUNSPEC);
																			BgL_nodez00_1286 = BgL_new1086z00_3254;
																	}}
																	{	/* Eval/evaluate.scm 258 */
																		obj_t BgL_arg1416z00_1287;
																		obj_t BgL_arg1417z00_1288;

																		BgL_arg1416z00_1287 =
																			BGl_classzd2fieldzd2typez00zz__objectz00
																			(BgL_fieldz00_1277);
																		BgL_arg1417z00_1288 =
																			CDR(BgL_fieldsz00_1273);
																		{
																			obj_t BgL_fieldsz00_5186;
																			obj_t BgL_klassz00_5185;
																			BgL_ev_exprz00_bglt BgL_nodez00_5183;

																			BgL_nodez00_5183 =
																				((BgL_ev_exprz00_bglt)
																				BgL_nodez00_1286);
																			BgL_klassz00_5185 = BgL_arg1416z00_1287;
																			BgL_fieldsz00_5186 = BgL_arg1417z00_1288;
																			BgL_fieldsz00_1273 = BgL_fieldsz00_5186;
																			BgL_klassz00_1272 = BgL_klassz00_5185;
																			BgL_nodez00_1271 = BgL_nodez00_5183;
																			goto BgL_zc3anonymousza31403ze3z83_1274;
																		}
																	}
																}
														}
													else
														{	/* Eval/evaluate.scm 260 */
															obj_t BgL_arg1419z00_1290;
															obj_t BgL_arg1420z00_1291;

															BgL_arg1419z00_1290 =
																(((BgL_ev_varz00_bglt) CREF(
																		((BgL_ev_varz00_bglt) BgL_vz00_1264)))->
																BgL_typez00);
															{	/* Eval/evaluate.scm 261 */
																obj_t BgL_arg1421z00_1292;
																obj_t BgL_arg1423z00_1293;

																BgL_arg1421z00_1292 =
																	(((BgL_ev_varz00_bglt) CREF(
																			((BgL_ev_varz00_bglt) BgL_vz00_1264)))->
																	BgL_typez00);
																BgL_arg1423z00_1293 = CAR(BgL_fieldsz00_1273);
																{	/* Eval/evaluate.scm 261 */
																	obj_t BgL_list1424z00_1294;

																	{	/* Eval/evaluate.scm 261 */
																		obj_t BgL_arg1426z00_1295;

																		BgL_arg1426z00_1295 =
																			MAKE_YOUNG_PAIR(BgL_arg1423z00_1293,
																			BNIL);
																		BgL_list1424z00_1294 =
																			MAKE_YOUNG_PAIR(BgL_arg1421z00_1292,
																			BgL_arg1426z00_1295);
																	}
																	BgL_arg1420z00_1291 =
																		BGl_formatz00zz__r4_output_6_10_3z00
																		(BGl_string3149z00zz__evaluatez00,
																		BgL_list1424z00_1294);
																}
															}
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_44, BgL_arg1419z00_1290,
																BgL_arg1420z00_1291, BgL_ez00_39);
														}
												}
											else
												{	/* Eval/evaluate.scm 265 */
													obj_t BgL_arg1428z00_1297;

													{	/* Eval/evaluate.scm 265 */
														obj_t BgL__ortest_1084z00_1298;

														BgL__ortest_1084z00_1298 =
															(((BgL_ev_varz00_bglt) CREF(
																	((BgL_ev_varz00_bglt) BgL_vz00_1264)))->
															BgL_typez00);
														if (CBOOL(BgL__ortest_1084z00_1298))
															{	/* Eval/evaluate.scm 265 */
																BgL_arg1428z00_1297 = BgL__ortest_1084z00_1298;
															}
														else
															{	/* Eval/evaluate.scm 265 */
																BgL_arg1428z00_1297 =
																	(((BgL_ev_varz00_bglt) CREF(
																			((BgL_ev_varz00_bglt) BgL_vz00_1264)))->
																	BgL_namez00);
															}
													}
													return
														BGl_evcompilezd2errorzd2zz__evcompilez00
														(BgL_locz00_44, BgL_arg1428z00_1297,
														BGl_string3150z00zz__evaluatez00, BgL_ez00_39);
												}
										}
								}
							}
						else
							{	/* Eval/evaluate.scm 237 */
								return
									BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44,
									CAR(BgL_lz00_37), BGl_string3151z00zz__evaluatez00,
									BgL_ez00_39);
							}
					}
				}
			}
		}
	}



/* type-check */
	obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t BgL_varz00_56,
		obj_t BgL_tnamez00_57, obj_t BgL_locz00_58, obj_t BgL_procnamez00_59,
		obj_t BgL_bodyz00_60)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 299 */
			if (SYMBOLP(BgL_tnamez00_57))
				{	/* Eval/evaluate.scm 302 */
					obj_t BgL_predz00_1321;

					if ((BgL_tnamez00_57 == BGl_symbol3153z00zz__evaluatez00))
						{	/* Eval/evaluate.scm 302 */
							BgL_predz00_1321 = BGl_symbol3155z00zz__evaluatez00;
						}
					else
						{	/* Eval/evaluate.scm 302 */
							if ((BgL_tnamez00_57 == BGl_symbol3157z00zz__evaluatez00))
								{	/* Eval/evaluate.scm 302 */
									BgL_predz00_1321 = BGl_symbol3158z00zz__evaluatez00;
								}
							else
								{	/* Eval/evaluate.scm 302 */
									if ((BgL_tnamez00_57 == BGl_symbol3160z00zz__evaluatez00))
										{	/* Eval/evaluate.scm 302 */
											BgL_predz00_1321 = BGl_symbol3162z00zz__evaluatez00;
										}
									else
										{	/* Eval/evaluate.scm 302 */
											if ((BgL_tnamez00_57 == BGl_symbol3164z00zz__evaluatez00))
												{	/* Eval/evaluate.scm 302 */
													BgL_predz00_1321 = BGl_symbol3166z00zz__evaluatez00;
												}
											else
												{	/* Eval/evaluate.scm 302 */
													bool_t BgL_testz00_5217;

													{	/* Eval/evaluate.scm 302 */
														bool_t BgL__ortest_1093z00_1397;

														BgL__ortest_1093z00_1397 =
															(BgL_tnamez00_57 ==
															BGl_symbol3168z00zz__evaluatez00);
														if (BgL__ortest_1093z00_1397)
															{	/* Eval/evaluate.scm 302 */
																BgL_testz00_5217 = BgL__ortest_1093z00_1397;
															}
														else
															{	/* Eval/evaluate.scm 302 */
																BgL_testz00_5217 =
																	(BgL_tnamez00_57 ==
																	BGl_symbol3170z00zz__evaluatez00);
															}
													}
													if (BgL_testz00_5217)
														{	/* Eval/evaluate.scm 302 */
															BgL_predz00_1321 =
																BGl_symbol3171z00zz__evaluatez00;
														}
													else
														{	/* Eval/evaluate.scm 302 */
															bool_t BgL_testz00_5221;

															{	/* Eval/evaluate.scm 302 */
																bool_t BgL__ortest_1094z00_1396;

																BgL__ortest_1094z00_1396 =
																	(BgL_tnamez00_57 ==
																	BGl_symbol3173z00zz__evaluatez00);
																if (BgL__ortest_1094z00_1396)
																	{	/* Eval/evaluate.scm 302 */
																		BgL_testz00_5221 = BgL__ortest_1094z00_1396;
																	}
																else
																	{	/* Eval/evaluate.scm 302 */
																		BgL_testz00_5221 =
																			(BgL_tnamez00_57 ==
																			BGl_symbol3175z00zz__evaluatez00);
																	}
															}
															if (BgL_testz00_5221)
																{	/* Eval/evaluate.scm 302 */
																	BgL_predz00_1321 =
																		BGl_symbol3177z00zz__evaluatez00;
																}
															else
																{	/* Eval/evaluate.scm 302 */
																	if (
																		(BgL_tnamez00_57 ==
																			BGl_symbol3179z00zz__evaluatez00))
																		{	/* Eval/evaluate.scm 302 */
																			BgL_predz00_1321 =
																				BGl_symbol3181z00zz__evaluatez00;
																		}
																	else
																		{	/* Eval/evaluate.scm 302 */
																			if (
																				(BgL_tnamez00_57 ==
																					BGl_symbol3183z00zz__evaluatez00))
																				{	/* Eval/evaluate.scm 302 */
																					BgL_predz00_1321 =
																						BGl_symbol3185z00zz__evaluatez00;
																				}
																			else
																				{	/* Eval/evaluate.scm 302 */
																					if (
																						(BgL_tnamez00_57 ==
																							BGl_symbol3187z00zz__evaluatez00))
																						{	/* Eval/evaluate.scm 302 */
																							BgL_predz00_1321 =
																								BGl_symbol3189z00zz__evaluatez00;
																						}
																					else
																						{	/* Eval/evaluate.scm 302 */
																							bool_t BgL_testz00_5231;

																							{	/* Eval/evaluate.scm 302 */
																								bool_t BgL__ortest_1095z00_1395;

																								BgL__ortest_1095z00_1395 =
																									(BgL_tnamez00_57 ==
																									BGl_symbol3191z00zz__evaluatez00);
																								if (BgL__ortest_1095z00_1395)
																									{	/* Eval/evaluate.scm 302 */
																										BgL_testz00_5231 =
																											BgL__ortest_1095z00_1395;
																									}
																								else
																									{	/* Eval/evaluate.scm 302 */
																										BgL_testz00_5231 =
																											(BgL_tnamez00_57 ==
																											BGl_symbol3193z00zz__evaluatez00);
																									}
																							}
																							if (BgL_testz00_5231)
																								{	/* Eval/evaluate.scm 302 */
																									BgL_predz00_1321 =
																										BGl_symbol3195z00zz__evaluatez00;
																								}
																							else
																								{	/* Eval/evaluate.scm 313 */
																									obj_t BgL_arg1485z00_1375;

																									{	/* Eval/evaluate.scm 313 */
																										obj_t BgL_arg1486z00_1376;
																										obj_t BgL_arg1487z00_1377;

																										BgL_arg1486z00_1376 =
																											MAKE_YOUNG_PAIR
																											(BGl_symbol3197z00zz__evaluatez00,
																											BNIL);
																										{	/* Eval/evaluate.scm 314 */
																											obj_t BgL_arg1488z00_1378;

																											{	/* Eval/evaluate.scm 314 */
																												obj_t
																													BgL_arg1489z00_1379;
																												{	/* Eval/evaluate.scm 314 */
																													obj_t
																														BgL_arg1490z00_1380;
																													obj_t
																														BgL_arg1491z00_1381;
																													{	/* Eval/evaluate.scm 314 */
																														obj_t
																															BgL_arg1492z00_1382;
																														{	/* Eval/evaluate.scm 314 */
																															obj_t
																																BgL_arg1493z00_1383;
																															{	/* Eval/evaluate.scm 314 */
																																obj_t
																																	BgL_arg1494z00_1384;
																																{	/* Eval/evaluate.scm 314 */
																																	obj_t
																																		BgL_arg1495z00_1385;
																																	{	/* Eval/evaluate.scm 314 */
																																		obj_t
																																			BgL_arg1496z00_1386;
																																		{	/* Eval/evaluate.scm 314 */
																																			obj_t
																																				BgL_arg1497z00_1387;
																																			BgL_arg1497z00_1387
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_tnamez00_57,
																																				BNIL);
																																			BgL_arg1496z00_1386
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_symbol3199z00zz__evaluatez00,
																																				BgL_arg1497z00_1387);
																																		}
																																		BgL_arg1495z00_1385
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1496z00_1386,
																																			BNIL);
																																	}
																																	BgL_arg1494z00_1384
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_symbol3201z00zz__evaluatez00,
																																		BgL_arg1495z00_1385);
																																}
																																BgL_arg1493z00_1383
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1494z00_1384,
																																	BNIL);
																															}
																															BgL_arg1492z00_1382
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_symbol3203z00zz__evaluatez00,
																																BgL_arg1493z00_1383);
																														}
																														BgL_arg1490z00_1380
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1492z00_1382,
																															BNIL);
																													}
																													{	/* Eval/evaluate.scm 315 */
																														obj_t
																															BgL_arg1499z00_1388;
																														{	/* Eval/evaluate.scm 315 */
																															obj_t
																																BgL_arg1504z00_1389;
																															{	/* Eval/evaluate.scm 315 */
																																obj_t
																																	BgL_arg1505z00_1390;
																																{	/* Eval/evaluate.scm 315 */
																																	obj_t
																																		BgL_arg1506z00_1391;
																																	obj_t
																																		BgL_arg1507z00_1392;
																																	{	/* Eval/evaluate.scm 315 */
																																		obj_t
																																			BgL_arg1508z00_1393;
																																		{	/* Eval/evaluate.scm 315 */
																																			obj_t
																																				BgL_arg1509z00_1394;
																																			BgL_arg1509z00_1394
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_symbol3203z00zz__evaluatez00,
																																				BNIL);
																																			BgL_arg1508z00_1393
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_symbol3197z00zz__evaluatez00,
																																				BgL_arg1509z00_1394);
																																		}
																																		BgL_arg1506z00_1391
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BGl_symbol3205z00zz__evaluatez00,
																																			BgL_arg1508z00_1393);
																																	}
																																	BgL_arg1507z00_1392
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BTRUE,
																																		BNIL);
																																	BgL_arg1505z00_1390
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1506z00_1391,
																																		BgL_arg1507z00_1392);
																																}
																																BgL_arg1504z00_1389
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_symbol3203z00zz__evaluatez00,
																																	BgL_arg1505z00_1390);
																															}
																															BgL_arg1499z00_1388
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_symbol3207z00zz__evaluatez00,
																																BgL_arg1504z00_1389);
																														}
																														BgL_arg1491z00_1381
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1499z00_1388,
																															BNIL);
																													}
																													BgL_arg1489z00_1379 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1490z00_1380,
																														BgL_arg1491z00_1381);
																												}
																												BgL_arg1488z00_1378 =
																													MAKE_YOUNG_PAIR
																													(BGl_symbol3209z00zz__evaluatez00,
																													BgL_arg1489z00_1379);
																											}
																											BgL_arg1487z00_1377 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1488z00_1378,
																												BNIL);
																										}
																										BgL_arg1485z00_1375 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1486z00_1376,
																											BgL_arg1487z00_1377);
																									}
																									BgL_predz00_1321 =
																										MAKE_YOUNG_PAIR
																										(BGl_symbol3211z00zz__evaluatez00,
																										BgL_arg1485z00_1375);
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
					{	/* Eval/evaluate.scm 317 */
						obj_t BgL_arg1440z00_1322;

						{	/* Eval/evaluate.scm 317 */
							obj_t BgL_arg1441z00_1323;

							{	/* Eval/evaluate.scm 317 */
								obj_t BgL_arg1442z00_1324;
								obj_t BgL_arg1443z00_1325;

								{	/* Eval/evaluate.scm 317 */
									obj_t BgL_arg1444z00_1326;

									BgL_arg1444z00_1326 = MAKE_YOUNG_PAIR(BgL_varz00_56, BNIL);
									BgL_arg1442z00_1324 =
										MAKE_YOUNG_PAIR(BgL_predz00_1321, BgL_arg1444z00_1326);
								}
								{	/* Eval/evaluate.scm 317 */
									obj_t BgL_arg1445z00_1327;

									{	/* Eval/evaluate.scm 317 */
										obj_t BgL_arg1446z00_1328;

										{
											obj_t BgL_fnamez00_1329;
											obj_t BgL_posz00_1330;

											if (PAIRP(BgL_locz00_58))
												{	/* Eval/evaluate.scm 317 */
													obj_t BgL_cdrzd2138zd2_1335;

													BgL_cdrzd2138zd2_1335 = CDR(BgL_locz00_58);
													if (
														(CAR(BgL_locz00_58) ==
															BGl_symbol3217z00zz__evaluatez00))
														{	/* Eval/evaluate.scm 317 */
															if (PAIRP(BgL_cdrzd2138zd2_1335))
																{	/* Eval/evaluate.scm 317 */
																	obj_t BgL_cdrzd2142zd2_1339;

																	BgL_cdrzd2142zd2_1339 =
																		CDR(BgL_cdrzd2138zd2_1335);
																	if (PAIRP(BgL_cdrzd2142zd2_1339))
																		{	/* Eval/evaluate.scm 317 */
																			if (NULLP(CDR(BgL_cdrzd2142zd2_1339)))
																				{	/* Eval/evaluate.scm 317 */
																					BgL_fnamez00_1329 =
																						CAR(BgL_cdrzd2138zd2_1335);
																					BgL_posz00_1330 =
																						CAR(BgL_cdrzd2142zd2_1339);
																					{	/* Eval/evaluate.scm 322 */
																						obj_t BgL_arg1460z00_1347;

																						{	/* Eval/evaluate.scm 322 */
																							obj_t BgL_arg1461z00_1348;
																							obj_t BgL_arg1463z00_1349;

																							if (SYMBOLP(BgL_procnamez00_59))
																								{	/* Eval/evaluate.scm 322 */
																									obj_t BgL_res2831z00_3328;

																									{	/* Eval/evaluate.scm 322 */
																										obj_t BgL_arg2595z00_3327;

																										BgL_arg2595z00_3327 =
																											SYMBOL_TO_STRING
																											(BgL_procnamez00_59);
																										BgL_res2831z00_3328 =
																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																											(BgL_arg2595z00_3327);
																									}
																									BgL_arg1461z00_1348 =
																										BgL_res2831z00_3328;
																								}
																							else
																								{	/* Eval/evaluate.scm 322 */
																									BgL_arg1461z00_1348 = BFALSE;
																								}
																							{	/* Eval/evaluate.scm 323 */
																								obj_t BgL_arg1465z00_1351;
																								obj_t BgL_arg1466z00_1352;

																								{	/* Eval/evaluate.scm 323 */
																									obj_t BgL_res2832z00_3331;

																									{	/* Eval/evaluate.scm 323 */
																										obj_t BgL_arg2595z00_3330;

																										BgL_arg2595z00_3330 =
																											SYMBOL_TO_STRING
																											(BgL_tnamez00_57);
																										BgL_res2832z00_3331 =
																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																											(BgL_arg2595z00_3330);
																									}
																									BgL_arg1465z00_1351 =
																										BgL_res2832z00_3331;
																								}
																								{	/* Eval/evaluate.scm 321 */
																									obj_t BgL_arg1467z00_1353;

																									{	/* Eval/evaluate.scm 321 */
																										obj_t BgL_arg1468z00_1354;

																										BgL_arg1468z00_1354 =
																											MAKE_YOUNG_PAIR
																											(BgL_posz00_1330, BNIL);
																										BgL_arg1467z00_1353 =
																											MAKE_YOUNG_PAIR
																											(BgL_fnamez00_1329,
																											BgL_arg1468z00_1354);
																									}
																									BgL_arg1466z00_1352 =
																										MAKE_YOUNG_PAIR
																										(BgL_varz00_56,
																										BgL_arg1467z00_1353);
																								}
																								BgL_arg1463z00_1349 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1465z00_1351,
																									BgL_arg1466z00_1352);
																							}
																							BgL_arg1460z00_1347 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1461z00_1348,
																								BgL_arg1463z00_1349);
																						}
																						BgL_arg1446z00_1328 =
																							MAKE_YOUNG_PAIR
																							(BGl_symbol3213z00zz__evaluatez00,
																							BgL_arg1460z00_1347);
																					}
																				}
																			else
																				{	/* Eval/evaluate.scm 317 */
																				BgL_tagzd2131zd2_1332:
																					{	/* Eval/evaluate.scm 327 */
																						obj_t BgL_arg1469z00_1355;

																						{	/* Eval/evaluate.scm 327 */
																							obj_t BgL_arg1470z00_1356;
																							obj_t BgL_arg1471z00_1357;

																							if (SYMBOLP(BgL_procnamez00_59))
																								{	/* Eval/evaluate.scm 327 */
																									obj_t BgL_res2834z00_3335;

																									{	/* Eval/evaluate.scm 327 */
																										obj_t BgL_arg2595z00_3334;

																										BgL_arg2595z00_3334 =
																											SYMBOL_TO_STRING
																											(BgL_procnamez00_59);
																										BgL_res2834z00_3335 =
																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																											(BgL_arg2595z00_3334);
																									}
																									BgL_arg1470z00_1356 =
																										BgL_res2834z00_3335;
																								}
																							else
																								{	/* Eval/evaluate.scm 327 */
																									BgL_arg1470z00_1356 = BFALSE;
																								}
																							{	/* Eval/evaluate.scm 328 */
																								obj_t BgL_arg1473z00_1359;
																								obj_t BgL_arg1474z00_1360;

																								{	/* Eval/evaluate.scm 328 */
																									obj_t BgL_res2835z00_3338;

																									{	/* Eval/evaluate.scm 328 */
																										obj_t BgL_arg2595z00_3337;

																										BgL_arg2595z00_3337 =
																											SYMBOL_TO_STRING
																											(BgL_tnamez00_57);
																										BgL_res2835z00_3338 =
																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																											(BgL_arg2595z00_3337);
																									}
																									BgL_arg1473z00_1359 =
																										BgL_res2835z00_3338;
																								}
																								BgL_arg1474z00_1360 =
																									MAKE_YOUNG_PAIR(BgL_varz00_56,
																									BNIL);
																								BgL_arg1471z00_1357 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1473z00_1359,
																									BgL_arg1474z00_1360);
																							}
																							BgL_arg1469z00_1355 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1470z00_1356,
																								BgL_arg1471z00_1357);
																						}
																						BgL_arg1446z00_1328 =
																							MAKE_YOUNG_PAIR
																							(BGl_symbol3215z00zz__evaluatez00,
																							BgL_arg1469z00_1355);
																					}
																				}
																		}
																	else
																		{	/* Eval/evaluate.scm 317 */
																			goto BgL_tagzd2131zd2_1332;
																		}
																}
															else
																{	/* Eval/evaluate.scm 317 */
																	goto BgL_tagzd2131zd2_1332;
																}
														}
													else
														{	/* Eval/evaluate.scm 317 */
															goto BgL_tagzd2131zd2_1332;
														}
												}
											else
												{	/* Eval/evaluate.scm 317 */
													goto BgL_tagzd2131zd2_1332;
												}
										}
										BgL_arg1445z00_1327 =
											MAKE_YOUNG_PAIR(BgL_arg1446z00_1328, BNIL);
									}
									BgL_arg1443z00_1325 =
										MAKE_YOUNG_PAIR(BgL_bodyz00_60, BgL_arg1445z00_1327);
								}
								BgL_arg1441z00_1323 =
									MAKE_YOUNG_PAIR(BgL_arg1442z00_1324, BgL_arg1443z00_1325);
							}
							BgL_arg1440z00_1322 =
								MAKE_YOUNG_PAIR(BGl_symbol3207z00zz__evaluatez00,
								BgL_arg1441z00_1323);
						}
						{	/* Eval/evaluate.scm 294 */
							obj_t BgL_arg1437z00_3349;
							obj_t BgL_arg1438z00_3350;

							BgL_arg1437z00_3349 = CAR(BgL_arg1440z00_1322);
							BgL_arg1438z00_3350 = CDR(BgL_arg1440z00_1322);
							{	/* Eval/evaluate.scm 294 */
								obj_t BgL_res2840z00_3353;

								BgL_res2840z00_3353 =
									MAKE_YOUNG_EPAIR(BgL_arg1437z00_3349, BgL_arg1438z00_3350,
									BgL_locz00_58);
								return BgL_res2840z00_3353;
							}
						}
					}
				}
			else
				{	/* Eval/evaluate.scm 301 */
					return BgL_bodyz00_60;
				}
		}
	}



/* type-checks */
	obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t BgL_varsz00_61,
		obj_t BgL_srcsz00_62, obj_t BgL_bodyz00_63, obj_t BgL_locz00_64,
		obj_t BgL_procnamez00_65)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 335 */
			{	/* Eval/evaluate.scm 336 */
				bool_t BgL_testz00_5303;

				{	/* Eval/evaluate.scm 336 */
					int BgL_arg1526z00_1416;

					BgL_arg1526z00_1416 = bgl_debug();
					BgL_testz00_5303 = ((long) (BgL_arg1526z00_1416) <= ((long) 0));
				}
				if (BgL_testz00_5303)
					{	/* Eval/evaluate.scm 336 */
						return BgL_bodyz00_63;
					}
				else
					{	/* Eval/evaluate.scm 336 */
						return
							BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_63, BgL_procnamez00_65,
							BgL_locz00_64, BgL_varsz00_61, BgL_srcsz00_62);
					}
			}
		}
	}



/* loop~1 */
	obj_t BGl_loopze71ze7zz__evaluatez00(obj_t BgL_bodyz00_4800,
		obj_t BgL_procnamez00_4799, obj_t BgL_locz00_4798, obj_t BgL_varsz00_1401,
		obj_t BgL_srcsz00_1402)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 338 */
		BGl_loopze71ze7zz__evaluatez00:
			if (NULLP(BgL_varsz00_1401))
				{	/* Eval/evaluate.scm 340 */
					return BgL_bodyz00_4800;
				}
			else
				{	/* Eval/evaluate.scm 342 */
					obj_t BgL_vz00_1405;

					BgL_vz00_1405 = CAR(BgL_varsz00_1401);
					{	/* Eval/evaluate.scm 342 */
						obj_t BgL_idz00_1406;

						BgL_idz00_1406 = CAR(BgL_vz00_1405);
						{	/* Eval/evaluate.scm 343 */
							obj_t BgL_tnamez00_1407;

							BgL_tnamez00_1407 = CDR(BgL_vz00_1405);
							{	/* Eval/evaluate.scm 344 */

								if (CBOOL(BgL_tnamez00_1407))
									{	/* Eval/evaluate.scm 346 */
										obj_t BgL_locz00_1408;

										{	/* Eval/evaluate.scm 346 */
											obj_t BgL_arg1518z00_1412;

											BgL_arg1518z00_1412 = CAR(BgL_srcsz00_1402);
											{	/* Eval/evaluate.scm 151 */
												obj_t BgL__ortest_1068z00_3361;

												BgL__ortest_1068z00_3361 =
													BGl_getzd2sourcezd2locationz00zz__readerz00
													(BgL_arg1518z00_1412);
												if (CBOOL(BgL__ortest_1068z00_3361))
													{	/* Eval/evaluate.scm 151 */
														BgL_locz00_1408 = BgL__ortest_1068z00_3361;
													}
												else
													{	/* Eval/evaluate.scm 152 */
														obj_t BgL__ortest_1069z00_3362;

														BgL__ortest_1069z00_3362 =
															BGl_getzd2sourcezd2locationz00zz__readerz00
															(BgL_srcsz00_1402);
														if (CBOOL(BgL__ortest_1069z00_3362))
															{	/* Eval/evaluate.scm 152 */
																BgL_locz00_1408 = BgL__ortest_1069z00_3362;
															}
														else
															{	/* Eval/evaluate.scm 152 */
																BgL_locz00_1408 = BgL_locz00_4798;
															}
													}
											}
										}
										return
											BGl_typezd2checkzd2zz__evaluatez00(BgL_idz00_1406,
											BgL_tnamez00_1407, BgL_locz00_1408, BgL_procnamez00_4799,
											BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_4800,
												BgL_procnamez00_4799, BgL_locz00_4798,
												CDR(BgL_varsz00_1401), CDR(BgL_srcsz00_1402)));
									}
								else
									{
										obj_t BgL_srcsz00_5328;
										obj_t BgL_varsz00_5326;

										BgL_varsz00_5326 = CDR(BgL_varsz00_1401);
										BgL_srcsz00_5328 = CDR(BgL_srcsz00_1402);
										BgL_srcsz00_1402 = BgL_srcsz00_5328;
										BgL_varsz00_1401 = BgL_varsz00_5326;
										goto BGl_loopze71ze7zz__evaluatez00;
									}
							}
						}
					}
				}
		}
	}



/* type-result */
	obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t BgL_typez00_66,
		obj_t BgL_bodyz00_67, obj_t BgL_locz00_68)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 354 */
			{	/* Eval/evaluate.scm 355 */
				bool_t BgL_testz00_5330;

				if (CBOOL(BgL_typez00_66))
					{	/* Eval/evaluate.scm 355 */
						int BgL_arg1541z00_1431;

						BgL_arg1541z00_1431 = bgl_debug();
						BgL_testz00_5330 = ((long) (BgL_arg1541z00_1431) >= ((long) 1));
					}
				else
					{	/* Eval/evaluate.scm 355 */
						BgL_testz00_5330 = ((bool_t) 0);
					}
				if (BgL_testz00_5330)
					{	/* Eval/evaluate.scm 356 */
						obj_t BgL_tmpz00_1419;

						BgL_tmpz00_1419 =
							BGl_gensymz00zz__r4_symbols_6_4z00
							(BGl_symbol3219z00zz__evaluatez00);
						{	/* Eval/evaluate.scm 358 */
							obj_t BgL_arg1529z00_1420;
							obj_t BgL_arg1530z00_1421;

							{	/* Eval/evaluate.scm 358 */
								obj_t BgL_arg1531z00_1422;

								{	/* Eval/evaluate.scm 358 */
									obj_t BgL_arg1532z00_1423;
									obj_t BgL_arg1533z00_1424;

									{	/* Eval/evaluate.scm 358 */
										obj_t BgL_arg1534z00_1425;

										{	/* Eval/evaluate.scm 358 */
											obj_t BgL_arg1535z00_1426;
											obj_t BgL_arg1537z00_1427;

											{	/* Eval/evaluate.scm 358 */
												obj_t BgL_arg1538z00_1428;

												{	/* Eval/evaluate.scm 358 */
													obj_t BgL_list1539z00_1429;

													{	/* Eval/evaluate.scm 358 */
														obj_t BgL_arg1540z00_1430;

														BgL_arg1540z00_1430 =
															MAKE_YOUNG_PAIR(BgL_typez00_66, BNIL);
														BgL_list1539z00_1429 =
															MAKE_YOUNG_PAIR(BgL_tmpz00_1419,
															BgL_arg1540z00_1430);
													}
													BgL_arg1538z00_1428 =
														BGl_formatz00zz__r4_output_6_10_3z00
														(BGl_string3221z00zz__evaluatez00,
														BgL_list1539z00_1429);
												}
												BgL_arg1535z00_1426 =
													bstring_to_symbol(BgL_arg1538z00_1428);
											}
											BgL_arg1537z00_1427 =
												MAKE_YOUNG_PAIR(BgL_bodyz00_67, BNIL);
											BgL_arg1534z00_1425 =
												MAKE_YOUNG_PAIR(BgL_arg1535z00_1426,
												BgL_arg1537z00_1427);
										}
										BgL_arg1532z00_1423 =
											MAKE_YOUNG_PAIR(BgL_arg1534z00_1425, BNIL);
									}
									BgL_arg1533z00_1424 = MAKE_YOUNG_PAIR(BgL_tmpz00_1419, BNIL);
									BgL_arg1531z00_1422 =
										MAKE_YOUNG_PAIR(BgL_arg1532z00_1423, BgL_arg1533z00_1424);
								}
								BgL_arg1529z00_1420 =
									MAKE_YOUNG_PAIR(BGl_symbol3209z00zz__evaluatez00,
									BgL_arg1531z00_1422);
							}
							{	/* Eval/evaluate.scm 145 */
								obj_t BgL__ortest_1067z00_3371;

								BgL__ortest_1067z00_3371 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_67);
								if (CBOOL(BgL__ortest_1067z00_3371))
									{	/* Eval/evaluate.scm 145 */
										BgL_arg1530z00_1421 = BgL__ortest_1067z00_3371;
									}
								else
									{	/* Eval/evaluate.scm 145 */
										BgL_arg1530z00_1421 = BgL_locz00_68;
									}
							}
							{	/* Eval/evaluate.scm 294 */
								obj_t BgL_arg1437z00_3372;
								obj_t BgL_arg1438z00_3373;

								BgL_arg1437z00_3372 = CAR(BgL_arg1529z00_1420);
								BgL_arg1438z00_3373 = CDR(BgL_arg1529z00_1420);
								{	/* Eval/evaluate.scm 294 */
									obj_t BgL_res2845z00_3376;

									BgL_res2845z00_3376 =
										MAKE_YOUNG_EPAIR(BgL_arg1437z00_3372, BgL_arg1438z00_3373,
										BgL_arg1530z00_1421);
									return BgL_res2845z00_3376;
								}
							}
						}
					}
				else
					{	/* Eval/evaluate.scm 355 */
						return BgL_bodyz00_67;
					}
			}
		}
	}



/* conv */
	obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_69, obj_t BgL_localsz00_70,
		obj_t BgL_globalsz00_71, obj_t BgL_tailzf3zf3_72, obj_t BgL_wherez00_73,
		obj_t BgL_locz00_74, bool_t BgL_topzf3zf3_75)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 366 */
		BGl_convz00zz__evaluatez00:
			{
				obj_t BgL_xz00_1440;
				obj_t BgL_bahz00_1442;
				obj_t BgL_lz00_1447;
				obj_t BgL_funz00_1449;
				obj_t BgL_argsz00_1450;
				obj_t BgL_pz00_1456;
				obj_t BgL_tz00_1457;
				obj_t BgL_oz00_1458;
				obj_t BgL_pz00_1460;
				obj_t BgL_tz00_1461;
				obj_t BgL_bindsz00_1469;
				obj_t BgL_bodyz00_1470;
				obj_t BgL_bindsz00_1472;
				obj_t BgL_bodyz00_1473;
				obj_t BgL_bindsz00_1475;
				obj_t BgL_bodyz00_1476;
				obj_t BgL_lz00_1482;
				obj_t BgL_e2z00_1483;
				obj_t BgL_vz00_1485;
				obj_t BgL_ez00_1486;
				obj_t BgL_gvz00_1489;
				obj_t BgL_formalsz00_1490;
				obj_t BgL_bodyz00_1491;
				obj_t BgL_gvz00_1493;
				obj_t BgL_gez00_1494;
				obj_t BgL_vz00_1496;
				obj_t BgL_bodyz00_1497;
				obj_t BgL_mz00_1509;
				obj_t BgL_bodyz00_1510;
				obj_t BgL_fz00_1515;
				obj_t BgL_argsz00_1516;

				if (PAIRP(BgL_ez00_69))
					{	/* Eval/evaluate.scm 425 */
						if ((CAR(BgL_ez00_69) == BGl_symbol3228z00zz__evaluatez00))
							{	/* Eval/evaluate.scm 425 */
								BgL_bahz00_1442 = CDR(BgL_ez00_69);
								if (BgL_topzf3zf3_75)
									{	/* Eval/evaluate.scm 433 */
										obj_t BgL_formsz00_2300;

										{	/* Eval/evaluate.scm 433 */
											obj_t BgL_arg2255z00_2303;

											{	/* Eval/evaluate.scm 145 */
												obj_t BgL__ortest_1067z00_3428;

												BgL__ortest_1067z00_3428 =
													BGl_getzd2sourcezd2locationz00zz__readerz00
													(BgL_ez00_69);
												if (CBOOL(BgL__ortest_1067z00_3428))
													{	/* Eval/evaluate.scm 145 */
														BgL_arg2255z00_2303 = BgL__ortest_1067z00_3428;
													}
												else
													{	/* Eval/evaluate.scm 145 */
														BgL_arg2255z00_2303 = BgL_locz00_74;
													}
											}
											BgL_formsz00_2300 =
												BGl_evmodulez00zz__evmodulez00(BgL_ez00_69,
												BgL_arg2255z00_2303);
										}
										{	/* Eval/evaluate.scm 434 */
											obj_t BgL_arg2253z00_2301;
											obj_t BgL_arg2254z00_2302;

											BgL_arg2253z00_2301 =
												BGl_expandz00zz__expandz00(BgL_formsz00_2300);
											BgL_arg2254z00_2302 = BGL_MODULE();
											{
												bool_t BgL_topzf3zf3_5369;
												obj_t BgL_wherez00_5368;
												obj_t BgL_tailzf3zf3_5367;
												obj_t BgL_globalsz00_5366;
												obj_t BgL_ez00_5365;

												BgL_ez00_5365 = BgL_arg2253z00_2301;
												BgL_globalsz00_5366 = BgL_arg2254z00_2302;
												BgL_tailzf3zf3_5367 = BgL_wherez00_73;
												BgL_wherez00_5368 = BFALSE;
												BgL_topzf3zf3_5369 = ((bool_t) 1);
												BgL_topzf3zf3_75 = BgL_topzf3zf3_5369;
												BgL_wherez00_73 = BgL_wherez00_5368;
												BgL_tailzf3zf3_72 = BgL_tailzf3zf3_5367;
												BgL_globalsz00_71 = BgL_globalsz00_5366;
												BgL_ez00_69 = BgL_ez00_5365;
												goto BGl_convz00zz__evaluatez00;
											}
										}
									}
								else
									{	/* Eval/evaluate.scm 432 */
										return
											BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74,
											BGl_string3147z00zz__evaluatez00,
											BGl_string3227z00zz__evaluatez00, BgL_ez00_69);
									}
							}
						else
							{	/* Eval/evaluate.scm 425 */
								obj_t BgL_cdrzd2249zd2_1524;

								BgL_cdrzd2249zd2_1524 = CDR(BgL_ez00_69);
								if ((CAR(BgL_ez00_69) == BGl_symbol3230z00zz__evaluatez00))
									{	/* Eval/evaluate.scm 425 */
										if (PAIRP(BgL_cdrzd2249zd2_1524))
											{	/* Eval/evaluate.scm 425 */
												obj_t BgL_carzd2252zd2_1528;
												obj_t BgL_cdrzd2253zd2_1529;

												BgL_carzd2252zd2_1528 = CAR(BgL_cdrzd2249zd2_1524);
												BgL_cdrzd2253zd2_1529 = CDR(BgL_cdrzd2249zd2_1524);
												if (SYMBOLP(BgL_carzd2252zd2_1528))
													{	/* Eval/evaluate.scm 425 */
														if (PAIRP(BgL_cdrzd2253zd2_1529))
															{	/* Eval/evaluate.scm 425 */
																obj_t BgL_carzd2257zd2_1532;

																BgL_carzd2257zd2_1532 =
																	CAR(BgL_cdrzd2253zd2_1529);
																if (SYMBOLP(BgL_carzd2257zd2_1532))
																	{	/* Eval/evaluate.scm 425 */
																		if (NULLP(CDR(BgL_cdrzd2253zd2_1529)))
																			{	/* Eval/evaluate.scm 438 */
																				BgL_ev_globalz00_bglt
																					BgL_new1105z00_3827;
																				{	/* Eval/evaluate.scm 439 */
																					BgL_ev_globalz00_bglt
																						BgL_new1104z00_3828;
																					BgL_new1104z00_3828 =
																						((BgL_ev_globalz00_bglt)
																						BREF(GC_MALLOC(sizeof(struct
																									BgL_ev_globalz00_bgl))));
																					{	/* Eval/evaluate.scm 439 */
																						long BgL_arg2256z00_3829;

																						{	/* Eval/evaluate.scm 439 */
																							long BgL_res2946z00_3831;

																							BgL_res2946z00_3831 =
																								BGL_CLASS_INDEX
																								(BGl_ev_globalz00zz__evaluate_typesz00);
																							BgL_arg2256z00_3829 =
																								BgL_res2946z00_3831;
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1104z00_3828),
																							BgL_arg2256z00_3829);
																					}
																					BgL_new1105z00_3827 =
																						BgL_new1104z00_3828;
																				}
																				((((BgL_ev_globalz00_bglt)
																							CREF(BgL_new1105z00_3827))->
																						BgL_locz00) =
																					((obj_t) BgL_locz00_74), BUNSPEC);
																				((((BgL_ev_globalz00_bglt)
																							CREF(BgL_new1105z00_3827))->
																						BgL_namez00) =
																					((obj_t) BgL_carzd2252zd2_1528),
																					BUNSPEC);
																				((((BgL_ev_globalz00_bglt)
																							CREF(BgL_new1105z00_3827))->
																						BgL_modz00) =
																					((obj_t)
																						BGl_evalzd2findzd2modulez00zz__evmodulez00
																						(BgL_carzd2257zd2_1532)), BUNSPEC);
																				return ((obj_t) BgL_new1105z00_3827);
																			}
																		else
																			{	/* Eval/evaluate.scm 425 */
																				obj_t BgL_carzd2302zd2_1536;

																				BgL_carzd2302zd2_1536 =
																					CAR(BgL_ez00_69);
																				if (SYMBOLP(BgL_carzd2302zd2_1536))
																					{	/* Eval/evaluate.scm 425 */
																						if (CBOOL
																							(BGl_convzd2varzd2zz__evaluatez00
																								(BgL_carzd2302zd2_1536,
																									BgL_localsz00_70)))
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_5405;
																								BgL_funz00_1449 =
																									BgL_carzd2302zd2_1536;
																								BgL_argsz00_1450 =
																									BgL_cdrzd2249zd2_1524;
																							BgL_tagzd2152zd2_1451:
																								{	/* Eval/evaluate.scm 450 */
																									obj_t BgL_funz00_2333;
																									obj_t BgL_argsz00_2334;

																									{	/* Eval/evaluate.scm 381 */
																										obj_t BgL_arg2410z00_3443;

																										{	/* Eval/evaluate.scm 145 */
																											obj_t
																												BgL__ortest_1067z00_3444;
																											BgL__ortest_1067z00_3444 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_funz00_1449);
																											if (CBOOL
																												(BgL__ortest_1067z00_3444))
																												{	/* Eval/evaluate.scm 145 */
																													BgL_arg2410z00_3443 =
																														BgL__ortest_1067z00_3444;
																												}
																											else
																												{	/* Eval/evaluate.scm 145 */
																													BgL_arg2410z00_3443 =
																														BgL_locz00_74;
																												}
																										}
																										BgL_funz00_2333 =
																											BGl_convz00zz__evaluatez00
																											(BgL_funz00_1449,
																											BgL_localsz00_70,
																											BgL_globalsz00_71, BFALSE,
																											BgL_wherez00_73,
																											BgL_arg2410z00_3443,
																											((bool_t) 0));
																									}
																									BgL_argsz00_2334 =
																										BGl_loopze70ze7zz__evaluatez00
																										(BgL_wherez00_73,
																										BgL_globalsz00_71,
																										BgL_localsz00_70,
																										BgL_locz00_74,
																										BgL_argsz00_1450);
																									{	/* Eval/evaluate.scm 451 */
																										BgL_ev_appz00_bglt
																											BgL_new1107z00_2335;
																										{	/* Eval/evaluate.scm 452 */
																											BgL_ev_appz00_bglt
																												BgL_new1106z00_2336;
																											BgL_new1106z00_2336 =
																												((BgL_ev_appz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 452 */
																												long
																													BgL_arg2273z00_2337;
																												{	/* Eval/evaluate.scm 452 */
																													long
																														BgL_res2867z00_3446;
																													BgL_res2867z00_3446 =
																														BGL_CLASS_INDEX
																														(BGl_ev_appz00zz__evaluate_typesz00);
																													BgL_arg2273z00_2337 =
																														BgL_res2867z00_3446;
																												}
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1106z00_2336),
																													BgL_arg2273z00_2337);
																											}
																											BgL_new1107z00_2335 =
																												BgL_new1106z00_2336;
																										}
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1107z00_2335))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_74),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1107z00_2335))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_2333)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1107z00_2335))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_2334),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1107z00_2335))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_72),
																											BUNSPEC);
																										BgL_auxz00_5405 =
																											BgL_new1107z00_2335;
																								}}
																								return
																									((obj_t) BgL_auxz00_5405);
																							}
																						else
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_5421;
																								BgL_fz00_1515 =
																									BgL_carzd2302zd2_1536;
																								BgL_argsz00_1516 =
																									BgL_cdrzd2249zd2_1524;
																							BgL_tagzd2175zd2_1517:
																								{	/* Eval/evaluate.scm 598 */
																									obj_t BgL_funz00_2599;
																									obj_t BgL_argsz00_2600;

																									{	/* Eval/evaluate.scm 381 */
																										obj_t BgL_arg2410z00_3807;

																										{	/* Eval/evaluate.scm 145 */
																											obj_t
																												BgL__ortest_1067z00_3808;
																											BgL__ortest_1067z00_3808 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_fz00_1515);
																											if (CBOOL
																												(BgL__ortest_1067z00_3808))
																												{	/* Eval/evaluate.scm 145 */
																													BgL_arg2410z00_3807 =
																														BgL__ortest_1067z00_3808;
																												}
																											else
																												{	/* Eval/evaluate.scm 145 */
																													BgL_arg2410z00_3807 =
																														BgL_locz00_74;
																												}
																										}
																										BgL_funz00_2599 =
																											BGl_convz00zz__evaluatez00
																											(BgL_fz00_1515,
																											BgL_localsz00_70,
																											BgL_globalsz00_71, BFALSE,
																											BgL_wherez00_73,
																											BgL_arg2410z00_3807,
																											((bool_t) 0));
																									}
																									BgL_argsz00_2600 =
																										BGl_loopze70ze7zz__evaluatez00
																										(BgL_wherez00_73,
																										BgL_globalsz00_71,
																										BgL_localsz00_70,
																										BgL_locz00_74,
																										BgL_argsz00_1516);
																									{	/* Eval/evaluate.scm 599 */
																										BgL_ev_appz00_bglt
																											BgL_new1161z00_2601;
																										{	/* Eval/evaluate.scm 600 */
																											BgL_ev_appz00_bglt
																												BgL_new1160z00_2602;
																											BgL_new1160z00_2602 =
																												((BgL_ev_appz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 600 */
																												long
																													BgL_arg2403z00_2603;
																												{	/* Eval/evaluate.scm 600 */
																													long
																														BgL_res2939z00_3810;
																													BgL_res2939z00_3810 =
																														BGL_CLASS_INDEX
																														(BGl_ev_appz00zz__evaluate_typesz00);
																													BgL_arg2403z00_2603 =
																														BgL_res2939z00_3810;
																												}
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1160z00_2602),
																													BgL_arg2403z00_2603);
																											}
																											BgL_new1161z00_2601 =
																												BgL_new1160z00_2602;
																										}
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1161z00_2601))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_74),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1161z00_2601))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_2599)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1161z00_2601))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_2600),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1161z00_2601))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_72),
																											BUNSPEC);
																										BgL_auxz00_5421 =
																											BgL_new1161z00_2601;
																								}}
																								return
																									((obj_t) BgL_auxz00_5421);
																							}
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5437;

																						{
																							obj_t BgL_argsz00_5439;
																							obj_t BgL_fz00_5438;

																							BgL_fz00_5438 =
																								BgL_carzd2302zd2_1536;
																							BgL_argsz00_5439 =
																								BgL_cdrzd2249zd2_1524;
																							BgL_argsz00_1516 =
																								BgL_argsz00_5439;
																							BgL_fz00_1515 = BgL_fz00_5438;
																							goto BgL_tagzd2175zd2_1517;
																						}
																						return ((obj_t) BgL_auxz00_5437);
																					}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 425 */
																		obj_t BgL_carzd21005zd2_1547;

																		BgL_carzd21005zd2_1547 = CAR(BgL_ez00_69);
																		if (SYMBOLP(BgL_carzd21005zd2_1547))
																			{	/* Eval/evaluate.scm 425 */
																				if (CBOOL
																					(BGl_convzd2varzd2zz__evaluatez00
																						(BgL_carzd21005zd2_1547,
																							BgL_localsz00_70)))
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5447;

																						{
																							obj_t BgL_argsz00_5449;
																							obj_t BgL_funz00_5448;

																							BgL_funz00_5448 =
																								BgL_carzd21005zd2_1547;
																							BgL_argsz00_5449 =
																								BgL_cdrzd2249zd2_1524;
																							BgL_argsz00_1450 =
																								BgL_argsz00_5449;
																							BgL_funz00_1449 = BgL_funz00_5448;
																							goto BgL_tagzd2152zd2_1451;
																						}
																						return ((obj_t) BgL_auxz00_5447);
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5451;

																						{
																							obj_t BgL_argsz00_5453;
																							obj_t BgL_fz00_5452;

																							BgL_fz00_5452 =
																								BgL_carzd21005zd2_1547;
																							BgL_argsz00_5453 =
																								BgL_cdrzd2249zd2_1524;
																							BgL_argsz00_1516 =
																								BgL_argsz00_5453;
																							BgL_fz00_1515 = BgL_fz00_5452;
																							goto BgL_tagzd2175zd2_1517;
																						}
																						return ((obj_t) BgL_auxz00_5451);
																					}
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5455;

																				{
																					obj_t BgL_argsz00_5457;
																					obj_t BgL_fz00_5456;

																					BgL_fz00_5456 =
																						BgL_carzd21005zd2_1547;
																					BgL_argsz00_5457 =
																						BgL_cdrzd2249zd2_1524;
																					BgL_argsz00_1516 = BgL_argsz00_5457;
																					BgL_fz00_1515 = BgL_fz00_5456;
																					goto BgL_tagzd2175zd2_1517;
																				}
																				return ((obj_t) BgL_auxz00_5455);
																			}
																	}
															}
														else
															{	/* Eval/evaluate.scm 425 */
																obj_t BgL_carzd21708zd2_1557;

																BgL_carzd21708zd2_1557 = CAR(BgL_ez00_69);
																if (SYMBOLP(BgL_carzd21708zd2_1557))
																	{	/* Eval/evaluate.scm 425 */
																		if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																				(BgL_carzd21708zd2_1557,
																					BgL_localsz00_70)))
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5465;

																				{
																					obj_t BgL_argsz00_5467;
																					obj_t BgL_funz00_5466;

																					BgL_funz00_5466 =
																						BgL_carzd21708zd2_1557;
																					BgL_argsz00_5467 =
																						BgL_cdrzd2249zd2_1524;
																					BgL_argsz00_1450 = BgL_argsz00_5467;
																					BgL_funz00_1449 = BgL_funz00_5466;
																					goto BgL_tagzd2152zd2_1451;
																				}
																				return ((obj_t) BgL_auxz00_5465);
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5469;

																				{
																					obj_t BgL_argsz00_5471;
																					obj_t BgL_fz00_5470;

																					BgL_fz00_5470 =
																						BgL_carzd21708zd2_1557;
																					BgL_argsz00_5471 =
																						BgL_cdrzd2249zd2_1524;
																					BgL_argsz00_1516 = BgL_argsz00_5471;
																					BgL_fz00_1515 = BgL_fz00_5470;
																					goto BgL_tagzd2175zd2_1517;
																				}
																				return ((obj_t) BgL_auxz00_5469);
																			}
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5473;

																		{
																			obj_t BgL_argsz00_5475;
																			obj_t BgL_fz00_5474;

																			BgL_fz00_5474 = BgL_carzd21708zd2_1557;
																			BgL_argsz00_5475 = BgL_cdrzd2249zd2_1524;
																			BgL_argsz00_1516 = BgL_argsz00_5475;
																			BgL_fz00_1515 = BgL_fz00_5474;
																			goto BgL_tagzd2175zd2_1517;
																		}
																		return ((obj_t) BgL_auxz00_5473);
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 425 */
														obj_t BgL_carzd22411zd2_1567;

														BgL_carzd22411zd2_1567 = CAR(BgL_ez00_69);
														if (SYMBOLP(BgL_carzd22411zd2_1567))
															{	/* Eval/evaluate.scm 425 */
																if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																		(BgL_carzd22411zd2_1567, BgL_localsz00_70)))
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5483;

																		{
																			obj_t BgL_argsz00_5485;
																			obj_t BgL_funz00_5484;

																			BgL_funz00_5484 = BgL_carzd22411zd2_1567;
																			BgL_argsz00_5485 = BgL_cdrzd2249zd2_1524;
																			BgL_argsz00_1450 = BgL_argsz00_5485;
																			BgL_funz00_1449 = BgL_funz00_5484;
																			goto BgL_tagzd2152zd2_1451;
																		}
																		return ((obj_t) BgL_auxz00_5483);
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5487;

																		{
																			obj_t BgL_argsz00_5489;
																			obj_t BgL_fz00_5488;

																			BgL_fz00_5488 = BgL_carzd22411zd2_1567;
																			BgL_argsz00_5489 = BgL_cdrzd2249zd2_1524;
																			BgL_argsz00_1516 = BgL_argsz00_5489;
																			BgL_fz00_1515 = BgL_fz00_5488;
																			goto BgL_tagzd2175zd2_1517;
																		}
																		return ((obj_t) BgL_auxz00_5487);
																	}
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_5491;

																{
																	obj_t BgL_argsz00_5493;
																	obj_t BgL_fz00_5492;

																	BgL_fz00_5492 = BgL_carzd22411zd2_1567;
																	BgL_argsz00_5493 = BgL_cdrzd2249zd2_1524;
																	BgL_argsz00_1516 = BgL_argsz00_5493;
																	BgL_fz00_1515 = BgL_fz00_5492;
																	goto BgL_tagzd2175zd2_1517;
																}
																return ((obj_t) BgL_auxz00_5491);
															}
													}
											}
										else
											{	/* Eval/evaluate.scm 425 */
												obj_t BgL_carzd23114zd2_1577;

												BgL_carzd23114zd2_1577 = CAR(BgL_ez00_69);
												if (SYMBOLP(BgL_carzd23114zd2_1577))
													{	/* Eval/evaluate.scm 425 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23114zd2_1577, BgL_localsz00_70)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_5501;

																{
																	obj_t BgL_argsz00_5503;
																	obj_t BgL_funz00_5502;

																	BgL_funz00_5502 = BgL_carzd23114zd2_1577;
																	BgL_argsz00_5503 = BgL_cdrzd2249zd2_1524;
																	BgL_argsz00_1450 = BgL_argsz00_5503;
																	BgL_funz00_1449 = BgL_funz00_5502;
																	goto BgL_tagzd2152zd2_1451;
																}
																return ((obj_t) BgL_auxz00_5501);
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_5505;

																{
																	obj_t BgL_argsz00_5507;
																	obj_t BgL_fz00_5506;

																	BgL_fz00_5506 = BgL_carzd23114zd2_1577;
																	BgL_argsz00_5507 = BgL_cdrzd2249zd2_1524;
																	BgL_argsz00_1516 = BgL_argsz00_5507;
																	BgL_fz00_1515 = BgL_fz00_5506;
																	goto BgL_tagzd2175zd2_1517;
																}
																return ((obj_t) BgL_auxz00_5505);
															}
													}
												else
													{
														BgL_ev_appz00_bglt BgL_auxz00_5509;

														{
															obj_t BgL_argsz00_5511;
															obj_t BgL_fz00_5510;

															BgL_fz00_5510 = BgL_carzd23114zd2_1577;
															BgL_argsz00_5511 = BgL_cdrzd2249zd2_1524;
															BgL_argsz00_1516 = BgL_argsz00_5511;
															BgL_fz00_1515 = BgL_fz00_5510;
															goto BgL_tagzd2175zd2_1517;
														}
														return ((obj_t) BgL_auxz00_5509);
													}
											}
									}
								else
									{	/* Eval/evaluate.scm 425 */
										if ((CAR(BgL_ez00_69) == BGl_symbol3232z00zz__evaluatez00))
											{	/* Eval/evaluate.scm 425 */
												BgL_lz00_1447 = BgL_cdrzd2249zd2_1524;
												{	/* Eval/evaluate.scm 443 */
													bool_t BgL_testz00_5516;

													if (PAIRP(BgL_lz00_1447))
														{	/* Eval/evaluate.scm 443 */
															bool_t BgL_testz00_5519;

															{	/* Eval/evaluate.scm 443 */
																obj_t BgL_tmpz00_5520;

																BgL_tmpz00_5520 = CDR(BgL_lz00_1447);
																BgL_testz00_5519 = PAIRP(BgL_tmpz00_5520);
															}
															if (BgL_testz00_5519)
																{
																	obj_t BgL_l1204z00_2324;

																	BgL_l1204z00_2324 = BgL_lz00_1447;
																BgL_zc3anonymousza32267ze3z83_2325:
																	if (NULLP(BgL_l1204z00_2324))
																		{	/* Eval/evaluate.scm 443 */
																			BgL_testz00_5516 = ((bool_t) 1);
																		}
																	else
																		{	/* Eval/evaluate.scm 443 */
																			bool_t BgL_testz00_5525;

																			{	/* Eval/evaluate.scm 443 */
																				obj_t BgL_tmpz00_5526;

																				BgL_tmpz00_5526 =
																					CAR(BgL_l1204z00_2324);
																				BgL_testz00_5525 =
																					SYMBOLP(BgL_tmpz00_5526);
																			}
																			if (BgL_testz00_5525)
																				{
																					obj_t BgL_l1204z00_5529;

																					BgL_l1204z00_5529 =
																						CDR(BgL_l1204z00_2324);
																					BgL_l1204z00_2324 = BgL_l1204z00_5529;
																					goto
																						BgL_zc3anonymousza32267ze3z83_2325;
																				}
																			else
																				{	/* Eval/evaluate.scm 443 */
																					BgL_testz00_5516 = ((bool_t) 0);
																				}
																		}
																}
															else
																{	/* Eval/evaluate.scm 443 */
																	BgL_testz00_5516 = ((bool_t) 0);
																}
														}
													else
														{	/* Eval/evaluate.scm 443 */
															BgL_testz00_5516 = ((bool_t) 0);
														}
													if (BgL_testz00_5516)
														{	/* Eval/evaluate.scm 443 */
															return
																BGl_convzd2fieldzd2refz00zz__evaluatez00
																(BgL_ez00_69, BgL_localsz00_70,
																BgL_globalsz00_71, BgL_tailzf3zf3_72,
																BgL_wherez00_73, BgL_locz00_74,
																BgL_topzf3zf3_75);
														}
													else
														{	/* Eval/evaluate.scm 443 */
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_74,
																BGl_string3147z00zz__evaluatez00,
																BGl_string3222z00zz__evaluatez00, BgL_ez00_69);
														}
												}
											}
										else
											{	/* Eval/evaluate.scm 425 */
												obj_t BgL_carzd23820zd2_1590;

												BgL_carzd23820zd2_1590 = CAR(BgL_ez00_69);
												if (SYMBOLP(BgL_carzd23820zd2_1590))
													{	/* Eval/evaluate.scm 425 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23820zd2_1590, BgL_localsz00_70)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_5539;

																{
																	obj_t BgL_argsz00_5541;
																	obj_t BgL_funz00_5540;

																	BgL_funz00_5540 = BgL_carzd23820zd2_1590;
																	BgL_argsz00_5541 = BgL_cdrzd2249zd2_1524;
																	BgL_argsz00_1450 = BgL_argsz00_5541;
																	BgL_funz00_1449 = BgL_funz00_5540;
																	goto BgL_tagzd2152zd2_1451;
																}
																return ((obj_t) BgL_auxz00_5539);
															}
														else
															{	/* Eval/evaluate.scm 425 */
																if (
																	(BgL_carzd23820zd2_1590 ==
																		BGl_symbol3234z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 425 */
																		if (PAIRP(BgL_cdrzd2249zd2_1524))
																			{	/* Eval/evaluate.scm 425 */
																				if (NULLP(CDR(BgL_cdrzd2249zd2_1524)))
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_arg1615z00_1601;

																						BgL_arg1615z00_1601 =
																							CAR(BgL_cdrzd2249zd2_1524);
																						{	/* Eval/evaluate.scm 457 */
																							BgL_ev_trapz00_bglt
																								BgL_new1109z00_3880;
																							{	/* Eval/evaluate.scm 458 */
																								BgL_ev_trapz00_bglt
																									BgL_new1108z00_3881;
																								BgL_new1108z00_3881 =
																									((BgL_ev_trapz00_bglt)
																									BREF(GC_MALLOC(sizeof(struct
																												BgL_ev_trapz00_bgl))));
																								{	/* Eval/evaluate.scm 458 */
																									long BgL_arg2274z00_3882;

																									{	/* Eval/evaluate.scm 458 */
																										long BgL_res2955z00_3884;

																										BgL_res2955z00_3884 =
																											BGL_CLASS_INDEX
																											(BGl_ev_trapz00zz__evaluate_typesz00);
																										BgL_arg2274z00_3882 =
																											BgL_res2955z00_3884;
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1108z00_3881),
																										BgL_arg2274z00_3882);
																								}
																								BgL_new1109z00_3880 =
																									BgL_new1108z00_3881;
																							}
																							{
																								BgL_ev_exprz00_bglt
																									BgL_auxz00_5555;
																								{	/* Eval/evaluate.scm 381 */
																									obj_t BgL_arg2410z00_3887;

																									BgL_arg2410z00_3887 =
																										BGl_getzd2locationzd2zz__evaluatez00
																										(BgL_arg1615z00_1601,
																										BgL_locz00_74);
																									BgL_auxz00_5555 =
																										((BgL_ev_exprz00_bglt)
																										BGl_uconvzf2locze70z15zz__evaluatez00
																										(BgL_wherez00_73,
																											BgL_globalsz00_71,
																											BgL_localsz00_70,
																											BgL_arg1615z00_1601,
																											BgL_arg2410z00_3887));
																								}
																								((((BgL_ev_hookz00_bglt) CREF(
																												((BgL_ev_hookz00_bglt)
																													BgL_new1109z00_3880)))->
																										BgL_ez00) =
																									((BgL_ev_exprz00_bglt)
																										BgL_auxz00_5555), BUNSPEC);
																							}
																							return
																								((obj_t) BgL_new1109z00_3880);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_arg1622z00_1602;
																						obj_t BgL_arg1623z00_1603;

																						BgL_arg1622z00_1602 =
																							CAR(BgL_ez00_69);
																						BgL_arg1623z00_1603 =
																							CDR(BgL_ez00_69);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5564;
																							{
																								obj_t BgL_argsz00_5566;
																								obj_t BgL_fz00_5565;

																								BgL_fz00_5565 =
																									BgL_arg1622z00_1602;
																								BgL_argsz00_5566 =
																									BgL_arg1623z00_1603;
																								BgL_argsz00_1516 =
																									BgL_argsz00_5566;
																								BgL_fz00_1515 = BgL_fz00_5565;
																								goto BgL_tagzd2175zd2_1517;
																							}
																							return ((obj_t) BgL_auxz00_5564);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 425 */
																				obj_t BgL_arg1630z00_1605;
																				obj_t BgL_arg1631z00_1606;

																				BgL_arg1630z00_1605 = CAR(BgL_ez00_69);
																				BgL_arg1631z00_1606 = CDR(BgL_ez00_69);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_5570;

																					{
																						obj_t BgL_argsz00_5572;
																						obj_t BgL_fz00_5571;

																						BgL_fz00_5571 = BgL_arg1630z00_1605;
																						BgL_argsz00_5572 =
																							BgL_arg1631z00_1606;
																						BgL_argsz00_1516 = BgL_argsz00_5572;
																						BgL_fz00_1515 = BgL_fz00_5571;
																						goto BgL_tagzd2175zd2_1517;
																					}
																					return ((obj_t) BgL_auxz00_5570);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 425 */
																		obj_t BgL_cdrzd24489zd2_1607;

																		BgL_cdrzd24489zd2_1607 = CDR(BgL_ez00_69);
																		if (
																			(CAR(BgL_ez00_69) ==
																				BGl_symbol3199z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 425 */
																				if (PAIRP(BgL_cdrzd24489zd2_1607))
																					{	/* Eval/evaluate.scm 425 */
																						if (NULLP(CDR
																								(BgL_cdrzd24489zd2_1607)))
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_arg1637z00_1613;

																								BgL_arg1637z00_1613 =
																									CAR(BgL_cdrzd24489zd2_1607);
																								{	/* Eval/evaluate.scm 460 */
																									BgL_ev_littz00_bglt
																										BgL_new1111z00_3898;
																									{	/* Eval/evaluate.scm 461 */
																										BgL_ev_littz00_bglt
																											BgL_new1110z00_3899;
																										BgL_new1110z00_3899 =
																											((BgL_ev_littz00_bglt)
																											BREF(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_littz00_bgl))));
																										{	/* Eval/evaluate.scm 461 */
																											long BgL_arg2275z00_3900;

																											{	/* Eval/evaluate.scm 461 */
																												long
																													BgL_res2958z00_3902;
																												BgL_res2958z00_3902 =
																													BGL_CLASS_INDEX
																													(BGl_ev_littz00zz__evaluate_typesz00);
																												BgL_arg2275z00_3900 =
																													BgL_res2958z00_3902;
																											}
																											BGL_OBJECT_CLASS_NUM_SET(
																												((BgL_objectz00_bglt)
																													BgL_new1110z00_3899),
																												BgL_arg2275z00_3900);
																										}
																										BgL_new1111z00_3898 =
																											BgL_new1110z00_3899;
																									}
																									((((BgL_ev_littz00_bglt)
																												CREF
																												(BgL_new1111z00_3898))->
																											BgL_valuez00) =
																										((obj_t)
																											BgL_arg1637z00_1613),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1111z00_3898);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_arg1638z00_1614;

																								BgL_arg1638z00_1614 =
																									CAR(BgL_ez00_69);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5591;
																									{
																										obj_t BgL_argsz00_5593;
																										obj_t BgL_fz00_5592;

																										BgL_fz00_5592 =
																											BgL_arg1638z00_1614;
																										BgL_argsz00_5593 =
																											BgL_cdrzd24489zd2_1607;
																										BgL_argsz00_1516 =
																											BgL_argsz00_5593;
																										BgL_fz00_1515 =
																											BgL_fz00_5592;
																										goto BgL_tagzd2175zd2_1517;
																									}
																									return
																										((obj_t) BgL_auxz00_5591);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_arg1641z00_1617;

																						BgL_arg1641z00_1617 =
																							CAR(BgL_ez00_69);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5596;
																							{
																								obj_t BgL_argsz00_5598;
																								obj_t BgL_fz00_5597;

																								BgL_fz00_5597 =
																									BgL_arg1641z00_1617;
																								BgL_argsz00_5598 =
																									BgL_cdrzd24489zd2_1607;
																								BgL_argsz00_1516 =
																									BgL_argsz00_5598;
																								BgL_fz00_1515 = BgL_fz00_5597;
																								goto BgL_tagzd2175zd2_1517;
																							}
																							return ((obj_t) BgL_auxz00_5596);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 425 */
																				if (
																					(CAR(BgL_ez00_69) ==
																						BGl_symbol3207z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 425 */
																						if (PAIRP(BgL_cdrzd24489zd2_1607))
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_cdrzd25099zd2_1623;

																								BgL_cdrzd25099zd2_1623 =
																									CDR(BgL_cdrzd24489zd2_1607);
																								if (PAIRP
																									(BgL_cdrzd25099zd2_1623))
																									{	/* Eval/evaluate.scm 425 */
																										obj_t
																											BgL_cdrzd25104zd2_1625;
																										BgL_cdrzd25104zd2_1625 =
																											CDR
																											(BgL_cdrzd25099zd2_1623);
																										if (PAIRP
																											(BgL_cdrzd25104zd2_1625))
																											{	/* Eval/evaluate.scm 425 */
																												if (NULLP(CDR
																														(BgL_cdrzd25104zd2_1625)))
																													{	/* Eval/evaluate.scm 425 */
																														obj_t
																															BgL_arg1652z00_1629;
																														obj_t
																															BgL_arg1653z00_1630;
																														obj_t
																															BgL_arg1654z00_1631;
																														BgL_arg1652z00_1629
																															=
																															CAR
																															(BgL_cdrzd24489zd2_1607);
																														BgL_arg1653z00_1630
																															=
																															CAR
																															(BgL_cdrzd25099zd2_1623);
																														BgL_arg1654z00_1631
																															=
																															CAR
																															(BgL_cdrzd25104zd2_1625);
																														{
																															BgL_ev_ifz00_bglt
																																BgL_auxz00_5617;
																															BgL_pz00_1456 =
																																BgL_arg1652z00_1629;
																															BgL_tz00_1457 =
																																BgL_arg1653z00_1630;
																															BgL_oz00_1458 =
																																BgL_arg1654z00_1631;
																														BgL_tagzd2155zd2_1459:
																															{	/* Eval/evaluate.scm 463 */
																																BgL_ev_ifz00_bglt
																																	BgL_new1114z00_2344;
																																{	/* Eval/evaluate.scm 464 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1112z00_2348;
																																	BgL_new1112z00_2348
																																		=
																																		(
																																		(BgL_ev_ifz00_bglt)
																																		BREF
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_ev_ifz00_bgl))));
																																	{	/* Eval/evaluate.scm 464 */
																																		long
																																			BgL_arg2279z00_2349;
																																		{	/* Eval/evaluate.scm 464 */
																																			long
																																				BgL_res2870z00_3466;
																																			BgL_res2870z00_3466
																																				=
																																				BGL_CLASS_INDEX
																																				(BGl_ev_ifz00zz__evaluate_typesz00);
																																			BgL_arg2279z00_2349
																																				=
																																				BgL_res2870z00_3466;
																																		}
																																		BGL_OBJECT_CLASS_NUM_SET
																																			(((BgL_objectz00_bglt) BgL_new1112z00_2348), BgL_arg2279z00_2349);
																																	}
																																	BgL_new1114z00_2344
																																		=
																																		BgL_new1112z00_2348;
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5622;
																																	{	/* Eval/evaluate.scm 464 */
																																		obj_t
																																			BgL_arg2276z00_2345;
																																		{	/* Eval/evaluate.scm 145 */
																																			obj_t
																																				BgL__ortest_1067z00_3469;
																																			BgL__ortest_1067z00_3469
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_pz00_1456);
																																			if (CBOOL
																																				(BgL__ortest_1067z00_3469))
																																				{	/* Eval/evaluate.scm 145 */
																																					BgL_arg2276z00_2345
																																						=
																																						BgL__ortest_1067z00_3469;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 145 */
																																					BgL_arg2276z00_2345
																																						=
																																						BgL_locz00_74;
																																				}
																																		}
																																		BgL_auxz00_5622
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_pz00_1456,
																																				BgL_localsz00_70,
																																				BgL_globalsz00_71,
																																				BFALSE,
																																				BgL_wherez00_73,
																																				BgL_arg2276z00_2345,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1114z00_2344))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5622), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5629;
																																	{	/* Eval/evaluate.scm 465 */
																																		obj_t
																																			BgL_arg2277z00_2346;
																																		{	/* Eval/evaluate.scm 145 */
																																			obj_t
																																				BgL__ortest_1067z00_3470;
																																			BgL__ortest_1067z00_3470
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_tz00_1457);
																																			if (CBOOL
																																				(BgL__ortest_1067z00_3470))
																																				{	/* Eval/evaluate.scm 145 */
																																					BgL_arg2277z00_2346
																																						=
																																						BgL__ortest_1067z00_3470;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 145 */
																																					BgL_arg2277z00_2346
																																						=
																																						BgL_locz00_74;
																																				}
																																		}
																																		BgL_auxz00_5629
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_tz00_1457,
																																				BgL_localsz00_70,
																																				BgL_globalsz00_71,
																																				BgL_tailzf3zf3_72,
																																				BgL_wherez00_73,
																																				BgL_arg2277z00_2346,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1114z00_2344))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5629), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5636;
																																	{	/* Eval/evaluate.scm 466 */
																																		obj_t
																																			BgL_arg2278z00_2347;
																																		{	/* Eval/evaluate.scm 145 */
																																			obj_t
																																				BgL__ortest_1067z00_3471;
																																			BgL__ortest_1067z00_3471
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_oz00_1458);
																																			if (CBOOL
																																				(BgL__ortest_1067z00_3471))
																																				{	/* Eval/evaluate.scm 145 */
																																					BgL_arg2278z00_2347
																																						=
																																						BgL__ortest_1067z00_3471;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 145 */
																																					BgL_arg2278z00_2347
																																						=
																																						BgL_locz00_74;
																																				}
																																		}
																																		BgL_auxz00_5636
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_oz00_1458,
																																				BgL_localsz00_70,
																																				BgL_globalsz00_71,
																																				BgL_tailzf3zf3_72,
																																				BgL_wherez00_73,
																																				BgL_arg2278z00_2347,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1114z00_2344))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5636), BUNSPEC);
																																}
																																BgL_auxz00_5617
																																	=
																																	BgL_new1114z00_2344;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5617);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 425 */
																														obj_t
																															BgL_arg1655z00_1632;
																														obj_t
																															BgL_arg1656z00_1633;
																														BgL_arg1655z00_1632
																															=
																															CAR(BgL_ez00_69);
																														BgL_arg1656z00_1633
																															=
																															CDR(BgL_ez00_69);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_5646;
																															{
																																obj_t
																																	BgL_argsz00_5648;
																																obj_t
																																	BgL_fz00_5647;
																																BgL_fz00_5647 =
																																	BgL_arg1655z00_1632;
																																BgL_argsz00_5648
																																	=
																																	BgL_arg1656z00_1633;
																																BgL_argsz00_1516
																																	=
																																	BgL_argsz00_5648;
																																BgL_fz00_1515 =
																																	BgL_fz00_5647;
																																goto
																																	BgL_tagzd2175zd2_1517;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5646);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 425 */
																												obj_t
																													BgL_cdrzd25402zd2_1635;
																												BgL_cdrzd25402zd2_1635 =
																													CDR(BgL_ez00_69);
																												{	/* Eval/evaluate.scm 425 */
																													obj_t
																														BgL_cdrzd25408zd2_1636;
																													BgL_cdrzd25408zd2_1636
																														=
																														CDR
																														(BgL_cdrzd25402zd2_1635);
																													if (NULLP(CDR
																															(BgL_cdrzd25408zd2_1636)))
																														{	/* Eval/evaluate.scm 425 */
																															obj_t
																																BgL_arg1661z00_1639;
																															obj_t
																																BgL_arg1662z00_1640;
																															BgL_arg1661z00_1639
																																=
																																CAR
																																(BgL_cdrzd25402zd2_1635);
																															BgL_arg1662z00_1640
																																=
																																CAR
																																(BgL_cdrzd25408zd2_1636);
																															{
																																BgL_ev_ifz00_bglt
																																	BgL_auxz00_5657;
																																BgL_pz00_1460 =
																																	BgL_arg1661z00_1639;
																																BgL_tz00_1461 =
																																	BgL_arg1662z00_1640;
																															BgL_tagzd2156zd2_1462:
																																{	/* Eval/evaluate.scm 468 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1116z00_2350;
																																	{	/* Eval/evaluate.scm 469 */
																																		BgL_ev_ifz00_bglt
																																			BgL_new1115z00_2354;
																																		BgL_new1115z00_2354
																																			=
																																			(
																																			(BgL_ev_ifz00_bglt)
																																			BREF
																																			(GC_MALLOC
																																				(sizeof
																																					(struct
																																						BgL_ev_ifz00_bgl))));
																																		{	/* Eval/evaluate.scm 469 */
																																			long
																																				BgL_arg2283z00_2355;
																																			{	/* Eval/evaluate.scm 469 */
																																				long
																																					BgL_res2871z00_3473;
																																				BgL_res2871z00_3473
																																					=
																																					BGL_CLASS_INDEX
																																					(BGl_ev_ifz00zz__evaluate_typesz00);
																																				BgL_arg2283z00_2355
																																					=
																																					BgL_res2871z00_3473;
																																			}
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(((BgL_objectz00_bglt) BgL_new1115z00_2354), BgL_arg2283z00_2355);
																																		}
																																		BgL_new1116z00_2350
																																			=
																																			BgL_new1115z00_2354;
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5662;
																																		{	/* Eval/evaluate.scm 469 */
																																			obj_t
																																				BgL_arg2280z00_2351;
																																			{	/* Eval/evaluate.scm 145 */
																																				obj_t
																																					BgL__ortest_1067z00_3476;
																																				BgL__ortest_1067z00_3476
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_pz00_1460);
																																				if (CBOOL(BgL__ortest_1067z00_3476))
																																					{	/* Eval/evaluate.scm 145 */
																																						BgL_arg2280z00_2351
																																							=
																																							BgL__ortest_1067z00_3476;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 145 */
																																						BgL_arg2280z00_2351
																																							=
																																							BgL_locz00_74;
																																					}
																																			}
																																			BgL_auxz00_5662
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_pz00_1460,
																																					BgL_localsz00_70,
																																					BgL_globalsz00_71,
																																					BFALSE,
																																					BgL_wherez00_73,
																																					BgL_arg2280z00_2351,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) CREF(BgL_new1116z00_2350))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5662), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5669;
																																		{	/* Eval/evaluate.scm 470 */
																																			obj_t
																																				BgL_arg2281z00_2352;
																																			{	/* Eval/evaluate.scm 145 */
																																				obj_t
																																					BgL__ortest_1067z00_3477;
																																				BgL__ortest_1067z00_3477
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_tz00_1461);
																																				if (CBOOL(BgL__ortest_1067z00_3477))
																																					{	/* Eval/evaluate.scm 145 */
																																						BgL_arg2281z00_2352
																																							=
																																							BgL__ortest_1067z00_3477;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 145 */
																																						BgL_arg2281z00_2352
																																							=
																																							BgL_locz00_74;
																																					}
																																			}
																																			BgL_auxz00_5669
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_tz00_1461,
																																					BgL_localsz00_70,
																																					BgL_globalsz00_71,
																																					BgL_tailzf3zf3_72,
																																					BgL_wherez00_73,
																																					BgL_arg2281z00_2352,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) CREF(BgL_new1116z00_2350))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5669), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5676;
																																		{	/* Eval/evaluate.scm 471 */
																																			obj_t
																																				BgL_arg2282z00_2353;
																																			{	/* Eval/evaluate.scm 145 */
																																				obj_t
																																					BgL__ortest_1067z00_3478;
																																				BgL__ortest_1067z00_3478
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BFALSE);
																																				if (CBOOL(BgL__ortest_1067z00_3478))
																																					{	/* Eval/evaluate.scm 145 */
																																						BgL_arg2282z00_2353
																																							=
																																							BgL__ortest_1067z00_3478;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 145 */
																																						BgL_arg2282z00_2353
																																							=
																																							BgL_locz00_74;
																																					}
																																			}
																																			BgL_auxz00_5676
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_ez00_69,
																																					BgL_localsz00_70,
																																					BgL_globalsz00_71,
																																					BgL_tailzf3zf3_72,
																																					BgL_wherez00_73,
																																					BgL_arg2282z00_2353,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) CREF(BgL_new1116z00_2350))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5676), BUNSPEC);
																																	}
																																	BgL_auxz00_5657
																																		=
																																		BgL_new1116z00_2350;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_5657);
																															}
																														}
																													else
																														{	/* Eval/evaluate.scm 425 */
																															obj_t
																																BgL_arg1663z00_1641;
																															BgL_arg1663z00_1641
																																=
																																CAR
																																(BgL_ez00_69);
																															{
																																BgL_ev_appz00_bglt
																																	BgL_auxz00_5685;
																																{
																																	obj_t
																																		BgL_argsz00_5687;
																																	obj_t
																																		BgL_fz00_5686;
																																	BgL_fz00_5686
																																		=
																																		BgL_arg1663z00_1641;
																																	BgL_argsz00_5687
																																		=
																																		BgL_cdrzd25402zd2_1635;
																																	BgL_argsz00_1516
																																		=
																																		BgL_argsz00_5687;
																																	BgL_fz00_1515
																																		=
																																		BgL_fz00_5686;
																																	goto
																																		BgL_tagzd2175zd2_1517;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_5685);
																															}
																														}
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 425 */
																										obj_t BgL_arg1666z00_1644;
																										obj_t BgL_arg1667z00_1645;

																										BgL_arg1666z00_1644 =
																											CAR(BgL_ez00_69);
																										BgL_arg1667z00_1645 =
																											CDR(BgL_ez00_69);
																										{
																											BgL_ev_appz00_bglt
																												BgL_auxz00_5691;
																											{
																												obj_t BgL_argsz00_5693;
																												obj_t BgL_fz00_5692;

																												BgL_fz00_5692 =
																													BgL_arg1666z00_1644;
																												BgL_argsz00_5693 =
																													BgL_arg1667z00_1645;
																												BgL_argsz00_1516 =
																													BgL_argsz00_5693;
																												BgL_fz00_1515 =
																													BgL_fz00_5692;
																												goto
																													BgL_tagzd2175zd2_1517;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_5691);
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_arg1668z00_1646;
																								obj_t BgL_arg1669z00_1647;

																								BgL_arg1668z00_1646 =
																									CAR(BgL_ez00_69);
																								BgL_arg1669z00_1647 =
																									CDR(BgL_ez00_69);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5697;
																									{
																										obj_t BgL_argsz00_5699;
																										obj_t BgL_fz00_5698;

																										BgL_fz00_5698 =
																											BgL_arg1668z00_1646;
																										BgL_argsz00_5699 =
																											BgL_arg1669z00_1647;
																										BgL_argsz00_1516 =
																											BgL_argsz00_5699;
																										BgL_fz00_1515 =
																											BgL_fz00_5698;
																										goto BgL_tagzd2175zd2_1517;
																									}
																									return
																										((obj_t) BgL_auxz00_5697);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 425 */
																						if (
																							(CAR(BgL_ez00_69) ==
																								BGl_symbol3236z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_arg1672z00_1650;

																								BgL_arg1672z00_1650 =
																									CDR(BgL_ez00_69);
																								{	/* Eval/evaluate.scm 473 */
																									BgL_ev_orz00_bglt
																										BgL_new1118z00_3937;
																									{	/* Eval/evaluate.scm 474 */
																										BgL_ev_orz00_bglt
																											BgL_new1117z00_3938;
																										BgL_new1117z00_3938 =
																											((BgL_ev_orz00_bglt)
																											BREF(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_orz00_bgl))));
																										{	/* Eval/evaluate.scm 474 */
																											long BgL_arg2284z00_3939;

																											{	/* Eval/evaluate.scm 474 */
																												long
																													BgL_res2964z00_3941;
																												BgL_res2964z00_3941 =
																													BGL_CLASS_INDEX
																													(BGl_ev_orz00zz__evaluate_typesz00);
																												BgL_arg2284z00_3939 =
																													BgL_res2964z00_3941;
																											}
																											BGL_OBJECT_CLASS_NUM_SET(
																												((BgL_objectz00_bglt)
																													BgL_new1117z00_3938),
																												BgL_arg2284z00_3939);
																										}
																										BgL_new1118z00_3937 =
																											BgL_new1117z00_3938;
																									}
																									((((BgL_ev_listz00_bglt) CREF(
																													((BgL_ev_listz00_bglt)
																														BgL_new1118z00_3937)))->
																											BgL_argsz00) =
																										((obj_t)
																											BGl_loopze70ze7zz__evaluatez00
																											(BgL_wherez00_73,
																												BgL_globalsz00_71,
																												BgL_localsz00_70,
																												BgL_locz00_74,
																												BgL_arg1672z00_1650)),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1118z00_3937);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 425 */
																								if (
																									(CAR(BgL_ez00_69) ==
																										BGl_symbol3238z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 425 */
																										obj_t BgL_arg1675z00_1653;

																										BgL_arg1675z00_1653 =
																											CDR(BgL_ez00_69);
																										{	/* Eval/evaluate.scm 476 */
																											BgL_ev_andz00_bglt
																												BgL_new1120z00_3946;
																											{	/* Eval/evaluate.scm 477 */
																												BgL_ev_andz00_bglt
																													BgL_new1119z00_3947;
																												BgL_new1119z00_3947 =
																													((BgL_ev_andz00_bglt)
																													BREF(GC_MALLOC(sizeof
																															(struct
																																BgL_ev_andz00_bgl))));
																												{	/* Eval/evaluate.scm 477 */
																													long
																														BgL_arg2285z00_3948;
																													{	/* Eval/evaluate.scm 477 */
																														long
																															BgL_res2965z00_3950;
																														BgL_res2965z00_3950
																															=
																															BGL_CLASS_INDEX
																															(BGl_ev_andz00zz__evaluate_typesz00);
																														BgL_arg2285z00_3948
																															=
																															BgL_res2965z00_3950;
																													}
																													BGL_OBJECT_CLASS_NUM_SET
																														(((BgL_objectz00_bglt) BgL_new1119z00_3947), BgL_arg2285z00_3948);
																												}
																												BgL_new1120z00_3946 =
																													BgL_new1119z00_3947;
																											}
																											((((BgL_ev_listz00_bglt)
																														CREF((
																																(BgL_ev_listz00_bglt)
																																BgL_new1120z00_3946)))->
																													BgL_argsz00) =
																												((obj_t)
																													BGl_loopze70ze7zz__evaluatez00
																													(BgL_wherez00_73,
																														BgL_globalsz00_71,
																														BgL_localsz00_70,
																														BgL_locz00_74,
																														BgL_arg1675z00_1653)),
																												BUNSPEC);
																											return ((obj_t)
																												BgL_new1120z00_3946);
																										}
																									}
																								else
																									{	/* Eval/evaluate.scm 425 */
																										if (
																											(CAR(BgL_ez00_69) ==
																												BGl_symbol3223z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 425 */
																												return
																													BGl_convzd2beginzd2zz__evaluatez00
																													(CDR(BgL_ez00_69),
																													BgL_localsz00_70,
																													BgL_globalsz00_71,
																													BgL_tailzf3zf3_72,
																													BgL_wherez00_73,
																													BgL_locz00_74,
																													BgL_topzf3zf3_75);
																											}
																										else
																											{	/* Eval/evaluate.scm 425 */
																												obj_t
																													BgL_cdrzd26301zd2_1657;
																												BgL_cdrzd26301zd2_1657 =
																													CDR(BgL_ez00_69);
																												if ((CAR(BgL_ez00_69) ==
																														BGl_symbol3209z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 425 */
																														if (PAIRP
																															(BgL_cdrzd26301zd2_1657))
																															{	/* Eval/evaluate.scm 425 */
																																obj_t
																																	BgL_arg1682z00_1661;
																																obj_t
																																	BgL_arg1683z00_1662;
																																BgL_arg1682z00_1661
																																	=
																																	CAR
																																	(BgL_cdrzd26301zd2_1657);
																																BgL_arg1683z00_1662
																																	=
																																	CDR
																																	(BgL_cdrzd26301zd2_1657);
																																{
																																	BgL_ev_letz00_bglt
																																		BgL_auxz00_5738;
																																	BgL_bindsz00_1469
																																		=
																																		BgL_arg1682z00_1661;
																																	BgL_bodyz00_1470
																																		=
																																		BgL_arg1683z00_1662;
																																BgL_tagzd2160zd2_1471:
																																	{	/* Eval/evaluate.scm 481 */
																																		obj_t
																																			BgL_ubindsz00_2362;
																																		if (NULLP
																																			(BgL_bindsz00_1469))
																																			{	/* Eval/evaluate.scm 481 */
																																				BgL_ubindsz00_2362
																																					=
																																					BNIL;
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 481 */
																																				obj_t
																																					BgL_head1209z00_2407;
																																				{	/* Eval/evaluate.scm 481 */
																																					obj_t
																																						BgL_res2875z00_3494;
																																					BgL_res2875z00_3494
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BNIL,
																																						BNIL);
																																					BgL_head1209z00_2407
																																						=
																																						BgL_res2875z00_3494;
																																				}
																																				{
																																					obj_t
																																						BgL_l1207z00_3522;
																																					obj_t
																																						BgL_tail1210z00_3523;
																																					BgL_l1207z00_3522
																																						=
																																						BgL_bindsz00_1469;
																																					BgL_tail1210z00_3523
																																						=
																																						BgL_head1209z00_2407;
																																				BgL_zc3anonymousza32305ze3z83_3521:
																																					if (NULLP(BgL_l1207z00_3522))
																																						{	/* Eval/evaluate.scm 481 */
																																							BgL_ubindsz00_2362
																																								=
																																								CDR
																																								(BgL_head1209z00_2407);
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 481 */
																																							obj_t
																																								BgL_newtail1211z00_3531;
																																							{	/* Eval/evaluate.scm 481 */
																																								obj_t
																																									BgL_arg2308z00_3532;
																																								{	/* Eval/evaluate.scm 481 */
																																									obj_t
																																										BgL_bz00_3533;
																																									BgL_bz00_3533
																																										=
																																										CAR
																																										(BgL_l1207z00_3522);
																																									BgL_arg2308z00_3532
																																										=
																																										BGl_untypezd2identzd2zz__evaluatez00
																																										(CAR
																																										(BgL_bz00_3533));
																																								}
																																								{	/* Eval/evaluate.scm 481 */
																																									obj_t
																																										BgL_res2881z00_3540;
																																									BgL_res2881z00_3540
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_arg2308z00_3532,
																																										BNIL);
																																									BgL_newtail1211z00_3531
																																										=
																																										BgL_res2881z00_3540;
																																								}
																																							}
																																							SET_CDR
																																								(BgL_tail1210z00_3523,
																																								BgL_newtail1211z00_3531);
																																							{
																																								obj_t
																																									BgL_tail1210z00_5752;
																																								obj_t
																																									BgL_l1207z00_5750;
																																								BgL_l1207z00_5750
																																									=
																																									CDR
																																									(BgL_l1207z00_3522);
																																								BgL_tail1210z00_5752
																																									=
																																									BgL_newtail1211z00_3531;
																																								BgL_tail1210z00_3523
																																									=
																																									BgL_tail1210z00_5752;
																																								BgL_l1207z00_3522
																																									=
																																									BgL_l1207z00_5750;
																																								goto
																																									BgL_zc3anonymousza32305ze3z83_3521;
																																							}
																																						}
																																				}
																																			}
																																		{	/* Eval/evaluate.scm 481 */
																																			obj_t
																																				BgL_varsz00_2363;
																																			if (NULLP
																																				(BgL_ubindsz00_2362))
																																				{	/* Eval/evaluate.scm 482 */
																																					BgL_varsz00_2363
																																						=
																																						BNIL;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 482 */
																																					obj_t
																																						BgL_head1214z00_2391;
																																					{	/* Eval/evaluate.scm 482 */
																																						obj_t
																																							BgL_res2883z00_3544;
																																						BgL_res2883z00_3544
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BNIL,
																																							BNIL);
																																						BgL_head1214z00_2391
																																							=
																																							BgL_res2883z00_3544;
																																					}
																																					{
																																						obj_t
																																							BgL_l1212z00_2393;
																																						obj_t
																																							BgL_tail1215z00_2394;
																																						BgL_l1212z00_2393
																																							=
																																							BgL_ubindsz00_2362;
																																						BgL_tail1215z00_2394
																																							=
																																							BgL_head1214z00_2391;
																																					BgL_zc3anonymousza32299ze3z83_2395:
																																						if (NULLP(BgL_l1212z00_2393))
																																							{	/* Eval/evaluate.scm 482 */
																																								BgL_varsz00_2363
																																									=
																																									CDR
																																									(BgL_head1214z00_2391);
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 482 */
																																								obj_t
																																									BgL_newtail1216z00_2397;
																																								{	/* Eval/evaluate.scm 482 */
																																									BgL_ev_varz00_bglt
																																										BgL_arg2302z00_2399;
																																									{	/* Eval/evaluate.scm 482 */
																																										obj_t
																																											BgL_iz00_2400;
																																										BgL_iz00_2400
																																											=
																																											CAR
																																											(BgL_l1212z00_2393);
																																										{	/* Eval/evaluate.scm 483 */
																																											BgL_ev_varz00_bglt
																																												BgL_new1122z00_2401;
																																											{	/* Eval/evaluate.scm 485 */
																																												BgL_ev_varz00_bglt
																																													BgL_new1121z00_2402;
																																												BgL_new1121z00_2402
																																													=
																																													(
																																													(BgL_ev_varz00_bglt)
																																													BREF
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_varz00_bgl))));
																																												{	/* Eval/evaluate.scm 485 */
																																													long
																																														BgL_arg2303z00_2403;
																																													{	/* Eval/evaluate.scm 485 */
																																														long
																																															BgL_res2885z00_3549;
																																														BgL_res2885z00_3549
																																															=
																																															BGL_CLASS_INDEX
																																															(BGl_ev_varz00zz__evaluate_typesz00);
																																														BgL_arg2303z00_2403
																																															=
																																															BgL_res2885z00_3549;
																																													}
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(
																																														((BgL_objectz00_bglt) BgL_new1121z00_2402), BgL_arg2303z00_2403);
																																												}
																																												BgL_new1122z00_2401
																																													=
																																													BgL_new1121z00_2402;
																																											}
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1122z00_2401))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_2400)), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1122z00_2401))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1122z00_2401))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_2400)), BUNSPEC);
																																											BgL_arg2302z00_2399
																																												=
																																												BgL_new1122z00_2401;
																																									}}
																																									{	/* Eval/evaluate.scm 482 */
																																										obj_t
																																											BgL_res2886z00_3554;
																																										BgL_res2886z00_3554
																																											=
																																											MAKE_YOUNG_PAIR
																																											(
																																											((obj_t) BgL_arg2302z00_2399), BNIL);
																																										BgL_newtail1216z00_2397
																																											=
																																											BgL_res2886z00_3554;
																																								}}
																																								SET_CDR
																																									(BgL_tail1215z00_2394,
																																									BgL_newtail1216z00_2397);
																																								{
																																									obj_t
																																										BgL_tail1215z00_5774;
																																									obj_t
																																										BgL_l1212z00_5772;
																																									BgL_l1212z00_5772
																																										=
																																										CDR
																																										(BgL_l1212z00_2393);
																																									BgL_tail1215z00_5774
																																										=
																																										BgL_newtail1216z00_2397;
																																									BgL_tail1215z00_2394
																																										=
																																										BgL_tail1215z00_5774;
																																									BgL_l1212z00_2393
																																										=
																																										BgL_l1212z00_5772;
																																									goto
																																										BgL_zc3anonymousza32299ze3z83_2395;
																																								}
																																							}
																																					}
																																				}
																																			{	/* Eval/evaluate.scm 482 */
																																				obj_t
																																					BgL_bodyz00_2364;
																																				{	/* Eval/evaluate.scm 487 */
																																					bool_t
																																						BgL_testz00_5775;
																																					{	/* Eval/evaluate.scm 487 */
																																						obj_t
																																							BgL_tmpz00_5776;
																																						BgL_tmpz00_5776
																																							=
																																							CDR
																																							(BgL_bodyz00_1470);
																																						BgL_testz00_5775
																																							=
																																							PAIRP
																																							(BgL_tmpz00_5776);
																																					}
																																					if (BgL_testz00_5775)
																																						{	/* Eval/evaluate.scm 487 */
																																							obj_t
																																								BgL_res2888z00_3560;
																																							BgL_res2888z00_3560
																																								=
																																								MAKE_YOUNG_EPAIR
																																								(BGl_symbol3223z00zz__evaluatez00,
																																								BgL_bodyz00_1470,
																																								BgL_locz00_74);
																																							BgL_bodyz00_2364
																																								=
																																								BgL_res2888z00_3560;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 487 */
																																							BgL_bodyz00_2364
																																								=
																																								CAR
																																								(BgL_bodyz00_1470);
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 487 */
																																					obj_t
																																						BgL_tbodyz00_2365;
																																					BgL_tbodyz00_2365
																																						=
																																						BGl_typezd2checkszd2zz__evaluatez00
																																						(BgL_ubindsz00_2362,
																																						BgL_bindsz00_1469,
																																						BgL_bodyz00_2364,
																																						BgL_locz00_74,
																																						BgL_wherez00_73);
																																					{	/* Eval/evaluate.scm 488 */

																																						{	/* Eval/evaluate.scm 489 */
																																							obj_t
																																								BgL_blocz00_2366;
																																							{	/* Eval/evaluate.scm 145 */
																																								obj_t
																																									BgL__ortest_1067z00_3562;
																																								BgL__ortest_1067z00_3562
																																									=
																																									BGl_getzd2sourcezd2locationz00zz__readerz00
																																									(BgL_bindsz00_1469);
																																								if (CBOOL(BgL__ortest_1067z00_3562))
																																									{	/* Eval/evaluate.scm 145 */
																																										BgL_blocz00_2366
																																											=
																																											BgL__ortest_1067z00_3562;
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 145 */
																																										BgL_blocz00_2366
																																											=
																																											BgL_locz00_74;
																																									}
																																							}
																																							{	/* Eval/evaluate.scm 490 */
																																								BgL_ev_letz00_bglt
																																									BgL_new1125z00_2367;
																																								{	/* Eval/evaluate.scm 491 */
																																									BgL_ev_letz00_bglt
																																										BgL_new1124z00_2384;
																																									BgL_new1124z00_2384
																																										=
																																										(
																																										(BgL_ev_letz00_bglt)
																																										BREF
																																										(GC_MALLOC
																																											(sizeof
																																												(struct
																																													BgL_ev_letz00_bgl))));
																																									{	/* Eval/evaluate.scm 491 */
																																										long
																																											BgL_arg2294z00_2385;
																																										{	/* Eval/evaluate.scm 491 */
																																											long
																																												BgL_res2889z00_3564;
																																											BgL_res2889z00_3564
																																												=
																																												BGL_CLASS_INDEX
																																												(BGl_ev_letz00zz__evaluate_typesz00);
																																											BgL_arg2294z00_2385
																																												=
																																												BgL_res2889z00_3564;
																																										}
																																										BGL_OBJECT_CLASS_NUM_SET
																																											(
																																											((BgL_objectz00_bglt) BgL_new1124z00_2384), BgL_arg2294z00_2385);
																																									}
																																									BgL_new1125z00_2367
																																										=
																																										BgL_new1124z00_2384;
																																								}
																																								((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1125z00_2367)))->BgL_varsz00) = ((obj_t) BgL_varsz00_2363), BUNSPEC);
																																								{
																																									obj_t
																																										BgL_auxz00_5791;
																																									if (NULLP(BgL_bindsz00_1469))
																																										{	/* Eval/evaluate.scm 492 */
																																											BgL_auxz00_5791
																																												=
																																												BNIL;
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 492 */
																																											obj_t
																																												BgL_head1219z00_2370;
																																											{	/* Eval/evaluate.scm 492 */
																																												obj_t
																																													BgL_res2891z00_3568;
																																												BgL_res2891z00_3568
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BNIL,
																																													BNIL);
																																												BgL_head1219z00_2370
																																													=
																																													BgL_res2891z00_3568;
																																											}
																																											{
																																												obj_t
																																													BgL_l1217z00_2372;
																																												obj_t
																																													BgL_tail1220z00_2373;
																																												BgL_l1217z00_2372
																																													=
																																													BgL_bindsz00_1469;
																																												BgL_tail1220z00_2373
																																													=
																																													BgL_head1219z00_2370;
																																											BgL_zc3anonymousza32287ze3z83_2374:
																																												if (NULLP(BgL_l1217z00_2372))
																																													{	/* Eval/evaluate.scm 492 */
																																														BgL_auxz00_5791
																																															=
																																															CDR
																																															(BgL_head1219z00_2370);
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 492 */
																																														obj_t
																																															BgL_newtail1221z00_2376;
																																														{	/* Eval/evaluate.scm 492 */
																																															obj_t
																																																BgL_arg2290z00_2378;
																																															{	/* Eval/evaluate.scm 492 */
																																																obj_t
																																																	BgL_bz00_2379;
																																																BgL_bz00_2379
																																																	=
																																																	CAR
																																																	(BgL_l1217z00_2372);
																																																{	/* Eval/evaluate.scm 493 */
																																																	obj_t
																																																		BgL_locz00_2380;
																																																	{	/* Eval/evaluate.scm 145 */
																																																		obj_t
																																																			BgL__ortest_1067z00_3572;
																																																		BgL__ortest_1067z00_3572
																																																			=
																																																			BGl_getzd2sourcezd2locationz00zz__readerz00
																																																			(BgL_bz00_2379);
																																																		if (CBOOL(BgL__ortest_1067z00_3572))
																																																			{	/* Eval/evaluate.scm 145 */
																																																				BgL_locz00_2380
																																																					=
																																																					BgL__ortest_1067z00_3572;
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 145 */
																																																				BgL_locz00_2380
																																																					=
																																																					BgL_blocz00_2366;
																																																			}
																																																	}
																																																	{	/* Eval/evaluate.scm 494 */
																																																		obj_t
																																																			BgL_arg2292z00_2381;
																																																		{	/* Eval/evaluate.scm 494 */
																																																			obj_t
																																																				BgL_pairz00_3576;
																																																			BgL_pairz00_3576
																																																				=
																																																				CDR
																																																				(BgL_bz00_2379);
																																																			BgL_arg2292z00_2381
																																																				=
																																																				CAR
																																																				(BgL_pairz00_3576);
																																																		}
																																																		BgL_arg2290z00_2378
																																																			=
																																																			BGl_convz00zz__evaluatez00
																																																			(BgL_arg2292z00_2381,
																																																			BgL_localsz00_70,
																																																			BgL_globalsz00_71,
																																																			BFALSE,
																																																			BgL_wherez00_73,
																																																			BgL_locz00_2380,
																																																			((bool_t) 0));
																																																	}
																																																}
																																															}
																																															{	/* Eval/evaluate.scm 492 */
																																																obj_t
																																																	BgL_res2893z00_3577;
																																																BgL_res2893z00_3577
																																																	=
																																																	MAKE_YOUNG_PAIR
																																																	(BgL_arg2290z00_2378,
																																																	BNIL);
																																																BgL_newtail1221z00_2376
																																																	=
																																																	BgL_res2893z00_3577;
																																															}
																																														}
																																														SET_CDR
																																															(BgL_tail1220z00_2373,
																																															BgL_newtail1221z00_2376);
																																														{	/* Eval/evaluate.scm 492 */
																																															obj_t
																																																BgL_arg2289z00_2377;
																																															BgL_arg2289z00_2377
																																																=
																																																CDR
																																																(BgL_l1217z00_2372);
																																															{
																																																obj_t
																																																	BgL_tail1220z00_5810;
																																																obj_t
																																																	BgL_l1217z00_5809;
																																																BgL_l1217z00_5809
																																																	=
																																																	BgL_arg2289z00_2377;
																																																BgL_tail1220z00_5810
																																																	=
																																																	BgL_newtail1221z00_2376;
																																																BgL_tail1220z00_2373
																																																	=
																																																	BgL_tail1220z00_5810;
																																																BgL_l1217z00_2372
																																																	=
																																																	BgL_l1217z00_5809;
																																																goto
																																																	BgL_zc3anonymousza32287ze3z83_2374;
																																															}
																																														}
																																													}
																																											}
																																										}
																																									((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1125z00_2367)))->BgL_valsz00) = ((obj_t) BgL_auxz00_5791), BUNSPEC);
																																								}
																																								{
																																									BgL_ev_exprz00_bglt
																																										BgL_auxz00_5812;
																																									{	/* Eval/evaluate.scm 496 */
																																										obj_t
																																											BgL_arg2293z00_2383;
																																										BgL_arg2293z00_2383
																																											=
																																											BGl_appendzd221011zd2zz__evaluatez00
																																											(BgL_varsz00_2363,
																																											BgL_localsz00_70);
																																										BgL_auxz00_5812
																																											=
																																											(
																																											(BgL_ev_exprz00_bglt)
																																											BGl_convz00zz__evaluatez00
																																											(BgL_tbodyz00_2365,
																																												BgL_arg2293z00_2383,
																																												BgL_globalsz00_71,
																																												BgL_tailzf3zf3_72,
																																												BgL_wherez00_73,
																																												BgL_locz00_74,
																																												((bool_t) 0)));
																																									}
																																									((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1125z00_2367)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5812), BUNSPEC);
																																								}
																																								((((BgL_ev_letz00_bglt) CREF(BgL_new1125z00_2367))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																								BgL_auxz00_5738
																																									=
																																									BgL_new1125z00_2367;
																																							}
																																						}
																																					}
																																				}
																																			}
																																		}
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5738);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 425 */
																																obj_t
																																	BgL_arg1684z00_1663;
																																BgL_arg1684z00_1663
																																	=
																																	CAR
																																	(BgL_ez00_69);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_5821;
																																	{
																																		obj_t
																																			BgL_argsz00_5823;
																																		obj_t
																																			BgL_fz00_5822;
																																		BgL_fz00_5822
																																			=
																																			BgL_arg1684z00_1663;
																																		BgL_argsz00_5823
																																			=
																																			BgL_cdrzd26301zd2_1657;
																																		BgL_argsz00_1516
																																			=
																																			BgL_argsz00_5823;
																																		BgL_fz00_1515
																																			=
																																			BgL_fz00_5822;
																																		goto
																																			BgL_tagzd2175zd2_1517;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5821);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 425 */
																														if (
																															(CAR(BgL_ez00_69)
																																==
																																BGl_symbol3240z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 425 */
																																if (PAIRP
																																	(BgL_cdrzd26301zd2_1657))
																																	{	/* Eval/evaluate.scm 425 */
																																		obj_t
																																			BgL_arg1689z00_1669;
																																		obj_t
																																			BgL_arg1690z00_1670;
																																		BgL_arg1689z00_1669
																																			=
																																			CAR
																																			(BgL_cdrzd26301zd2_1657);
																																		BgL_arg1690z00_1670
																																			=
																																			CDR
																																			(BgL_cdrzd26301zd2_1657);
																																		{
																																			BgL_ev_letza2za2_bglt
																																				BgL_auxz00_5832;
																																			BgL_bindsz00_1472
																																				=
																																				BgL_arg1689z00_1669;
																																			BgL_bodyz00_1473
																																				=
																																				BgL_arg1690z00_1670;
																																		BgL_tagzd2161zd2_1474:
																																			{	/* Eval/evaluate.scm 504 */
																																				obj_t
																																					BgL_varsz00_2420;
																																				obj_t
																																					BgL_blocz00_2421;
																																				if (NULLP(BgL_bindsz00_1472))
																																					{	/* Eval/evaluate.scm 504 */
																																						BgL_varsz00_2420
																																							=
																																							BNIL;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 504 */
																																						obj_t
																																							BgL_head1224z00_2429;
																																						{	/* Eval/evaluate.scm 504 */
																																							obj_t
																																								BgL_res2896z00_3603;
																																							BgL_res2896z00_3603
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BNIL,
																																								BNIL);
																																							BgL_head1224z00_2429
																																								=
																																								BgL_res2896z00_3603;
																																						}
																																						{
																																							obj_t
																																								BgL_l1222z00_2431;
																																							obj_t
																																								BgL_tail1225z00_2432;
																																							BgL_l1222z00_2431
																																								=
																																								BgL_bindsz00_1472;
																																							BgL_tail1225z00_2432
																																								=
																																								BgL_head1224z00_2429;
																																						BgL_zc3anonymousza32314ze3z83_2433:
																																							if (NULLP(BgL_l1222z00_2431))
																																								{	/* Eval/evaluate.scm 504 */
																																									BgL_varsz00_2420
																																										=
																																										CDR
																																										(BgL_head1224z00_2429);
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 504 */
																																									obj_t
																																										BgL_newtail1226z00_2435;
																																									{	/* Eval/evaluate.scm 504 */
																																										BgL_ev_varz00_bglt
																																											BgL_arg2317z00_2437;
																																										{	/* Eval/evaluate.scm 504 */
																																											obj_t
																																												BgL_bz00_2438;
																																											BgL_bz00_2438
																																												=
																																												CAR
																																												(BgL_l1222z00_2431);
																																											{	/* Eval/evaluate.scm 505 */
																																												obj_t
																																													BgL_iz00_2439;
																																												BgL_iz00_2439
																																													=
																																													BGl_untypezd2identzd2zz__evaluatez00
																																													(CAR
																																													(BgL_bz00_2438));
																																												{	/* Eval/evaluate.scm 506 */
																																													BgL_ev_varz00_bglt
																																														BgL_new1127z00_2440;
																																													{	/* Eval/evaluate.scm 508 */
																																														BgL_ev_varz00_bglt
																																															BgL_new1126z00_2441;
																																														BgL_new1126z00_2441
																																															=
																																															(
																																															(BgL_ev_varz00_bglt)
																																															BREF
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_varz00_bgl))));
																																														{	/* Eval/evaluate.scm 508 */
																																															long
																																																BgL_arg2318z00_2442;
																																															{	/* Eval/evaluate.scm 508 */
																																																long
																																																	BgL_res2898z00_3609;
																																																BgL_res2898z00_3609
																																																	=
																																																	BGL_CLASS_INDEX
																																																	(BGl_ev_varz00zz__evaluate_typesz00);
																																																BgL_arg2318z00_2442
																																																	=
																																																	BgL_res2898z00_3609;
																																															}
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1126z00_2441), BgL_arg2318z00_2442);
																																														}
																																														BgL_new1127z00_2440
																																															=
																																															BgL_new1126z00_2441;
																																													}
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1127z00_2440))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_2439)), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1127z00_2440))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1127z00_2440))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_2439)), BUNSPEC);
																																													BgL_arg2317z00_2437
																																														=
																																														BgL_new1127z00_2440;
																																										}}}
																																										{	/* Eval/evaluate.scm 504 */
																																											obj_t
																																												BgL_res2899z00_3614;
																																											BgL_res2899z00_3614
																																												=
																																												MAKE_YOUNG_PAIR
																																												(
																																												((obj_t) BgL_arg2317z00_2437), BNIL);
																																											BgL_newtail1226z00_2435
																																												=
																																												BgL_res2899z00_3614;
																																									}}
																																									SET_CDR
																																										(BgL_tail1225z00_2432,
																																										BgL_newtail1226z00_2435);
																																									{
																																										obj_t
																																											BgL_tail1225z00_5856;
																																										obj_t
																																											BgL_l1222z00_5854;
																																										BgL_l1222z00_5854
																																											=
																																											CDR
																																											(BgL_l1222z00_2431);
																																										BgL_tail1225z00_5856
																																											=
																																											BgL_newtail1226z00_2435;
																																										BgL_tail1225z00_2432
																																											=
																																											BgL_tail1225z00_5856;
																																										BgL_l1222z00_2431
																																											=
																																											BgL_l1222z00_5854;
																																										goto
																																											BgL_zc3anonymousza32314ze3z83_2433;
																																									}
																																								}
																																						}
																																					}
																																				{	/* Eval/evaluate.scm 145 */
																																					obj_t
																																						BgL__ortest_1067z00_3617;
																																					BgL__ortest_1067z00_3617
																																						=
																																						BGl_getzd2sourcezd2locationz00zz__readerz00
																																						(BgL_bindsz00_1472);
																																					if (CBOOL(BgL__ortest_1067z00_3617))
																																						{	/* Eval/evaluate.scm 145 */
																																							BgL_blocz00_2421
																																								=
																																								BgL__ortest_1067z00_3617;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 145 */
																																							BgL_blocz00_2421
																																								=
																																								BgL_locz00_74;
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 511 */
																																					BgL_ev_letza2za2_bglt
																																						BgL_new1131z00_2422;
																																					{	/* Eval/evaluate.scm 512 */
																																						BgL_ev_letza2za2_bglt
																																							BgL_new1130z00_2425;
																																						BgL_new1130z00_2425
																																							=
																																							(
																																							(BgL_ev_letza2za2_bglt)
																																							BREF
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_ev_letza2za2_bgl))));
																																						{	/* Eval/evaluate.scm 512 */
																																							long
																																								BgL_arg2312z00_2426;
																																							{	/* Eval/evaluate.scm 512 */
																																								long
																																									BgL_res2900z00_3619;
																																								BgL_res2900z00_3619
																																									=
																																									BGL_CLASS_INDEX
																																									(BGl_ev_letza2za2zz__evaluate_typesz00);
																																								BgL_arg2312z00_2426
																																									=
																																									BgL_res2900z00_3619;
																																							}
																																							BGL_OBJECT_CLASS_NUM_SET
																																								(
																																								((BgL_objectz00_bglt) BgL_new1130z00_2425), BgL_arg2312z00_2426);
																																						}
																																						BgL_new1131z00_2422
																																							=
																																							BgL_new1130z00_2425;
																																					}
																																					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1131z00_2422)))->BgL_varsz00) = ((obj_t) BgL_varsz00_2420), BUNSPEC);
																																					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1131z00_2422)))->BgL_valsz00) = ((obj_t) BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_bindsz00_1472, BgL_varsz00_2420, BgL_localsz00_70, BgL_blocz00_2421)), BUNSPEC);
																																					{
																																						BgL_ev_exprz00_bglt
																																							BgL_auxz00_5869;
																																						{	/* Eval/evaluate.scm 514 */
																																							obj_t
																																								BgL_arg2310z00_2423;
																																							{	/* Eval/evaluate.scm 514 */
																																								obj_t
																																									BgL_arg2311z00_2424;
																																								BgL_arg2311z00_2424
																																									=
																																									bgl_reverse
																																									(BgL_varsz00_2420);
																																								BgL_arg2310z00_2423
																																									=
																																									BGl_appendzd221011zd2zz__evaluatez00
																																									(BgL_arg2311z00_2424,
																																									BgL_localsz00_70);
																																							}
																																							BgL_auxz00_5869
																																								=
																																								(
																																								(BgL_ev_exprz00_bglt)
																																								BGl_convzd2beginzd2zz__evaluatez00
																																								(BgL_bodyz00_1473,
																																									BgL_arg2310z00_2423,
																																									BgL_globalsz00_71,
																																									BgL_tailzf3zf3_72,
																																									BgL_wherez00_73,
																																									BgL_locz00_74,
																																									((bool_t) 0)));
																																						}
																																						((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1131z00_2422)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5869), BUNSPEC);
																																					}
																																					((((BgL_ev_letza2za2_bglt) CREF(BgL_new1131z00_2422))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																					BgL_auxz00_5832
																																						=
																																						BgL_new1131z00_2422;
																																			}}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5832);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 425 */
																																		obj_t
																																			BgL_arg1691z00_1671;
																																		obj_t
																																			BgL_arg1692z00_1672;
																																		BgL_arg1691z00_1671
																																			=
																																			CAR
																																			(BgL_ez00_69);
																																		BgL_arg1692z00_1672
																																			=
																																			CDR
																																			(BgL_ez00_69);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_5880;
																																			{
																																				obj_t
																																					BgL_argsz00_5882;
																																				obj_t
																																					BgL_fz00_5881;
																																				BgL_fz00_5881
																																					=
																																					BgL_arg1691z00_1671;
																																				BgL_argsz00_5882
																																					=
																																					BgL_arg1692z00_1672;
																																				BgL_argsz00_1516
																																					=
																																					BgL_argsz00_5882;
																																				BgL_fz00_1515
																																					=
																																					BgL_fz00_5881;
																																				goto
																																					BgL_tagzd2175zd2_1517;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5880);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 425 */
																																obj_t
																																	BgL_cdrzd26695zd2_1673;
																																BgL_cdrzd26695zd2_1673
																																	=
																																	CDR
																																	(BgL_ez00_69);
																																if ((CAR
																																		(BgL_ez00_69)
																																		==
																																		BGl_symbol3242z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 425 */
																																		if (PAIRP
																																			(BgL_cdrzd26695zd2_1673))
																																			{	/* Eval/evaluate.scm 425 */
																																				obj_t
																																					BgL_arg1697z00_1677;
																																				obj_t
																																					BgL_arg1698z00_1678;
																																				BgL_arg1697z00_1677
																																					=
																																					CAR
																																					(BgL_cdrzd26695zd2_1673);
																																				BgL_arg1698z00_1678
																																					=
																																					CDR
																																					(BgL_cdrzd26695zd2_1673);
																																				{
																																					BgL_ev_letrecz00_bglt
																																						BgL_auxz00_5892;
																																					BgL_bindsz00_1475
																																						=
																																						BgL_arg1697z00_1677;
																																					BgL_bodyz00_1476
																																						=
																																						BgL_arg1698z00_1678;
																																				BgL_tagzd2162zd2_1477:
																																					{	/* Eval/evaluate.scm 516 */
																																						obj_t
																																							BgL_ubindsz00_2461;
																																						if (NULLP(BgL_bindsz00_1475))
																																							{	/* Eval/evaluate.scm 516 */
																																								BgL_ubindsz00_2461
																																									=
																																									BNIL;
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 516 */
																																								obj_t
																																									BgL_head1229z00_2511;
																																								{	/* Eval/evaluate.scm 516 */
																																									obj_t
																																										BgL_res2902z00_3623;
																																									BgL_res2902z00_3623
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BNIL,
																																										BNIL);
																																									BgL_head1229z00_2511
																																										=
																																										BgL_res2902z00_3623;
																																								}
																																								{
																																									obj_t
																																										BgL_l1227z00_3651;
																																									obj_t
																																										BgL_tail1230z00_3652;
																																									BgL_l1227z00_3651
																																										=
																																										BgL_bindsz00_1475;
																																									BgL_tail1230z00_3652
																																										=
																																										BgL_head1229z00_2511;
																																								BgL_zc3anonymousza32354ze3z83_3650:
																																									if (NULLP(BgL_l1227z00_3651))
																																										{	/* Eval/evaluate.scm 516 */
																																											BgL_ubindsz00_2461
																																												=
																																												CDR
																																												(BgL_head1229z00_2511);
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 516 */
																																											obj_t
																																												BgL_newtail1231z00_3660;
																																											{	/* Eval/evaluate.scm 516 */
																																												obj_t
																																													BgL_arg2357z00_3661;
																																												{	/* Eval/evaluate.scm 516 */
																																													obj_t
																																														BgL_bz00_3662;
																																													BgL_bz00_3662
																																														=
																																														CAR
																																														(BgL_l1227z00_3651);
																																													BgL_arg2357z00_3661
																																														=
																																														BGl_untypezd2identzd2zz__evaluatez00
																																														(CAR
																																														(BgL_bz00_3662));
																																												}
																																												{	/* Eval/evaluate.scm 516 */
																																													obj_t
																																														BgL_res2908z00_3669;
																																													BgL_res2908z00_3669
																																														=
																																														MAKE_YOUNG_PAIR
																																														(BgL_arg2357z00_3661,
																																														BNIL);
																																													BgL_newtail1231z00_3660
																																														=
																																														BgL_res2908z00_3669;
																																												}
																																											}
																																											SET_CDR
																																												(BgL_tail1230z00_3652,
																																												BgL_newtail1231z00_3660);
																																											{
																																												obj_t
																																													BgL_tail1230z00_5906;
																																												obj_t
																																													BgL_l1227z00_5904;
																																												BgL_l1227z00_5904
																																													=
																																													CDR
																																													(BgL_l1227z00_3651);
																																												BgL_tail1230z00_5906
																																													=
																																													BgL_newtail1231z00_3660;
																																												BgL_tail1230z00_3652
																																													=
																																													BgL_tail1230z00_5906;
																																												BgL_l1227z00_3651
																																													=
																																													BgL_l1227z00_5904;
																																												goto
																																													BgL_zc3anonymousza32354ze3z83_3650;
																																											}
																																										}
																																								}
																																							}
																																						{	/* Eval/evaluate.scm 516 */
																																							obj_t
																																								BgL_varsz00_2462;
																																							if (NULLP(BgL_ubindsz00_2461))
																																								{	/* Eval/evaluate.scm 517 */
																																									BgL_varsz00_2462
																																										=
																																										BNIL;
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 517 */
																																									obj_t
																																										BgL_head1234z00_2495;
																																									{	/* Eval/evaluate.scm 517 */
																																										obj_t
																																											BgL_res2910z00_3673;
																																										BgL_res2910z00_3673
																																											=
																																											MAKE_YOUNG_PAIR
																																											(BNIL,
																																											BNIL);
																																										BgL_head1234z00_2495
																																											=
																																											BgL_res2910z00_3673;
																																									}
																																									{
																																										obj_t
																																											BgL_l1232z00_2497;
																																										obj_t
																																											BgL_tail1235z00_2498;
																																										BgL_l1232z00_2497
																																											=
																																											BgL_ubindsz00_2461;
																																										BgL_tail1235z00_2498
																																											=
																																											BgL_head1234z00_2495;
																																									BgL_zc3anonymousza32348ze3z83_2499:
																																										if (NULLP(BgL_l1232z00_2497))
																																											{	/* Eval/evaluate.scm 517 */
																																												BgL_varsz00_2462
																																													=
																																													CDR
																																													(BgL_head1234z00_2495);
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 517 */
																																												obj_t
																																													BgL_newtail1236z00_2501;
																																												{	/* Eval/evaluate.scm 517 */
																																													BgL_ev_varz00_bglt
																																														BgL_arg2351z00_2503;
																																													{	/* Eval/evaluate.scm 517 */
																																														obj_t
																																															BgL_iz00_2504;
																																														BgL_iz00_2504
																																															=
																																															CAR
																																															(BgL_l1232z00_2497);
																																														{	/* Eval/evaluate.scm 518 */
																																															BgL_ev_varz00_bglt
																																																BgL_new1133z00_2505;
																																															{	/* Eval/evaluate.scm 520 */
																																																BgL_ev_varz00_bglt
																																																	BgL_new1132z00_2506;
																																																BgL_new1132z00_2506
																																																	=
																																																	(
																																																	(BgL_ev_varz00_bglt)
																																																	BREF
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_varz00_bgl))));
																																																{	/* Eval/evaluate.scm 520 */
																																																	long
																																																		BgL_arg2352z00_2507;
																																																	{	/* Eval/evaluate.scm 520 */
																																																		long
																																																			BgL_res2912z00_3678;
																																																		BgL_res2912z00_3678
																																																			=
																																																			BGL_CLASS_INDEX
																																																			(BGl_ev_varz00zz__evaluate_typesz00);
																																																		BgL_arg2352z00_2507
																																																			=
																																																			BgL_res2912z00_3678;
																																																	}
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(
																																																		((BgL_objectz00_bglt) BgL_new1132z00_2506), BgL_arg2352z00_2507);
																																																}
																																																BgL_new1133z00_2505
																																																	=
																																																	BgL_new1132z00_2506;
																																															}
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1133z00_2505))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_2504)), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1133z00_2505))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1133z00_2505))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_2504)), BUNSPEC);
																																															BgL_arg2351z00_2503
																																																=
																																																BgL_new1133z00_2505;
																																													}}
																																													{	/* Eval/evaluate.scm 517 */
																																														obj_t
																																															BgL_res2913z00_3683;
																																														BgL_res2913z00_3683
																																															=
																																															MAKE_YOUNG_PAIR
																																															(
																																															((obj_t) BgL_arg2351z00_2503), BNIL);
																																														BgL_newtail1236z00_2501
																																															=
																																															BgL_res2913z00_3683;
																																												}}
																																												SET_CDR
																																													(BgL_tail1235z00_2498,
																																													BgL_newtail1236z00_2501);
																																												{
																																													obj_t
																																														BgL_tail1235z00_5928;
																																													obj_t
																																														BgL_l1232z00_5926;
																																													BgL_l1232z00_5926
																																														=
																																														CDR
																																														(BgL_l1232z00_2497);
																																													BgL_tail1235z00_5928
																																														=
																																														BgL_newtail1236z00_2501;
																																													BgL_tail1235z00_2498
																																														=
																																														BgL_tail1235z00_5928;
																																													BgL_l1232z00_2497
																																														=
																																														BgL_l1232z00_5926;
																																													goto
																																														BgL_zc3anonymousza32348ze3z83_2499;
																																												}
																																											}
																																									}
																																								}
																																							{	/* Eval/evaluate.scm 517 */
																																								obj_t
																																									BgL_localsz00_2463;
																																								BgL_localsz00_2463
																																									=
																																									BGl_appendzd221011zd2zz__evaluatez00
																																									(BgL_varsz00_2462,
																																									BgL_localsz00_70);
																																								{	/* Eval/evaluate.scm 522 */
																																									obj_t
																																										BgL_bodyz00_2464;
																																									{	/* Eval/evaluate.scm 523 */
																																										bool_t
																																											BgL_testz00_5930;
																																										{	/* Eval/evaluate.scm 523 */
																																											obj_t
																																												BgL_tmpz00_5931;
																																											BgL_tmpz00_5931
																																												=
																																												CDR
																																												(BgL_bodyz00_1476);
																																											BgL_testz00_5930
																																												=
																																												PAIRP
																																												(BgL_tmpz00_5931);
																																										}
																																										if (BgL_testz00_5930)
																																											{	/* Eval/evaluate.scm 523 */
																																												obj_t
																																													BgL_res2915z00_3689;
																																												BgL_res2915z00_3689
																																													=
																																													MAKE_YOUNG_EPAIR
																																													(BGl_symbol3223z00zz__evaluatez00,
																																													BgL_bodyz00_1476,
																																													BgL_locz00_74);
																																												BgL_bodyz00_2464
																																													=
																																													BgL_res2915z00_3689;
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 523 */
																																												BgL_bodyz00_2464
																																													=
																																													CAR
																																													(BgL_bodyz00_1476);
																																											}
																																									}
																																									{	/* Eval/evaluate.scm 523 */
																																										obj_t
																																											BgL_tbodyz00_2465;
																																										BgL_tbodyz00_2465
																																											=
																																											BGl_typezd2checkszd2zz__evaluatez00
																																											(BgL_ubindsz00_2461,
																																											BgL_bindsz00_1475,
																																											BgL_bodyz00_2464,
																																											BgL_locz00_74,
																																											BgL_wherez00_73);
																																										{	/* Eval/evaluate.scm 524 */
																																											obj_t
																																												BgL_blocz00_2466;
																																											{	/* Eval/evaluate.scm 145 */
																																												obj_t
																																													BgL__ortest_1067z00_3691;
																																												BgL__ortest_1067z00_3691
																																													=
																																													BGl_getzd2sourcezd2locationz00zz__readerz00
																																													(BgL_bindsz00_1475);
																																												if (CBOOL(BgL__ortest_1067z00_3691))
																																													{	/* Eval/evaluate.scm 145 */
																																														BgL_blocz00_2466
																																															=
																																															BgL__ortest_1067z00_3691;
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 145 */
																																														BgL_blocz00_2466
																																															=
																																															BgL_locz00_74;
																																													}
																																											}
																																											{	/* Eval/evaluate.scm 525 */

																																												{	/* Eval/evaluate.scm 526 */
																																													BgL_ev_letrecz00_bglt
																																														BgL_new1136z00_2467;
																																													{	/* Eval/evaluate.scm 527 */
																																														BgL_ev_letrecz00_bglt
																																															BgL_new1135z00_2488;
																																														BgL_new1135z00_2488
																																															=
																																															(
																																															(BgL_ev_letrecz00_bglt)
																																															BREF
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_letrecz00_bgl))));
																																														{	/* Eval/evaluate.scm 527 */
																																															long
																																																BgL_arg2343z00_2489;
																																															{	/* Eval/evaluate.scm 527 */
																																																long
																																																	BgL_res2916z00_3693;
																																																BgL_res2916z00_3693
																																																	=
																																																	BGL_CLASS_INDEX
																																																	(BGl_ev_letrecz00zz__evaluate_typesz00);
																																																BgL_arg2343z00_2489
																																																	=
																																																	BgL_res2916z00_3693;
																																															}
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1135z00_2488), BgL_arg2343z00_2489);
																																														}
																																														BgL_new1136z00_2467
																																															=
																																															BgL_new1135z00_2488;
																																													}
																																													((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1136z00_2467)))->BgL_varsz00) = ((obj_t) BgL_varsz00_2462), BUNSPEC);
																																													{
																																														obj_t
																																															BgL_auxz00_5946;
																																														if (NULLP(BgL_bindsz00_1475))
																																															{	/* Eval/evaluate.scm 528 */
																																																BgL_auxz00_5946
																																																	=
																																																	BNIL;
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 528 */
																																																obj_t
																																																	BgL_head1239z00_2470;
																																																{	/* Eval/evaluate.scm 528 */
																																																	obj_t
																																																		BgL_res2918z00_3697;
																																																	BgL_res2918z00_3697
																																																		=
																																																		MAKE_YOUNG_PAIR
																																																		(BNIL,
																																																		BNIL);
																																																	BgL_head1239z00_2470
																																																		=
																																																		BgL_res2918z00_3697;
																																																}
																																																{
																																																	obj_t
																																																		BgL_l1237z00_2472;
																																																	obj_t
																																																		BgL_tail1240z00_2473;
																																																	BgL_l1237z00_2472
																																																		=
																																																		BgL_bindsz00_1475;
																																																	BgL_tail1240z00_2473
																																																		=
																																																		BgL_head1239z00_2470;
																																																BgL_zc3anonymousza32331ze3z83_2474:
																																																	if (NULLP(BgL_l1237z00_2472))
																																																		{	/* Eval/evaluate.scm 528 */
																																																			BgL_auxz00_5946
																																																				=
																																																				CDR
																																																				(BgL_head1239z00_2470);
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 528 */
																																																			obj_t
																																																				BgL_newtail1241z00_2476;
																																																			{	/* Eval/evaluate.scm 528 */
																																																				obj_t
																																																					BgL_arg2334z00_2478;
																																																				{	/* Eval/evaluate.scm 528 */
																																																					obj_t
																																																						BgL_bz00_2479;
																																																					BgL_bz00_2479
																																																						=
																																																						CAR
																																																						(BgL_l1237z00_2472);
																																																					{	/* Eval/evaluate.scm 529 */
																																																						obj_t
																																																							BgL_arg2336z00_2480;
																																																						obj_t
																																																							BgL_arg2337z00_2481;
																																																						obj_t
																																																							BgL_arg2338z00_2482;
																																																						{	/* Eval/evaluate.scm 529 */
																																																							obj_t
																																																								BgL_pairz00_3704;
																																																							BgL_pairz00_3704
																																																								=
																																																								CDR
																																																								(BgL_bz00_2479);
																																																							BgL_arg2336z00_2480
																																																								=
																																																								CAR
																																																								(BgL_pairz00_3704);
																																																						}
																																																						{	/* Eval/evaluate.scm 529 */
																																																							obj_t
																																																								BgL_arg2339z00_2483;
																																																							BgL_arg2339z00_2483
																																																								=
																																																								CAR
																																																								(BgL_bz00_2479);
																																																							{	/* Eval/evaluate.scm 529 */
																																																								obj_t
																																																									BgL_list2340z00_2484;
																																																								{	/* Eval/evaluate.scm 529 */
																																																									obj_t
																																																										BgL_arg2341z00_2485;
																																																									{	/* Eval/evaluate.scm 529 */
																																																										obj_t
																																																											BgL_arg2342z00_2486;
																																																										BgL_arg2342z00_2486
																																																											=
																																																											MAKE_YOUNG_PAIR
																																																											(BgL_wherez00_73,
																																																											BNIL);
																																																										BgL_arg2341z00_2485
																																																											=
																																																											MAKE_YOUNG_PAIR
																																																											(BGl_symbol3225z00zz__evaluatez00,
																																																											BgL_arg2342z00_2486);
																																																									}
																																																									BgL_list2340z00_2484
																																																										=
																																																										MAKE_YOUNG_PAIR
																																																										(BgL_arg2339z00_2483,
																																																										BgL_arg2341z00_2485);
																																																								}
																																																								BgL_arg2337z00_2481
																																																									=
																																																									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																																									(BgL_list2340z00_2484);
																																																							}
																																																						}
																																																						{	/* Eval/evaluate.scm 145 */
																																																							obj_t
																																																								BgL__ortest_1067z00_3706;
																																																							BgL__ortest_1067z00_3706
																																																								=
																																																								BGl_getzd2sourcezd2locationz00zz__readerz00
																																																								(BgL_bz00_2479);
																																																							if (CBOOL(BgL__ortest_1067z00_3706))
																																																								{	/* Eval/evaluate.scm 145 */
																																																									BgL_arg2338z00_2482
																																																										=
																																																										BgL__ortest_1067z00_3706;
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 145 */
																																																									BgL_arg2338z00_2482
																																																										=
																																																										BgL_blocz00_2466;
																																																								}
																																																						}
																																																						BgL_arg2334z00_2478
																																																							=
																																																							BGl_convz00zz__evaluatez00
																																																							(BgL_arg2336z00_2480,
																																																							BgL_localsz00_2463,
																																																							BgL_globalsz00_71,
																																																							BFALSE,
																																																							BgL_arg2337z00_2481,
																																																							BgL_arg2338z00_2482,
																																																							((bool_t) 0));
																																																					}
																																																				}
																																																				{	/* Eval/evaluate.scm 528 */
																																																					obj_t
																																																						BgL_res2920z00_3707;
																																																					BgL_res2920z00_3707
																																																						=
																																																						MAKE_YOUNG_PAIR
																																																						(BgL_arg2334z00_2478,
																																																						BNIL);
																																																					BgL_newtail1241z00_2476
																																																						=
																																																						BgL_res2920z00_3707;
																																																				}
																																																			}
																																																			SET_CDR
																																																				(BgL_tail1240z00_2473,
																																																				BgL_newtail1241z00_2476);
																																																			{	/* Eval/evaluate.scm 528 */
																																																				obj_t
																																																					BgL_arg2333z00_2477;
																																																				BgL_arg2333z00_2477
																																																					=
																																																					CDR
																																																					(BgL_l1237z00_2472);
																																																				{
																																																					obj_t
																																																						BgL_tail1240z00_5970;
																																																					obj_t
																																																						BgL_l1237z00_5969;
																																																					BgL_l1237z00_5969
																																																						=
																																																						BgL_arg2333z00_2477;
																																																					BgL_tail1240z00_5970
																																																						=
																																																						BgL_newtail1241z00_2476;
																																																					BgL_tail1240z00_2473
																																																						=
																																																						BgL_tail1240z00_5970;
																																																					BgL_l1237z00_2472
																																																						=
																																																						BgL_l1237z00_5969;
																																																					goto
																																																						BgL_zc3anonymousza32331ze3z83_2474;
																																																				}
																																																			}
																																																		}
																																																}
																																															}
																																														((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1136z00_2467)))->BgL_valsz00) = ((obj_t) BgL_auxz00_5946), BUNSPEC);
																																													}
																																													((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1136z00_2467)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convz00zz__evaluatez00(BgL_tbodyz00_2465, BgL_localsz00_2463, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																													BgL_auxz00_5892
																																														=
																																														BgL_new1136z00_2467;
																																												}
																																											}
																																										}
																																									}
																																								}
																																							}
																																						}
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_5892);
																																				}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 425 */
																																				obj_t
																																					BgL_arg1699z00_1679;
																																				BgL_arg1699z00_1679
																																					=
																																					CAR
																																					(BgL_ez00_69);
																																				{
																																					BgL_ev_appz00_bglt
																																						BgL_auxz00_5978;
																																					{
																																						obj_t
																																							BgL_argsz00_5980;
																																						obj_t
																																							BgL_fz00_5979;
																																						BgL_fz00_5979
																																							=
																																							BgL_arg1699z00_1679;
																																						BgL_argsz00_5980
																																							=
																																							BgL_cdrzd26695zd2_1673;
																																						BgL_argsz00_1516
																																							=
																																							BgL_argsz00_5980;
																																						BgL_fz00_1515
																																							=
																																							BgL_fz00_5979;
																																						goto
																																							BgL_tagzd2175zd2_1517;
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_5978);
																																				}
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 425 */
																																		if (
																																			(CAR
																																				(BgL_ez00_69)
																																				==
																																				BGl_symbol3244z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 425 */
																																				if (PAIRP(BgL_cdrzd26695zd2_1673))
																																					{	/* Eval/evaluate.scm 425 */
																																						obj_t
																																							BgL_carzd26869zd2_1685;
																																						obj_t
																																							BgL_cdrzd26870zd2_1686;
																																						BgL_carzd26869zd2_1685
																																							=
																																							CAR
																																							(BgL_cdrzd26695zd2_1673);
																																						BgL_cdrzd26870zd2_1686
																																							=
																																							CDR
																																							(BgL_cdrzd26695zd2_1673);
																																						if (PAIRP(BgL_carzd26869zd2_1685))
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_cdrzd26874zd2_1688;
																																								BgL_cdrzd26874zd2_1688
																																									=
																																									CDR
																																									(BgL_carzd26869zd2_1685);
																																								if ((CAR(BgL_carzd26869zd2_1685) == BGl_symbol3230z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 425 */
																																										if (PAIRP(BgL_cdrzd26874zd2_1688))
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_carzd26877zd2_1692;
																																												obj_t
																																													BgL_cdrzd26878zd2_1693;
																																												BgL_carzd26877zd2_1692
																																													=
																																													CAR
																																													(BgL_cdrzd26874zd2_1688);
																																												BgL_cdrzd26878zd2_1693
																																													=
																																													CDR
																																													(BgL_cdrzd26874zd2_1688);
																																												if (SYMBOLP(BgL_carzd26877zd2_1692))
																																													{	/* Eval/evaluate.scm 425 */
																																														if (PAIRP(BgL_cdrzd26878zd2_1693))
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_carzd26882zd2_1696;
																																																BgL_carzd26882zd2_1696
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26878zd2_1693);
																																																if (SYMBOLP(BgL_carzd26882zd2_1696))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		if (NULLP(CDR(BgL_cdrzd26878zd2_1693)))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				if (PAIRP(BgL_cdrzd26870zd2_1686))
																																																					{	/* Eval/evaluate.scm 425 */
																																																						if (NULLP(CDR(BgL_cdrzd26870zd2_1686)))
																																																							{	/* Eval/evaluate.scm 425 */
																																																								obj_t
																																																									BgL_arg1716z00_1703;
																																																								BgL_arg1716z00_1703
																																																									=
																																																									CAR
																																																									(BgL_cdrzd26870zd2_1686);
																																																								{	/* Eval/evaluate.scm 532 */
																																																									BgL_ev_setglobalz00_bglt
																																																										BgL_new1138z00_3997;
																																																									{	/* Eval/evaluate.scm 536 */
																																																										BgL_ev_setglobalz00_bglt
																																																											BgL_new1137z00_3998;
																																																										BgL_new1137z00_3998
																																																											=
																																																											(
																																																											(BgL_ev_setglobalz00_bglt)
																																																											BREF
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_setglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 536 */
																																																											long
																																																												BgL_arg2360z00_3999;
																																																											{	/* Eval/evaluate.scm 536 */
																																																												long
																																																													BgL_res2978z00_4001;
																																																												BgL_res2978z00_4001
																																																													=
																																																													BGL_CLASS_INDEX
																																																													(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																												BgL_arg2360z00_3999
																																																													=
																																																													BgL_res2978z00_4001;
																																																											}
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1137z00_3998), BgL_arg2360z00_3999);
																																																										}
																																																										BgL_new1138z00_3997
																																																											=
																																																											BgL_new1137z00_3998;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6019;
																																																										{	/* Eval/evaluate.scm 381 */
																																																											obj_t
																																																												BgL_arg2410z00_4004;
																																																											BgL_arg2410z00_4004
																																																												=
																																																												BGl_getzd2locationzd2zz__evaluatez00
																																																												(BgL_arg1716z00_1703,
																																																												BgL_locz00_74);
																																																											BgL_auxz00_6019
																																																												=
																																																												(
																																																												(BgL_ev_exprz00_bglt)
																																																												BGl_uconvzf2locze70z15zz__evaluatez00
																																																												(BgL_wherez00_73,
																																																													BgL_globalsz00_71,
																																																													BgL_localsz00_70,
																																																													BgL_arg1716z00_1703,
																																																													BgL_arg2410z00_4004));
																																																										}
																																																										((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1138z00_3997)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6019), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1138z00_3997))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1138z00_3997))->BgL_namez00) = ((obj_t) BgL_carzd26877zd2_1692), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1138z00_3997))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_carzd26882zd2_1696)), BUNSPEC);
																																																									return
																																																										(
																																																										(obj_t)
																																																										BgL_new1138z00_3997);
																																																								}
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 425 */
																																																								return
																																																									BGl_evcompilezd2errorzd2zz__evcompilez00
																																																									(BgL_locz00_74,
																																																									BGl_string3147z00zz__evaluatez00,
																																																									BGl_string3222z00zz__evaluatez00,
																																																									BgL_ez00_69);
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 425 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_74,
																																																							BGl_string3147z00zz__evaluatez00,
																																																							BGl_string3222z00zz__evaluatez00,
																																																							BgL_ez00_69);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_cdrzd26998zd2_1705;
																																																				BgL_cdrzd26998zd2_1705
																																																					=
																																																					CDR
																																																					(BgL_ez00_69);
																																																				{	/* Eval/evaluate.scm 425 */
																																																					obj_t
																																																						BgL_cdrzd27002zd2_1706;
																																																					BgL_cdrzd27002zd2_1706
																																																						=
																																																						CDR
																																																						(BgL_cdrzd26998zd2_1705);
																																																					if (PAIRP(BgL_cdrzd27002zd2_1706))
																																																						{	/* Eval/evaluate.scm 425 */
																																																							if (NULLP(CDR(BgL_cdrzd27002zd2_1706)))
																																																								{	/* Eval/evaluate.scm 425 */
																																																									obj_t
																																																										BgL_arg1721z00_1710;
																																																									obj_t
																																																										BgL_arg1722z00_1711;
																																																									BgL_arg1721z00_1710
																																																										=
																																																										CAR
																																																										(BgL_cdrzd26998zd2_1705);
																																																									BgL_arg1722z00_1711
																																																										=
																																																										CAR
																																																										(BgL_cdrzd27002zd2_1706);
																																																									{
																																																										BgL_ev_hookz00_bglt
																																																											BgL_auxz00_6041;
																																																										BgL_vz00_1485
																																																											=
																																																											BgL_arg1721z00_1710;
																																																										BgL_ez00_1486
																																																											=
																																																											BgL_arg1722z00_1711;
																																																									BgL_tagzd2165zd2_1487:
																																																										{	/* Eval/evaluate.scm 542 */
																																																											obj_t
																																																												BgL_cvz00_2552;
																																																											obj_t
																																																												BgL_ez00_2553;
																																																											BgL_cvz00_2552
																																																												=
																																																												BGl_convzd2varzd2zz__evaluatez00
																																																												(BgL_vz00_1485,
																																																												BgL_localsz00_70);
																																																											{	/* Eval/evaluate.scm 381 */
																																																												obj_t
																																																													BgL_arg2410z00_3726;
																																																												{	/* Eval/evaluate.scm 145 */
																																																													obj_t
																																																														BgL__ortest_1067z00_3727;
																																																													BgL__ortest_1067z00_3727
																																																														=
																																																														BGl_getzd2sourcezd2locationz00zz__readerz00
																																																														(BgL_ez00_1486);
																																																													if (CBOOL(BgL__ortest_1067z00_3727))
																																																														{	/* Eval/evaluate.scm 145 */
																																																															BgL_arg2410z00_3726
																																																																=
																																																																BgL__ortest_1067z00_3727;
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 145 */
																																																															BgL_arg2410z00_3726
																																																																=
																																																																BgL_locz00_74;
																																																														}
																																																												}
																																																												BgL_ez00_2553
																																																													=
																																																													BGl_convz00zz__evaluatez00
																																																													(BgL_ez00_1486,
																																																													BgL_localsz00_70,
																																																													BgL_globalsz00_71,
																																																													BFALSE,
																																																													BgL_wherez00_73,
																																																													BgL_arg2410z00_3726,
																																																													((bool_t) 0));
																																																											}
																																																											if (CBOOL(BgL_cvz00_2552))
																																																												{	/* Eval/evaluate.scm 544 */
																																																													BgL_ev_setlocalz00_bglt
																																																														BgL_new1140z00_2554;
																																																													{	/* Eval/evaluate.scm 546 */
																																																														BgL_ev_setlocalz00_bglt
																																																															BgL_new1139z00_2555;
																																																														BgL_new1139z00_2555
																																																															=
																																																															(
																																																															(BgL_ev_setlocalz00_bglt)
																																																															BREF
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setlocalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 546 */
																																																															long
																																																																BgL_arg2374z00_2556;
																																																															{	/* Eval/evaluate.scm 546 */
																																																																long
																																																																	BgL_res2926z00_3729;
																																																																BgL_res2926z00_3729
																																																																	=
																																																																	BGL_CLASS_INDEX
																																																																	(BGl_ev_setlocalz00zz__evaluate_typesz00);
																																																																BgL_arg2374z00_2556
																																																																	=
																																																																	BgL_res2926z00_3729;
																																																															}
																																																															BGL_OBJECT_CLASS_NUM_SET
																																																																(
																																																																((BgL_objectz00_bglt) BgL_new1139z00_2555), BgL_arg2374z00_2556);
																																																														}
																																																														BgL_new1140z00_2554
																																																															=
																																																															BgL_new1139z00_2555;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1140z00_2554)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_2553)), BUNSPEC);
																																																													((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1140z00_2554))->BgL_vz00) = ((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_cvz00_2552)), BUNSPEC);
																																																													BgL_auxz00_6041
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1140z00_2554);
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 547 */
																																																													BgL_ev_setglobalz00_bglt
																																																														BgL_new1142z00_2557;
																																																													{	/* Eval/evaluate.scm 551 */
																																																														BgL_ev_setglobalz00_bglt
																																																															BgL_new1141z00_2559;
																																																														BgL_new1141z00_2559
																																																															=
																																																															(
																																																															(BgL_ev_setglobalz00_bglt)
																																																															BREF
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setglobalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 551 */
																																																															long
																																																																BgL_arg2376z00_2560;
																																																															{	/* Eval/evaluate.scm 551 */
																																																																long
																																																																	BgL_res2927z00_3733;
																																																																BgL_res2927z00_3733
																																																																	=
																																																																	BGL_CLASS_INDEX
																																																																	(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																																BgL_arg2376z00_2560
																																																																	=
																																																																	BgL_res2927z00_3733;
																																																															}
																																																															BGL_OBJECT_CLASS_NUM_SET
																																																																(
																																																																((BgL_objectz00_bglt) BgL_new1141z00_2559), BgL_arg2376z00_2560);
																																																														}
																																																														BgL_new1142z00_2557
																																																															=
																																																															BgL_new1141z00_2559;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1142z00_2557)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_2553)), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1142z00_2557))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1142z00_2557))->BgL_namez00) = ((obj_t) BgL_vz00_1485), BUNSPEC);
																																																													{
																																																														obj_t
																																																															BgL_auxz00_6068;
																																																														if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
																																																															{	/* Eval/evaluate.scm 550 */
																																																																BgL_auxz00_6068
																																																																	=
																																																																	BgL_globalsz00_71;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 550 */
																																																																BgL_auxz00_6068
																																																																	=
																																																																	BGL_MODULE
																																																																	();
																																																															}
																																																														((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1142z00_2557))->BgL_modz00) = ((obj_t) BgL_auxz00_6068), BUNSPEC);
																																																													}
																																																													BgL_auxz00_6041
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1142z00_2557);
																																																												}
																																																										}
																																																										return
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_6041);
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 425 */
																																																									return
																																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																																										(BgL_locz00_74,
																																																										BGl_string3147z00zz__evaluatez00,
																																																										BGl_string3222z00zz__evaluatez00,
																																																										BgL_ez00_69);
																																																								}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 425 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_74,
																																																								BGl_string3147z00zz__evaluatez00,
																																																								BGl_string3222z00zz__evaluatez00,
																																																								BgL_ez00_69);
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_cdrzd27059zd2_1714;
																																																		BgL_cdrzd27059zd2_1714
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{	/* Eval/evaluate.scm 425 */
																																																			obj_t
																																																				BgL_cdrzd27063zd2_1715;
																																																			BgL_cdrzd27063zd2_1715
																																																				=
																																																				CDR
																																																				(BgL_cdrzd27059zd2_1714);
																																																			if (PAIRP(BgL_cdrzd27063zd2_1715))
																																																				{	/* Eval/evaluate.scm 425 */
																																																					if (NULLP(CDR(BgL_cdrzd27063zd2_1715)))
																																																						{	/* Eval/evaluate.scm 425 */
																																																							obj_t
																																																								BgL_arg1729z00_1719;
																																																							obj_t
																																																								BgL_arg1730z00_1720;
																																																							BgL_arg1729z00_1719
																																																								=
																																																								CAR
																																																								(BgL_cdrzd27059zd2_1714);
																																																							BgL_arg1730z00_1720
																																																								=
																																																								CAR
																																																								(BgL_cdrzd27063zd2_1715);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_6086;
																																																								{
																																																									obj_t
																																																										BgL_ez00_6088;
																																																									obj_t
																																																										BgL_vz00_6087;
																																																									BgL_vz00_6087
																																																										=
																																																										BgL_arg1729z00_1719;
																																																									BgL_ez00_6088
																																																										=
																																																										BgL_arg1730z00_1720;
																																																									BgL_ez00_1486
																																																										=
																																																										BgL_ez00_6088;
																																																									BgL_vz00_1485
																																																										=
																																																										BgL_vz00_6087;
																																																									goto
																																																										BgL_tagzd2165zd2_1487;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_6086);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 425 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_74,
																																																								BGl_string3147z00zz__evaluatez00,
																																																								BGl_string3222z00zz__evaluatez00,
																																																								BgL_ez00_69);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 425 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string3147z00zz__evaluatez00,
																																																						BGl_string3222z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd27120zd2_1722;
																																																BgL_cdrzd27120zd2_1722
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{	/* Eval/evaluate.scm 425 */
																																																	obj_t
																																																		BgL_cdrzd27124zd2_1723;
																																																	BgL_cdrzd27124zd2_1723
																																																		=
																																																		CDR
																																																		(BgL_cdrzd27120zd2_1722);
																																																	if (PAIRP(BgL_cdrzd27124zd2_1723))
																																																		{	/* Eval/evaluate.scm 425 */
																																																			if (NULLP(CDR(BgL_cdrzd27124zd2_1723)))
																																																				{	/* Eval/evaluate.scm 425 */
																																																					obj_t
																																																						BgL_arg1736z00_1727;
																																																					obj_t
																																																						BgL_arg1737z00_1728;
																																																					BgL_arg1736z00_1727
																																																						=
																																																						CAR
																																																						(BgL_cdrzd27120zd2_1722);
																																																					BgL_arg1737z00_1728
																																																						=
																																																						CAR
																																																						(BgL_cdrzd27124zd2_1723);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_6101;
																																																						{
																																																							obj_t
																																																								BgL_ez00_6103;
																																																							obj_t
																																																								BgL_vz00_6102;
																																																							BgL_vz00_6102
																																																								=
																																																								BgL_arg1736z00_1727;
																																																							BgL_ez00_6103
																																																								=
																																																								BgL_arg1737z00_1728;
																																																							BgL_ez00_1486
																																																								=
																																																								BgL_ez00_6103;
																																																							BgL_vz00_1485
																																																								=
																																																								BgL_vz00_6102;
																																																							goto
																																																								BgL_tagzd2165zd2_1487;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_6101);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 425 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string3147z00zz__evaluatez00,
																																																						BGl_string3222z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 425 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string3147z00zz__evaluatez00,
																																																				BGl_string3222z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_cdrzd27181zd2_1730;
																																														BgL_cdrzd27181zd2_1730
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{	/* Eval/evaluate.scm 425 */
																																															obj_t
																																																BgL_cdrzd27185zd2_1731;
																																															BgL_cdrzd27185zd2_1731
																																																=
																																																CDR
																																																(BgL_cdrzd27181zd2_1730);
																																															if (PAIRP(BgL_cdrzd27185zd2_1731))
																																																{	/* Eval/evaluate.scm 425 */
																																																	if (NULLP(CDR(BgL_cdrzd27185zd2_1731)))
																																																		{	/* Eval/evaluate.scm 425 */
																																																			obj_t
																																																				BgL_arg1743z00_1735;
																																																			obj_t
																																																				BgL_arg1744z00_1736;
																																																			BgL_arg1743z00_1735
																																																				=
																																																				CAR
																																																				(BgL_cdrzd27181zd2_1730);
																																																			BgL_arg1744z00_1736
																																																				=
																																																				CAR
																																																				(BgL_cdrzd27185zd2_1731);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_6116;
																																																				{
																																																					obj_t
																																																						BgL_ez00_6118;
																																																					obj_t
																																																						BgL_vz00_6117;
																																																					BgL_vz00_6117
																																																						=
																																																						BgL_arg1743z00_1735;
																																																					BgL_ez00_6118
																																																						=
																																																						BgL_arg1744z00_1736;
																																																					BgL_ez00_1486
																																																						=
																																																						BgL_ez00_6118;
																																																					BgL_vz00_1485
																																																						=
																																																						BgL_vz00_6117;
																																																					goto
																																																						BgL_tagzd2165zd2_1487;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_6116);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 425 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string3147z00zz__evaluatez00,
																																																				BGl_string3222z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 425 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string3147z00zz__evaluatez00,
																																																		BGl_string3222z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_cdrzd27242zd2_1738;
																																												BgL_cdrzd27242zd2_1738
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{	/* Eval/evaluate.scm 425 */
																																													obj_t
																																														BgL_cdrzd27246zd2_1739;
																																													BgL_cdrzd27246zd2_1739
																																														=
																																														CDR
																																														(BgL_cdrzd27242zd2_1738);
																																													if (PAIRP(BgL_cdrzd27246zd2_1739))
																																														{	/* Eval/evaluate.scm 425 */
																																															if (NULLP(CDR(BgL_cdrzd27246zd2_1739)))
																																																{	/* Eval/evaluate.scm 425 */
																																																	obj_t
																																																		BgL_arg1750z00_1743;
																																																	obj_t
																																																		BgL_arg1751z00_1744;
																																																	BgL_arg1750z00_1743
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27242zd2_1738);
																																																	BgL_arg1751z00_1744
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27246zd2_1739);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_6131;
																																																		{
																																																			obj_t
																																																				BgL_ez00_6133;
																																																			obj_t
																																																				BgL_vz00_6132;
																																																			BgL_vz00_6132
																																																				=
																																																				BgL_arg1750z00_1743;
																																																			BgL_ez00_6133
																																																				=
																																																				BgL_arg1751z00_1744;
																																																			BgL_ez00_1486
																																																				=
																																																				BgL_ez00_6133;
																																																			BgL_vz00_1485
																																																				=
																																																				BgL_vz00_6132;
																																																			goto
																																																				BgL_tagzd2165zd2_1487;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_6131);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 425 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string3147z00zz__evaluatez00,
																																																		BGl_string3222z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 425 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string3147z00zz__evaluatez00,
																																																BGl_string3222z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_cdrzd27290zd2_1746;
																																										BgL_cdrzd27290zd2_1746
																																											=
																																											CDR
																																											(BgL_ez00_69);
																																										{	/* Eval/evaluate.scm 425 */
																																											obj_t
																																												BgL_carzd27293zd2_1747;
																																											obj_t
																																												BgL_cdrzd27294zd2_1748;
																																											BgL_carzd27293zd2_1747
																																												=
																																												CAR
																																												(BgL_cdrzd27290zd2_1746);
																																											BgL_cdrzd27294zd2_1748
																																												=
																																												CDR
																																												(BgL_cdrzd27290zd2_1746);
																																											if ((CAR(BgL_carzd27293zd2_1747) == BGl_symbol3232z00zz__evaluatez00))
																																												{	/* Eval/evaluate.scm 425 */
																																													if (PAIRP(BgL_cdrzd27294zd2_1748))
																																														{	/* Eval/evaluate.scm 425 */
																																															if (NULLP(CDR(BgL_cdrzd27294zd2_1748)))
																																																{	/* Eval/evaluate.scm 425 */
																																																	BgL_lz00_1482
																																																		=
																																																		CDR
																																																		(BgL_carzd27293zd2_1747);
																																																	BgL_e2z00_1483
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27294zd2_1748);
																																																BgL_tagzd2164zd2_1484:
																																																	{	/* Eval/evaluate.scm 538 */
																																																		bool_t
																																																			BgL_testz00_6148;
																																																		if (PAIRP(BgL_lz00_1482))
																																																			{	/* Eval/evaluate.scm 538 */
																																																				bool_t
																																																					BgL_testz00_6151;
																																																				{	/* Eval/evaluate.scm 538 */
																																																					obj_t
																																																						BgL_tmpz00_6152;
																																																					BgL_tmpz00_6152
																																																						=
																																																						CDR
																																																						(BgL_lz00_1482);
																																																					BgL_testz00_6151
																																																						=
																																																						PAIRP
																																																						(BgL_tmpz00_6152);
																																																				}
																																																				if (BgL_testz00_6151)
																																																					{
																																																						obj_t
																																																							BgL_l1242z00_2543;
																																																						BgL_l1242z00_2543
																																																							=
																																																							BgL_lz00_1482;
																																																					BgL_zc3anonymousza32370ze3z83_2544:
																																																						if (NULLP(BgL_l1242z00_2543))
																																																							{	/* Eval/evaluate.scm 538 */
																																																								BgL_testz00_6148
																																																									=
																																																									(
																																																									(bool_t)
																																																									1);
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 538 */
																																																								bool_t
																																																									BgL_testz00_6157;
																																																								{	/* Eval/evaluate.scm 538 */
																																																									obj_t
																																																										BgL_tmpz00_6158;
																																																									BgL_tmpz00_6158
																																																										=
																																																										CAR
																																																										(BgL_l1242z00_2543);
																																																									BgL_testz00_6157
																																																										=
																																																										SYMBOLP
																																																										(BgL_tmpz00_6158);
																																																								}
																																																								if (BgL_testz00_6157)
																																																									{
																																																										obj_t
																																																											BgL_l1242z00_6161;
																																																										BgL_l1242z00_6161
																																																											=
																																																											CDR
																																																											(BgL_l1242z00_2543);
																																																										BgL_l1242z00_2543
																																																											=
																																																											BgL_l1242z00_6161;
																																																										goto
																																																											BgL_zc3anonymousza32370ze3z83_2544;
																																																									}
																																																								else
																																																									{	/* Eval/evaluate.scm 538 */
																																																										BgL_testz00_6148
																																																											=
																																																											(
																																																											(bool_t)
																																																											0);
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 538 */
																																																						BgL_testz00_6148
																																																							=
																																																							(
																																																							(bool_t)
																																																							0);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 538 */
																																																				BgL_testz00_6148
																																																					=
																																																					(
																																																					(bool_t)
																																																					0);
																																																			}
																																																		if (BgL_testz00_6148)
																																																			{	/* Eval/evaluate.scm 538 */
																																																				return
																																																					BGl_convzd2fieldzd2setz00zz__evaluatez00
																																																					(BgL_lz00_1482,
																																																					BgL_e2z00_1483,
																																																					BgL_ez00_69,
																																																					BgL_localsz00_70,
																																																					BgL_globalsz00_71,
																																																					BgL_tailzf3zf3_72,
																																																					BgL_wherez00_73,
																																																					BgL_locz00_74,
																																																					BgL_topzf3zf3_75);
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 538 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_74,
																																																					BGl_string3147z00zz__evaluatez00,
																																																					BGl_string3222z00zz__evaluatez00,
																																																					BgL_ez00_69);
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 425 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string3147z00zz__evaluatez00,
																																																		BGl_string3222z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 425 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string3147z00zz__evaluatez00,
																																																BGl_string3222z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 425 */
																																													obj_t
																																														BgL_cdrzd27370zd2_1758;
																																													BgL_cdrzd27370zd2_1758
																																														=
																																														CDR
																																														(BgL_cdrzd27290zd2_1746);
																																													if (PAIRP(BgL_cdrzd27370zd2_1758))
																																														{	/* Eval/evaluate.scm 425 */
																																															if (NULLP(CDR(BgL_cdrzd27370zd2_1758)))
																																																{	/* Eval/evaluate.scm 425 */
																																																	obj_t
																																																		BgL_arg1768z00_1762;
																																																	obj_t
																																																		BgL_arg1770z00_1763;
																																																	BgL_arg1768z00_1762
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27290zd2_1746);
																																																	BgL_arg1770z00_1763
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27370zd2_1758);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_6177;
																																																		{
																																																			obj_t
																																																				BgL_ez00_6179;
																																																			obj_t
																																																				BgL_vz00_6178;
																																																			BgL_vz00_6178
																																																				=
																																																				BgL_arg1768z00_1762;
																																																			BgL_ez00_6179
																																																				=
																																																				BgL_arg1770z00_1763;
																																																			BgL_ez00_1486
																																																				=
																																																				BgL_ez00_6179;
																																																			BgL_vz00_1485
																																																				=
																																																				BgL_vz00_6178;
																																																			goto
																																																				BgL_tagzd2165zd2_1487;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_6177);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 425 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string3147z00zz__evaluatez00,
																																																		BGl_string3222z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 425 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string3147z00zz__evaluatez00,
																																																BGl_string3222z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_cdrzd27427zd2_1767;
																																								BgL_cdrzd27427zd2_1767
																																									=
																																									CDR
																																									(BgL_ez00_69);
																																								{	/* Eval/evaluate.scm 425 */
																																									obj_t
																																										BgL_cdrzd27431zd2_1768;
																																									BgL_cdrzd27431zd2_1768
																																										=
																																										CDR
																																										(BgL_cdrzd27427zd2_1767);
																																									if (PAIRP(BgL_cdrzd27431zd2_1768))
																																										{	/* Eval/evaluate.scm 425 */
																																											if (NULLP(CDR(BgL_cdrzd27431zd2_1768)))
																																												{	/* Eval/evaluate.scm 425 */
																																													obj_t
																																														BgL_arg1779z00_1772;
																																													obj_t
																																														BgL_arg1780z00_1773;
																																													BgL_arg1779z00_1772
																																														=
																																														CAR
																																														(BgL_cdrzd27427zd2_1767);
																																													BgL_arg1780z00_1773
																																														=
																																														CAR
																																														(BgL_cdrzd27431zd2_1768);
																																													{
																																														BgL_ev_hookz00_bglt
																																															BgL_auxz00_6192;
																																														{
																																															obj_t
																																																BgL_ez00_6194;
																																															obj_t
																																																BgL_vz00_6193;
																																															BgL_vz00_6193
																																																=
																																																BgL_arg1779z00_1772;
																																															BgL_ez00_6194
																																																=
																																																BgL_arg1780z00_1773;
																																															BgL_ez00_1486
																																																=
																																																BgL_ez00_6194;
																																															BgL_vz00_1485
																																																=
																																																BgL_vz00_6193;
																																															goto
																																																BgL_tagzd2165zd2_1487;
																																														}
																																														return
																																															(
																																															(obj_t)
																																															BgL_auxz00_6192);
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 425 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string3147z00zz__evaluatez00,
																																														BGl_string3222z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 425 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_74,
																																												BGl_string3147z00zz__evaluatez00,
																																												BGl_string3222z00zz__evaluatez00,
																																												BgL_ez00_69);
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 425 */
																																						return
																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																							(BgL_locz00_74,
																																							BGl_string3147z00zz__evaluatez00,
																																							BGl_string3222z00zz__evaluatez00,
																																							BgL_ez00_69);
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 425 */
																																				obj_t
																																					BgL_cdrzd27552zd2_1775;
																																				BgL_cdrzd27552zd2_1775
																																					=
																																					CDR
																																					(BgL_ez00_69);
																																				if ((CAR
																																						(BgL_ez00_69)
																																						==
																																						BGl_symbol3246z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 425 */
																																						if (PAIRP(BgL_cdrzd27552zd2_1775))
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_cdrzd27557zd2_1779;
																																								BgL_cdrzd27557zd2_1779
																																									=
																																									CDR
																																									(BgL_cdrzd27552zd2_1775);
																																								if (PAIRP(BgL_cdrzd27557zd2_1779))
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_carzd27561zd2_1781;
																																										BgL_carzd27561zd2_1781
																																											=
																																											CAR
																																											(BgL_cdrzd27557zd2_1779);
																																										if (PAIRP(BgL_carzd27561zd2_1781))
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_cdrzd27566zd2_1783;
																																												BgL_cdrzd27566zd2_1783
																																													=
																																													CDR
																																													(BgL_carzd27561zd2_1781);
																																												if ((CAR(BgL_carzd27561zd2_1781) == BGl_symbol3211z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 425 */
																																														if (PAIRP(BgL_cdrzd27566zd2_1783))
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd27570zd2_1787;
																																																BgL_cdrzd27570zd2_1787
																																																	=
																																																	CDR
																																																	(BgL_cdrzd27566zd2_1783);
																																																if (PAIRP(BgL_cdrzd27570zd2_1787))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		if (NULLP(CDR(BgL_cdrzd27570zd2_1787)))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				if (NULLP(CDR(BgL_cdrzd27557zd2_1779)))
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1795z00_1793;
																																																						obj_t
																																																							BgL_arg1796z00_1794;
																																																						obj_t
																																																							BgL_arg1797z00_1795;
																																																						BgL_arg1795z00_1793
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27552zd2_1775);
																																																						BgL_arg1796z00_1794
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27566zd2_1783);
																																																						BgL_arg1797z00_1795
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27570zd2_1787);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_6229;
																																																							BgL_gvz00_1489
																																																								=
																																																								BgL_arg1795z00_1793;
																																																							BgL_formalsz00_1490
																																																								=
																																																								BgL_arg1796z00_1794;
																																																							BgL_bodyz00_1491
																																																								=
																																																								BgL_arg1797z00_1795;
																																																						BgL_tagzd2167zd2_1492:
																																																							{	/* Eval/evaluate.scm 555 */
																																																								obj_t
																																																									BgL_tidz00_2561;
																																																								BgL_tidz00_2561
																																																									=
																																																									BGl_untypezd2identzd2zz__evaluatez00
																																																									(BgL_gvz00_1489);
																																																								{	/* Eval/evaluate.scm 556 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1144z00_2562;
																																																									{	/* Eval/evaluate.scm 560 */
																																																										BgL_ev_defglobalz00_bglt
																																																											BgL_new1143z00_2565;
																																																										BgL_new1143z00_2565
																																																											=
																																																											(
																																																											(BgL_ev_defglobalz00_bglt)
																																																											BREF
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_defglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 560 */
																																																											long
																																																												BgL_arg2379z00_2566;
																																																											{	/* Eval/evaluate.scm 560 */
																																																												long
																																																													BgL_res2928z00_3737;
																																																												BgL_res2928z00_3737
																																																													=
																																																													BGL_CLASS_INDEX
																																																													(BGl_ev_defglobalz00zz__evaluate_typesz00);
																																																												BgL_arg2379z00_2566
																																																													=
																																																													BgL_res2928z00_3737;
																																																											}
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1143z00_2565), BgL_arg2379z00_2566);
																																																										}
																																																										BgL_new1144z00_2562
																																																											=
																																																											BgL_new1143z00_2565;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6235;
																																																										{	/* Eval/evaluate.scm 560 */
																																																											obj_t
																																																												BgL_arg2377z00_2563;
																																																											BgL_arg2377z00_2563
																																																												=
																																																												CDR
																																																												(BgL_tidz00_2561);
																																																											BgL_auxz00_6235
																																																												=
																																																												(
																																																												(BgL_ev_exprz00_bglt)
																																																												BGl_convzd2lambdaze70z35zz__evaluatez00
																																																												(BgL_globalsz00_71,
																																																													BgL_localsz00_70,
																																																													BgL_ez00_69,
																																																													BgL_locz00_74,
																																																													BgL_formalsz00_1490,
																																																													BgL_bodyz00_1491,
																																																													BgL_gvz00_1489,
																																																													BgL_arg2377z00_2563));
																																																										}
																																																										((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1144z00_2562)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6235), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1144z00_2562)))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1144z00_2562)))->BgL_namez00) = ((obj_t) CAR(BgL_tidz00_2561)), BUNSPEC);
																																																									{
																																																										obj_t
																																																											BgL_auxz00_6246;
																																																										if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
																																																											{	/* Eval/evaluate.scm 559 */
																																																												BgL_auxz00_6246
																																																													=
																																																													BgL_globalsz00_71;
																																																											}
																																																										else
																																																											{	/* Eval/evaluate.scm 559 */
																																																												BgL_auxz00_6246
																																																													=
																																																													BGL_MODULE
																																																													();
																																																											}
																																																										((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1144z00_2562)))->BgL_modz00) = ((obj_t) BgL_auxz00_6246), BUNSPEC);
																																																									}
																																																									BgL_auxz00_6229
																																																										=
																																																										BgL_new1144z00_2562;
																																																								}
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6229);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1798z00_1796;
																																																						BgL_arg1798z00_1796
																																																							=
																																																							CAR
																																																							(BgL_ez00_69);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6254;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6256;
																																																								obj_t
																																																									BgL_fz00_6255;
																																																								BgL_fz00_6255
																																																									=
																																																									BgL_arg1798z00_1796;
																																																								BgL_argsz00_6256
																																																									=
																																																									BgL_cdrzd27552zd2_1775;
																																																								BgL_argsz00_1516
																																																									=
																																																									BgL_argsz00_6256;
																																																								BgL_fz00_1515
																																																									=
																																																									BgL_fz00_6255;
																																																								goto
																																																									BgL_tagzd2175zd2_1517;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6254);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_cdrzd27670zd2_1800;
																																																				BgL_cdrzd27670zd2_1800
																																																					=
																																																					CDR
																																																					(BgL_cdrzd27552zd2_1775);
																																																				if (NULLP(CDR(BgL_cdrzd27670zd2_1800)))
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1805z00_1803;
																																																						obj_t
																																																							BgL_arg1807z00_1804;
																																																						BgL_arg1805z00_1803
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27552zd2_1775);
																																																						BgL_arg1807z00_1804
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27670zd2_1800);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_6264;
																																																							BgL_gvz00_1493
																																																								=
																																																								BgL_arg1805z00_1803;
																																																							BgL_gez00_1494
																																																								=
																																																								BgL_arg1807z00_1804;
																																																						BgL_tagzd2168zd2_1495:
																																																							{	/* Eval/evaluate.scm 562 */
																																																								obj_t
																																																									BgL_tidz00_2567;
																																																								BgL_tidz00_2567
																																																									=
																																																									BGl_untypezd2identzd2zz__evaluatez00
																																																									(BgL_gvz00_1493);
																																																								{	/* Eval/evaluate.scm 563 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1146z00_2568;
																																																									{	/* Eval/evaluate.scm 567 */
																																																										BgL_ev_defglobalz00_bglt
																																																											BgL_new1145z00_2573;
																																																										BgL_new1145z00_2573
																																																											=
																																																											(
																																																											(BgL_ev_defglobalz00_bglt)
																																																											BREF
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_defglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 567 */
																																																											long
																																																												BgL_arg2386z00_2574;
																																																											{	/* Eval/evaluate.scm 567 */
																																																												long
																																																													BgL_res2929z00_3743;
																																																												BgL_res2929z00_3743
																																																													=
																																																													BGL_CLASS_INDEX
																																																													(BGl_ev_defglobalz00zz__evaluate_typesz00);
																																																												BgL_arg2386z00_2574
																																																													=
																																																													BgL_res2929z00_3743;
																																																											}
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1145z00_2573), BgL_arg2386z00_2574);
																																																										}
																																																										BgL_new1146z00_2568
																																																											=
																																																											BgL_new1145z00_2573;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6270;
																																																										{	/* Eval/evaluate.scm 568 */
																																																											obj_t
																																																												BgL_arg2380z00_2569;
																																																											{	/* Eval/evaluate.scm 568 */
																																																												obj_t
																																																													BgL_arg2382z00_2571;
																																																												BgL_arg2382z00_2571
																																																													=
																																																													CDR
																																																													(BgL_tidz00_2567);
																																																												BgL_arg2380z00_2569
																																																													=
																																																													BGl_typezd2resultzd2zz__evaluatez00
																																																													(BgL_arg2382z00_2571,
																																																													BgL_gez00_1494,
																																																													BgL_locz00_74);
																																																											}
																																																											{	/* Eval/evaluate.scm 384 */
																																																												obj_t
																																																													BgL_arg2412z00_3747;
																																																												{	/* Eval/evaluate.scm 145 */
																																																													obj_t
																																																														BgL__ortest_1067z00_3748;
																																																													BgL__ortest_1067z00_3748
																																																														=
																																																														BGl_getzd2sourcezd2locationz00zz__readerz00
																																																														(BgL_arg2380z00_2569);
																																																													if (CBOOL(BgL__ortest_1067z00_3748))
																																																														{	/* Eval/evaluate.scm 145 */
																																																															BgL_arg2412z00_3747
																																																																=
																																																																BgL__ortest_1067z00_3748;
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 145 */
																																																															BgL_arg2412z00_3747
																																																																=
																																																																BgL_locz00_74;
																																																														}
																																																												}
																																																												{
																																																													obj_t
																																																														BgL_auxz00_6277;
																																																													{	/* Eval/evaluate.scm 375 */
																																																														obj_t
																																																															BgL_auxz00_6278;
																																																														if (BgL_topzf3zf3_75)
																																																															{	/* Eval/evaluate.scm 569 */
																																																																BgL_auxz00_6278
																																																																	=
																																																																	BgL_gvz00_1493;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 569 */
																																																																BgL_auxz00_6278
																																																																	=
																																																																	BgL_wherez00_73;
																																																															}
																																																														BgL_auxz00_6277
																																																															=
																																																															BGl_convz00zz__evaluatez00
																																																															(BgL_arg2380z00_2569,
																																																															BgL_localsz00_70,
																																																															BgL_globalsz00_71,
																																																															BFALSE,
																																																															BgL_auxz00_6278,
																																																															BgL_arg2412z00_3747,
																																																															((bool_t) 0));
																																																													}
																																																													BgL_auxz00_6270
																																																														=
																																																														(
																																																														(BgL_ev_exprz00_bglt)
																																																														BgL_auxz00_6277);
																																																												}
																																																											}
																																																										}
																																																										((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1146z00_2568)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6270), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1146z00_2568)))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1146z00_2568)))->BgL_namez00) = ((obj_t) CAR(BgL_tidz00_2567)), BUNSPEC);
																																																									{
																																																										obj_t
																																																											BgL_auxz00_6288;
																																																										if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
																																																											{	/* Eval/evaluate.scm 566 */
																																																												BgL_auxz00_6288
																																																													=
																																																													BgL_globalsz00_71;
																																																											}
																																																										else
																																																											{	/* Eval/evaluate.scm 566 */
																																																												BgL_auxz00_6288
																																																													=
																																																													BGL_MODULE
																																																													();
																																																											}
																																																										((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1146z00_2568)))->BgL_modz00) = ((obj_t) BgL_auxz00_6288), BUNSPEC);
																																																									}
																																																									BgL_auxz00_6264
																																																										=
																																																										BgL_new1146z00_2568;
																																																								}
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6264);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1811z00_1805;
																																																						obj_t
																																																							BgL_arg1812z00_1806;
																																																						BgL_arg1811z00_1805
																																																							=
																																																							CAR
																																																							(BgL_ez00_69);
																																																						BgL_arg1812z00_1806
																																																							=
																																																							CDR
																																																							(BgL_ez00_69);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6297;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6299;
																																																								obj_t
																																																									BgL_fz00_6298;
																																																								BgL_fz00_6298
																																																									=
																																																									BgL_arg1811z00_1805;
																																																								BgL_argsz00_6299
																																																									=
																																																									BgL_arg1812z00_1806;
																																																								BgL_argsz00_1516
																																																									=
																																																									BgL_argsz00_6299;
																																																								BgL_fz00_1515
																																																									=
																																																									BgL_fz00_6298;
																																																								goto
																																																									BgL_tagzd2175zd2_1517;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6297);
																																																						}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_cdrzd27757zd2_1810;
																																																		BgL_cdrzd27757zd2_1810
																																																			=
																																																			CDR
																																																			(BgL_cdrzd27552zd2_1775);
																																																		if (NULLP(CDR(BgL_cdrzd27757zd2_1810)))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg1818z00_1813;
																																																				obj_t
																																																					BgL_arg1819z00_1814;
																																																				BgL_arg1818z00_1813
																																																					=
																																																					CAR
																																																					(BgL_cdrzd27552zd2_1775);
																																																				BgL_arg1819z00_1814
																																																					=
																																																					CAR
																																																					(BgL_cdrzd27757zd2_1810);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_6307;
																																																					{
																																																						obj_t
																																																							BgL_gez00_6309;
																																																						obj_t
																																																							BgL_gvz00_6308;
																																																						BgL_gvz00_6308
																																																							=
																																																							BgL_arg1818z00_1813;
																																																						BgL_gez00_6309
																																																							=
																																																							BgL_arg1819z00_1814;
																																																						BgL_gez00_1494
																																																							=
																																																							BgL_gez00_6309;
																																																						BgL_gvz00_1493
																																																							=
																																																							BgL_gvz00_6308;
																																																						goto
																																																							BgL_tagzd2168zd2_1495;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6307);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg1822z00_1815;
																																																				obj_t
																																																					BgL_arg1825z00_1816;
																																																				BgL_arg1822z00_1815
																																																					=
																																																					CAR
																																																					(BgL_ez00_69);
																																																				BgL_arg1825z00_1816
																																																					=
																																																					CDR
																																																					(BgL_ez00_69);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6313;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6315;
																																																						obj_t
																																																							BgL_fz00_6314;
																																																						BgL_fz00_6314
																																																							=
																																																							BgL_arg1822z00_1815;
																																																						BgL_argsz00_6315
																																																							=
																																																							BgL_arg1825z00_1816;
																																																						BgL_argsz00_1516
																																																							=
																																																							BgL_argsz00_6315;
																																																						BgL_fz00_1515
																																																							=
																																																							BgL_fz00_6314;
																																																						goto
																																																							BgL_tagzd2175zd2_1517;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6313);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd27844zd2_1819;
																																																BgL_cdrzd27844zd2_1819
																																																	=
																																																	CDR
																																																	(BgL_cdrzd27552zd2_1775);
																																																if (NULLP(CDR(BgL_cdrzd27844zd2_1819)))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg1829z00_1822;
																																																		obj_t
																																																			BgL_arg1830z00_1823;
																																																		BgL_arg1829z00_1822
																																																			=
																																																			CAR
																																																			(BgL_cdrzd27552zd2_1775);
																																																		BgL_arg1830z00_1823
																																																			=
																																																			CAR
																																																			(BgL_cdrzd27844zd2_1819);
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_6323;
																																																			{
																																																				obj_t
																																																					BgL_gez00_6325;
																																																				obj_t
																																																					BgL_gvz00_6324;
																																																				BgL_gvz00_6324
																																																					=
																																																					BgL_arg1829z00_1822;
																																																				BgL_gez00_6325
																																																					=
																																																					BgL_arg1830z00_1823;
																																																				BgL_gez00_1494
																																																					=
																																																					BgL_gez00_6325;
																																																				BgL_gvz00_1493
																																																					=
																																																					BgL_gvz00_6324;
																																																				goto
																																																					BgL_tagzd2168zd2_1495;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6323);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg1831z00_1824;
																																																		obj_t
																																																			BgL_arg1832z00_1825;
																																																		BgL_arg1831z00_1824
																																																			=
																																																			CAR
																																																			(BgL_ez00_69);
																																																		BgL_arg1832z00_1825
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6329;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6331;
																																																				obj_t
																																																					BgL_fz00_6330;
																																																				BgL_fz00_6330
																																																					=
																																																					BgL_arg1831z00_1824;
																																																				BgL_argsz00_6331
																																																					=
																																																					BgL_arg1832z00_1825;
																																																				BgL_argsz00_1516
																																																					=
																																																					BgL_argsz00_6331;
																																																				BgL_fz00_1515
																																																					=
																																																					BgL_fz00_6330;
																																																				goto
																																																					BgL_tagzd2175zd2_1517;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6329);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_cdrzd27931zd2_1828;
																																														BgL_cdrzd27931zd2_1828
																																															=
																																															CDR
																																															(BgL_cdrzd27552zd2_1775);
																																														if (NULLP(CDR(BgL_cdrzd27931zd2_1828)))
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg1836z00_1831;
																																																obj_t
																																																	BgL_arg1837z00_1832;
																																																BgL_arg1836z00_1831
																																																	=
																																																	CAR
																																																	(BgL_cdrzd27552zd2_1775);
																																																BgL_arg1837z00_1832
																																																	=
																																																	CAR
																																																	(BgL_cdrzd27931zd2_1828);
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_6339;
																																																	{
																																																		obj_t
																																																			BgL_gez00_6341;
																																																		obj_t
																																																			BgL_gvz00_6340;
																																																		BgL_gvz00_6340
																																																			=
																																																			BgL_arg1836z00_1831;
																																																		BgL_gez00_6341
																																																			=
																																																			BgL_arg1837z00_1832;
																																																		BgL_gez00_1494
																																																			=
																																																			BgL_gez00_6341;
																																																		BgL_gvz00_1493
																																																			=
																																																			BgL_gvz00_6340;
																																																		goto
																																																			BgL_tagzd2168zd2_1495;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6339);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg1838z00_1833;
																																																obj_t
																																																	BgL_arg1839z00_1834;
																																																BgL_arg1838z00_1833
																																																	=
																																																	CAR
																																																	(BgL_ez00_69);
																																																BgL_arg1839z00_1834
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6345;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6347;
																																																		obj_t
																																																			BgL_fz00_6346;
																																																		BgL_fz00_6346
																																																			=
																																																			BgL_arg1838z00_1833;
																																																		BgL_argsz00_6347
																																																			=
																																																			BgL_arg1839z00_1834;
																																																		BgL_argsz00_1516
																																																			=
																																																			BgL_argsz00_6347;
																																																		BgL_fz00_1515
																																																			=
																																																			BgL_fz00_6346;
																																																		goto
																																																			BgL_tagzd2175zd2_1517;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6345);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_cdrzd28018zd2_1838;
																																												BgL_cdrzd28018zd2_1838
																																													=
																																													CDR
																																													(BgL_cdrzd27552zd2_1775);
																																												if (NULLP(CDR(BgL_cdrzd28018zd2_1838)))
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg1844z00_1841;
																																														obj_t
																																															BgL_arg1845z00_1842;
																																														BgL_arg1844z00_1841
																																															=
																																															CAR
																																															(BgL_cdrzd27552zd2_1775);
																																														BgL_arg1845z00_1842
																																															=
																																															CAR
																																															(BgL_cdrzd28018zd2_1838);
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_6355;
																																															{
																																																obj_t
																																																	BgL_gez00_6357;
																																																obj_t
																																																	BgL_gvz00_6356;
																																																BgL_gvz00_6356
																																																	=
																																																	BgL_arg1844z00_1841;
																																																BgL_gez00_6357
																																																	=
																																																	BgL_arg1845z00_1842;
																																																BgL_gez00_1494
																																																	=
																																																	BgL_gez00_6357;
																																																BgL_gvz00_1493
																																																	=
																																																	BgL_gvz00_6356;
																																																goto
																																																	BgL_tagzd2168zd2_1495;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6355);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg1846z00_1843;
																																														obj_t
																																															BgL_arg1847z00_1844;
																																														BgL_arg1846z00_1843
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														BgL_arg1847z00_1844
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6361;
																																															{
																																																obj_t
																																																	BgL_argsz00_6363;
																																																obj_t
																																																	BgL_fz00_6362;
																																																BgL_fz00_6362
																																																	=
																																																	BgL_arg1846z00_1843;
																																																BgL_argsz00_6363
																																																	=
																																																	BgL_arg1847z00_1844;
																																																BgL_argsz00_1516
																																																	=
																																																	BgL_argsz00_6363;
																																																BgL_fz00_1515
																																																	=
																																																	BgL_fz00_6362;
																																																goto
																																																	BgL_tagzd2175zd2_1517;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6361);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_arg1850z00_1846;
																																										BgL_arg1850z00_1846
																																											=
																																											CAR
																																											(BgL_ez00_69);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6366;
																																											{
																																												obj_t
																																													BgL_argsz00_6368;
																																												obj_t
																																													BgL_fz00_6367;
																																												BgL_fz00_6367
																																													=
																																													BgL_arg1850z00_1846;
																																												BgL_argsz00_6368
																																													=
																																													BgL_cdrzd27552zd2_1775;
																																												BgL_argsz00_1516
																																													=
																																													BgL_argsz00_6368;
																																												BgL_fz00_1515
																																													=
																																													BgL_fz00_6367;
																																												goto
																																													BgL_tagzd2175zd2_1517;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6366);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_arg1852z00_1848;
																																								BgL_arg1852z00_1848
																																									=
																																									CAR
																																									(BgL_ez00_69);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6371;
																																									{
																																										obj_t
																																											BgL_argsz00_6373;
																																										obj_t
																																											BgL_fz00_6372;
																																										BgL_fz00_6372
																																											=
																																											BgL_arg1852z00_1848;
																																										BgL_argsz00_6373
																																											=
																																											BgL_cdrzd27552zd2_1775;
																																										BgL_argsz00_1516
																																											=
																																											BgL_argsz00_6373;
																																										BgL_fz00_1515
																																											=
																																											BgL_fz00_6372;
																																										goto
																																											BgL_tagzd2175zd2_1517;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6371);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 425 */
																																						if (
																																							(CAR
																																								(BgL_ez00_69)
																																								==
																																								BGl_symbol3248z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 425 */
																																								if (PAIRP(BgL_cdrzd27552zd2_1775))
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_carzd28260zd2_1854;
																																										BgL_carzd28260zd2_1854
																																											=
																																											CAR
																																											(BgL_cdrzd27552zd2_1775);
																																										if (PAIRP(BgL_carzd28260zd2_1854))
																																											{	/* Eval/evaluate.scm 425 */
																																												if (NULLP(CDR(BgL_carzd28260zd2_1854)))
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg1860z00_1858;
																																														obj_t
																																															BgL_arg1861z00_1859;
																																														BgL_arg1860z00_1858
																																															=
																																															CAR
																																															(BgL_carzd28260zd2_1854);
																																														BgL_arg1861z00_1859
																																															=
																																															CDR
																																															(BgL_cdrzd27552zd2_1775);
																																														{
																																															BgL_ev_bindzd2exitzd2_bglt
																																																BgL_auxz00_6388;
																																															BgL_vz00_1496
																																																=
																																																BgL_arg1860z00_1858;
																																															BgL_bodyz00_1497
																																																=
																																																BgL_arg1861z00_1859;
																																														BgL_tagzd2169zd2_1498:
																																															{	/* Eval/evaluate.scm 571 */
																																																BgL_ev_varz00_bglt
																																																	BgL_varz00_2575;
																																																{	/* Eval/evaluate.scm 571 */
																																																	BgL_ev_varz00_bglt
																																																		BgL_new1148z00_2580;
																																																	{	/* Eval/evaluate.scm 571 */
																																																		BgL_ev_varz00_bglt
																																																			BgL_new1147z00_2581;
																																																		BgL_new1147z00_2581
																																																			=
																																																			(
																																																			(BgL_ev_varz00_bglt)
																																																			BREF
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_varz00_bgl))));
																																																		{	/* Eval/evaluate.scm 571 */
																																																			long
																																																				BgL_arg2390z00_2582;
																																																			{	/* Eval/evaluate.scm 571 */
																																																				long
																																																					BgL_res2930z00_3751;
																																																				BgL_res2930z00_3751
																																																					=
																																																					BGL_CLASS_INDEX
																																																					(BGl_ev_varz00zz__evaluate_typesz00);
																																																				BgL_arg2390z00_2582
																																																					=
																																																					BgL_res2930z00_3751;
																																																			}
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(
																																																				((BgL_objectz00_bglt) BgL_new1147z00_2581), BgL_arg2390z00_2582);
																																																		}
																																																		BgL_new1148z00_2580
																																																			=
																																																			BgL_new1147z00_2581;
																																																	}
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1148z00_2580))->BgL_namez00) = ((obj_t) BgL_vz00_1496), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1148z00_2580))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1148z00_2580))->BgL_typez00) = ((obj_t) BFALSE), BUNSPEC);
																																																	BgL_varz00_2575
																																																		=
																																																		BgL_new1148z00_2580;
																																																}
																																																{	/* Eval/evaluate.scm 572 */
																																																	BgL_ev_bindzd2exitzd2_bglt
																																																		BgL_new1150z00_2576;
																																																	{	/* Eval/evaluate.scm 573 */
																																																		BgL_ev_bindzd2exitzd2_bglt
																																																			BgL_new1149z00_2578;
																																																		BgL_new1149z00_2578
																																																			=
																																																			(
																																																			(BgL_ev_bindzd2exitzd2_bglt)
																																																			BREF
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_bindzd2exitzd2_bgl))));
																																																		{	/* Eval/evaluate.scm 573 */
																																																			long
																																																				BgL_arg2389z00_2579;
																																																			{	/* Eval/evaluate.scm 573 */
																																																				long
																																																					BgL_res2931z00_3755;
																																																				BgL_res2931z00_3755
																																																					=
																																																					BGL_CLASS_INDEX
																																																					(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
																																																				BgL_arg2389z00_2579
																																																					=
																																																					BgL_res2931z00_3755;
																																																			}
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(
																																																				((BgL_objectz00_bglt) BgL_new1149z00_2578), BgL_arg2389z00_2579);
																																																		}
																																																		BgL_new1150z00_2576
																																																			=
																																																			BgL_new1149z00_2578;
																																																	}
																																																	((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1150z00_2576))->BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_varz00_2575), BUNSPEC);
																																																	{
																																																		BgL_ev_exprz00_bglt
																																																			BgL_auxz00_6401;
																																																		{	/* Eval/evaluate.scm 574 */
																																																			obj_t
																																																				BgL_arg2388z00_2577;
																																																			BgL_arg2388z00_2577
																																																				=
																																																				MAKE_YOUNG_PAIR
																																																				(
																																																				((obj_t) BgL_varz00_2575), BgL_localsz00_70);
																																																			BgL_auxz00_6401
																																																				=
																																																				(
																																																				(BgL_ev_exprz00_bglt)
																																																				BGl_convzd2beginzd2zz__evaluatez00
																																																				(BgL_bodyz00_1497,
																																																					BgL_arg2388z00_2577,
																																																					BgL_globalsz00_71,
																																																					BFALSE,
																																																					BgL_wherez00_73,
																																																					BgL_locz00_74,
																																																					((bool_t) 0)));
																																																		}
																																																		((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1150z00_2576))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6401), BUNSPEC);
																																																	}
																																																	BgL_auxz00_6388
																																																		=
																																																		BgL_new1150z00_2576;
																																															}}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6388);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg1862z00_1860;
																																														obj_t
																																															BgL_arg1863z00_1861;
																																														BgL_arg1862z00_1860
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														BgL_arg1863z00_1861
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6410;
																																															{
																																																obj_t
																																																	BgL_argsz00_6412;
																																																obj_t
																																																	BgL_fz00_6411;
																																																BgL_fz00_6411
																																																	=
																																																	BgL_arg1862z00_1860;
																																																BgL_argsz00_6412
																																																	=
																																																	BgL_arg1863z00_1861;
																																																BgL_argsz00_1516
																																																	=
																																																	BgL_argsz00_6412;
																																																BgL_fz00_1515
																																																	=
																																																	BgL_fz00_6411;
																																																goto
																																																	BgL_tagzd2175zd2_1517;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6410);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg1865z00_1863;
																																												obj_t
																																													BgL_arg1866z00_1864;
																																												BgL_arg1865z00_1863
																																													=
																																													CAR
																																													(BgL_ez00_69);
																																												BgL_arg1866z00_1864
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6416;
																																													{
																																														obj_t
																																															BgL_argsz00_6418;
																																														obj_t
																																															BgL_fz00_6417;
																																														BgL_fz00_6417
																																															=
																																															BgL_arg1865z00_1863;
																																														BgL_argsz00_6418
																																															=
																																															BgL_arg1866z00_1864;
																																														BgL_argsz00_1516
																																															=
																																															BgL_argsz00_6418;
																																														BgL_fz00_1515
																																															=
																																															BgL_fz00_6417;
																																														goto
																																															BgL_tagzd2175zd2_1517;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6416);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_arg1867z00_1865;
																																										obj_t
																																											BgL_arg1868z00_1866;
																																										BgL_arg1867z00_1865
																																											=
																																											CAR
																																											(BgL_ez00_69);
																																										BgL_arg1868z00_1866
																																											=
																																											CDR
																																											(BgL_ez00_69);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6422;
																																											{
																																												obj_t
																																													BgL_argsz00_6424;
																																												obj_t
																																													BgL_fz00_6423;
																																												BgL_fz00_6423
																																													=
																																													BgL_arg1867z00_1865;
																																												BgL_argsz00_6424
																																													=
																																													BgL_arg1868z00_1866;
																																												BgL_argsz00_1516
																																													=
																																													BgL_argsz00_6424;
																																												BgL_fz00_1515
																																													=
																																													BgL_fz00_6423;
																																												goto
																																													BgL_tagzd2175zd2_1517;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6422);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_cdrzd28425zd2_1867;
																																								BgL_cdrzd28425zd2_1867
																																									=
																																									CDR
																																									(BgL_ez00_69);
																																								if ((CAR(BgL_ez00_69) == BGl_symbol3250z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 425 */
																																										if (PAIRP(BgL_cdrzd28425zd2_1867))
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg1872z00_1871;
																																												obj_t
																																													BgL_arg1873z00_1872;
																																												BgL_arg1872z00_1871
																																													=
																																													CAR
																																													(BgL_cdrzd28425zd2_1867);
																																												BgL_arg1873z00_1872
																																													=
																																													CDR
																																													(BgL_cdrzd28425zd2_1867);
																																												{	/* Eval/evaluate.scm 576 */
																																													BgL_ev_unwindzd2protectzd2_bglt
																																														BgL_new1152z00_4148;
																																													{	/* Eval/evaluate.scm 577 */
																																														BgL_ev_unwindzd2protectzd2_bglt
																																															BgL_new1151z00_4149;
																																														BgL_new1151z00_4149
																																															=
																																															(
																																															(BgL_ev_unwindzd2protectzd2_bglt)
																																															BREF
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_unwindzd2protectzd2_bgl))));
																																														{	/* Eval/evaluate.scm 577 */
																																															long
																																																BgL_arg2391z00_4150;
																																															{	/* Eval/evaluate.scm 577 */
																																																long
																																																	BgL_res3011z00_4152;
																																																BgL_res3011z00_4152
																																																	=
																																																	BGL_CLASS_INDEX
																																																	(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
																																																BgL_arg2391z00_4150
																																																	=
																																																	BgL_res3011z00_4152;
																																															}
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1151z00_4149), BgL_arg2391z00_4150);
																																														}
																																														BgL_new1152z00_4148
																																															=
																																															BgL_new1151z00_4149;
																																													}
																																													{
																																														BgL_ev_exprz00_bglt
																																															BgL_auxz00_6438;
																																														{	/* Eval/evaluate.scm 381 */
																																															obj_t
																																																BgL_arg2410z00_4155;
																																															BgL_arg2410z00_4155
																																																=
																																																BGl_getzd2locationzd2zz__evaluatez00
																																																(BgL_arg1872z00_1871,
																																																BgL_locz00_74);
																																															BgL_auxz00_6438
																																																=
																																																(
																																																(BgL_ev_exprz00_bglt)
																																																BGl_uconvzf2locze70z15zz__evaluatez00
																																																(BgL_wherez00_73,
																																																	BgL_globalsz00_71,
																																																	BgL_localsz00_70,
																																																	BgL_arg1872z00_1871,
																																																	BgL_arg2410z00_4155));
																																														}
																																														((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1152z00_4148))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6438), BUNSPEC);
																																													}
																																													((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1152z00_4148))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg1873z00_1872, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																													return
																																														(
																																														(obj_t)
																																														BgL_new1152z00_4148);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg1875z00_1873;
																																												BgL_arg1875z00_1873
																																													=
																																													CAR
																																													(BgL_ez00_69);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6448;
																																													{
																																														obj_t
																																															BgL_argsz00_6450;
																																														obj_t
																																															BgL_fz00_6449;
																																														BgL_fz00_6449
																																															=
																																															BgL_arg1875z00_1873;
																																														BgL_argsz00_6450
																																															=
																																															BgL_cdrzd28425zd2_1867;
																																														BgL_argsz00_1516
																																															=
																																															BgL_argsz00_6450;
																																														BgL_fz00_1515
																																															=
																																															BgL_fz00_6449;
																																														goto
																																															BgL_tagzd2175zd2_1517;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6448);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										if ((CAR(BgL_ez00_69) == BGl_symbol3252z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 425 */
																																												if (PAIRP(BgL_cdrzd28425zd2_1867))
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg1880z00_1879;
																																														obj_t
																																															BgL_arg1881z00_1880;
																																														BgL_arg1880z00_1879
																																															=
																																															CAR
																																															(BgL_cdrzd28425zd2_1867);
																																														BgL_arg1881z00_1880
																																															=
																																															CDR
																																															(BgL_cdrzd28425zd2_1867);
																																														{	/* Eval/evaluate.scm 580 */
																																															BgL_ev_withzd2handlerzd2_bglt
																																																BgL_new1154z00_4163;
																																															{	/* Eval/evaluate.scm 581 */
																																																BgL_ev_withzd2handlerzd2_bglt
																																																	BgL_new1153z00_4164;
																																																BgL_new1153z00_4164
																																																	=
																																																	(
																																																	(BgL_ev_withzd2handlerzd2_bglt)
																																																	BREF
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_withzd2handlerzd2_bgl))));
																																																{	/* Eval/evaluate.scm 581 */
																																																	long
																																																		BgL_arg2392z00_4165;
																																																	{	/* Eval/evaluate.scm 581 */
																																																		long
																																																			BgL_res3013z00_4167;
																																																		BgL_res3013z00_4167
																																																			=
																																																			BGL_CLASS_INDEX
																																																			(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
																																																		BgL_arg2392z00_4165
																																																			=
																																																			BgL_res3013z00_4167;
																																																	}
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(
																																																		((BgL_objectz00_bglt) BgL_new1153z00_4164), BgL_arg2392z00_4165);
																																																}
																																																BgL_new1154z00_4163
																																																	=
																																																	BgL_new1153z00_4164;
																																															}
																																															{
																																																BgL_ev_exprz00_bglt
																																																	BgL_auxz00_6463;
																																																{	/* Eval/evaluate.scm 381 */
																																																	obj_t
																																																		BgL_arg2410z00_4170;
																																																	BgL_arg2410z00_4170
																																																		=
																																																		BGl_getzd2locationzd2zz__evaluatez00
																																																		(BgL_arg1880z00_1879,
																																																		BgL_locz00_74);
																																																	BgL_auxz00_6463
																																																		=
																																																		(
																																																		(BgL_ev_exprz00_bglt)
																																																		BGl_uconvzf2locze70z15zz__evaluatez00
																																																		(BgL_wherez00_73,
																																																			BgL_globalsz00_71,
																																																			BgL_localsz00_70,
																																																			BgL_arg1880z00_1879,
																																																			BgL_arg2410z00_4170));
																																																}
																																																((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1154z00_4163))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6463), BUNSPEC);
																																															}
																																															((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1154z00_4163))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg1881z00_1880, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																															return
																																																(
																																																(obj_t)
																																																BgL_new1154z00_4163);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg1882z00_1881;
																																														obj_t
																																															BgL_arg1883z00_1882;
																																														BgL_arg1882z00_1881
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														BgL_arg1883z00_1882
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6474;
																																															{
																																																obj_t
																																																	BgL_argsz00_6476;
																																																obj_t
																																																	BgL_fz00_6475;
																																																BgL_fz00_6475
																																																	=
																																																	BgL_arg1882z00_1881;
																																																BgL_argsz00_6476
																																																	=
																																																	BgL_arg1883z00_1882;
																																																BgL_argsz00_1516
																																																	=
																																																	BgL_argsz00_6476;
																																																BgL_fz00_1515
																																																	=
																																																	BgL_fz00_6475;
																																																goto
																																																	BgL_tagzd2175zd2_1517;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6474);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_cdrzd28528zd2_1883;
																																												BgL_cdrzd28528zd2_1883
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												if ((CAR(BgL_ez00_69) == BGl_symbol3254z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 425 */
																																														if (PAIRP(BgL_cdrzd28528zd2_1883))
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd28533zd2_1887;
																																																BgL_cdrzd28533zd2_1887
																																																	=
																																																	CDR
																																																	(BgL_cdrzd28528zd2_1883);
																																																if (PAIRP(BgL_cdrzd28533zd2_1887))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_cdrzd28538zd2_1889;
																																																		BgL_cdrzd28538zd2_1889
																																																			=
																																																			CDR
																																																			(BgL_cdrzd28533zd2_1887);
																																																		if ((CAR(BgL_cdrzd28533zd2_1887) == BGl_keyword3256z00zz__evaluatez00))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				if (PAIRP(BgL_cdrzd28538zd2_1889))
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1891z00_1893;
																																																						obj_t
																																																							BgL_arg1892z00_1894;
																																																						obj_t
																																																							BgL_arg1893z00_1895;
																																																						BgL_arg1891z00_1893
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28528zd2_1883);
																																																						BgL_arg1892z00_1894
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28538zd2_1889);
																																																						BgL_arg1893z00_1895
																																																							=
																																																							CDR
																																																							(BgL_cdrzd28538zd2_1889);
																																																						{	/* Eval/evaluate.scm 584 */
																																																							BgL_ev_synchroniza7eza7_bglt
																																																								BgL_new1156z00_4184;
																																																							{	/* Eval/evaluate.scm 585 */
																																																								BgL_ev_synchroniza7eza7_bglt
																																																									BgL_new1155z00_4185;
																																																								BgL_new1155z00_4185
																																																									=
																																																									(
																																																									(BgL_ev_synchroniza7eza7_bglt)
																																																									BREF
																																																									(GC_MALLOC
																																																										(sizeof
																																																											(struct
																																																												BgL_ev_synchroniza7eza7_bgl))));
																																																								{	/* Eval/evaluate.scm 585 */
																																																									long
																																																										BgL_arg2395z00_4186;
																																																									{	/* Eval/evaluate.scm 585 */
																																																										long
																																																											BgL_res3017z00_4188;
																																																										BgL_res3017z00_4188
																																																											=
																																																											BGL_CLASS_INDEX
																																																											(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																										BgL_arg2395z00_4186
																																																											=
																																																											BgL_res3017z00_4188;
																																																									}
																																																									BGL_OBJECT_CLASS_NUM_SET
																																																										(
																																																										((BgL_objectz00_bglt) BgL_new1155z00_4185), BgL_arg2395z00_4186);
																																																								}
																																																								BgL_new1156z00_4184
																																																									=
																																																									BgL_new1155z00_4185;
																																																							}
																																																							((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1156z00_4184))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_6501;
																																																								{	/* Eval/evaluate.scm 381 */
																																																									obj_t
																																																										BgL_arg2410z00_4191;
																																																									BgL_arg2410z00_4191
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg1891z00_1893,
																																																										BgL_locz00_74);
																																																									BgL_auxz00_6501
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2locze70z15zz__evaluatez00
																																																										(BgL_wherez00_73,
																																																											BgL_globalsz00_71,
																																																											BgL_localsz00_70,
																																																											BgL_arg1891z00_1893,
																																																											BgL_arg2410z00_4191));
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1156z00_4184))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6501), BUNSPEC);
																																																							}
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_6506;
																																																								{	/* Eval/evaluate.scm 381 */
																																																									obj_t
																																																										BgL_arg2410z00_4192;
																																																									BgL_arg2410z00_4192
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg1892z00_1894,
																																																										BgL_locz00_74);
																																																									BgL_auxz00_6506
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2locze70z15zz__evaluatez00
																																																										(BgL_wherez00_73,
																																																											BgL_globalsz00_71,
																																																											BgL_localsz00_70,
																																																											BgL_arg1892z00_1894,
																																																											BgL_arg2410z00_4192));
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1156z00_4184))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6506), BUNSPEC);
																																																							}
																																																							((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1156z00_4184))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg1893z00_1895, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_new1156z00_4184);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1894z00_1897;
																																																						obj_t
																																																							BgL_arg1895z00_1898;
																																																						BgL_arg1894z00_1897
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28528zd2_1883);
																																																						BgL_arg1895z00_1898
																																																							=
																																																							CDR
																																																							(BgL_cdrzd28528zd2_1883);
																																																						{
																																																							BgL_ev_synchroniza7eza7_bglt
																																																								BgL_auxz00_6517;
																																																							BgL_mz00_1509
																																																								=
																																																								BgL_arg1894z00_1897;
																																																							BgL_bodyz00_1510
																																																								=
																																																								BgL_arg1895z00_1898;
																																																						BgL_tagzd2173zd2_1511:
																																																							{	/* Eval/evaluate.scm 590 */
																																																								BgL_ev_synchroniza7eza7_bglt
																																																									BgL_new1159z00_2592;
																																																								{	/* Eval/evaluate.scm 591 */
																																																									BgL_ev_synchroniza7eza7_bglt
																																																										BgL_new1158z00_2593;
																																																									BgL_new1158z00_2593
																																																										=
																																																										(
																																																										(BgL_ev_synchroniza7eza7_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_synchroniza7eza7_bgl))));
																																																									{	/* Eval/evaluate.scm 591 */
																																																										long
																																																											BgL_arg2396z00_2594;
																																																										{	/* Eval/evaluate.scm 591 */
																																																											long
																																																												BgL_res2935z00_3788;
																																																											BgL_res2935z00_3788
																																																												=
																																																												BGL_CLASS_INDEX
																																																												(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																											BgL_arg2396z00_2594
																																																												=
																																																												BgL_res2935z00_3788;
																																																										}
																																																										BGL_OBJECT_CLASS_NUM_SET
																																																											(
																																																											((BgL_objectz00_bglt) BgL_new1158z00_2593), BgL_arg2396z00_2594);
																																																									}
																																																									BgL_new1159z00_2592
																																																										=
																																																										BgL_new1158z00_2593;
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1159z00_2592))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_6523;
																																																									{	/* Eval/evaluate.scm 381 */
																																																										obj_t
																																																											BgL_arg2410z00_3791;
																																																										{	/* Eval/evaluate.scm 145 */
																																																											obj_t
																																																												BgL__ortest_1067z00_3792;
																																																											BgL__ortest_1067z00_3792
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BgL_mz00_1509);
																																																											if (CBOOL(BgL__ortest_1067z00_3792))
																																																												{	/* Eval/evaluate.scm 145 */
																																																													BgL_arg2410z00_3791
																																																														=
																																																														BgL__ortest_1067z00_3792;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 145 */
																																																													BgL_arg2410z00_3791
																																																														=
																																																														BgL_locz00_74;
																																																												}
																																																										}
																																																										BgL_auxz00_6523
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BgL_mz00_1509,
																																																												BgL_localsz00_70,
																																																												BgL_globalsz00_71,
																																																												BFALSE,
																																																												BgL_wherez00_73,
																																																												BgL_arg2410z00_3791,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1159z00_2592))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6523), BUNSPEC);
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_6530;
																																																									{	/* Eval/evaluate.scm 381 */
																																																										obj_t
																																																											BgL_arg2410z00_3793;
																																																										{	/* Eval/evaluate.scm 145 */
																																																											obj_t
																																																												BgL__ortest_1067z00_3794;
																																																											BgL__ortest_1067z00_3794
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BNIL);
																																																											if (CBOOL(BgL__ortest_1067z00_3794))
																																																												{	/* Eval/evaluate.scm 145 */
																																																													BgL_arg2410z00_3793
																																																														=
																																																														BgL__ortest_1067z00_3794;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 145 */
																																																													BgL_arg2410z00_3793
																																																														=
																																																														BgL_locz00_74;
																																																												}
																																																										}
																																																										BgL_auxz00_6530
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BNIL,
																																																												BgL_localsz00_70,
																																																												BgL_globalsz00_71,
																																																												BFALSE,
																																																												BgL_wherez00_73,
																																																												BgL_arg2410z00_3793,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1159z00_2592))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6530), BUNSPEC);
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1159z00_2592))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1510, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																																								BgL_auxz00_6517
																																																									=
																																																									BgL_new1159z00_2592;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6517);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg1896z00_1900;
																																																				obj_t
																																																					BgL_arg1897z00_1901;
																																																				BgL_arg1896z00_1900
																																																					=
																																																					CAR
																																																					(BgL_cdrzd28528zd2_1883);
																																																				BgL_arg1897z00_1901
																																																					=
																																																					CDR
																																																					(BgL_cdrzd28528zd2_1883);
																																																				{
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_auxz00_6543;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_6545;
																																																						obj_t
																																																							BgL_mz00_6544;
																																																						BgL_mz00_6544
																																																							=
																																																							BgL_arg1896z00_1900;
																																																						BgL_bodyz00_6545
																																																							=
																																																							BgL_arg1897z00_1901;
																																																						BgL_bodyz00_1510
																																																							=
																																																							BgL_bodyz00_6545;
																																																						BgL_mz00_1509
																																																							=
																																																							BgL_mz00_6544;
																																																						goto
																																																							BgL_tagzd2173zd2_1511;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6543);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg1899z00_1904;
																																																		obj_t
																																																			BgL_arg1900z00_1905;
																																																		BgL_arg1899z00_1904
																																																			=
																																																			CAR
																																																			(BgL_cdrzd28528zd2_1883);
																																																		BgL_arg1900z00_1905
																																																			=
																																																			CDR
																																																			(BgL_cdrzd28528zd2_1883);
																																																		{
																																																			BgL_ev_synchroniza7eza7_bglt
																																																				BgL_auxz00_6549;
																																																			{
																																																				obj_t
																																																					BgL_bodyz00_6551;
																																																				obj_t
																																																					BgL_mz00_6550;
																																																				BgL_mz00_6550
																																																					=
																																																					BgL_arg1899z00_1904;
																																																				BgL_bodyz00_6551
																																																					=
																																																					BgL_arg1900z00_1905;
																																																				BgL_bodyz00_1510
																																																					=
																																																					BgL_bodyz00_6551;
																																																				BgL_mz00_1509
																																																					=
																																																					BgL_mz00_6550;
																																																				goto
																																																					BgL_tagzd2173zd2_1511;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6549);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg1903z00_1906;
																																																BgL_arg1903z00_1906
																																																	=
																																																	CAR
																																																	(BgL_ez00_69);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6554;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6556;
																																																		obj_t
																																																			BgL_fz00_6555;
																																																		BgL_fz00_6555
																																																			=
																																																			BgL_arg1903z00_1906;
																																																		BgL_argsz00_6556
																																																			=
																																																			BgL_cdrzd28528zd2_1883;
																																																		BgL_argsz00_1516
																																																			=
																																																			BgL_argsz00_6556;
																																																		BgL_fz00_1515
																																																			=
																																																			BgL_fz00_6555;
																																																		goto
																																																			BgL_tagzd2175zd2_1517;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6554);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														if ((CAR(BgL_ez00_69) == BGl_symbol3211z00zz__evaluatez00))
																																															{	/* Eval/evaluate.scm 425 */
																																																if (PAIRP(BgL_cdrzd28528zd2_1883))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_cdrzd28638zd2_1912;
																																																		BgL_cdrzd28638zd2_1912
																																																			=
																																																			CDR
																																																			(BgL_cdrzd28528zd2_1883);
																																																		if (PAIRP(BgL_cdrzd28638zd2_1912))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				if (NULLP(CDR(BgL_cdrzd28638zd2_1912)))
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1911z00_1916;
																																																						obj_t
																																																							BgL_arg1912z00_1917;
																																																						BgL_arg1911z00_1916
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28528zd2_1883);
																																																						BgL_arg1912z00_1917
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28638zd2_1912);
																																																						{	/* Eval/evaluate.scm 596 */
																																																							obj_t
																																																								BgL_arg2397z00_4213;
																																																							{	/* Eval/evaluate.scm 596 */
																																																								obj_t
																																																									BgL_arg2398z00_4214;
																																																								{	/* Eval/evaluate.scm 596 */
																																																									obj_t
																																																										BgL_arg2400z00_4215;
																																																									obj_t
																																																										BgL_arg2402z00_4216;
																																																									{	/* Eval/evaluate.scm 596 */
																																																										obj_t
																																																											BgL_res3021z00_4219;
																																																										{	/* Eval/evaluate.scm 596 */
																																																											obj_t
																																																												BgL_symbolz00_4217;
																																																											BgL_symbolz00_4217
																																																												=
																																																												BGl_symbol3258z00zz__evaluatez00;
																																																											{	/* Eval/evaluate.scm 596 */
																																																												obj_t
																																																													BgL_arg2595z00_4218;
																																																												BgL_arg2595z00_4218
																																																													=
																																																													SYMBOL_TO_STRING
																																																													(BgL_symbolz00_4217);
																																																												BgL_res3021z00_4219
																																																													=
																																																													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																													(BgL_arg2595z00_4218);
																																																											}
																																																										}
																																																										BgL_arg2400z00_4215
																																																											=
																																																											BgL_res3021z00_4219;
																																																									}
																																																									{	/* Eval/evaluate.scm 596 */
																																																										obj_t
																																																											BgL_res3022z00_4222;
																																																										{	/* Eval/evaluate.scm 596 */
																																																											obj_t
																																																												BgL_arg2595z00_4221;
																																																											BgL_arg2595z00_4221
																																																												=
																																																												SYMBOL_TO_STRING
																																																												(BgL_wherez00_73);
																																																											BgL_res3022z00_4222
																																																												=
																																																												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																												(BgL_arg2595z00_4221);
																																																										}
																																																										BgL_arg2402z00_4216
																																																											=
																																																											BgL_res3022z00_4222;
																																																									}
																																																									BgL_arg2398z00_4214
																																																										=
																																																										string_append
																																																										(BgL_arg2400z00_4215,
																																																										BgL_arg2402z00_4216);
																																																								}
																																																								BgL_arg2397z00_4213
																																																									=
																																																									bstring_to_symbol
																																																									(BgL_arg2398z00_4214);
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BGl_convzd2lambdaze70z35zz__evaluatez00
																																																								(BgL_globalsz00_71,
																																																									BgL_localsz00_70,
																																																									BgL_ez00_69,
																																																									BgL_locz00_74,
																																																									BgL_arg1911z00_1916,
																																																									BgL_arg1912z00_1917,
																																																									BgL_arg2397z00_4213,
																																																									BFALSE));
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg1913z00_1918;
																																																						obj_t
																																																							BgL_arg1914z00_1919;
																																																						BgL_arg1913z00_1918
																																																							=
																																																							CAR
																																																							(BgL_ez00_69);
																																																						BgL_arg1914z00_1919
																																																							=
																																																							CDR
																																																							(BgL_ez00_69);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6581;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6583;
																																																								obj_t
																																																									BgL_fz00_6582;
																																																								BgL_fz00_6582
																																																									=
																																																									BgL_arg1913z00_1918;
																																																								BgL_argsz00_6583
																																																									=
																																																									BgL_arg1914z00_1919;
																																																								BgL_argsz00_1516
																																																									=
																																																									BgL_argsz00_6583;
																																																								BgL_fz00_1515
																																																									=
																																																									BgL_fz00_6582;
																																																								goto
																																																									BgL_tagzd2175zd2_1517;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6581);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg1916z00_1921;
																																																				obj_t
																																																					BgL_arg1917z00_1922;
																																																				BgL_arg1916z00_1921
																																																					=
																																																					CAR
																																																					(BgL_ez00_69);
																																																				BgL_arg1917z00_1922
																																																					=
																																																					CDR
																																																					(BgL_ez00_69);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6587;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6589;
																																																						obj_t
																																																							BgL_fz00_6588;
																																																						BgL_fz00_6588
																																																							=
																																																							BgL_arg1916z00_1921;
																																																						BgL_argsz00_6589
																																																							=
																																																							BgL_arg1917z00_1922;
																																																						BgL_argsz00_1516
																																																							=
																																																							BgL_argsz00_6589;
																																																						BgL_fz00_1515
																																																							=
																																																							BgL_fz00_6588;
																																																						goto
																																																							BgL_tagzd2175zd2_1517;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6587);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg1918z00_1923;
																																																		obj_t
																																																			BgL_arg1919z00_1924;
																																																		BgL_arg1918z00_1923
																																																			=
																																																			CAR
																																																			(BgL_ez00_69);
																																																		BgL_arg1919z00_1924
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6593;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6595;
																																																				obj_t
																																																					BgL_fz00_6594;
																																																				BgL_fz00_6594
																																																					=
																																																					BgL_arg1918z00_1923;
																																																				BgL_argsz00_6595
																																																					=
																																																					BgL_arg1919z00_1924;
																																																				BgL_argsz00_1516
																																																					=
																																																					BgL_argsz00_6595;
																																																				BgL_fz00_1515
																																																					=
																																																					BgL_fz00_6594;
																																																				goto
																																																					BgL_tagzd2175zd2_1517;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6593);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg1920z00_1925;
																																																obj_t
																																																	BgL_arg1921z00_1926;
																																																BgL_arg1920z00_1925
																																																	=
																																																	CAR
																																																	(BgL_ez00_69);
																																																BgL_arg1921z00_1926
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6599;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6601;
																																																		obj_t
																																																			BgL_fz00_6600;
																																																		BgL_fz00_6600
																																																			=
																																																			BgL_arg1920z00_1925;
																																																		BgL_argsz00_6601
																																																			=
																																																			BgL_arg1921z00_1926;
																																																		BgL_argsz00_1516
																																																			=
																																																			BgL_argsz00_6601;
																																																		BgL_fz00_1515
																																																			=
																																																			BgL_fz00_6600;
																																																		goto
																																																			BgL_tagzd2175zd2_1517;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6599);
																																																}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 425 */
														if (
															(BgL_carzd23820zd2_1590 ==
																BGl_symbol3234z00zz__evaluatez00))
															{	/* Eval/evaluate.scm 425 */
																if (PAIRP(BgL_cdrzd2249zd2_1524))
																	{	/* Eval/evaluate.scm 425 */
																		if (NULLP(CDR(BgL_cdrzd2249zd2_1524)))
																			{	/* Eval/evaluate.scm 425 */
																				obj_t BgL_arg1947z00_1950;

																				BgL_arg1947z00_1950 =
																					CAR(BgL_cdrzd2249zd2_1524);
																				{	/* Eval/evaluate.scm 457 */
																					BgL_ev_trapz00_bglt
																						BgL_new1109z00_4239;
																					{	/* Eval/evaluate.scm 458 */
																						BgL_ev_trapz00_bglt
																							BgL_new1108z00_4240;
																						BgL_new1108z00_4240 =
																							((BgL_ev_trapz00_bglt)
																							BREF(GC_MALLOC(sizeof(struct
																										BgL_ev_trapz00_bgl))));
																						{	/* Eval/evaluate.scm 458 */
																							long BgL_arg2274z00_4241;

																							{	/* Eval/evaluate.scm 458 */
																								long BgL_res3026z00_4243;

																								BgL_res3026z00_4243 =
																									BGL_CLASS_INDEX
																									(BGl_ev_trapz00zz__evaluate_typesz00);
																								BgL_arg2274z00_4241 =
																									BgL_res3026z00_4243;
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1108z00_4240),
																								BgL_arg2274z00_4241);
																						}
																						BgL_new1109z00_4239 =
																							BgL_new1108z00_4240;
																					}
																					{
																						BgL_ev_exprz00_bglt BgL_auxz00_6615;

																						{	/* Eval/evaluate.scm 381 */
																							obj_t BgL_arg2410z00_4246;

																							BgL_arg2410z00_4246 =
																								BGl_getzd2locationzd2zz__evaluatez00
																								(BgL_arg1947z00_1950,
																								BgL_locz00_74);
																							BgL_auxz00_6615 =
																								((BgL_ev_exprz00_bglt)
																								BGl_uconvzf2locze70z15zz__evaluatez00
																								(BgL_wherez00_73,
																									BgL_globalsz00_71,
																									BgL_localsz00_70,
																									BgL_arg1947z00_1950,
																									BgL_arg2410z00_4246));
																						}
																						((((BgL_ev_hookz00_bglt) CREF(
																										((BgL_ev_hookz00_bglt)
																											BgL_new1109z00_4239)))->
																								BgL_ez00) =
																							((BgL_ev_exprz00_bglt)
																								BgL_auxz00_6615), BUNSPEC);
																					}
																					return ((obj_t) BgL_new1109z00_4239);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 425 */
																				obj_t BgL_arg1948z00_1951;
																				obj_t BgL_arg1949z00_1952;

																				BgL_arg1948z00_1951 = CAR(BgL_ez00_69);
																				BgL_arg1949z00_1952 = CDR(BgL_ez00_69);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_6624;

																					{
																						obj_t BgL_argsz00_6626;
																						obj_t BgL_fz00_6625;

																						BgL_fz00_6625 = BgL_arg1948z00_1951;
																						BgL_argsz00_6626 =
																							BgL_arg1949z00_1952;
																						BgL_argsz00_1516 = BgL_argsz00_6626;
																						BgL_fz00_1515 = BgL_fz00_6625;
																						goto BgL_tagzd2175zd2_1517;
																					}
																					return ((obj_t) BgL_auxz00_6624);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 425 */
																		obj_t BgL_arg1951z00_1954;
																		obj_t BgL_arg1952z00_1955;

																		BgL_arg1951z00_1954 = CAR(BgL_ez00_69);
																		BgL_arg1952z00_1955 = CDR(BgL_ez00_69);
																		{
																			BgL_ev_appz00_bglt BgL_auxz00_6630;

																			{
																				obj_t BgL_argsz00_6632;
																				obj_t BgL_fz00_6631;

																				BgL_fz00_6631 = BgL_arg1951z00_1954;
																				BgL_argsz00_6632 = BgL_arg1952z00_1955;
																				BgL_argsz00_1516 = BgL_argsz00_6632;
																				BgL_fz00_1515 = BgL_fz00_6631;
																				goto BgL_tagzd2175zd2_1517;
																			}
																			return ((obj_t) BgL_auxz00_6630);
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 425 */
																obj_t BgL_cdrzd29337zd2_1956;

																BgL_cdrzd29337zd2_1956 = CDR(BgL_ez00_69);
																if (
																	(CAR(BgL_ez00_69) ==
																		BGl_symbol3199z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 425 */
																		if (PAIRP(BgL_cdrzd29337zd2_1956))
																			{	/* Eval/evaluate.scm 425 */
																				if (NULLP(CDR(BgL_cdrzd29337zd2_1956)))
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_arg1959z00_1962;

																						BgL_arg1959z00_1962 =
																							CAR(BgL_cdrzd29337zd2_1956);
																						{	/* Eval/evaluate.scm 460 */
																							BgL_ev_littz00_bglt
																								BgL_new1111z00_4257;
																							{	/* Eval/evaluate.scm 461 */
																								BgL_ev_littz00_bglt
																									BgL_new1110z00_4258;
																								BgL_new1110z00_4258 =
																									((BgL_ev_littz00_bglt)
																									BREF(GC_MALLOC(sizeof(struct
																												BgL_ev_littz00_bgl))));
																								{	/* Eval/evaluate.scm 461 */
																									long BgL_arg2275z00_4259;

																									{	/* Eval/evaluate.scm 461 */
																										long BgL_res3029z00_4261;

																										BgL_res3029z00_4261 =
																											BGL_CLASS_INDEX
																											(BGl_ev_littz00zz__evaluate_typesz00);
																										BgL_arg2275z00_4259 =
																											BgL_res3029z00_4261;
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1110z00_4258),
																										BgL_arg2275z00_4259);
																								}
																								BgL_new1111z00_4257 =
																									BgL_new1110z00_4258;
																							}
																							((((BgL_ev_littz00_bglt)
																										CREF(BgL_new1111z00_4257))->
																									BgL_valuez00) =
																								((obj_t) BgL_arg1959z00_1962),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1111z00_4257);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_arg1960z00_1963;

																						BgL_arg1960z00_1963 =
																							CAR(BgL_ez00_69);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_6651;
																							{
																								obj_t BgL_argsz00_6653;
																								obj_t BgL_fz00_6652;

																								BgL_fz00_6652 =
																									BgL_arg1960z00_1963;
																								BgL_argsz00_6653 =
																									BgL_cdrzd29337zd2_1956;
																								BgL_argsz00_1516 =
																									BgL_argsz00_6653;
																								BgL_fz00_1515 = BgL_fz00_6652;
																								goto BgL_tagzd2175zd2_1517;
																							}
																							return ((obj_t) BgL_auxz00_6651);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 425 */
																				obj_t BgL_arg1963z00_1966;

																				BgL_arg1963z00_1966 = CAR(BgL_ez00_69);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_6656;

																					{
																						obj_t BgL_argsz00_6658;
																						obj_t BgL_fz00_6657;

																						BgL_fz00_6657 = BgL_arg1963z00_1966;
																						BgL_argsz00_6658 =
																							BgL_cdrzd29337zd2_1956;
																						BgL_argsz00_1516 = BgL_argsz00_6658;
																						BgL_fz00_1515 = BgL_fz00_6657;
																						goto BgL_tagzd2175zd2_1517;
																					}
																					return ((obj_t) BgL_auxz00_6656);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 425 */
																		if (
																			(CAR(BgL_ez00_69) ==
																				BGl_symbol3207z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 425 */
																				if (PAIRP(BgL_cdrzd29337zd2_1956))
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_cdrzd29947zd2_1972;

																						BgL_cdrzd29947zd2_1972 =
																							CDR(BgL_cdrzd29337zd2_1956);
																						if (PAIRP(BgL_cdrzd29947zd2_1972))
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_cdrzd29952zd2_1974;

																								BgL_cdrzd29952zd2_1974 =
																									CDR(BgL_cdrzd29947zd2_1972);
																								if (PAIRP
																									(BgL_cdrzd29952zd2_1974))
																									{	/* Eval/evaluate.scm 425 */
																										if (NULLP(CDR
																												(BgL_cdrzd29952zd2_1974)))
																											{	/* Eval/evaluate.scm 425 */
																												obj_t
																													BgL_arg1972z00_1978;
																												obj_t
																													BgL_arg1973z00_1979;
																												obj_t
																													BgL_arg1975z00_1980;
																												BgL_arg1972z00_1978 =
																													CAR
																													(BgL_cdrzd29337zd2_1956);
																												BgL_arg1973z00_1979 =
																													CAR
																													(BgL_cdrzd29947zd2_1972);
																												BgL_arg1975z00_1980 =
																													CAR
																													(BgL_cdrzd29952zd2_1974);
																												{
																													BgL_ev_ifz00_bglt
																														BgL_auxz00_6677;
																													{
																														obj_t BgL_oz00_6680;
																														obj_t BgL_tz00_6679;
																														obj_t BgL_pz00_6678;

																														BgL_pz00_6678 =
																															BgL_arg1972z00_1978;
																														BgL_tz00_6679 =
																															BgL_arg1973z00_1979;
																														BgL_oz00_6680 =
																															BgL_arg1975z00_1980;
																														BgL_oz00_1458 =
																															BgL_oz00_6680;
																														BgL_tz00_1457 =
																															BgL_tz00_6679;
																														BgL_pz00_1456 =
																															BgL_pz00_6678;
																														goto
																															BgL_tagzd2155zd2_1459;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_6677);
																												}
																											}
																										else
																											{	/* Eval/evaluate.scm 425 */
																												obj_t
																													BgL_arg1976z00_1981;
																												obj_t
																													BgL_arg1978z00_1982;
																												BgL_arg1976z00_1981 =
																													CAR(BgL_ez00_69);
																												BgL_arg1978z00_1982 =
																													CDR(BgL_ez00_69);
																												{
																													BgL_ev_appz00_bglt
																														BgL_auxz00_6684;
																													{
																														obj_t
																															BgL_argsz00_6686;
																														obj_t BgL_fz00_6685;

																														BgL_fz00_6685 =
																															BgL_arg1976z00_1981;
																														BgL_argsz00_6686 =
																															BgL_arg1978z00_1982;
																														BgL_argsz00_1516 =
																															BgL_argsz00_6686;
																														BgL_fz00_1515 =
																															BgL_fz00_6685;
																														goto
																															BgL_tagzd2175zd2_1517;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_6684);
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 425 */
																										obj_t
																											BgL_cdrzd210250zd2_1984;
																										BgL_cdrzd210250zd2_1984 =
																											CDR(BgL_ez00_69);
																										{	/* Eval/evaluate.scm 425 */
																											obj_t
																												BgL_cdrzd210256zd2_1985;
																											BgL_cdrzd210256zd2_1985 =
																												CDR
																												(BgL_cdrzd210250zd2_1984);
																											if (NULLP(CDR
																													(BgL_cdrzd210256zd2_1985)))
																												{	/* Eval/evaluate.scm 425 */
																													obj_t
																														BgL_arg1982z00_1988;
																													obj_t
																														BgL_arg1983z00_1989;
																													BgL_arg1982z00_1988 =
																														CAR
																														(BgL_cdrzd210250zd2_1984);
																													BgL_arg1983z00_1989 =
																														CAR
																														(BgL_cdrzd210256zd2_1985);
																													{
																														BgL_ev_ifz00_bglt
																															BgL_auxz00_6695;
																														{
																															obj_t
																																BgL_tz00_6697;
																															obj_t
																																BgL_pz00_6696;
																															BgL_pz00_6696 =
																																BgL_arg1982z00_1988;
																															BgL_tz00_6697 =
																																BgL_arg1983z00_1989;
																															BgL_tz00_1461 =
																																BgL_tz00_6697;
																															BgL_pz00_1460 =
																																BgL_pz00_6696;
																															goto
																																BgL_tagzd2156zd2_1462;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_6695);
																													}
																												}
																											else
																												{	/* Eval/evaluate.scm 425 */
																													obj_t
																														BgL_arg1984z00_1990;
																													BgL_arg1984z00_1990 =
																														CAR(BgL_ez00_69);
																													{
																														BgL_ev_appz00_bglt
																															BgL_auxz00_6700;
																														{
																															obj_t
																																BgL_argsz00_6702;
																															obj_t
																																BgL_fz00_6701;
																															BgL_fz00_6701 =
																																BgL_arg1984z00_1990;
																															BgL_argsz00_6702 =
																																BgL_cdrzd210250zd2_1984;
																															BgL_argsz00_1516 =
																																BgL_argsz00_6702;
																															BgL_fz00_1515 =
																																BgL_fz00_6701;
																															goto
																																BgL_tagzd2175zd2_1517;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_6700);
																													}
																												}
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_arg1988z00_1993;
																								obj_t BgL_arg1989z00_1994;

																								BgL_arg1988z00_1993 =
																									CAR(BgL_ez00_69);
																								BgL_arg1989z00_1994 =
																									CDR(BgL_ez00_69);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_6706;
																									{
																										obj_t BgL_argsz00_6708;
																										obj_t BgL_fz00_6707;

																										BgL_fz00_6707 =
																											BgL_arg1988z00_1993;
																										BgL_argsz00_6708 =
																											BgL_arg1989z00_1994;
																										BgL_argsz00_1516 =
																											BgL_argsz00_6708;
																										BgL_fz00_1515 =
																											BgL_fz00_6707;
																										goto BgL_tagzd2175zd2_1517;
																									}
																									return
																										((obj_t) BgL_auxz00_6706);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_arg1990z00_1995;
																						obj_t BgL_arg1991z00_1996;

																						BgL_arg1990z00_1995 =
																							CAR(BgL_ez00_69);
																						BgL_arg1991z00_1996 =
																							CDR(BgL_ez00_69);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_6712;
																							{
																								obj_t BgL_argsz00_6714;
																								obj_t BgL_fz00_6713;

																								BgL_fz00_6713 =
																									BgL_arg1990z00_1995;
																								BgL_argsz00_6714 =
																									BgL_arg1991z00_1996;
																								BgL_argsz00_1516 =
																									BgL_argsz00_6714;
																								BgL_fz00_1515 = BgL_fz00_6713;
																								goto BgL_tagzd2175zd2_1517;
																							}
																							return ((obj_t) BgL_auxz00_6712);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 425 */
																				if (
																					(CAR(BgL_ez00_69) ==
																						BGl_symbol3236z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 425 */
																						obj_t BgL_arg1994z00_1999;

																						BgL_arg1994z00_1999 =
																							CDR(BgL_ez00_69);
																						{	/* Eval/evaluate.scm 473 */
																							BgL_ev_orz00_bglt
																								BgL_new1118z00_4296;
																							{	/* Eval/evaluate.scm 474 */
																								BgL_ev_orz00_bglt
																									BgL_new1117z00_4297;
																								BgL_new1117z00_4297 =
																									((BgL_ev_orz00_bglt)
																									BREF(GC_MALLOC(sizeof(struct
																												BgL_ev_orz00_bgl))));
																								{	/* Eval/evaluate.scm 474 */
																									long BgL_arg2284z00_4298;

																									{	/* Eval/evaluate.scm 474 */
																										long BgL_res3035z00_4300;

																										BgL_res3035z00_4300 =
																											BGL_CLASS_INDEX
																											(BGl_ev_orz00zz__evaluate_typesz00);
																										BgL_arg2284z00_4298 =
																											BgL_res3035z00_4300;
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1117z00_4297),
																										BgL_arg2284z00_4298);
																								}
																								BgL_new1118z00_4296 =
																									BgL_new1117z00_4297;
																							}
																							((((BgL_ev_listz00_bglt) CREF(
																											((BgL_ev_listz00_bglt)
																												BgL_new1118z00_4296)))->
																									BgL_argsz00) =
																								((obj_t)
																									BGl_loopze70ze7zz__evaluatez00
																									(BgL_wherez00_73,
																										BgL_globalsz00_71,
																										BgL_localsz00_70,
																										BgL_locz00_74,
																										BgL_arg1994z00_1999)),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1118z00_4296);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 425 */
																						if (
																							(CAR(BgL_ez00_69) ==
																								BGl_symbol3238z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 425 */
																								obj_t BgL_arg1998z00_2002;

																								BgL_arg1998z00_2002 =
																									CDR(BgL_ez00_69);
																								{	/* Eval/evaluate.scm 476 */
																									BgL_ev_andz00_bglt
																										BgL_new1120z00_4305;
																									{	/* Eval/evaluate.scm 477 */
																										BgL_ev_andz00_bglt
																											BgL_new1119z00_4306;
																										BgL_new1119z00_4306 =
																											((BgL_ev_andz00_bglt)
																											BREF(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_andz00_bgl))));
																										{	/* Eval/evaluate.scm 477 */
																											long BgL_arg2285z00_4307;

																											{	/* Eval/evaluate.scm 477 */
																												long
																													BgL_res3036z00_4309;
																												BgL_res3036z00_4309 =
																													BGL_CLASS_INDEX
																													(BGl_ev_andz00zz__evaluate_typesz00);
																												BgL_arg2285z00_4307 =
																													BgL_res3036z00_4309;
																											}
																											BGL_OBJECT_CLASS_NUM_SET(
																												((BgL_objectz00_bglt)
																													BgL_new1119z00_4306),
																												BgL_arg2285z00_4307);
																										}
																										BgL_new1120z00_4305 =
																											BgL_new1119z00_4306;
																									}
																									((((BgL_ev_listz00_bglt) CREF(
																													((BgL_ev_listz00_bglt)
																														BgL_new1120z00_4305)))->
																											BgL_argsz00) =
																										((obj_t)
																											BGl_loopze70ze7zz__evaluatez00
																											(BgL_wherez00_73,
																												BgL_globalsz00_71,
																												BgL_localsz00_70,
																												BgL_locz00_74,
																												BgL_arg1998z00_2002)),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1120z00_4305);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 425 */
																								if (
																									(CAR(BgL_ez00_69) ==
																										BGl_symbol3223z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 425 */
																										return
																											BGl_convzd2beginzd2zz__evaluatez00
																											(CDR(BgL_ez00_69),
																											BgL_localsz00_70,
																											BgL_globalsz00_71,
																											BgL_tailzf3zf3_72,
																											BgL_wherez00_73,
																											BgL_locz00_74,
																											BgL_topzf3zf3_75);
																									}
																								else
																									{	/* Eval/evaluate.scm 425 */
																										obj_t
																											BgL_cdrzd211149zd2_2006;
																										BgL_cdrzd211149zd2_2006 =
																											CDR(BgL_ez00_69);
																										if ((CAR(BgL_ez00_69) ==
																												BGl_symbol3209z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 425 */
																												if (PAIRP
																													(BgL_cdrzd211149zd2_2006))
																													{	/* Eval/evaluate.scm 425 */
																														obj_t
																															BgL_arg2007z00_2010;
																														obj_t
																															BgL_arg2008z00_2011;
																														BgL_arg2007z00_2010
																															=
																															CAR
																															(BgL_cdrzd211149zd2_2006);
																														BgL_arg2008z00_2011
																															=
																															CDR
																															(BgL_cdrzd211149zd2_2006);
																														{
																															BgL_ev_letz00_bglt
																																BgL_auxz00_6753;
																															{
																																obj_t
																																	BgL_bodyz00_6755;
																																obj_t
																																	BgL_bindsz00_6754;
																																BgL_bindsz00_6754
																																	=
																																	BgL_arg2007z00_2010;
																																BgL_bodyz00_6755
																																	=
																																	BgL_arg2008z00_2011;
																																BgL_bodyz00_1470
																																	=
																																	BgL_bodyz00_6755;
																																BgL_bindsz00_1469
																																	=
																																	BgL_bindsz00_6754;
																																goto
																																	BgL_tagzd2160zd2_1471;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_6753);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 425 */
																														obj_t
																															BgL_arg2009z00_2012;
																														BgL_arg2009z00_2012
																															=
																															CAR(BgL_ez00_69);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_6758;
																															{
																																obj_t
																																	BgL_argsz00_6760;
																																obj_t
																																	BgL_fz00_6759;
																																BgL_fz00_6759 =
																																	BgL_arg2009z00_2012;
																																BgL_argsz00_6760
																																	=
																																	BgL_cdrzd211149zd2_2006;
																																BgL_argsz00_1516
																																	=
																																	BgL_argsz00_6760;
																																BgL_fz00_1515 =
																																	BgL_fz00_6759;
																																goto
																																	BgL_tagzd2175zd2_1517;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_6758);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 425 */
																												if (
																													(CAR(BgL_ez00_69) ==
																														BGl_symbol3240z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 425 */
																														if (PAIRP
																															(BgL_cdrzd211149zd2_2006))
																															{	/* Eval/evaluate.scm 425 */
																																obj_t
																																	BgL_arg2016z00_2018;
																																obj_t
																																	BgL_arg2017z00_2019;
																																BgL_arg2016z00_2018
																																	=
																																	CAR
																																	(BgL_cdrzd211149zd2_2006);
																																BgL_arg2017z00_2019
																																	=
																																	CDR
																																	(BgL_cdrzd211149zd2_2006);
																																{
																																	BgL_ev_letza2za2_bglt
																																		BgL_auxz00_6769;
																																	{
																																		obj_t
																																			BgL_bodyz00_6771;
																																		obj_t
																																			BgL_bindsz00_6770;
																																		BgL_bindsz00_6770
																																			=
																																			BgL_arg2016z00_2018;
																																		BgL_bodyz00_6771
																																			=
																																			BgL_arg2017z00_2019;
																																		BgL_bodyz00_1473
																																			=
																																			BgL_bodyz00_6771;
																																		BgL_bindsz00_1472
																																			=
																																			BgL_bindsz00_6770;
																																		goto
																																			BgL_tagzd2161zd2_1474;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_6769);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 425 */
																																obj_t
																																	BgL_arg2018z00_2020;
																																obj_t
																																	BgL_arg2019z00_2021;
																																BgL_arg2018z00_2020
																																	=
																																	CAR
																																	(BgL_ez00_69);
																																BgL_arg2019z00_2021
																																	=
																																	CDR
																																	(BgL_ez00_69);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_6775;
																																	{
																																		obj_t
																																			BgL_argsz00_6777;
																																		obj_t
																																			BgL_fz00_6776;
																																		BgL_fz00_6776
																																			=
																																			BgL_arg2018z00_2020;
																																		BgL_argsz00_6777
																																			=
																																			BgL_arg2019z00_2021;
																																		BgL_argsz00_1516
																																			=
																																			BgL_argsz00_6777;
																																		BgL_fz00_1515
																																			=
																																			BgL_fz00_6776;
																																		goto
																																			BgL_tagzd2175zd2_1517;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_6775);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 425 */
																														obj_t
																															BgL_cdrzd211543zd2_2022;
																														BgL_cdrzd211543zd2_2022
																															=
																															CDR(BgL_ez00_69);
																														if ((CAR
																																(BgL_ez00_69) ==
																																BGl_symbol3242z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 425 */
																																if (PAIRP
																																	(BgL_cdrzd211543zd2_2022))
																																	{	/* Eval/evaluate.scm 425 */
																																		obj_t
																																			BgL_arg2023z00_2026;
																																		obj_t
																																			BgL_arg2024z00_2027;
																																		BgL_arg2023z00_2026
																																			=
																																			CAR
																																			(BgL_cdrzd211543zd2_2022);
																																		BgL_arg2024z00_2027
																																			=
																																			CDR
																																			(BgL_cdrzd211543zd2_2022);
																																		{
																																			BgL_ev_letrecz00_bglt
																																				BgL_auxz00_6787;
																																			{
																																				obj_t
																																					BgL_bodyz00_6789;
																																				obj_t
																																					BgL_bindsz00_6788;
																																				BgL_bindsz00_6788
																																					=
																																					BgL_arg2023z00_2026;
																																				BgL_bodyz00_6789
																																					=
																																					BgL_arg2024z00_2027;
																																				BgL_bodyz00_1476
																																					=
																																					BgL_bodyz00_6789;
																																				BgL_bindsz00_1475
																																					=
																																					BgL_bindsz00_6788;
																																				goto
																																					BgL_tagzd2162zd2_1477;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_6787);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 425 */
																																		obj_t
																																			BgL_arg2025z00_2028;
																																		BgL_arg2025z00_2028
																																			=
																																			CAR
																																			(BgL_ez00_69);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_6792;
																																			{
																																				obj_t
																																					BgL_argsz00_6794;
																																				obj_t
																																					BgL_fz00_6793;
																																				BgL_fz00_6793
																																					=
																																					BgL_arg2025z00_2028;
																																				BgL_argsz00_6794
																																					=
																																					BgL_cdrzd211543zd2_2022;
																																				BgL_argsz00_1516
																																					=
																																					BgL_argsz00_6794;
																																				BgL_fz00_1515
																																					=
																																					BgL_fz00_6793;
																																				goto
																																					BgL_tagzd2175zd2_1517;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_6792);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 425 */
																																if (
																																	(CAR
																																		(BgL_ez00_69)
																																		==
																																		BGl_symbol3244z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 425 */
																																		if (PAIRP
																																			(BgL_cdrzd211543zd2_2022))
																																			{	/* Eval/evaluate.scm 425 */
																																				obj_t
																																					BgL_carzd211717zd2_2034;
																																				obj_t
																																					BgL_cdrzd211718zd2_2035;
																																				BgL_carzd211717zd2_2034
																																					=
																																					CAR
																																					(BgL_cdrzd211543zd2_2022);
																																				BgL_cdrzd211718zd2_2035
																																					=
																																					CDR
																																					(BgL_cdrzd211543zd2_2022);
																																				if (PAIRP(BgL_carzd211717zd2_2034))
																																					{	/* Eval/evaluate.scm 425 */
																																						obj_t
																																							BgL_cdrzd211722zd2_2037;
																																						BgL_cdrzd211722zd2_2037
																																							=
																																							CDR
																																							(BgL_carzd211717zd2_2034);
																																						if (
																																							(CAR
																																								(BgL_carzd211717zd2_2034)
																																								==
																																								BGl_symbol3230z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 425 */
																																								if (PAIRP(BgL_cdrzd211722zd2_2037))
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_carzd211725zd2_2041;
																																										obj_t
																																											BgL_cdrzd211726zd2_2042;
																																										BgL_carzd211725zd2_2041
																																											=
																																											CAR
																																											(BgL_cdrzd211722zd2_2037);
																																										BgL_cdrzd211726zd2_2042
																																											=
																																											CDR
																																											(BgL_cdrzd211722zd2_2037);
																																										if (SYMBOLP(BgL_carzd211725zd2_2041))
																																											{	/* Eval/evaluate.scm 425 */
																																												if (PAIRP(BgL_cdrzd211726zd2_2042))
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_carzd211730zd2_2045;
																																														BgL_carzd211730zd2_2045
																																															=
																																															CAR
																																															(BgL_cdrzd211726zd2_2042);
																																														if (SYMBOLP(BgL_carzd211730zd2_2045))
																																															{	/* Eval/evaluate.scm 425 */
																																																if (NULLP(CDR(BgL_cdrzd211726zd2_2042)))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		if (PAIRP(BgL_cdrzd211718zd2_2035))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				if (NULLP(CDR(BgL_cdrzd211718zd2_2035)))
																																																					{	/* Eval/evaluate.scm 425 */
																																																						obj_t
																																																							BgL_arg2042z00_2052;
																																																						BgL_arg2042z00_2052
																																																							=
																																																							CAR
																																																							(BgL_cdrzd211718zd2_2035);
																																																						{	/* Eval/evaluate.scm 532 */
																																																							BgL_ev_setglobalz00_bglt
																																																								BgL_new1138z00_4356;
																																																							{	/* Eval/evaluate.scm 536 */
																																																								BgL_ev_setglobalz00_bglt
																																																									BgL_new1137z00_4357;
																																																								BgL_new1137z00_4357
																																																									=
																																																									(
																																																									(BgL_ev_setglobalz00_bglt)
																																																									BREF
																																																									(GC_MALLOC
																																																										(sizeof
																																																											(struct
																																																												BgL_ev_setglobalz00_bgl))));
																																																								{	/* Eval/evaluate.scm 536 */
																																																									long
																																																										BgL_arg2360z00_4358;
																																																									{	/* Eval/evaluate.scm 536 */
																																																										long
																																																											BgL_res3049z00_4360;
																																																										BgL_res3049z00_4360
																																																											=
																																																											BGL_CLASS_INDEX
																																																											(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																										BgL_arg2360z00_4358
																																																											=
																																																											BgL_res3049z00_4360;
																																																									}
																																																									BGL_OBJECT_CLASS_NUM_SET
																																																										(
																																																										((BgL_objectz00_bglt) BgL_new1137z00_4357), BgL_arg2360z00_4358);
																																																								}
																																																								BgL_new1138z00_4356
																																																									=
																																																									BgL_new1137z00_4357;
																																																							}
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_6833;
																																																								{	/* Eval/evaluate.scm 381 */
																																																									obj_t
																																																										BgL_arg2410z00_4363;
																																																									BgL_arg2410z00_4363
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg2042z00_2052,
																																																										BgL_locz00_74);
																																																									BgL_auxz00_6833
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2locze70z15zz__evaluatez00
																																																										(BgL_wherez00_73,
																																																											BgL_globalsz00_71,
																																																											BgL_localsz00_70,
																																																											BgL_arg2042z00_2052,
																																																											BgL_arg2410z00_4363));
																																																								}
																																																								((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1138z00_4356)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6833), BUNSPEC);
																																																							}
																																																							((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1138z00_4356))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																							((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1138z00_4356))->BgL_namez00) = ((obj_t) BgL_carzd211725zd2_2041), BUNSPEC);
																																																							((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1138z00_4356))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_carzd211730zd2_2045)), BUNSPEC);
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_new1138z00_4356);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 425 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_74,
																																																							BGl_string3147z00zz__evaluatez00,
																																																							BGl_string3222z00zz__evaluatez00,
																																																							BgL_ez00_69);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_74,
																																																					BGl_string3147z00zz__evaluatez00,
																																																					BGl_string3222z00zz__evaluatez00,
																																																					BgL_ez00_69);
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_cdrzd211846zd2_2054;
																																																		BgL_cdrzd211846zd2_2054
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{	/* Eval/evaluate.scm 425 */
																																																			obj_t
																																																				BgL_cdrzd211850zd2_2055;
																																																			BgL_cdrzd211850zd2_2055
																																																				=
																																																				CDR
																																																				(BgL_cdrzd211846zd2_2054);
																																																			if (PAIRP(BgL_cdrzd211850zd2_2055))
																																																				{	/* Eval/evaluate.scm 425 */
																																																					if (NULLP(CDR(BgL_cdrzd211850zd2_2055)))
																																																						{	/* Eval/evaluate.scm 425 */
																																																							obj_t
																																																								BgL_arg2047z00_2059;
																																																							obj_t
																																																								BgL_arg2048z00_2060;
																																																							BgL_arg2047z00_2059
																																																								=
																																																								CAR
																																																								(BgL_cdrzd211846zd2_2054);
																																																							BgL_arg2048z00_2060
																																																								=
																																																								CAR
																																																								(BgL_cdrzd211850zd2_2055);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_6855;
																																																								{
																																																									obj_t
																																																										BgL_ez00_6857;
																																																									obj_t
																																																										BgL_vz00_6856;
																																																									BgL_vz00_6856
																																																										=
																																																										BgL_arg2047z00_2059;
																																																									BgL_ez00_6857
																																																										=
																																																										BgL_arg2048z00_2060;
																																																									BgL_ez00_1486
																																																										=
																																																										BgL_ez00_6857;
																																																									BgL_vz00_1485
																																																										=
																																																										BgL_vz00_6856;
																																																									goto
																																																										BgL_tagzd2165zd2_1487;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_6855);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 425 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_74,
																																																								BGl_string3147z00zz__evaluatez00,
																																																								BGl_string3222z00zz__evaluatez00,
																																																								BgL_ez00_69);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 425 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string3147z00zz__evaluatez00,
																																																						BGl_string3222z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd211907zd2_2063;
																																																BgL_cdrzd211907zd2_2063
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{	/* Eval/evaluate.scm 425 */
																																																	obj_t
																																																		BgL_cdrzd211911zd2_2064;
																																																	BgL_cdrzd211911zd2_2064
																																																		=
																																																		CDR
																																																		(BgL_cdrzd211907zd2_2063);
																																																	if (PAIRP(BgL_cdrzd211911zd2_2064))
																																																		{	/* Eval/evaluate.scm 425 */
																																																			if (NULLP(CDR(BgL_cdrzd211911zd2_2064)))
																																																				{	/* Eval/evaluate.scm 425 */
																																																					obj_t
																																																						BgL_arg2055z00_2068;
																																																					obj_t
																																																						BgL_arg2056z00_2069;
																																																					BgL_arg2055z00_2068
																																																						=
																																																						CAR
																																																						(BgL_cdrzd211907zd2_2063);
																																																					BgL_arg2056z00_2069
																																																						=
																																																						CAR
																																																						(BgL_cdrzd211911zd2_2064);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_6870;
																																																						{
																																																							obj_t
																																																								BgL_ez00_6872;
																																																							obj_t
																																																								BgL_vz00_6871;
																																																							BgL_vz00_6871
																																																								=
																																																								BgL_arg2055z00_2068;
																																																							BgL_ez00_6872
																																																								=
																																																								BgL_arg2056z00_2069;
																																																							BgL_ez00_1486
																																																								=
																																																								BgL_ez00_6872;
																																																							BgL_vz00_1485
																																																								=
																																																								BgL_vz00_6871;
																																																							goto
																																																								BgL_tagzd2165zd2_1487;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_6870);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 425 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string3147z00zz__evaluatez00,
																																																						BGl_string3222z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 425 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string3147z00zz__evaluatez00,
																																																				BGl_string3222z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_cdrzd211968zd2_2071;
																																														BgL_cdrzd211968zd2_2071
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{	/* Eval/evaluate.scm 425 */
																																															obj_t
																																																BgL_cdrzd211972zd2_2072;
																																															BgL_cdrzd211972zd2_2072
																																																=
																																																CDR
																																																(BgL_cdrzd211968zd2_2071);
																																															if (PAIRP(BgL_cdrzd211972zd2_2072))
																																																{	/* Eval/evaluate.scm 425 */
																																																	if (NULLP(CDR(BgL_cdrzd211972zd2_2072)))
																																																		{	/* Eval/evaluate.scm 425 */
																																																			obj_t
																																																				BgL_arg2061z00_2076;
																																																			obj_t
																																																				BgL_arg2062z00_2077;
																																																			BgL_arg2061z00_2076
																																																				=
																																																				CAR
																																																				(BgL_cdrzd211968zd2_2071);
																																																			BgL_arg2062z00_2077
																																																				=
																																																				CAR
																																																				(BgL_cdrzd211972zd2_2072);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_6885;
																																																				{
																																																					obj_t
																																																						BgL_ez00_6887;
																																																					obj_t
																																																						BgL_vz00_6886;
																																																					BgL_vz00_6886
																																																						=
																																																						BgL_arg2061z00_2076;
																																																					BgL_ez00_6887
																																																						=
																																																						BgL_arg2062z00_2077;
																																																					BgL_ez00_1486
																																																						=
																																																						BgL_ez00_6887;
																																																					BgL_vz00_1485
																																																						=
																																																						BgL_vz00_6886;
																																																					goto
																																																						BgL_tagzd2165zd2_1487;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_6885);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 425 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string3147z00zz__evaluatez00,
																																																				BGl_string3222z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 425 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string3147z00zz__evaluatez00,
																																																		BGl_string3222z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_cdrzd212029zd2_2079;
																																												BgL_cdrzd212029zd2_2079
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{	/* Eval/evaluate.scm 425 */
																																													obj_t
																																														BgL_cdrzd212033zd2_2080;
																																													BgL_cdrzd212033zd2_2080
																																														=
																																														CDR
																																														(BgL_cdrzd212029zd2_2079);
																																													if (PAIRP(BgL_cdrzd212033zd2_2080))
																																														{	/* Eval/evaluate.scm 425 */
																																															if (NULLP(CDR(BgL_cdrzd212033zd2_2080)))
																																																{	/* Eval/evaluate.scm 425 */
																																																	obj_t
																																																		BgL_arg2070z00_2084;
																																																	obj_t
																																																		BgL_arg2071z00_2085;
																																																	BgL_arg2070z00_2084
																																																		=
																																																		CAR
																																																		(BgL_cdrzd212029zd2_2079);
																																																	BgL_arg2071z00_2085
																																																		=
																																																		CAR
																																																		(BgL_cdrzd212033zd2_2080);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_6900;
																																																		{
																																																			obj_t
																																																				BgL_ez00_6902;
																																																			obj_t
																																																				BgL_vz00_6901;
																																																			BgL_vz00_6901
																																																				=
																																																				BgL_arg2070z00_2084;
																																																			BgL_ez00_6902
																																																				=
																																																				BgL_arg2071z00_2085;
																																																			BgL_ez00_1486
																																																				=
																																																				BgL_ez00_6902;
																																																			BgL_vz00_1485
																																																				=
																																																				BgL_vz00_6901;
																																																			goto
																																																				BgL_tagzd2165zd2_1487;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_6900);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 425 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string3147z00zz__evaluatez00,
																																																		BGl_string3222z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 425 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string3147z00zz__evaluatez00,
																																																BGl_string3222z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_cdrzd212090zd2_2087;
																																										BgL_cdrzd212090zd2_2087
																																											=
																																											CDR
																																											(BgL_ez00_69);
																																										{	/* Eval/evaluate.scm 425 */
																																											obj_t
																																												BgL_cdrzd212094zd2_2088;
																																											BgL_cdrzd212094zd2_2088
																																												=
																																												CDR
																																												(BgL_cdrzd212090zd2_2087);
																																											if (PAIRP(BgL_cdrzd212094zd2_2088))
																																												{	/* Eval/evaluate.scm 425 */
																																													if (NULLP(CDR(BgL_cdrzd212094zd2_2088)))
																																														{	/* Eval/evaluate.scm 425 */
																																															obj_t
																																																BgL_arg2076z00_2092;
																																															obj_t
																																																BgL_arg2077z00_2093;
																																															BgL_arg2076z00_2092
																																																=
																																																CAR
																																																(BgL_cdrzd212090zd2_2087);
																																															BgL_arg2077z00_2093
																																																=
																																																CAR
																																																(BgL_cdrzd212094zd2_2088);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_6915;
																																																{
																																																	obj_t
																																																		BgL_ez00_6917;
																																																	obj_t
																																																		BgL_vz00_6916;
																																																	BgL_vz00_6916
																																																		=
																																																		BgL_arg2076z00_2092;
																																																	BgL_ez00_6917
																																																		=
																																																		BgL_arg2077z00_2093;
																																																	BgL_ez00_1486
																																																		=
																																																		BgL_ez00_6917;
																																																	BgL_vz00_1485
																																																		=
																																																		BgL_vz00_6916;
																																																	goto
																																																		BgL_tagzd2165zd2_1487;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_6915);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 425 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string3147z00zz__evaluatez00,
																																																BGl_string3222z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 425 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string3147z00zz__evaluatez00,
																																														BGl_string3222z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_cdrzd212138zd2_2095;
																																								BgL_cdrzd212138zd2_2095
																																									=
																																									CDR
																																									(BgL_ez00_69);
																																								{	/* Eval/evaluate.scm 425 */
																																									obj_t
																																										BgL_carzd212141zd2_2096;
																																									obj_t
																																										BgL_cdrzd212142zd2_2097;
																																									BgL_carzd212141zd2_2096
																																										=
																																										CAR
																																										(BgL_cdrzd212138zd2_2095);
																																									BgL_cdrzd212142zd2_2097
																																										=
																																										CDR
																																										(BgL_cdrzd212138zd2_2095);
																																									if ((CAR(BgL_carzd212141zd2_2096) == BGl_symbol3232z00zz__evaluatez00))
																																										{	/* Eval/evaluate.scm 425 */
																																											if (PAIRP(BgL_cdrzd212142zd2_2097))
																																												{	/* Eval/evaluate.scm 425 */
																																													if (NULLP(CDR(BgL_cdrzd212142zd2_2097)))
																																														{
																																															obj_t
																																																BgL_e2z00_6934;
																																															obj_t
																																																BgL_lz00_6932;
																																															BgL_lz00_6932
																																																=
																																																CDR
																																																(BgL_carzd212141zd2_2096);
																																															BgL_e2z00_6934
																																																=
																																																CAR
																																																(BgL_cdrzd212142zd2_2097);
																																															BgL_e2z00_1483
																																																=
																																																BgL_e2z00_6934;
																																															BgL_lz00_1482
																																																=
																																																BgL_lz00_6932;
																																															goto
																																																BgL_tagzd2164zd2_1484;
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 425 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string3147z00zz__evaluatez00,
																																																BGl_string3222z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 425 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string3147z00zz__evaluatez00,
																																														BGl_string3222z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 425 */
																																											obj_t
																																												BgL_cdrzd212218zd2_2107;
																																											BgL_cdrzd212218zd2_2107
																																												=
																																												CDR
																																												(BgL_cdrzd212138zd2_2095);
																																											if (PAIRP(BgL_cdrzd212218zd2_2107))
																																												{	/* Eval/evaluate.scm 425 */
																																													if (NULLP(CDR(BgL_cdrzd212218zd2_2107)))
																																														{	/* Eval/evaluate.scm 425 */
																																															obj_t
																																																BgL_arg2090z00_2111;
																																															obj_t
																																																BgL_arg2091z00_2112;
																																															BgL_arg2090z00_2111
																																																=
																																																CAR
																																																(BgL_cdrzd212138zd2_2095);
																																															BgL_arg2091z00_2112
																																																=
																																																CAR
																																																(BgL_cdrzd212218zd2_2107);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_6946;
																																																{
																																																	obj_t
																																																		BgL_ez00_6948;
																																																	obj_t
																																																		BgL_vz00_6947;
																																																	BgL_vz00_6947
																																																		=
																																																		BgL_arg2090z00_2111;
																																																	BgL_ez00_6948
																																																		=
																																																		BgL_arg2091z00_2112;
																																																	BgL_ez00_1486
																																																		=
																																																		BgL_ez00_6948;
																																																	BgL_vz00_1485
																																																		=
																																																		BgL_vz00_6947;
																																																	goto
																																																		BgL_tagzd2165zd2_1487;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_6946);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 425 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string3147z00zz__evaluatez00,
																																																BGl_string3222z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 425 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string3147z00zz__evaluatez00,
																																														BGl_string3222z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 425 */
																																						obj_t
																																							BgL_cdrzd212275zd2_2116;
																																						BgL_cdrzd212275zd2_2116
																																							=
																																							CDR
																																							(BgL_ez00_69);
																																						{	/* Eval/evaluate.scm 425 */
																																							obj_t
																																								BgL_cdrzd212279zd2_2117;
																																							BgL_cdrzd212279zd2_2117
																																								=
																																								CDR
																																								(BgL_cdrzd212275zd2_2116);
																																							if (PAIRP(BgL_cdrzd212279zd2_2117))
																																								{	/* Eval/evaluate.scm 425 */
																																									if (NULLP(CDR(BgL_cdrzd212279zd2_2117)))
																																										{	/* Eval/evaluate.scm 425 */
																																											obj_t
																																												BgL_arg2098z00_2121;
																																											obj_t
																																												BgL_arg2099z00_2122;
																																											BgL_arg2098z00_2121
																																												=
																																												CAR
																																												(BgL_cdrzd212275zd2_2116);
																																											BgL_arg2099z00_2122
																																												=
																																												CAR
																																												(BgL_cdrzd212279zd2_2117);
																																											{
																																												BgL_ev_hookz00_bglt
																																													BgL_auxz00_6961;
																																												{
																																													obj_t
																																														BgL_ez00_6963;
																																													obj_t
																																														BgL_vz00_6962;
																																													BgL_vz00_6962
																																														=
																																														BgL_arg2098z00_2121;
																																													BgL_ez00_6963
																																														=
																																														BgL_arg2099z00_2122;
																																													BgL_ez00_1486
																																														=
																																														BgL_ez00_6963;
																																													BgL_vz00_1485
																																														=
																																														BgL_vz00_6962;
																																													goto
																																														BgL_tagzd2165zd2_1487;
																																												}
																																												return
																																													(
																																													(obj_t)
																																													BgL_auxz00_6961);
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 425 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_74,
																																												BGl_string3147z00zz__evaluatez00,
																																												BGl_string3222z00zz__evaluatez00,
																																												BgL_ez00_69);
																																										}
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 425 */
																																									return
																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																										(BgL_locz00_74,
																																										BGl_string3147z00zz__evaluatez00,
																																										BGl_string3222z00zz__evaluatez00,
																																										BgL_ez00_69);
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 425 */
																																				return
																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																					(BgL_locz00_74,
																																					BGl_string3147z00zz__evaluatez00,
																																					BGl_string3222z00zz__evaluatez00,
																																					BgL_ez00_69);
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 425 */
																																		obj_t
																																			BgL_cdrzd212400zd2_2124;
																																		BgL_cdrzd212400zd2_2124
																																			=
																																			CDR
																																			(BgL_ez00_69);
																																		if ((CAR
																																				(BgL_ez00_69)
																																				==
																																				BGl_symbol3246z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 425 */
																																				if (PAIRP(BgL_cdrzd212400zd2_2124))
																																					{	/* Eval/evaluate.scm 425 */
																																						obj_t
																																							BgL_cdrzd212405zd2_2128;
																																						BgL_cdrzd212405zd2_2128
																																							=
																																							CDR
																																							(BgL_cdrzd212400zd2_2124);
																																						if (PAIRP(BgL_cdrzd212405zd2_2128))
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_carzd212409zd2_2130;
																																								BgL_carzd212409zd2_2130
																																									=
																																									CAR
																																									(BgL_cdrzd212405zd2_2128);
																																								if (PAIRP(BgL_carzd212409zd2_2130))
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_cdrzd212414zd2_2132;
																																										BgL_cdrzd212414zd2_2132
																																											=
																																											CDR
																																											(BgL_carzd212409zd2_2130);
																																										if ((CAR(BgL_carzd212409zd2_2130) == BGl_symbol3211z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 425 */
																																												if (PAIRP(BgL_cdrzd212414zd2_2132))
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_cdrzd212418zd2_2136;
																																														BgL_cdrzd212418zd2_2136
																																															=
																																															CDR
																																															(BgL_cdrzd212414zd2_2132);
																																														if (PAIRP(BgL_cdrzd212418zd2_2136))
																																															{	/* Eval/evaluate.scm 425 */
																																																if (NULLP(CDR(BgL_cdrzd212418zd2_2136)))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		if (NULLP(CDR(BgL_cdrzd212405zd2_2128)))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2115z00_2142;
																																																				obj_t
																																																					BgL_arg2117z00_2143;
																																																				obj_t
																																																					BgL_arg2118z00_2144;
																																																				BgL_arg2115z00_2142
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212400zd2_2124);
																																																				BgL_arg2117z00_2143
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212414zd2_2132);
																																																				BgL_arg2118z00_2144
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212418zd2_2136);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_6998;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_7001;
																																																						obj_t
																																																							BgL_formalsz00_7000;
																																																						obj_t
																																																							BgL_gvz00_6999;
																																																						BgL_gvz00_6999
																																																							=
																																																							BgL_arg2115z00_2142;
																																																						BgL_formalsz00_7000
																																																							=
																																																							BgL_arg2117z00_2143;
																																																						BgL_bodyz00_7001
																																																							=
																																																							BgL_arg2118z00_2144;
																																																						BgL_bodyz00_1491
																																																							=
																																																							BgL_bodyz00_7001;
																																																						BgL_formalsz00_1490
																																																							=
																																																							BgL_formalsz00_7000;
																																																						BgL_gvz00_1489
																																																							=
																																																							BgL_gvz00_6999;
																																																						goto
																																																							BgL_tagzd2167zd2_1492;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6998);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2119z00_2145;
																																																				BgL_arg2119z00_2145
																																																					=
																																																					CAR
																																																					(BgL_ez00_69);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7004;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7006;
																																																						obj_t
																																																							BgL_fz00_7005;
																																																						BgL_fz00_7005
																																																							=
																																																							BgL_arg2119z00_2145;
																																																						BgL_argsz00_7006
																																																							=
																																																							BgL_cdrzd212400zd2_2124;
																																																						BgL_argsz00_1516
																																																							=
																																																							BgL_argsz00_7006;
																																																						BgL_fz00_1515
																																																							=
																																																							BgL_fz00_7005;
																																																						goto
																																																							BgL_tagzd2175zd2_1517;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7004);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_cdrzd212518zd2_2149;
																																																		BgL_cdrzd212518zd2_2149
																																																			=
																																																			CDR
																																																			(BgL_cdrzd212400zd2_2124);
																																																		if (NULLP(CDR(BgL_cdrzd212518zd2_2149)))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2124z00_2152;
																																																				obj_t
																																																					BgL_arg2125z00_2153;
																																																				BgL_arg2124z00_2152
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212400zd2_2124);
																																																				BgL_arg2125z00_2153
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212518zd2_2149);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_7014;
																																																					{
																																																						obj_t
																																																							BgL_gez00_7016;
																																																						obj_t
																																																							BgL_gvz00_7015;
																																																						BgL_gvz00_7015
																																																							=
																																																							BgL_arg2124z00_2152;
																																																						BgL_gez00_7016
																																																							=
																																																							BgL_arg2125z00_2153;
																																																						BgL_gez00_1494
																																																							=
																																																							BgL_gez00_7016;
																																																						BgL_gvz00_1493
																																																							=
																																																							BgL_gvz00_7015;
																																																						goto
																																																							BgL_tagzd2168zd2_1495;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7014);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2126z00_2154;
																																																				obj_t
																																																					BgL_arg2127z00_2155;
																																																				BgL_arg2126z00_2154
																																																					=
																																																					CAR
																																																					(BgL_ez00_69);
																																																				BgL_arg2127z00_2155
																																																					=
																																																					CDR
																																																					(BgL_ez00_69);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7020;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7022;
																																																						obj_t
																																																							BgL_fz00_7021;
																																																						BgL_fz00_7021
																																																							=
																																																							BgL_arg2126z00_2154;
																																																						BgL_argsz00_7022
																																																							=
																																																							BgL_arg2127z00_2155;
																																																						BgL_argsz00_1516
																																																							=
																																																							BgL_argsz00_7022;
																																																						BgL_fz00_1515
																																																							=
																																																							BgL_fz00_7021;
																																																						goto
																																																							BgL_tagzd2175zd2_1517;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7020);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd212605zd2_2159;
																																																BgL_cdrzd212605zd2_2159
																																																	=
																																																	CDR
																																																	(BgL_cdrzd212400zd2_2124);
																																																if (NULLP(CDR(BgL_cdrzd212605zd2_2159)))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg2132z00_2162;
																																																		obj_t
																																																			BgL_arg2133z00_2163;
																																																		BgL_arg2132z00_2162
																																																			=
																																																			CAR
																																																			(BgL_cdrzd212400zd2_2124);
																																																		BgL_arg2133z00_2163
																																																			=
																																																			CAR
																																																			(BgL_cdrzd212605zd2_2159);
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_7030;
																																																			{
																																																				obj_t
																																																					BgL_gez00_7032;
																																																				obj_t
																																																					BgL_gvz00_7031;
																																																				BgL_gvz00_7031
																																																					=
																																																					BgL_arg2132z00_2162;
																																																				BgL_gez00_7032
																																																					=
																																																					BgL_arg2133z00_2163;
																																																				BgL_gez00_1494
																																																					=
																																																					BgL_gez00_7032;
																																																				BgL_gvz00_1493
																																																					=
																																																					BgL_gvz00_7031;
																																																				goto
																																																					BgL_tagzd2168zd2_1495;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7030);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg2134z00_2164;
																																																		obj_t
																																																			BgL_arg2135z00_2165;
																																																		BgL_arg2134z00_2164
																																																			=
																																																			CAR
																																																			(BgL_ez00_69);
																																																		BgL_arg2135z00_2165
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_7036;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_7038;
																																																				obj_t
																																																					BgL_fz00_7037;
																																																				BgL_fz00_7037
																																																					=
																																																					BgL_arg2134z00_2164;
																																																				BgL_argsz00_7038
																																																					=
																																																					BgL_arg2135z00_2165;
																																																				BgL_argsz00_1516
																																																					=
																																																					BgL_argsz00_7038;
																																																				BgL_fz00_1515
																																																					=
																																																					BgL_fz00_7037;
																																																				goto
																																																					BgL_tagzd2175zd2_1517;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7036);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_cdrzd212692zd2_2168;
																																														BgL_cdrzd212692zd2_2168
																																															=
																																															CDR
																																															(BgL_cdrzd212400zd2_2124);
																																														if (NULLP(CDR(BgL_cdrzd212692zd2_2168)))
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg2139z00_2171;
																																																obj_t
																																																	BgL_arg2140z00_2172;
																																																BgL_arg2139z00_2171
																																																	=
																																																	CAR
																																																	(BgL_cdrzd212400zd2_2124);
																																																BgL_arg2140z00_2172
																																																	=
																																																	CAR
																																																	(BgL_cdrzd212692zd2_2168);
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_7046;
																																																	{
																																																		obj_t
																																																			BgL_gez00_7048;
																																																		obj_t
																																																			BgL_gvz00_7047;
																																																		BgL_gvz00_7047
																																																			=
																																																			BgL_arg2139z00_2171;
																																																		BgL_gez00_7048
																																																			=
																																																			BgL_arg2140z00_2172;
																																																		BgL_gez00_1494
																																																			=
																																																			BgL_gez00_7048;
																																																		BgL_gvz00_1493
																																																			=
																																																			BgL_gvz00_7047;
																																																		goto
																																																			BgL_tagzd2168zd2_1495;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7046);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg2141z00_2173;
																																																obj_t
																																																	BgL_arg2142z00_2174;
																																																BgL_arg2141z00_2173
																																																	=
																																																	CAR
																																																	(BgL_ez00_69);
																																																BgL_arg2142z00_2174
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_7052;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_7054;
																																																		obj_t
																																																			BgL_fz00_7053;
																																																		BgL_fz00_7053
																																																			=
																																																			BgL_arg2141z00_2173;
																																																		BgL_argsz00_7054
																																																			=
																																																			BgL_arg2142z00_2174;
																																																		BgL_argsz00_1516
																																																			=
																																																			BgL_argsz00_7054;
																																																		BgL_fz00_1515
																																																			=
																																																			BgL_fz00_7053;
																																																		goto
																																																			BgL_tagzd2175zd2_1517;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7052);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_cdrzd212779zd2_2177;
																																												BgL_cdrzd212779zd2_2177
																																													=
																																													CDR
																																													(BgL_cdrzd212400zd2_2124);
																																												if (NULLP(CDR(BgL_cdrzd212779zd2_2177)))
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg2147z00_2180;
																																														obj_t
																																															BgL_arg2148z00_2181;
																																														BgL_arg2147z00_2180
																																															=
																																															CAR
																																															(BgL_cdrzd212400zd2_2124);
																																														BgL_arg2148z00_2181
																																															=
																																															CAR
																																															(BgL_cdrzd212779zd2_2177);
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_7062;
																																															{
																																																obj_t
																																																	BgL_gez00_7064;
																																																obj_t
																																																	BgL_gvz00_7063;
																																																BgL_gvz00_7063
																																																	=
																																																	BgL_arg2147z00_2180;
																																																BgL_gez00_7064
																																																	=
																																																	BgL_arg2148z00_2181;
																																																BgL_gez00_1494
																																																	=
																																																	BgL_gez00_7064;
																																																BgL_gvz00_1493
																																																	=
																																																	BgL_gvz00_7063;
																																																goto
																																																	BgL_tagzd2168zd2_1495;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7062);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg2149z00_2182;
																																														obj_t
																																															BgL_arg2150z00_2183;
																																														BgL_arg2149z00_2182
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														BgL_arg2150z00_2183
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_7068;
																																															{
																																																obj_t
																																																	BgL_argsz00_7070;
																																																obj_t
																																																	BgL_fz00_7069;
																																																BgL_fz00_7069
																																																	=
																																																	BgL_arg2149z00_2182;
																																																BgL_argsz00_7070
																																																	=
																																																	BgL_arg2150z00_2183;
																																																BgL_argsz00_1516
																																																	=
																																																	BgL_argsz00_7070;
																																																BgL_fz00_1515
																																																	=
																																																	BgL_fz00_7069;
																																																goto
																																																	BgL_tagzd2175zd2_1517;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7068);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_cdrzd212866zd2_2187;
																																										BgL_cdrzd212866zd2_2187
																																											=
																																											CDR
																																											(BgL_cdrzd212400zd2_2124);
																																										if (NULLP(CDR(BgL_cdrzd212866zd2_2187)))
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg2155z00_2190;
																																												obj_t
																																													BgL_arg2156z00_2191;
																																												BgL_arg2155z00_2190
																																													=
																																													CAR
																																													(BgL_cdrzd212400zd2_2124);
																																												BgL_arg2156z00_2191
																																													=
																																													CAR
																																													(BgL_cdrzd212866zd2_2187);
																																												{
																																													BgL_ev_defglobalz00_bglt
																																														BgL_auxz00_7078;
																																													{
																																														obj_t
																																															BgL_gez00_7080;
																																														obj_t
																																															BgL_gvz00_7079;
																																														BgL_gvz00_7079
																																															=
																																															BgL_arg2155z00_2190;
																																														BgL_gez00_7080
																																															=
																																															BgL_arg2156z00_2191;
																																														BgL_gez00_1494
																																															=
																																															BgL_gez00_7080;
																																														BgL_gvz00_1493
																																															=
																																															BgL_gvz00_7079;
																																														goto
																																															BgL_tagzd2168zd2_1495;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7078);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg2157z00_2192;
																																												obj_t
																																													BgL_arg2158z00_2193;
																																												BgL_arg2157z00_2192
																																													=
																																													CAR
																																													(BgL_ez00_69);
																																												BgL_arg2158z00_2193
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_7084;
																																													{
																																														obj_t
																																															BgL_argsz00_7086;
																																														obj_t
																																															BgL_fz00_7085;
																																														BgL_fz00_7085
																																															=
																																															BgL_arg2157z00_2192;
																																														BgL_argsz00_7086
																																															=
																																															BgL_arg2158z00_2193;
																																														BgL_argsz00_1516
																																															=
																																															BgL_argsz00_7086;
																																														BgL_fz00_1515
																																															=
																																															BgL_fz00_7085;
																																														goto
																																															BgL_tagzd2175zd2_1517;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7084);
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_arg2160z00_2195;
																																								BgL_arg2160z00_2195
																																									=
																																									CAR
																																									(BgL_ez00_69);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_7089;
																																									{
																																										obj_t
																																											BgL_argsz00_7091;
																																										obj_t
																																											BgL_fz00_7090;
																																										BgL_fz00_7090
																																											=
																																											BgL_arg2160z00_2195;
																																										BgL_argsz00_7091
																																											=
																																											BgL_cdrzd212400zd2_2124;
																																										BgL_argsz00_1516
																																											=
																																											BgL_argsz00_7091;
																																										BgL_fz00_1515
																																											=
																																											BgL_fz00_7090;
																																										goto
																																											BgL_tagzd2175zd2_1517;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_7089);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 425 */
																																						obj_t
																																							BgL_arg2162z00_2197;
																																						BgL_arg2162z00_2197
																																							=
																																							CAR
																																							(BgL_ez00_69);
																																						{
																																							BgL_ev_appz00_bglt
																																								BgL_auxz00_7094;
																																							{
																																								obj_t
																																									BgL_argsz00_7096;
																																								obj_t
																																									BgL_fz00_7095;
																																								BgL_fz00_7095
																																									=
																																									BgL_arg2162z00_2197;
																																								BgL_argsz00_7096
																																									=
																																									BgL_cdrzd212400zd2_2124;
																																								BgL_argsz00_1516
																																									=
																																									BgL_argsz00_7096;
																																								BgL_fz00_1515
																																									=
																																									BgL_fz00_7095;
																																								goto
																																									BgL_tagzd2175zd2_1517;
																																							}
																																							return
																																								(
																																								(obj_t)
																																								BgL_auxz00_7094);
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 425 */
																																				if (
																																					(CAR
																																						(BgL_ez00_69)
																																						==
																																						BGl_symbol3248z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 425 */
																																						if (PAIRP(BgL_cdrzd212400zd2_2124))
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_carzd213108zd2_2203;
																																								BgL_carzd213108zd2_2203
																																									=
																																									CAR
																																									(BgL_cdrzd212400zd2_2124);
																																								if (PAIRP(BgL_carzd213108zd2_2203))
																																									{	/* Eval/evaluate.scm 425 */
																																										if (NULLP(CDR(BgL_carzd213108zd2_2203)))
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg2170z00_2207;
																																												obj_t
																																													BgL_arg2171z00_2208;
																																												BgL_arg2170z00_2207
																																													=
																																													CAR
																																													(BgL_carzd213108zd2_2203);
																																												BgL_arg2171z00_2208
																																													=
																																													CDR
																																													(BgL_cdrzd212400zd2_2124);
																																												{
																																													BgL_ev_bindzd2exitzd2_bglt
																																														BgL_auxz00_7111;
																																													{
																																														obj_t
																																															BgL_bodyz00_7113;
																																														obj_t
																																															BgL_vz00_7112;
																																														BgL_vz00_7112
																																															=
																																															BgL_arg2170z00_2207;
																																														BgL_bodyz00_7113
																																															=
																																															BgL_arg2171z00_2208;
																																														BgL_bodyz00_1497
																																															=
																																															BgL_bodyz00_7113;
																																														BgL_vz00_1496
																																															=
																																															BgL_vz00_7112;
																																														goto
																																															BgL_tagzd2169zd2_1498;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7111);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg2172z00_2209;
																																												obj_t
																																													BgL_arg2173z00_2210;
																																												BgL_arg2172z00_2209
																																													=
																																													CAR
																																													(BgL_ez00_69);
																																												BgL_arg2173z00_2210
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_7117;
																																													{
																																														obj_t
																																															BgL_argsz00_7119;
																																														obj_t
																																															BgL_fz00_7118;
																																														BgL_fz00_7118
																																															=
																																															BgL_arg2172z00_2209;
																																														BgL_argsz00_7119
																																															=
																																															BgL_arg2173z00_2210;
																																														BgL_argsz00_1516
																																															=
																																															BgL_argsz00_7119;
																																														BgL_fz00_1515
																																															=
																																															BgL_fz00_7118;
																																														goto
																																															BgL_tagzd2175zd2_1517;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7117);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_arg2176z00_2212;
																																										obj_t
																																											BgL_arg2177z00_2213;
																																										BgL_arg2176z00_2212
																																											=
																																											CAR
																																											(BgL_ez00_69);
																																										BgL_arg2177z00_2213
																																											=
																																											CDR
																																											(BgL_ez00_69);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_7123;
																																											{
																																												obj_t
																																													BgL_argsz00_7125;
																																												obj_t
																																													BgL_fz00_7124;
																																												BgL_fz00_7124
																																													=
																																													BgL_arg2176z00_2212;
																																												BgL_argsz00_7125
																																													=
																																													BgL_arg2177z00_2213;
																																												BgL_argsz00_1516
																																													=
																																													BgL_argsz00_7125;
																																												BgL_fz00_1515
																																													=
																																													BgL_fz00_7124;
																																												goto
																																													BgL_tagzd2175zd2_1517;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_7123);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 425 */
																																								obj_t
																																									BgL_arg2178z00_2214;
																																								obj_t
																																									BgL_arg2179z00_2215;
																																								BgL_arg2178z00_2214
																																									=
																																									CAR
																																									(BgL_ez00_69);
																																								BgL_arg2179z00_2215
																																									=
																																									CDR
																																									(BgL_ez00_69);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_7129;
																																									{
																																										obj_t
																																											BgL_argsz00_7131;
																																										obj_t
																																											BgL_fz00_7130;
																																										BgL_fz00_7130
																																											=
																																											BgL_arg2178z00_2214;
																																										BgL_argsz00_7131
																																											=
																																											BgL_arg2179z00_2215;
																																										BgL_argsz00_1516
																																											=
																																											BgL_argsz00_7131;
																																										BgL_fz00_1515
																																											=
																																											BgL_fz00_7130;
																																										goto
																																											BgL_tagzd2175zd2_1517;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_7129);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 425 */
																																						obj_t
																																							BgL_cdrzd213273zd2_2216;
																																						BgL_cdrzd213273zd2_2216
																																							=
																																							CDR
																																							(BgL_ez00_69);
																																						if (
																																							(CAR
																																								(BgL_ez00_69)
																																								==
																																								BGl_symbol3250z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 425 */
																																								if (PAIRP(BgL_cdrzd213273zd2_2216))
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_arg2183z00_2220;
																																										obj_t
																																											BgL_arg2184z00_2221;
																																										BgL_arg2183z00_2220
																																											=
																																											CAR
																																											(BgL_cdrzd213273zd2_2216);
																																										BgL_arg2184z00_2221
																																											=
																																											CDR
																																											(BgL_cdrzd213273zd2_2216);
																																										{	/* Eval/evaluate.scm 576 */
																																											BgL_ev_unwindzd2protectzd2_bglt
																																												BgL_new1152z00_4507;
																																											{	/* Eval/evaluate.scm 577 */
																																												BgL_ev_unwindzd2protectzd2_bglt
																																													BgL_new1151z00_4508;
																																												BgL_new1151z00_4508
																																													=
																																													(
																																													(BgL_ev_unwindzd2protectzd2_bglt)
																																													BREF
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_unwindzd2protectzd2_bgl))));
																																												{	/* Eval/evaluate.scm 577 */
																																													long
																																														BgL_arg2391z00_4509;
																																													{	/* Eval/evaluate.scm 577 */
																																														long
																																															BgL_res3082z00_4511;
																																														BgL_res3082z00_4511
																																															=
																																															BGL_CLASS_INDEX
																																															(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
																																														BgL_arg2391z00_4509
																																															=
																																															BgL_res3082z00_4511;
																																													}
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(
																																														((BgL_objectz00_bglt) BgL_new1151z00_4508), BgL_arg2391z00_4509);
																																												}
																																												BgL_new1152z00_4507
																																													=
																																													BgL_new1151z00_4508;
																																											}
																																											{
																																												BgL_ev_exprz00_bglt
																																													BgL_auxz00_7145;
																																												{	/* Eval/evaluate.scm 381 */
																																													obj_t
																																														BgL_arg2410z00_4514;
																																													BgL_arg2410z00_4514
																																														=
																																														BGl_getzd2locationzd2zz__evaluatez00
																																														(BgL_arg2183z00_2220,
																																														BgL_locz00_74);
																																													BgL_auxz00_7145
																																														=
																																														(
																																														(BgL_ev_exprz00_bglt)
																																														BGl_uconvzf2locze70z15zz__evaluatez00
																																														(BgL_wherez00_73,
																																															BgL_globalsz00_71,
																																															BgL_localsz00_70,
																																															BgL_arg2183z00_2220,
																																															BgL_arg2410z00_4514));
																																												}
																																												((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1152z00_4507))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7145), BUNSPEC);
																																											}
																																											((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1152z00_4507))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2184z00_2221, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																											return
																																												(
																																												(obj_t)
																																												BgL_new1152z00_4507);
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_arg2185z00_2222;
																																										BgL_arg2185z00_2222
																																											=
																																											CAR
																																											(BgL_ez00_69);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_7155;
																																											{
																																												obj_t
																																													BgL_argsz00_7157;
																																												obj_t
																																													BgL_fz00_7156;
																																												BgL_fz00_7156
																																													=
																																													BgL_arg2185z00_2222;
																																												BgL_argsz00_7157
																																													=
																																													BgL_cdrzd213273zd2_2216;
																																												BgL_argsz00_1516
																																													=
																																													BgL_argsz00_7157;
																																												BgL_fz00_1515
																																													=
																																													BgL_fz00_7156;
																																												goto
																																													BgL_tagzd2175zd2_1517;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_7155);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 425 */
																																								if ((CAR(BgL_ez00_69) == BGl_symbol3252z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 425 */
																																										if (PAIRP(BgL_cdrzd213273zd2_2216))
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg2190z00_2228;
																																												obj_t
																																													BgL_arg2191z00_2229;
																																												BgL_arg2190z00_2228
																																													=
																																													CAR
																																													(BgL_cdrzd213273zd2_2216);
																																												BgL_arg2191z00_2229
																																													=
																																													CDR
																																													(BgL_cdrzd213273zd2_2216);
																																												{	/* Eval/evaluate.scm 580 */
																																													BgL_ev_withzd2handlerzd2_bglt
																																														BgL_new1154z00_4522;
																																													{	/* Eval/evaluate.scm 581 */
																																														BgL_ev_withzd2handlerzd2_bglt
																																															BgL_new1153z00_4523;
																																														BgL_new1153z00_4523
																																															=
																																															(
																																															(BgL_ev_withzd2handlerzd2_bglt)
																																															BREF
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_withzd2handlerzd2_bgl))));
																																														{	/* Eval/evaluate.scm 581 */
																																															long
																																																BgL_arg2392z00_4524;
																																															{	/* Eval/evaluate.scm 581 */
																																																long
																																																	BgL_res3084z00_4526;
																																																BgL_res3084z00_4526
																																																	=
																																																	BGL_CLASS_INDEX
																																																	(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
																																																BgL_arg2392z00_4524
																																																	=
																																																	BgL_res3084z00_4526;
																																															}
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1153z00_4523), BgL_arg2392z00_4524);
																																														}
																																														BgL_new1154z00_4522
																																															=
																																															BgL_new1153z00_4523;
																																													}
																																													{
																																														BgL_ev_exprz00_bglt
																																															BgL_auxz00_7170;
																																														{	/* Eval/evaluate.scm 381 */
																																															obj_t
																																																BgL_arg2410z00_4529;
																																															BgL_arg2410z00_4529
																																																=
																																																BGl_getzd2locationzd2zz__evaluatez00
																																																(BgL_arg2190z00_2228,
																																																BgL_locz00_74);
																																															BgL_auxz00_7170
																																																=
																																																(
																																																(BgL_ev_exprz00_bglt)
																																																BGl_uconvzf2locze70z15zz__evaluatez00
																																																(BgL_wherez00_73,
																																																	BgL_globalsz00_71,
																																																	BgL_localsz00_70,
																																																	BgL_arg2190z00_2228,
																																																	BgL_arg2410z00_4529));
																																														}
																																														((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1154z00_4522))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7170), BUNSPEC);
																																													}
																																													((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1154z00_4522))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2191z00_2229, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																													return
																																														(
																																														(obj_t)
																																														BgL_new1154z00_4522);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												obj_t
																																													BgL_arg2192z00_2230;
																																												obj_t
																																													BgL_arg2193z00_2231;
																																												BgL_arg2192z00_2230
																																													=
																																													CAR
																																													(BgL_ez00_69);
																																												BgL_arg2193z00_2231
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_7181;
																																													{
																																														obj_t
																																															BgL_argsz00_7183;
																																														obj_t
																																															BgL_fz00_7182;
																																														BgL_fz00_7182
																																															=
																																															BgL_arg2192z00_2230;
																																														BgL_argsz00_7183
																																															=
																																															BgL_arg2193z00_2231;
																																														BgL_argsz00_1516
																																															=
																																															BgL_argsz00_7183;
																																														BgL_fz00_1515
																																															=
																																															BgL_fz00_7182;
																																														goto
																																															BgL_tagzd2175zd2_1517;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7181);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 425 */
																																										obj_t
																																											BgL_cdrzd213376zd2_2232;
																																										BgL_cdrzd213376zd2_2232
																																											=
																																											CDR
																																											(BgL_ez00_69);
																																										if ((CAR(BgL_ez00_69) == BGl_symbol3254z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 425 */
																																												if (PAIRP(BgL_cdrzd213376zd2_2232))
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_cdrzd213381zd2_2236;
																																														BgL_cdrzd213381zd2_2236
																																															=
																																															CDR
																																															(BgL_cdrzd213376zd2_2232);
																																														if (PAIRP(BgL_cdrzd213381zd2_2236))
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd213386zd2_2238;
																																																BgL_cdrzd213386zd2_2238
																																																	=
																																																	CDR
																																																	(BgL_cdrzd213381zd2_2236);
																																																if ((CAR(BgL_cdrzd213381zd2_2236) == BGl_keyword3256z00zz__evaluatez00))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		if (PAIRP(BgL_cdrzd213386zd2_2238))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2201z00_2242;
																																																				obj_t
																																																					BgL_arg2202z00_2243;
																																																				obj_t
																																																					BgL_arg2203z00_2244;
																																																				BgL_arg2201z00_2242
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213376zd2_2232);
																																																				BgL_arg2202z00_2243
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213386zd2_2238);
																																																				BgL_arg2203z00_2244
																																																					=
																																																					CDR
																																																					(BgL_cdrzd213386zd2_2238);
																																																				{	/* Eval/evaluate.scm 584 */
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_new1156z00_4543;
																																																					{	/* Eval/evaluate.scm 585 */
																																																						BgL_ev_synchroniza7eza7_bglt
																																																							BgL_new1155z00_4544;
																																																						BgL_new1155z00_4544
																																																							=
																																																							(
																																																							(BgL_ev_synchroniza7eza7_bglt)
																																																							BREF
																																																							(GC_MALLOC
																																																								(sizeof
																																																									(struct
																																																										BgL_ev_synchroniza7eza7_bgl))));
																																																						{	/* Eval/evaluate.scm 585 */
																																																							long
																																																								BgL_arg2395z00_4545;
																																																							{	/* Eval/evaluate.scm 585 */
																																																								long
																																																									BgL_res3088z00_4547;
																																																								BgL_res3088z00_4547
																																																									=
																																																									BGL_CLASS_INDEX
																																																									(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																								BgL_arg2395z00_4545
																																																									=
																																																									BgL_res3088z00_4547;
																																																							}
																																																							BGL_OBJECT_CLASS_NUM_SET
																																																								(
																																																								((BgL_objectz00_bglt) BgL_new1155z00_4544), BgL_arg2395z00_4545);
																																																						}
																																																						BgL_new1156z00_4543
																																																							=
																																																							BgL_new1155z00_4544;
																																																					}
																																																					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1156z00_4543))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																					{
																																																						BgL_ev_exprz00_bglt
																																																							BgL_auxz00_7208;
																																																						{	/* Eval/evaluate.scm 381 */
																																																							obj_t
																																																								BgL_arg2410z00_4550;
																																																							BgL_arg2410z00_4550
																																																								=
																																																								BGl_getzd2locationzd2zz__evaluatez00
																																																								(BgL_arg2201z00_2242,
																																																								BgL_locz00_74);
																																																							BgL_auxz00_7208
																																																								=
																																																								(
																																																								(BgL_ev_exprz00_bglt)
																																																								BGl_uconvzf2locze70z15zz__evaluatez00
																																																								(BgL_wherez00_73,
																																																									BgL_globalsz00_71,
																																																									BgL_localsz00_70,
																																																									BgL_arg2201z00_2242,
																																																									BgL_arg2410z00_4550));
																																																						}
																																																						((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1156z00_4543))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7208), BUNSPEC);
																																																					}
																																																					{
																																																						BgL_ev_exprz00_bglt
																																																							BgL_auxz00_7213;
																																																						{	/* Eval/evaluate.scm 381 */
																																																							obj_t
																																																								BgL_arg2410z00_4551;
																																																							BgL_arg2410z00_4551
																																																								=
																																																								BGl_getzd2locationzd2zz__evaluatez00
																																																								(BgL_arg2202z00_2243,
																																																								BgL_locz00_74);
																																																							BgL_auxz00_7213
																																																								=
																																																								(
																																																								(BgL_ev_exprz00_bglt)
																																																								BGl_uconvzf2locze70z15zz__evaluatez00
																																																								(BgL_wherez00_73,
																																																									BgL_globalsz00_71,
																																																									BgL_localsz00_70,
																																																									BgL_arg2202z00_2243,
																																																									BgL_arg2410z00_4551));
																																																						}
																																																						((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1156z00_4543))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7213), BUNSPEC);
																																																					}
																																																					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1156z00_4543))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2203z00_2244, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_new1156z00_4543);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2204z00_2246;
																																																				obj_t
																																																					BgL_arg2205z00_2247;
																																																				BgL_arg2204z00_2246
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213376zd2_2232);
																																																				BgL_arg2205z00_2247
																																																					=
																																																					CDR
																																																					(BgL_cdrzd213376zd2_2232);
																																																				{
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_auxz00_7224;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_7226;
																																																						obj_t
																																																							BgL_mz00_7225;
																																																						BgL_mz00_7225
																																																							=
																																																							BgL_arg2204z00_2246;
																																																						BgL_bodyz00_7226
																																																							=
																																																							BgL_arg2205z00_2247;
																																																						BgL_bodyz00_1510
																																																							=
																																																							BgL_bodyz00_7226;
																																																						BgL_mz00_1509
																																																							=
																																																							BgL_mz00_7225;
																																																						goto
																																																							BgL_tagzd2173zd2_1511;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7224);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg2206z00_2249;
																																																		obj_t
																																																			BgL_arg2207z00_2250;
																																																		BgL_arg2206z00_2249
																																																			=
																																																			CAR
																																																			(BgL_cdrzd213376zd2_2232);
																																																		BgL_arg2207z00_2250
																																																			=
																																																			CDR
																																																			(BgL_cdrzd213376zd2_2232);
																																																		{
																																																			BgL_ev_synchroniza7eza7_bglt
																																																				BgL_auxz00_7230;
																																																			{
																																																				obj_t
																																																					BgL_bodyz00_7232;
																																																				obj_t
																																																					BgL_mz00_7231;
																																																				BgL_mz00_7231
																																																					=
																																																					BgL_arg2206z00_2249;
																																																				BgL_bodyz00_7232
																																																					=
																																																					BgL_arg2207z00_2250;
																																																				BgL_bodyz00_1510
																																																					=
																																																					BgL_bodyz00_7232;
																																																				BgL_mz00_1509
																																																					=
																																																					BgL_mz00_7231;
																																																				goto
																																																					BgL_tagzd2173zd2_1511;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7230);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg2209z00_2253;
																																																obj_t
																																																	BgL_arg2210z00_2254;
																																																BgL_arg2209z00_2253
																																																	=
																																																	CAR
																																																	(BgL_cdrzd213376zd2_2232);
																																																BgL_arg2210z00_2254
																																																	=
																																																	CDR
																																																	(BgL_cdrzd213376zd2_2232);
																																																{
																																																	BgL_ev_synchroniza7eza7_bglt
																																																		BgL_auxz00_7236;
																																																	{
																																																		obj_t
																																																			BgL_bodyz00_7238;
																																																		obj_t
																																																			BgL_mz00_7237;
																																																		BgL_mz00_7237
																																																			=
																																																			BgL_arg2209z00_2253;
																																																		BgL_bodyz00_7238
																																																			=
																																																			BgL_arg2210z00_2254;
																																																		BgL_bodyz00_1510
																																																			=
																																																			BgL_bodyz00_7238;
																																																		BgL_mz00_1509
																																																			=
																																																			BgL_mz00_7237;
																																																		goto
																																																			BgL_tagzd2173zd2_1511;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7236);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg2211z00_2255;
																																														BgL_arg2211z00_2255
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_7241;
																																															{
																																																obj_t
																																																	BgL_argsz00_7243;
																																																obj_t
																																																	BgL_fz00_7242;
																																																BgL_fz00_7242
																																																	=
																																																	BgL_arg2211z00_2255;
																																																BgL_argsz00_7243
																																																	=
																																																	BgL_cdrzd213376zd2_2232;
																																																BgL_argsz00_1516
																																																	=
																																																	BgL_argsz00_7243;
																																																BgL_fz00_1515
																																																	=
																																																	BgL_fz00_7242;
																																																goto
																																																	BgL_tagzd2175zd2_1517;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7241);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 425 */
																																												if ((CAR(BgL_ez00_69) == BGl_symbol3211z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 425 */
																																														if (PAIRP(BgL_cdrzd213376zd2_2232))
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_cdrzd213486zd2_2261;
																																																BgL_cdrzd213486zd2_2261
																																																	=
																																																	CDR
																																																	(BgL_cdrzd213376zd2_2232);
																																																if (PAIRP(BgL_cdrzd213486zd2_2261))
																																																	{	/* Eval/evaluate.scm 425 */
																																																		if (NULLP(CDR(BgL_cdrzd213486zd2_2261)))
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2219z00_2265;
																																																				obj_t
																																																					BgL_arg2220z00_2266;
																																																				BgL_arg2219z00_2265
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213376zd2_2232);
																																																				BgL_arg2220z00_2266
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213486zd2_2261);
																																																				{	/* Eval/evaluate.scm 596 */
																																																					obj_t
																																																						BgL_arg2397z00_4572;
																																																					{	/* Eval/evaluate.scm 596 */
																																																						obj_t
																																																							BgL_arg2398z00_4573;
																																																						{	/* Eval/evaluate.scm 596 */
																																																							obj_t
																																																								BgL_arg2400z00_4574;
																																																							obj_t
																																																								BgL_arg2402z00_4575;
																																																							{	/* Eval/evaluate.scm 596 */
																																																								obj_t
																																																									BgL_res3092z00_4578;
																																																								{	/* Eval/evaluate.scm 596 */
																																																									obj_t
																																																										BgL_symbolz00_4576;
																																																									BgL_symbolz00_4576
																																																										=
																																																										BGl_symbol3258z00zz__evaluatez00;
																																																									{	/* Eval/evaluate.scm 596 */
																																																										obj_t
																																																											BgL_arg2595z00_4577;
																																																										BgL_arg2595z00_4577
																																																											=
																																																											SYMBOL_TO_STRING
																																																											(BgL_symbolz00_4576);
																																																										BgL_res3092z00_4578
																																																											=
																																																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																											(BgL_arg2595z00_4577);
																																																									}
																																																								}
																																																								BgL_arg2400z00_4574
																																																									=
																																																									BgL_res3092z00_4578;
																																																							}
																																																							{	/* Eval/evaluate.scm 596 */
																																																								obj_t
																																																									BgL_res3093z00_4581;
																																																								{	/* Eval/evaluate.scm 596 */
																																																									obj_t
																																																										BgL_arg2595z00_4580;
																																																									BgL_arg2595z00_4580
																																																										=
																																																										SYMBOL_TO_STRING
																																																										(BgL_wherez00_73);
																																																									BgL_res3093z00_4581
																																																										=
																																																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																										(BgL_arg2595z00_4580);
																																																								}
																																																								BgL_arg2402z00_4575
																																																									=
																																																									BgL_res3093z00_4581;
																																																							}
																																																							BgL_arg2398z00_4573
																																																								=
																																																								string_append
																																																								(BgL_arg2400z00_4574,
																																																								BgL_arg2402z00_4575);
																																																						}
																																																						BgL_arg2397z00_4572
																																																							=
																																																							bstring_to_symbol
																																																							(BgL_arg2398z00_4573);
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BGl_convzd2lambdaze70z35zz__evaluatez00
																																																						(BgL_globalsz00_71,
																																																							BgL_localsz00_70,
																																																							BgL_ez00_69,
																																																							BgL_locz00_74,
																																																							BgL_arg2219z00_2265,
																																																							BgL_arg2220z00_2266,
																																																							BgL_arg2397z00_4572,
																																																							BFALSE));
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 425 */
																																																				obj_t
																																																					BgL_arg2221z00_2267;
																																																				obj_t
																																																					BgL_arg2222z00_2268;
																																																				BgL_arg2221z00_2267
																																																					=
																																																					CAR
																																																					(BgL_ez00_69);
																																																				BgL_arg2222z00_2268
																																																					=
																																																					CDR
																																																					(BgL_ez00_69);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7268;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7270;
																																																						obj_t
																																																							BgL_fz00_7269;
																																																						BgL_fz00_7269
																																																							=
																																																							BgL_arg2221z00_2267;
																																																						BgL_argsz00_7270
																																																							=
																																																							BgL_arg2222z00_2268;
																																																						BgL_argsz00_1516
																																																							=
																																																							BgL_argsz00_7270;
																																																						BgL_fz00_1515
																																																							=
																																																							BgL_fz00_7269;
																																																						goto
																																																							BgL_tagzd2175zd2_1517;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7268);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 425 */
																																																		obj_t
																																																			BgL_arg2224z00_2270;
																																																		obj_t
																																																			BgL_arg2225z00_2271;
																																																		BgL_arg2224z00_2270
																																																			=
																																																			CAR
																																																			(BgL_ez00_69);
																																																		BgL_arg2225z00_2271
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_7274;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_7276;
																																																				obj_t
																																																					BgL_fz00_7275;
																																																				BgL_fz00_7275
																																																					=
																																																					BgL_arg2224z00_2270;
																																																				BgL_argsz00_7276
																																																					=
																																																					BgL_arg2225z00_2271;
																																																				BgL_argsz00_1516
																																																					=
																																																					BgL_argsz00_7276;
																																																				BgL_fz00_1515
																																																					=
																																																					BgL_fz00_7275;
																																																				goto
																																																					BgL_tagzd2175zd2_1517;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7274);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 425 */
																																																obj_t
																																																	BgL_arg2226z00_2272;
																																																obj_t
																																																	BgL_arg2227z00_2273;
																																																BgL_arg2226z00_2272
																																																	=
																																																	CAR
																																																	(BgL_ez00_69);
																																																BgL_arg2227z00_2273
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_7280;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_7282;
																																																		obj_t
																																																			BgL_fz00_7281;
																																																		BgL_fz00_7281
																																																			=
																																																			BgL_arg2226z00_2272;
																																																		BgL_argsz00_7282
																																																			=
																																																			BgL_arg2227z00_2273;
																																																		BgL_argsz00_1516
																																																			=
																																																			BgL_argsz00_7282;
																																																		BgL_fz00_1515
																																																			=
																																																			BgL_fz00_7281;
																																																		goto
																																																			BgL_tagzd2175zd2_1517;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7280);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 425 */
																																														obj_t
																																															BgL_arg2228z00_2274;
																																														obj_t
																																															BgL_arg2230z00_2275;
																																														BgL_arg2228z00_2274
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														BgL_arg2230z00_2275
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_7286;
																																															{
																																																obj_t
																																																	BgL_argsz00_7288;
																																																obj_t
																																																	BgL_fz00_7287;
																																																BgL_fz00_7287
																																																	=
																																																	BgL_arg2228z00_2274;
																																																BgL_argsz00_7288
																																																	=
																																																	BgL_arg2230z00_2275;
																																																BgL_argsz00_1516
																																																	=
																																																	BgL_argsz00_7288;
																																																BgL_fz00_1515
																																																	=
																																																	BgL_fz00_7287;
																																																goto
																																																	BgL_tagzd2175zd2_1517;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7286);
																																														}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Eval/evaluate.scm 425 */
						BgL_xz00_1440 = BgL_ez00_69;
						if (SYMBOLP(BgL_xz00_1440))
							{	/* Eval/evaluate.scm 428 */
								obj_t BgL__ortest_1101z00_2296;

								BgL__ortest_1101z00_2296 =
									BGl_convzd2varzd2zz__evaluatez00(BgL_xz00_1440,
									BgL_localsz00_70);
								if (CBOOL(BgL__ortest_1101z00_2296))
									{	/* Eval/evaluate.scm 428 */
										return BgL__ortest_1101z00_2296;
									}
								else
									{	/* Eval/evaluate.scm 196 */
										BgL_ev_globalz00_bglt BgL_new1076z00_3416;

										{	/* Eval/evaluate.scm 197 */
											BgL_ev_globalz00_bglt BgL_new1075z00_3417;

											BgL_new1075z00_3417 =
												((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_ev_globalz00_bgl))));
											{	/* Eval/evaluate.scm 197 */
												long BgL_arg1379z00_3418;

												{	/* Eval/evaluate.scm 197 */
													long BgL_res2860z00_3421;

													BgL_res2860z00_3421 =
														BGL_CLASS_INDEX
														(BGl_ev_globalz00zz__evaluate_typesz00);
													BgL_arg1379z00_3418 = BgL_res2860z00_3421;
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1075z00_3417),
													BgL_arg1379z00_3418);
											}
											BgL_new1076z00_3416 = BgL_new1075z00_3417;
										}
										((((BgL_ev_globalz00_bglt) CREF(BgL_new1076z00_3416))->
												BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
										((((BgL_ev_globalz00_bglt) CREF(BgL_new1076z00_3416))->
												BgL_namez00) = ((obj_t) BgL_xz00_1440), BUNSPEC);
										{
											obj_t BgL_auxz00_7301;

											if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
												{	/* Eval/evaluate.scm 199 */
													BgL_auxz00_7301 = BgL_globalsz00_71;
												}
											else
												{	/* Eval/evaluate.scm 199 */
													BgL_auxz00_7301 = BGL_MODULE();
												}
											((((BgL_ev_globalz00_bglt) CREF(BgL_new1076z00_3416))->
													BgL_modz00) = ((obj_t) BgL_auxz00_7301), BUNSPEC);
										}
										return ((obj_t) BgL_new1076z00_3416);
									}
							}
						else
							{	/* Eval/evaluate.scm 429 */
								BgL_ev_littz00_bglt BgL_new1103z00_2297;

								{	/* Eval/evaluate.scm 430 */
									BgL_ev_littz00_bglt BgL_new1102z00_2298;

									BgL_new1102z00_2298 =
										((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 430 */
										long BgL_arg2252z00_2299;

										{	/* Eval/evaluate.scm 430 */
											long BgL_res2861z00_3425;

											BgL_res2861z00_3425 =
												BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
											BgL_arg2252z00_2299 = BgL_res2861z00_3425;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1102z00_2298),
											BgL_arg2252z00_2299);
									}
									BgL_new1103z00_2297 = BgL_new1102z00_2298;
								}
								((((BgL_ev_littz00_bglt) CREF(BgL_new1103z00_2297))->
										BgL_valuez00) = ((obj_t) BgL_xz00_1440), BUNSPEC);
								return ((obj_t) BgL_new1103z00_2297);
							}
					}
			}
		}
	}



/* loop~0 */
	obj_t BGl_loopze70ze7zz__evaluatez00(obj_t BgL_wherez00_4784,
		obj_t BgL_globalsz00_4783, obj_t BgL_localsz00_4782, obj_t BgL_locz00_4781,
		obj_t BgL_esz00_2627)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 387 */
			if (NULLP(BgL_esz00_2627))
				{	/* Eval/evaluate.scm 388 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 390 */
					obj_t BgL_ez00_2630;

					BgL_ez00_2630 = CAR(BgL_esz00_2627);
					{	/* Eval/evaluate.scm 391 */
						obj_t BgL_arg2417z00_2631;
						obj_t BgL_arg2419z00_2632;

						{	/* Eval/evaluate.scm 391 */
							obj_t BgL_arg2420z00_2633;

							{	/* Eval/evaluate.scm 151 */
								obj_t BgL__ortest_1068z00_3383;

								BgL__ortest_1068z00_3383 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_ez00_2630);
								if (CBOOL(BgL__ortest_1068z00_3383))
									{	/* Eval/evaluate.scm 151 */
										BgL_arg2420z00_2633 = BgL__ortest_1068z00_3383;
									}
								else
									{	/* Eval/evaluate.scm 152 */
										obj_t BgL__ortest_1069z00_3384;

										BgL__ortest_1069z00_3384 =
											BGl_getzd2sourcezd2locationz00zz__readerz00
											(BgL_esz00_2627);
										if (CBOOL(BgL__ortest_1069z00_3384))
											{	/* Eval/evaluate.scm 152 */
												BgL_arg2420z00_2633 = BgL__ortest_1069z00_3384;
											}
										else
											{	/* Eval/evaluate.scm 152 */
												BgL_arg2420z00_2633 = BgL_locz00_4781;
											}
									}
							}
							BgL_arg2417z00_2631 =
								BGl_convz00zz__evaluatez00(BgL_ez00_2630, BgL_localsz00_4782,
								BgL_globalsz00_4783, BFALSE, BgL_wherez00_4784,
								BgL_arg2420z00_2633, ((bool_t) 0));
						}
						BgL_arg2419z00_2632 =
							BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_4784,
							BgL_globalsz00_4783, BgL_localsz00_4782, BgL_locz00_4781,
							CDR(BgL_esz00_2627));
						return MAKE_YOUNG_PAIR(BgL_arg2417z00_2631, BgL_arg2419z00_2632);
					}
				}
		}
	}



/* conv-vals~0 */
	obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t BgL_wherez00_4786,
		obj_t BgL_globalsz00_4785, obj_t BgL_lz00_2445, obj_t BgL_varsz00_2446,
		obj_t BgL_localsz00_2447, obj_t BgL_locz00_2448)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 503 */
			if (NULLP(BgL_lz00_2445))
				{	/* Eval/evaluate.scm 499 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 501 */
					obj_t BgL_locz00_3581;

					{	/* Eval/evaluate.scm 501 */
						obj_t BgL_arg2329z00_3582;

						BgL_arg2329z00_3582 = CAR(BgL_lz00_2445);
						{	/* Eval/evaluate.scm 145 */
							obj_t BgL__ortest_1067z00_3592;

							BgL__ortest_1067z00_3592 =
								BGl_getzd2sourcezd2locationz00zz__readerz00
								(BgL_arg2329z00_3582);
							if (CBOOL(BgL__ortest_1067z00_3592))
								{	/* Eval/evaluate.scm 145 */
									BgL_locz00_3581 = BgL__ortest_1067z00_3592;
								}
							else
								{	/* Eval/evaluate.scm 145 */
									BgL_locz00_3581 = BgL_locz00_2448;
								}
						}
					}
					{	/* Eval/evaluate.scm 502 */
						obj_t BgL_arg2322z00_3583;
						obj_t BgL_arg2323z00_3584;

						BgL_arg2322z00_3583 =
							BGl_convz00zz__evaluatez00(CAR(CDR(CAR(BgL_lz00_2445))),
							BgL_localsz00_2447, BgL_globalsz00_4785, BFALSE,
							BgL_wherez00_4786, BgL_locz00_3581, ((bool_t) 0));
						{	/* Eval/evaluate.scm 503 */
							obj_t BgL_arg2325z00_3586;
							obj_t BgL_arg2326z00_3587;
							obj_t BgL_arg2327z00_3588;

							BgL_arg2325z00_3586 = CDR(BgL_lz00_2445);
							BgL_arg2326z00_3587 = CDR(BgL_varsz00_2446);
							BgL_arg2327z00_3588 =
								MAKE_YOUNG_PAIR(CAR(BgL_varsz00_2446), BgL_localsz00_2447);
							BgL_arg2323z00_3584 =
								BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_4786,
								BgL_globalsz00_4785, BgL_arg2325z00_3586, BgL_arg2326z00_3587,
								BgL_arg2327z00_3588, BgL_locz00_3581);
						}
						return MAKE_YOUNG_PAIR(BgL_arg2322z00_3583, BgL_arg2323z00_3584);
					}
				}
		}
	}



/* conv-lambda~0 */
	BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t
		BgL_globalsz00_4790, obj_t BgL_localsz00_4789, obj_t BgL_ez00_4788,
		obj_t BgL_locz00_4787, obj_t BgL_formalsz00_2636, obj_t BgL_bodyz00_2637,
		obj_t BgL_wherez00_2638, obj_t BgL_typez00_2639)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 405 */
			{
				obj_t BgL_lz00_2670;

				{	/* Eval/evaluate.scm 407 */
					obj_t BgL_argsz00_2642;

					BgL_lz00_2670 =
						BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
						(BgL_formalsz00_2636, BGl_errorzd2envzd2zz__errorz00, ((bool_t) 1));
					{
						obj_t BgL_rz00_2674;
						obj_t BgL_flatz00_2675;
						long BgL_arityz00_2676;

						BgL_rz00_2674 = BgL_lz00_2670;
						BgL_flatz00_2675 = BNIL;
						BgL_arityz00_2676 = ((long) 0);
					BgL_zc3anonymousza32436ze3z83_2677:
						if (NULLP(BgL_rz00_2674))
							{	/* Eval/evaluate.scm 400 */
								obj_t BgL_val0_1195z00_2679;

								BgL_val0_1195z00_2679 = bgl_reverse_bang(BgL_flatz00_2675);
								{	/* Eval/evaluate.scm 400 */
									int BgL_res2848z00_3387;

									{	/* Eval/evaluate.scm 400 */
										int BgL_tmpz00_7345;

										BgL_tmpz00_7345 = (int) (((long) 2));
										BgL_res2848z00_3387 =
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7345);
									} BgL_res2848z00_3387;
								}
								{	/* Eval/evaluate.scm 400 */
									obj_t BgL_auxz00_7350;
									int BgL_tmpz00_7348;

									BgL_auxz00_7350 = BINT(BgL_arityz00_2676);
									BgL_tmpz00_7348 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_7348, BgL_auxz00_7350);
								}
								BgL_argsz00_2642 = BgL_val0_1195z00_2679;
							}
						else
							{	/* Eval/evaluate.scm 399 */
								if (PAIRP(BgL_rz00_2674))
									{	/* Eval/evaluate.scm 404 */
										obj_t BgL_arg2439z00_2682;
										obj_t BgL_arg2440z00_2683;
										long BgL_arg2441z00_2684;

										BgL_arg2439z00_2682 = CDR(BgL_rz00_2674);
										BgL_arg2440z00_2683 =
											MAKE_YOUNG_PAIR(BGl_untypezd2identzd2zz__evaluatez00(CAR
												(BgL_rz00_2674)), BgL_flatz00_2675);
										BgL_arg2441z00_2684 = (BgL_arityz00_2676 + ((long) 1));
										{
											long BgL_arityz00_7362;
											obj_t BgL_flatz00_7361;
											obj_t BgL_rz00_7360;

											BgL_rz00_7360 = BgL_arg2439z00_2682;
											BgL_flatz00_7361 = BgL_arg2440z00_2683;
											BgL_arityz00_7362 = BgL_arg2441z00_2684;
											BgL_arityz00_2676 = BgL_arityz00_7362;
											BgL_flatz00_2675 = BgL_flatz00_7361;
											BgL_rz00_2674 = BgL_rz00_7360;
											goto BgL_zc3anonymousza32436ze3z83_2677;
										}
									}
								else
									{	/* Eval/evaluate.scm 402 */
										obj_t BgL_val0_1197z00_2687;
										long BgL_val1_1198z00_2688;

										{	/* Eval/evaluate.scm 402 */
											obj_t BgL_arg2444z00_2689;

											BgL_arg2444z00_2689 =
												MAKE_YOUNG_PAIR(BGl_untypezd2identzd2zz__evaluatez00
												(BgL_rz00_2674), BgL_flatz00_2675);
											BgL_val0_1197z00_2687 =
												bgl_reverse_bang(BgL_arg2444z00_2689);
										}
										BgL_val1_1198z00_2688 = (((long) -1) - BgL_arityz00_2676);
										{	/* Eval/evaluate.scm 402 */
											int BgL_res2852z00_3395;

											{	/* Eval/evaluate.scm 402 */
												int BgL_tmpz00_7367;

												BgL_tmpz00_7367 = (int) (((long) 2));
												BgL_res2852z00_3395 =
													BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7367);
											} BgL_res2852z00_3395;
										}
										{	/* Eval/evaluate.scm 402 */
											obj_t BgL_auxz00_7372;
											int BgL_tmpz00_7370;

											BgL_auxz00_7372 = BINT(BgL_val1_1198z00_2688);
											BgL_tmpz00_7370 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_7370, BgL_auxz00_7372);
										}
										BgL_argsz00_2642 = BgL_val0_1197z00_2687;
					}}}
					{	/* Eval/evaluate.scm 408 */
						obj_t BgL_arityz00_2643;

						{	/* Eval/evaluate.scm 409 */
							int BgL_tmpz00_7376;

							BgL_tmpz00_7376 = (int) (((long) 1));
							BgL_arityz00_2643 = BGL_MVALUES_VAL(BgL_tmpz00_7376);
						}
						{	/* Eval/evaluate.scm 409 */
							obj_t BgL_varsz00_2644;
							obj_t BgL_bodyz00_2645;
							obj_t BgL_nlocz00_2646;

							if (NULLP(BgL_argsz00_2642))
								{	/* Eval/evaluate.scm 409 */
									BgL_varsz00_2644 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 409 */
									obj_t BgL_head1201z00_2653;

									{	/* Eval/evaluate.scm 409 */
										obj_t BgL_res2854z00_3397;

										BgL_res2854z00_3397 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										BgL_head1201z00_2653 = BgL_res2854z00_3397;
									}
									{
										obj_t BgL_l1199z00_2655;
										obj_t BgL_tail1202z00_2656;

										BgL_l1199z00_2655 = BgL_argsz00_2642;
										BgL_tail1202z00_2656 = BgL_head1201z00_2653;
									BgL_zc3anonymousza32427ze3z83_2657:
										if (NULLP(BgL_l1199z00_2655))
											{	/* Eval/evaluate.scm 409 */
												BgL_varsz00_2644 = CDR(BgL_head1201z00_2653);
											}
										else
											{	/* Eval/evaluate.scm 409 */
												obj_t BgL_newtail1203z00_2659;

												{	/* Eval/evaluate.scm 409 */
													BgL_ev_varz00_bglt BgL_arg2430z00_2661;

													{	/* Eval/evaluate.scm 409 */
														obj_t BgL_vz00_2662;

														BgL_vz00_2662 = CAR(BgL_l1199z00_2655);
														{	/* Eval/evaluate.scm 410 */
															BgL_ev_varz00_bglt BgL_new1098z00_2663;

															{	/* Eval/evaluate.scm 412 */
																BgL_ev_varz00_bglt BgL_new1097z00_2664;

																BgL_new1097z00_2664 =
																	((BgL_ev_varz00_bglt)
																	BREF(GC_MALLOC(sizeof(struct
																				BgL_ev_varz00_bgl))));
																{	/* Eval/evaluate.scm 412 */
																	long BgL_arg2431z00_2665;

																	{	/* Eval/evaluate.scm 412 */
																		long BgL_res2856z00_3402;

																		BgL_res2856z00_3402 =
																			BGL_CLASS_INDEX
																			(BGl_ev_varz00zz__evaluate_typesz00);
																		BgL_arg2431z00_2665 = BgL_res2856z00_3402;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1097z00_2664),
																		BgL_arg2431z00_2665);
																}
																BgL_new1098z00_2663 = BgL_new1097z00_2664;
															}
															((((BgL_ev_varz00_bglt)
																		CREF(BgL_new1098z00_2663))->BgL_namez00) =
																((obj_t) CAR(BgL_vz00_2662)), BUNSPEC);
															((((BgL_ev_varz00_bglt)
																		CREF(BgL_new1098z00_2663))->BgL_effz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_ev_varz00_bglt)
																		CREF(BgL_new1098z00_2663))->BgL_typez00) =
																((obj_t) CDR(BgL_vz00_2662)), BUNSPEC);
															BgL_arg2430z00_2661 = BgL_new1098z00_2663;
													}}
													{	/* Eval/evaluate.scm 409 */
														obj_t BgL_res2857z00_3407;

														BgL_res2857z00_3407 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg2430z00_2661), BNIL);
														BgL_newtail1203z00_2659 = BgL_res2857z00_3407;
												}}
												SET_CDR(BgL_tail1202z00_2656, BgL_newtail1203z00_2659);
												{
													obj_t BgL_tail1202z00_7400;
													obj_t BgL_l1199z00_7398;

													BgL_l1199z00_7398 = CDR(BgL_l1199z00_2655);
													BgL_tail1202z00_7400 = BgL_newtail1203z00_2659;
													BgL_tail1202z00_2656 = BgL_tail1202z00_7400;
													BgL_l1199z00_2655 = BgL_l1199z00_7398;
													goto BgL_zc3anonymousza32427ze3z83_2657;
												}
											}
									}
								}
							BgL_bodyz00_2645 =
								BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
								(BgL_ez00_4788, BgL_formalsz00_2636,
								BGl_typezd2checkszd2zz__evaluatez00(BgL_argsz00_2642,
									BgL_argsz00_2642,
									BGl_typezd2resultzd2zz__evaluatez00(BgL_typez00_2639,
										BgL_bodyz00_2637, BgL_locz00_4787), BgL_locz00_4787,
									BgL_wherez00_2638), BGl_errorzd2envzd2zz__errorz00);
							{	/* Eval/evaluate.scm 145 */
								obj_t BgL__ortest_1067z00_3410;

								BgL__ortest_1067z00_3410 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_2637);
								if (CBOOL(BgL__ortest_1067z00_3410))
									{	/* Eval/evaluate.scm 145 */
										BgL_nlocz00_2646 = BgL__ortest_1067z00_3410;
									}
								else
									{	/* Eval/evaluate.scm 145 */
										BgL_nlocz00_2646 = BgL_locz00_4787;
									}
							}
							{	/* Eval/evaluate.scm 418 */
								BgL_ev_absz00_bglt BgL_new1100z00_2647;

								{	/* Eval/evaluate.scm 419 */
									BgL_ev_absz00_bglt BgL_new1099z00_2649;

									BgL_new1099z00_2649 =
										((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_absz00_bgl))));
									{	/* Eval/evaluate.scm 419 */
										long BgL_arg2425z00_2650;

										{	/* Eval/evaluate.scm 419 */
											long BgL_res2858z00_3412;

											BgL_res2858z00_3412 =
												BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00);
											BgL_arg2425z00_2650 = BgL_res2858z00_3412;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1099z00_2649),
											BgL_arg2425z00_2650);
									}
									BgL_new1100z00_2647 = BgL_new1099z00_2649;
								}
								((((BgL_ev_absz00_bglt) CREF(BgL_new1100z00_2647))->
										BgL_locz00) = ((obj_t) BgL_locz00_4787), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1100z00_2647))->
										BgL_wherez00) = ((obj_t) BgL_wherez00_2638), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1100z00_2647))->
										BgL_arityz00) = ((obj_t) BgL_arityz00_2643), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1100z00_2647))->
										BgL_varsz00) = ((obj_t) BgL_varsz00_2644), BUNSPEC);
								{
									BgL_ev_exprz00_bglt BgL_auxz00_7415;

									{	/* Eval/evaluate.scm 423 */
										obj_t BgL_arg2424z00_2648;

										BgL_arg2424z00_2648 =
											BGl_appendzd221011zd2zz__evaluatez00(BgL_varsz00_2644,
											BgL_localsz00_4789);
										BgL_auxz00_7415 =
											((BgL_ev_exprz00_bglt)
											BGl_convz00zz__evaluatez00(BgL_bodyz00_2645,
												BgL_arg2424z00_2648, BgL_globalsz00_4790, BTRUE,
												BgL_wherez00_2638, BgL_nlocz00_2646, ((bool_t) 0)));
									}
									((((BgL_ev_absz00_bglt) CREF(BgL_new1100z00_2647))->
											BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_auxz00_7415), BUNSPEC);
								}
								((((BgL_ev_absz00_bglt) CREF(BgL_new1100z00_2647))->
										BgL_siza7eza7) = ((int) (int) (((long) 0))), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1100z00_2647))->
										BgL_bindz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1100z00_2647))->
										BgL_freez00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1100z00_2647))->
										BgL_innerz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1100z00_2647))->
										BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
								return BgL_new1100z00_2647;
							}
						}
					}
				}
			}
		}
	}



/* uconv/loc~0 */
	obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t BgL_wherez00_4797,
		obj_t BgL_globalsz00_4796, obj_t BgL_localsz00_4795, obj_t BgL_ez00_2614,
		obj_t BgL_locz00_2615)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 378 */
			return
				BGl_convz00zz__evaluatez00(BgL_ez00_2614, BgL_localsz00_4795,
				BgL_globalsz00_4796, BFALSE, BgL_wherez00_4797, BgL_locz00_2615,
				((bool_t) 0));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 129954706),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 444693568),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 298117425),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 439353001),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1047446),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 454272164),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					381113196), BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					231310901), BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -282360853),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882), BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 525089452),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 159480991),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667), BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(((long) 483789130),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(((long)
					121298760), BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_compz00(((long)
					444000678), BSTRING_TO_STRING(BGl_string3260z00zz__evaluatez00));
		}
	}

#ifdef __cplusplus
}
#endif
