/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_comp.scm -indent -o objs/obj_u/Eval/evaluate_comp.c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62main5651z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5653z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5655z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5657z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5659z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32213ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32051ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5661z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5663z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5665z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5667z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5669z62zz__evaluate_compz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza33016ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5671z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5673z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5675z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5677z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5679z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_litt1396zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32142ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32053ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32796ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5681z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5683z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5685z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33688ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33051ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33213ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33124ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33867ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
	extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33779ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32251ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza33885ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_or1400zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33305ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33038ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32058ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33128ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62zc3anonymousza33501ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32327ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t make_vector(int, obj_t);
	static obj_t BGl_symbol5816z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t, obj_t, long);
	static bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32507ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32329ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_symbol5833z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5835z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5837z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5839z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33416ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33165ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_reset_profilez00zz__evaluate_compz00();
	static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static obj_t BGl_symbol5691z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5693z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5695z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33093ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_labels1420zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33094ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, long, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33702ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32383ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32740ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32724ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33275ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32708ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33259ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33527ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33276ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62compzd2ev_bindzd2exit1412z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	extern int bgl_debug();
	static obj_t BGl_z62zc3anonymousza32831ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33439ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33099ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_global1390zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t,
		obj_t, obj_t, long, obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_get_profilez00zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza32921ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33634ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32816ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33189ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
	extern long bgl_list_length(obj_t);
	static obj_t BGl_z62compzd2ev_withzd2handler1416z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00();
	extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33813ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32760ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32744ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33457ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32728ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33279ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33830ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33490ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31943ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31960ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32924ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33548ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31928ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_letza21408z12zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32941ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33905ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32909ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32780ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31962ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32764ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33728ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32748ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33583ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza32960ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33762ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31892ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32929ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32009ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32962ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32946ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32784ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31966ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33659ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32768ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31894ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_if1398zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_trap1382zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long,
		obj_t, obj_t);
	static obj_t BGl_makezd2statezd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza32116ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33855ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33928ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33113ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33678ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33009ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_prog21404zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32029ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31986ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32788ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_z62zc3anonymousza31898ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33310ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_z62compzd2ev_defglobal1394zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_setglobal1392zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33400ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33949ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_compz00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol5701z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5709z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32333ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32171ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_z62zc3anonymousza32898ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33789ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5711z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5713z00zz__evaluate_compz00 = BUNSPEC;
	static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
	static obj_t BGl_symbol5716z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5719z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol5721z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5723z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5725z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5727z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_let1406zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5729z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32173ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_goto1422zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32989ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5731z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5733z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_symbol5735z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5737z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33510ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31801ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5739z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5741z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5743z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5745z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5747z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33260ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_symbol5749z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33244ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_symbol5751z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5753z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_symbol5755z00zz__evaluate_compz00 = BUNSPEC;
	static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol5757z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5759z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33407ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32087ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_synchroniza7e1418z17zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol5761z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5763z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5765z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5767z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33424ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5769z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32444ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t
		BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza33319ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	static obj_t BGl_symbol5771z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5773z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5775z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32712ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5777z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5779z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32178ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5781z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5783z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5785z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33264ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_var1386zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_app1424zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza31912ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31750ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32820ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32804ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33606ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t string_lt(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33712ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32716ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33802ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32822ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33624ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_and1402zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32288ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5602z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5604z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5606z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5608z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_z62zc3anonymousza32912ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33536ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33447ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31827ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run5610z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5612z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5614z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5616z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5618z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32808ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_z62compzd2ev_abs1427zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run5620z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5622z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
	static obj_t BGl_z62run5624z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5626z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5628z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32752ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32825ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33465ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32736ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_letrec1410zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62run5630z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5632z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5634z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5636z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5638z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33482ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5640z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5642z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5644z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5646z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5648z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32932ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
	static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
	static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
	static obj_t BGl_z62run5650z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run5652z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5654z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5656z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5658z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33751ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32828ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31848ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62comp1378z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62run5660z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5662z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5664z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5666z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32950ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33841ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5668z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32772ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32918ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5601z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33647ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32756ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33558ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5603z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5605z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5607z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5609z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_setlocal1388zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza33271ze3ze70z64zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33245ze3ze70z64zz__evaluate_compz00(obj_t, obj_t,
		obj_t, long, obj_t);
	static obj_t BGl_z62run5670z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5672z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5674z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5676z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5678z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33575ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5611z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31777ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5613z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5615z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5617z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5619z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62run5680z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5682z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_unwindzd2prote1414z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run5684z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5686z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33738ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5621z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5623z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5625z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5627z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5629z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62main5631z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31868ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5633z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5635z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5637z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5639z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32792ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32938ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32776ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5641z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5643z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5645z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5647z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5649z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33595ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_zc3lexintzd2envz11zz__evaluate_compz00,
		BgL_bgl_za762za7c3lexintza7a1za75843z00,
		BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
	extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
	extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_compilezd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compileza762za7za7_5844z00,
		BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
	extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2statezd2envz00zz__evaluate_compz00,
		BgL_bgl_za762findza7d2stateza75845za7,
		BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
	extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string5814z00zz__evaluate_compz00,
		BgL_bgl_string5814za700za7za7_5846za7, "internal error", 14);
	      DEFINE_STRING(BGl_string5815z00zz__evaluate_compz00,
		BgL_bgl_string5815za700za7za7_5847za7, "must be dead code", 17);
	      DEFINE_STRING(BGl_string5817z00zz__evaluate_compz00,
		BgL_bgl_string5817za700za7za7_5848za7, "notyet", 6);
	      DEFINE_STRING(BGl_string5818z00zz__evaluate_compz00,
		BgL_bgl_string5818za700za7za7_5849za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string5819z00zz__evaluate_compz00,
		BgL_bgl_string5819za700za7za7_5850za7, "mutex", 5);
	      DEFINE_STRING(BGl_string5820z00zz__evaluate_compz00,
		BgL_bgl_string5820za700za7za7_5851za7, "set!", 4);
	      DEFINE_STRING(BGl_string5821z00zz__evaluate_compz00,
		BgL_bgl_string5821za700za7za7_5852za7, "read-only variable", 18);
	      DEFINE_STRING(BGl_string5822z00zz__evaluate_compz00,
		BgL_bgl_string5822za700za7za7_5853za7,
		"\nRedefinition of compiled variable -- ", 38);
	      DEFINE_STRING(BGl_string5823z00zz__evaluate_compz00,
		BgL_bgl_string5823za700za7za7_5854za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string5824z00zz__evaluate_compz00,
		BgL_bgl_string5824za700za7za7_5855za7, "Uninitialized variable", 22);
	extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_compzd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compza762za7za7__ev5856z00, BGl_z62compz62zz__evaluate_compz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5834z00zz__evaluate_compz00,
		BgL_bgl_string5834za700za7za7_5857za7, "get_sp", 6);
	      DEFINE_STRING(BGl_string5836z00zz__evaluate_compz00,
		BgL_bgl_string5836za700za7za7_5858za7, "reset_profile", 13);
	      DEFINE_STRING(BGl_string5838z00zz__evaluate_compz00,
		BgL_bgl_string5838za700za7za7_5859za7, "get_profile", 11);
	      DEFINE_STRING(BGl_string5840z00zz__evaluate_compz00,
		BgL_bgl_string5840za700za7za7_5860za7, "reset_stack", 11);
	      DEFINE_STRING(BGl_string5841z00zz__evaluate_compz00,
		BgL_bgl_string5841za700za7za7_5861za7, "internal error: unknown command",
		31);
	      DEFINE_STRING(BGl_string5842z00zz__evaluate_compz00,
		BgL_bgl_string5842za700za7za7_5862za7, "__evaluate_comp", 15);
	extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string5692z00zz__evaluate_compz00,
		BgL_bgl_string5692za700za7za7_5863za7, "all", 3);
	      DEFINE_STRING(BGl_string5694z00zz__evaluate_compz00,
		BgL_bgl_string5694za700za7za7_5864za7, "label-tag", 9);
	      DEFINE_STRING(BGl_string5696z00zz__evaluate_compz00,
		BgL_bgl_string5696za700za7za7_5865za7, "bounce", 6);
	      DEFINE_STRING(BGl_string5697z00zz__evaluate_compz00,
		BgL_bgl_string5697za700za7za7_5866za7, "non non non", 11);
	      DEFINE_STRING(BGl_string5698z00zz__evaluate_compz00,
		BgL_bgl_string5698za700za7za7_5867za7, " in ", 4);
	      DEFINE_STRING(BGl_string5699z00zz__evaluate_compz00,
		BgL_bgl_string5699za700za7za7_5868za7, "eval", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5787z00zz__evaluate_compz00,
		BgL_bgl_za762comp1378za762za7za75869z00,
		BGl_z62comp1378z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5791z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_tra5870z00,
		BGl_z62compzd2ev_trap1382zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5793z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_var5871z00,
		BGl_z62compzd2ev_var1386zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5794z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set5872z00,
		BGl_z62compzd2ev_setlocal1388zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5795z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_glo5873z00,
		BGl_z62compzd2ev_global1390zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5796z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set5874z00,
		BGl_z62compzd2ev_setglobal1392zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5797z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_def5875z00,
		BGl_z62compzd2ev_defglobal1394zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5798z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lit5876z00,
		BGl_z62compzd2ev_litt1396zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5799z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_if15877z00,
		BGl_z62compzd2ev_if1398zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;
	extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_STRING(BGl_string5700z00zz__evaluate_compz00,
		BgL_bgl_string5700za700za7za7_5878za7, "internal error: not found", 25);
	      DEFINE_STRING(BGl_string5702z00zz__evaluate_compz00,
		BgL_bgl_string5702za700za7za7_5879za7, "at", 2);
	      DEFINE_STRING(BGl_string5703z00zz__evaluate_compz00,
		BgL_bgl_string5703za700za7za7_5880za7, "", 0);
	      DEFINE_STRING(BGl_string5704z00zz__evaluate_compz00,
		BgL_bgl_string5704za700za7za7_5881za7,
		"/tmp/bigloo/runtime/Eval/evaluate_comp.scm", 42);
	      DEFINE_STRING(BGl_string5705z00zz__evaluate_compz00,
		BgL_bgl_string5705za700za7za7_5882za7, "&compile", 8);
	      DEFINE_STRING(BGl_string5706z00zz__evaluate_compz00,
		BgL_bgl_string5706za700za7za7_5883za7, "ev_expr", 7);
	extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string5707z00zz__evaluate_compz00,
		BgL_bgl_string5707za700za7za7_5884za7, "expecting ~a, got ~a", 20);
	      DEFINE_STRING(BGl_string5708z00zz__evaluate_compz00,
		BgL_bgl_string5708za700za7za7_5885za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string5710z00zz__evaluate_compz00,
		BgL_bgl_string5710za700za7za7_5886za7, "mcell", 5);
	      DEFINE_STRING(BGl_string5712z00zz__evaluate_compz00,
		BgL_bgl_string5712za700za7za7_5887za7, "internal", 8);
	      DEFINE_STRING(BGl_string5714z00zz__evaluate_compz00,
		BgL_bgl_string5714za700za7za7_5888za7, "impossible", 10);
	      DEFINE_STRING(BGl_string5715z00zz__evaluate_compz00,
		BgL_bgl_string5715za700za7za7_5889za7, "procedure", 9);
	      DEFINE_STRING(BGl_string5717z00zz__evaluate_compz00,
		BgL_bgl_string5717za700za7za7_5890za7, "user", 4);
	      DEFINE_STRING(BGl_string5718z00zz__evaluate_compz00,
		BgL_bgl_string5718za700za7za7_5891za7, "invalid byte code", 17);
	extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string5720z00zz__evaluate_compz00,
		BgL_bgl_string5720za700za7za7_5892za7, "+", 1);
	      DEFINE_STRING(BGl_string5722z00zz__evaluate_compz00,
		BgL_bgl_string5722za700za7za7_5893za7, "number", 6);
	      DEFINE_STRING(BGl_string5724z00zz__evaluate_compz00,
		BgL_bgl_string5724za700za7za7_5894za7, "-", 1);
	      DEFINE_STRING(BGl_string5726z00zz__evaluate_compz00,
		BgL_bgl_string5726za700za7za7_5895za7, "*", 1);
	      DEFINE_STRING(BGl_string5728z00zz__evaluate_compz00,
		BgL_bgl_string5728za700za7za7_5896za7, "/", 1);
	extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5800z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_or15897z00,
		BGl_z62compzd2ev_or1400zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5801z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_and5898z00,
		BGl_z62compzd2ev_and1402zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5802z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_pro5899z00,
		BGl_z62compzd2ev_prog21404zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5803z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5900z00,
		BGl_z62compzd2ev_let1406zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5804z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5901z00,
		BGl_z62compzd2ev_letza21408z12zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5805z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5902z00,
		BGl_z62compzd2ev_letrec1410zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5730z00zz__evaluate_compz00,
		BgL_bgl_string5730za700za7za7_5903za7, "<", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5806z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_bin5904z00,
		BGl_z62compzd2ev_bindzd2exit1412z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5807z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_unw5905z00,
		BGl_z62compzd2ev_unwindzd2prote1414z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5732z00zz__evaluate_compz00,
		BgL_bgl_string5732za700za7za7_5906za7, ">", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5808z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_wit5907z00,
		BGl_z62compzd2ev_withzd2handler1416z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5809z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_syn5908z00,
		BGl_z62compzd2ev_synchroniza7e1418z17zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5734z00zz__evaluate_compz00,
		BgL_bgl_string5734za700za7za7_5909za7, "<=", 2);
	      DEFINE_STRING(BGl_string5736z00zz__evaluate_compz00,
		BgL_bgl_string5736za700za7za7_5910za7, ">=", 2);
	      DEFINE_STRING(BGl_string5738z00zz__evaluate_compz00,
		BgL_bgl_string5738za700za7za7_5911za7, "=", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5810z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lab5912z00,
		BGl_z62compzd2ev_labels1420zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5811z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_got5913z00,
		BGl_z62compzd2ev_goto1422zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5812z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_app5914z00,
		BGl_z62compzd2ev_app1424zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5813z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_abs5915z00,
		BGl_z62compzd2ev_abs1427zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5740z00zz__evaluate_compz00,
		BgL_bgl_string5740za700za7za7_5916za7, "+fx", 3);
	      DEFINE_STRING(BGl_string5742z00zz__evaluate_compz00,
		BgL_bgl_string5742za700za7za7_5917za7, "fixnum", 6);
	      DEFINE_STRING(BGl_string5744z00zz__evaluate_compz00,
		BgL_bgl_string5744za700za7za7_5918za7, "-fx", 3);
	      DEFINE_STRING(BGl_string5746z00zz__evaluate_compz00,
		BgL_bgl_string5746za700za7za7_5919za7, "*fx", 3);
	      DEFINE_STRING(BGl_string5748z00zz__evaluate_compz00,
		BgL_bgl_string5748za700za7za7_5920za7, "/fx", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5825z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75921za7,
		BGl_z62zc3anonymousza32909ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string5750z00zz__evaluate_compz00,
		BgL_bgl_string5750za700za7za7_5922za7, "<fx", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5826z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75923za7,
		BGl_z62zc3anonymousza32912ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5827z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75924za7,
		BGl_z62zc3anonymousza32918ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string5752z00zz__evaluate_compz00,
		BgL_bgl_string5752za700za7za7_5925za7, ">fx", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5828z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75926za7,
		BGl_z62zc3anonymousza32921ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5829z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75927za7,
		BGl_z62zc3anonymousza32924ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string5754z00zz__evaluate_compz00,
		BgL_bgl_string5754za700za7za7_5928za7, "<=fx", 4);
	      DEFINE_STRING(BGl_string5756z00zz__evaluate_compz00,
		BgL_bgl_string5756za700za7za7_5929za7, ">=fx", 4);
	      DEFINE_STRING(BGl_string5758z00zz__evaluate_compz00,
		BgL_bgl_string5758za700za7za7_5930za7, "=fx", 3);
	extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5830z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75931za7,
		BGl_z62zc3anonymousza32929ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5831z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75932za7,
		BGl_z62zc3anonymousza32932ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5832z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75933za7,
		BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string5760z00zz__evaluate_compz00,
		BgL_bgl_string5760za700za7za7_5934za7, "+fl", 3);
	      DEFINE_STRING(BGl_string5762z00zz__evaluate_compz00,
		BgL_bgl_string5762za700za7za7_5935za7, "flonum", 6);
	      DEFINE_STRING(BGl_string5764z00zz__evaluate_compz00,
		BgL_bgl_string5764za700za7za7_5936za7, "-fl", 3);
	      DEFINE_STRING(BGl_string5766z00zz__evaluate_compz00,
		BgL_bgl_string5766za700za7za7_5937za7, "*fl", 3);
	      DEFINE_STRING(BGl_string5768z00zz__evaluate_compz00,
		BgL_bgl_string5768za700za7za7_5938za7, "/fl", 3);
	extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string5770z00zz__evaluate_compz00,
		BgL_bgl_string5770za700za7za7_5939za7, "<fl", 3);
	      DEFINE_STRING(BGl_string5772z00zz__evaluate_compz00,
		BgL_bgl_string5772za700za7za7_5940za7, ">fl", 3);
	      DEFINE_STRING(BGl_string5774z00zz__evaluate_compz00,
		BgL_bgl_string5774za700za7za7_5941za7, "<=fl", 4);
	      DEFINE_STRING(BGl_string5776z00zz__evaluate_compz00,
		BgL_bgl_string5776za700za7za7_5942za7, ">=fl", 4);
	      DEFINE_STRING(BGl_string5778z00zz__evaluate_compz00,
		BgL_bgl_string5778za700za7za7_5943za7, "=fl", 3);
	      DEFINE_STRING(BGl_string5780z00zz__evaluate_compz00,
		BgL_bgl_string5780za700za7za7_5944za7, "car", 3);
	      DEFINE_STRING(BGl_string5782z00zz__evaluate_compz00,
		BgL_bgl_string5782za700za7za7_5945za7, "pair", 4);
	      DEFINE_STRING(BGl_string5784z00zz__evaluate_compz00,
		BgL_bgl_string5784za700za7za7_5946za7, "cdr", 3);
	      DEFINE_STRING(BGl_string5786z00zz__evaluate_compz00,
		BgL_bgl_string5786za700za7za7_5947za7, "cadr", 4);
	      DEFINE_STRING(BGl_string5788z00zz__evaluate_compz00,
		BgL_bgl_string5788za700za7za7_5948za7, "comp1378", 8);
	      DEFINE_STRING(BGl_string5789z00zz__evaluate_compz00,
		BgL_bgl_string5789za700za7za7_5949za7, "internal error: not defined for",
		31);
	      DEFINE_STRING(BGl_string5790z00zz__evaluate_compz00,
		BgL_bgl_string5790za700za7za7_5950za7, "&comp", 5);
	      DEFINE_STRING(BGl_string5792z00zz__evaluate_compz00,
		BgL_bgl_string5792za700za7za7_5951za7, "comp", 4);
	extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol5816z00zz__evaluate_compz00));
		   
			 ADD_ROOT((void *) (&BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5833z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5835z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5837z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5839z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5691z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5693z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5695z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5701z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5709z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5711z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5713z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5716z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5719z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5721z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5723z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5725z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5727z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5729z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5731z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5733z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5735z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5737z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5739z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5741z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5743z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5745z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5747z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5749z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5751z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5753z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5755z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5757z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5759z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5761z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5763z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5765z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5767z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5769z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5771z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5773z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5775z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5777z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5779z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5781z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5783z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol5785z00zz__evaluate_compz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long
		BgL_checksumz00_18095, char *BgL_fromz00_18096)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_compz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_compz00();
					BGl_cnstzd2initzd2zz__evaluate_compz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
					BGl_genericzd2initzd2zz__evaluate_compz00();
					BGl_methodzd2initzd2zz__evaluate_compz00();
					return BGl_toplevelzd2initzd2zz__evaluate_compz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_symbol5691z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5692z00zz__evaluate_compz00);
			BGl_symbol5693z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5694z00zz__evaluate_compz00);
			BGl_symbol5695z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5696z00zz__evaluate_compz00);
			BGl_symbol5701z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5702z00zz__evaluate_compz00);
			BGl_symbol5709z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5710z00zz__evaluate_compz00);
			BGl_symbol5711z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5712z00zz__evaluate_compz00);
			BGl_symbol5713z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5714z00zz__evaluate_compz00);
			BGl_symbol5716z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5717z00zz__evaluate_compz00);
			BGl_symbol5719z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5720z00zz__evaluate_compz00);
			BGl_symbol5721z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5722z00zz__evaluate_compz00);
			BGl_symbol5723z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5724z00zz__evaluate_compz00);
			BGl_symbol5725z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5726z00zz__evaluate_compz00);
			BGl_symbol5727z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5728z00zz__evaluate_compz00);
			BGl_symbol5729z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5730z00zz__evaluate_compz00);
			BGl_symbol5731z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5732z00zz__evaluate_compz00);
			BGl_symbol5733z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5734z00zz__evaluate_compz00);
			BGl_symbol5735z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5736z00zz__evaluate_compz00);
			BGl_symbol5737z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5738z00zz__evaluate_compz00);
			BGl_symbol5739z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5740z00zz__evaluate_compz00);
			BGl_symbol5741z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5742z00zz__evaluate_compz00);
			BGl_symbol5743z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5744z00zz__evaluate_compz00);
			BGl_symbol5745z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5746z00zz__evaluate_compz00);
			BGl_symbol5747z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5748z00zz__evaluate_compz00);
			BGl_symbol5749z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5750z00zz__evaluate_compz00);
			BGl_symbol5751z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5752z00zz__evaluate_compz00);
			BGl_symbol5753z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5754z00zz__evaluate_compz00);
			BGl_symbol5755z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5756z00zz__evaluate_compz00);
			BGl_symbol5757z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5758z00zz__evaluate_compz00);
			BGl_symbol5759z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5760z00zz__evaluate_compz00);
			BGl_symbol5761z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5762z00zz__evaluate_compz00);
			BGl_symbol5763z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5764z00zz__evaluate_compz00);
			BGl_symbol5765z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5766z00zz__evaluate_compz00);
			BGl_symbol5767z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5768z00zz__evaluate_compz00);
			BGl_symbol5769z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5770z00zz__evaluate_compz00);
			BGl_symbol5771z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5772z00zz__evaluate_compz00);
			BGl_symbol5773z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5774z00zz__evaluate_compz00);
			BGl_symbol5775z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5776z00zz__evaluate_compz00);
			BGl_symbol5777z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5778z00zz__evaluate_compz00);
			BGl_symbol5779z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5780z00zz__evaluate_compz00);
			BGl_symbol5781z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5782z00zz__evaluate_compz00);
			BGl_symbol5783z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5784z00zz__evaluate_compz00);
			BGl_symbol5785z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5786z00zz__evaluate_compz00);
			BGl_symbol5816z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5817z00zz__evaluate_compz00);
			BGl_symbol5833z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5834z00zz__evaluate_compz00);
			BGl_symbol5835z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5836z00zz__evaluate_compz00);
			BGl_symbol5837z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5838z00zz__evaluate_compz00);
			return (BGl_symbol5839z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5840z00zz__evaluate_compz00), BUNSPEC);
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			{	/* Eval/evaluate_comp.scm 114 */
				BGL_LONGLONG_T BgL_arg1458z00_1328;

				{	/* Eval/evaluate_comp.scm 114 */
					BGL_LONGLONG_T BgL_res4245z00_6317;

					BgL_res4245z00_6317 = LONG_TO_LLONG(((long) 0));
					BgL_arg1458z00_1328 = BgL_res4245z00_6317;
				}
				{	/* Eval/evaluate_comp.scm 114 */
					obj_t BgL_list1459z00_1329;

					{	/* Eval/evaluate_comp.scm 114 */
						obj_t BgL_arg1460z00_1330;

						BgL_arg1460z00_1330 =
							MAKE_YOUNG_PAIR(make_bllong(BgL_arg1458z00_1328), BNIL);
						BgL_list1459z00_1329 =
							MAKE_YOUNG_PAIR(BGl_symbol5691z00zz__evaluate_compz00,
							BgL_arg1460z00_1330);
					}
					BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1459z00_1329;
			}}
			BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 = ((long) 8192);
			BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol5693z00zz__evaluate_compz00,
				(int) (((long) 0)));
			BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol5695z00zz__evaluate_compz00,
				(int) (((long) 0)));
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1331;

				BgL_headz00_1331 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_6342;
					obj_t BgL_tailz00_6343;

					BgL_prevz00_6342 = BgL_headz00_1331;
					BgL_tailz00_6343 = BgL_l1z00_1;
				BgL_loopz00_6341:
					if (PAIRP(BgL_tailz00_6343))
						{
							obj_t BgL_newzd2prevzd2_6349;

							BgL_newzd2prevzd2_6349 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_6343), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_6342, BgL_newzd2prevzd2_6349);
							{
								obj_t BgL_tailz00_18169;
								obj_t BgL_prevz00_18168;

								BgL_prevz00_18168 = BgL_newzd2prevzd2_6349;
								BgL_tailz00_18169 = CDR(BgL_tailz00_6343);
								BgL_tailz00_6343 = BgL_tailz00_18169;
								BgL_prevz00_6342 = BgL_prevz00_18168;
								goto BgL_loopz00_6341;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_1331);
			}
		}
	}



/* reset_profile */
	obj_t BGl_reset_profilez00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 132 */
			{	/* Eval/evaluate_comp.scm 133 */
				BGL_LONGLONG_T BgL_arg1483z00_1359;

				{	/* Eval/evaluate_comp.scm 133 */
					BGL_LONGLONG_T BgL_res4254z00_6357;

					BgL_res4254z00_6357 = LONG_TO_LLONG(((long) 0));
					BgL_arg1483z00_1359 = BgL_res4254z00_6357;
				}
				{	/* Eval/evaluate_comp.scm 133 */
					obj_t BgL_list1484z00_1360;

					{	/* Eval/evaluate_comp.scm 133 */
						obj_t BgL_arg1485z00_1361;

						BgL_arg1485z00_1361 =
							MAKE_YOUNG_PAIR(make_bllong(BgL_arg1483z00_1359), BNIL);
						BgL_list1484z00_1360 =
							MAKE_YOUNG_PAIR(BGl_symbol5691z00zz__evaluate_compz00,
							BgL_arg1485z00_1361);
					}
					return (BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1484z00_1360, BUNSPEC);
				}
			}
		}
	}



/* o->s~0 */
	obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t BgL_vz00_1370)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 141 */
			if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_1370))
				{	/* Ieee/fixnum.scm 967 */

					return
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
						(long) CINT(BgL_vz00_1370), ((long) 10));
				}
			else
				{	/* Eval/evaluate_comp.scm 138 */
					if (SYMBOLP(BgL_vz00_1370))
						{	/* Eval/evaluate_comp.scm 139 */
							obj_t BgL_res4257z00_6362;

							{	/* Eval/evaluate_comp.scm 139 */
								obj_t BgL_arg4101z00_6361;

								BgL_arg4101z00_6361 = SYMBOL_TO_STRING(BgL_vz00_1370);
								BgL_res4257z00_6362 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg4101z00_6361);
							}
							return BgL_res4257z00_6362;
						}
					else
						{	/* Eval/evaluate_comp.scm 139 */
							if (STRINGP(BgL_vz00_1370))
								{	/* Eval/evaluate_comp.scm 140 */
									return BgL_vz00_1370;
								}
							else
								{	/* Eval/evaluate_comp.scm 140 */
									return BGl_string5697z00zz__evaluate_compz00;
								}
						}
				}
		}
	}



/* &<lexint */
	obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_13349,
		obj_t BgL_t1z00_13350, obj_t BgL_t2z00_13351)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 135 */
			{	/* Eval/evaluate_comp.scm 138 */
				bool_t BgL_tmpz00_18186;

				{	/* Eval/evaluate_comp.scm 142 */
					obj_t BgL_v1z00_15340;
					obj_t BgL_v2z00_15341;

					BgL_v1z00_15340 = CAR(BgL_t1z00_13350);
					BgL_v2z00_15341 = CAR(BgL_t2z00_13351);
					{	/* Eval/evaluate_comp.scm 143 */
						bool_t BgL_testz00_18189;

						if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_15340))
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_testz00_18189 =
									BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BgL_v2z00_15341);
							}
						else
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_testz00_18189 = ((bool_t) 0);
							}
						if (BgL_testz00_18189)
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_tmpz00_18186 =
									BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_15340,
									BgL_v2z00_15341);
							}
						else
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_tmpz00_18186 =
									string_lt(BGl_ozd2ze3sze70zd6zz__evaluate_compz00
									(BgL_v1z00_15340),
									BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v2z00_15341));
							}
					}
				}
				return BBOOL(BgL_tmpz00_18186);
			}
		}
	}



/* get_profile */
	obj_t BGl_get_profilez00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 147 */
			BGl_recze71ze7zz__evaluate_compz00
				(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00);
			return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;
		}
	}



/* rec~1 */
	bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t BgL_tz00_1379)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 148 */
			{	/* Eval/evaluate_comp.scm 149 */
				obj_t BgL_auxz00_18201;
				obj_t BgL_tmpz00_18199;

				BgL_auxz00_18201 =
					BGl_sortz00zz__r4_vectors_6_8z00
					(BGl_zc3lexintzd2envz11zz__evaluate_compz00, CDR(CDR(BgL_tz00_1379)));
				BgL_tmpz00_18199 = CDR(BgL_tz00_1379);
				SET_CDR(BgL_tmpz00_18199, BgL_auxz00_18201);
			}
			{	/* Eval/evaluate_comp.scm 150 */
				obj_t BgL_g1283z00_1384;

				BgL_g1283z00_1384 = CDR(CDR(BgL_tz00_1379));
				{
					obj_t BgL_l1281z00_6392;

					BgL_l1281z00_6392 = BgL_g1283z00_1384;
				BgL_zc3anonymousza31500ze3z83_6391:
					if (PAIRP(BgL_l1281z00_6392))
						{	/* Eval/evaluate_comp.scm 150 */
							BGl_recze71ze7zz__evaluate_compz00(CAR(BgL_l1281z00_6392));
							{
								obj_t BgL_l1281z00_18212;

								BgL_l1281z00_18212 = CDR(BgL_l1281z00_6392);
								BgL_l1281z00_6392 = BgL_l1281z00_18212;
								goto BgL_zc3anonymousza31500ze3z83_6391;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 150 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* index */
	obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 156 */
			{
				obj_t BgL_lz00_6423;
				long BgL_nz00_6424;

				BgL_lz00_6423 = BgL_lz00_7;
				BgL_nz00_6424 = ((long) 0);
			BgL_walkz00_6422:
				if (NULLP(BgL_lz00_6423))
					{	/* Eval/evaluate_comp.scm 158 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate_comp.scm 158 */
						if ((BgL_xz00_6 == CAR(BgL_lz00_6423)))
							{	/* Eval/evaluate_comp.scm 159 */
								return BINT(BgL_nz00_6424);
							}
						else
							{
								long BgL_nz00_18222;
								obj_t BgL_lz00_18220;

								BgL_lz00_18220 = CDR(BgL_lz00_6423);
								BgL_nz00_18222 = (BgL_nz00_6424 + ((long) 1));
								BgL_nz00_6424 = BgL_nz00_18222;
								BgL_lz00_6423 = BgL_lz00_18220;
								goto BgL_walkz00_6422;
							}
					}
			}
		}
	}



/* _index */
	obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 163 */
			{	/* Eval/evaluate_comp.scm 164 */
				obj_t BgL__ortest_1078z00_1404;

				BgL__ortest_1078z00_1404 =
					BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9);
				if (CBOOL(BgL__ortest_1078z00_1404))
					{	/* Eval/evaluate_comp.scm 164 */
						return BgL__ortest_1078z00_1404;
					}
				else
					{	/* Eval/evaluate_comp.scm 164 */
						obj_t BgL_arg1514z00_1405;

						{	/* Eval/evaluate_comp.scm 164 */
							obj_t BgL_arg1515z00_1406;

							if (NULLP(BgL_lz00_9))
								{	/* Eval/evaluate_comp.scm 164 */
									BgL_arg1515z00_1406 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 164 */
									obj_t BgL_head1286z00_1412;

									{	/* Eval/evaluate_comp.scm 164 */
										obj_t BgL_arg1529z00_1424;

										{	/* Eval/evaluate_comp.scm 164 */
											obj_t BgL_arg1530z00_1425;

											BgL_arg1530z00_1425 = CAR(BgL_lz00_9);
											if (BGl_isazf3zf3zz__objectz00(BgL_arg1530z00_1425,
													BGl_ev_varz00zz__evaluate_typesz00))
												{	/* Eval/evaluate_comp.scm 189 */
													BgL_arg1529z00_1424 =
														(((BgL_ev_varz00_bglt) CREF(
																((BgL_ev_varz00_bglt) BgL_arg1530z00_1425)))->
														BgL_namez00);
												}
											else
												{	/* Eval/evaluate_comp.scm 189 */
													BgL_arg1529z00_1424 = BgL_arg1530z00_1425;
												}
										}
										{	/* Eval/evaluate_comp.scm 164 */
											obj_t BgL_res4270z00_6444;

											BgL_res4270z00_6444 =
												MAKE_YOUNG_PAIR(BgL_arg1529z00_1424, BNIL);
											BgL_head1286z00_1412 = BgL_res4270z00_6444;
										}
									}
									{	/* Eval/evaluate_comp.scm 164 */
										obj_t BgL_g1289z00_1413;

										BgL_g1289z00_1413 = CDR(BgL_lz00_9);
										{
											obj_t BgL_l1284z00_6469;
											obj_t BgL_tail1287z00_6470;

											BgL_l1284z00_6469 = BgL_g1289z00_1413;
											BgL_tail1287z00_6470 = BgL_head1286z00_1412;
										BgL_zc3anonymousza31521ze3z83_6468:
											if (NULLP(BgL_l1284z00_6469))
												{	/* Eval/evaluate_comp.scm 164 */
													BgL_arg1515z00_1406 = BgL_head1286z00_1412;
												}
											else
												{	/* Eval/evaluate_comp.scm 164 */
													obj_t BgL_newtail1288z00_6477;

													{	/* Eval/evaluate_comp.scm 164 */
														obj_t BgL_arg1527z00_6478;

														BgL_arg1527z00_6478 =
															BGl_lnamez00zz__evaluate_compz00(CAR
															(BgL_l1284z00_6469));
														{	/* Eval/evaluate_comp.scm 164 */
															obj_t BgL_res4276z00_6483;

															BgL_res4276z00_6483 =
																MAKE_YOUNG_PAIR(BgL_arg1527z00_6478, BNIL);
															BgL_newtail1288z00_6477 = BgL_res4276z00_6483;
														}
													}
													SET_CDR(BgL_tail1287z00_6470,
														BgL_newtail1288z00_6477);
													{
														obj_t BgL_tail1287z00_18244;
														obj_t BgL_l1284z00_18242;

														BgL_l1284z00_18242 = CDR(BgL_l1284z00_6469);
														BgL_tail1287z00_18244 = BgL_newtail1288z00_6477;
														BgL_tail1287z00_6470 = BgL_tail1287z00_18244;
														BgL_l1284z00_6469 = BgL_l1284z00_18242;
														goto BgL_zc3anonymousza31521ze3z83_6468;
													}
												}
										}
									}
								}
							{	/* Eval/evaluate_comp.scm 164 */
								obj_t BgL_list1516z00_1407;

								{	/* Eval/evaluate_comp.scm 164 */
									obj_t BgL_arg1518z00_1408;

									{	/* Eval/evaluate_comp.scm 164 */
										obj_t BgL_arg1519z00_1409;

										BgL_arg1519z00_1409 =
											MAKE_YOUNG_PAIR(BgL_arg1515z00_1406, BNIL);
										BgL_arg1518z00_1408 =
											MAKE_YOUNG_PAIR(BGl_string5698z00zz__evaluate_compz00,
											BgL_arg1519z00_1409);
									}
									BgL_list1516z00_1407 =
										MAKE_YOUNG_PAIR(BgL_xz00_8, BgL_arg1518z00_1408);
								}
								BgL_arg1514z00_1405 = BgL_list1516z00_1407;
							}
						}
						return
							BGl_errorz00zz__errorz00(BGl_string5699z00zz__evaluate_compz00,
							BGl_string5700z00zz__evaluate_compz00, BgL_arg1514z00_1405);
					}
			}
		}
	}



/* lname */
	obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 188 */
			if (BGl_isazf3zf3zz__objectz00(BgL_vz00_16,
					BGl_ev_varz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 189 */
					return
						(((BgL_ev_varz00_bglt) CREF(
								((BgL_ev_varz00_bglt) BgL_vz00_16)))->BgL_namez00);
				}
			else
				{	/* Eval/evaluate_comp.scm 189 */
					return BgL_vz00_16;
				}
		}
	}



/* loc-type-error */
	obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17,
		obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 193 */
			if (PAIRP(BgL_locz00_20))
				{	/* Eval/evaluate_comp.scm 194 */
					obj_t BgL_cdrzd2194zd2_1451;

					BgL_cdrzd2194zd2_1451 = CDR(BgL_locz00_20);
					if ((CAR(BgL_locz00_20) == BGl_symbol5701z00zz__evaluate_compz00))
						{	/* Eval/evaluate_comp.scm 194 */
							if (PAIRP(BgL_cdrzd2194zd2_1451))
								{	/* Eval/evaluate_comp.scm 194 */
									obj_t BgL_cdrzd2198zd2_1455;

									BgL_cdrzd2198zd2_1455 = CDR(BgL_cdrzd2194zd2_1451);
									if (PAIRP(BgL_cdrzd2198zd2_1455))
										{	/* Eval/evaluate_comp.scm 194 */
											if (NULLP(CDR(BgL_cdrzd2198zd2_1455)))
												{	/* Eval/evaluate_comp.scm 194 */
													return
														BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19,
														CAR(BgL_cdrzd2194zd2_1451),
														CAR(BgL_cdrzd2198zd2_1455));
												}
											else
												{	/* Eval/evaluate_comp.scm 194 */
													return
														BGl_bigloozd2typezd2errorz00zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 194 */
											return
												BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
												BgL_mz00_18, BgL_vz00_19);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 194 */
									return
										BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
										BgL_mz00_18, BgL_vz00_19);
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 194 */
							return
								BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
								BgL_mz00_18, BgL_vz00_19);
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 194 */
					return
						BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18,
						BgL_vz00_19);
				}
		}
	}



/* make-state */
	obj_t BGl_makezd2statezd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 206 */
			{	/* Eval/evaluate_comp.scm 207 */
				obj_t BgL_stkz00_1471;

				BgL_stkz00_1471 =
					make_vector(
					(int) (((long) 8192)), BGl_string5703z00zz__evaluate_compz00);
				VECTOR_SET(BgL_stkz00_1471, (int) (((long) 0)), BINT(((long) 2)));
				return BgL_stkz00_1471;
			}
		}
	}



/* find-state */
	BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 211 */
			{	/* Eval/evaluate_comp.scm 212 */
				obj_t BgL_sz00_1472;

				{	/* Eval/evaluate_comp.scm 212 */
					obj_t BgL_tmpz00_18280;

					BgL_tmpz00_18280 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_1472 = BGL_ENV_EVSTATE(BgL_tmpz00_18280);
				}
				if (VECTORP(BgL_sz00_1472))
					{	/* Eval/evaluate_comp.scm 213 */
						return BgL_sz00_1472;
					}
				else
					{	/* Eval/evaluate_comp.scm 214 */
						obj_t BgL_statez00_1474;

						BgL_statez00_1474 = BGl_makezd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 215 */
							obj_t BgL_tmpz00_18286;

							BgL_tmpz00_18286 = BGL_CURRENT_DYNAMIC_ENV();
							BGL_ENV_EVSTATE_SET(BgL_tmpz00_18286, BgL_statez00_1474);
						}
						return BgL_statez00_1474;
					}
			}
		}
	}



/* &find-state */
	obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_13352)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 211 */
			return BGl_findzd2statezd2zz__evaluate_compz00();
		}
	}



/* compile */
	BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_34)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 273 */
			return BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);
		}
	}



/* &compile */
	obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_13353,
		obj_t BgL_ez00_13354)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 273 */
			{	/* Eval/evaluate_comp.scm 274 */
				BgL_ev_exprz00_bglt BgL_auxz00_18291;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_13354,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 274 */
						BgL_auxz00_18291 = ((BgL_ev_exprz00_bglt) BgL_ez00_13354);
					}
				else
					{
						obj_t BgL_auxz00_18295;

						BgL_auxz00_18295 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string5704z00zz__evaluate_compz00, BINT(((long) 7006)),
							BGl_string5705z00zz__evaluate_compz00,
							BGl_string5706z00zz__evaluate_compz00, BgL_ez00_13354);
						FAILURE(BgL_auxz00_18295, BFALSE, BFALSE);
					}
				return BGl_compilez00zz__evaluate_compz00(BgL_auxz00_18291);
			}
		}
	}



/* global-fun-value */
	obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_43)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 332 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_ez00_43), BGl_ev_globalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 335 */
					obj_t BgL_gz00_1530;

					{	/* Eval/evaluate_comp.scm 335 */
						obj_t BgL_arg1610z00_1531;
						obj_t BgL_arg1611z00_1532;

						BgL_arg1610z00_1531 =
							(((BgL_ev_globalz00_bglt) CREF(
									((BgL_ev_globalz00_bglt) BgL_ez00_43)))->BgL_modz00);
						BgL_arg1611z00_1532 =
							(((BgL_ev_globalz00_bglt) CREF(
									((BgL_ev_globalz00_bglt) BgL_ez00_43)))->BgL_namez00);
						BgL_gz00_1530 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00
							(BgL_arg1610z00_1531, BgL_arg1611z00_1532);
					}
					if (CBOOL(BgL_gz00_1530))
						{	/* Eval/evaluate_comp.scm 336 */
							return VECTOR_REF(BgL_gz00_1530, (int) (((long) 2)));
						}
					else
						{	/* Eval/evaluate_comp.scm 336 */
							return BFALSE;
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 333 */
					return BFALSE;
				}
		}
	}



/* push-boxes-args-on-sp */
	obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t
		BgL_sz00_82, obj_t BgL_argsz00_83, obj_t BgL_boxesz00_84, long BgL_spz00_85,
		obj_t BgL_locz00_86)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 616 */
			{
				obj_t BgL_lz00_1552;
				obj_t BgL_bsz00_1553;
				long BgL_spz00_1554;

				BgL_lz00_1552 = BgL_argsz00_83;
				BgL_bsz00_1553 = BgL_boxesz00_84;
				BgL_spz00_1554 = BgL_spz00_85;
			BgL_zc3anonymousza31633ze3z83_1555:
				if (NULLP(BgL_lz00_1552))
					{	/* Eval/evaluate_comp.scm 618 */
						if (NULLP(BgL_bsz00_1553))
							{	/* Eval/evaluate_comp.scm 619 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 622 */
								obj_t BgL_arg1636z00_1558;

								{	/* Eval/evaluate_comp.scm 622 */
									long BgL_arg1637z00_1559;
									long BgL_arg1638z00_1560;

									BgL_arg1637z00_1559 = bgl_list_length(BgL_boxesz00_84);
									BgL_arg1638z00_1560 = bgl_list_length(BgL_argsz00_83);
									{	/* Eval/evaluate_comp.scm 621 */
										obj_t BgL_list1639z00_1561;

										{	/* Eval/evaluate_comp.scm 621 */
											obj_t BgL_arg1640z00_1562;

											BgL_arg1640z00_1562 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1638z00_1560), BNIL);
											BgL_list1639z00_1561 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1637z00_1559),
												BgL_arg1640z00_1562);
										}
										BgL_arg1636z00_1558 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string5707z00zz__evaluate_compz00,
											BgL_list1639z00_1561);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_86,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5708z00zz__evaluate_compz00, BgL_arg1636z00_1558);
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 618 */
						if (NULLP(BgL_bsz00_1553))
							{	/* Eval/evaluate_comp.scm 626 */
								obj_t BgL_arg1642z00_1564;

								{	/* Eval/evaluate_comp.scm 626 */
									long BgL_arg1643z00_1565;
									long BgL_arg1644z00_1566;

									BgL_arg1643z00_1565 = bgl_list_length(BgL_boxesz00_84);
									BgL_arg1644z00_1566 = bgl_list_length(BgL_argsz00_83);
									{	/* Eval/evaluate_comp.scm 625 */
										obj_t BgL_list1645z00_1567;

										{	/* Eval/evaluate_comp.scm 625 */
											obj_t BgL_arg1646z00_1568;

											BgL_arg1646z00_1568 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1644z00_1566), BNIL);
											BgL_list1645z00_1567 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1643z00_1565),
												BgL_arg1646z00_1568);
										}
										BgL_arg1642z00_1564 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string5707z00zz__evaluate_compz00,
											BgL_list1645z00_1567);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_86,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5708z00zz__evaluate_compz00, BgL_arg1642z00_1564);
							}
						else
							{	/* Eval/evaluate_comp.scm 623 */
								{	/* Eval/evaluate_comp.scm 629 */
									obj_t BgL_arg1647z00_1569;

									{	/* Eval/evaluate_comp.scm 629 */
										obj_t BgL_vz00_1570;

										{	/* Eval/evaluate_comp.scm 629 */
											obj_t BgL_fun1649z00_1572;

											BgL_fun1649z00_1572 = CAR(BgL_lz00_1552);
											BgL_vz00_1570 =
												PROCEDURE_ENTRY(BgL_fun1649z00_1572)
												(BgL_fun1649z00_1572, BgL_sz00_82, BEOA);
										}
										if (CBOOL(CAR(BgL_bsz00_1553)))
											{	/* Eval/evaluate_comp.scm 202 */
												obj_t BgL_newz00_6533;

												BgL_newz00_6533 =
													create_struct(BGl_symbol5709z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 202 */
													int BgL_tmpz00_18344;

													BgL_tmpz00_18344 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_6533, BgL_tmpz00_18344,
														BgL_vz00_1570);
												}
												BgL_arg1647z00_1569 = BgL_newz00_6533;
											}
										else
											{	/* Eval/evaluate_comp.scm 630 */
												BgL_arg1647z00_1569 = BgL_vz00_1570;
											}
									}
									VECTOR_SET(BgL_sz00_82,
										(int) (BgL_spz00_1554), BgL_arg1647z00_1569);
								}
								{
									long BgL_spz00_18353;
									obj_t BgL_bsz00_18351;
									obj_t BgL_lz00_18349;

									BgL_lz00_18349 = CDR(BgL_lz00_1552);
									BgL_bsz00_18351 = CDR(BgL_bsz00_1553);
									BgL_spz00_18353 = (BgL_spz00_1554 + ((long) 1));
									BgL_spz00_1554 = BgL_spz00_18353;
									BgL_bsz00_1553 = BgL_bsz00_18351;
									BgL_lz00_1552 = BgL_lz00_18349;
									goto BgL_zc3anonymousza31633ze3z83_1555;
								}
							}
					}
			}
		}
	}



/* sub-stk */
	obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_88,
		obj_t BgL_l2z00_89)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 638 */
		BGl_subzd2stkzd2zz__evaluate_compz00:
			if (NULLP(BgL_l1z00_88))
				{	/* Eval/evaluate_comp.scm 639 */
					return BgL_l2z00_89;
				}
			else
				{	/* Eval/evaluate_comp.scm 639 */
					if ((CAR(BgL_l1z00_88) == CAR(BgL_l2z00_89)))
						{
							obj_t BgL_l2z00_18363;
							obj_t BgL_l1z00_18361;

							BgL_l1z00_18361 = CDR(BgL_l1z00_88);
							BgL_l2z00_18363 = CDR(BgL_l2z00_89);
							BgL_l2z00_89 = BgL_l2z00_18363;
							BgL_l1z00_88 = BgL_l1z00_18361;
							goto BGl_subzd2stkzd2zz__evaluate_compz00;
						}
					else
						{	/* Eval/evaluate_comp.scm 640 */
							return
								BGl_errorz00zz__errorz00(BGl_string5699z00zz__evaluate_compz00,
								BGl_symbol5711z00zz__evaluate_compz00,
								BGl_symbol5713z00zz__evaluate_compz00);
						}
				}
		}
	}



/* catch-trampoline */
	obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_93,
		obj_t BgL_sz00_94, obj_t BgL_bpz00_95)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 662 */
			{	/* Eval/evaluate_comp.scm 663 */
				obj_t BgL_savedzd2bpzd2_1593;

				BgL_savedzd2bpzd2_1593 = VECTOR_REF(BgL_sz00_94, (int) (((long) 0)));
				VECTOR_SET(BgL_sz00_94, (int) (((long) 0)), BgL_bpz00_95);
				{
					obj_t BgL_fz00_1595;

					BgL_fz00_1595 = BgL_fz00_93;
				BgL_zc3anonymousza31669ze3z83_1596:
					{	/* Eval/evaluate_comp.scm 666 */
						obj_t BgL_rz00_1597;

						BgL_rz00_1597 =
							PROCEDURE_ENTRY(BgL_fz00_1595) (BgL_fz00_1595, BgL_sz00_94, BEOA);
						{	/* Eval/evaluate_comp.scm 667 */
							bool_t BgL_testz00_18374;

							if (PROCEDUREP(BgL_rz00_1597))
								{	/* Eval/evaluate_comp.scm 667 */
									obj_t BgL_arg1674z00_1602;

									BgL_arg1674z00_1602 = PROCEDURE_ATTR(BgL_rz00_1597);
									if (STRUCTP(BgL_arg1674z00_1602))
										{	/* Eval/evaluate_comp.scm 647 */
											BgL_testz00_18374 =
												(STRUCT_KEY(BgL_arg1674z00_1602) ==
												BGl_symbol5695z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 647 */
											BgL_testz00_18374 = ((bool_t) 0);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 667 */
									BgL_testz00_18374 = ((bool_t) 0);
								}
							if (BgL_testz00_18374)
								{
									obj_t BgL_fz00_18382;

									BgL_fz00_18382 = BgL_rz00_1597;
									BgL_fz00_1595 = BgL_fz00_18382;
									goto BgL_zc3anonymousza31669ze3z83_1596;
								}
							else
								{	/* Eval/evaluate_comp.scm 667 */
									VECTOR_SET(BgL_sz00_94,
										(int) (((long) 0)), BgL_savedzd2bpzd2_1593);
									return BgL_rz00_1597;
								}
						}
					}
				}
			}
		}
	}



/* comp-with-push */
	obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_117,
		obj_t BgL_stkz00_118)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 681 */
			if (NULLP(BgL_eza2za2_117))
				{	/* Eval/evaluate_comp.scm 683 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 685 */
					obj_t BgL_arg1685z00_1615;
					obj_t BgL_arg1686z00_1616;

					{	/* Eval/evaluate_comp.scm 685 */
						obj_t BgL_arg1687z00_1617;

						BgL_arg1687z00_1617 = CAR(BgL_eza2za2_117);
						BgL_arg1685z00_1615 =
							BGl_compz00zz__evaluate_compz00(
							((BgL_ev_exprz00_bglt) BgL_arg1687z00_1617), BgL_stkz00_118);
					}
					{	/* Eval/evaluate_comp.scm 686 */
						obj_t BgL_arg1688z00_1618;
						obj_t BgL_arg1689z00_1619;

						BgL_arg1688z00_1618 = CDR(BgL_eza2za2_117);
						{	/* Eval/evaluate_comp.scm 686 */
							obj_t BgL_arg1690z00_1620;

							BgL_arg1690z00_1620 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							BgL_arg1689z00_1619 =
								BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_118,
								BgL_arg1690z00_1620);
						}
						BgL_arg1686z00_1616 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1688z00_1618,
							BgL_arg1689z00_1619);
					}
					return MAKE_YOUNG_PAIR(BgL_arg1685z00_1615, BgL_arg1686z00_1616);
				}
		}
	}



/* rec~0 */
	obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t BgL_stkz00_15325,
		obj_t BgL_lz00_1622, long BgL_iz00_1623)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 689 */
			if (NULLP(BgL_lz00_1622))
				{	/* Eval/evaluate_comp.scm 690 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 690 */
					if ((BgL_iz00_1623 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 691 */
							return
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1622,
								BgL_stkz00_15325);
						}
					else
						{	/* Eval/evaluate_comp.scm 692 */
							obj_t BgL_arg1694z00_1627;
							obj_t BgL_arg1695z00_1628;

							{	/* Eval/evaluate_comp.scm 692 */
								obj_t BgL_arg1697z00_1629;

								BgL_arg1697z00_1629 = CAR(BgL_lz00_1622);
								BgL_arg1694z00_1627 =
									BGl_compz00zz__evaluate_compz00(
									((BgL_ev_exprz00_bglt) BgL_arg1697z00_1629),
									BgL_stkz00_15325);
							}
							BgL_arg1695z00_1628 =
								BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_15325,
								CDR(BgL_lz00_1622), (BgL_iz00_1623 - ((long) 1)));
							return MAKE_YOUNG_PAIR(BgL_arg1694z00_1627, BgL_arg1695z00_1628);
						}
				}
		}
	}



/* subr-call-with-push */
	obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_122,
		obj_t BgL_fz00_123, obj_t BgL_argsz00_124, obj_t BgL_bpz00_125,
		obj_t BgL_siza7eza7_126)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 695 */
			{	/* Eval/evaluate_comp.scm 697 */
				obj_t BgL_argsz00_1633;

				if (NULLP(BgL_argsz00_124))
					{	/* Eval/evaluate_comp.scm 697 */
						BgL_argsz00_1633 = BNIL;
					}
				else
					{	/* Eval/evaluate_comp.scm 697 */
						obj_t BgL_head1335z00_1638;

						{	/* Eval/evaluate_comp.scm 697 */
							obj_t BgL_res4309z00_6600;

							BgL_res4309z00_6600 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							BgL_head1335z00_1638 = BgL_res4309z00_6600;
						}
						{
							obj_t BgL_l1333z00_6624;
							obj_t BgL_tail1336z00_6625;

							BgL_l1333z00_6624 = BgL_argsz00_124;
							BgL_tail1336z00_6625 = BgL_head1335z00_1638;
						BgL_zc3anonymousza31702ze3z83_6623:
							if (NULLP(BgL_l1333z00_6624))
								{	/* Eval/evaluate_comp.scm 697 */
									BgL_argsz00_1633 = CDR(BgL_head1335z00_1638);
								}
							else
								{	/* Eval/evaluate_comp.scm 697 */
									obj_t BgL_newtail1337z00_6632;

									{	/* Eval/evaluate_comp.scm 697 */
										obj_t BgL_arg1705z00_6633;

										{	/* Eval/evaluate_comp.scm 697 */
											obj_t BgL_az00_6634;

											BgL_az00_6634 = CAR(BgL_l1333z00_6624);
											BgL_arg1705z00_6633 =
												PROCEDURE_ENTRY(BgL_az00_6634) (BgL_az00_6634,
												BgL_sz00_122, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 697 */
											obj_t BgL_res4315z00_6639;

											BgL_res4315z00_6639 =
												MAKE_YOUNG_PAIR(BgL_arg1705z00_6633, BNIL);
											BgL_newtail1337z00_6632 = BgL_res4315z00_6639;
										}
									}
									SET_CDR(BgL_tail1336z00_6625, BgL_newtail1337z00_6632);
									{
										obj_t BgL_tail1336z00_18422;
										obj_t BgL_l1333z00_18420;

										BgL_l1333z00_18420 = CDR(BgL_l1333z00_6624);
										BgL_tail1336z00_18422 = BgL_newtail1337z00_6632;
										BgL_tail1336z00_6625 = BgL_tail1336z00_18422;
										BgL_l1333z00_6624 = BgL_l1333z00_18420;
										goto BgL_zc3anonymousza31702ze3z83_6623;
									}
								}
						}
					}
				{	/* Eval/evaluate_comp.scm 698 */
					long BgL_arg1700z00_1634;

					BgL_arg1700z00_1634 =
						((long) CINT(BgL_bpz00_125) + (long) CINT(BgL_siza7eza7_126));
					VECTOR_SET(BgL_sz00_122,
						(int) (((long) 0)), BINT(BgL_arg1700z00_1634));
				}
				{	/* Eval/evaluate_comp.scm 699 */
					obj_t BgL_za2za2resza2za2z00_1635;

					BgL_za2za2resza2za2z00_1635 = apply(BgL_fz00_123, BgL_argsz00_1633);
					VECTOR_SET(BgL_sz00_122, (int) (((long) 0)), BgL_bpz00_125);
					return BgL_za2za2resza2za2z00_1635;
				}
			}
		}
	}



/* push-nargs-on-sp */
	obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t
		BgL_arityz00_130, obj_t BgL_sz00_131, obj_t BgL_argsz00_132,
		obj_t BgL_spz00_133)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 708 */
			{	/* Eval/evaluate_comp.scm 709 */
				long BgL_g1147z00_1659;

				BgL_g1147z00_1659 = (((long) -1) - (long) CINT(BgL_arityz00_130));
				{
					obj_t BgL_lz00_1661;
					obj_t BgL_spz00_1662;
					long BgL_nz00_1663;

					BgL_lz00_1661 = BgL_argsz00_132;
					BgL_spz00_1662 = BgL_spz00_133;
					BgL_nz00_1663 = BgL_g1147z00_1659;
				BgL_zc3anonymousza31712ze3z83_1664:
					if ((BgL_nz00_1663 == ((long) 0)))
						{
							obj_t BgL_lz00_6726;
							obj_t BgL_rz00_6727;

							BgL_lz00_6726 = BgL_lz00_1661;
							BgL_rz00_6727 = BNIL;
						BgL_rec2z00_6725:
							if (NULLP(BgL_lz00_6726))
								{	/* Eval/evaluate_comp.scm 712 */
									return
										VECTOR_SET(BgL_sz00_131,
										CINT(BgL_spz00_1662), bgl_reverse_bang(BgL_rz00_6727));
								}
							else
								{	/* Eval/evaluate_comp.scm 714 */
									obj_t BgL_arg1717z00_6736;
									obj_t BgL_arg1718z00_6737;

									BgL_arg1717z00_6736 = CDR(BgL_lz00_6726);
									{	/* Eval/evaluate_comp.scm 714 */
										obj_t BgL_arg1719z00_6738;

										{	/* Eval/evaluate_comp.scm 714 */
											obj_t BgL_fun1720z00_6739;

											BgL_fun1720z00_6739 = CAR(BgL_lz00_6726);
											BgL_arg1719z00_6738 =
												PROCEDURE_ENTRY(BgL_fun1720z00_6739)
												(BgL_fun1720z00_6739, BgL_sz00_131, BEOA);
										}
										BgL_arg1718z00_6737 =
											MAKE_YOUNG_PAIR(BgL_arg1719z00_6738, BgL_rz00_6727);
									}
									{
										obj_t BgL_rz00_18450;
										obj_t BgL_lz00_18449;

										BgL_lz00_18449 = BgL_arg1717z00_6736;
										BgL_rz00_18450 = BgL_arg1718z00_6737;
										BgL_rz00_6727 = BgL_rz00_18450;
										BgL_lz00_6726 = BgL_lz00_18449;
										goto BgL_rec2z00_6725;
									}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 710 */
							{	/* Eval/evaluate_comp.scm 715 */
								obj_t BgL_arg1721z00_1678;

								{	/* Eval/evaluate_comp.scm 715 */
									obj_t BgL_fun1722z00_1679;

									BgL_fun1722z00_1679 = CAR(BgL_lz00_1661);
									BgL_arg1721z00_1678 =
										PROCEDURE_ENTRY(BgL_fun1722z00_1679) (BgL_fun1722z00_1679,
										BgL_sz00_131, BEOA);
								}
								VECTOR_SET(BgL_sz00_131,
									CINT(BgL_spz00_1662), BgL_arg1721z00_1678);
							}
							{	/* Eval/evaluate_comp.scm 716 */
								obj_t BgL_arg1723z00_1680;
								long BgL_arg1724z00_1681;
								long BgL_arg1725z00_1682;

								BgL_arg1723z00_1680 = CDR(BgL_lz00_1661);
								BgL_arg1724z00_1681 =
									((long) CINT(BgL_spz00_1662) + ((long) 1));
								BgL_arg1725z00_1682 = (BgL_nz00_1663 - ((long) 1));
								{
									long BgL_nz00_18465;
									obj_t BgL_spz00_18463;
									obj_t BgL_lz00_18462;

									BgL_lz00_18462 = BgL_arg1723z00_1680;
									BgL_spz00_18463 = BINT(BgL_arg1724z00_1681);
									BgL_nz00_18465 = BgL_arg1725z00_1682;
									BgL_nz00_1663 = BgL_nz00_18465;
									BgL_spz00_1662 = BgL_spz00_18463;
									BgL_lz00_1661 = BgL_lz00_18462;
									goto BgL_zc3anonymousza31712ze3z83_1664;
								}
							}
						}
				}
			}
		}
	}



/* need-shift */
	bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_134,
		obj_t BgL_stkz00_135)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 759 */
			{
				obj_t BgL_lz00_1685;
				obj_t BgL_stkz00_1686;

				BgL_lz00_1685 = BgL_argsz00_134;
				BgL_stkz00_1686 = BgL_stkz00_135;
			BgL_zc3anonymousza31726ze3z83_1687:
				{	/* Eval/evaluate_comp.scm 763 */
					bool_t BgL_testz00_18466;

					if (NULLP(BgL_lz00_1685))
						{	/* Eval/evaluate_comp.scm 763 */
							BgL_testz00_18466 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 763 */
							BgL_testz00_18466 = NULLP(BgL_stkz00_1686);
						}
					if (BgL_testz00_18466)
						{	/* Eval/evaluate_comp.scm 763 */
							return ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_comp.scm 765 */
							bool_t BgL_testz00_18470;

							{	/* Eval/evaluate_comp.scm 765 */
								obj_t BgL_g1340z00_1704;

								BgL_g1340z00_1704 = CDR(BgL_lz00_1685);
								{
									obj_t BgL_l1338z00_1706;

									{	/* Eval/evaluate_comp.scm 765 */
										obj_t BgL_tmpz00_18472;

										BgL_l1338z00_1706 = BgL_g1340z00_1704;
									BgL_zc3anonymousza31739ze3z83_1707:
										if (NULLP(BgL_l1338z00_1706))
											{	/* Eval/evaluate_comp.scm 765 */
												BgL_tmpz00_18472 = BFALSE;
											}
										else
											{	/* Eval/evaluate_comp.scm 765 */
												obj_t BgL__ortest_1341z00_1709;

												{	/* Eval/evaluate_comp.scm 765 */
													obj_t BgL_ez00_1711;

													BgL_ez00_1711 = CAR(BgL_l1338z00_1706);
													{	/* Eval/evaluate_comp.scm 765 */
														obj_t BgL_arg1741z00_1712;
														obj_t BgL_arg1743z00_1713;

														BgL_arg1741z00_1712 = CAR(BgL_stkz00_1686);
														BgL_arg1743z00_1713 =
															BGl_usez00zz__evaluate_usez00(
															((BgL_ev_exprz00_bglt) BgL_ez00_1711), BNIL);
														BgL__ortest_1341z00_1709 =
															BGl_memqz00zz__r4_pairs_and_lists_6_3z00
															(BgL_arg1741z00_1712, BgL_arg1743z00_1713);
													}
												}
												if (CBOOL(BgL__ortest_1341z00_1709))
													{	/* Eval/evaluate_comp.scm 765 */
														BgL_tmpz00_18472 = BgL__ortest_1341z00_1709;
													}
												else
													{
														obj_t BgL_l1338z00_18482;

														BgL_l1338z00_18482 = CDR(BgL_l1338z00_1706);
														BgL_l1338z00_1706 = BgL_l1338z00_18482;
														goto BgL_zc3anonymousza31739ze3z83_1707;
													}
											}
										BgL_testz00_18470 = CBOOL(BgL_tmpz00_18472);
									}
								}
							}
							if (BgL_testz00_18470)
								{	/* Eval/evaluate_comp.scm 765 */
									return ((bool_t) 1);
								}
							else
								{
									obj_t BgL_stkz00_18487;
									obj_t BgL_lz00_18485;

									BgL_lz00_18485 = CDR(BgL_lz00_1685);
									BgL_stkz00_18487 = CDR(BgL_stkz00_1686);
									BgL_stkz00_1686 = BgL_stkz00_18487;
									BgL_lz00_1685 = BgL_lz00_18485;
									goto BgL_zc3anonymousza31726ze3z83_1687;
								}
						}
				}
			}
		}
	}



/* comp-old-call */
	obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_ez00_136, obj_t BgL_stkz00_137)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 769 */
			{	/* Eval/evaluate_comp.scm 771 */
				long BgL_siza7eza7_1718;
				long BgL_nbargsz00_1719;
				obj_t BgL_fz00_1720;
				obj_t BgL_symbzd2funzd2_1721;

				BgL_siza7eza7_1718 = bgl_list_length(BgL_stkz00_137);
				BgL_nbargsz00_1719 =
					bgl_list_length(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00));
				BgL_fz00_1720 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_funz00),
					BgL_stkz00_137);
				BgL_symbzd2funzd2_1721 =
					BGl_uncompilez00zz__evaluate_uncompz00((((BgL_ev_appz00_bglt)
							CREF(BgL_ez00_136))->BgL_funz00));
				if (CBOOL((((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_tailzf3zf3)))
					{	/* Eval/evaluate_comp.scm 773 */
						if (BGl_needzd2shiftzd2zz__evaluate_compz00(
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
								BgL_stkz00_137))
							{	/* Eval/evaluate_comp.scm 780 */
								bool_t BgL_testz00_18502;

								{	/* Eval/evaluate_comp.scm 780 */
									int BgL_arg1798z00_1800;

									BgL_arg1798z00_1800 = bgl_debug();
									BgL_testz00_18502 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1798z00_1800),
										BINT(((long) 0)));
								}
								if (BgL_testz00_18502)
									{	/* Eval/evaluate_comp.scm 780 */
										obj_t BgL_argsz00_1727;

										BgL_argsz00_1727 =
											BGl_compzd2withzd2pushz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
											BgL_stkz00_137);
										{	/* Eval/evaluate_comp.scm 780 */
											obj_t BgL_zc3anonymousza31750ze3z83_13355;

											BgL_zc3anonymousza31750ze3z83_13355 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza31750ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 6)));
											PROCEDURE_SET(BgL_zc3anonymousza31750ze3z83_13355,
												(int) (((long) 0)), BgL_fz00_1720);
											PROCEDURE_SET(BgL_zc3anonymousza31750ze3z83_13355,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3anonymousza31750ze3z83_13355,
												(int) (((long) 2)), BgL_symbzd2funzd2_1721);
											PROCEDURE_SET(BgL_zc3anonymousza31750ze3z83_13355,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1719));
											PROCEDURE_SET(BgL_zc3anonymousza31750ze3z83_13355,
												(int) (((long) 4)), BgL_argsz00_1727);
											PROCEDURE_SET(BgL_zc3anonymousza31750ze3z83_13355,
												(int) (((long) 5)), BINT(BgL_siza7eza7_1718));
											return BgL_zc3anonymousza31750ze3z83_13355;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 780 */
										obj_t BgL_argsz00_1765;

										BgL_argsz00_1765 =
											BGl_compzd2withzd2pushz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
											BgL_stkz00_137);
										{	/* Eval/evaluate_comp.scm 780 */
											obj_t BgL_zc3anonymousza31777ze3z83_13356;

											BgL_zc3anonymousza31777ze3z83_13356 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza31777ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 6)));
											PROCEDURE_SET(BgL_zc3anonymousza31777ze3z83_13356,
												(int) (((long) 0)), BgL_fz00_1720);
											PROCEDURE_SET(BgL_zc3anonymousza31777ze3z83_13356,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3anonymousza31777ze3z83_13356,
												(int) (((long) 2)), BgL_symbzd2funzd2_1721);
											PROCEDURE_SET(BgL_zc3anonymousza31777ze3z83_13356,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1719));
											PROCEDURE_SET(BgL_zc3anonymousza31777ze3z83_13356,
												(int) (((long) 4)), BgL_argsz00_1765);
											PROCEDURE_SET(BgL_zc3anonymousza31777ze3z83_13356,
												(int) (((long) 5)), BINT(BgL_siza7eza7_1718));
											return BgL_zc3anonymousza31777ze3z83_13356;
										}
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 788 */
								bool_t BgL_testz00_18547;

								{	/* Eval/evaluate_comp.scm 788 */
									int BgL_arg1844z00_1870;

									BgL_arg1844z00_1870 = bgl_debug();
									BgL_testz00_18547 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1844z00_1870),
										BINT(((long) 0)));
								}
								if (BgL_testz00_18547)
									{	/* Eval/evaluate_comp.scm 788 */
										obj_t BgL_argsz00_1803;

										BgL_argsz00_1803 =
											BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137,
											(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
											BgL_siza7eza7_1718);
										{	/* Eval/evaluate_comp.scm 788 */
											obj_t BgL_zc3anonymousza31801ze3z83_13357;

											BgL_zc3anonymousza31801ze3z83_13357 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza31801ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 5)));
											PROCEDURE_SET(BgL_zc3anonymousza31801ze3z83_13357,
												(int) (((long) 0)), BgL_fz00_1720);
											PROCEDURE_SET(BgL_zc3anonymousza31801ze3z83_13357,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3anonymousza31801ze3z83_13357,
												(int) (((long) 2)), BgL_symbzd2funzd2_1721);
											PROCEDURE_SET(BgL_zc3anonymousza31801ze3z83_13357,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1719));
											PROCEDURE_SET(BgL_zc3anonymousza31801ze3z83_13357,
												(int) (((long) 4)), BgL_argsz00_1803);
											return BgL_zc3anonymousza31801ze3z83_13357;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 788 */
										obj_t BgL_argsz00_1838;

										BgL_argsz00_1838 =
											BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137,
											(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
											BgL_siza7eza7_1718);
										{	/* Eval/evaluate_comp.scm 788 */
											obj_t BgL_zc3anonymousza31827ze3z83_13358;

											BgL_zc3anonymousza31827ze3z83_13358 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza31827ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 5)));
											PROCEDURE_SET(BgL_zc3anonymousza31827ze3z83_13358,
												(int) (((long) 0)), BgL_fz00_1720);
											PROCEDURE_SET(BgL_zc3anonymousza31827ze3z83_13358,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3anonymousza31827ze3z83_13358,
												(int) (((long) 2)), BgL_symbzd2funzd2_1721);
											PROCEDURE_SET(BgL_zc3anonymousza31827ze3z83_13358,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1719));
											PROCEDURE_SET(BgL_zc3anonymousza31827ze3z83_13358,
												(int) (((long) 4)), BgL_argsz00_1838);
											return BgL_zc3anonymousza31827ze3z83_13358;
										}
									}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 774 */
						bool_t BgL_testz00_18586;

						{	/* Eval/evaluate_comp.scm 774 */
							int BgL_arg1886z00_1941;

							BgL_arg1886z00_1941 = bgl_debug();
							BgL_testz00_18586 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1886z00_1941),
								BINT(((long) 0)));
						}
						if (BgL_testz00_18586)
							{	/* Eval/evaluate_comp.scm 774 */
								obj_t BgL_argsz00_1874;

								BgL_argsz00_1874 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
									BgL_stkz00_137);
								{	/* Eval/evaluate_comp.scm 774 */
									obj_t BgL_zc3anonymousza31848ze3z83_13359;

									BgL_zc3anonymousza31848ze3z83_13359 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31848ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_zc3anonymousza31848ze3z83_13359,
										(int) (((long) 0)), BgL_fz00_1720);
									PROCEDURE_SET(BgL_zc3anonymousza31848ze3z83_13359,
										(int) (((long) 1)), ((obj_t) BgL_ez00_136));
									PROCEDURE_SET(BgL_zc3anonymousza31848ze3z83_13359,
										(int) (((long) 2)), BgL_symbzd2funzd2_1721);
									PROCEDURE_SET(BgL_zc3anonymousza31848ze3z83_13359,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1719));
									PROCEDURE_SET(BgL_zc3anonymousza31848ze3z83_13359,
										(int) (((long) 4)), BgL_argsz00_1874);
									PROCEDURE_SET(BgL_zc3anonymousza31848ze3z83_13359,
										(int) (((long) 5)), BINT(BgL_siza7eza7_1718));
									return BgL_zc3anonymousza31848ze3z83_13359;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 774 */
								obj_t BgL_argsz00_1909;

								BgL_argsz00_1909 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
									BgL_stkz00_137);
								{	/* Eval/evaluate_comp.scm 774 */
									obj_t BgL_zc3anonymousza31868ze3z83_13360;

									BgL_zc3anonymousza31868ze3z83_13360 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31868ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_zc3anonymousza31868ze3z83_13360,
										(int) (((long) 0)), BgL_fz00_1720);
									PROCEDURE_SET(BgL_zc3anonymousza31868ze3z83_13360,
										(int) (((long) 1)), ((obj_t) BgL_ez00_136));
									PROCEDURE_SET(BgL_zc3anonymousza31868ze3z83_13360,
										(int) (((long) 2)), BgL_symbzd2funzd2_1721);
									PROCEDURE_SET(BgL_zc3anonymousza31868ze3z83_13360,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1719));
									PROCEDURE_SET(BgL_zc3anonymousza31868ze3z83_13360,
										(int) (((long) 4)), BgL_argsz00_1909);
									PROCEDURE_SET(BgL_zc3anonymousza31868ze3z83_13360,
										(int) (((long) 5)), BINT(BgL_siza7eza7_1718));
									return BgL_zc3anonymousza31868ze3z83_13360;
								}
							}
					}
			}
		}
	}



/* &<anonymous:1750> */
	obj_t BGl_z62zc3anonymousza31750ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13361, obj_t BgL_sz00_13368)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 780 */
			{	/* Eval/evaluate_comp.scm 780 */
				obj_t BgL_fz00_13362;
				BgL_ev_appz00_bglt BgL_i1155z00_13363;
				obj_t BgL_symbzd2funzd2_13364;
				long BgL_nbargsz00_13365;
				obj_t BgL_argsz00_13366;
				long BgL_siza7eza7_13367;

				BgL_fz00_13362 = PROCEDURE_REF(BgL_envz00_13361, (int) (((long) 0)));
				BgL_i1155z00_13363 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13361, (int) (((long) 1))));
				BgL_symbzd2funzd2_13364 =
					PROCEDURE_REF(BgL_envz00_13361, (int) (((long) 2)));
				BgL_nbargsz00_13365 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13361, (int) (((long) 3))));
				BgL_argsz00_13366 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13361, (int) (((long) 4))));
				BgL_siza7eza7_13367 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13361, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 780 */
					obj_t BgL_bpz00_15346;

					BgL_bpz00_15346 = VECTOR_REF(BgL_sz00_13368, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 780 */
						obj_t BgL_fz00_15347;

						BgL_fz00_15347 =
							PROCEDURE_ENTRY(BgL_fz00_13362) (BgL_fz00_13362, BgL_sz00_13368,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15347))
							{	/* Eval/evaluate_comp.scm 780 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 780 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) CREF(BgL_i1155z00_13363))->BgL_locz00),
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15347);
							}
						{	/* Eval/evaluate_comp.scm 780 */
							obj_t BgL_ufz00_15348;

							BgL_ufz00_15348 = PROCEDURE_ATTR(BgL_fz00_15347);
							{	/* Eval/evaluate_comp.scm 780 */
								bool_t BgL_testz00_18658;

								if (STRUCTP(BgL_ufz00_15348))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_18658 =
											(STRUCT_KEY(BgL_ufz00_15348) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_18658 = ((bool_t) 0);
									}
								if (BgL_testz00_18658)
									{	/* Eval/evaluate_comp.scm 780 */
										obj_t BgL_arityz00_15349;
										obj_t BgL_runz00_15350;
										obj_t BgL_sfz00_15351;

										BgL_arityz00_15349 =
											STRUCT_REF(BgL_ufz00_15348, (int) (((long) 0)));
										BgL_runz00_15350 =
											STRUCT_REF(BgL_ufz00_15348, (int) (((long) 1)));
										BgL_sfz00_15351 =
											STRUCT_REF(BgL_ufz00_15348, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 780 */
											long BgL_spz00_15352;

											BgL_spz00_15352 =
												((long) CINT(BgL_bpz00_15346) + BgL_siza7eza7_13367);
											if (
												((long) CINT(BgL_arityz00_15349) ==
													BgL_nbargsz00_13365))
												{	/* Eval/evaluate_comp.scm 780 */
													{
														obj_t BgL_lz00_15354;
														long BgL_spz00_15355;

														BgL_lz00_15354 = BgL_argsz00_13366;
														BgL_spz00_15355 = BgL_spz00_15352;
													BgL_recz00_15353:
														if (NULLP(BgL_lz00_15354))
															{	/* Eval/evaluate_comp.scm 704 */
																((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 704 */
																{	/* Eval/evaluate_comp.scm 705 */
																	obj_t BgL_arg1708z00_15356;

																	{	/* Eval/evaluate_comp.scm 705 */
																		obj_t BgL_fun1709z00_15357;

																		BgL_fun1709z00_15357 = CAR(BgL_lz00_15354);
																		BgL_arg1708z00_15356 =
																			PROCEDURE_ENTRY(BgL_fun1709z00_15357)
																			(BgL_fun1709z00_15357, BgL_sz00_13368,
																			BEOA);
																	}
																	VECTOR_SET(BgL_sz00_13368,
																		(int) (BgL_spz00_15355),
																		BgL_arg1708z00_15356);
																}
																{
																	long BgL_spz00_18685;
																	obj_t BgL_lz00_18683;

																	BgL_lz00_18683 = CDR(BgL_lz00_15354);
																	BgL_spz00_18685 =
																		(BgL_spz00_15355 + ((long) 1));
																	BgL_spz00_15355 = BgL_spz00_18685;
																	BgL_lz00_15354 = BgL_lz00_18683;
																	goto BgL_recz00_15353;
																}
															}
													}
													{	/* Eval/evaluate_comp.scm 784 */
														long BgL_arg1755z00_15358;

														BgL_arg1755z00_15358 =
															(BgL_spz00_15352 + BgL_nbargsz00_13365);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_sz00_13368, (long) CINT(BgL_bpz00_15346),
															BgL_sz00_13368, BINT(BgL_spz00_15352),
															BINT(BgL_arg1755z00_15358));
												}}
											else
												{	/* Eval/evaluate_comp.scm 780 */
													bool_t BgL_testz00_18692;

													if (((long) CINT(BgL_arityz00_15349) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 780 */
															BgL_testz00_18692 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 780 */
															BgL_testz00_18692 =
																(
																(long) CINT(BgL_arityz00_15349) <
																(((long) -1) - BgL_nbargsz00_13365));
														}
													if (BgL_testz00_18692)
														{	/* Eval/evaluate_comp.scm 780 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		CREF(BgL_i1155z00_13363))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15348, (int) (((long) 3))),
																(int) (BgL_nbargsz00_13365),
																CINT(BgL_arityz00_15349));
														}
													else
														{	/* Eval/evaluate_comp.scm 780 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15349, BgL_sz00_13368,
																BgL_argsz00_13366, BINT(BgL_spz00_15352));
															{	/* Eval/evaluate_comp.scm 786 */
																long BgL_arg1761z00_15359;

																BgL_arg1761z00_15359 =
																	(BgL_spz00_15352 +
																	(((long) 0) -
																		(long) CINT(BgL_arityz00_15349)));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_sz00_13368, (long) CINT(BgL_bpz00_15346),
																	BgL_sz00_13368, BINT(BgL_spz00_15352),
																	BINT(BgL_arg1761z00_15359));
												}}}
											{	/* Eval/evaluate_comp.scm 780 */
												obj_t BgL_z12denvz12_15360;

												BgL_z12denvz12_15360 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate_comp.scm 780 */
													obj_t BgL_tmpz00_18715;

													BgL_tmpz00_18715 =
														(((BgL_ev_appz00_bglt) CREF(BgL_i1155z00_13363))->
														BgL_locz00);
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15360,
														BgL_tmpz00_18715);
												}
												if (
													(((long) CINT(BgL_bpz00_15346) +
															(long) CINT(BgL_sfz00_15351)) <
														(long) (VECTOR_LENGTH(BgL_sz00_13368))))
													{	/* Eval/evaluate_comp.scm 780 */
														return BgL_runz00_15350;
													}
												else
													{	/* Eval/evaluate_comp.scm 780 */
														obj_t BgL_nsz00_15361;

														BgL_nsz00_15361 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 780 */
															long BgL_arg1768z00_15362;

															BgL_arg1768z00_15362 =
																(
																(long) CINT(BgL_bpz00_15346) +
																BgL_nbargsz00_13365);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15361, ((long) 2), BgL_sz00_13368,
																BgL_bpz00_15346, BINT(BgL_arg1768z00_15362));
														}
														VECTOR_SET(BgL_nsz00_15361,
															(int) (((long) 1)), BgL_sz00_13368);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15360,
															BgL_nsz00_15361);
														{	/* Eval/evaluate_comp.scm 780 */
															obj_t BgL_ez00_15363;

															BgL_ez00_15363 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15363, BgL_sz00_13368);
															{	/* Eval/evaluate_comp.scm 780 */
																obj_t BgL_____rz00_15364;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15365;

																	BgL_savedzd2bpzd2_15365 =
																		VECTOR_REF(BgL_nsz00_15361,
																		(int) (((long) 0)));
																	VECTOR_SET(BgL_nsz00_15361,
																		(int) (((long) 0)), BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15367;

																		BgL_fz00_15367 = BgL_runz00_15350;
																	BgL_recz00_15366:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15368;

																			BgL_rz00_15368 =
																				PROCEDURE_ENTRY(BgL_fz00_15367)
																				(BgL_fz00_15367, BgL_nsz00_15361, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_18744;

																				if (PROCEDUREP(BgL_rz00_15368))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1674z00_15369;

																						BgL_arg1674z00_15369 =
																							PROCEDURE_ATTR(BgL_rz00_15368);
																						if (STRUCTP(BgL_arg1674z00_15369))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_18744 =
																									(STRUCT_KEY
																									(BgL_arg1674z00_15369) ==
																									BGl_symbol5695z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_18744 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_18744 = ((bool_t) 0);
																					}
																				if (BgL_testz00_18744)
																					{
																						obj_t BgL_fz00_18752;

																						BgL_fz00_18752 = BgL_rz00_15368;
																						BgL_fz00_15367 = BgL_fz00_18752;
																						goto BgL_recz00_15366;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15361,
																							(int) (((long) 0)),
																							BgL_savedzd2bpzd2_15365);
																						BgL_____rz00_15364 = BgL_rz00_15368;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15363);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15360,
																	BgL_sz00_13368);
																return BgL_____rz00_15364;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 780 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15347,
												(int) (BgL_nbargsz00_13365)))
											{	/* Eval/evaluate_comp.scm 780 */
												{	/* Eval/evaluate_comp.scm 780 */
													obj_t BgL_auxz00_18762;
													obj_t BgL_tmpz00_18760;

													BgL_auxz00_18762 =
														(((BgL_ev_appz00_bglt) CREF(BgL_i1155z00_13363))->
														BgL_locz00);
													BgL_tmpz00_18760 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18760,
														BgL_auxz00_18762);
												}
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13368, BgL_fz00_15347, BgL_argsz00_13366,
													BgL_bpz00_15346, BINT(BgL_siza7eza7_13367));
											}
										else
											{	/* Eval/evaluate_comp.scm 780 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) CREF(BgL_i1155z00_13363))->
														BgL_locz00), BgL_symbzd2funzd2_13364,
													(int) (BgL_nbargsz00_13365),
													PROCEDURE_ARITY(BgL_fz00_15347));
		}}}}}}}}
	}



/* &<anonymous:1777> */
	obj_t BGl_z62zc3anonymousza31777ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13369, obj_t BgL_sz00_13376)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 780 */
			{	/* Eval/evaluate_comp.scm 780 */
				obj_t BgL_fz00_13370;
				BgL_ev_appz00_bglt BgL_i1155z00_13371;
				obj_t BgL_symbzd2funzd2_13372;
				long BgL_nbargsz00_13373;
				obj_t BgL_argsz00_13374;
				long BgL_siza7eza7_13375;

				BgL_fz00_13370 = PROCEDURE_REF(BgL_envz00_13369, (int) (((long) 0)));
				BgL_i1155z00_13371 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13369, (int) (((long) 1))));
				BgL_symbzd2funzd2_13372 =
					PROCEDURE_REF(BgL_envz00_13369, (int) (((long) 2)));
				BgL_nbargsz00_13373 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13369, (int) (((long) 3))));
				BgL_argsz00_13374 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13369, (int) (((long) 4))));
				BgL_siza7eza7_13375 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13369, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 780 */
					obj_t BgL_bpz00_15370;

					BgL_bpz00_15370 = VECTOR_REF(BgL_sz00_13376, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 780 */
						obj_t BgL_fz00_15371;

						BgL_fz00_15371 =
							PROCEDURE_ENTRY(BgL_fz00_13370) (BgL_fz00_13370, BgL_sz00_13376,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15371))
							{	/* Eval/evaluate_comp.scm 780 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 780 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) CREF(BgL_i1155z00_13371))->BgL_locz00),
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15371);
							}
						{	/* Eval/evaluate_comp.scm 780 */
							obj_t BgL_ufz00_15372;

							BgL_ufz00_15372 = PROCEDURE_ATTR(BgL_fz00_15371);
							{	/* Eval/evaluate_comp.scm 780 */
								bool_t BgL_testz00_18798;

								if (STRUCTP(BgL_ufz00_15372))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_18798 =
											(STRUCT_KEY(BgL_ufz00_15372) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_18798 = ((bool_t) 0);
									}
								if (BgL_testz00_18798)
									{	/* Eval/evaluate_comp.scm 780 */
										obj_t BgL_arityz00_15373;
										obj_t BgL_runz00_15374;
										obj_t BgL_sfz00_15375;

										BgL_arityz00_15373 =
											STRUCT_REF(BgL_ufz00_15372, (int) (((long) 0)));
										BgL_runz00_15374 =
											STRUCT_REF(BgL_ufz00_15372, (int) (((long) 1)));
										BgL_sfz00_15375 =
											STRUCT_REF(BgL_ufz00_15372, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 780 */
											long BgL_spz00_15376;

											BgL_spz00_15376 =
												((long) CINT(BgL_bpz00_15370) + BgL_siza7eza7_13375);
											if (
												((long) CINT(BgL_arityz00_15373) ==
													BgL_nbargsz00_13373))
												{	/* Eval/evaluate_comp.scm 780 */
													{
														obj_t BgL_lz00_15378;
														long BgL_spz00_15379;

														BgL_lz00_15378 = BgL_argsz00_13374;
														BgL_spz00_15379 = BgL_spz00_15376;
													BgL_recz00_15377:
														if (NULLP(BgL_lz00_15378))
															{	/* Eval/evaluate_comp.scm 704 */
																((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 704 */
																{	/* Eval/evaluate_comp.scm 705 */
																	obj_t BgL_arg1708z00_15380;

																	{	/* Eval/evaluate_comp.scm 705 */
																		obj_t BgL_fun1709z00_15381;

																		BgL_fun1709z00_15381 = CAR(BgL_lz00_15378);
																		BgL_arg1708z00_15380 =
																			PROCEDURE_ENTRY(BgL_fun1709z00_15381)
																			(BgL_fun1709z00_15381, BgL_sz00_13376,
																			BEOA);
																	}
																	VECTOR_SET(BgL_sz00_13376,
																		(int) (BgL_spz00_15379),
																		BgL_arg1708z00_15380);
																}
																{
																	long BgL_spz00_18825;
																	obj_t BgL_lz00_18823;

																	BgL_lz00_18823 = CDR(BgL_lz00_15378);
																	BgL_spz00_18825 =
																		(BgL_spz00_15379 + ((long) 1));
																	BgL_spz00_15379 = BgL_spz00_18825;
																	BgL_lz00_15378 = BgL_lz00_18823;
																	goto BgL_recz00_15377;
																}
															}
													}
													{	/* Eval/evaluate_comp.scm 784 */
														long BgL_arg1782z00_15382;

														BgL_arg1782z00_15382 =
															(BgL_spz00_15376 + BgL_nbargsz00_13373);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_sz00_13376, (long) CINT(BgL_bpz00_15370),
															BgL_sz00_13376, BINT(BgL_spz00_15376),
															BINT(BgL_arg1782z00_15382));
												}}
											else
												{	/* Eval/evaluate_comp.scm 780 */
													bool_t BgL_testz00_18832;

													if (((long) CINT(BgL_arityz00_15373) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 780 */
															BgL_testz00_18832 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 780 */
															BgL_testz00_18832 =
																(
																(long) CINT(BgL_arityz00_15373) <
																(((long) -1) - BgL_nbargsz00_13373));
														}
													if (BgL_testz00_18832)
														{	/* Eval/evaluate_comp.scm 780 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		CREF(BgL_i1155z00_13371))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15372, (int) (((long) 3))),
																(int) (BgL_nbargsz00_13373),
																CINT(BgL_arityz00_15373));
														}
													else
														{	/* Eval/evaluate_comp.scm 780 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15373, BgL_sz00_13376,
																BgL_argsz00_13374, BINT(BgL_spz00_15376));
															{	/* Eval/evaluate_comp.scm 786 */
																long BgL_arg1789z00_15383;

																BgL_arg1789z00_15383 =
																	(BgL_spz00_15376 +
																	(((long) 0) -
																		(long) CINT(BgL_arityz00_15373)));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_sz00_13376, (long) CINT(BgL_bpz00_15370),
																	BgL_sz00_13376, BINT(BgL_spz00_15376),
																	BINT(BgL_arg1789z00_15383));
												}}}
											{	/* Eval/evaluate_comp.scm 780 */
												obj_t BgL_z12denvz12_15384;

												BgL_z12denvz12_15384 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													(((long) CINT(BgL_bpz00_15370) +
															(long) CINT(BgL_sfz00_15375)) <
														(long) (VECTOR_LENGTH(BgL_sz00_13376))))
													{	/* Eval/evaluate_comp.scm 780 */
														return BgL_runz00_15374;
													}
												else
													{	/* Eval/evaluate_comp.scm 780 */
														obj_t BgL_nsz00_15385;

														BgL_nsz00_15385 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 780 */
															long BgL_arg1793z00_15386;

															BgL_arg1793z00_15386 =
																(
																(long) CINT(BgL_bpz00_15370) +
																BgL_nbargsz00_13373);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15385, ((long) 2), BgL_sz00_13376,
																BgL_bpz00_15370, BINT(BgL_arg1793z00_15386));
														}
														VECTOR_SET(BgL_nsz00_15385,
															(int) (((long) 1)), BgL_sz00_13376);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15384,
															BgL_nsz00_15385);
														{	/* Eval/evaluate_comp.scm 780 */
															obj_t BgL_ez00_15387;

															BgL_ez00_15387 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15387, BgL_sz00_13376);
															{	/* Eval/evaluate_comp.scm 780 */
																obj_t BgL_____rz00_15388;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15389;

																	BgL_savedzd2bpzd2_15389 =
																		VECTOR_REF(BgL_nsz00_15385,
																		(int) (((long) 0)));
																	VECTOR_SET(BgL_nsz00_15385,
																		(int) (((long) 0)), BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15391;

																		BgL_fz00_15391 = BgL_runz00_15374;
																	BgL_recz00_15390:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15392;

																			BgL_rz00_15392 =
																				PROCEDURE_ENTRY(BgL_fz00_15391)
																				(BgL_fz00_15391, BgL_nsz00_15385, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_18881;

																				if (PROCEDUREP(BgL_rz00_15392))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1674z00_15393;

																						BgL_arg1674z00_15393 =
																							PROCEDURE_ATTR(BgL_rz00_15392);
																						if (STRUCTP(BgL_arg1674z00_15393))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_18881 =
																									(STRUCT_KEY
																									(BgL_arg1674z00_15393) ==
																									BGl_symbol5695z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_18881 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_18881 = ((bool_t) 0);
																					}
																				if (BgL_testz00_18881)
																					{
																						obj_t BgL_fz00_18889;

																						BgL_fz00_18889 = BgL_rz00_15392;
																						BgL_fz00_15391 = BgL_fz00_18889;
																						goto BgL_recz00_15390;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15385,
																							(int) (((long) 0)),
																							BgL_savedzd2bpzd2_15389);
																						BgL_____rz00_15388 = BgL_rz00_15392;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15387);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15384,
																	BgL_sz00_13376);
																return BgL_____rz00_15388;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 780 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15371,
												(int) (BgL_nbargsz00_13373)))
											{	/* Eval/evaluate_comp.scm 780 */
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13376, BgL_fz00_15371, BgL_argsz00_13374,
													BgL_bpz00_15370, BINT(BgL_siza7eza7_13375));
											}
										else
											{	/* Eval/evaluate_comp.scm 780 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) CREF(BgL_i1155z00_13371))->
														BgL_locz00), BgL_symbzd2funzd2_13372,
													(int) (BgL_nbargsz00_13373),
													PROCEDURE_ARITY(BgL_fz00_15371));
		}}}}}}}}
	}



/* &<anonymous:1801> */
	obj_t BGl_z62zc3anonymousza31801ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13377, obj_t BgL_sz00_13383)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 788 */
			{	/* Eval/evaluate_comp.scm 788 */
				obj_t BgL_fz00_13378;
				BgL_ev_appz00_bglt BgL_i1155z00_13379;
				obj_t BgL_symbzd2funzd2_13380;
				long BgL_nbargsz00_13381;
				obj_t BgL_argsz00_13382;

				BgL_fz00_13378 = PROCEDURE_REF(BgL_envz00_13377, (int) (((long) 0)));
				BgL_i1155z00_13379 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13377, (int) (((long) 1))));
				BgL_symbzd2funzd2_13380 =
					PROCEDURE_REF(BgL_envz00_13377, (int) (((long) 2)));
				BgL_nbargsz00_13381 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13377, (int) (((long) 3))));
				BgL_argsz00_13382 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13377, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 788 */
					obj_t BgL_bpz00_15394;

					BgL_bpz00_15394 = VECTOR_REF(BgL_sz00_13383, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 788 */
						obj_t BgL_fz00_15395;

						BgL_fz00_15395 =
							PROCEDURE_ENTRY(BgL_fz00_13378) (BgL_fz00_13378, BgL_sz00_13383,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15395))
							{	/* Eval/evaluate_comp.scm 788 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 788 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) CREF(BgL_i1155z00_13379))->BgL_locz00),
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15395);
							}
						{	/* Eval/evaluate_comp.scm 788 */
							obj_t BgL_ufz00_15396;

							BgL_ufz00_15396 = PROCEDURE_ATTR(BgL_fz00_15395);
							{	/* Eval/evaluate_comp.scm 788 */
								bool_t BgL_testz00_18927;

								if (STRUCTP(BgL_ufz00_15396))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_18927 =
											(STRUCT_KEY(BgL_ufz00_15396) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_18927 = ((bool_t) 0);
									}
								if (BgL_testz00_18927)
									{	/* Eval/evaluate_comp.scm 788 */
										obj_t BgL_arityz00_15397;
										obj_t BgL_runz00_15398;
										obj_t BgL_sfz00_15399;

										BgL_arityz00_15397 =
											STRUCT_REF(BgL_ufz00_15396, (int) (((long) 0)));
										BgL_runz00_15398 =
											STRUCT_REF(BgL_ufz00_15396, (int) (((long) 1)));
										BgL_sfz00_15399 =
											STRUCT_REF(BgL_ufz00_15396, (int) (((long) 2)));
										if (
											((long) CINT(BgL_arityz00_15397) == BgL_nbargsz00_13381))
											{
												obj_t BgL_lz00_15401;
												obj_t BgL_spz00_15402;

												{	/* Eval/evaluate_comp.scm 703 */
													bool_t BgL_tmpz00_18941;

													BgL_lz00_15401 = BgL_argsz00_13382;
													BgL_spz00_15402 = BgL_bpz00_15394;
												BgL_recz00_15400:
													if (NULLP(BgL_lz00_15401))
														{	/* Eval/evaluate_comp.scm 704 */
															BgL_tmpz00_18941 = ((bool_t) 0);
														}
													else
														{	/* Eval/evaluate_comp.scm 704 */
															{	/* Eval/evaluate_comp.scm 705 */
																obj_t BgL_arg1708z00_15403;

																{	/* Eval/evaluate_comp.scm 705 */
																	obj_t BgL_fun1709z00_15404;

																	BgL_fun1709z00_15404 = CAR(BgL_lz00_15401);
																	BgL_arg1708z00_15403 =
																		PROCEDURE_ENTRY(BgL_fun1709z00_15404)
																		(BgL_fun1709z00_15404, BgL_sz00_13383,
																		BEOA);
																}
																VECTOR_SET(BgL_sz00_13383,
																	CINT(BgL_spz00_15402), BgL_arg1708z00_15403);
															}
															{	/* Eval/evaluate_comp.scm 706 */
																obj_t BgL_arg1710z00_15405;
																long BgL_arg1711z00_15406;

																BgL_arg1710z00_15405 = CDR(BgL_lz00_15401);
																BgL_arg1711z00_15406 =
																	((long) CINT(BgL_spz00_15402) + ((long) 1));
																{
																	obj_t BgL_spz00_18955;
																	obj_t BgL_lz00_18954;

																	BgL_lz00_18954 = BgL_arg1710z00_15405;
																	BgL_spz00_18955 = BINT(BgL_arg1711z00_15406);
																	BgL_spz00_15402 = BgL_spz00_18955;
																	BgL_lz00_15401 = BgL_lz00_18954;
																	goto BgL_recz00_15400;
																}
															}
														}
													BBOOL(BgL_tmpz00_18941);
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 788 */
												bool_t BgL_testz00_18958;

												if (((long) CINT(BgL_arityz00_15397) >= ((long) 0)))
													{	/* Eval/evaluate_comp.scm 788 */
														BgL_testz00_18958 = ((bool_t) 1);
													}
												else
													{	/* Eval/evaluate_comp.scm 788 */
														BgL_testz00_18958 =
															(
															(long) CINT(BgL_arityz00_15397) <
															(((long) -1) - BgL_nbargsz00_13381));
													}
												if (BgL_testz00_18958)
													{	/* Eval/evaluate_comp.scm 788 */
														BGl_evarityzd2errorzd2zz__everrorz00(
															(((BgL_ev_appz00_bglt) CREF(BgL_i1155z00_13379))->
																BgL_locz00), STRUCT_REF(BgL_ufz00_15396,
																(int) (((long) 3))),
															(int) (BgL_nbargsz00_13381),
															CINT(BgL_arityz00_15397));
													}
												else
													{	/* Eval/evaluate_comp.scm 788 */
														BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
															(BgL_arityz00_15397, BgL_sz00_13383,
															BgL_argsz00_13382, BgL_bpz00_15394);
													}
											}
										{	/* Eval/evaluate_comp.scm 788 */
											obj_t BgL_z12denvz12_15407;

											BgL_z12denvz12_15407 = BGL_CURRENT_DYNAMIC_ENV();
											{	/* Eval/evaluate_comp.scm 788 */
												obj_t BgL_tmpz00_18973;

												BgL_tmpz00_18973 =
													(((BgL_ev_appz00_bglt) CREF(BgL_i1155z00_13379))->
													BgL_locz00);
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15407,
													BgL_tmpz00_18973);
											}
											if (
												(((long) CINT(BgL_bpz00_15394) +
														(long) CINT(BgL_sfz00_15399)) <
													(long) (VECTOR_LENGTH(BgL_sz00_13383))))
												{	/* Eval/evaluate_comp.scm 788 */
													return BgL_runz00_15398;
												}
											else
												{	/* Eval/evaluate_comp.scm 788 */
													obj_t BgL_nsz00_15408;

													BgL_nsz00_15408 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 788 */
														long BgL_arg1816z00_15409;

														BgL_arg1816z00_15409 =
															(
															(long) CINT(BgL_bpz00_15394) +
															BgL_nbargsz00_13381);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15408, ((long) 2), BgL_sz00_13383,
															BgL_bpz00_15394, BINT(BgL_arg1816z00_15409));
													}
													VECTOR_SET(BgL_nsz00_15408,
														(int) (((long) 1)), BgL_sz00_13383);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15407,
														BgL_nsz00_15408);
													{	/* Eval/evaluate_comp.scm 788 */
														obj_t BgL_ez00_15410;

														BgL_ez00_15410 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15410, BgL_sz00_13383);
														{	/* Eval/evaluate_comp.scm 788 */
															obj_t BgL_____rz00_15411;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15412;

																BgL_savedzd2bpzd2_15412 =
																	VECTOR_REF(BgL_nsz00_15408,
																	(int) (((long) 0)));
																VECTOR_SET(BgL_nsz00_15408,
																	(int) (((long) 0)), BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15414;

																	BgL_fz00_15414 = BgL_runz00_15398;
																BgL_recz00_15413:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15415;

																		BgL_rz00_15415 =
																			PROCEDURE_ENTRY(BgL_fz00_15414)
																			(BgL_fz00_15414, BgL_nsz00_15408, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_19002;

																			if (PROCEDUREP(BgL_rz00_15415))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1674z00_15416;

																					BgL_arg1674z00_15416 =
																						PROCEDURE_ATTR(BgL_rz00_15415);
																					if (STRUCTP(BgL_arg1674z00_15416))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19002 =
																								(STRUCT_KEY
																								(BgL_arg1674z00_15416) ==
																								BGl_symbol5695z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19002 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_19002 = ((bool_t) 0);
																				}
																			if (BgL_testz00_19002)
																				{
																					obj_t BgL_fz00_19010;

																					BgL_fz00_19010 = BgL_rz00_15415;
																					BgL_fz00_15414 = BgL_fz00_19010;
																					goto BgL_recz00_15413;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15408,
																						(int) (((long) 0)),
																						BgL_savedzd2bpzd2_15412);
																					BgL_____rz00_15411 = BgL_rz00_15415;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15410);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15407,
																BgL_sz00_13383);
															return BgL_____rz00_15411;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 788 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15395,
												(int) (BgL_nbargsz00_13381)))
											{	/* Eval/evaluate_comp.scm 788 */
												{	/* Eval/evaluate_comp.scm 788 */
													obj_t BgL_auxz00_19020;
													obj_t BgL_tmpz00_19018;

													BgL_auxz00_19020 =
														(((BgL_ev_appz00_bglt) CREF(BgL_i1155z00_13379))->
														BgL_locz00);
													BgL_tmpz00_19018 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19018,
														BgL_auxz00_19020);
												}
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13383, BgL_fz00_15395, BgL_argsz00_13382,
													BgL_bpz00_15394, BINT(BgL_nbargsz00_13381));
											}
										else
											{	/* Eval/evaluate_comp.scm 788 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) CREF(BgL_i1155z00_13379))->
														BgL_locz00), BgL_symbzd2funzd2_13380,
													(int) (BgL_nbargsz00_13381),
													PROCEDURE_ARITY(BgL_fz00_15395));
		}}}}}}}}
	}



/* &<anonymous:1827> */
	obj_t BGl_z62zc3anonymousza31827ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13384, obj_t BgL_sz00_13390)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 788 */
			{	/* Eval/evaluate_comp.scm 788 */
				obj_t BgL_fz00_13385;
				BgL_ev_appz00_bglt BgL_i1155z00_13386;
				obj_t BgL_symbzd2funzd2_13387;
				long BgL_nbargsz00_13388;
				obj_t BgL_argsz00_13389;

				BgL_fz00_13385 = PROCEDURE_REF(BgL_envz00_13384, (int) (((long) 0)));
				BgL_i1155z00_13386 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13384, (int) (((long) 1))));
				BgL_symbzd2funzd2_13387 =
					PROCEDURE_REF(BgL_envz00_13384, (int) (((long) 2)));
				BgL_nbargsz00_13388 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13384, (int) (((long) 3))));
				BgL_argsz00_13389 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13384, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 788 */
					obj_t BgL_bpz00_15417;

					BgL_bpz00_15417 = VECTOR_REF(BgL_sz00_13390, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 788 */
						obj_t BgL_fz00_15418;

						BgL_fz00_15418 =
							PROCEDURE_ENTRY(BgL_fz00_13385) (BgL_fz00_13385, BgL_sz00_13390,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15418))
							{	/* Eval/evaluate_comp.scm 788 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 788 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) CREF(BgL_i1155z00_13386))->BgL_locz00),
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15418);
							}
						{	/* Eval/evaluate_comp.scm 788 */
							obj_t BgL_ufz00_15419;

							BgL_ufz00_15419 = PROCEDURE_ATTR(BgL_fz00_15418);
							{	/* Eval/evaluate_comp.scm 788 */
								bool_t BgL_testz00_19053;

								if (STRUCTP(BgL_ufz00_15419))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19053 =
											(STRUCT_KEY(BgL_ufz00_15419) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19053 = ((bool_t) 0);
									}
								if (BgL_testz00_19053)
									{	/* Eval/evaluate_comp.scm 788 */
										obj_t BgL_arityz00_15420;
										obj_t BgL_runz00_15421;
										obj_t BgL_sfz00_15422;

										BgL_arityz00_15420 =
											STRUCT_REF(BgL_ufz00_15419, (int) (((long) 0)));
										BgL_runz00_15421 =
											STRUCT_REF(BgL_ufz00_15419, (int) (((long) 1)));
										BgL_sfz00_15422 =
											STRUCT_REF(BgL_ufz00_15419, (int) (((long) 2)));
										if (
											((long) CINT(BgL_arityz00_15420) == BgL_nbargsz00_13388))
											{
												obj_t BgL_lz00_15424;
												obj_t BgL_spz00_15425;

												{	/* Eval/evaluate_comp.scm 703 */
													bool_t BgL_tmpz00_19067;

													BgL_lz00_15424 = BgL_argsz00_13389;
													BgL_spz00_15425 = BgL_bpz00_15417;
												BgL_recz00_15423:
													if (NULLP(BgL_lz00_15424))
														{	/* Eval/evaluate_comp.scm 704 */
															BgL_tmpz00_19067 = ((bool_t) 0);
														}
													else
														{	/* Eval/evaluate_comp.scm 704 */
															{	/* Eval/evaluate_comp.scm 705 */
																obj_t BgL_arg1708z00_15426;

																{	/* Eval/evaluate_comp.scm 705 */
																	obj_t BgL_fun1709z00_15427;

																	BgL_fun1709z00_15427 = CAR(BgL_lz00_15424);
																	BgL_arg1708z00_15426 =
																		PROCEDURE_ENTRY(BgL_fun1709z00_15427)
																		(BgL_fun1709z00_15427, BgL_sz00_13390,
																		BEOA);
																}
																VECTOR_SET(BgL_sz00_13390,
																	CINT(BgL_spz00_15425), BgL_arg1708z00_15426);
															}
															{	/* Eval/evaluate_comp.scm 706 */
																obj_t BgL_arg1710z00_15428;
																long BgL_arg1711z00_15429;

																BgL_arg1710z00_15428 = CDR(BgL_lz00_15424);
																BgL_arg1711z00_15429 =
																	((long) CINT(BgL_spz00_15425) + ((long) 1));
																{
																	obj_t BgL_spz00_19081;
																	obj_t BgL_lz00_19080;

																	BgL_lz00_19080 = BgL_arg1710z00_15428;
																	BgL_spz00_19081 = BINT(BgL_arg1711z00_15429);
																	BgL_spz00_15425 = BgL_spz00_19081;
																	BgL_lz00_15424 = BgL_lz00_19080;
																	goto BgL_recz00_15423;
																}
															}
														}
													BBOOL(BgL_tmpz00_19067);
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 788 */
												bool_t BgL_testz00_19084;

												if (((long) CINT(BgL_arityz00_15420) >= ((long) 0)))
													{	/* Eval/evaluate_comp.scm 788 */
														BgL_testz00_19084 = ((bool_t) 1);
													}
												else
													{	/* Eval/evaluate_comp.scm 788 */
														BgL_testz00_19084 =
															(
															(long) CINT(BgL_arityz00_15420) <
															(((long) -1) - BgL_nbargsz00_13388));
													}
												if (BgL_testz00_19084)
													{	/* Eval/evaluate_comp.scm 788 */
														BGl_evarityzd2errorzd2zz__everrorz00(
															(((BgL_ev_appz00_bglt) CREF(BgL_i1155z00_13386))->
																BgL_locz00), STRUCT_REF(BgL_ufz00_15419,
																(int) (((long) 3))),
															(int) (BgL_nbargsz00_13388),
															CINT(BgL_arityz00_15420));
													}
												else
													{	/* Eval/evaluate_comp.scm 788 */
														BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
															(BgL_arityz00_15420, BgL_sz00_13390,
															BgL_argsz00_13389, BgL_bpz00_15417);
													}
											}
										{	/* Eval/evaluate_comp.scm 788 */
											obj_t BgL_z12denvz12_15430;

											BgL_z12denvz12_15430 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15417) +
														(long) CINT(BgL_sfz00_15422)) <
													(long) (VECTOR_LENGTH(BgL_sz00_13390))))
												{	/* Eval/evaluate_comp.scm 788 */
													return BgL_runz00_15421;
												}
											else
												{	/* Eval/evaluate_comp.scm 788 */
													obj_t BgL_nsz00_15431;

													BgL_nsz00_15431 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 788 */
														long BgL_arg1839z00_15432;

														BgL_arg1839z00_15432 =
															(
															(long) CINT(BgL_bpz00_15417) +
															BgL_nbargsz00_13388);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15431, ((long) 2), BgL_sz00_13390,
															BgL_bpz00_15417, BINT(BgL_arg1839z00_15432));
													}
													VECTOR_SET(BgL_nsz00_15431,
														(int) (((long) 1)), BgL_sz00_13390);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15430,
														BgL_nsz00_15431);
													{	/* Eval/evaluate_comp.scm 788 */
														obj_t BgL_ez00_15433;

														BgL_ez00_15433 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15433, BgL_sz00_13390);
														{	/* Eval/evaluate_comp.scm 788 */
															obj_t BgL_____rz00_15434;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15435;

																BgL_savedzd2bpzd2_15435 =
																	VECTOR_REF(BgL_nsz00_15431,
																	(int) (((long) 0)));
																VECTOR_SET(BgL_nsz00_15431,
																	(int) (((long) 0)), BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15437;

																	BgL_fz00_15437 = BgL_runz00_15421;
																BgL_recz00_15436:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15438;

																		BgL_rz00_15438 =
																			PROCEDURE_ENTRY(BgL_fz00_15437)
																			(BgL_fz00_15437, BgL_nsz00_15431, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_19125;

																			if (PROCEDUREP(BgL_rz00_15438))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1674z00_15439;

																					BgL_arg1674z00_15439 =
																						PROCEDURE_ATTR(BgL_rz00_15438);
																					if (STRUCTP(BgL_arg1674z00_15439))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19125 =
																								(STRUCT_KEY
																								(BgL_arg1674z00_15439) ==
																								BGl_symbol5695z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19125 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_19125 = ((bool_t) 0);
																				}
																			if (BgL_testz00_19125)
																				{
																					obj_t BgL_fz00_19133;

																					BgL_fz00_19133 = BgL_rz00_15438;
																					BgL_fz00_15437 = BgL_fz00_19133;
																					goto BgL_recz00_15436;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15431,
																						(int) (((long) 0)),
																						BgL_savedzd2bpzd2_15435);
																					BgL_____rz00_15434 = BgL_rz00_15438;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15433);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15430,
																BgL_sz00_13390);
															return BgL_____rz00_15434;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 788 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15418,
												(int) (BgL_nbargsz00_13388)))
											{	/* Eval/evaluate_comp.scm 788 */
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13390, BgL_fz00_15418, BgL_argsz00_13389,
													BgL_bpz00_15417, BINT(BgL_nbargsz00_13388));
											}
										else
											{	/* Eval/evaluate_comp.scm 788 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) CREF(BgL_i1155z00_13386))->
														BgL_locz00), BgL_symbzd2funzd2_13387,
													(int) (BgL_nbargsz00_13388),
													PROCEDURE_ARITY(BgL_fz00_15418));
		}}}}}}}}
	}



/* &<anonymous:1848> */
	obj_t BGl_z62zc3anonymousza31848ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13391, obj_t BgL_sz00_13398)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 774 */
			{	/* Eval/evaluate_comp.scm 774 */
				obj_t BgL_fz00_13392;
				BgL_ev_appz00_bglt BgL_i1155z00_13393;
				obj_t BgL_symbzd2funzd2_13394;
				long BgL_nbargsz00_13395;
				obj_t BgL_argsz00_13396;
				long BgL_siza7eza7_13397;

				BgL_fz00_13392 = PROCEDURE_REF(BgL_envz00_13391, (int) (((long) 0)));
				BgL_i1155z00_13393 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13391, (int) (((long) 1))));
				BgL_symbzd2funzd2_13394 =
					PROCEDURE_REF(BgL_envz00_13391, (int) (((long) 2)));
				BgL_nbargsz00_13395 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13391, (int) (((long) 3))));
				BgL_argsz00_13396 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13391, (int) (((long) 4))));
				BgL_siza7eza7_13397 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13391, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 774 */
					obj_t BgL_bpz00_15440;

					BgL_bpz00_15440 = VECTOR_REF(BgL_sz00_13398, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 774 */
						obj_t BgL_fz00_15441;

						BgL_fz00_15441 =
							PROCEDURE_ENTRY(BgL_fz00_13392) (BgL_fz00_13392, BgL_sz00_13398,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15441))
							{	/* Eval/evaluate_comp.scm 774 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 774 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) CREF(BgL_i1155z00_13393))->BgL_locz00),
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15441);
							}
						{	/* Eval/evaluate_comp.scm 774 */
							obj_t BgL_ufz00_15442;

							BgL_ufz00_15442 = PROCEDURE_ATTR(BgL_fz00_15441);
							{	/* Eval/evaluate_comp.scm 774 */
								bool_t BgL_testz00_19174;

								if (STRUCTP(BgL_ufz00_15442))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19174 =
											(STRUCT_KEY(BgL_ufz00_15442) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19174 = ((bool_t) 0);
									}
								if (BgL_testz00_19174)
									{	/* Eval/evaluate_comp.scm 774 */
										obj_t BgL_arityz00_15443;
										obj_t BgL_runz00_15444;
										obj_t BgL_sfz00_15445;

										BgL_arityz00_15443 =
											STRUCT_REF(BgL_ufz00_15442, (int) (((long) 0)));
										BgL_runz00_15444 =
											STRUCT_REF(BgL_ufz00_15442, (int) (((long) 1)));
										BgL_sfz00_15445 =
											STRUCT_REF(BgL_ufz00_15442, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 774 */
											long BgL_spz00_15446;

											BgL_spz00_15446 =
												((long) CINT(BgL_bpz00_15440) + BgL_siza7eza7_13397);
											if (
												((long) CINT(BgL_arityz00_15443) ==
													BgL_nbargsz00_13395))
												{
													obj_t BgL_lz00_15448;
													long BgL_spz00_15449;

													{	/* Eval/evaluate_comp.scm 703 */
														bool_t BgL_tmpz00_19190;

														BgL_lz00_15448 = BgL_argsz00_13396;
														BgL_spz00_15449 = BgL_spz00_15446;
													BgL_recz00_15447:
														if (NULLP(BgL_lz00_15448))
															{	/* Eval/evaluate_comp.scm 704 */
																BgL_tmpz00_19190 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 704 */
																{	/* Eval/evaluate_comp.scm 705 */
																	obj_t BgL_arg1708z00_15450;

																	{	/* Eval/evaluate_comp.scm 705 */
																		obj_t BgL_fun1709z00_15451;

																		BgL_fun1709z00_15451 = CAR(BgL_lz00_15448);
																		BgL_arg1708z00_15450 =
																			PROCEDURE_ENTRY(BgL_fun1709z00_15451)
																			(BgL_fun1709z00_15451, BgL_sz00_13398,
																			BEOA);
																	}
																	VECTOR_SET(BgL_sz00_13398,
																		(int) (BgL_spz00_15449),
																		BgL_arg1708z00_15450);
																}
																{
																	long BgL_spz00_19202;
																	obj_t BgL_lz00_19200;

																	BgL_lz00_19200 = CDR(BgL_lz00_15448);
																	BgL_spz00_19202 =
																		(BgL_spz00_15449 + ((long) 1));
																	BgL_spz00_15449 = BgL_spz00_19202;
																	BgL_lz00_15448 = BgL_lz00_19200;
																	goto BgL_recz00_15447;
																}
															}
														BBOOL(BgL_tmpz00_19190);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 774 */
													bool_t BgL_testz00_19205;

													if (((long) CINT(BgL_arityz00_15443) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 774 */
															BgL_testz00_19205 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 774 */
															BgL_testz00_19205 =
																(
																(long) CINT(BgL_arityz00_15443) <
																(((long) -1) - BgL_nbargsz00_13395));
														}
													if (BgL_testz00_19205)
														{	/* Eval/evaluate_comp.scm 774 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		CREF(BgL_i1155z00_13393))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15442, (int) (((long) 3))),
																(int) (BgL_nbargsz00_13395),
																CINT(BgL_arityz00_15443));
														}
													else
														{	/* Eval/evaluate_comp.scm 774 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15443, BgL_sz00_13398,
																BgL_argsz00_13396, BINT(BgL_spz00_15446));
														}
												}
											{	/* Eval/evaluate_comp.scm 774 */
												obj_t BgL_z12denvz12_15452;

												BgL_z12denvz12_15452 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate_comp.scm 774 */
													obj_t BgL_tmpz00_19221;

													BgL_tmpz00_19221 =
														(((BgL_ev_appz00_bglt) CREF(BgL_i1155z00_13393))->
														BgL_locz00);
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15452,
														BgL_tmpz00_19221);
												}
												if (
													((BgL_spz00_15446 +
															(long) CINT(BgL_sfz00_15445)) <
														(long) (VECTOR_LENGTH(BgL_sz00_13398))))
													{	/* Eval/evaluate_comp.scm 774 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15444, BgL_sz00_13398,
															BINT(BgL_spz00_15446));
													}
												else
													{	/* Eval/evaluate_comp.scm 774 */
														obj_t BgL_nsz00_15453;

														BgL_nsz00_15453 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 774 */
															long BgL_arg1861z00_15454;

															BgL_arg1861z00_15454 =
																(BgL_spz00_15446 + BgL_nbargsz00_13395);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15453, ((long) 2), BgL_sz00_13398,
																BINT(BgL_spz00_15446),
																BINT(BgL_arg1861z00_15454));
														}
														VECTOR_SET(BgL_nsz00_15453,
															(int) (((long) 1)), BgL_sz00_13398);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15452,
															BgL_nsz00_15453);
														{	/* Eval/evaluate_comp.scm 774 */
															obj_t BgL_ez00_15455;

															BgL_ez00_15455 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15455, BgL_sz00_13398);
															{	/* Eval/evaluate_comp.scm 774 */
																obj_t BgL_____rz00_15456;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15457;

																	BgL_savedzd2bpzd2_15457 =
																		VECTOR_REF(BgL_nsz00_15453,
																		(int) (((long) 0)));
																	VECTOR_SET(BgL_nsz00_15453,
																		(int) (((long) 0)), BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15459;

																		BgL_fz00_15459 = BgL_runz00_15444;
																	BgL_recz00_15458:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15460;

																			BgL_rz00_15460 =
																				PROCEDURE_ENTRY(BgL_fz00_15459)
																				(BgL_fz00_15459, BgL_nsz00_15453, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_19251;

																				if (PROCEDUREP(BgL_rz00_15460))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1674z00_15461;

																						BgL_arg1674z00_15461 =
																							PROCEDURE_ATTR(BgL_rz00_15460);
																						if (STRUCTP(BgL_arg1674z00_15461))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19251 =
																									(STRUCT_KEY
																									(BgL_arg1674z00_15461) ==
																									BGl_symbol5695z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19251 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_19251 = ((bool_t) 0);
																					}
																				if (BgL_testz00_19251)
																					{
																						obj_t BgL_fz00_19259;

																						BgL_fz00_19259 = BgL_rz00_15460;
																						BgL_fz00_15459 = BgL_fz00_19259;
																						goto BgL_recz00_15458;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15453,
																							(int) (((long) 0)),
																							BgL_savedzd2bpzd2_15457);
																						BgL_____rz00_15456 = BgL_rz00_15460;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15455);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15452,
																	BgL_sz00_13398);
																return BgL_____rz00_15456;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 774 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15441,
												(int) (BgL_nbargsz00_13395)))
											{	/* Eval/evaluate_comp.scm 774 */
												{	/* Eval/evaluate_comp.scm 774 */
													obj_t BgL_auxz00_19269;
													obj_t BgL_tmpz00_19267;

													BgL_auxz00_19269 =
														(((BgL_ev_appz00_bglt) CREF(BgL_i1155z00_13393))->
														BgL_locz00);
													BgL_tmpz00_19267 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19267,
														BgL_auxz00_19269);
												}
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13398, BgL_fz00_15441, BgL_argsz00_13396,
													BgL_bpz00_15440, BINT(BgL_siza7eza7_13397));
											}
										else
											{	/* Eval/evaluate_comp.scm 774 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) CREF(BgL_i1155z00_13393))->
														BgL_locz00), BgL_symbzd2funzd2_13394,
													(int) (BgL_nbargsz00_13395),
													PROCEDURE_ARITY(BgL_fz00_15441));
		}}}}}}}}
	}



/* &<anonymous:1868> */
	obj_t BGl_z62zc3anonymousza31868ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13399, obj_t BgL_sz00_13406)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 774 */
			{	/* Eval/evaluate_comp.scm 774 */
				obj_t BgL_fz00_13400;
				BgL_ev_appz00_bglt BgL_i1155z00_13401;
				obj_t BgL_symbzd2funzd2_13402;
				long BgL_nbargsz00_13403;
				obj_t BgL_argsz00_13404;
				long BgL_siza7eza7_13405;

				BgL_fz00_13400 = PROCEDURE_REF(BgL_envz00_13399, (int) (((long) 0)));
				BgL_i1155z00_13401 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13399, (int) (((long) 1))));
				BgL_symbzd2funzd2_13402 =
					PROCEDURE_REF(BgL_envz00_13399, (int) (((long) 2)));
				BgL_nbargsz00_13403 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13399, (int) (((long) 3))));
				BgL_argsz00_13404 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13399, (int) (((long) 4))));
				BgL_siza7eza7_13405 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13399, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 774 */
					obj_t BgL_bpz00_15462;

					BgL_bpz00_15462 = VECTOR_REF(BgL_sz00_13406, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 774 */
						obj_t BgL_fz00_15463;

						BgL_fz00_15463 =
							PROCEDURE_ENTRY(BgL_fz00_13400) (BgL_fz00_13400, BgL_sz00_13406,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15463))
							{	/* Eval/evaluate_comp.scm 774 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 774 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) CREF(BgL_i1155z00_13401))->BgL_locz00),
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15463);
							}
						{	/* Eval/evaluate_comp.scm 774 */
							obj_t BgL_ufz00_15464;

							BgL_ufz00_15464 = PROCEDURE_ATTR(BgL_fz00_15463);
							{	/* Eval/evaluate_comp.scm 774 */
								bool_t BgL_testz00_19305;

								if (STRUCTP(BgL_ufz00_15464))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19305 =
											(STRUCT_KEY(BgL_ufz00_15464) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19305 = ((bool_t) 0);
									}
								if (BgL_testz00_19305)
									{	/* Eval/evaluate_comp.scm 774 */
										obj_t BgL_arityz00_15465;
										obj_t BgL_runz00_15466;
										obj_t BgL_sfz00_15467;

										BgL_arityz00_15465 =
											STRUCT_REF(BgL_ufz00_15464, (int) (((long) 0)));
										BgL_runz00_15466 =
											STRUCT_REF(BgL_ufz00_15464, (int) (((long) 1)));
										BgL_sfz00_15467 =
											STRUCT_REF(BgL_ufz00_15464, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 774 */
											long BgL_spz00_15468;

											BgL_spz00_15468 =
												((long) CINT(BgL_bpz00_15462) + BgL_siza7eza7_13405);
											if (
												((long) CINT(BgL_arityz00_15465) ==
													BgL_nbargsz00_13403))
												{
													obj_t BgL_lz00_15470;
													long BgL_spz00_15471;

													{	/* Eval/evaluate_comp.scm 703 */
														bool_t BgL_tmpz00_19321;

														BgL_lz00_15470 = BgL_argsz00_13404;
														BgL_spz00_15471 = BgL_spz00_15468;
													BgL_recz00_15469:
														if (NULLP(BgL_lz00_15470))
															{	/* Eval/evaluate_comp.scm 704 */
																BgL_tmpz00_19321 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 704 */
																{	/* Eval/evaluate_comp.scm 705 */
																	obj_t BgL_arg1708z00_15472;

																	{	/* Eval/evaluate_comp.scm 705 */
																		obj_t BgL_fun1709z00_15473;

																		BgL_fun1709z00_15473 = CAR(BgL_lz00_15470);
																		BgL_arg1708z00_15472 =
																			PROCEDURE_ENTRY(BgL_fun1709z00_15473)
																			(BgL_fun1709z00_15473, BgL_sz00_13406,
																			BEOA);
																	}
																	VECTOR_SET(BgL_sz00_13406,
																		(int) (BgL_spz00_15471),
																		BgL_arg1708z00_15472);
																}
																{
																	long BgL_spz00_19333;
																	obj_t BgL_lz00_19331;

																	BgL_lz00_19331 = CDR(BgL_lz00_15470);
																	BgL_spz00_19333 =
																		(BgL_spz00_15471 + ((long) 1));
																	BgL_spz00_15471 = BgL_spz00_19333;
																	BgL_lz00_15470 = BgL_lz00_19331;
																	goto BgL_recz00_15469;
																}
															}
														BBOOL(BgL_tmpz00_19321);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 774 */
													bool_t BgL_testz00_19336;

													if (((long) CINT(BgL_arityz00_15465) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 774 */
															BgL_testz00_19336 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 774 */
															BgL_testz00_19336 =
																(
																(long) CINT(BgL_arityz00_15465) <
																(((long) -1) - BgL_nbargsz00_13403));
														}
													if (BgL_testz00_19336)
														{	/* Eval/evaluate_comp.scm 774 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		CREF(BgL_i1155z00_13401))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15464, (int) (((long) 3))),
																(int) (BgL_nbargsz00_13403),
																CINT(BgL_arityz00_15465));
														}
													else
														{	/* Eval/evaluate_comp.scm 774 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15465, BgL_sz00_13406,
																BgL_argsz00_13404, BINT(BgL_spz00_15468));
														}
												}
											{	/* Eval/evaluate_comp.scm 774 */
												obj_t BgL_z12denvz12_15474;

												BgL_z12denvz12_15474 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_15468 +
															(long) CINT(BgL_sfz00_15467)) <
														(long) (VECTOR_LENGTH(BgL_sz00_13406))))
													{	/* Eval/evaluate_comp.scm 774 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15466, BgL_sz00_13406,
															BINT(BgL_spz00_15468));
													}
												else
													{	/* Eval/evaluate_comp.scm 774 */
														obj_t BgL_nsz00_15475;

														BgL_nsz00_15475 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 774 */
															long BgL_arg1881z00_15476;

															BgL_arg1881z00_15476 =
																(BgL_spz00_15468 + BgL_nbargsz00_13403);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15475, ((long) 2), BgL_sz00_13406,
																BINT(BgL_spz00_15468),
																BINT(BgL_arg1881z00_15476));
														}
														VECTOR_SET(BgL_nsz00_15475,
															(int) (((long) 1)), BgL_sz00_13406);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15474,
															BgL_nsz00_15475);
														{	/* Eval/evaluate_comp.scm 774 */
															obj_t BgL_ez00_15477;

															BgL_ez00_15477 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15477, BgL_sz00_13406);
															{	/* Eval/evaluate_comp.scm 774 */
																obj_t BgL_____rz00_15478;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15479;

																	BgL_savedzd2bpzd2_15479 =
																		VECTOR_REF(BgL_nsz00_15475,
																		(int) (((long) 0)));
																	VECTOR_SET(BgL_nsz00_15475,
																		(int) (((long) 0)), BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15481;

																		BgL_fz00_15481 = BgL_runz00_15466;
																	BgL_recz00_15480:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15482;

																			BgL_rz00_15482 =
																				PROCEDURE_ENTRY(BgL_fz00_15481)
																				(BgL_fz00_15481, BgL_nsz00_15475, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_19379;

																				if (PROCEDUREP(BgL_rz00_15482))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1674z00_15483;

																						BgL_arg1674z00_15483 =
																							PROCEDURE_ATTR(BgL_rz00_15482);
																						if (STRUCTP(BgL_arg1674z00_15483))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19379 =
																									(STRUCT_KEY
																									(BgL_arg1674z00_15483) ==
																									BGl_symbol5695z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19379 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_19379 = ((bool_t) 0);
																					}
																				if (BgL_testz00_19379)
																					{
																						obj_t BgL_fz00_19387;

																						BgL_fz00_19387 = BgL_rz00_15482;
																						BgL_fz00_15481 = BgL_fz00_19387;
																						goto BgL_recz00_15480;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15475,
																							(int) (((long) 0)),
																							BgL_savedzd2bpzd2_15479);
																						BgL_____rz00_15478 = BgL_rz00_15482;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15477);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15474,
																	BgL_sz00_13406);
																return BgL_____rz00_15478;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 774 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15463,
												(int) (BgL_nbargsz00_13403)))
											{	/* Eval/evaluate_comp.scm 774 */
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13406, BgL_fz00_15463, BgL_argsz00_13404,
													BgL_bpz00_15462, BINT(BgL_siza7eza7_13405));
											}
										else
											{	/* Eval/evaluate_comp.scm 774 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) CREF(BgL_i1155z00_13401))->
														BgL_locz00), BgL_symbzd2funzd2_13402,
													(int) (BgL_nbargsz00_13403),
													PROCEDURE_ARITY(BgL_fz00_15463));
		}}}}}}}}
	}



/* comp-call0 */
	obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_138,
		BgL_ev_exprz00_bglt BgL_vfunz00_139, obj_t BgL_symbzd2funzd2_140,
		obj_t BgL_funz00_141, obj_t BgL_tailzf3zf3_142, obj_t BgL_stkz00_143,
		long BgL_siza7eza7_144)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_cfunz00_1945;

				BgL_cfunz00_1945 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_139,
					((long) 0), BgL_locz00_138, BgL_symbzd2funzd2_140);
				if (CBOOL(BgL_cfunz00_1945))
					{	/* Eval/evaluate_comp.scm 889 */
						bool_t BgL_testz00_19404;

						{	/* Eval/evaluate_comp.scm 889 */
							int BgL_arg1895z00_1959;

							BgL_arg1895z00_1959 = bgl_debug();
							BgL_testz00_19404 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1895z00_1959),
								BINT(((long) 0)));
						}
						if (BgL_testz00_19404)
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza31892ze3z83_13407;

								BgL_zc3anonymousza31892ze3z83_13407 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza31892ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza31892ze3z83_13407,
									(int) (((long) 0)), BINT(BgL_siza7eza7_144));
								PROCEDURE_SET(BgL_zc3anonymousza31892ze3z83_13407,
									(int) (((long) 1)), BgL_locz00_138);
								PROCEDURE_SET(BgL_zc3anonymousza31892ze3z83_13407,
									(int) (((long) 2)), BgL_cfunz00_1945);
								return BgL_zc3anonymousza31892ze3z83_13407;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza31894ze3z83_13408;

								BgL_zc3anonymousza31894ze3z83_13408 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza31894ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3anonymousza31894ze3z83_13408,
									(int) (((long) 0)), BINT(BgL_siza7eza7_144));
								PROCEDURE_SET(BgL_zc3anonymousza31894ze3z83_13408,
									(int) (((long) 1)), BgL_cfunz00_1945);
								return BgL_zc3anonymousza31894ze3z83_13408;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 889 */
						if (CBOOL(BgL_tailzf3zf3_142))
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_19429;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg1925z00_2023;

									BgL_arg1925z00_2023 = bgl_debug();
									BgL_testz00_19429 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1925z00_2023),
										BINT(((long) 0)));
								}
								if (BgL_testz00_19429)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza31898ze3z83_13409;

										BgL_zc3anonymousza31898ze3z83_13409 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31898ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3anonymousza31898ze3z83_13409,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3anonymousza31898ze3z83_13409,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3anonymousza31898ze3z83_13409,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3anonymousza31898ze3z83_13409,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3anonymousza31898ze3z83_13409;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza31912ze3z83_13410;

										BgL_zc3anonymousza31912ze3z83_13410 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31912ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3anonymousza31912ze3z83_13410,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3anonymousza31912ze3z83_13410,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3anonymousza31912ze3z83_13410,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3anonymousza31912ze3z83_13410,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3anonymousza31912ze3z83_13410;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_19458;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg1957z00_2087;

									BgL_arg1957z00_2087 = bgl_debug();
									BgL_testz00_19458 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1957z00_2087),
										BINT(((long) 0)));
								}
								if (BgL_testz00_19458)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza31928ze3z83_13411;

										BgL_zc3anonymousza31928ze3z83_13411 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31928ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3anonymousza31928ze3z83_13411,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3anonymousza31928ze3z83_13411,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3anonymousza31928ze3z83_13411,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3anonymousza31928ze3z83_13411,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3anonymousza31928ze3z83_13411;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza31943ze3z83_13412;

										BgL_zc3anonymousza31943ze3z83_13412 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31943ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3anonymousza31943ze3z83_13412,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3anonymousza31943ze3z83_13412,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3anonymousza31943ze3z83_13412,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3anonymousza31943ze3z83_13412,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3anonymousza31943ze3z83_13412;
									}
							}
					}
			}
		}
	}



/* &<anonymous:1892> */
	obj_t BGl_z62zc3anonymousza31892ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13413, obj_t BgL_sz00_13417)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				long BgL_siza7eza7_13414;
				obj_t BgL_locz00_13415;
				obj_t BgL_cfunz00_13416;

				BgL_siza7eza7_13414 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13413, (int) (((long) 0))));
				BgL_locz00_13415 = PROCEDURE_REF(BgL_envz00_13413, (int) (((long) 1)));
				BgL_cfunz00_13416 = PROCEDURE_REF(BgL_envz00_13413, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15484;

					BgL_bpz00_15484 = VECTOR_REF(BgL_sz00_13417, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */

						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15485;

							BgL_nbpz00_15485 =
								((long) CINT(BgL_bpz00_15484) + BgL_siza7eza7_13414);
							VECTOR_SET(BgL_sz00_13417,
								(int) (((long) 0)), BINT(BgL_nbpz00_15485));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_19501;

								BgL_tmpz00_19501 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19501, BgL_locz00_13415);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15486;

								BgL_rz00_15486 =
									PROCEDURE_ENTRY(BgL_cfunz00_13416) (BgL_cfunz00_13416, BEOA);
								VECTOR_SET(BgL_sz00_13417, (int) (((long) 0)), BgL_bpz00_15484);
								return BgL_rz00_15486;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:1894> */
	obj_t BGl_z62zc3anonymousza31894ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13418, obj_t BgL_sz00_13421)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				long BgL_siza7eza7_13419;
				obj_t BgL_cfunz00_13420;

				BgL_siza7eza7_13419 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13418, (int) (((long) 0))));
				BgL_cfunz00_13420 = PROCEDURE_REF(BgL_envz00_13418, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15487;

					BgL_bpz00_15487 = VECTOR_REF(BgL_sz00_13421, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */

						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15488;

							BgL_nbpz00_15488 =
								((long) CINT(BgL_bpz00_15487) + BgL_siza7eza7_13419);
							VECTOR_SET(BgL_sz00_13421,
								(int) (((long) 0)), BINT(BgL_nbpz00_15488));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15489;

								BgL_rz00_15489 =
									PROCEDURE_ENTRY(BgL_cfunz00_13420) (BgL_cfunz00_13420, BEOA);
								VECTOR_SET(BgL_sz00_13421, (int) (((long) 0)), BgL_bpz00_15487);
								return BgL_rz00_15489;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:1898> */
	obj_t BGl_z62zc3anonymousza31898ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13422, obj_t BgL_sz00_13427)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13423;
				obj_t BgL_locz00_13424;
				obj_t BgL_symbzd2funzd2_13425;
				long BgL_siza7eza7_13426;

				BgL_funz00_13423 = PROCEDURE_REF(BgL_envz00_13422, (int) (((long) 0)));
				BgL_locz00_13424 = PROCEDURE_REF(BgL_envz00_13422, (int) (((long) 1)));
				BgL_symbzd2funzd2_13425 =
					PROCEDURE_REF(BgL_envz00_13422, (int) (((long) 2)));
				BgL_siza7eza7_13426 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13422, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15490;

					BgL_bpz00_15490 = VECTOR_REF(BgL_sz00_13427, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15491;

						BgL_fz00_15491 =
							PROCEDURE_ENTRY(BgL_funz00_13423) (BgL_funz00_13423,
							BgL_sz00_13427, BEOA);
						if (PROCEDUREP(BgL_fz00_15491))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13424,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15491);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15492;

							BgL_ufz00_15492 = PROCEDURE_ATTR(BgL_fz00_15491);
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_19545;

								if (STRUCTP(BgL_ufz00_15492))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19545 =
											(STRUCT_KEY(BgL_ufz00_15492) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19545 = ((bool_t) 0);
									}
								if (BgL_testz00_19545)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15493;
										obj_t BgL_runz00_15494;
										obj_t BgL_sfz00_15495;

										BgL_arityz00_15493 =
											STRUCT_REF(BgL_ufz00_15492, (int) (((long) 0)));
										BgL_runz00_15494 =
											STRUCT_REF(BgL_ufz00_15492, (int) (((long) 1)));
										BgL_sfz00_15495 =
											STRUCT_REF(BgL_ufz00_15492, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15493) == ((long) 0)))
											{	/* Eval/evaluate_comp.scm 889 */
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_15493))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_15493))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg1903z00_15496;

																	BgL_arg1903z00_15496 =
																		((long) CINT(BgL_bpz00_15490) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13427,
																		(int) (BgL_arg1903z00_15496), BNIL);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13424, STRUCT_REF(BgL_ufz00_15492,
																		(int) (((long) 3))), (int) (((long) 0)),
																	CINT(BgL_arityz00_15493));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13424, STRUCT_REF(BgL_ufz00_15492,
																(int) (((long) 3))), (int) (((long) 0)),
															CINT(BgL_arityz00_15493));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_15497;

											BgL_z12denvz12_15497 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15497,
												BgL_locz00_13424);
											if ((((long) CINT(BgL_bpz00_15490) +
														(long) CINT(BgL_sfz00_15495)) <
													(long) (VECTOR_LENGTH(BgL_sz00_13427))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_15494;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_15498;

													BgL_nsz00_15498 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg1908z00_15499;

														BgL_arg1908z00_15499 =
															((long) CINT(BgL_bpz00_15490) + ((long) 0));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15498, ((long) 2), BgL_sz00_13427,
															BgL_bpz00_15490, BINT(BgL_arg1908z00_15499));
													}
													VECTOR_SET(BgL_nsz00_15498,
														(int) (((long) 1)), BgL_sz00_13427);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15497,
														BgL_nsz00_15498);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_15500;

														BgL_ez00_15500 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15500, BgL_sz00_13427);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_15501;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15502;

																BgL_savedzd2bpzd2_15502 =
																	VECTOR_REF(BgL_nsz00_15498,
																	(int) (((long) 0)));
																VECTOR_SET(BgL_nsz00_15498,
																	(int) (((long) 0)), BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15504;

																	BgL_fz00_15504 = BgL_runz00_15494;
																BgL_recz00_15503:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15505;

																		BgL_rz00_15505 =
																			PROCEDURE_ENTRY(BgL_fz00_15504)
																			(BgL_fz00_15504, BgL_nsz00_15498, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_19605;

																			if (PROCEDUREP(BgL_rz00_15505))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1674z00_15506;

																					BgL_arg1674z00_15506 =
																						PROCEDURE_ATTR(BgL_rz00_15505);
																					if (STRUCTP(BgL_arg1674z00_15506))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19605 =
																								(STRUCT_KEY
																								(BgL_arg1674z00_15506) ==
																								BGl_symbol5695z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19605 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_19605 = ((bool_t) 0);
																				}
																			if (BgL_testz00_19605)
																				{
																					obj_t BgL_fz00_19613;

																					BgL_fz00_19613 = BgL_rz00_15505;
																					BgL_fz00_15504 = BgL_fz00_19613;
																					goto BgL_recz00_15503;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15498,
																						(int) (((long) 0)),
																						BgL_savedzd2bpzd2_15502);
																					BgL_____rz00_15501 = BgL_rz00_15505;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15500);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15497,
																BgL_sz00_13427);
															return BgL_____rz00_15501;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15491,
												(int) (((long) 0))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15507;

												BgL_nbpz00_15507 =
													((long) CINT(BgL_bpz00_15490) + BgL_siza7eza7_13426);
												VECTOR_SET(BgL_sz00_13427,
													(int) (((long) 0)), BINT(BgL_nbpz00_15507));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_19626;

													BgL_tmpz00_19626 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19626,
														BgL_locz00_13424);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15508;

													BgL_rz00_15508 =
														PROCEDURE_ENTRY(BgL_fz00_15491) (BgL_fz00_15491,
														BEOA);
													VECTOR_SET(BgL_sz00_13427, (int) (((long) 0)),
														BgL_bpz00_15490);
													return BgL_rz00_15508;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13424,
													BgL_symbzd2funzd2_13425, (int) (((long) 0)),
													PROCEDURE_ARITY(BgL_fz00_15491));
		}}}}}}}}
	}



/* &<anonymous:1912> */
	obj_t BGl_z62zc3anonymousza31912ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13428, obj_t BgL_sz00_13433)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13429;
				obj_t BgL_locz00_13430;
				obj_t BgL_symbzd2funzd2_13431;
				long BgL_siza7eza7_13432;

				BgL_funz00_13429 = PROCEDURE_REF(BgL_envz00_13428, (int) (((long) 0)));
				BgL_locz00_13430 = PROCEDURE_REF(BgL_envz00_13428, (int) (((long) 1)));
				BgL_symbzd2funzd2_13431 =
					PROCEDURE_REF(BgL_envz00_13428, (int) (((long) 2)));
				BgL_siza7eza7_13432 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13428, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15509;

					BgL_bpz00_15509 = VECTOR_REF(BgL_sz00_13433, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15510;

						BgL_fz00_15510 =
							PROCEDURE_ENTRY(BgL_funz00_13429) (BgL_funz00_13429,
							BgL_sz00_13433, BEOA);
						if (PROCEDUREP(BgL_fz00_15510))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13430,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15510);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15511;

							BgL_ufz00_15511 = PROCEDURE_ATTR(BgL_fz00_15510);
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_19656;

								if (STRUCTP(BgL_ufz00_15511))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19656 =
											(STRUCT_KEY(BgL_ufz00_15511) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19656 = ((bool_t) 0);
									}
								if (BgL_testz00_19656)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15512;
										obj_t BgL_runz00_15513;
										obj_t BgL_sfz00_15514;

										BgL_arityz00_15512 =
											STRUCT_REF(BgL_ufz00_15511, (int) (((long) 0)));
										BgL_runz00_15513 =
											STRUCT_REF(BgL_ufz00_15511, (int) (((long) 1)));
										BgL_sfz00_15514 =
											STRUCT_REF(BgL_ufz00_15511, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15512) == ((long) 0)))
											{	/* Eval/evaluate_comp.scm 889 */
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_15512))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_15512))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg1917z00_15515;

																	BgL_arg1917z00_15515 =
																		((long) CINT(BgL_bpz00_15509) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13433,
																		(int) (BgL_arg1917z00_15515), BNIL);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13430, STRUCT_REF(BgL_ufz00_15511,
																		(int) (((long) 3))), (int) (((long) 0)),
																	CINT(BgL_arityz00_15512));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13430, STRUCT_REF(BgL_ufz00_15511,
																(int) (((long) 3))), (int) (((long) 0)),
															CINT(BgL_arityz00_15512));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_15516;

											BgL_z12denvz12_15516 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15509) +
														(long) CINT(BgL_sfz00_15514)) <
													(long) (VECTOR_LENGTH(BgL_sz00_13433))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_15513;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_15517;

													BgL_nsz00_15517 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg1922z00_15518;

														BgL_arg1922z00_15518 =
															((long) CINT(BgL_bpz00_15509) + ((long) 0));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15517, ((long) 2), BgL_sz00_13433,
															BgL_bpz00_15509, BINT(BgL_arg1922z00_15518));
													}
													VECTOR_SET(BgL_nsz00_15517,
														(int) (((long) 1)), BgL_sz00_13433);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15516,
														BgL_nsz00_15517);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_15519;

														BgL_ez00_15519 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15519, BgL_sz00_13433);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_15520;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15521;

																BgL_savedzd2bpzd2_15521 =
																	VECTOR_REF(BgL_nsz00_15517,
																	(int) (((long) 0)));
																VECTOR_SET(BgL_nsz00_15517,
																	(int) (((long) 0)), BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15523;

																	BgL_fz00_15523 = BgL_runz00_15513;
																BgL_recz00_15522:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15524;

																		BgL_rz00_15524 =
																			PROCEDURE_ENTRY(BgL_fz00_15523)
																			(BgL_fz00_15523, BgL_nsz00_15517, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_19715;

																			if (PROCEDUREP(BgL_rz00_15524))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1674z00_15525;

																					BgL_arg1674z00_15525 =
																						PROCEDURE_ATTR(BgL_rz00_15524);
																					if (STRUCTP(BgL_arg1674z00_15525))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19715 =
																								(STRUCT_KEY
																								(BgL_arg1674z00_15525) ==
																								BGl_symbol5695z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_19715 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_19715 = ((bool_t) 0);
																				}
																			if (BgL_testz00_19715)
																				{
																					obj_t BgL_fz00_19723;

																					BgL_fz00_19723 = BgL_rz00_15524;
																					BgL_fz00_15523 = BgL_fz00_19723;
																					goto BgL_recz00_15522;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15517,
																						(int) (((long) 0)),
																						BgL_savedzd2bpzd2_15521);
																					BgL_____rz00_15520 = BgL_rz00_15524;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15519);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15516,
																BgL_sz00_13433);
															return BgL_____rz00_15520;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15510,
												(int) (((long) 0))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15526;

												BgL_nbpz00_15526 =
													((long) CINT(BgL_bpz00_15509) + BgL_siza7eza7_13432);
												VECTOR_SET(BgL_sz00_13433,
													(int) (((long) 0)), BINT(BgL_nbpz00_15526));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15527;

													BgL_rz00_15527 =
														PROCEDURE_ENTRY(BgL_fz00_15510) (BgL_fz00_15510,
														BEOA);
													VECTOR_SET(BgL_sz00_13433, (int) (((long) 0)),
														BgL_bpz00_15509);
													return BgL_rz00_15527;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13430,
													BgL_symbzd2funzd2_13431, (int) (((long) 0)),
													PROCEDURE_ARITY(BgL_fz00_15510));
		}}}}}}}}
	}



/* &<anonymous:1928> */
	obj_t BGl_z62zc3anonymousza31928ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13434, obj_t BgL_sz00_13439)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13435;
				obj_t BgL_locz00_13436;
				obj_t BgL_symbzd2funzd2_13437;
				long BgL_siza7eza7_13438;

				BgL_funz00_13435 = PROCEDURE_REF(BgL_envz00_13434, (int) (((long) 0)));
				BgL_locz00_13436 = PROCEDURE_REF(BgL_envz00_13434, (int) (((long) 1)));
				BgL_symbzd2funzd2_13437 =
					PROCEDURE_REF(BgL_envz00_13434, (int) (((long) 2)));
				BgL_siza7eza7_13438 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13434, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15528;

					BgL_bpz00_15528 = VECTOR_REF(BgL_sz00_13439, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15529;

						BgL_fz00_15529 =
							PROCEDURE_ENTRY(BgL_funz00_13435) (BgL_funz00_13435,
							BgL_sz00_13439, BEOA);
						if (PROCEDUREP(BgL_fz00_15529))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13436,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15529);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15530;

							BgL_ufz00_15530 = PROCEDURE_ATTR(BgL_fz00_15529);
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_19763;

								if (STRUCTP(BgL_ufz00_15530))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19763 =
											(STRUCT_KEY(BgL_ufz00_15530) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19763 = ((bool_t) 0);
									}
								if (BgL_testz00_19763)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15531;
										obj_t BgL_runz00_15532;
										obj_t BgL_sfz00_15533;

										BgL_arityz00_15531 =
											STRUCT_REF(BgL_ufz00_15530, (int) (((long) 0)));
										BgL_runz00_15532 =
											STRUCT_REF(BgL_ufz00_15530, (int) (((long) 1)));
										BgL_sfz00_15533 =
											STRUCT_REF(BgL_ufz00_15530, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_15534;

											BgL_spz00_15534 =
												((long) CINT(BgL_bpz00_15528) + BgL_siza7eza7_13438);
											if (((long) CINT(BgL_arityz00_15531) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 889 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_15531))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_15531))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg1933z00_15535;

																		BgL_arg1933z00_15535 =
																			(BgL_spz00_15534 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13439,
																			(int) (BgL_arg1933z00_15535), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13436,
																		STRUCT_REF(BgL_ufz00_15530,
																			(int) (((long) 3))), (int) (((long) 0)),
																		CINT(BgL_arityz00_15531));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13436, STRUCT_REF(BgL_ufz00_15530,
																	(int) (((long) 3))), (int) (((long) 0)),
																CINT(BgL_arityz00_15531));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_15536;

												BgL_z12denvz12_15536 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15536,
													BgL_locz00_13436);
												if (((BgL_spz00_15534 + (long) CINT(BgL_sfz00_15533)) <
														(long) (VECTOR_LENGTH(BgL_sz00_13439))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15532, BgL_sz00_13439,
															BINT(BgL_spz00_15534));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_15537;

														BgL_nsz00_15537 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg1939z00_15538;

															BgL_arg1939z00_15538 =
																(BgL_spz00_15534 + ((long) 0));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15537, ((long) 2), BgL_sz00_13439,
																BINT(BgL_spz00_15534),
																BINT(BgL_arg1939z00_15538));
														}
														VECTOR_SET(BgL_nsz00_15537,
															(int) (((long) 1)), BgL_sz00_13439);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15536,
															BgL_nsz00_15537);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_15539;

															BgL_ez00_15539 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15539, BgL_sz00_13439);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_15540;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15541;

																	BgL_savedzd2bpzd2_15541 =
																		VECTOR_REF(BgL_nsz00_15537,
																		(int) (((long) 0)));
																	VECTOR_SET(BgL_nsz00_15537,
																		(int) (((long) 0)), BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15543;

																		BgL_fz00_15543 = BgL_runz00_15532;
																	BgL_recz00_15542:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15544;

																			BgL_rz00_15544 =
																				PROCEDURE_ENTRY(BgL_fz00_15543)
																				(BgL_fz00_15543, BgL_nsz00_15537, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_19825;

																				if (PROCEDUREP(BgL_rz00_15544))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1674z00_15545;

																						BgL_arg1674z00_15545 =
																							PROCEDURE_ATTR(BgL_rz00_15544);
																						if (STRUCTP(BgL_arg1674z00_15545))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19825 =
																									(STRUCT_KEY
																									(BgL_arg1674z00_15545) ==
																									BGl_symbol5695z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19825 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_19825 = ((bool_t) 0);
																					}
																				if (BgL_testz00_19825)
																					{
																						obj_t BgL_fz00_19833;

																						BgL_fz00_19833 = BgL_rz00_15544;
																						BgL_fz00_15543 = BgL_fz00_19833;
																						goto BgL_recz00_15542;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15537,
																							(int) (((long) 0)),
																							BgL_savedzd2bpzd2_15541);
																						BgL_____rz00_15540 = BgL_rz00_15544;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15539);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15536,
																	BgL_sz00_13439);
																return BgL_____rz00_15540;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15529,
												(int) (((long) 0))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15546;

												BgL_nbpz00_15546 =
													((long) CINT(BgL_bpz00_15528) + BgL_siza7eza7_13438);
												VECTOR_SET(BgL_sz00_13439,
													(int) (((long) 0)), BINT(BgL_nbpz00_15546));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_19846;

													BgL_tmpz00_19846 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19846,
														BgL_locz00_13436);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15547;

													BgL_rz00_15547 =
														PROCEDURE_ENTRY(BgL_fz00_15529) (BgL_fz00_15529,
														BEOA);
													VECTOR_SET(BgL_sz00_13439, (int) (((long) 0)),
														BgL_bpz00_15528);
													return BgL_rz00_15547;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13436,
													BgL_symbzd2funzd2_13437, (int) (((long) 0)),
													PROCEDURE_ARITY(BgL_fz00_15529));
		}}}}}}}}
	}



/* &<anonymous:1943> */
	obj_t BGl_z62zc3anonymousza31943ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13440, obj_t BgL_sz00_13445)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13441;
				obj_t BgL_locz00_13442;
				obj_t BgL_symbzd2funzd2_13443;
				long BgL_siza7eza7_13444;

				BgL_funz00_13441 = PROCEDURE_REF(BgL_envz00_13440, (int) (((long) 0)));
				BgL_locz00_13442 = PROCEDURE_REF(BgL_envz00_13440, (int) (((long) 1)));
				BgL_symbzd2funzd2_13443 =
					PROCEDURE_REF(BgL_envz00_13440, (int) (((long) 2)));
				BgL_siza7eza7_13444 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13440, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15548;

					BgL_bpz00_15548 = VECTOR_REF(BgL_sz00_13445, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15549;

						BgL_fz00_15549 =
							PROCEDURE_ENTRY(BgL_funz00_13441) (BgL_funz00_13441,
							BgL_sz00_13445, BEOA);
						if (PROCEDUREP(BgL_fz00_15549))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13442,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15549);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15550;

							BgL_ufz00_15550 = PROCEDURE_ATTR(BgL_fz00_15549);
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_19876;

								if (STRUCTP(BgL_ufz00_15550))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19876 =
											(STRUCT_KEY(BgL_ufz00_15550) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_19876 = ((bool_t) 0);
									}
								if (BgL_testz00_19876)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15551;
										obj_t BgL_runz00_15552;
										obj_t BgL_sfz00_15553;

										BgL_arityz00_15551 =
											STRUCT_REF(BgL_ufz00_15550, (int) (((long) 0)));
										BgL_runz00_15552 =
											STRUCT_REF(BgL_ufz00_15550, (int) (((long) 1)));
										BgL_sfz00_15553 =
											STRUCT_REF(BgL_ufz00_15550, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_15554;

											BgL_spz00_15554 =
												((long) CINT(BgL_bpz00_15548) + BgL_siza7eza7_13444);
											if (((long) CINT(BgL_arityz00_15551) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 889 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_15551))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_15551))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg1948z00_15555;

																		BgL_arg1948z00_15555 =
																			(BgL_spz00_15554 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13445,
																			(int) (BgL_arg1948z00_15555), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13442,
																		STRUCT_REF(BgL_ufz00_15550,
																			(int) (((long) 3))), (int) (((long) 0)),
																		CINT(BgL_arityz00_15551));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13442, STRUCT_REF(BgL_ufz00_15550,
																	(int) (((long) 3))), (int) (((long) 0)),
																CINT(BgL_arityz00_15551));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_15556;

												BgL_z12denvz12_15556 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_15554 +
															(long) CINT(BgL_sfz00_15553)) <
														(long) (VECTOR_LENGTH(BgL_sz00_13445))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15552, BgL_sz00_13445,
															BINT(BgL_spz00_15554));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_15557;

														BgL_nsz00_15557 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg1953z00_15558;

															BgL_arg1953z00_15558 =
																(BgL_spz00_15554 + ((long) 0));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15557, ((long) 2), BgL_sz00_13445,
																BINT(BgL_spz00_15554),
																BINT(BgL_arg1953z00_15558));
														}
														VECTOR_SET(BgL_nsz00_15557,
															(int) (((long) 1)), BgL_sz00_13445);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15556,
															BgL_nsz00_15557);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_15559;

															BgL_ez00_15559 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15559, BgL_sz00_13445);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_15560;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15561;

																	BgL_savedzd2bpzd2_15561 =
																		VECTOR_REF(BgL_nsz00_15557,
																		(int) (((long) 0)));
																	VECTOR_SET(BgL_nsz00_15557,
																		(int) (((long) 0)), BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15563;

																		BgL_fz00_15563 = BgL_runz00_15552;
																	BgL_recz00_15562:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15564;

																			BgL_rz00_15564 =
																				PROCEDURE_ENTRY(BgL_fz00_15563)
																				(BgL_fz00_15563, BgL_nsz00_15557, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_19937;

																				if (PROCEDUREP(BgL_rz00_15564))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1674z00_15565;

																						BgL_arg1674z00_15565 =
																							PROCEDURE_ATTR(BgL_rz00_15564);
																						if (STRUCTP(BgL_arg1674z00_15565))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19937 =
																									(STRUCT_KEY
																									(BgL_arg1674z00_15565) ==
																									BGl_symbol5695z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_19937 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_19937 = ((bool_t) 0);
																					}
																				if (BgL_testz00_19937)
																					{
																						obj_t BgL_fz00_19945;

																						BgL_fz00_19945 = BgL_rz00_15564;
																						BgL_fz00_15563 = BgL_fz00_19945;
																						goto BgL_recz00_15562;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15557,
																							(int) (((long) 0)),
																							BgL_savedzd2bpzd2_15561);
																						BgL_____rz00_15560 = BgL_rz00_15564;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15559);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15556,
																	BgL_sz00_13445);
																return BgL_____rz00_15560;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15549,
												(int) (((long) 0))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15566;

												BgL_nbpz00_15566 =
													((long) CINT(BgL_bpz00_15548) + BgL_siza7eza7_13444);
												VECTOR_SET(BgL_sz00_13445,
													(int) (((long) 0)), BINT(BgL_nbpz00_15566));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15567;

													BgL_rz00_15567 =
														PROCEDURE_ENTRY(BgL_fz00_15549) (BgL_fz00_15549,
														BEOA);
													VECTOR_SET(BgL_sz00_13445, (int) (((long) 0)),
														BgL_bpz00_15548);
													return BgL_rz00_15567;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13442,
													BgL_symbzd2funzd2_13443, (int) (((long) 0)),
													PROCEDURE_ARITY(BgL_fz00_15549));
		}}}}}}}}
	}



/* comp-call1 */
	obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_145,
		BgL_ev_exprz00_bglt BgL_vfunz00_146, obj_t BgL_symbzd2funzd2_147,
		obj_t BgL_funz00_148, obj_t BgL_tailzf3zf3_149, obj_t BgL_stkz00_150,
		long BgL_siza7eza7_151, obj_t BgL_a1z00_152)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_cfunz00_2088;

				BgL_cfunz00_2088 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_146,
					((long) 1), BgL_locz00_145, BgL_symbzd2funzd2_147);
				if (CBOOL(BgL_cfunz00_2088))
					{	/* Eval/evaluate_comp.scm 889 */
						bool_t BgL_testz00_19969;

						{	/* Eval/evaluate_comp.scm 889 */
							int BgL_arg1963z00_2104;

							BgL_arg1963z00_2104 = bgl_debug();
							BgL_testz00_19969 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1963z00_2104),
								BINT(((long) 0)));
						}
						if (BgL_testz00_19969)
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza31960ze3z83_13446;

								BgL_zc3anonymousza31960ze3z83_13446 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza31960ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza31960ze3z83_13446,
									(int) (((long) 0)), BgL_a1z00_152);
								PROCEDURE_SET(BgL_zc3anonymousza31960ze3z83_13446,
									(int) (((long) 1)), BINT(BgL_siza7eza7_151));
								PROCEDURE_SET(BgL_zc3anonymousza31960ze3z83_13446,
									(int) (((long) 2)), BgL_locz00_145);
								PROCEDURE_SET(BgL_zc3anonymousza31960ze3z83_13446,
									(int) (((long) 3)), BgL_cfunz00_2088);
								return BgL_zc3anonymousza31960ze3z83_13446;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza31962ze3z83_13447;

								BgL_zc3anonymousza31962ze3z83_13447 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza31962ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza31962ze3z83_13447,
									(int) (((long) 0)), BgL_a1z00_152);
								PROCEDURE_SET(BgL_zc3anonymousza31962ze3z83_13447,
									(int) (((long) 1)), BINT(BgL_siza7eza7_151));
								PROCEDURE_SET(BgL_zc3anonymousza31962ze3z83_13447,
									(int) (((long) 2)), BgL_cfunz00_2088);
								return BgL_zc3anonymousza31962ze3z83_13447;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 889 */
						if (CBOOL(BgL_tailzf3zf3_149))
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_19998;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2006z00_2180;

									BgL_arg2006z00_2180 = bgl_debug();
									BgL_testz00_19998 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2006z00_2180),
										BINT(((long) 0)));
								}
								if (BgL_testz00_19998)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza31966ze3z83_13448;

										BgL_zc3anonymousza31966ze3z83_13448 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31966ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3anonymousza31966ze3z83_13448,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3anonymousza31966ze3z83_13448,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3anonymousza31966ze3z83_13448,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3anonymousza31966ze3z83_13448,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3anonymousza31966ze3z83_13448,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3anonymousza31966ze3z83_13448;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza31986ze3z83_13449;

										BgL_zc3anonymousza31986ze3z83_13449 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31986ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3anonymousza31986ze3z83_13449,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3anonymousza31986ze3z83_13449,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3anonymousza31986ze3z83_13449,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3anonymousza31986ze3z83_13449,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3anonymousza31986ze3z83_13449,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3anonymousza31986ze3z83_13449;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20031;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2048z00_2256;

									BgL_arg2048z00_2256 = bgl_debug();
									BgL_testz00_20031 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2048z00_2256),
										BINT(((long) 0)));
								}
								if (BgL_testz00_20031)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32009ze3z83_13450;

										BgL_zc3anonymousza32009ze3z83_13450 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32009ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3anonymousza32009ze3z83_13450,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3anonymousza32009ze3z83_13450,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3anonymousza32009ze3z83_13450,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3anonymousza32009ze3z83_13450,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3anonymousza32009ze3z83_13450,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3anonymousza32009ze3z83_13450;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32029ze3z83_13451;

										BgL_zc3anonymousza32029ze3z83_13451 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32029ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3anonymousza32029ze3z83_13451,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3anonymousza32029ze3z83_13451,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3anonymousza32029ze3z83_13451,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3anonymousza32029ze3z83_13451,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3anonymousza32029ze3z83_13451,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3anonymousza32029ze3z83_13451;
									}
							}
					}
			}
		}
	}



/* &<anonymous:1960> */
	obj_t BGl_z62zc3anonymousza31960ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13452, obj_t BgL_sz00_13457)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13453;
				long BgL_siza7eza7_13454;
				obj_t BgL_locz00_13455;
				obj_t BgL_cfunz00_13456;

				BgL_a1z00_13453 = PROCEDURE_REF(BgL_envz00_13452, (int) (((long) 0)));
				BgL_siza7eza7_13454 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13452, (int) (((long) 1))));
				BgL_locz00_13455 = PROCEDURE_REF(BgL_envz00_13452, (int) (((long) 2)));
				BgL_cfunz00_13456 = PROCEDURE_REF(BgL_envz00_13452, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15568;

					BgL_bpz00_15568 = VECTOR_REF(BgL_sz00_13457, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_15569;

						BgL_a1z00_15569 =
							PROCEDURE_ENTRY(BgL_a1z00_13453) (BgL_a1z00_13453, BgL_sz00_13457,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15570;

							BgL_nbpz00_15570 =
								((long) CINT(BgL_bpz00_15568) + BgL_siza7eza7_13454);
							VECTOR_SET(BgL_sz00_13457,
								(int) (((long) 0)), BINT(BgL_nbpz00_15570));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_20084;

								BgL_tmpz00_20084 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20084, BgL_locz00_13455);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15571;

								BgL_rz00_15571 =
									PROCEDURE_ENTRY(BgL_cfunz00_13456) (BgL_cfunz00_13456,
									BgL_a1z00_15569, BEOA);
								VECTOR_SET(BgL_sz00_13457, (int) (((long) 0)), BgL_bpz00_15568);
								return BgL_rz00_15571;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:1962> */
	obj_t BGl_z62zc3anonymousza31962ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13458, obj_t BgL_sz00_13462)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13459;
				long BgL_siza7eza7_13460;
				obj_t BgL_cfunz00_13461;

				BgL_a1z00_13459 = PROCEDURE_REF(BgL_envz00_13458, (int) (((long) 0)));
				BgL_siza7eza7_13460 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13458, (int) (((long) 1))));
				BgL_cfunz00_13461 = PROCEDURE_REF(BgL_envz00_13458, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15572;

					BgL_bpz00_15572 = VECTOR_REF(BgL_sz00_13462, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_15573;

						BgL_a1z00_15573 =
							PROCEDURE_ENTRY(BgL_a1z00_13459) (BgL_a1z00_13459, BgL_sz00_13462,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15574;

							BgL_nbpz00_15574 =
								((long) CINT(BgL_bpz00_15572) + BgL_siza7eza7_13460);
							VECTOR_SET(BgL_sz00_13462,
								(int) (((long) 0)), BINT(BgL_nbpz00_15574));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15575;

								BgL_rz00_15575 =
									PROCEDURE_ENTRY(BgL_cfunz00_13461) (BgL_cfunz00_13461,
									BgL_a1z00_15573, BEOA);
								VECTOR_SET(BgL_sz00_13462, (int) (((long) 0)), BgL_bpz00_15572);
								return BgL_rz00_15575;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:1966> */
	obj_t BGl_z62zc3anonymousza31966ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13463, obj_t BgL_sz00_13469)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13464;
				obj_t BgL_a1z00_13465;
				obj_t BgL_locz00_13466;
				obj_t BgL_symbzd2funzd2_13467;
				long BgL_siza7eza7_13468;

				BgL_funz00_13464 = PROCEDURE_REF(BgL_envz00_13463, (int) (((long) 0)));
				BgL_a1z00_13465 = PROCEDURE_REF(BgL_envz00_13463, (int) (((long) 1)));
				BgL_locz00_13466 = PROCEDURE_REF(BgL_envz00_13463, (int) (((long) 2)));
				BgL_symbzd2funzd2_13467 =
					PROCEDURE_REF(BgL_envz00_13463, (int) (((long) 3)));
				BgL_siza7eza7_13468 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13463, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15576;

					BgL_bpz00_15576 = VECTOR_REF(BgL_sz00_13469, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15577;
						obj_t BgL_a1z00_15578;

						BgL_fz00_15577 =
							PROCEDURE_ENTRY(BgL_funz00_13464) (BgL_funz00_13464,
							BgL_sz00_13469, BEOA);
						BgL_a1z00_15578 =
							PROCEDURE_ENTRY(BgL_a1z00_13465) (BgL_a1z00_13465, BgL_sz00_13469,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15577))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13466,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15577);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15579;

							BgL_ufz00_15579 = PROCEDURE_ATTR(BgL_fz00_15577);
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20142;

								if (STRUCTP(BgL_ufz00_15579))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20142 =
											(STRUCT_KEY(BgL_ufz00_15579) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20142 = ((bool_t) 0);
									}
								if (BgL_testz00_20142)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15580;
										obj_t BgL_runz00_15581;
										obj_t BgL_sfz00_15582;

										BgL_arityz00_15580 =
											STRUCT_REF(BgL_ufz00_15579, (int) (((long) 0)));
										BgL_runz00_15581 =
											STRUCT_REF(BgL_ufz00_15579, (int) (((long) 1)));
										BgL_sfz00_15582 =
											STRUCT_REF(BgL_ufz00_15579, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15580) == ((long) 1)))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_arg1970z00_15583;

												BgL_arg1970z00_15583 =
													((long) CINT(BgL_bpz00_15576) + ((long) 0));
												VECTOR_SET(BgL_sz00_13469,
													(int) (BgL_arg1970z00_15583), BgL_a1z00_15578);
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_15580))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_15580))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg1972z00_15584;
																	obj_t BgL_arg1973z00_15585;

																	BgL_arg1972z00_15584 =
																		((long) CINT(BgL_bpz00_15576) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list1974z00_15586;

																		BgL_list1974z00_15586 =
																			MAKE_YOUNG_PAIR(BgL_a1z00_15578, BNIL);
																		BgL_arg1973z00_15585 =
																			BgL_list1974z00_15586;
																	}
																	VECTOR_SET(BgL_sz00_13469,
																		(int) (BgL_arg1972z00_15584),
																		BgL_arg1973z00_15585);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg1975z00_15587;

																	BgL_arg1975z00_15587 =
																		((long) CINT(BgL_bpz00_15576) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13469,
																		(int) (BgL_arg1975z00_15587),
																		BgL_a1z00_15578);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg1976z00_15588;

																	BgL_arg1976z00_15588 =
																		((long) CINT(BgL_bpz00_15576) + ((long) 1));
																	VECTOR_SET(BgL_sz00_13469,
																		(int) (BgL_arg1976z00_15588), BNIL);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13466, STRUCT_REF(BgL_ufz00_15579,
																		(int) (((long) 3))), (int) (((long) 1)),
																	CINT(BgL_arityz00_15580));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13466, STRUCT_REF(BgL_ufz00_15579,
																(int) (((long) 3))), (int) (((long) 1)),
															CINT(BgL_arityz00_15580));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_15589;

											BgL_z12denvz12_15589 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15589,
												BgL_locz00_13466);
											if ((((long) CINT(BgL_bpz00_15576) +
														(long) CINT(BgL_sfz00_15582)) <
													(long) (VECTOR_LENGTH(BgL_sz00_13469))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_15581;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_15590;

													BgL_nsz00_15590 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg1982z00_15591;

														BgL_arg1982z00_15591 =
															((long) CINT(BgL_bpz00_15576) + ((long) 1));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15590, ((long) 2), BgL_sz00_13469,
															BgL_bpz00_15576, BINT(BgL_arg1982z00_15591));
													}
													VECTOR_SET(BgL_nsz00_15590,
														(int) (((long) 1)), BgL_sz00_13469);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15589,
														BgL_nsz00_15590);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_15592;

														BgL_ez00_15592 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15592, BgL_sz00_13469);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_15593;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15594;

																BgL_savedzd2bpzd2_15594 =
																	VECTOR_REF(BgL_nsz00_15590,
																	(int) (((long) 0)));
																VECTOR_SET(BgL_nsz00_15590,
																	(int) (((long) 0)), BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15596;

																	BgL_fz00_15596 = BgL_runz00_15581;
																BgL_recz00_15595:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15597;

																		BgL_rz00_15597 =
																			PROCEDURE_ENTRY(BgL_fz00_15596)
																			(BgL_fz00_15596, BgL_nsz00_15590, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_20215;

																			if (PROCEDUREP(BgL_rz00_15597))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1674z00_15598;

																					BgL_arg1674z00_15598 =
																						PROCEDURE_ATTR(BgL_rz00_15597);
																					if (STRUCTP(BgL_arg1674z00_15598))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_20215 =
																								(STRUCT_KEY
																								(BgL_arg1674z00_15598) ==
																								BGl_symbol5695z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_20215 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_20215 = ((bool_t) 0);
																				}
																			if (BgL_testz00_20215)
																				{
																					obj_t BgL_fz00_20223;

																					BgL_fz00_20223 = BgL_rz00_15597;
																					BgL_fz00_15596 = BgL_fz00_20223;
																					goto BgL_recz00_15595;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15590,
																						(int) (((long) 0)),
																						BgL_savedzd2bpzd2_15594);
																					BgL_____rz00_15593 = BgL_rz00_15597;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15592);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15589,
																BgL_sz00_13469);
															return BgL_____rz00_15593;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15577,
												(int) (((long) 1))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15599;

												BgL_nbpz00_15599 =
													((long) CINT(BgL_bpz00_15576) + BgL_siza7eza7_13468);
												VECTOR_SET(BgL_sz00_13469,
													(int) (((long) 0)), BINT(BgL_nbpz00_15599));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_20236;

													BgL_tmpz00_20236 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20236,
														BgL_locz00_13466);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15600;

													BgL_rz00_15600 =
														PROCEDURE_ENTRY(BgL_fz00_15577) (BgL_fz00_15577,
														BgL_a1z00_15578, BEOA);
													VECTOR_SET(BgL_sz00_13469, (int) (((long) 0)),
														BgL_bpz00_15576);
													return BgL_rz00_15600;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13466,
													BgL_symbzd2funzd2_13467, (int) (((long) 1)),
													PROCEDURE_ARITY(BgL_fz00_15577));
		}}}}}}}}
	}



/* &<anonymous:1986> */
	obj_t BGl_z62zc3anonymousza31986ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13470, obj_t BgL_sz00_13476)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13471;
				obj_t BgL_a1z00_13472;
				obj_t BgL_locz00_13473;
				obj_t BgL_symbzd2funzd2_13474;
				long BgL_siza7eza7_13475;

				BgL_funz00_13471 = PROCEDURE_REF(BgL_envz00_13470, (int) (((long) 0)));
				BgL_a1z00_13472 = PROCEDURE_REF(BgL_envz00_13470, (int) (((long) 1)));
				BgL_locz00_13473 = PROCEDURE_REF(BgL_envz00_13470, (int) (((long) 2)));
				BgL_symbzd2funzd2_13474 =
					PROCEDURE_REF(BgL_envz00_13470, (int) (((long) 3)));
				BgL_siza7eza7_13475 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13470, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15601;

					BgL_bpz00_15601 = VECTOR_REF(BgL_sz00_13476, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15602;
						obj_t BgL_a1z00_15603;

						BgL_fz00_15602 =
							PROCEDURE_ENTRY(BgL_funz00_13471) (BgL_funz00_13471,
							BgL_sz00_13476, BEOA);
						BgL_a1z00_15603 =
							PROCEDURE_ENTRY(BgL_a1z00_13472) (BgL_a1z00_13472, BgL_sz00_13476,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15602))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13473,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15602);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15604;

							BgL_ufz00_15604 = PROCEDURE_ATTR(BgL_fz00_15602);
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20273;

								if (STRUCTP(BgL_ufz00_15604))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20273 =
											(STRUCT_KEY(BgL_ufz00_15604) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20273 = ((bool_t) 0);
									}
								if (BgL_testz00_20273)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15605;
										obj_t BgL_runz00_15606;
										obj_t BgL_sfz00_15607;

										BgL_arityz00_15605 =
											STRUCT_REF(BgL_ufz00_15604, (int) (((long) 0)));
										BgL_runz00_15606 =
											STRUCT_REF(BgL_ufz00_15604, (int) (((long) 1)));
										BgL_sfz00_15607 =
											STRUCT_REF(BgL_ufz00_15604, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15605) == ((long) 1)))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_arg1990z00_15608;

												BgL_arg1990z00_15608 =
													((long) CINT(BgL_bpz00_15601) + ((long) 0));
												VECTOR_SET(BgL_sz00_13476,
													(int) (BgL_arg1990z00_15608), BgL_a1z00_15603);
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_15605))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_15605))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg1992z00_15609;
																	obj_t BgL_arg1993z00_15610;

																	BgL_arg1992z00_15609 =
																		((long) CINT(BgL_bpz00_15601) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list1994z00_15611;

																		BgL_list1994z00_15611 =
																			MAKE_YOUNG_PAIR(BgL_a1z00_15603, BNIL);
																		BgL_arg1993z00_15610 =
																			BgL_list1994z00_15611;
																	}
																	VECTOR_SET(BgL_sz00_13476,
																		(int) (BgL_arg1992z00_15609),
																		BgL_arg1993z00_15610);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg1996z00_15612;

																	BgL_arg1996z00_15612 =
																		((long) CINT(BgL_bpz00_15601) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13476,
																		(int) (BgL_arg1996z00_15612),
																		BgL_a1z00_15603);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg1997z00_15613;

																	BgL_arg1997z00_15613 =
																		((long) CINT(BgL_bpz00_15601) + ((long) 1));
																	VECTOR_SET(BgL_sz00_13476,
																		(int) (BgL_arg1997z00_15613), BNIL);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13473, STRUCT_REF(BgL_ufz00_15604,
																		(int) (((long) 3))), (int) (((long) 1)),
																	CINT(BgL_arityz00_15605));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13473, STRUCT_REF(BgL_ufz00_15604,
																(int) (((long) 3))), (int) (((long) 1)),
															CINT(BgL_arityz00_15605));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_15614;

											BgL_z12denvz12_15614 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15601) +
														(long) CINT(BgL_sfz00_15607)) <
													(long) (VECTOR_LENGTH(BgL_sz00_13476))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_15606;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_15615;

													BgL_nsz00_15615 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2003z00_15616;

														BgL_arg2003z00_15616 =
															((long) CINT(BgL_bpz00_15601) + ((long) 1));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15615, ((long) 2), BgL_sz00_13476,
															BgL_bpz00_15601, BINT(BgL_arg2003z00_15616));
													}
													VECTOR_SET(BgL_nsz00_15615,
														(int) (((long) 1)), BgL_sz00_13476);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15614,
														BgL_nsz00_15615);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_15617;

														BgL_ez00_15617 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15617, BgL_sz00_13476);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_15618;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15619;

																BgL_savedzd2bpzd2_15619 =
																	VECTOR_REF(BgL_nsz00_15615,
																	(int) (((long) 0)));
																VECTOR_SET(BgL_nsz00_15615,
																	(int) (((long) 0)), BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15621;

																	BgL_fz00_15621 = BgL_runz00_15606;
																BgL_recz00_15620:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15622;

																		BgL_rz00_15622 =
																			PROCEDURE_ENTRY(BgL_fz00_15621)
																			(BgL_fz00_15621, BgL_nsz00_15615, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_20345;

																			if (PROCEDUREP(BgL_rz00_15622))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1674z00_15623;

																					BgL_arg1674z00_15623 =
																						PROCEDURE_ATTR(BgL_rz00_15622);
																					if (STRUCTP(BgL_arg1674z00_15623))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_20345 =
																								(STRUCT_KEY
																								(BgL_arg1674z00_15623) ==
																								BGl_symbol5695z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_20345 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_20345 = ((bool_t) 0);
																				}
																			if (BgL_testz00_20345)
																				{
																					obj_t BgL_fz00_20353;

																					BgL_fz00_20353 = BgL_rz00_15622;
																					BgL_fz00_15621 = BgL_fz00_20353;
																					goto BgL_recz00_15620;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15615,
																						(int) (((long) 0)),
																						BgL_savedzd2bpzd2_15619);
																					BgL_____rz00_15618 = BgL_rz00_15622;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15617);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15614,
																BgL_sz00_13476);
															return BgL_____rz00_15618;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15602,
												(int) (((long) 1))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15624;

												BgL_nbpz00_15624 =
													((long) CINT(BgL_bpz00_15601) + BgL_siza7eza7_13475);
												VECTOR_SET(BgL_sz00_13476,
													(int) (((long) 0)), BINT(BgL_nbpz00_15624));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15625;

													BgL_rz00_15625 =
														PROCEDURE_ENTRY(BgL_fz00_15602) (BgL_fz00_15602,
														BgL_a1z00_15603, BEOA);
													VECTOR_SET(BgL_sz00_13476, (int) (((long) 0)),
														BgL_bpz00_15601);
													return BgL_rz00_15625;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13473,
													BgL_symbzd2funzd2_13474, (int) (((long) 1)),
													PROCEDURE_ARITY(BgL_fz00_15602));
		}}}}}}}}
	}



/* &<anonymous:2009> */
	obj_t BGl_z62zc3anonymousza32009ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13477, obj_t BgL_sz00_13483)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13478;
				obj_t BgL_a1z00_13479;
				obj_t BgL_locz00_13480;
				obj_t BgL_symbzd2funzd2_13481;
				long BgL_siza7eza7_13482;

				BgL_funz00_13478 = PROCEDURE_REF(BgL_envz00_13477, (int) (((long) 0)));
				BgL_a1z00_13479 = PROCEDURE_REF(BgL_envz00_13477, (int) (((long) 1)));
				BgL_locz00_13480 = PROCEDURE_REF(BgL_envz00_13477, (int) (((long) 2)));
				BgL_symbzd2funzd2_13481 =
					PROCEDURE_REF(BgL_envz00_13477, (int) (((long) 3)));
				BgL_siza7eza7_13482 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13477, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15626;

					BgL_bpz00_15626 = VECTOR_REF(BgL_sz00_13483, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15627;
						obj_t BgL_a1z00_15628;

						BgL_fz00_15627 =
							PROCEDURE_ENTRY(BgL_funz00_13478) (BgL_funz00_13478,
							BgL_sz00_13483, BEOA);
						BgL_a1z00_15628 =
							PROCEDURE_ENTRY(BgL_a1z00_13479) (BgL_a1z00_13479, BgL_sz00_13483,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15627))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13480,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15627);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15629;

							BgL_ufz00_15629 = PROCEDURE_ATTR(BgL_fz00_15627);
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20400;

								if (STRUCTP(BgL_ufz00_15629))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20400 =
											(STRUCT_KEY(BgL_ufz00_15629) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20400 = ((bool_t) 0);
									}
								if (BgL_testz00_20400)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15630;
										obj_t BgL_runz00_15631;
										obj_t BgL_sfz00_15632;

										BgL_arityz00_15630 =
											STRUCT_REF(BgL_ufz00_15629, (int) (((long) 0)));
										BgL_runz00_15631 =
											STRUCT_REF(BgL_ufz00_15629, (int) (((long) 1)));
										BgL_sfz00_15632 =
											STRUCT_REF(BgL_ufz00_15629, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_15633;

											BgL_spz00_15633 =
												((long) CINT(BgL_bpz00_15626) + BgL_siza7eza7_13482);
											if (((long) CINT(BgL_arityz00_15630) == ((long) 1)))
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2013z00_15634;

													BgL_arg2013z00_15634 = (BgL_spz00_15633 + ((long) 0));
													VECTOR_SET(BgL_sz00_13483,
														(int) (BgL_arg2013z00_15634), BgL_a1z00_15628);
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_15630))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_15630))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2016z00_15635;
																		obj_t BgL_arg2017z00_15636;

																		BgL_arg2016z00_15635 =
																			(BgL_spz00_15633 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2018z00_15637;

																			BgL_list2018z00_15637 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15628, BNIL);
																			BgL_arg2017z00_15636 =
																				BgL_list2018z00_15637;
																		}
																		VECTOR_SET(BgL_sz00_13483,
																			(int) (BgL_arg2016z00_15635),
																			BgL_arg2017z00_15636);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2019z00_15638;

																		BgL_arg2019z00_15638 =
																			(BgL_spz00_15633 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13483,
																			(int) (BgL_arg2019z00_15638),
																			BgL_a1z00_15628);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2020z00_15639;

																		BgL_arg2020z00_15639 =
																			(BgL_spz00_15633 + ((long) 1));
																		VECTOR_SET(BgL_sz00_13483,
																			(int) (BgL_arg2020z00_15639), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13480,
																		STRUCT_REF(BgL_ufz00_15629,
																			(int) (((long) 3))), (int) (((long) 1)),
																		CINT(BgL_arityz00_15630));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13480, STRUCT_REF(BgL_ufz00_15629,
																	(int) (((long) 3))), (int) (((long) 1)),
																CINT(BgL_arityz00_15630));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_15640;

												BgL_z12denvz12_15640 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15640,
													BgL_locz00_13480);
												if (((BgL_spz00_15633 + (long) CINT(BgL_sfz00_15632)) <
														(long) (VECTOR_LENGTH(BgL_sz00_13483))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15631, BgL_sz00_13483,
															BINT(BgL_spz00_15633));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_15641;

														BgL_nsz00_15641 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2025z00_15642;

															BgL_arg2025z00_15642 =
																(BgL_spz00_15633 + ((long) 1));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15641, ((long) 2), BgL_sz00_13483,
																BINT(BgL_spz00_15633),
																BINT(BgL_arg2025z00_15642));
														}
														VECTOR_SET(BgL_nsz00_15641,
															(int) (((long) 1)), BgL_sz00_13483);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15640,
															BgL_nsz00_15641);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_15643;

															BgL_ez00_15643 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15643, BgL_sz00_13483);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_15644;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15645;

																	BgL_savedzd2bpzd2_15645 =
																		VECTOR_REF(BgL_nsz00_15641,
																		(int) (((long) 0)));
																	VECTOR_SET(BgL_nsz00_15641,
																		(int) (((long) 0)), BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15647;

																		BgL_fz00_15647 = BgL_runz00_15631;
																	BgL_recz00_15646:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15648;

																			BgL_rz00_15648 =
																				PROCEDURE_ENTRY(BgL_fz00_15647)
																				(BgL_fz00_15647, BgL_nsz00_15641, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_20472;

																				if (PROCEDUREP(BgL_rz00_15648))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1674z00_15649;

																						BgL_arg1674z00_15649 =
																							PROCEDURE_ATTR(BgL_rz00_15648);
																						if (STRUCTP(BgL_arg1674z00_15649))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_20472 =
																									(STRUCT_KEY
																									(BgL_arg1674z00_15649) ==
																									BGl_symbol5695z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_20472 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_20472 = ((bool_t) 0);
																					}
																				if (BgL_testz00_20472)
																					{
																						obj_t BgL_fz00_20480;

																						BgL_fz00_20480 = BgL_rz00_15648;
																						BgL_fz00_15647 = BgL_fz00_20480;
																						goto BgL_recz00_15646;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15641,
																							(int) (((long) 0)),
																							BgL_savedzd2bpzd2_15645);
																						BgL_____rz00_15644 = BgL_rz00_15648;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15643);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15640,
																	BgL_sz00_13483);
																return BgL_____rz00_15644;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15627,
												(int) (((long) 1))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15650;

												BgL_nbpz00_15650 =
													((long) CINT(BgL_bpz00_15626) + BgL_siza7eza7_13482);
												VECTOR_SET(BgL_sz00_13483,
													(int) (((long) 0)), BINT(BgL_nbpz00_15650));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_20493;

													BgL_tmpz00_20493 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20493,
														BgL_locz00_13480);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15651;

													BgL_rz00_15651 =
														PROCEDURE_ENTRY(BgL_fz00_15627) (BgL_fz00_15627,
														BgL_a1z00_15628, BEOA);
													VECTOR_SET(BgL_sz00_13483, (int) (((long) 0)),
														BgL_bpz00_15626);
													return BgL_rz00_15651;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13480,
													BgL_symbzd2funzd2_13481, (int) (((long) 1)),
													PROCEDURE_ARITY(BgL_fz00_15627));
		}}}}}}}}
	}



/* &<anonymous:2029> */
	obj_t BGl_z62zc3anonymousza32029ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13484, obj_t BgL_sz00_13490)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13485;
				obj_t BgL_a1z00_13486;
				obj_t BgL_locz00_13487;
				obj_t BgL_symbzd2funzd2_13488;
				long BgL_siza7eza7_13489;

				BgL_funz00_13485 = PROCEDURE_REF(BgL_envz00_13484, (int) (((long) 0)));
				BgL_a1z00_13486 = PROCEDURE_REF(BgL_envz00_13484, (int) (((long) 1)));
				BgL_locz00_13487 = PROCEDURE_REF(BgL_envz00_13484, (int) (((long) 2)));
				BgL_symbzd2funzd2_13488 =
					PROCEDURE_REF(BgL_envz00_13484, (int) (((long) 3)));
				BgL_siza7eza7_13489 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13484, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15652;

					BgL_bpz00_15652 = VECTOR_REF(BgL_sz00_13490, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15653;
						obj_t BgL_a1z00_15654;

						BgL_fz00_15653 =
							PROCEDURE_ENTRY(BgL_funz00_13485) (BgL_funz00_13485,
							BgL_sz00_13490, BEOA);
						BgL_a1z00_15654 =
							PROCEDURE_ENTRY(BgL_a1z00_13486) (BgL_a1z00_13486, BgL_sz00_13490,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15653))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13487,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15653);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15655;

							BgL_ufz00_15655 = PROCEDURE_ATTR(BgL_fz00_15653);
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20530;

								if (STRUCTP(BgL_ufz00_15655))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20530 =
											(STRUCT_KEY(BgL_ufz00_15655) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20530 = ((bool_t) 0);
									}
								if (BgL_testz00_20530)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15656;
										obj_t BgL_runz00_15657;
										obj_t BgL_sfz00_15658;

										BgL_arityz00_15656 =
											STRUCT_REF(BgL_ufz00_15655, (int) (((long) 0)));
										BgL_runz00_15657 =
											STRUCT_REF(BgL_ufz00_15655, (int) (((long) 1)));
										BgL_sfz00_15658 =
											STRUCT_REF(BgL_ufz00_15655, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_15659;

											BgL_spz00_15659 =
												((long) CINT(BgL_bpz00_15652) + BgL_siza7eza7_13489);
											if (((long) CINT(BgL_arityz00_15656) == ((long) 1)))
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2033z00_15660;

													BgL_arg2033z00_15660 = (BgL_spz00_15659 + ((long) 0));
													VECTOR_SET(BgL_sz00_13490,
														(int) (BgL_arg2033z00_15660), BgL_a1z00_15654);
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_15656))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_15656))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2035z00_15661;
																		obj_t BgL_arg2036z00_15662;

																		BgL_arg2035z00_15661 =
																			(BgL_spz00_15659 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2037z00_15663;

																			BgL_list2037z00_15663 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15654, BNIL);
																			BgL_arg2036z00_15662 =
																				BgL_list2037z00_15663;
																		}
																		VECTOR_SET(BgL_sz00_13490,
																			(int) (BgL_arg2035z00_15661),
																			BgL_arg2036z00_15662);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2038z00_15664;

																		BgL_arg2038z00_15664 =
																			(BgL_spz00_15659 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13490,
																			(int) (BgL_arg2038z00_15664),
																			BgL_a1z00_15654);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2040z00_15665;

																		BgL_arg2040z00_15665 =
																			(BgL_spz00_15659 + ((long) 1));
																		VECTOR_SET(BgL_sz00_13490,
																			(int) (BgL_arg2040z00_15665), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13487,
																		STRUCT_REF(BgL_ufz00_15655,
																			(int) (((long) 3))), (int) (((long) 1)),
																		CINT(BgL_arityz00_15656));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13487, STRUCT_REF(BgL_ufz00_15655,
																	(int) (((long) 3))), (int) (((long) 1)),
																CINT(BgL_arityz00_15656));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_15666;

												BgL_z12denvz12_15666 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_15659 +
															(long) CINT(BgL_sfz00_15658)) <
														(long) (VECTOR_LENGTH(BgL_sz00_13490))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15657, BgL_sz00_13490,
															BINT(BgL_spz00_15659));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_15667;

														BgL_nsz00_15667 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2045z00_15668;

															BgL_arg2045z00_15668 =
																(BgL_spz00_15659 + ((long) 1));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15667, ((long) 2), BgL_sz00_13490,
																BINT(BgL_spz00_15659),
																BINT(BgL_arg2045z00_15668));
														}
														VECTOR_SET(BgL_nsz00_15667,
															(int) (((long) 1)), BgL_sz00_13490);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15666,
															BgL_nsz00_15667);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_15669;

															BgL_ez00_15669 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15669, BgL_sz00_13490);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_15670;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15671;

																	BgL_savedzd2bpzd2_15671 =
																		VECTOR_REF(BgL_nsz00_15667,
																		(int) (((long) 0)));
																	VECTOR_SET(BgL_nsz00_15667,
																		(int) (((long) 0)), BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15673;

																		BgL_fz00_15673 = BgL_runz00_15657;
																	BgL_recz00_15672:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15674;

																			BgL_rz00_15674 =
																				PROCEDURE_ENTRY(BgL_fz00_15673)
																				(BgL_fz00_15673, BgL_nsz00_15667, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_20601;

																				if (PROCEDUREP(BgL_rz00_15674))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1674z00_15675;

																						BgL_arg1674z00_15675 =
																							PROCEDURE_ATTR(BgL_rz00_15674);
																						if (STRUCTP(BgL_arg1674z00_15675))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_20601 =
																									(STRUCT_KEY
																									(BgL_arg1674z00_15675) ==
																									BGl_symbol5695z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_20601 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_20601 = ((bool_t) 0);
																					}
																				if (BgL_testz00_20601)
																					{
																						obj_t BgL_fz00_20609;

																						BgL_fz00_20609 = BgL_rz00_15674;
																						BgL_fz00_15673 = BgL_fz00_20609;
																						goto BgL_recz00_15672;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15667,
																							(int) (((long) 0)),
																							BgL_savedzd2bpzd2_15671);
																						BgL_____rz00_15670 = BgL_rz00_15674;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15669);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15666,
																	BgL_sz00_13490);
																return BgL_____rz00_15670;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15653,
												(int) (((long) 1))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15676;

												BgL_nbpz00_15676 =
													((long) CINT(BgL_bpz00_15652) + BgL_siza7eza7_13489);
												VECTOR_SET(BgL_sz00_13490,
													(int) (((long) 0)), BINT(BgL_nbpz00_15676));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15677;

													BgL_rz00_15677 =
														PROCEDURE_ENTRY(BgL_fz00_15653) (BgL_fz00_15653,
														BgL_a1z00_15654, BEOA);
													VECTOR_SET(BgL_sz00_13490, (int) (((long) 0)),
														BgL_bpz00_15652);
													return BgL_rz00_15677;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13487,
													BgL_symbzd2funzd2_13488, (int) (((long) 1)),
													PROCEDURE_ARITY(BgL_fz00_15653));
		}}}}}}}}
	}



/* comp-call2 */
	obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_153,
		BgL_ev_exprz00_bglt BgL_vfunz00_154, obj_t BgL_symbzd2funzd2_155,
		obj_t BgL_funz00_156, obj_t BgL_tailzf3zf3_157, obj_t BgL_stkz00_158,
		long BgL_siza7eza7_159, obj_t BgL_a1z00_160, obj_t BgL_a2z00_161)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_cfunz00_2257;

				BgL_cfunz00_2257 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_154,
					((long) 2), BgL_locz00_153, BgL_symbzd2funzd2_155);
				if (CBOOL(BgL_cfunz00_2257))
					{	/* Eval/evaluate_comp.scm 889 */
						bool_t BgL_testz00_20634;

						{	/* Eval/evaluate_comp.scm 889 */
							int BgL_arg2055z00_2275;

							BgL_arg2055z00_2275 = bgl_debug();
							BgL_testz00_20634 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2055z00_2275),
								BINT(((long) 0)));
						}
						if (BgL_testz00_20634)
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza32051ze3z83_13491;

								BgL_zc3anonymousza32051ze3z83_13491 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32051ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza32051ze3z83_13491,
									(int) (((long) 0)), BgL_a1z00_160);
								PROCEDURE_SET(BgL_zc3anonymousza32051ze3z83_13491,
									(int) (((long) 1)), BgL_a2z00_161);
								PROCEDURE_SET(BgL_zc3anonymousza32051ze3z83_13491,
									(int) (((long) 2)), BINT(BgL_siza7eza7_159));
								PROCEDURE_SET(BgL_zc3anonymousza32051ze3z83_13491,
									(int) (((long) 3)), BgL_locz00_153);
								PROCEDURE_SET(BgL_zc3anonymousza32051ze3z83_13491,
									(int) (((long) 4)), BgL_cfunz00_2257);
								return BgL_zc3anonymousza32051ze3z83_13491;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza32053ze3z83_13492;

								BgL_zc3anonymousza32053ze3z83_13492 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32053ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza32053ze3z83_13492,
									(int) (((long) 0)), BgL_a1z00_160);
								PROCEDURE_SET(BgL_zc3anonymousza32053ze3z83_13492,
									(int) (((long) 1)), BgL_a2z00_161);
								PROCEDURE_SET(BgL_zc3anonymousza32053ze3z83_13492,
									(int) (((long) 2)), BINT(BgL_siza7eza7_159));
								PROCEDURE_SET(BgL_zc3anonymousza32053ze3z83_13492,
									(int) (((long) 3)), BgL_cfunz00_2257);
								return BgL_zc3anonymousza32053ze3z83_13492;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 889 */
						if (CBOOL(BgL_tailzf3zf3_157))
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20667;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2113z00_2367;

									BgL_arg2113z00_2367 = bgl_debug();
									BgL_testz00_20667 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2113z00_2367),
										BINT(((long) 0)));
								}
								if (BgL_testz00_20667)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32058ze3z83_13493;

										BgL_zc3anonymousza32058ze3z83_13493 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32058ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3anonymousza32058ze3z83_13493,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3anonymousza32058ze3z83_13493,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3anonymousza32058ze3z83_13493,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3anonymousza32058ze3z83_13493,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3anonymousza32058ze3z83_13493,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3anonymousza32058ze3z83_13493,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3anonymousza32058ze3z83_13493;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32087ze3z83_13494;

										BgL_zc3anonymousza32087ze3z83_13494 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32087ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3anonymousza32087ze3z83_13494,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3anonymousza32087ze3z83_13494,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3anonymousza32087ze3z83_13494,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3anonymousza32087ze3z83_13494,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3anonymousza32087ze3z83_13494,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3anonymousza32087ze3z83_13494,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3anonymousza32087ze3z83_13494;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20704;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2168z00_2459;

									BgL_arg2168z00_2459 = bgl_debug();
									BgL_testz00_20704 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2168z00_2459),
										BINT(((long) 0)));
								}
								if (BgL_testz00_20704)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32116ze3z83_13495;

										BgL_zc3anonymousza32116ze3z83_13495 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32116ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3anonymousza32116ze3z83_13495,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3anonymousza32116ze3z83_13495,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3anonymousza32116ze3z83_13495,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3anonymousza32116ze3z83_13495,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3anonymousza32116ze3z83_13495,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3anonymousza32116ze3z83_13495,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3anonymousza32116ze3z83_13495;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32142ze3z83_13496;

										BgL_zc3anonymousza32142ze3z83_13496 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32142ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3anonymousza32142ze3z83_13496,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3anonymousza32142ze3z83_13496,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3anonymousza32142ze3z83_13496,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3anonymousza32142ze3z83_13496,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3anonymousza32142ze3z83_13496,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3anonymousza32142ze3z83_13496,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3anonymousza32142ze3z83_13496;
									}
							}
					}
			}
		}
	}



/* &<anonymous:2051> */
	obj_t BGl_z62zc3anonymousza32051ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13497, obj_t BgL_sz00_13503)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13498;
				obj_t BgL_a2z00_13499;
				long BgL_siza7eza7_13500;
				obj_t BgL_locz00_13501;
				obj_t BgL_cfunz00_13502;

				BgL_a1z00_13498 = PROCEDURE_REF(BgL_envz00_13497, (int) (((long) 0)));
				BgL_a2z00_13499 = PROCEDURE_REF(BgL_envz00_13497, (int) (((long) 1)));
				BgL_siza7eza7_13500 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13497, (int) (((long) 2))));
				BgL_locz00_13501 = PROCEDURE_REF(BgL_envz00_13497, (int) (((long) 3)));
				BgL_cfunz00_13502 = PROCEDURE_REF(BgL_envz00_13497, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15678;

					BgL_bpz00_15678 = VECTOR_REF(BgL_sz00_13503, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_15679;
						obj_t BgL_a2z00_15680;

						BgL_a1z00_15679 =
							PROCEDURE_ENTRY(BgL_a1z00_13498) (BgL_a1z00_13498, BgL_sz00_13503,
							BEOA);
						BgL_a2z00_15680 =
							PROCEDURE_ENTRY(BgL_a2z00_13499) (BgL_a2z00_13499, BgL_sz00_13503,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15681;

							BgL_nbpz00_15681 =
								((long) CINT(BgL_bpz00_15678) + BgL_siza7eza7_13500);
							VECTOR_SET(BgL_sz00_13503,
								(int) (((long) 0)), BINT(BgL_nbpz00_15681));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_20767;

								BgL_tmpz00_20767 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20767, BgL_locz00_13501);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15682;

								BgL_rz00_15682 =
									PROCEDURE_ENTRY(BgL_cfunz00_13502) (BgL_cfunz00_13502,
									BgL_a1z00_15679, BgL_a2z00_15680, BEOA);
								VECTOR_SET(BgL_sz00_13503, (int) (((long) 0)), BgL_bpz00_15678);
								return BgL_rz00_15682;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2053> */
	obj_t BGl_z62zc3anonymousza32053ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13504, obj_t BgL_sz00_13509)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13505;
				obj_t BgL_a2z00_13506;
				long BgL_siza7eza7_13507;
				obj_t BgL_cfunz00_13508;

				BgL_a1z00_13505 = PROCEDURE_REF(BgL_envz00_13504, (int) (((long) 0)));
				BgL_a2z00_13506 = PROCEDURE_REF(BgL_envz00_13504, (int) (((long) 1)));
				BgL_siza7eza7_13507 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13504, (int) (((long) 2))));
				BgL_cfunz00_13508 = PROCEDURE_REF(BgL_envz00_13504, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15683;

					BgL_bpz00_15683 = VECTOR_REF(BgL_sz00_13509, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_15684;
						obj_t BgL_a2z00_15685;

						BgL_a1z00_15684 =
							PROCEDURE_ENTRY(BgL_a1z00_13505) (BgL_a1z00_13505, BgL_sz00_13509,
							BEOA);
						BgL_a2z00_15685 =
							PROCEDURE_ENTRY(BgL_a2z00_13506) (BgL_a2z00_13506, BgL_sz00_13509,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15686;

							BgL_nbpz00_15686 =
								((long) CINT(BgL_bpz00_15683) + BgL_siza7eza7_13507);
							VECTOR_SET(BgL_sz00_13509,
								(int) (((long) 0)), BINT(BgL_nbpz00_15686));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15687;

								BgL_rz00_15687 =
									PROCEDURE_ENTRY(BgL_cfunz00_13508) (BgL_cfunz00_13508,
									BgL_a1z00_15684, BgL_a2z00_15685, BEOA);
								VECTOR_SET(BgL_sz00_13509, (int) (((long) 0)), BgL_bpz00_15683);
								return BgL_rz00_15687;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2058> */
	obj_t BGl_z62zc3anonymousza32058ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13510, obj_t BgL_sz00_13517)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13511;
				obj_t BgL_a1z00_13512;
				obj_t BgL_a2z00_13513;
				obj_t BgL_locz00_13514;
				obj_t BgL_symbzd2funzd2_13515;
				long BgL_siza7eza7_13516;

				BgL_funz00_13511 = PROCEDURE_REF(BgL_envz00_13510, (int) (((long) 0)));
				BgL_a1z00_13512 = PROCEDURE_REF(BgL_envz00_13510, (int) (((long) 1)));
				BgL_a2z00_13513 = PROCEDURE_REF(BgL_envz00_13510, (int) (((long) 2)));
				BgL_locz00_13514 = PROCEDURE_REF(BgL_envz00_13510, (int) (((long) 3)));
				BgL_symbzd2funzd2_13515 =
					PROCEDURE_REF(BgL_envz00_13510, (int) (((long) 4)));
				BgL_siza7eza7_13516 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13510, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15688;

					BgL_bpz00_15688 = VECTOR_REF(BgL_sz00_13517, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15689;
						obj_t BgL_a1z00_15690;
						obj_t BgL_a2z00_15691;

						BgL_fz00_15689 =
							PROCEDURE_ENTRY(BgL_funz00_13511) (BgL_funz00_13511,
							BgL_sz00_13517, BEOA);
						BgL_a1z00_15690 =
							PROCEDURE_ENTRY(BgL_a1z00_13512) (BgL_a1z00_13512, BgL_sz00_13517,
							BEOA);
						BgL_a2z00_15691 =
							PROCEDURE_ENTRY(BgL_a2z00_13513) (BgL_a2z00_13513, BgL_sz00_13517,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15689))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13514,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15689);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15692;

							BgL_ufz00_15692 = PROCEDURE_ATTR(BgL_fz00_15689);
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20839;

								if (STRUCTP(BgL_ufz00_15692))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20839 =
											(STRUCT_KEY(BgL_ufz00_15692) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20839 = ((bool_t) 0);
									}
								if (BgL_testz00_20839)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15693;
										obj_t BgL_runz00_15694;
										obj_t BgL_sfz00_15695;

										BgL_arityz00_15693 =
											STRUCT_REF(BgL_ufz00_15692, (int) (((long) 0)));
										BgL_runz00_15694 =
											STRUCT_REF(BgL_ufz00_15692, (int) (((long) 1)));
										BgL_sfz00_15695 =
											STRUCT_REF(BgL_ufz00_15692, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15693) == ((long) 2)))
											{	/* Eval/evaluate_comp.scm 889 */
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2062z00_15696;

													BgL_arg2062z00_15696 =
														((long) CINT(BgL_bpz00_15688) + ((long) 0));
													VECTOR_SET(BgL_sz00_13517,
														(int) (BgL_arg2062z00_15696), BgL_a1z00_15690);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2064z00_15697;

													BgL_arg2064z00_15697 =
														((long) CINT(BgL_bpz00_15688) + ((long) 1));
													VECTOR_SET(BgL_sz00_13517,
														(int) (BgL_arg2064z00_15697), BgL_a2z00_15691);
											}}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_15693))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_15693))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2067z00_15698;
																	obj_t BgL_arg2068z00_15699;

																	BgL_arg2067z00_15698 =
																		((long) CINT(BgL_bpz00_15688) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2069z00_15700;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2070z00_15701;

																			BgL_arg2070z00_15701 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_15691, BNIL);
																			BgL_list2069z00_15700 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15690,
																				BgL_arg2070z00_15701);
																		}
																		BgL_arg2068z00_15699 =
																			BgL_list2069z00_15700;
																	}
																	VECTOR_SET(BgL_sz00_13517,
																		(int) (BgL_arg2067z00_15698),
																		BgL_arg2068z00_15699);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2071z00_15702;

																	BgL_arg2071z00_15702 =
																		((long) CINT(BgL_bpz00_15688) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13517,
																		(int) (BgL_arg2071z00_15702),
																		BgL_a1z00_15690);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2072z00_15703;
																	obj_t BgL_arg2073z00_15704;

																	BgL_arg2072z00_15703 =
																		((long) CINT(BgL_bpz00_15688) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2074z00_15705;

																		BgL_list2074z00_15705 =
																			MAKE_YOUNG_PAIR(BgL_a2z00_15691, BNIL);
																		BgL_arg2073z00_15704 =
																			BgL_list2074z00_15705;
																	}
																	VECTOR_SET(BgL_sz00_13517,
																		(int) (BgL_arg2072z00_15703),
																		BgL_arg2073z00_15704);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2075z00_15706;

																	BgL_arg2075z00_15706 =
																		((long) CINT(BgL_bpz00_15688) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13517,
																		(int) (BgL_arg2075z00_15706),
																		BgL_a1z00_15690);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2076z00_15707;

																	BgL_arg2076z00_15707 =
																		((long) CINT(BgL_bpz00_15688) + ((long) 1));
																	VECTOR_SET(BgL_sz00_13517,
																		(int) (BgL_arg2076z00_15707),
																		BgL_a2z00_15691);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2077z00_15708;

																	BgL_arg2077z00_15708 =
																		((long) CINT(BgL_bpz00_15688) + ((long) 2));
																	VECTOR_SET(BgL_sz00_13517,
																		(int) (BgL_arg2077z00_15708), BNIL);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13514, STRUCT_REF(BgL_ufz00_15692,
																		(int) (((long) 3))), (int) (((long) 2)),
																	CINT(BgL_arityz00_15693));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13514, STRUCT_REF(BgL_ufz00_15692,
																(int) (((long) 3))), (int) (((long) 2)),
															CINT(BgL_arityz00_15693));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_15709;

											BgL_z12denvz12_15709 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15709,
												BgL_locz00_13514);
											if ((((long) CINT(BgL_bpz00_15688) +
														(long) CINT(BgL_sfz00_15695)) <
													(long) (VECTOR_LENGTH(BgL_sz00_13517))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_15694;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_15710;

													BgL_nsz00_15710 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2083z00_15711;

														BgL_arg2083z00_15711 =
															((long) CINT(BgL_bpz00_15688) + ((long) 2));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15710, ((long) 2), BgL_sz00_13517,
															BgL_bpz00_15688, BINT(BgL_arg2083z00_15711));
													}
													VECTOR_SET(BgL_nsz00_15710,
														(int) (((long) 1)), BgL_sz00_13517);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15709,
														BgL_nsz00_15710);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_15712;

														BgL_ez00_15712 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15712, BgL_sz00_13517);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_15713;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15714;

																BgL_savedzd2bpzd2_15714 =
																	VECTOR_REF(BgL_nsz00_15710,
																	(int) (((long) 0)));
																VECTOR_SET(BgL_nsz00_15710,
																	(int) (((long) 0)), BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15716;

																	BgL_fz00_15716 = BgL_runz00_15694;
																BgL_recz00_15715:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15717;

																		BgL_rz00_15717 =
																			PROCEDURE_ENTRY(BgL_fz00_15716)
																			(BgL_fz00_15716, BgL_nsz00_15710, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_20930;

																			if (PROCEDUREP(BgL_rz00_15717))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1674z00_15718;

																					BgL_arg1674z00_15718 =
																						PROCEDURE_ATTR(BgL_rz00_15717);
																					if (STRUCTP(BgL_arg1674z00_15718))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_20930 =
																								(STRUCT_KEY
																								(BgL_arg1674z00_15718) ==
																								BGl_symbol5695z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_20930 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_20930 = ((bool_t) 0);
																				}
																			if (BgL_testz00_20930)
																				{
																					obj_t BgL_fz00_20938;

																					BgL_fz00_20938 = BgL_rz00_15717;
																					BgL_fz00_15716 = BgL_fz00_20938;
																					goto BgL_recz00_15715;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15710,
																						(int) (((long) 0)),
																						BgL_savedzd2bpzd2_15714);
																					BgL_____rz00_15713 = BgL_rz00_15717;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15712);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15709,
																BgL_sz00_13517);
															return BgL_____rz00_15713;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15689,
												(int) (((long) 2))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15719;

												BgL_nbpz00_15719 =
													((long) CINT(BgL_bpz00_15688) + BgL_siza7eza7_13516);
												VECTOR_SET(BgL_sz00_13517,
													(int) (((long) 0)), BINT(BgL_nbpz00_15719));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_20951;

													BgL_tmpz00_20951 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20951,
														BgL_locz00_13514);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15720;

													BgL_rz00_15720 =
														PROCEDURE_ENTRY(BgL_fz00_15689) (BgL_fz00_15689,
														BgL_a1z00_15690, BgL_a2z00_15691, BEOA);
													VECTOR_SET(BgL_sz00_13517, (int) (((long) 0)),
														BgL_bpz00_15688);
													return BgL_rz00_15720;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13514,
													BgL_symbzd2funzd2_13515, (int) (((long) 2)),
													PROCEDURE_ARITY(BgL_fz00_15689));
		}}}}}}}}
	}



/* &<anonymous:2087> */
	obj_t BGl_z62zc3anonymousza32087ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13518, obj_t BgL_sz00_13525)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13519;
				obj_t BgL_a1z00_13520;
				obj_t BgL_a2z00_13521;
				obj_t BgL_locz00_13522;
				obj_t BgL_symbzd2funzd2_13523;
				long BgL_siza7eza7_13524;

				BgL_funz00_13519 = PROCEDURE_REF(BgL_envz00_13518, (int) (((long) 0)));
				BgL_a1z00_13520 = PROCEDURE_REF(BgL_envz00_13518, (int) (((long) 1)));
				BgL_a2z00_13521 = PROCEDURE_REF(BgL_envz00_13518, (int) (((long) 2)));
				BgL_locz00_13522 = PROCEDURE_REF(BgL_envz00_13518, (int) (((long) 3)));
				BgL_symbzd2funzd2_13523 =
					PROCEDURE_REF(BgL_envz00_13518, (int) (((long) 4)));
				BgL_siza7eza7_13524 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13518, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15721;

					BgL_bpz00_15721 = VECTOR_REF(BgL_sz00_13525, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15722;
						obj_t BgL_a1z00_15723;
						obj_t BgL_a2z00_15724;

						BgL_fz00_15722 =
							PROCEDURE_ENTRY(BgL_funz00_13519) (BgL_funz00_13519,
							BgL_sz00_13525, BEOA);
						BgL_a1z00_15723 =
							PROCEDURE_ENTRY(BgL_a1z00_13520) (BgL_a1z00_13520, BgL_sz00_13525,
							BEOA);
						BgL_a2z00_15724 =
							PROCEDURE_ENTRY(BgL_a2z00_13521) (BgL_a2z00_13521, BgL_sz00_13525,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15722))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13522,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15722);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15725;

							BgL_ufz00_15725 = PROCEDURE_ATTR(BgL_fz00_15722);
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_20995;

								if (STRUCTP(BgL_ufz00_15725))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20995 =
											(STRUCT_KEY(BgL_ufz00_15725) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_20995 = ((bool_t) 0);
									}
								if (BgL_testz00_20995)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15726;
										obj_t BgL_runz00_15727;
										obj_t BgL_sfz00_15728;

										BgL_arityz00_15726 =
											STRUCT_REF(BgL_ufz00_15725, (int) (((long) 0)));
										BgL_runz00_15727 =
											STRUCT_REF(BgL_ufz00_15725, (int) (((long) 1)));
										BgL_sfz00_15728 =
											STRUCT_REF(BgL_ufz00_15725, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15726) == ((long) 2)))
											{	/* Eval/evaluate_comp.scm 889 */
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2091z00_15729;

													BgL_arg2091z00_15729 =
														((long) CINT(BgL_bpz00_15721) + ((long) 0));
													VECTOR_SET(BgL_sz00_13525,
														(int) (BgL_arg2091z00_15729), BgL_a1z00_15723);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2092z00_15730;

													BgL_arg2092z00_15730 =
														((long) CINT(BgL_bpz00_15721) + ((long) 1));
													VECTOR_SET(BgL_sz00_13525,
														(int) (BgL_arg2092z00_15730), BgL_a2z00_15724);
											}}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_15726))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_15726))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2094z00_15731;
																	obj_t BgL_arg2095z00_15732;

																	BgL_arg2094z00_15731 =
																		((long) CINT(BgL_bpz00_15721) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2096z00_15733;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2097z00_15734;

																			BgL_arg2097z00_15734 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_15724, BNIL);
																			BgL_list2096z00_15733 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15723,
																				BgL_arg2097z00_15734);
																		}
																		BgL_arg2095z00_15732 =
																			BgL_list2096z00_15733;
																	}
																	VECTOR_SET(BgL_sz00_13525,
																		(int) (BgL_arg2094z00_15731),
																		BgL_arg2095z00_15732);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2098z00_15735;

																	BgL_arg2098z00_15735 =
																		((long) CINT(BgL_bpz00_15721) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13525,
																		(int) (BgL_arg2098z00_15735),
																		BgL_a1z00_15723);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2099z00_15736;
																	obj_t BgL_arg2101z00_15737;

																	BgL_arg2099z00_15736 =
																		((long) CINT(BgL_bpz00_15721) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2102z00_15738;

																		BgL_list2102z00_15738 =
																			MAKE_YOUNG_PAIR(BgL_a2z00_15724, BNIL);
																		BgL_arg2101z00_15737 =
																			BgL_list2102z00_15738;
																	}
																	VECTOR_SET(BgL_sz00_13525,
																		(int) (BgL_arg2099z00_15736),
																		BgL_arg2101z00_15737);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2103z00_15739;

																	BgL_arg2103z00_15739 =
																		((long) CINT(BgL_bpz00_15721) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13525,
																		(int) (BgL_arg2103z00_15739),
																		BgL_a1z00_15723);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2104z00_15740;

																	BgL_arg2104z00_15740 =
																		((long) CINT(BgL_bpz00_15721) + ((long) 1));
																	VECTOR_SET(BgL_sz00_13525,
																		(int) (BgL_arg2104z00_15740),
																		BgL_a2z00_15724);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2105z00_15741;

																	BgL_arg2105z00_15741 =
																		((long) CINT(BgL_bpz00_15721) + ((long) 2));
																	VECTOR_SET(BgL_sz00_13525,
																		(int) (BgL_arg2105z00_15741), BNIL);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13522, STRUCT_REF(BgL_ufz00_15725,
																		(int) (((long) 3))), (int) (((long) 2)),
																	CINT(BgL_arityz00_15726));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13522, STRUCT_REF(BgL_ufz00_15725,
																(int) (((long) 3))), (int) (((long) 2)),
															CINT(BgL_arityz00_15726));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_15742;

											BgL_z12denvz12_15742 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15721) +
														(long) CINT(BgL_sfz00_15728)) <
													(long) (VECTOR_LENGTH(BgL_sz00_13525))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_15727;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_15743;

													BgL_nsz00_15743 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2110z00_15744;

														BgL_arg2110z00_15744 =
															((long) CINT(BgL_bpz00_15721) + ((long) 2));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15743, ((long) 2), BgL_sz00_13525,
															BgL_bpz00_15721, BINT(BgL_arg2110z00_15744));
													}
													VECTOR_SET(BgL_nsz00_15743,
														(int) (((long) 1)), BgL_sz00_13525);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15742,
														BgL_nsz00_15743);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_15745;

														BgL_ez00_15745 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15745, BgL_sz00_13525);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_15746;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15747;

																BgL_savedzd2bpzd2_15747 =
																	VECTOR_REF(BgL_nsz00_15743,
																	(int) (((long) 0)));
																VECTOR_SET(BgL_nsz00_15743,
																	(int) (((long) 0)), BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15749;

																	BgL_fz00_15749 = BgL_runz00_15727;
																BgL_recz00_15748:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15750;

																		BgL_rz00_15750 =
																			PROCEDURE_ENTRY(BgL_fz00_15749)
																			(BgL_fz00_15749, BgL_nsz00_15743, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_21085;

																			if (PROCEDUREP(BgL_rz00_15750))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1674z00_15751;

																					BgL_arg1674z00_15751 =
																						PROCEDURE_ATTR(BgL_rz00_15750);
																					if (STRUCTP(BgL_arg1674z00_15751))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_21085 =
																								(STRUCT_KEY
																								(BgL_arg1674z00_15751) ==
																								BGl_symbol5695z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_21085 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_21085 = ((bool_t) 0);
																				}
																			if (BgL_testz00_21085)
																				{
																					obj_t BgL_fz00_21093;

																					BgL_fz00_21093 = BgL_rz00_15750;
																					BgL_fz00_15749 = BgL_fz00_21093;
																					goto BgL_recz00_15748;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15743,
																						(int) (((long) 0)),
																						BgL_savedzd2bpzd2_15747);
																					BgL_____rz00_15746 = BgL_rz00_15750;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15745);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15742,
																BgL_sz00_13525);
															return BgL_____rz00_15746;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15722,
												(int) (((long) 2))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15752;

												BgL_nbpz00_15752 =
													((long) CINT(BgL_bpz00_15721) + BgL_siza7eza7_13524);
												VECTOR_SET(BgL_sz00_13525,
													(int) (((long) 0)), BINT(BgL_nbpz00_15752));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15753;

													BgL_rz00_15753 =
														PROCEDURE_ENTRY(BgL_fz00_15722) (BgL_fz00_15722,
														BgL_a1z00_15723, BgL_a2z00_15724, BEOA);
													VECTOR_SET(BgL_sz00_13525, (int) (((long) 0)),
														BgL_bpz00_15721);
													return BgL_rz00_15753;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13522,
													BgL_symbzd2funzd2_13523, (int) (((long) 2)),
													PROCEDURE_ARITY(BgL_fz00_15722));
		}}}}}}}}
	}



/* &<anonymous:2116> */
	obj_t BGl_z62zc3anonymousza32116ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13526, obj_t BgL_sz00_13533)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13527;
				obj_t BgL_a1z00_13528;
				obj_t BgL_a2z00_13529;
				obj_t BgL_locz00_13530;
				obj_t BgL_symbzd2funzd2_13531;
				long BgL_siza7eza7_13532;

				BgL_funz00_13527 = PROCEDURE_REF(BgL_envz00_13526, (int) (((long) 0)));
				BgL_a1z00_13528 = PROCEDURE_REF(BgL_envz00_13526, (int) (((long) 1)));
				BgL_a2z00_13529 = PROCEDURE_REF(BgL_envz00_13526, (int) (((long) 2)));
				BgL_locz00_13530 = PROCEDURE_REF(BgL_envz00_13526, (int) (((long) 3)));
				BgL_symbzd2funzd2_13531 =
					PROCEDURE_REF(BgL_envz00_13526, (int) (((long) 4)));
				BgL_siza7eza7_13532 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13526, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15754;

					BgL_bpz00_15754 = VECTOR_REF(BgL_sz00_13533, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15755;
						obj_t BgL_a1z00_15756;
						obj_t BgL_a2z00_15757;

						BgL_fz00_15755 =
							PROCEDURE_ENTRY(BgL_funz00_13527) (BgL_funz00_13527,
							BgL_sz00_13533, BEOA);
						BgL_a1z00_15756 =
							PROCEDURE_ENTRY(BgL_a1z00_13528) (BgL_a1z00_13528, BgL_sz00_13533,
							BEOA);
						BgL_a2z00_15757 =
							PROCEDURE_ENTRY(BgL_a2z00_13529) (BgL_a2z00_13529, BgL_sz00_13533,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15755))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13530,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15755);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15758;

							BgL_ufz00_15758 = PROCEDURE_ATTR(BgL_fz00_15755);
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_21147;

								if (STRUCTP(BgL_ufz00_15758))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21147 =
											(STRUCT_KEY(BgL_ufz00_15758) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21147 = ((bool_t) 0);
									}
								if (BgL_testz00_21147)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15759;
										obj_t BgL_runz00_15760;
										obj_t BgL_sfz00_15761;

										BgL_arityz00_15759 =
											STRUCT_REF(BgL_ufz00_15758, (int) (((long) 0)));
										BgL_runz00_15760 =
											STRUCT_REF(BgL_ufz00_15758, (int) (((long) 1)));
										BgL_sfz00_15761 =
											STRUCT_REF(BgL_ufz00_15758, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_15762;

											BgL_spz00_15762 =
												((long) CINT(BgL_bpz00_15754) + BgL_siza7eza7_13532);
											if (((long) CINT(BgL_arityz00_15759) == ((long) 2)))
												{	/* Eval/evaluate_comp.scm 889 */
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2120z00_15763;

														BgL_arg2120z00_15763 =
															(BgL_spz00_15762 + ((long) 0));
														VECTOR_SET(BgL_sz00_13533,
															(int) (BgL_arg2120z00_15763), BgL_a1z00_15756);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2121z00_15764;

														BgL_arg2121z00_15764 =
															(BgL_spz00_15762 + ((long) 1));
														VECTOR_SET(BgL_sz00_13533,
															(int) (BgL_arg2121z00_15764), BgL_a2z00_15757);
												}}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_15759))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_15759))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2123z00_15765;
																		obj_t BgL_arg2124z00_15766;

																		BgL_arg2123z00_15765 =
																			(BgL_spz00_15762 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2125z00_15767;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2126z00_15768;

																				BgL_arg2126z00_15768 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_15757,
																					BNIL);
																				BgL_list2125z00_15767 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_15756,
																					BgL_arg2126z00_15768);
																			}
																			BgL_arg2124z00_15766 =
																				BgL_list2125z00_15767;
																		}
																		VECTOR_SET(BgL_sz00_13533,
																			(int) (BgL_arg2123z00_15765),
																			BgL_arg2124z00_15766);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2127z00_15769;

																		BgL_arg2127z00_15769 =
																			(BgL_spz00_15762 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13533,
																			(int) (BgL_arg2127z00_15769),
																			BgL_a1z00_15756);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2128z00_15770;
																		obj_t BgL_arg2129z00_15771;

																		BgL_arg2128z00_15770 =
																			(BgL_spz00_15762 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2130z00_15772;

																			BgL_list2130z00_15772 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_15757, BNIL);
																			BgL_arg2129z00_15771 =
																				BgL_list2130z00_15772;
																		}
																		VECTOR_SET(BgL_sz00_13533,
																			(int) (BgL_arg2128z00_15770),
																			BgL_arg2129z00_15771);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2131z00_15773;

																		BgL_arg2131z00_15773 =
																			(BgL_spz00_15762 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13533,
																			(int) (BgL_arg2131z00_15773),
																			BgL_a1z00_15756);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2132z00_15774;

																		BgL_arg2132z00_15774 =
																			(BgL_spz00_15762 + ((long) 1));
																		VECTOR_SET(BgL_sz00_13533,
																			(int) (BgL_arg2132z00_15774),
																			BgL_a2z00_15757);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2133z00_15775;

																		BgL_arg2133z00_15775 =
																			(BgL_spz00_15762 + ((long) 2));
																		VECTOR_SET(BgL_sz00_13533,
																			(int) (BgL_arg2133z00_15775), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13530,
																		STRUCT_REF(BgL_ufz00_15758,
																			(int) (((long) 3))), (int) (((long) 2)),
																		CINT(BgL_arityz00_15759));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13530, STRUCT_REF(BgL_ufz00_15758,
																	(int) (((long) 3))), (int) (((long) 2)),
																CINT(BgL_arityz00_15759));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_15776;

												BgL_z12denvz12_15776 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15776,
													BgL_locz00_13530);
												if (((BgL_spz00_15762 + (long) CINT(BgL_sfz00_15761)) <
														(long) (VECTOR_LENGTH(BgL_sz00_13533))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15760, BgL_sz00_13533,
															BINT(BgL_spz00_15762));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_15777;

														BgL_nsz00_15777 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2138z00_15778;

															BgL_arg2138z00_15778 =
																(BgL_spz00_15762 + ((long) 2));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15777, ((long) 2), BgL_sz00_13533,
																BINT(BgL_spz00_15762),
																BINT(BgL_arg2138z00_15778));
														}
														VECTOR_SET(BgL_nsz00_15777,
															(int) (((long) 1)), BgL_sz00_13533);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15776,
															BgL_nsz00_15777);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_15779;

															BgL_ez00_15779 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15779, BgL_sz00_13533);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_15780;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15781;

																	BgL_savedzd2bpzd2_15781 =
																		VECTOR_REF(BgL_nsz00_15777,
																		(int) (((long) 0)));
																	VECTOR_SET(BgL_nsz00_15777,
																		(int) (((long) 0)), BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15783;

																		BgL_fz00_15783 = BgL_runz00_15760;
																	BgL_recz00_15782:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15784;

																			BgL_rz00_15784 =
																				PROCEDURE_ENTRY(BgL_fz00_15783)
																				(BgL_fz00_15783, BgL_nsz00_15777, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_21233;

																				if (PROCEDUREP(BgL_rz00_15784))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1674z00_15785;

																						BgL_arg1674z00_15785 =
																							PROCEDURE_ATTR(BgL_rz00_15784);
																						if (STRUCTP(BgL_arg1674z00_15785))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_21233 =
																									(STRUCT_KEY
																									(BgL_arg1674z00_15785) ==
																									BGl_symbol5695z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_21233 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_21233 = ((bool_t) 0);
																					}
																				if (BgL_testz00_21233)
																					{
																						obj_t BgL_fz00_21241;

																						BgL_fz00_21241 = BgL_rz00_15784;
																						BgL_fz00_15783 = BgL_fz00_21241;
																						goto BgL_recz00_15782;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15777,
																							(int) (((long) 0)),
																							BgL_savedzd2bpzd2_15781);
																						BgL_____rz00_15780 = BgL_rz00_15784;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15779);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15776,
																	BgL_sz00_13533);
																return BgL_____rz00_15780;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15755,
												(int) (((long) 2))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15786;

												BgL_nbpz00_15786 =
													((long) CINT(BgL_bpz00_15754) + BgL_siza7eza7_13532);
												VECTOR_SET(BgL_sz00_13533,
													(int) (((long) 0)), BINT(BgL_nbpz00_15786));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_21254;

													BgL_tmpz00_21254 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21254,
														BgL_locz00_13530);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15787;

													BgL_rz00_15787 =
														PROCEDURE_ENTRY(BgL_fz00_15755) (BgL_fz00_15755,
														BgL_a1z00_15756, BgL_a2z00_15757, BEOA);
													VECTOR_SET(BgL_sz00_13533, (int) (((long) 0)),
														BgL_bpz00_15754);
													return BgL_rz00_15787;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13530,
													BgL_symbzd2funzd2_13531, (int) (((long) 2)),
													PROCEDURE_ARITY(BgL_fz00_15755));
		}}}}}}}}
	}



/* &<anonymous:2142> */
	obj_t BGl_z62zc3anonymousza32142ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13534, obj_t BgL_sz00_13541)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13535;
				obj_t BgL_a1z00_13536;
				obj_t BgL_a2z00_13537;
				obj_t BgL_locz00_13538;
				obj_t BgL_symbzd2funzd2_13539;
				long BgL_siza7eza7_13540;

				BgL_funz00_13535 = PROCEDURE_REF(BgL_envz00_13534, (int) (((long) 0)));
				BgL_a1z00_13536 = PROCEDURE_REF(BgL_envz00_13534, (int) (((long) 1)));
				BgL_a2z00_13537 = PROCEDURE_REF(BgL_envz00_13534, (int) (((long) 2)));
				BgL_locz00_13538 = PROCEDURE_REF(BgL_envz00_13534, (int) (((long) 3)));
				BgL_symbzd2funzd2_13539 =
					PROCEDURE_REF(BgL_envz00_13534, (int) (((long) 4)));
				BgL_siza7eza7_13540 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13534, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15788;

					BgL_bpz00_15788 = VECTOR_REF(BgL_sz00_13541, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15789;
						obj_t BgL_a1z00_15790;
						obj_t BgL_a2z00_15791;

						BgL_fz00_15789 =
							PROCEDURE_ENTRY(BgL_funz00_13535) (BgL_funz00_13535,
							BgL_sz00_13541, BEOA);
						BgL_a1z00_15790 =
							PROCEDURE_ENTRY(BgL_a1z00_13536) (BgL_a1z00_13536, BgL_sz00_13541,
							BEOA);
						BgL_a2z00_15791 =
							PROCEDURE_ENTRY(BgL_a2z00_13537) (BgL_a2z00_13537, BgL_sz00_13541,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15789))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13538,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15789);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15792;

							BgL_ufz00_15792 = PROCEDURE_ATTR(BgL_fz00_15789);
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_21298;

								if (STRUCTP(BgL_ufz00_15792))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21298 =
											(STRUCT_KEY(BgL_ufz00_15792) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21298 = ((bool_t) 0);
									}
								if (BgL_testz00_21298)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15793;
										obj_t BgL_runz00_15794;
										obj_t BgL_sfz00_15795;

										BgL_arityz00_15793 =
											STRUCT_REF(BgL_ufz00_15792, (int) (((long) 0)));
										BgL_runz00_15794 =
											STRUCT_REF(BgL_ufz00_15792, (int) (((long) 1)));
										BgL_sfz00_15795 =
											STRUCT_REF(BgL_ufz00_15792, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_15796;

											BgL_spz00_15796 =
												((long) CINT(BgL_bpz00_15788) + BgL_siza7eza7_13540);
											if (((long) CINT(BgL_arityz00_15793) == ((long) 2)))
												{	/* Eval/evaluate_comp.scm 889 */
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2147z00_15797;

														BgL_arg2147z00_15797 =
															(BgL_spz00_15796 + ((long) 0));
														VECTOR_SET(BgL_sz00_13541,
															(int) (BgL_arg2147z00_15797), BgL_a1z00_15790);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2148z00_15798;

														BgL_arg2148z00_15798 =
															(BgL_spz00_15796 + ((long) 1));
														VECTOR_SET(BgL_sz00_13541,
															(int) (BgL_arg2148z00_15798), BgL_a2z00_15791);
												}}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_15793))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_15793))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2150z00_15799;
																		obj_t BgL_arg2151z00_15800;

																		BgL_arg2150z00_15799 =
																			(BgL_spz00_15796 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2152z00_15801;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2153z00_15802;

																				BgL_arg2153z00_15802 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_15791,
																					BNIL);
																				BgL_list2152z00_15801 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_15790,
																					BgL_arg2153z00_15802);
																			}
																			BgL_arg2151z00_15800 =
																				BgL_list2152z00_15801;
																		}
																		VECTOR_SET(BgL_sz00_13541,
																			(int) (BgL_arg2150z00_15799),
																			BgL_arg2151z00_15800);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2154z00_15803;

																		BgL_arg2154z00_15803 =
																			(BgL_spz00_15796 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13541,
																			(int) (BgL_arg2154z00_15803),
																			BgL_a1z00_15790);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2155z00_15804;
																		obj_t BgL_arg2156z00_15805;

																		BgL_arg2155z00_15804 =
																			(BgL_spz00_15796 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2157z00_15806;

																			BgL_list2157z00_15806 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_15791, BNIL);
																			BgL_arg2156z00_15805 =
																				BgL_list2157z00_15806;
																		}
																		VECTOR_SET(BgL_sz00_13541,
																			(int) (BgL_arg2155z00_15804),
																			BgL_arg2156z00_15805);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2158z00_15807;

																		BgL_arg2158z00_15807 =
																			(BgL_spz00_15796 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13541,
																			(int) (BgL_arg2158z00_15807),
																			BgL_a1z00_15790);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2159z00_15808;

																		BgL_arg2159z00_15808 =
																			(BgL_spz00_15796 + ((long) 1));
																		VECTOR_SET(BgL_sz00_13541,
																			(int) (BgL_arg2159z00_15808),
																			BgL_a2z00_15791);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2160z00_15809;

																		BgL_arg2160z00_15809 =
																			(BgL_spz00_15796 + ((long) 2));
																		VECTOR_SET(BgL_sz00_13541,
																			(int) (BgL_arg2160z00_15809), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13538,
																		STRUCT_REF(BgL_ufz00_15792,
																			(int) (((long) 3))), (int) (((long) 2)),
																		CINT(BgL_arityz00_15793));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13538, STRUCT_REF(BgL_ufz00_15792,
																	(int) (((long) 3))), (int) (((long) 2)),
																CINT(BgL_arityz00_15793));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_15810;

												BgL_z12denvz12_15810 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_15796 +
															(long) CINT(BgL_sfz00_15795)) <
														(long) (VECTOR_LENGTH(BgL_sz00_13541))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15794, BgL_sz00_13541,
															BINT(BgL_spz00_15796));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_15811;

														BgL_nsz00_15811 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2165z00_15812;

															BgL_arg2165z00_15812 =
																(BgL_spz00_15796 + ((long) 2));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15811, ((long) 2), BgL_sz00_13541,
																BINT(BgL_spz00_15796),
																BINT(BgL_arg2165z00_15812));
														}
														VECTOR_SET(BgL_nsz00_15811,
															(int) (((long) 1)), BgL_sz00_13541);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15810,
															BgL_nsz00_15811);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_15813;

															BgL_ez00_15813 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15813, BgL_sz00_13541);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_15814;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15815;

																	BgL_savedzd2bpzd2_15815 =
																		VECTOR_REF(BgL_nsz00_15811,
																		(int) (((long) 0)));
																	VECTOR_SET(BgL_nsz00_15811,
																		(int) (((long) 0)), BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15817;

																		BgL_fz00_15817 = BgL_runz00_15794;
																	BgL_recz00_15816:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15818;

																			BgL_rz00_15818 =
																				PROCEDURE_ENTRY(BgL_fz00_15817)
																				(BgL_fz00_15817, BgL_nsz00_15811, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_21383;

																				if (PROCEDUREP(BgL_rz00_15818))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1674z00_15819;

																						BgL_arg1674z00_15819 =
																							PROCEDURE_ATTR(BgL_rz00_15818);
																						if (STRUCTP(BgL_arg1674z00_15819))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_21383 =
																									(STRUCT_KEY
																									(BgL_arg1674z00_15819) ==
																									BGl_symbol5695z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_21383 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_21383 = ((bool_t) 0);
																					}
																				if (BgL_testz00_21383)
																					{
																						obj_t BgL_fz00_21391;

																						BgL_fz00_21391 = BgL_rz00_15818;
																						BgL_fz00_15817 = BgL_fz00_21391;
																						goto BgL_recz00_15816;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15811,
																							(int) (((long) 0)),
																							BgL_savedzd2bpzd2_15815);
																						BgL_____rz00_15814 = BgL_rz00_15818;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15813);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15810,
																	BgL_sz00_13541);
																return BgL_____rz00_15814;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15789,
												(int) (((long) 2))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15820;

												BgL_nbpz00_15820 =
													((long) CINT(BgL_bpz00_15788) + BgL_siza7eza7_13540);
												VECTOR_SET(BgL_sz00_13541,
													(int) (((long) 0)), BINT(BgL_nbpz00_15820));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15821;

													BgL_rz00_15821 =
														PROCEDURE_ENTRY(BgL_fz00_15789) (BgL_fz00_15789,
														BgL_a1z00_15790, BgL_a2z00_15791, BEOA);
													VECTOR_SET(BgL_sz00_13541, (int) (((long) 0)),
														BgL_bpz00_15788);
													return BgL_rz00_15821;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13538,
													BgL_symbzd2funzd2_13539, (int) (((long) 2)),
													PROCEDURE_ARITY(BgL_fz00_15789));
		}}}}}}}}
	}



/* comp-call3 */
	obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_162,
		BgL_ev_exprz00_bglt BgL_vfunz00_163, obj_t BgL_symbzd2funzd2_164,
		obj_t BgL_funz00_165, obj_t BgL_tailzf3zf3_166, obj_t BgL_stkz00_167,
		long BgL_siza7eza7_168, obj_t BgL_a1z00_169, obj_t BgL_a2z00_170,
		obj_t BgL_a3z00_171)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_cfunz00_2460;

				BgL_cfunz00_2460 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_163,
					((long) 3), BgL_locz00_162, BgL_symbzd2funzd2_164);
				if (CBOOL(BgL_cfunz00_2460))
					{	/* Eval/evaluate_comp.scm 889 */
						bool_t BgL_testz00_21417;

						{	/* Eval/evaluate_comp.scm 889 */
							int BgL_arg2174z00_2480;

							BgL_arg2174z00_2480 = bgl_debug();
							BgL_testz00_21417 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2174z00_2480),
								BINT(((long) 0)));
						}
						if (BgL_testz00_21417)
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza32171ze3z83_13542;

								BgL_zc3anonymousza32171ze3z83_13542 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32171ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza32171ze3z83_13542,
									(int) (((long) 0)), BgL_a1z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza32171ze3z83_13542,
									(int) (((long) 1)), BgL_a2z00_170);
								PROCEDURE_SET(BgL_zc3anonymousza32171ze3z83_13542,
									(int) (((long) 2)), BgL_a3z00_171);
								PROCEDURE_SET(BgL_zc3anonymousza32171ze3z83_13542,
									(int) (((long) 3)), BINT(BgL_siza7eza7_168));
								PROCEDURE_SET(BgL_zc3anonymousza32171ze3z83_13542,
									(int) (((long) 4)), BgL_locz00_162);
								PROCEDURE_SET(BgL_zc3anonymousza32171ze3z83_13542,
									(int) (((long) 5)), BgL_cfunz00_2460);
								return BgL_zc3anonymousza32171ze3z83_13542;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza32173ze3z83_13543;

								BgL_zc3anonymousza32173ze3z83_13543 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32173ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza32173ze3z83_13543,
									(int) (((long) 0)), BgL_a1z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza32173ze3z83_13543,
									(int) (((long) 1)), BgL_a2z00_170);
								PROCEDURE_SET(BgL_zc3anonymousza32173ze3z83_13543,
									(int) (((long) 2)), BgL_a3z00_171);
								PROCEDURE_SET(BgL_zc3anonymousza32173ze3z83_13543,
									(int) (((long) 3)), BINT(BgL_siza7eza7_168));
								PROCEDURE_SET(BgL_zc3anonymousza32173ze3z83_13543,
									(int) (((long) 4)), BgL_cfunz00_2460);
								return BgL_zc3anonymousza32173ze3z83_13543;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 889 */
						if (CBOOL(BgL_tailzf3zf3_166))
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_21454;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2248z00_2592;

									BgL_arg2248z00_2592 = bgl_debug();
									BgL_testz00_21454 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2248z00_2592),
										BINT(((long) 0)));
								}
								if (BgL_testz00_21454)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32178ze3z83_13544;

										BgL_zc3anonymousza32178ze3z83_13544 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32178ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3anonymousza32178ze3z83_13544,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3anonymousza32178ze3z83_13544,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3anonymousza32178ze3z83_13544,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3anonymousza32178ze3z83_13544,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3anonymousza32178ze3z83_13544,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3anonymousza32178ze3z83_13544,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3anonymousza32178ze3z83_13544,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3anonymousza32178ze3z83_13544;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32213ze3z83_13545;

										BgL_zc3anonymousza32213ze3z83_13545 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32213ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3anonymousza32213ze3z83_13545,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3anonymousza32213ze3z83_13545,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3anonymousza32213ze3z83_13545,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3anonymousza32213ze3z83_13545,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3anonymousza32213ze3z83_13545,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3anonymousza32213ze3z83_13545,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3anonymousza32213ze3z83_13545,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3anonymousza32213ze3z83_13545;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_21495;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2324z00_2704;

									BgL_arg2324z00_2704 = bgl_debug();
									BgL_testz00_21495 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2324z00_2704),
										BINT(((long) 0)));
								}
								if (BgL_testz00_21495)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32251ze3z83_13546;

										BgL_zc3anonymousza32251ze3z83_13546 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32251ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3anonymousza32251ze3z83_13546,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3anonymousza32251ze3z83_13546,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3anonymousza32251ze3z83_13546,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3anonymousza32251ze3z83_13546,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3anonymousza32251ze3z83_13546,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3anonymousza32251ze3z83_13546,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3anonymousza32251ze3z83_13546,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3anonymousza32251ze3z83_13546;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32288ze3z83_13547;

										BgL_zc3anonymousza32288ze3z83_13547 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32288ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3anonymousza32288ze3z83_13547,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3anonymousza32288ze3z83_13547,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3anonymousza32288ze3z83_13547,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3anonymousza32288ze3z83_13547,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3anonymousza32288ze3z83_13547,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3anonymousza32288ze3z83_13547,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3anonymousza32288ze3z83_13547,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3anonymousza32288ze3z83_13547;
									}
							}
					}
			}
		}
	}



/* &<anonymous:2171> */
	obj_t BGl_z62zc3anonymousza32171ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13548, obj_t BgL_sz00_13555)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13549;
				obj_t BgL_a2z00_13550;
				obj_t BgL_a3z00_13551;
				long BgL_siza7eza7_13552;
				obj_t BgL_locz00_13553;
				obj_t BgL_cfunz00_13554;

				BgL_a1z00_13549 = PROCEDURE_REF(BgL_envz00_13548, (int) (((long) 0)));
				BgL_a2z00_13550 = PROCEDURE_REF(BgL_envz00_13548, (int) (((long) 1)));
				BgL_a3z00_13551 = PROCEDURE_REF(BgL_envz00_13548, (int) (((long) 2)));
				BgL_siza7eza7_13552 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13548, (int) (((long) 3))));
				BgL_locz00_13553 = PROCEDURE_REF(BgL_envz00_13548, (int) (((long) 4)));
				BgL_cfunz00_13554 = PROCEDURE_REF(BgL_envz00_13548, (int) (((long) 5)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15822;

					BgL_bpz00_15822 = VECTOR_REF(BgL_sz00_13555, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_15823;
						obj_t BgL_a2z00_15824;
						obj_t BgL_a3z00_15825;

						BgL_a1z00_15823 =
							PROCEDURE_ENTRY(BgL_a1z00_13549) (BgL_a1z00_13549, BgL_sz00_13555,
							BEOA);
						BgL_a2z00_15824 =
							PROCEDURE_ENTRY(BgL_a2z00_13550) (BgL_a2z00_13550, BgL_sz00_13555,
							BEOA);
						BgL_a3z00_15825 =
							PROCEDURE_ENTRY(BgL_a3z00_13551) (BgL_a3z00_13551, BgL_sz00_13555,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15826;

							BgL_nbpz00_15826 =
								((long) CINT(BgL_bpz00_15822) + BgL_siza7eza7_13552);
							VECTOR_SET(BgL_sz00_13555,
								(int) (((long) 0)), BINT(BgL_nbpz00_15826));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_21568;

								BgL_tmpz00_21568 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21568, BgL_locz00_13553);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15827;

								BgL_rz00_15827 =
									PROCEDURE_ENTRY(BgL_cfunz00_13554) (BgL_cfunz00_13554,
									BgL_a1z00_15823, BgL_a2z00_15824, BgL_a3z00_15825, BEOA);
								VECTOR_SET(BgL_sz00_13555, (int) (((long) 0)), BgL_bpz00_15822);
								return BgL_rz00_15827;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2173> */
	obj_t BGl_z62zc3anonymousza32173ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13556, obj_t BgL_sz00_13562)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13557;
				obj_t BgL_a2z00_13558;
				obj_t BgL_a3z00_13559;
				long BgL_siza7eza7_13560;
				obj_t BgL_cfunz00_13561;

				BgL_a1z00_13557 = PROCEDURE_REF(BgL_envz00_13556, (int) (((long) 0)));
				BgL_a2z00_13558 = PROCEDURE_REF(BgL_envz00_13556, (int) (((long) 1)));
				BgL_a3z00_13559 = PROCEDURE_REF(BgL_envz00_13556, (int) (((long) 2)));
				BgL_siza7eza7_13560 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13556, (int) (((long) 3))));
				BgL_cfunz00_13561 = PROCEDURE_REF(BgL_envz00_13556, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15828;

					BgL_bpz00_15828 = VECTOR_REF(BgL_sz00_13562, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_15829;
						obj_t BgL_a2z00_15830;
						obj_t BgL_a3z00_15831;

						BgL_a1z00_15829 =
							PROCEDURE_ENTRY(BgL_a1z00_13557) (BgL_a1z00_13557, BgL_sz00_13562,
							BEOA);
						BgL_a2z00_15830 =
							PROCEDURE_ENTRY(BgL_a2z00_13558) (BgL_a2z00_13558, BgL_sz00_13562,
							BEOA);
						BgL_a3z00_15831 =
							PROCEDURE_ENTRY(BgL_a3z00_13559) (BgL_a3z00_13559, BgL_sz00_13562,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_15832;

							BgL_nbpz00_15832 =
								((long) CINT(BgL_bpz00_15828) + BgL_siza7eza7_13560);
							VECTOR_SET(BgL_sz00_13562,
								(int) (((long) 0)), BINT(BgL_nbpz00_15832));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_15833;

								BgL_rz00_15833 =
									PROCEDURE_ENTRY(BgL_cfunz00_13561) (BgL_cfunz00_13561,
									BgL_a1z00_15829, BgL_a2z00_15830, BgL_a3z00_15831, BEOA);
								VECTOR_SET(BgL_sz00_13562, (int) (((long) 0)), BgL_bpz00_15828);
								return BgL_rz00_15833;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2178> */
	obj_t BGl_z62zc3anonymousza32178ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13563, obj_t BgL_sz00_13571)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13564;
				obj_t BgL_a1z00_13565;
				obj_t BgL_a2z00_13566;
				obj_t BgL_a3z00_13567;
				obj_t BgL_locz00_13568;
				obj_t BgL_symbzd2funzd2_13569;
				long BgL_siza7eza7_13570;

				BgL_funz00_13564 = PROCEDURE_REF(BgL_envz00_13563, (int) (((long) 0)));
				BgL_a1z00_13565 = PROCEDURE_REF(BgL_envz00_13563, (int) (((long) 1)));
				BgL_a2z00_13566 = PROCEDURE_REF(BgL_envz00_13563, (int) (((long) 2)));
				BgL_a3z00_13567 = PROCEDURE_REF(BgL_envz00_13563, (int) (((long) 3)));
				BgL_locz00_13568 = PROCEDURE_REF(BgL_envz00_13563, (int) (((long) 4)));
				BgL_symbzd2funzd2_13569 =
					PROCEDURE_REF(BgL_envz00_13563, (int) (((long) 5)));
				BgL_siza7eza7_13570 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13563, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15834;

					BgL_bpz00_15834 = VECTOR_REF(BgL_sz00_13571, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15835;
						obj_t BgL_a1z00_15836;
						obj_t BgL_a2z00_15837;
						obj_t BgL_a3z00_15838;

						BgL_fz00_15835 =
							PROCEDURE_ENTRY(BgL_funz00_13564) (BgL_funz00_13564,
							BgL_sz00_13571, BEOA);
						BgL_a1z00_15836 =
							PROCEDURE_ENTRY(BgL_a1z00_13565) (BgL_a1z00_13565, BgL_sz00_13571,
							BEOA);
						BgL_a2z00_15837 =
							PROCEDURE_ENTRY(BgL_a2z00_13566) (BgL_a2z00_13566, BgL_sz00_13571,
							BEOA);
						BgL_a3z00_15838 =
							PROCEDURE_ENTRY(BgL_a3z00_13567) (BgL_a3z00_13567, BgL_sz00_13571,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15835))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13568,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15835);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15839;

							BgL_ufz00_15839 = PROCEDURE_ATTR(BgL_fz00_15835);
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_21654;

								if (STRUCTP(BgL_ufz00_15839))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21654 =
											(STRUCT_KEY(BgL_ufz00_15839) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21654 = ((bool_t) 0);
									}
								if (BgL_testz00_21654)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15840;
										obj_t BgL_runz00_15841;
										obj_t BgL_sfz00_15842;

										BgL_arityz00_15840 =
											STRUCT_REF(BgL_ufz00_15839, (int) (((long) 0)));
										BgL_runz00_15841 =
											STRUCT_REF(BgL_ufz00_15839, (int) (((long) 1)));
										BgL_sfz00_15842 =
											STRUCT_REF(BgL_ufz00_15839, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15840) == ((long) 3)))
											{	/* Eval/evaluate_comp.scm 889 */
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2182z00_15843;

													BgL_arg2182z00_15843 =
														((long) CINT(BgL_bpz00_15834) + ((long) 0));
													VECTOR_SET(BgL_sz00_13571,
														(int) (BgL_arg2182z00_15843), BgL_a1z00_15836);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2183z00_15844;

													BgL_arg2183z00_15844 =
														((long) CINT(BgL_bpz00_15834) + ((long) 1));
													VECTOR_SET(BgL_sz00_13571,
														(int) (BgL_arg2183z00_15844), BgL_a2z00_15837);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2184z00_15845;

													BgL_arg2184z00_15845 =
														((long) CINT(BgL_bpz00_15834) + ((long) 2));
													VECTOR_SET(BgL_sz00_13571,
														(int) (BgL_arg2184z00_15845), BgL_a3z00_15838);
											}}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_15840))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_15840))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2186z00_15846;
																	obj_t BgL_arg2187z00_15847;

																	BgL_arg2186z00_15846 =
																		((long) CINT(BgL_bpz00_15834) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2188z00_15848;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2189z00_15849;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2190z00_15850;

																				BgL_arg2190z00_15850 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_15838,
																					BNIL);
																				BgL_arg2189z00_15849 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_15837,
																					BgL_arg2190z00_15850);
																			}
																			BgL_list2188z00_15848 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15836,
																				BgL_arg2189z00_15849);
																		}
																		BgL_arg2187z00_15847 =
																			BgL_list2188z00_15848;
																	}
																	VECTOR_SET(BgL_sz00_13571,
																		(int) (BgL_arg2186z00_15846),
																		BgL_arg2187z00_15847);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2191z00_15851;

																	BgL_arg2191z00_15851 =
																		((long) CINT(BgL_bpz00_15834) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13571,
																		(int) (BgL_arg2191z00_15851),
																		BgL_a1z00_15836);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2192z00_15852;
																	obj_t BgL_arg2193z00_15853;

																	BgL_arg2192z00_15852 =
																		((long) CINT(BgL_bpz00_15834) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2194z00_15854;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2195z00_15855;

																			BgL_arg2195z00_15855 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_15838, BNIL);
																			BgL_list2194z00_15854 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_15837,
																				BgL_arg2195z00_15855);
																		}
																		BgL_arg2193z00_15853 =
																			BgL_list2194z00_15854;
																	}
																	VECTOR_SET(BgL_sz00_13571,
																		(int) (BgL_arg2192z00_15852),
																		BgL_arg2193z00_15853);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2196z00_15856;

																	BgL_arg2196z00_15856 =
																		((long) CINT(BgL_bpz00_15834) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13571,
																		(int) (BgL_arg2196z00_15856),
																		BgL_a1z00_15836);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2197z00_15857;

																	BgL_arg2197z00_15857 =
																		((long) CINT(BgL_bpz00_15834) + ((long) 1));
																	VECTOR_SET(BgL_sz00_13571,
																		(int) (BgL_arg2197z00_15857),
																		BgL_a2z00_15837);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2198z00_15858;
																	obj_t BgL_arg2199z00_15859;

																	BgL_arg2198z00_15858 =
																		((long) CINT(BgL_bpz00_15834) + ((long) 2));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2200z00_15860;

																		BgL_list2200z00_15860 =
																			MAKE_YOUNG_PAIR(BgL_a3z00_15838, BNIL);
																		BgL_arg2199z00_15859 =
																			BgL_list2200z00_15860;
																	}
																	VECTOR_SET(BgL_sz00_13571,
																		(int) (BgL_arg2198z00_15858),
																		BgL_arg2199z00_15859);
																} break;
															case ((long) -4):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2201z00_15861;

																	BgL_arg2201z00_15861 =
																		((long) CINT(BgL_bpz00_15834) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13571,
																		(int) (BgL_arg2201z00_15861),
																		BgL_a1z00_15836);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2202z00_15862;

																	BgL_arg2202z00_15862 =
																		((long) CINT(BgL_bpz00_15834) + ((long) 1));
																	VECTOR_SET(BgL_sz00_13571,
																		(int) (BgL_arg2202z00_15862),
																		BgL_a2z00_15837);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2203z00_15863;

																	BgL_arg2203z00_15863 =
																		((long) CINT(BgL_bpz00_15834) + ((long) 2));
																	VECTOR_SET(BgL_sz00_13571,
																		(int) (BgL_arg2203z00_15863),
																		BgL_a3z00_15838);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2204z00_15864;

																	BgL_arg2204z00_15864 =
																		((long) CINT(BgL_bpz00_15834) + ((long) 3));
																	VECTOR_SET(BgL_sz00_13571,
																		(int) (BgL_arg2204z00_15864), BNIL);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13568, STRUCT_REF(BgL_ufz00_15839,
																		(int) (((long) 3))), (int) (((long) 3)),
																	CINT(BgL_arityz00_15840));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13568, STRUCT_REF(BgL_ufz00_15839,
																(int) (((long) 3))), (int) (((long) 3)),
															CINT(BgL_arityz00_15840));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_15865;

											BgL_z12denvz12_15865 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15865,
												BgL_locz00_13568);
											if ((((long) CINT(BgL_bpz00_15834) +
														(long) CINT(BgL_sfz00_15842)) <
													(long) (VECTOR_LENGTH(BgL_sz00_13571))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_15841;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_15866;

													BgL_nsz00_15866 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2209z00_15867;

														BgL_arg2209z00_15867 =
															((long) CINT(BgL_bpz00_15834) + ((long) 3));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15866, ((long) 2), BgL_sz00_13571,
															BgL_bpz00_15834, BINT(BgL_arg2209z00_15867));
													}
													VECTOR_SET(BgL_nsz00_15866,
														(int) (((long) 1)), BgL_sz00_13571);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15865,
														BgL_nsz00_15866);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_15868;

														BgL_ez00_15868 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15868, BgL_sz00_13571);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_15869;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15870;

																BgL_savedzd2bpzd2_15870 =
																	VECTOR_REF(BgL_nsz00_15866,
																	(int) (((long) 0)));
																VECTOR_SET(BgL_nsz00_15866,
																	(int) (((long) 0)), BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15872;

																	BgL_fz00_15872 = BgL_runz00_15841;
																BgL_recz00_15871:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15873;

																		BgL_rz00_15873 =
																			PROCEDURE_ENTRY(BgL_fz00_15872)
																			(BgL_fz00_15872, BgL_nsz00_15866, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_21768;

																			if (PROCEDUREP(BgL_rz00_15873))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1674z00_15874;

																					BgL_arg1674z00_15874 =
																						PROCEDURE_ATTR(BgL_rz00_15873);
																					if (STRUCTP(BgL_arg1674z00_15874))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_21768 =
																								(STRUCT_KEY
																								(BgL_arg1674z00_15874) ==
																								BGl_symbol5695z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_21768 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_21768 = ((bool_t) 0);
																				}
																			if (BgL_testz00_21768)
																				{
																					obj_t BgL_fz00_21776;

																					BgL_fz00_21776 = BgL_rz00_15873;
																					BgL_fz00_15872 = BgL_fz00_21776;
																					goto BgL_recz00_15871;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15866,
																						(int) (((long) 0)),
																						BgL_savedzd2bpzd2_15870);
																					BgL_____rz00_15869 = BgL_rz00_15873;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15868);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15865,
																BgL_sz00_13571);
															return BgL_____rz00_15869;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15835,
												(int) (((long) 3))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15875;

												BgL_nbpz00_15875 =
													((long) CINT(BgL_bpz00_15834) + BgL_siza7eza7_13570);
												VECTOR_SET(BgL_sz00_13571,
													(int) (((long) 0)), BINT(BgL_nbpz00_15875));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_21789;

													BgL_tmpz00_21789 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21789,
														BgL_locz00_13568);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15876;

													BgL_rz00_15876 =
														PROCEDURE_ENTRY(BgL_fz00_15835) (BgL_fz00_15835,
														BgL_a1z00_15836, BgL_a2z00_15837, BgL_a3z00_15838,
														BEOA);
													VECTOR_SET(BgL_sz00_13571, (int) (((long) 0)),
														BgL_bpz00_15834);
													return BgL_rz00_15876;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13568,
													BgL_symbzd2funzd2_13569, (int) (((long) 3)),
													PROCEDURE_ARITY(BgL_fz00_15835));
		}}}}}}}}
	}



/* &<anonymous:2213> */
	obj_t BGl_z62zc3anonymousza32213ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13572, obj_t BgL_sz00_13580)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13573;
				obj_t BgL_a1z00_13574;
				obj_t BgL_a2z00_13575;
				obj_t BgL_a3z00_13576;
				obj_t BgL_locz00_13577;
				obj_t BgL_symbzd2funzd2_13578;
				long BgL_siza7eza7_13579;

				BgL_funz00_13573 = PROCEDURE_REF(BgL_envz00_13572, (int) (((long) 0)));
				BgL_a1z00_13574 = PROCEDURE_REF(BgL_envz00_13572, (int) (((long) 1)));
				BgL_a2z00_13575 = PROCEDURE_REF(BgL_envz00_13572, (int) (((long) 2)));
				BgL_a3z00_13576 = PROCEDURE_REF(BgL_envz00_13572, (int) (((long) 3)));
				BgL_locz00_13577 = PROCEDURE_REF(BgL_envz00_13572, (int) (((long) 4)));
				BgL_symbzd2funzd2_13578 =
					PROCEDURE_REF(BgL_envz00_13572, (int) (((long) 5)));
				BgL_siza7eza7_13579 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13572, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15877;

					BgL_bpz00_15877 = VECTOR_REF(BgL_sz00_13580, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15878;
						obj_t BgL_a1z00_15879;
						obj_t BgL_a2z00_15880;
						obj_t BgL_a3z00_15881;

						BgL_fz00_15878 =
							PROCEDURE_ENTRY(BgL_funz00_13573) (BgL_funz00_13573,
							BgL_sz00_13580, BEOA);
						BgL_a1z00_15879 =
							PROCEDURE_ENTRY(BgL_a1z00_13574) (BgL_a1z00_13574, BgL_sz00_13580,
							BEOA);
						BgL_a2z00_15880 =
							PROCEDURE_ENTRY(BgL_a2z00_13575) (BgL_a2z00_13575, BgL_sz00_13580,
							BEOA);
						BgL_a3z00_15881 =
							PROCEDURE_ENTRY(BgL_a3z00_13576) (BgL_a3z00_13576, BgL_sz00_13580,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15878))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13577,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15878);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15882;

							BgL_ufz00_15882 = PROCEDURE_ATTR(BgL_fz00_15878);
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_21840;

								if (STRUCTP(BgL_ufz00_15882))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21840 =
											(STRUCT_KEY(BgL_ufz00_15882) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_21840 = ((bool_t) 0);
									}
								if (BgL_testz00_21840)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15883;
										obj_t BgL_runz00_15884;
										obj_t BgL_sfz00_15885;

										BgL_arityz00_15883 =
											STRUCT_REF(BgL_ufz00_15882, (int) (((long) 0)));
										BgL_runz00_15884 =
											STRUCT_REF(BgL_ufz00_15882, (int) (((long) 1)));
										BgL_sfz00_15885 =
											STRUCT_REF(BgL_ufz00_15882, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15883) == ((long) 3)))
											{	/* Eval/evaluate_comp.scm 889 */
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2217z00_15886;

													BgL_arg2217z00_15886 =
														((long) CINT(BgL_bpz00_15877) + ((long) 0));
													VECTOR_SET(BgL_sz00_13580,
														(int) (BgL_arg2217z00_15886), BgL_a1z00_15879);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2218z00_15887;

													BgL_arg2218z00_15887 =
														((long) CINT(BgL_bpz00_15877) + ((long) 1));
													VECTOR_SET(BgL_sz00_13580,
														(int) (BgL_arg2218z00_15887), BgL_a2z00_15880);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2219z00_15888;

													BgL_arg2219z00_15888 =
														((long) CINT(BgL_bpz00_15877) + ((long) 2));
													VECTOR_SET(BgL_sz00_13580,
														(int) (BgL_arg2219z00_15888), BgL_a3z00_15881);
											}}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_15883))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_15883))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2221z00_15889;
																	obj_t BgL_arg2222z00_15890;

																	BgL_arg2221z00_15889 =
																		((long) CINT(BgL_bpz00_15877) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2223z00_15891;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2224z00_15892;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2225z00_15893;

																				BgL_arg2225z00_15893 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_15881,
																					BNIL);
																				BgL_arg2224z00_15892 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_15880,
																					BgL_arg2225z00_15893);
																			}
																			BgL_list2223z00_15891 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15879,
																				BgL_arg2224z00_15892);
																		}
																		BgL_arg2222z00_15890 =
																			BgL_list2223z00_15891;
																	}
																	VECTOR_SET(BgL_sz00_13580,
																		(int) (BgL_arg2221z00_15889),
																		BgL_arg2222z00_15890);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2226z00_15894;

																	BgL_arg2226z00_15894 =
																		((long) CINT(BgL_bpz00_15877) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13580,
																		(int) (BgL_arg2226z00_15894),
																		BgL_a1z00_15879);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2227z00_15895;
																	obj_t BgL_arg2228z00_15896;

																	BgL_arg2227z00_15895 =
																		((long) CINT(BgL_bpz00_15877) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2229z00_15897;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2230z00_15898;

																			BgL_arg2230z00_15898 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_15881, BNIL);
																			BgL_list2229z00_15897 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_15880,
																				BgL_arg2230z00_15898);
																		}
																		BgL_arg2228z00_15896 =
																			BgL_list2229z00_15897;
																	}
																	VECTOR_SET(BgL_sz00_13580,
																		(int) (BgL_arg2227z00_15895),
																		BgL_arg2228z00_15896);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2231z00_15899;

																	BgL_arg2231z00_15899 =
																		((long) CINT(BgL_bpz00_15877) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13580,
																		(int) (BgL_arg2231z00_15899),
																		BgL_a1z00_15879);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2233z00_15900;

																	BgL_arg2233z00_15900 =
																		((long) CINT(BgL_bpz00_15877) + ((long) 1));
																	VECTOR_SET(BgL_sz00_13580,
																		(int) (BgL_arg2233z00_15900),
																		BgL_a2z00_15880);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2234z00_15901;
																	obj_t BgL_arg2235z00_15902;

																	BgL_arg2234z00_15901 =
																		((long) CINT(BgL_bpz00_15877) + ((long) 2));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2236z00_15903;

																		BgL_list2236z00_15903 =
																			MAKE_YOUNG_PAIR(BgL_a3z00_15881, BNIL);
																		BgL_arg2235z00_15902 =
																			BgL_list2236z00_15903;
																	}
																	VECTOR_SET(BgL_sz00_13580,
																		(int) (BgL_arg2234z00_15901),
																		BgL_arg2235z00_15902);
																} break;
															case ((long) -4):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2237z00_15904;

																	BgL_arg2237z00_15904 =
																		((long) CINT(BgL_bpz00_15877) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13580,
																		(int) (BgL_arg2237z00_15904),
																		BgL_a1z00_15879);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2238z00_15905;

																	BgL_arg2238z00_15905 =
																		((long) CINT(BgL_bpz00_15877) + ((long) 1));
																	VECTOR_SET(BgL_sz00_13580,
																		(int) (BgL_arg2238z00_15905),
																		BgL_a2z00_15880);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2239z00_15906;

																	BgL_arg2239z00_15906 =
																		((long) CINT(BgL_bpz00_15877) + ((long) 2));
																	VECTOR_SET(BgL_sz00_13580,
																		(int) (BgL_arg2239z00_15906),
																		BgL_a3z00_15881);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2240z00_15907;

																	BgL_arg2240z00_15907 =
																		((long) CINT(BgL_bpz00_15877) + ((long) 3));
																	VECTOR_SET(BgL_sz00_13580,
																		(int) (BgL_arg2240z00_15907), BNIL);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13577, STRUCT_REF(BgL_ufz00_15882,
																		(int) (((long) 3))), (int) (((long) 3)),
																	CINT(BgL_arityz00_15883));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13577, STRUCT_REF(BgL_ufz00_15882,
																(int) (((long) 3))), (int) (((long) 3)),
															CINT(BgL_arityz00_15883));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_15908;

											BgL_z12denvz12_15908 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15877) +
														(long) CINT(BgL_sfz00_15885)) <
													(long) (VECTOR_LENGTH(BgL_sz00_13580))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_15884;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_15909;

													BgL_nsz00_15909 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2245z00_15910;

														BgL_arg2245z00_15910 =
															((long) CINT(BgL_bpz00_15877) + ((long) 3));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15909, ((long) 2), BgL_sz00_13580,
															BgL_bpz00_15877, BINT(BgL_arg2245z00_15910));
													}
													VECTOR_SET(BgL_nsz00_15909,
														(int) (((long) 1)), BgL_sz00_13580);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15908,
														BgL_nsz00_15909);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_15911;

														BgL_ez00_15911 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_15911, BgL_sz00_13580);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_15912;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_15913;

																BgL_savedzd2bpzd2_15913 =
																	VECTOR_REF(BgL_nsz00_15909,
																	(int) (((long) 0)));
																VECTOR_SET(BgL_nsz00_15909,
																	(int) (((long) 0)), BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15915;

																	BgL_fz00_15915 = BgL_runz00_15884;
																BgL_recz00_15914:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_15916;

																		BgL_rz00_15916 =
																			PROCEDURE_ENTRY(BgL_fz00_15915)
																			(BgL_fz00_15915, BgL_nsz00_15909, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_21953;

																			if (PROCEDUREP(BgL_rz00_15916))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1674z00_15917;

																					BgL_arg1674z00_15917 =
																						PROCEDURE_ATTR(BgL_rz00_15916);
																					if (STRUCTP(BgL_arg1674z00_15917))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_21953 =
																								(STRUCT_KEY
																								(BgL_arg1674z00_15917) ==
																								BGl_symbol5695z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_21953 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_21953 = ((bool_t) 0);
																				}
																			if (BgL_testz00_21953)
																				{
																					obj_t BgL_fz00_21961;

																					BgL_fz00_21961 = BgL_rz00_15916;
																					BgL_fz00_15915 = BgL_fz00_21961;
																					goto BgL_recz00_15914;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_15909,
																						(int) (((long) 0)),
																						BgL_savedzd2bpzd2_15913);
																					BgL_____rz00_15912 = BgL_rz00_15916;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_15911);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15908,
																BgL_sz00_13580);
															return BgL_____rz00_15912;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15878,
												(int) (((long) 3))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15918;

												BgL_nbpz00_15918 =
													((long) CINT(BgL_bpz00_15877) + BgL_siza7eza7_13579);
												VECTOR_SET(BgL_sz00_13580,
													(int) (((long) 0)), BINT(BgL_nbpz00_15918));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15919;

													BgL_rz00_15919 =
														PROCEDURE_ENTRY(BgL_fz00_15878) (BgL_fz00_15878,
														BgL_a1z00_15879, BgL_a2z00_15880, BgL_a3z00_15881,
														BEOA);
													VECTOR_SET(BgL_sz00_13580, (int) (((long) 0)),
														BgL_bpz00_15877);
													return BgL_rz00_15919;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13577,
													BgL_symbzd2funzd2_13578, (int) (((long) 3)),
													PROCEDURE_ARITY(BgL_fz00_15878));
		}}}}}}}}
	}



/* &<anonymous:2251> */
	obj_t BGl_z62zc3anonymousza32251ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13581, obj_t BgL_sz00_13589)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13582;
				obj_t BgL_a1z00_13583;
				obj_t BgL_a2z00_13584;
				obj_t BgL_a3z00_13585;
				obj_t BgL_locz00_13586;
				obj_t BgL_symbzd2funzd2_13587;
				long BgL_siza7eza7_13588;

				BgL_funz00_13582 = PROCEDURE_REF(BgL_envz00_13581, (int) (((long) 0)));
				BgL_a1z00_13583 = PROCEDURE_REF(BgL_envz00_13581, (int) (((long) 1)));
				BgL_a2z00_13584 = PROCEDURE_REF(BgL_envz00_13581, (int) (((long) 2)));
				BgL_a3z00_13585 = PROCEDURE_REF(BgL_envz00_13581, (int) (((long) 3)));
				BgL_locz00_13586 = PROCEDURE_REF(BgL_envz00_13581, (int) (((long) 4)));
				BgL_symbzd2funzd2_13587 =
					PROCEDURE_REF(BgL_envz00_13581, (int) (((long) 5)));
				BgL_siza7eza7_13588 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13581, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15920;

					BgL_bpz00_15920 = VECTOR_REF(BgL_sz00_13589, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15921;
						obj_t BgL_a1z00_15922;
						obj_t BgL_a2z00_15923;
						obj_t BgL_a3z00_15924;

						BgL_fz00_15921 =
							PROCEDURE_ENTRY(BgL_funz00_13582) (BgL_funz00_13582,
							BgL_sz00_13589, BEOA);
						BgL_a1z00_15922 =
							PROCEDURE_ENTRY(BgL_a1z00_13583) (BgL_a1z00_13583, BgL_sz00_13589,
							BEOA);
						BgL_a2z00_15923 =
							PROCEDURE_ENTRY(BgL_a2z00_13584) (BgL_a2z00_13584, BgL_sz00_13589,
							BEOA);
						BgL_a3z00_15924 =
							PROCEDURE_ENTRY(BgL_a3z00_13585) (BgL_a3z00_13585, BgL_sz00_13589,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15921))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13586,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15921);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15925;

							BgL_ufz00_15925 = PROCEDURE_ATTR(BgL_fz00_15921);
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_22022;

								if (STRUCTP(BgL_ufz00_15925))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22022 =
											(STRUCT_KEY(BgL_ufz00_15925) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22022 = ((bool_t) 0);
									}
								if (BgL_testz00_22022)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15926;
										obj_t BgL_runz00_15927;
										obj_t BgL_sfz00_15928;

										BgL_arityz00_15926 =
											STRUCT_REF(BgL_ufz00_15925, (int) (((long) 0)));
										BgL_runz00_15927 =
											STRUCT_REF(BgL_ufz00_15925, (int) (((long) 1)));
										BgL_sfz00_15928 =
											STRUCT_REF(BgL_ufz00_15925, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_15929;

											BgL_spz00_15929 =
												((long) CINT(BgL_bpz00_15920) + BgL_siza7eza7_13588);
											if (((long) CINT(BgL_arityz00_15926) == ((long) 3)))
												{	/* Eval/evaluate_comp.scm 889 */
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2255z00_15930;

														BgL_arg2255z00_15930 =
															(BgL_spz00_15929 + ((long) 0));
														VECTOR_SET(BgL_sz00_13589,
															(int) (BgL_arg2255z00_15930), BgL_a1z00_15922);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2256z00_15931;

														BgL_arg2256z00_15931 =
															(BgL_spz00_15929 + ((long) 1));
														VECTOR_SET(BgL_sz00_13589,
															(int) (BgL_arg2256z00_15931), BgL_a2z00_15923);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2257z00_15932;

														BgL_arg2257z00_15932 =
															(BgL_spz00_15929 + ((long) 2));
														VECTOR_SET(BgL_sz00_13589,
															(int) (BgL_arg2257z00_15932), BgL_a3z00_15924);
												}}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_15926))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_15926))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2259z00_15933;
																		obj_t BgL_arg2260z00_15934;

																		BgL_arg2259z00_15933 =
																			(BgL_spz00_15929 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2261z00_15935;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2262z00_15936;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2263z00_15937;

																					BgL_arg2263z00_15937 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_15924,
																						BNIL);
																					BgL_arg2262z00_15936 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_15923,
																						BgL_arg2263z00_15937);
																				}
																				BgL_list2261z00_15935 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_15922,
																					BgL_arg2262z00_15936);
																			}
																			BgL_arg2260z00_15934 =
																				BgL_list2261z00_15935;
																		}
																		VECTOR_SET(BgL_sz00_13589,
																			(int) (BgL_arg2259z00_15933),
																			BgL_arg2260z00_15934);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2264z00_15938;

																		BgL_arg2264z00_15938 =
																			(BgL_spz00_15929 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13589,
																			(int) (BgL_arg2264z00_15938),
																			BgL_a1z00_15922);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2265z00_15939;
																		obj_t BgL_arg2266z00_15940;

																		BgL_arg2265z00_15939 =
																			(BgL_spz00_15929 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2267z00_15941;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2268z00_15942;

																				BgL_arg2268z00_15942 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_15924,
																					BNIL);
																				BgL_list2267z00_15941 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_15923,
																					BgL_arg2268z00_15942);
																			}
																			BgL_arg2266z00_15940 =
																				BgL_list2267z00_15941;
																		}
																		VECTOR_SET(BgL_sz00_13589,
																			(int) (BgL_arg2265z00_15939),
																			BgL_arg2266z00_15940);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2269z00_15943;

																		BgL_arg2269z00_15943 =
																			(BgL_spz00_15929 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13589,
																			(int) (BgL_arg2269z00_15943),
																			BgL_a1z00_15922);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2271z00_15944;

																		BgL_arg2271z00_15944 =
																			(BgL_spz00_15929 + ((long) 1));
																		VECTOR_SET(BgL_sz00_13589,
																			(int) (BgL_arg2271z00_15944),
																			BgL_a2z00_15923);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2273z00_15945;
																		obj_t BgL_arg2274z00_15946;

																		BgL_arg2273z00_15945 =
																			(BgL_spz00_15929 + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2275z00_15947;

																			BgL_list2275z00_15947 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_15924, BNIL);
																			BgL_arg2274z00_15946 =
																				BgL_list2275z00_15947;
																		}
																		VECTOR_SET(BgL_sz00_13589,
																			(int) (BgL_arg2273z00_15945),
																			BgL_arg2274z00_15946);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2276z00_15948;

																		BgL_arg2276z00_15948 =
																			(BgL_spz00_15929 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13589,
																			(int) (BgL_arg2276z00_15948),
																			BgL_a1z00_15922);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2277z00_15949;

																		BgL_arg2277z00_15949 =
																			(BgL_spz00_15929 + ((long) 1));
																		VECTOR_SET(BgL_sz00_13589,
																			(int) (BgL_arg2277z00_15949),
																			BgL_a2z00_15923);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2278z00_15950;

																		BgL_arg2278z00_15950 =
																			(BgL_spz00_15929 + ((long) 2));
																		VECTOR_SET(BgL_sz00_13589,
																			(int) (BgL_arg2278z00_15950),
																			BgL_a3z00_15924);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2279z00_15951;

																		BgL_arg2279z00_15951 =
																			(BgL_spz00_15929 + ((long) 3));
																		VECTOR_SET(BgL_sz00_13589,
																			(int) (BgL_arg2279z00_15951), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13586,
																		STRUCT_REF(BgL_ufz00_15925,
																			(int) (((long) 3))), (int) (((long) 3)),
																		CINT(BgL_arityz00_15926));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13586, STRUCT_REF(BgL_ufz00_15925,
																	(int) (((long) 3))), (int) (((long) 3)),
																CINT(BgL_arityz00_15926));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_15952;

												BgL_z12denvz12_15952 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15952,
													BgL_locz00_13586);
												if (((BgL_spz00_15929 + (long) CINT(BgL_sfz00_15928)) <
														(long) (VECTOR_LENGTH(BgL_sz00_13589))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15927, BgL_sz00_13589,
															BINT(BgL_spz00_15929));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_15953;

														BgL_nsz00_15953 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2284z00_15954;

															BgL_arg2284z00_15954 =
																(BgL_spz00_15929 + ((long) 3));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15953, ((long) 2), BgL_sz00_13589,
																BINT(BgL_spz00_15929),
																BINT(BgL_arg2284z00_15954));
														}
														VECTOR_SET(BgL_nsz00_15953,
															(int) (((long) 1)), BgL_sz00_13589);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15952,
															BgL_nsz00_15953);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_15955;

															BgL_ez00_15955 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15955, BgL_sz00_13589);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_15956;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_15957;

																	BgL_savedzd2bpzd2_15957 =
																		VECTOR_REF(BgL_nsz00_15953,
																		(int) (((long) 0)));
																	VECTOR_SET(BgL_nsz00_15953,
																		(int) (((long) 0)), BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15959;

																		BgL_fz00_15959 = BgL_runz00_15927;
																	BgL_recz00_15958:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_15960;

																			BgL_rz00_15960 =
																				PROCEDURE_ENTRY(BgL_fz00_15959)
																				(BgL_fz00_15959, BgL_nsz00_15953, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_22126;

																				if (PROCEDUREP(BgL_rz00_15960))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1674z00_15961;

																						BgL_arg1674z00_15961 =
																							PROCEDURE_ATTR(BgL_rz00_15960);
																						if (STRUCTP(BgL_arg1674z00_15961))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_22126 =
																									(STRUCT_KEY
																									(BgL_arg1674z00_15961) ==
																									BGl_symbol5695z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_22126 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_22126 = ((bool_t) 0);
																					}
																				if (BgL_testz00_22126)
																					{
																						obj_t BgL_fz00_22134;

																						BgL_fz00_22134 = BgL_rz00_15960;
																						BgL_fz00_15959 = BgL_fz00_22134;
																						goto BgL_recz00_15958;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15953,
																							(int) (((long) 0)),
																							BgL_savedzd2bpzd2_15957);
																						BgL_____rz00_15956 = BgL_rz00_15960;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15955);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15952,
																	BgL_sz00_13589);
																return BgL_____rz00_15956;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15921,
												(int) (((long) 3))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_15962;

												BgL_nbpz00_15962 =
													((long) CINT(BgL_bpz00_15920) + BgL_siza7eza7_13588);
												VECTOR_SET(BgL_sz00_13589,
													(int) (((long) 0)), BINT(BgL_nbpz00_15962));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_22147;

													BgL_tmpz00_22147 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22147,
														BgL_locz00_13586);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_15963;

													BgL_rz00_15963 =
														PROCEDURE_ENTRY(BgL_fz00_15921) (BgL_fz00_15921,
														BgL_a1z00_15922, BgL_a2z00_15923, BgL_a3z00_15924,
														BEOA);
													VECTOR_SET(BgL_sz00_13589, (int) (((long) 0)),
														BgL_bpz00_15920);
													return BgL_rz00_15963;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13586,
													BgL_symbzd2funzd2_13587, (int) (((long) 3)),
													PROCEDURE_ARITY(BgL_fz00_15921));
		}}}}}}}}
	}



/* &<anonymous:2288> */
	obj_t BGl_z62zc3anonymousza32288ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13590, obj_t BgL_sz00_13598)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13591;
				obj_t BgL_a1z00_13592;
				obj_t BgL_a2z00_13593;
				obj_t BgL_a3z00_13594;
				obj_t BgL_locz00_13595;
				obj_t BgL_symbzd2funzd2_13596;
				long BgL_siza7eza7_13597;

				BgL_funz00_13591 = PROCEDURE_REF(BgL_envz00_13590, (int) (((long) 0)));
				BgL_a1z00_13592 = PROCEDURE_REF(BgL_envz00_13590, (int) (((long) 1)));
				BgL_a2z00_13593 = PROCEDURE_REF(BgL_envz00_13590, (int) (((long) 2)));
				BgL_a3z00_13594 = PROCEDURE_REF(BgL_envz00_13590, (int) (((long) 3)));
				BgL_locz00_13595 = PROCEDURE_REF(BgL_envz00_13590, (int) (((long) 4)));
				BgL_symbzd2funzd2_13596 =
					PROCEDURE_REF(BgL_envz00_13590, (int) (((long) 5)));
				BgL_siza7eza7_13597 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13590, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_15964;

					BgL_bpz00_15964 = VECTOR_REF(BgL_sz00_13598, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_15965;
						obj_t BgL_a1z00_15966;
						obj_t BgL_a2z00_15967;
						obj_t BgL_a3z00_15968;

						BgL_fz00_15965 =
							PROCEDURE_ENTRY(BgL_funz00_13591) (BgL_funz00_13591,
							BgL_sz00_13598, BEOA);
						BgL_a1z00_15966 =
							PROCEDURE_ENTRY(BgL_a1z00_13592) (BgL_a1z00_13592, BgL_sz00_13598,
							BEOA);
						BgL_a2z00_15967 =
							PROCEDURE_ENTRY(BgL_a2z00_13593) (BgL_a2z00_13593, BgL_sz00_13598,
							BEOA);
						BgL_a3z00_15968 =
							PROCEDURE_ENTRY(BgL_a3z00_13594) (BgL_a3z00_13594, BgL_sz00_13598,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15965))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13595,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_15965);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_15969;

							BgL_ufz00_15969 = PROCEDURE_ATTR(BgL_fz00_15965);
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_22198;

								if (STRUCTP(BgL_ufz00_15969))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22198 =
											(STRUCT_KEY(BgL_ufz00_15969) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22198 = ((bool_t) 0);
									}
								if (BgL_testz00_22198)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_15970;
										obj_t BgL_runz00_15971;
										obj_t BgL_sfz00_15972;

										BgL_arityz00_15970 =
											STRUCT_REF(BgL_ufz00_15969, (int) (((long) 0)));
										BgL_runz00_15971 =
											STRUCT_REF(BgL_ufz00_15969, (int) (((long) 1)));
										BgL_sfz00_15972 =
											STRUCT_REF(BgL_ufz00_15969, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_15973;

											BgL_spz00_15973 =
												((long) CINT(BgL_bpz00_15964) + BgL_siza7eza7_13597);
											if (((long) CINT(BgL_arityz00_15970) == ((long) 3)))
												{	/* Eval/evaluate_comp.scm 889 */
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2292z00_15974;

														BgL_arg2292z00_15974 =
															(BgL_spz00_15973 + ((long) 0));
														VECTOR_SET(BgL_sz00_13598,
															(int) (BgL_arg2292z00_15974), BgL_a1z00_15966);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2293z00_15975;

														BgL_arg2293z00_15975 =
															(BgL_spz00_15973 + ((long) 1));
														VECTOR_SET(BgL_sz00_13598,
															(int) (BgL_arg2293z00_15975), BgL_a2z00_15967);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2294z00_15976;

														BgL_arg2294z00_15976 =
															(BgL_spz00_15973 + ((long) 2));
														VECTOR_SET(BgL_sz00_13598,
															(int) (BgL_arg2294z00_15976), BgL_a3z00_15968);
												}}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_15970))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_15970))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2296z00_15977;
																		obj_t BgL_arg2297z00_15978;

																		BgL_arg2296z00_15977 =
																			(BgL_spz00_15973 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2298z00_15979;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2299z00_15980;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2301z00_15981;

																					BgL_arg2301z00_15981 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_15968,
																						BNIL);
																					BgL_arg2299z00_15980 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_15967,
																						BgL_arg2301z00_15981);
																				}
																				BgL_list2298z00_15979 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_15966,
																					BgL_arg2299z00_15980);
																			}
																			BgL_arg2297z00_15978 =
																				BgL_list2298z00_15979;
																		}
																		VECTOR_SET(BgL_sz00_13598,
																			(int) (BgL_arg2296z00_15977),
																			BgL_arg2297z00_15978);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2302z00_15982;

																		BgL_arg2302z00_15982 =
																			(BgL_spz00_15973 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13598,
																			(int) (BgL_arg2302z00_15982),
																			BgL_a1z00_15966);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2303z00_15983;
																		obj_t BgL_arg2304z00_15984;

																		BgL_arg2303z00_15983 =
																			(BgL_spz00_15973 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2305z00_15985;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2306z00_15986;

																				BgL_arg2306z00_15986 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_15968,
																					BNIL);
																				BgL_list2305z00_15985 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_15967,
																					BgL_arg2306z00_15986);
																			}
																			BgL_arg2304z00_15984 =
																				BgL_list2305z00_15985;
																		}
																		VECTOR_SET(BgL_sz00_13598,
																			(int) (BgL_arg2303z00_15983),
																			BgL_arg2304z00_15984);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2307z00_15987;

																		BgL_arg2307z00_15987 =
																			(BgL_spz00_15973 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13598,
																			(int) (BgL_arg2307z00_15987),
																			BgL_a1z00_15966);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2308z00_15988;

																		BgL_arg2308z00_15988 =
																			(BgL_spz00_15973 + ((long) 1));
																		VECTOR_SET(BgL_sz00_13598,
																			(int) (BgL_arg2308z00_15988),
																			BgL_a2z00_15967);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2309z00_15989;
																		obj_t BgL_arg2310z00_15990;

																		BgL_arg2309z00_15989 =
																			(BgL_spz00_15973 + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2311z00_15991;

																			BgL_list2311z00_15991 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_15968, BNIL);
																			BgL_arg2310z00_15990 =
																				BgL_list2311z00_15991;
																		}
																		VECTOR_SET(BgL_sz00_13598,
																			(int) (BgL_arg2309z00_15989),
																			BgL_arg2310z00_15990);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2312z00_15992;

																		BgL_arg2312z00_15992 =
																			(BgL_spz00_15973 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13598,
																			(int) (BgL_arg2312z00_15992),
																			BgL_a1z00_15966);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2313z00_15993;

																		BgL_arg2313z00_15993 =
																			(BgL_spz00_15973 + ((long) 1));
																		VECTOR_SET(BgL_sz00_13598,
																			(int) (BgL_arg2313z00_15993),
																			BgL_a2z00_15967);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2314z00_15994;

																		BgL_arg2314z00_15994 =
																			(BgL_spz00_15973 + ((long) 2));
																		VECTOR_SET(BgL_sz00_13598,
																			(int) (BgL_arg2314z00_15994),
																			BgL_a3z00_15968);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2315z00_15995;

																		BgL_arg2315z00_15995 =
																			(BgL_spz00_15973 + ((long) 3));
																		VECTOR_SET(BgL_sz00_13598,
																			(int) (BgL_arg2315z00_15995), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13595,
																		STRUCT_REF(BgL_ufz00_15969,
																			(int) (((long) 3))), (int) (((long) 3)),
																		CINT(BgL_arityz00_15970));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13595, STRUCT_REF(BgL_ufz00_15969,
																	(int) (((long) 3))), (int) (((long) 3)),
																CINT(BgL_arityz00_15970));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_15996;

												BgL_z12denvz12_15996 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_15973 +
															(long) CINT(BgL_sfz00_15972)) <
														(long) (VECTOR_LENGTH(BgL_sz00_13598))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15971, BgL_sz00_13598,
															BINT(BgL_spz00_15973));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_15997;

														BgL_nsz00_15997 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2321z00_15998;

															BgL_arg2321z00_15998 =
																(BgL_spz00_15973 + ((long) 3));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15997, ((long) 2), BgL_sz00_13598,
																BINT(BgL_spz00_15973),
																BINT(BgL_arg2321z00_15998));
														}
														VECTOR_SET(BgL_nsz00_15997,
															(int) (((long) 1)), BgL_sz00_13598);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15996,
															BgL_nsz00_15997);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_15999;

															BgL_ez00_15999 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_15999, BgL_sz00_13598);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_16000;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_16001;

																	BgL_savedzd2bpzd2_16001 =
																		VECTOR_REF(BgL_nsz00_15997,
																		(int) (((long) 0)));
																	VECTOR_SET(BgL_nsz00_15997,
																		(int) (((long) 0)), BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16003;

																		BgL_fz00_16003 = BgL_runz00_15971;
																	BgL_recz00_16002:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_16004;

																			BgL_rz00_16004 =
																				PROCEDURE_ENTRY(BgL_fz00_16003)
																				(BgL_fz00_16003, BgL_nsz00_15997, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_22301;

																				if (PROCEDUREP(BgL_rz00_16004))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1674z00_16005;

																						BgL_arg1674z00_16005 =
																							PROCEDURE_ATTR(BgL_rz00_16004);
																						if (STRUCTP(BgL_arg1674z00_16005))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_22301 =
																									(STRUCT_KEY
																									(BgL_arg1674z00_16005) ==
																									BGl_symbol5695z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_22301 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_22301 = ((bool_t) 0);
																					}
																				if (BgL_testz00_22301)
																					{
																						obj_t BgL_fz00_22309;

																						BgL_fz00_22309 = BgL_rz00_16004;
																						BgL_fz00_16003 = BgL_fz00_22309;
																						goto BgL_recz00_16002;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_15997,
																							(int) (((long) 0)),
																							BgL_savedzd2bpzd2_16001);
																						BgL_____rz00_16000 = BgL_rz00_16004;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_15999);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15996,
																	BgL_sz00_13598);
																return BgL_____rz00_16000;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15965,
												(int) (((long) 3))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16006;

												BgL_nbpz00_16006 =
													((long) CINT(BgL_bpz00_15964) + BgL_siza7eza7_13597);
												VECTOR_SET(BgL_sz00_13598,
													(int) (((long) 0)), BINT(BgL_nbpz00_16006));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16007;

													BgL_rz00_16007 =
														PROCEDURE_ENTRY(BgL_fz00_15965) (BgL_fz00_15965,
														BgL_a1z00_15966, BgL_a2z00_15967, BgL_a3z00_15968,
														BEOA);
													VECTOR_SET(BgL_sz00_13598, (int) (((long) 0)),
														BgL_bpz00_15964);
													return BgL_rz00_16007;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13595,
													BgL_symbzd2funzd2_13596, (int) (((long) 3)),
													PROCEDURE_ARITY(BgL_fz00_15965));
		}}}}}}}}
	}



/* comp-call4 */
	obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_172,
		BgL_ev_exprz00_bglt BgL_vfunz00_173, obj_t BgL_symbzd2funzd2_174,
		obj_t BgL_funz00_175, obj_t BgL_tailzf3zf3_176, obj_t BgL_stkz00_177,
		long BgL_siza7eza7_178, obj_t BgL_a1z00_179, obj_t BgL_a2z00_180,
		obj_t BgL_a3z00_181, obj_t BgL_a4z00_182)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_cfunz00_2705;

				BgL_cfunz00_2705 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_173,
					((long) 4), BgL_locz00_172, BgL_symbzd2funzd2_174);
				if (CBOOL(BgL_cfunz00_2705))
					{	/* Eval/evaluate_comp.scm 889 */
						bool_t BgL_testz00_22336;

						{	/* Eval/evaluate_comp.scm 889 */
							int BgL_arg2330z00_2727;

							BgL_arg2330z00_2727 = bgl_debug();
							BgL_testz00_22336 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2330z00_2727),
								BINT(((long) 0)));
						}
						if (BgL_testz00_22336)
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza32327ze3z83_13599;

								BgL_zc3anonymousza32327ze3z83_13599 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32327ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3anonymousza32327ze3z83_13599,
									(int) (((long) 0)), BgL_a1z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza32327ze3z83_13599,
									(int) (((long) 1)), BgL_a2z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza32327ze3z83_13599,
									(int) (((long) 2)), BgL_a3z00_181);
								PROCEDURE_SET(BgL_zc3anonymousza32327ze3z83_13599,
									(int) (((long) 3)), BgL_a4z00_182);
								PROCEDURE_SET(BgL_zc3anonymousza32327ze3z83_13599,
									(int) (((long) 4)), BINT(BgL_siza7eza7_178));
								PROCEDURE_SET(BgL_zc3anonymousza32327ze3z83_13599,
									(int) (((long) 5)), BgL_locz00_172);
								PROCEDURE_SET(BgL_zc3anonymousza32327ze3z83_13599,
									(int) (((long) 6)), BgL_cfunz00_2705);
								return BgL_zc3anonymousza32327ze3z83_13599;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_zc3anonymousza32329ze3z83_13600;

								BgL_zc3anonymousza32329ze3z83_13600 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32329ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza32329ze3z83_13600,
									(int) (((long) 0)), BgL_a1z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza32329ze3z83_13600,
									(int) (((long) 1)), BgL_a2z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza32329ze3z83_13600,
									(int) (((long) 2)), BgL_a3z00_181);
								PROCEDURE_SET(BgL_zc3anonymousza32329ze3z83_13600,
									(int) (((long) 3)), BgL_a4z00_182);
								PROCEDURE_SET(BgL_zc3anonymousza32329ze3z83_13600,
									(int) (((long) 4)), BINT(BgL_siza7eza7_178));
								PROCEDURE_SET(BgL_zc3anonymousza32329ze3z83_13600,
									(int) (((long) 5)), BgL_cfunz00_2705);
								return BgL_zc3anonymousza32329ze3z83_13600;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 889 */
						if (CBOOL(BgL_tailzf3zf3_176))
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_22377;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2441z00_2863;

									BgL_arg2441z00_2863 = bgl_debug();
									BgL_testz00_22377 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2441z00_2863),
										BINT(((long) 0)));
								}
								if (BgL_testz00_22377)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32333ze3z83_13601;

										BgL_zc3anonymousza32333ze3z83_13601 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32333ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3anonymousza32333ze3z83_13601,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3anonymousza32333ze3z83_13601,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3anonymousza32333ze3z83_13601,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3anonymousza32333ze3z83_13601,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3anonymousza32333ze3z83_13601,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3anonymousza32333ze3z83_13601,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3anonymousza32333ze3z83_13601,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3anonymousza32333ze3z83_13601,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3anonymousza32333ze3z83_13601;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32383ze3z83_13602;

										BgL_zc3anonymousza32383ze3z83_13602 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32383ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3anonymousza32383ze3z83_13602,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3anonymousza32383ze3z83_13602,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3anonymousza32383ze3z83_13602,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3anonymousza32383ze3z83_13602,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3anonymousza32383ze3z83_13602,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3anonymousza32383ze3z83_13602,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3anonymousza32383ze3z83_13602,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3anonymousza32383ze3z83_13602,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3anonymousza32383ze3z83_13602;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_22422;

								{	/* Eval/evaluate_comp.scm 889 */
									int BgL_arg2571z00_2999;

									BgL_arg2571z00_2999 = bgl_debug();
									BgL_testz00_22422 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2571z00_2999),
										BINT(((long) 0)));
								}
								if (BgL_testz00_22422)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32444ze3z83_13603;

										BgL_zc3anonymousza32444ze3z83_13603 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32444ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3anonymousza32444ze3z83_13603,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3anonymousza32444ze3z83_13603,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3anonymousza32444ze3z83_13603,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3anonymousza32444ze3z83_13603,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3anonymousza32444ze3z83_13603,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3anonymousza32444ze3z83_13603,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3anonymousza32444ze3z83_13603,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3anonymousza32444ze3z83_13603,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3anonymousza32444ze3z83_13603;
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_zc3anonymousza32507ze3z83_13604;

										BgL_zc3anonymousza32507ze3z83_13604 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32507ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3anonymousza32507ze3z83_13604,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3anonymousza32507ze3z83_13604,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3anonymousza32507ze3z83_13604,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3anonymousza32507ze3z83_13604,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3anonymousza32507ze3z83_13604,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3anonymousza32507ze3z83_13604,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3anonymousza32507ze3z83_13604,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3anonymousza32507ze3z83_13604,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3anonymousza32507ze3z83_13604;
									}
							}
					}
			}
		}
	}



/* &<anonymous:2327> */
	obj_t BGl_z62zc3anonymousza32327ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13605, obj_t BgL_sz00_13613)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13606;
				obj_t BgL_a2z00_13607;
				obj_t BgL_a3z00_13608;
				obj_t BgL_a4z00_13609;
				long BgL_siza7eza7_13610;
				obj_t BgL_locz00_13611;
				obj_t BgL_cfunz00_13612;

				BgL_a1z00_13606 = PROCEDURE_REF(BgL_envz00_13605, (int) (((long) 0)));
				BgL_a2z00_13607 = PROCEDURE_REF(BgL_envz00_13605, (int) (((long) 1)));
				BgL_a3z00_13608 = PROCEDURE_REF(BgL_envz00_13605, (int) (((long) 2)));
				BgL_a4z00_13609 = PROCEDURE_REF(BgL_envz00_13605, (int) (((long) 3)));
				BgL_siza7eza7_13610 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13605, (int) (((long) 4))));
				BgL_locz00_13611 = PROCEDURE_REF(BgL_envz00_13605, (int) (((long) 5)));
				BgL_cfunz00_13612 = PROCEDURE_REF(BgL_envz00_13605, (int) (((long) 6)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16008;

					BgL_bpz00_16008 = VECTOR_REF(BgL_sz00_13613, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_16009;
						obj_t BgL_a2z00_16010;
						obj_t BgL_a3z00_16011;
						obj_t BgL_a4z00_16012;

						BgL_a1z00_16009 =
							PROCEDURE_ENTRY(BgL_a1z00_13606) (BgL_a1z00_13606, BgL_sz00_13613,
							BEOA);
						BgL_a2z00_16010 =
							PROCEDURE_ENTRY(BgL_a2z00_13607) (BgL_a2z00_13607, BgL_sz00_13613,
							BEOA);
						BgL_a3z00_16011 =
							PROCEDURE_ENTRY(BgL_a3z00_13608) (BgL_a3z00_13608, BgL_sz00_13613,
							BEOA);
						BgL_a4z00_16012 =
							PROCEDURE_ENTRY(BgL_a4z00_13609) (BgL_a4z00_13609, BgL_sz00_13613,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_16013;

							BgL_nbpz00_16013 =
								((long) CINT(BgL_bpz00_16008) + BgL_siza7eza7_13610);
							VECTOR_SET(BgL_sz00_13613,
								(int) (((long) 0)), BINT(BgL_nbpz00_16013));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_tmpz00_22505;

								BgL_tmpz00_22505 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22505, BgL_locz00_13611);
							}
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_16014;

								BgL_rz00_16014 =
									PROCEDURE_ENTRY(BgL_cfunz00_13612) (BgL_cfunz00_13612,
									BgL_a1z00_16009, BgL_a2z00_16010, BgL_a3z00_16011,
									BgL_a4z00_16012, BEOA);
								VECTOR_SET(BgL_sz00_13613, (int) (((long) 0)), BgL_bpz00_16008);
								return BgL_rz00_16014;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2329> */
	obj_t BGl_z62zc3anonymousza32329ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13614, obj_t BgL_sz00_13621)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_a1z00_13615;
				obj_t BgL_a2z00_13616;
				obj_t BgL_a3z00_13617;
				obj_t BgL_a4z00_13618;
				long BgL_siza7eza7_13619;
				obj_t BgL_cfunz00_13620;

				BgL_a1z00_13615 = PROCEDURE_REF(BgL_envz00_13614, (int) (((long) 0)));
				BgL_a2z00_13616 = PROCEDURE_REF(BgL_envz00_13614, (int) (((long) 1)));
				BgL_a3z00_13617 = PROCEDURE_REF(BgL_envz00_13614, (int) (((long) 2)));
				BgL_a4z00_13618 = PROCEDURE_REF(BgL_envz00_13614, (int) (((long) 3)));
				BgL_siza7eza7_13619 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13614, (int) (((long) 4))));
				BgL_cfunz00_13620 = PROCEDURE_REF(BgL_envz00_13614, (int) (((long) 5)));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16015;

					BgL_bpz00_16015 = VECTOR_REF(BgL_sz00_13621, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_a1z00_16016;
						obj_t BgL_a2z00_16017;
						obj_t BgL_a3z00_16018;
						obj_t BgL_a4z00_16019;

						BgL_a1z00_16016 =
							PROCEDURE_ENTRY(BgL_a1z00_13615) (BgL_a1z00_13615, BgL_sz00_13621,
							BEOA);
						BgL_a2z00_16017 =
							PROCEDURE_ENTRY(BgL_a2z00_13616) (BgL_a2z00_13616, BgL_sz00_13621,
							BEOA);
						BgL_a3z00_16018 =
							PROCEDURE_ENTRY(BgL_a3z00_13617) (BgL_a3z00_13617, BgL_sz00_13621,
							BEOA);
						BgL_a4z00_16019 =
							PROCEDURE_ENTRY(BgL_a4z00_13618) (BgL_a4z00_13618, BgL_sz00_13621,
							BEOA);
						{	/* Eval/evaluate_comp.scm 889 */
							long BgL_nbpz00_16020;

							BgL_nbpz00_16020 =
								((long) CINT(BgL_bpz00_16015) + BgL_siza7eza7_13619);
							VECTOR_SET(BgL_sz00_13621,
								(int) (((long) 0)), BINT(BgL_nbpz00_16020));
							{	/* Eval/evaluate_comp.scm 889 */
								obj_t BgL_rz00_16021;

								BgL_rz00_16021 =
									PROCEDURE_ENTRY(BgL_cfunz00_13620) (BgL_cfunz00_13620,
									BgL_a1z00_16016, BgL_a2z00_16017, BgL_a3z00_16018,
									BgL_a4z00_16019, BEOA);
								VECTOR_SET(BgL_sz00_13621, (int) (((long) 0)), BgL_bpz00_16015);
								return BgL_rz00_16021;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2333> */
	obj_t BGl_z62zc3anonymousza32333ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13622, obj_t BgL_sz00_13631)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13623;
				obj_t BgL_a1z00_13624;
				obj_t BgL_a2z00_13625;
				obj_t BgL_a3z00_13626;
				obj_t BgL_a4z00_13627;
				obj_t BgL_locz00_13628;
				obj_t BgL_symbzd2funzd2_13629;
				long BgL_siza7eza7_13630;

				BgL_funz00_13623 = PROCEDURE_REF(BgL_envz00_13622, (int) (((long) 0)));
				BgL_a1z00_13624 = PROCEDURE_REF(BgL_envz00_13622, (int) (((long) 1)));
				BgL_a2z00_13625 = PROCEDURE_REF(BgL_envz00_13622, (int) (((long) 2)));
				BgL_a3z00_13626 = PROCEDURE_REF(BgL_envz00_13622, (int) (((long) 3)));
				BgL_a4z00_13627 = PROCEDURE_REF(BgL_envz00_13622, (int) (((long) 4)));
				BgL_locz00_13628 = PROCEDURE_REF(BgL_envz00_13622, (int) (((long) 5)));
				BgL_symbzd2funzd2_13629 =
					PROCEDURE_REF(BgL_envz00_13622, (int) (((long) 6)));
				BgL_siza7eza7_13630 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13622, (int) (((long) 7))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16022;

					BgL_bpz00_16022 = VECTOR_REF(BgL_sz00_13631, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_16023;
						obj_t BgL_a1z00_16024;
						obj_t BgL_a2z00_16025;
						obj_t BgL_a3z00_16026;
						obj_t BgL_a4z00_16027;

						BgL_fz00_16023 =
							PROCEDURE_ENTRY(BgL_funz00_13623) (BgL_funz00_13623,
							BgL_sz00_13631, BEOA);
						BgL_a1z00_16024 =
							PROCEDURE_ENTRY(BgL_a1z00_13624) (BgL_a1z00_13624, BgL_sz00_13631,
							BEOA);
						BgL_a2z00_16025 =
							PROCEDURE_ENTRY(BgL_a2z00_13625) (BgL_a2z00_13625, BgL_sz00_13631,
							BEOA);
						BgL_a3z00_16026 =
							PROCEDURE_ENTRY(BgL_a3z00_13626) (BgL_a3z00_13626, BgL_sz00_13631,
							BEOA);
						BgL_a4z00_16027 =
							PROCEDURE_ENTRY(BgL_a4z00_13627) (BgL_a4z00_13627, BgL_sz00_13631,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16023))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13628,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_16023);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_16028;

							BgL_ufz00_16028 = PROCEDURE_ATTR(BgL_fz00_16023);
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_22605;

								if (STRUCTP(BgL_ufz00_16028))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22605 =
											(STRUCT_KEY(BgL_ufz00_16028) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22605 = ((bool_t) 0);
									}
								if (BgL_testz00_22605)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_16029;
										obj_t BgL_runz00_16030;
										obj_t BgL_sfz00_16031;

										BgL_arityz00_16029 =
											STRUCT_REF(BgL_ufz00_16028, (int) (((long) 0)));
										BgL_runz00_16030 =
											STRUCT_REF(BgL_ufz00_16028, (int) (((long) 1)));
										BgL_sfz00_16031 =
											STRUCT_REF(BgL_ufz00_16028, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_16029) == ((long) 4)))
											{	/* Eval/evaluate_comp.scm 889 */
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2337z00_16032;

													BgL_arg2337z00_16032 =
														((long) CINT(BgL_bpz00_16022) + ((long) 0));
													VECTOR_SET(BgL_sz00_13631,
														(int) (BgL_arg2337z00_16032), BgL_a1z00_16024);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2338z00_16033;

													BgL_arg2338z00_16033 =
														((long) CINT(BgL_bpz00_16022) + ((long) 1));
													VECTOR_SET(BgL_sz00_13631,
														(int) (BgL_arg2338z00_16033), BgL_a2z00_16025);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2339z00_16034;

													BgL_arg2339z00_16034 =
														((long) CINT(BgL_bpz00_16022) + ((long) 2));
													VECTOR_SET(BgL_sz00_13631,
														(int) (BgL_arg2339z00_16034), BgL_a3z00_16026);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2340z00_16035;

													BgL_arg2340z00_16035 =
														((long) CINT(BgL_bpz00_16022) + ((long) 3));
													VECTOR_SET(BgL_sz00_13631,
														(int) (BgL_arg2340z00_16035), BgL_a4z00_16027);
											}}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_16029))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_16029))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2342z00_16036;
																	obj_t BgL_arg2343z00_16037;

																	BgL_arg2342z00_16036 =
																		((long) CINT(BgL_bpz00_16022) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2344z00_16038;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2345z00_16039;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2346z00_16040;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2347z00_16041;

																					BgL_arg2347z00_16041 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16027,
																						BNIL);
																					BgL_arg2346z00_16040 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16026,
																						BgL_arg2347z00_16041);
																				}
																				BgL_arg2345z00_16039 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16025,
																					BgL_arg2346z00_16040);
																			}
																			BgL_list2344z00_16038 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16024,
																				BgL_arg2345z00_16039);
																		}
																		BgL_arg2343z00_16037 =
																			BgL_list2344z00_16038;
																	}
																	VECTOR_SET(BgL_sz00_13631,
																		(int) (BgL_arg2342z00_16036),
																		BgL_arg2343z00_16037);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2348z00_16042;

																	BgL_arg2348z00_16042 =
																		((long) CINT(BgL_bpz00_16022) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13631,
																		(int) (BgL_arg2348z00_16042),
																		BgL_a1z00_16024);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2350z00_16043;
																	obj_t BgL_arg2351z00_16044;

																	BgL_arg2350z00_16043 =
																		((long) CINT(BgL_bpz00_16022) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2352z00_16045;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2353z00_16046;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2354z00_16047;

																				BgL_arg2354z00_16047 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16027,
																					BNIL);
																				BgL_arg2353z00_16046 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16026,
																					BgL_arg2354z00_16047);
																			}
																			BgL_list2352z00_16045 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16025,
																				BgL_arg2353z00_16046);
																		}
																		BgL_arg2351z00_16044 =
																			BgL_list2352z00_16045;
																	}
																	VECTOR_SET(BgL_sz00_13631,
																		(int) (BgL_arg2350z00_16043),
																		BgL_arg2351z00_16044);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2356z00_16048;

																	BgL_arg2356z00_16048 =
																		((long) CINT(BgL_bpz00_16022) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13631,
																		(int) (BgL_arg2356z00_16048),
																		BgL_a1z00_16024);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2357z00_16049;

																	BgL_arg2357z00_16049 =
																		((long) CINT(BgL_bpz00_16022) + ((long) 1));
																	VECTOR_SET(BgL_sz00_13631,
																		(int) (BgL_arg2357z00_16049),
																		BgL_a2z00_16025);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2359z00_16050;
																	obj_t BgL_arg2360z00_16051;

																	BgL_arg2359z00_16050 =
																		((long) CINT(BgL_bpz00_16022) + ((long) 2));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2361z00_16052;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2362z00_16053;

																			BgL_arg2362z00_16053 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16027, BNIL);
																			BgL_list2361z00_16052 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16026,
																				BgL_arg2362z00_16053);
																		}
																		BgL_arg2360z00_16051 =
																			BgL_list2361z00_16052;
																	}
																	VECTOR_SET(BgL_sz00_13631,
																		(int) (BgL_arg2359z00_16050),
																		BgL_arg2360z00_16051);
																} break;
															case ((long) -4):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2363z00_16054;

																	BgL_arg2363z00_16054 =
																		((long) CINT(BgL_bpz00_16022) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13631,
																		(int) (BgL_arg2363z00_16054),
																		BgL_a1z00_16024);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2364z00_16055;

																	BgL_arg2364z00_16055 =
																		((long) CINT(BgL_bpz00_16022) + ((long) 1));
																	VECTOR_SET(BgL_sz00_13631,
																		(int) (BgL_arg2364z00_16055),
																		BgL_a2z00_16025);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2365z00_16056;

																	BgL_arg2365z00_16056 =
																		((long) CINT(BgL_bpz00_16022) + ((long) 2));
																	VECTOR_SET(BgL_sz00_13631,
																		(int) (BgL_arg2365z00_16056),
																		BgL_a3z00_16026);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2366z00_16057;
																	obj_t BgL_arg2367z00_16058;

																	BgL_arg2366z00_16057 =
																		((long) CINT(BgL_bpz00_16022) + ((long) 3));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2368z00_16059;

																		BgL_list2368z00_16059 =
																			MAKE_YOUNG_PAIR(BgL_a4z00_16027, BNIL);
																		BgL_arg2367z00_16058 =
																			BgL_list2368z00_16059;
																	}
																	VECTOR_SET(BgL_sz00_13631,
																		(int) (BgL_arg2366z00_16057),
																		BgL_arg2367z00_16058);
																} break;
															case ((long) -5):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2369z00_16060;

																	BgL_arg2369z00_16060 =
																		((long) CINT(BgL_bpz00_16022) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13631,
																		(int) (BgL_arg2369z00_16060),
																		BgL_a1z00_16024);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2370z00_16061;

																	BgL_arg2370z00_16061 =
																		((long) CINT(BgL_bpz00_16022) + ((long) 1));
																	VECTOR_SET(BgL_sz00_13631,
																		(int) (BgL_arg2370z00_16061),
																		BgL_a2z00_16025);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2371z00_16062;

																	BgL_arg2371z00_16062 =
																		((long) CINT(BgL_bpz00_16022) + ((long) 2));
																	VECTOR_SET(BgL_sz00_13631,
																		(int) (BgL_arg2371z00_16062),
																		BgL_a3z00_16026);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2372z00_16063;

																	BgL_arg2372z00_16063 =
																		((long) CINT(BgL_bpz00_16022) + ((long) 3));
																	VECTOR_SET(BgL_sz00_13631,
																		(int) (BgL_arg2372z00_16063),
																		BgL_a4z00_16027);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2373z00_16064;

																	BgL_arg2373z00_16064 =
																		((long) CINT(BgL_bpz00_16022) + ((long) 4));
																	VECTOR_SET(BgL_sz00_13631,
																		(int) (BgL_arg2373z00_16064), BNIL);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13628, STRUCT_REF(BgL_ufz00_16028,
																		(int) (((long) 3))), (int) (((long) 4)),
																	CINT(BgL_arityz00_16029));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13628, STRUCT_REF(BgL_ufz00_16028,
																(int) (((long) 3))), (int) (((long) 4)),
															CINT(BgL_arityz00_16029));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_16065;

											BgL_z12denvz12_16065 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16065,
												BgL_locz00_13628);
											if ((((long) CINT(BgL_bpz00_16022) +
														(long) CINT(BgL_sfz00_16031)) <
													(long) (VECTOR_LENGTH(BgL_sz00_13631))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_16030;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_16066;

													BgL_nsz00_16066 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2379z00_16067;

														BgL_arg2379z00_16067 =
															((long) CINT(BgL_bpz00_16022) + ((long) 4));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16066, ((long) 2), BgL_sz00_13631,
															BgL_bpz00_16022, BINT(BgL_arg2379z00_16067));
													}
													VECTOR_SET(BgL_nsz00_16066,
														(int) (((long) 1)), BgL_sz00_13631);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16065,
														BgL_nsz00_16066);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_16068;

														BgL_ez00_16068 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_16068, BgL_sz00_13631);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_16069;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_16070;

																BgL_savedzd2bpzd2_16070 =
																	VECTOR_REF(BgL_nsz00_16066,
																	(int) (((long) 0)));
																VECTOR_SET(BgL_nsz00_16066,
																	(int) (((long) 0)), BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16072;

																	BgL_fz00_16072 = BgL_runz00_16030;
																BgL_recz00_16071:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_16073;

																		BgL_rz00_16073 =
																			PROCEDURE_ENTRY(BgL_fz00_16072)
																			(BgL_fz00_16072, BgL_nsz00_16066, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_22747;

																			if (PROCEDUREP(BgL_rz00_16073))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1674z00_16074;

																					BgL_arg1674z00_16074 =
																						PROCEDURE_ATTR(BgL_rz00_16073);
																					if (STRUCTP(BgL_arg1674z00_16074))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_22747 =
																								(STRUCT_KEY
																								(BgL_arg1674z00_16074) ==
																								BGl_symbol5695z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_22747 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_22747 = ((bool_t) 0);
																				}
																			if (BgL_testz00_22747)
																				{
																					obj_t BgL_fz00_22755;

																					BgL_fz00_22755 = BgL_rz00_16073;
																					BgL_fz00_16072 = BgL_fz00_22755;
																					goto BgL_recz00_16071;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_16066,
																						(int) (((long) 0)),
																						BgL_savedzd2bpzd2_16070);
																					BgL_____rz00_16069 = BgL_rz00_16073;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_16068);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16065,
																BgL_sz00_13631);
															return BgL_____rz00_16069;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16023,
												(int) (((long) 4))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16075;

												BgL_nbpz00_16075 =
													((long) CINT(BgL_bpz00_16022) + BgL_siza7eza7_13630);
												VECTOR_SET(BgL_sz00_13631,
													(int) (((long) 0)), BINT(BgL_nbpz00_16075));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_22768;

													BgL_tmpz00_22768 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22768,
														BgL_locz00_13628);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16076;

													BgL_rz00_16076 =
														PROCEDURE_ENTRY(BgL_fz00_16023) (BgL_fz00_16023,
														BgL_a1z00_16024, BgL_a2z00_16025, BgL_a3z00_16026,
														BgL_a4z00_16027, BEOA);
													VECTOR_SET(BgL_sz00_13631, (int) (((long) 0)),
														BgL_bpz00_16022);
													return BgL_rz00_16076;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13628,
													BgL_symbzd2funzd2_13629, (int) (((long) 4)),
													PROCEDURE_ARITY(BgL_fz00_16023));
		}}}}}}}}
	}



/* &<anonymous:2383> */
	obj_t BGl_z62zc3anonymousza32383ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13632, obj_t BgL_sz00_13641)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13633;
				obj_t BgL_a1z00_13634;
				obj_t BgL_a2z00_13635;
				obj_t BgL_a3z00_13636;
				obj_t BgL_a4z00_13637;
				obj_t BgL_locz00_13638;
				obj_t BgL_symbzd2funzd2_13639;
				long BgL_siza7eza7_13640;

				BgL_funz00_13633 = PROCEDURE_REF(BgL_envz00_13632, (int) (((long) 0)));
				BgL_a1z00_13634 = PROCEDURE_REF(BgL_envz00_13632, (int) (((long) 1)));
				BgL_a2z00_13635 = PROCEDURE_REF(BgL_envz00_13632, (int) (((long) 2)));
				BgL_a3z00_13636 = PROCEDURE_REF(BgL_envz00_13632, (int) (((long) 3)));
				BgL_a4z00_13637 = PROCEDURE_REF(BgL_envz00_13632, (int) (((long) 4)));
				BgL_locz00_13638 = PROCEDURE_REF(BgL_envz00_13632, (int) (((long) 5)));
				BgL_symbzd2funzd2_13639 =
					PROCEDURE_REF(BgL_envz00_13632, (int) (((long) 6)));
				BgL_siza7eza7_13640 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13632, (int) (((long) 7))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16077;

					BgL_bpz00_16077 = VECTOR_REF(BgL_sz00_13641, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_16078;
						obj_t BgL_a1z00_16079;
						obj_t BgL_a2z00_16080;
						obj_t BgL_a3z00_16081;
						obj_t BgL_a4z00_16082;

						BgL_fz00_16078 =
							PROCEDURE_ENTRY(BgL_funz00_13633) (BgL_funz00_13633,
							BgL_sz00_13641, BEOA);
						BgL_a1z00_16079 =
							PROCEDURE_ENTRY(BgL_a1z00_13634) (BgL_a1z00_13634, BgL_sz00_13641,
							BEOA);
						BgL_a2z00_16080 =
							PROCEDURE_ENTRY(BgL_a2z00_13635) (BgL_a2z00_13635, BgL_sz00_13641,
							BEOA);
						BgL_a3z00_16081 =
							PROCEDURE_ENTRY(BgL_a3z00_13636) (BgL_a3z00_13636, BgL_sz00_13641,
							BEOA);
						BgL_a4z00_16082 =
							PROCEDURE_ENTRY(BgL_a4z00_13637) (BgL_a4z00_13637, BgL_sz00_13641,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16078))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13638,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_16078);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_16083;

							BgL_ufz00_16083 = PROCEDURE_ATTR(BgL_fz00_16078);
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_22826;

								if (STRUCTP(BgL_ufz00_16083))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22826 =
											(STRUCT_KEY(BgL_ufz00_16083) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_22826 = ((bool_t) 0);
									}
								if (BgL_testz00_22826)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_16084;
										obj_t BgL_runz00_16085;
										obj_t BgL_sfz00_16086;

										BgL_arityz00_16084 =
											STRUCT_REF(BgL_ufz00_16083, (int) (((long) 0)));
										BgL_runz00_16085 =
											STRUCT_REF(BgL_ufz00_16083, (int) (((long) 1)));
										BgL_sfz00_16086 =
											STRUCT_REF(BgL_ufz00_16083, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_16084) == ((long) 4)))
											{	/* Eval/evaluate_comp.scm 889 */
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2388z00_16087;

													BgL_arg2388z00_16087 =
														((long) CINT(BgL_bpz00_16077) + ((long) 0));
													VECTOR_SET(BgL_sz00_13641,
														(int) (BgL_arg2388z00_16087), BgL_a1z00_16079);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2389z00_16088;

													BgL_arg2389z00_16088 =
														((long) CINT(BgL_bpz00_16077) + ((long) 1));
													VECTOR_SET(BgL_sz00_13641,
														(int) (BgL_arg2389z00_16088), BgL_a2z00_16080);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2390z00_16089;

													BgL_arg2390z00_16089 =
														((long) CINT(BgL_bpz00_16077) + ((long) 2));
													VECTOR_SET(BgL_sz00_13641,
														(int) (BgL_arg2390z00_16089), BgL_a3z00_16081);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													long BgL_arg2391z00_16090;

													BgL_arg2391z00_16090 =
														((long) CINT(BgL_bpz00_16077) + ((long) 3));
													VECTOR_SET(BgL_sz00_13641,
														(int) (BgL_arg2391z00_16090), BgL_a4z00_16082);
											}}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												if (INTEGERP(BgL_arityz00_16084))
													{	/* Eval/evaluate_comp.scm 889 */
														switch ((long) CINT(BgL_arityz00_16084))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2395z00_16091;
																	obj_t BgL_arg2396z00_16092;

																	BgL_arg2395z00_16091 =
																		((long) CINT(BgL_bpz00_16077) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2397z00_16093;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2398z00_16094;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2400z00_16095;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2402z00_16096;

																					BgL_arg2402z00_16096 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16082,
																						BNIL);
																					BgL_arg2400z00_16095 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16081,
																						BgL_arg2402z00_16096);
																				}
																				BgL_arg2398z00_16094 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16080,
																					BgL_arg2400z00_16095);
																			}
																			BgL_list2397z00_16093 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16079,
																				BgL_arg2398z00_16094);
																		}
																		BgL_arg2396z00_16092 =
																			BgL_list2397z00_16093;
																	}
																	VECTOR_SET(BgL_sz00_13641,
																		(int) (BgL_arg2395z00_16091),
																		BgL_arg2396z00_16092);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2403z00_16097;

																	BgL_arg2403z00_16097 =
																		((long) CINT(BgL_bpz00_16077) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13641,
																		(int) (BgL_arg2403z00_16097),
																		BgL_a1z00_16079);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2404z00_16098;
																	obj_t BgL_arg2405z00_16099;

																	BgL_arg2404z00_16098 =
																		((long) CINT(BgL_bpz00_16077) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2406z00_16100;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2407z00_16101;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2409z00_16102;

																				BgL_arg2409z00_16102 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16082,
																					BNIL);
																				BgL_arg2407z00_16101 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16081,
																					BgL_arg2409z00_16102);
																			}
																			BgL_list2406z00_16100 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16080,
																				BgL_arg2407z00_16101);
																		}
																		BgL_arg2405z00_16099 =
																			BgL_list2406z00_16100;
																	}
																	VECTOR_SET(BgL_sz00_13641,
																		(int) (BgL_arg2404z00_16098),
																		BgL_arg2405z00_16099);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2410z00_16103;

																	BgL_arg2410z00_16103 =
																		((long) CINT(BgL_bpz00_16077) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13641,
																		(int) (BgL_arg2410z00_16103),
																		BgL_a1z00_16079);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2411z00_16104;

																	BgL_arg2411z00_16104 =
																		((long) CINT(BgL_bpz00_16077) + ((long) 1));
																	VECTOR_SET(BgL_sz00_13641,
																		(int) (BgL_arg2411z00_16104),
																		BgL_a2z00_16080);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2412z00_16105;
																	obj_t BgL_arg2414z00_16106;

																	BgL_arg2412z00_16105 =
																		((long) CINT(BgL_bpz00_16077) + ((long) 2));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2415z00_16107;

																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_arg2417z00_16108;

																			BgL_arg2417z00_16108 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16082, BNIL);
																			BgL_list2415z00_16107 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16081,
																				BgL_arg2417z00_16108);
																		}
																		BgL_arg2414z00_16106 =
																			BgL_list2415z00_16107;
																	}
																	VECTOR_SET(BgL_sz00_13641,
																		(int) (BgL_arg2412z00_16105),
																		BgL_arg2414z00_16106);
																} break;
															case ((long) -4):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2419z00_16109;

																	BgL_arg2419z00_16109 =
																		((long) CINT(BgL_bpz00_16077) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13641,
																		(int) (BgL_arg2419z00_16109),
																		BgL_a1z00_16079);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2420z00_16110;

																	BgL_arg2420z00_16110 =
																		((long) CINT(BgL_bpz00_16077) + ((long) 1));
																	VECTOR_SET(BgL_sz00_13641,
																		(int) (BgL_arg2420z00_16110),
																		BgL_a2z00_16080);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2422z00_16111;

																	BgL_arg2422z00_16111 =
																		((long) CINT(BgL_bpz00_16077) + ((long) 2));
																	VECTOR_SET(BgL_sz00_13641,
																		(int) (BgL_arg2422z00_16111),
																		BgL_a3z00_16081);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2423z00_16112;
																	obj_t BgL_arg2424z00_16113;

																	BgL_arg2423z00_16112 =
																		((long) CINT(BgL_bpz00_16077) + ((long) 3));
																	{	/* Eval/evaluate_comp.scm 889 */
																		obj_t BgL_list2425z00_16114;

																		BgL_list2425z00_16114 =
																			MAKE_YOUNG_PAIR(BgL_a4z00_16082, BNIL);
																		BgL_arg2424z00_16113 =
																			BgL_list2425z00_16114;
																	}
																	VECTOR_SET(BgL_sz00_13641,
																		(int) (BgL_arg2423z00_16112),
																		BgL_arg2424z00_16113);
																} break;
															case ((long) -5):

																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2427z00_16115;

																	BgL_arg2427z00_16115 =
																		((long) CINT(BgL_bpz00_16077) + ((long) 0));
																	VECTOR_SET(BgL_sz00_13641,
																		(int) (BgL_arg2427z00_16115),
																		BgL_a1z00_16079);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2429z00_16116;

																	BgL_arg2429z00_16116 =
																		((long) CINT(BgL_bpz00_16077) + ((long) 1));
																	VECTOR_SET(BgL_sz00_13641,
																		(int) (BgL_arg2429z00_16116),
																		BgL_a2z00_16080);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2430z00_16117;

																	BgL_arg2430z00_16117 =
																		((long) CINT(BgL_bpz00_16077) + ((long) 2));
																	VECTOR_SET(BgL_sz00_13641,
																		(int) (BgL_arg2430z00_16117),
																		BgL_a3z00_16081);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2431z00_16118;

																	BgL_arg2431z00_16118 =
																		((long) CINT(BgL_bpz00_16077) + ((long) 3));
																	VECTOR_SET(BgL_sz00_13641,
																		(int) (BgL_arg2431z00_16118),
																		BgL_a4z00_16082);
																}
																{	/* Eval/evaluate_comp.scm 889 */
																	long BgL_arg2432z00_16119;

																	BgL_arg2432z00_16119 =
																		((long) CINT(BgL_bpz00_16077) + ((long) 4));
																	VECTOR_SET(BgL_sz00_13641,
																		(int) (BgL_arg2432z00_16119), BNIL);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13638, STRUCT_REF(BgL_ufz00_16083,
																		(int) (((long) 3))), (int) (((long) 4)),
																	CINT(BgL_arityz00_16084));
													}}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13638, STRUCT_REF(BgL_ufz00_16083,
																(int) (((long) 3))), (int) (((long) 4)),
															CINT(BgL_arityz00_16084));
											}}
										{	/* Eval/evaluate_comp.scm 889 */
											obj_t BgL_z12denvz12_16120;

											BgL_z12denvz12_16120 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_16077) +
														(long) CINT(BgL_sfz00_16086)) <
													(long) (VECTOR_LENGTH(BgL_sz00_13641))))
												{	/* Eval/evaluate_comp.scm 889 */
													return BgL_runz00_16085;
												}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_nsz00_16121;

													BgL_nsz00_16121 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2438z00_16122;

														BgL_arg2438z00_16122 =
															((long) CINT(BgL_bpz00_16077) + ((long) 4));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16121, ((long) 2), BgL_sz00_13641,
															BgL_bpz00_16077, BINT(BgL_arg2438z00_16122));
													}
													VECTOR_SET(BgL_nsz00_16121,
														(int) (((long) 1)), BgL_sz00_13641);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16120,
														BgL_nsz00_16121);
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_ez00_16123;

														BgL_ez00_16123 = BGL_EXITD_TOP_AS_OBJ();
														BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
															(BgL_ez00_16123, BgL_sz00_13641);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_____rz00_16124;

															{	/* Eval/evaluate_comp.scm 663 */
																obj_t BgL_savedzd2bpzd2_16125;

																BgL_savedzd2bpzd2_16125 =
																	VECTOR_REF(BgL_nsz00_16121,
																	(int) (((long) 0)));
																VECTOR_SET(BgL_nsz00_16121,
																	(int) (((long) 0)), BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16127;

																	BgL_fz00_16127 = BgL_runz00_16085;
																BgL_recz00_16126:
																	{	/* Eval/evaluate_comp.scm 666 */
																		obj_t BgL_rz00_16128;

																		BgL_rz00_16128 =
																			PROCEDURE_ENTRY(BgL_fz00_16127)
																			(BgL_fz00_16127, BgL_nsz00_16121, BEOA);
																		{	/* Eval/evaluate_comp.scm 667 */
																			bool_t BgL_testz00_22967;

																			if (PROCEDUREP(BgL_rz00_16128))
																				{	/* Eval/evaluate_comp.scm 667 */
																					obj_t BgL_arg1674z00_16129;

																					BgL_arg1674z00_16129 =
																						PROCEDURE_ATTR(BgL_rz00_16128);
																					if (STRUCTP(BgL_arg1674z00_16129))
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_22967 =
																								(STRUCT_KEY
																								(BgL_arg1674z00_16129) ==
																								BGl_symbol5695z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 647 */
																							BgL_testz00_22967 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					BgL_testz00_22967 = ((bool_t) 0);
																				}
																			if (BgL_testz00_22967)
																				{
																					obj_t BgL_fz00_22975;

																					BgL_fz00_22975 = BgL_rz00_16128;
																					BgL_fz00_16127 = BgL_fz00_22975;
																					goto BgL_recz00_16126;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 667 */
																					VECTOR_SET(BgL_nsz00_16121,
																						(int) (((long) 0)),
																						BgL_savedzd2bpzd2_16125);
																					BgL_____rz00_16124 = BgL_rz00_16128;
															}}}}}
															BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																(BgL_ez00_16123);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16120,
																BgL_sz00_13641);
															return BgL_____rz00_16124;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16078,
												(int) (((long) 4))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16130;

												BgL_nbpz00_16130 =
													((long) CINT(BgL_bpz00_16077) + BgL_siza7eza7_13640);
												VECTOR_SET(BgL_sz00_13641,
													(int) (((long) 0)), BINT(BgL_nbpz00_16130));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16131;

													BgL_rz00_16131 =
														PROCEDURE_ENTRY(BgL_fz00_16078) (BgL_fz00_16078,
														BgL_a1z00_16079, BgL_a2z00_16080, BgL_a3z00_16081,
														BgL_a4z00_16082, BEOA);
													VECTOR_SET(BgL_sz00_13641, (int) (((long) 0)),
														BgL_bpz00_16077);
													return BgL_rz00_16131;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13638,
													BgL_symbzd2funzd2_13639, (int) (((long) 4)),
													PROCEDURE_ARITY(BgL_fz00_16078));
		}}}}}}}}
	}



/* &<anonymous:2444> */
	obj_t BGl_z62zc3anonymousza32444ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13642, obj_t BgL_sz00_13651)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13643;
				obj_t BgL_a1z00_13644;
				obj_t BgL_a2z00_13645;
				obj_t BgL_a3z00_13646;
				obj_t BgL_a4z00_13647;
				obj_t BgL_locz00_13648;
				obj_t BgL_symbzd2funzd2_13649;
				long BgL_siza7eza7_13650;

				BgL_funz00_13643 = PROCEDURE_REF(BgL_envz00_13642, (int) (((long) 0)));
				BgL_a1z00_13644 = PROCEDURE_REF(BgL_envz00_13642, (int) (((long) 1)));
				BgL_a2z00_13645 = PROCEDURE_REF(BgL_envz00_13642, (int) (((long) 2)));
				BgL_a3z00_13646 = PROCEDURE_REF(BgL_envz00_13642, (int) (((long) 3)));
				BgL_a4z00_13647 = PROCEDURE_REF(BgL_envz00_13642, (int) (((long) 4)));
				BgL_locz00_13648 = PROCEDURE_REF(BgL_envz00_13642, (int) (((long) 5)));
				BgL_symbzd2funzd2_13649 =
					PROCEDURE_REF(BgL_envz00_13642, (int) (((long) 6)));
				BgL_siza7eza7_13650 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13642, (int) (((long) 7))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16132;

					BgL_bpz00_16132 = VECTOR_REF(BgL_sz00_13651, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_16133;
						obj_t BgL_a1z00_16134;
						obj_t BgL_a2z00_16135;
						obj_t BgL_a3z00_16136;
						obj_t BgL_a4z00_16137;

						BgL_fz00_16133 =
							PROCEDURE_ENTRY(BgL_funz00_13643) (BgL_funz00_13643,
							BgL_sz00_13651, BEOA);
						BgL_a1z00_16134 =
							PROCEDURE_ENTRY(BgL_a1z00_13644) (BgL_a1z00_13644, BgL_sz00_13651,
							BEOA);
						BgL_a2z00_16135 =
							PROCEDURE_ENTRY(BgL_a2z00_13645) (BgL_a2z00_13645, BgL_sz00_13651,
							BEOA);
						BgL_a3z00_16136 =
							PROCEDURE_ENTRY(BgL_a3z00_13646) (BgL_a3z00_13646, BgL_sz00_13651,
							BEOA);
						BgL_a4z00_16137 =
							PROCEDURE_ENTRY(BgL_a4z00_13647) (BgL_a4z00_13647, BgL_sz00_13651,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16133))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13648,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_16133);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_16138;

							BgL_ufz00_16138 = PROCEDURE_ATTR(BgL_fz00_16133);
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_23043;

								if (STRUCTP(BgL_ufz00_16138))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_23043 =
											(STRUCT_KEY(BgL_ufz00_16138) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_23043 = ((bool_t) 0);
									}
								if (BgL_testz00_23043)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_16139;
										obj_t BgL_runz00_16140;
										obj_t BgL_sfz00_16141;

										BgL_arityz00_16139 =
											STRUCT_REF(BgL_ufz00_16138, (int) (((long) 0)));
										BgL_runz00_16140 =
											STRUCT_REF(BgL_ufz00_16138, (int) (((long) 1)));
										BgL_sfz00_16141 =
											STRUCT_REF(BgL_ufz00_16138, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_16142;

											BgL_spz00_16142 =
												((long) CINT(BgL_bpz00_16132) + BgL_siza7eza7_13650);
											if (((long) CINT(BgL_arityz00_16139) == ((long) 4)))
												{	/* Eval/evaluate_comp.scm 889 */
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2448z00_16143;

														BgL_arg2448z00_16143 =
															(BgL_spz00_16142 + ((long) 0));
														VECTOR_SET(BgL_sz00_13651,
															(int) (BgL_arg2448z00_16143), BgL_a1z00_16134);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2450z00_16144;

														BgL_arg2450z00_16144 =
															(BgL_spz00_16142 + ((long) 1));
														VECTOR_SET(BgL_sz00_13651,
															(int) (BgL_arg2450z00_16144), BgL_a2z00_16135);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2451z00_16145;

														BgL_arg2451z00_16145 =
															(BgL_spz00_16142 + ((long) 2));
														VECTOR_SET(BgL_sz00_13651,
															(int) (BgL_arg2451z00_16145), BgL_a3z00_16136);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2453z00_16146;

														BgL_arg2453z00_16146 =
															(BgL_spz00_16142 + ((long) 3));
														VECTOR_SET(BgL_sz00_13651,
															(int) (BgL_arg2453z00_16146), BgL_a4z00_16137);
												}}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_16139))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_16139))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2455z00_16147;
																		obj_t BgL_arg2457z00_16148;

																		BgL_arg2455z00_16147 =
																			(BgL_spz00_16142 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2458z00_16149;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2459z00_16150;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2460z00_16151;

																					{	/* Eval/evaluate_comp.scm 889 */
																						obj_t BgL_arg2461z00_16152;

																						BgL_arg2461z00_16152 =
																							MAKE_YOUNG_PAIR(BgL_a4z00_16137,
																							BNIL);
																						BgL_arg2460z00_16151 =
																							MAKE_YOUNG_PAIR(BgL_a3z00_16136,
																							BgL_arg2461z00_16152);
																					}
																					BgL_arg2459z00_16150 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16135,
																						BgL_arg2460z00_16151);
																				}
																				BgL_list2458z00_16149 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16134,
																					BgL_arg2459z00_16150);
																			}
																			BgL_arg2457z00_16148 =
																				BgL_list2458z00_16149;
																		}
																		VECTOR_SET(BgL_sz00_13651,
																			(int) (BgL_arg2455z00_16147),
																			BgL_arg2457z00_16148);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2462z00_16153;

																		BgL_arg2462z00_16153 =
																			(BgL_spz00_16142 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13651,
																			(int) (BgL_arg2462z00_16153),
																			BgL_a1z00_16134);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2464z00_16154;
																		obj_t BgL_arg2465z00_16155;

																		BgL_arg2464z00_16154 =
																			(BgL_spz00_16142 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2466z00_16156;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2467z00_16157;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2469z00_16158;

																					BgL_arg2469z00_16158 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16137,
																						BNIL);
																					BgL_arg2467z00_16157 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16136,
																						BgL_arg2469z00_16158);
																				}
																				BgL_list2466z00_16156 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16135,
																					BgL_arg2467z00_16157);
																			}
																			BgL_arg2465z00_16155 =
																				BgL_list2466z00_16156;
																		}
																		VECTOR_SET(BgL_sz00_13651,
																			(int) (BgL_arg2464z00_16154),
																			BgL_arg2465z00_16155);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2470z00_16159;

																		BgL_arg2470z00_16159 =
																			(BgL_spz00_16142 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13651,
																			(int) (BgL_arg2470z00_16159),
																			BgL_a1z00_16134);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2471z00_16160;

																		BgL_arg2471z00_16160 =
																			(BgL_spz00_16142 + ((long) 1));
																		VECTOR_SET(BgL_sz00_13651,
																			(int) (BgL_arg2471z00_16160),
																			BgL_a2z00_16135);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2473z00_16161;
																		obj_t BgL_arg2474z00_16162;

																		BgL_arg2473z00_16161 =
																			(BgL_spz00_16142 + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2475z00_16163;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2476z00_16164;

																				BgL_arg2476z00_16164 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16137,
																					BNIL);
																				BgL_list2475z00_16163 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16136,
																					BgL_arg2476z00_16164);
																			}
																			BgL_arg2474z00_16162 =
																				BgL_list2475z00_16163;
																		}
																		VECTOR_SET(BgL_sz00_13651,
																			(int) (BgL_arg2473z00_16161),
																			BgL_arg2474z00_16162);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2477z00_16165;

																		BgL_arg2477z00_16165 =
																			(BgL_spz00_16142 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13651,
																			(int) (BgL_arg2477z00_16165),
																			BgL_a1z00_16134);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2479z00_16166;

																		BgL_arg2479z00_16166 =
																			(BgL_spz00_16142 + ((long) 1));
																		VECTOR_SET(BgL_sz00_13651,
																			(int) (BgL_arg2479z00_16166),
																			BgL_a2z00_16135);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2484z00_16167;

																		BgL_arg2484z00_16167 =
																			(BgL_spz00_16142 + ((long) 2));
																		VECTOR_SET(BgL_sz00_13651,
																			(int) (BgL_arg2484z00_16167),
																			BgL_a3z00_16136);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2485z00_16168;
																		obj_t BgL_arg2486z00_16169;

																		BgL_arg2485z00_16168 =
																			(BgL_spz00_16142 + ((long) 3));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2487z00_16170;

																			BgL_list2487z00_16170 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16137, BNIL);
																			BgL_arg2486z00_16169 =
																				BgL_list2487z00_16170;
																		}
																		VECTOR_SET(BgL_sz00_13651,
																			(int) (BgL_arg2485z00_16168),
																			BgL_arg2486z00_16169);
																	} break;
																case ((long) -5):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2489z00_16171;

																		BgL_arg2489z00_16171 =
																			(BgL_spz00_16142 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13651,
																			(int) (BgL_arg2489z00_16171),
																			BgL_a1z00_16134);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2491z00_16172;

																		BgL_arg2491z00_16172 =
																			(BgL_spz00_16142 + ((long) 1));
																		VECTOR_SET(BgL_sz00_13651,
																			(int) (BgL_arg2491z00_16172),
																			BgL_a2z00_16135);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2492z00_16173;

																		BgL_arg2492z00_16173 =
																			(BgL_spz00_16142 + ((long) 2));
																		VECTOR_SET(BgL_sz00_13651,
																			(int) (BgL_arg2492z00_16173),
																			BgL_a3z00_16136);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2493z00_16174;

																		BgL_arg2493z00_16174 =
																			(BgL_spz00_16142 + ((long) 3));
																		VECTOR_SET(BgL_sz00_13651,
																			(int) (BgL_arg2493z00_16174),
																			BgL_a4z00_16137);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2494z00_16175;

																		BgL_arg2494z00_16175 =
																			(BgL_spz00_16142 + ((long) 4));
																		VECTOR_SET(BgL_sz00_13651,
																			(int) (BgL_arg2494z00_16175), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13648,
																		STRUCT_REF(BgL_ufz00_16138,
																			(int) (((long) 3))), (int) (((long) 4)),
																		CINT(BgL_arityz00_16139));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13648, STRUCT_REF(BgL_ufz00_16138,
																	(int) (((long) 3))), (int) (((long) 4)),
																CINT(BgL_arityz00_16139));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_16176;

												BgL_z12denvz12_16176 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16176,
													BgL_locz00_13648);
												if (((BgL_spz00_16142 + (long) CINT(BgL_sfz00_16141)) <
														(long) (VECTOR_LENGTH(BgL_sz00_13651))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16140, BgL_sz00_13651,
															BINT(BgL_spz00_16142));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_16177;

														BgL_nsz00_16177 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2501z00_16178;

															BgL_arg2501z00_16178 =
																(BgL_spz00_16142 + ((long) 4));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16177, ((long) 2), BgL_sz00_13651,
																BINT(BgL_spz00_16142),
																BINT(BgL_arg2501z00_16178));
														}
														VECTOR_SET(BgL_nsz00_16177,
															(int) (((long) 1)), BgL_sz00_13651);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16176,
															BgL_nsz00_16177);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_16179;

															BgL_ez00_16179 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_16179, BgL_sz00_13651);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_16180;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_16181;

																	BgL_savedzd2bpzd2_16181 =
																		VECTOR_REF(BgL_nsz00_16177,
																		(int) (((long) 0)));
																	VECTOR_SET(BgL_nsz00_16177,
																		(int) (((long) 0)), BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16183;

																		BgL_fz00_16183 = BgL_runz00_16140;
																	BgL_recz00_16182:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_16184;

																			BgL_rz00_16184 =
																				PROCEDURE_ENTRY(BgL_fz00_16183)
																				(BgL_fz00_16183, BgL_nsz00_16177, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_23169;

																				if (PROCEDUREP(BgL_rz00_16184))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1674z00_16185;

																						BgL_arg1674z00_16185 =
																							PROCEDURE_ATTR(BgL_rz00_16184);
																						if (STRUCTP(BgL_arg1674z00_16185))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_23169 =
																									(STRUCT_KEY
																									(BgL_arg1674z00_16185) ==
																									BGl_symbol5695z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_23169 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_23169 = ((bool_t) 0);
																					}
																				if (BgL_testz00_23169)
																					{
																						obj_t BgL_fz00_23177;

																						BgL_fz00_23177 = BgL_rz00_16184;
																						BgL_fz00_16183 = BgL_fz00_23177;
																						goto BgL_recz00_16182;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_16177,
																							(int) (((long) 0)),
																							BgL_savedzd2bpzd2_16181);
																						BgL_____rz00_16180 = BgL_rz00_16184;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_16179);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16176,
																	BgL_sz00_13651);
																return BgL_____rz00_16180;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16133,
												(int) (((long) 4))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16186;

												BgL_nbpz00_16186 =
													((long) CINT(BgL_bpz00_16132) + BgL_siza7eza7_13650);
												VECTOR_SET(BgL_sz00_13651,
													(int) (((long) 0)), BINT(BgL_nbpz00_16186));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_tmpz00_23190;

													BgL_tmpz00_23190 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_23190,
														BgL_locz00_13648);
												}
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16187;

													BgL_rz00_16187 =
														PROCEDURE_ENTRY(BgL_fz00_16133) (BgL_fz00_16133,
														BgL_a1z00_16134, BgL_a2z00_16135, BgL_a3z00_16136,
														BgL_a4z00_16137, BEOA);
													VECTOR_SET(BgL_sz00_13651, (int) (((long) 0)),
														BgL_bpz00_16132);
													return BgL_rz00_16187;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13648,
													BgL_symbzd2funzd2_13649, (int) (((long) 4)),
													PROCEDURE_ARITY(BgL_fz00_16133));
		}}}}}}}}
	}



/* &<anonymous:2507> */
	obj_t BGl_z62zc3anonymousza32507ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13652, obj_t BgL_sz00_13661)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 889 */
			{	/* Eval/evaluate_comp.scm 889 */
				obj_t BgL_funz00_13653;
				obj_t BgL_a1z00_13654;
				obj_t BgL_a2z00_13655;
				obj_t BgL_a3z00_13656;
				obj_t BgL_a4z00_13657;
				obj_t BgL_locz00_13658;
				obj_t BgL_symbzd2funzd2_13659;
				long BgL_siza7eza7_13660;

				BgL_funz00_13653 = PROCEDURE_REF(BgL_envz00_13652, (int) (((long) 0)));
				BgL_a1z00_13654 = PROCEDURE_REF(BgL_envz00_13652, (int) (((long) 1)));
				BgL_a2z00_13655 = PROCEDURE_REF(BgL_envz00_13652, (int) (((long) 2)));
				BgL_a3z00_13656 = PROCEDURE_REF(BgL_envz00_13652, (int) (((long) 3)));
				BgL_a4z00_13657 = PROCEDURE_REF(BgL_envz00_13652, (int) (((long) 4)));
				BgL_locz00_13658 = PROCEDURE_REF(BgL_envz00_13652, (int) (((long) 5)));
				BgL_symbzd2funzd2_13659 =
					PROCEDURE_REF(BgL_envz00_13652, (int) (((long) 6)));
				BgL_siza7eza7_13660 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13652, (int) (((long) 7))));
				{	/* Eval/evaluate_comp.scm 889 */
					obj_t BgL_bpz00_16188;

					BgL_bpz00_16188 = VECTOR_REF(BgL_sz00_13661, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 889 */
						obj_t BgL_fz00_16189;
						obj_t BgL_a1z00_16190;
						obj_t BgL_a2z00_16191;
						obj_t BgL_a3z00_16192;
						obj_t BgL_a4z00_16193;

						BgL_fz00_16189 =
							PROCEDURE_ENTRY(BgL_funz00_13653) (BgL_funz00_13653,
							BgL_sz00_13661, BEOA);
						BgL_a1z00_16190 =
							PROCEDURE_ENTRY(BgL_a1z00_13654) (BgL_a1z00_13654, BgL_sz00_13661,
							BEOA);
						BgL_a2z00_16191 =
							PROCEDURE_ENTRY(BgL_a2z00_13655) (BgL_a2z00_13655, BgL_sz00_13661,
							BEOA);
						BgL_a3z00_16192 =
							PROCEDURE_ENTRY(BgL_a3z00_13656) (BgL_a3z00_13656, BgL_sz00_13661,
							BEOA);
						BgL_a4z00_16193 =
							PROCEDURE_ENTRY(BgL_a4z00_13657) (BgL_a4z00_13657, BgL_sz00_13661,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16189))
							{	/* Eval/evaluate_comp.scm 889 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 889 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13658,
									BGl_string5699z00zz__evaluate_compz00,
									BGl_string5715z00zz__evaluate_compz00, BgL_fz00_16189);
							}
						{	/* Eval/evaluate_comp.scm 889 */
							obj_t BgL_ufz00_16194;

							BgL_ufz00_16194 = PROCEDURE_ATTR(BgL_fz00_16189);
							{	/* Eval/evaluate_comp.scm 889 */
								bool_t BgL_testz00_23248;

								if (STRUCTP(BgL_ufz00_16194))
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_23248 =
											(STRUCT_KEY(BgL_ufz00_16194) ==
											BGl_symbol5716z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 676 */
										BgL_testz00_23248 = ((bool_t) 0);
									}
								if (BgL_testz00_23248)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_arityz00_16195;
										obj_t BgL_runz00_16196;
										obj_t BgL_sfz00_16197;

										BgL_arityz00_16195 =
											STRUCT_REF(BgL_ufz00_16194, (int) (((long) 0)));
										BgL_runz00_16196 =
											STRUCT_REF(BgL_ufz00_16194, (int) (((long) 1)));
										BgL_sfz00_16197 =
											STRUCT_REF(BgL_ufz00_16194, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 889 */
											long BgL_spz00_16198;

											BgL_spz00_16198 =
												((long) CINT(BgL_bpz00_16188) + BgL_siza7eza7_13660);
											if (((long) CINT(BgL_arityz00_16195) == ((long) 4)))
												{	/* Eval/evaluate_comp.scm 889 */
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2511z00_16199;

														BgL_arg2511z00_16199 =
															(BgL_spz00_16198 + ((long) 0));
														VECTOR_SET(BgL_sz00_13661,
															(int) (BgL_arg2511z00_16199), BgL_a1z00_16190);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2512z00_16200;

														BgL_arg2512z00_16200 =
															(BgL_spz00_16198 + ((long) 1));
														VECTOR_SET(BgL_sz00_13661,
															(int) (BgL_arg2512z00_16200), BgL_a2z00_16191);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2515z00_16201;

														BgL_arg2515z00_16201 =
															(BgL_spz00_16198 + ((long) 2));
														VECTOR_SET(BgL_sz00_13661,
															(int) (BgL_arg2515z00_16201), BgL_a3z00_16192);
													}
													{	/* Eval/evaluate_comp.scm 889 */
														long BgL_arg2516z00_16202;

														BgL_arg2516z00_16202 =
															(BgL_spz00_16198 + ((long) 3));
														VECTOR_SET(BgL_sz00_13661,
															(int) (BgL_arg2516z00_16202), BgL_a4z00_16193);
												}}
											else
												{	/* Eval/evaluate_comp.scm 889 */
													if (INTEGERP(BgL_arityz00_16195))
														{	/* Eval/evaluate_comp.scm 889 */
															switch ((long) CINT(BgL_arityz00_16195))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2518z00_16203;
																		obj_t BgL_arg2520z00_16204;

																		BgL_arg2518z00_16203 =
																			(BgL_spz00_16198 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2521z00_16205;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2522z00_16206;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2525z00_16207;

																					{	/* Eval/evaluate_comp.scm 889 */
																						obj_t BgL_arg2526z00_16208;

																						BgL_arg2526z00_16208 =
																							MAKE_YOUNG_PAIR(BgL_a4z00_16193,
																							BNIL);
																						BgL_arg2525z00_16207 =
																							MAKE_YOUNG_PAIR(BgL_a3z00_16192,
																							BgL_arg2526z00_16208);
																					}
																					BgL_arg2522z00_16206 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16191,
																						BgL_arg2525z00_16207);
																				}
																				BgL_list2521z00_16205 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16190,
																					BgL_arg2522z00_16206);
																			}
																			BgL_arg2520z00_16204 =
																				BgL_list2521z00_16205;
																		}
																		VECTOR_SET(BgL_sz00_13661,
																			(int) (BgL_arg2518z00_16203),
																			BgL_arg2520z00_16204);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2527z00_16209;

																		BgL_arg2527z00_16209 =
																			(BgL_spz00_16198 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13661,
																			(int) (BgL_arg2527z00_16209),
																			BgL_a1z00_16190);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2528z00_16210;
																		obj_t BgL_arg2529z00_16211;

																		BgL_arg2528z00_16210 =
																			(BgL_spz00_16198 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2530z00_16212;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2532z00_16213;

																				{	/* Eval/evaluate_comp.scm 889 */
																					obj_t BgL_arg2533z00_16214;

																					BgL_arg2533z00_16214 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16193,
																						BNIL);
																					BgL_arg2532z00_16213 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16192,
																						BgL_arg2533z00_16214);
																				}
																				BgL_list2530z00_16212 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16191,
																					BgL_arg2532z00_16213);
																			}
																			BgL_arg2529z00_16211 =
																				BgL_list2530z00_16212;
																		}
																		VECTOR_SET(BgL_sz00_13661,
																			(int) (BgL_arg2528z00_16210),
																			BgL_arg2529z00_16211);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2535z00_16215;

																		BgL_arg2535z00_16215 =
																			(BgL_spz00_16198 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13661,
																			(int) (BgL_arg2535z00_16215),
																			BgL_a1z00_16190);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2539z00_16216;

																		BgL_arg2539z00_16216 =
																			(BgL_spz00_16198 + ((long) 1));
																		VECTOR_SET(BgL_sz00_13661,
																			(int) (BgL_arg2539z00_16216),
																			BgL_a2z00_16191);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2542z00_16217;
																		obj_t BgL_arg2543z00_16218;

																		BgL_arg2542z00_16217 =
																			(BgL_spz00_16198 + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2544z00_16219;

																			{	/* Eval/evaluate_comp.scm 889 */
																				obj_t BgL_arg2546z00_16220;

																				BgL_arg2546z00_16220 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16193,
																					BNIL);
																				BgL_list2544z00_16219 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16192,
																					BgL_arg2546z00_16220);
																			}
																			BgL_arg2543z00_16218 =
																				BgL_list2544z00_16219;
																		}
																		VECTOR_SET(BgL_sz00_13661,
																			(int) (BgL_arg2542z00_16217),
																			BgL_arg2543z00_16218);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2547z00_16221;

																		BgL_arg2547z00_16221 =
																			(BgL_spz00_16198 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13661,
																			(int) (BgL_arg2547z00_16221),
																			BgL_a1z00_16190);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2548z00_16222;

																		BgL_arg2548z00_16222 =
																			(BgL_spz00_16198 + ((long) 1));
																		VECTOR_SET(BgL_sz00_13661,
																			(int) (BgL_arg2548z00_16222),
																			BgL_a2z00_16191);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2549z00_16223;

																		BgL_arg2549z00_16223 =
																			(BgL_spz00_16198 + ((long) 2));
																		VECTOR_SET(BgL_sz00_13661,
																			(int) (BgL_arg2549z00_16223),
																			BgL_a3z00_16192);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2550z00_16224;
																		obj_t BgL_arg2551z00_16225;

																		BgL_arg2550z00_16224 =
																			(BgL_spz00_16198 + ((long) 3));
																		{	/* Eval/evaluate_comp.scm 889 */
																			obj_t BgL_list2552z00_16226;

																			BgL_list2552z00_16226 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16193, BNIL);
																			BgL_arg2551z00_16225 =
																				BgL_list2552z00_16226;
																		}
																		VECTOR_SET(BgL_sz00_13661,
																			(int) (BgL_arg2550z00_16224),
																			BgL_arg2551z00_16225);
																	} break;
																case ((long) -5):

																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2553z00_16227;

																		BgL_arg2553z00_16227 =
																			(BgL_spz00_16198 + ((long) 0));
																		VECTOR_SET(BgL_sz00_13661,
																			(int) (BgL_arg2553z00_16227),
																			BgL_a1z00_16190);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2558z00_16228;

																		BgL_arg2558z00_16228 =
																			(BgL_spz00_16198 + ((long) 1));
																		VECTOR_SET(BgL_sz00_13661,
																			(int) (BgL_arg2558z00_16228),
																			BgL_a2z00_16191);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2559z00_16229;

																		BgL_arg2559z00_16229 =
																			(BgL_spz00_16198 + ((long) 2));
																		VECTOR_SET(BgL_sz00_13661,
																			(int) (BgL_arg2559z00_16229),
																			BgL_a3z00_16192);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2560z00_16230;

																		BgL_arg2560z00_16230 =
																			(BgL_spz00_16198 + ((long) 3));
																		VECTOR_SET(BgL_sz00_13661,
																			(int) (BgL_arg2560z00_16230),
																			BgL_a4z00_16193);
																	}
																	{	/* Eval/evaluate_comp.scm 889 */
																		long BgL_arg2561z00_16231;

																		BgL_arg2561z00_16231 =
																			(BgL_spz00_16198 + ((long) 4));
																		VECTOR_SET(BgL_sz00_13661,
																			(int) (BgL_arg2561z00_16231), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13658,
																		STRUCT_REF(BgL_ufz00_16194,
																			(int) (((long) 3))), (int) (((long) 4)),
																		CINT(BgL_arityz00_16195));
														}}
													else
														{	/* Eval/evaluate_comp.scm 889 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13658, STRUCT_REF(BgL_ufz00_16194,
																	(int) (((long) 3))), (int) (((long) 4)),
																CINT(BgL_arityz00_16195));
												}}
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_z12denvz12_16232;

												BgL_z12denvz12_16232 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_16198 +
															(long) CINT(BgL_sfz00_16197)) <
														(long) (VECTOR_LENGTH(BgL_sz00_13661))))
													{	/* Eval/evaluate_comp.scm 889 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16196, BgL_sz00_13661,
															BINT(BgL_spz00_16198));
													}
												else
													{	/* Eval/evaluate_comp.scm 889 */
														obj_t BgL_nsz00_16233;

														BgL_nsz00_16233 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 889 */
															long BgL_arg2567z00_16234;

															BgL_arg2567z00_16234 =
																(BgL_spz00_16198 + ((long) 4));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16233, ((long) 2), BgL_sz00_13661,
																BINT(BgL_spz00_16198),
																BINT(BgL_arg2567z00_16234));
														}
														VECTOR_SET(BgL_nsz00_16233,
															(int) (((long) 1)), BgL_sz00_13661);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16232,
															BgL_nsz00_16233);
														{	/* Eval/evaluate_comp.scm 889 */
															obj_t BgL_ez00_16235;

															BgL_ez00_16235 = BGL_EXITD_TOP_AS_OBJ();
															BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																(BgL_ez00_16235, BgL_sz00_13661);
															{	/* Eval/evaluate_comp.scm 889 */
																obj_t BgL_____rz00_16236;

																{	/* Eval/evaluate_comp.scm 663 */
																	obj_t BgL_savedzd2bpzd2_16237;

																	BgL_savedzd2bpzd2_16237 =
																		VECTOR_REF(BgL_nsz00_16233,
																		(int) (((long) 0)));
																	VECTOR_SET(BgL_nsz00_16233,
																		(int) (((long) 0)), BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16239;

																		BgL_fz00_16239 = BgL_runz00_16196;
																	BgL_recz00_16238:
																		{	/* Eval/evaluate_comp.scm 666 */
																			obj_t BgL_rz00_16240;

																			BgL_rz00_16240 =
																				PROCEDURE_ENTRY(BgL_fz00_16239)
																				(BgL_fz00_16239, BgL_nsz00_16233, BEOA);
																			{	/* Eval/evaluate_comp.scm 667 */
																				bool_t BgL_testz00_23373;

																				if (PROCEDUREP(BgL_rz00_16240))
																					{	/* Eval/evaluate_comp.scm 667 */
																						obj_t BgL_arg1674z00_16241;

																						BgL_arg1674z00_16241 =
																							PROCEDURE_ATTR(BgL_rz00_16240);
																						if (STRUCTP(BgL_arg1674z00_16241))
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_23373 =
																									(STRUCT_KEY
																									(BgL_arg1674z00_16241) ==
																									BGl_symbol5695z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 647 */
																								BgL_testz00_23373 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						BgL_testz00_23373 = ((bool_t) 0);
																					}
																				if (BgL_testz00_23373)
																					{
																						obj_t BgL_fz00_23381;

																						BgL_fz00_23381 = BgL_rz00_16240;
																						BgL_fz00_16239 = BgL_fz00_23381;
																						goto BgL_recz00_16238;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 667 */
																						VECTOR_SET(BgL_nsz00_16233,
																							(int) (((long) 0)),
																							BgL_savedzd2bpzd2_16237);
																						BgL_____rz00_16236 = BgL_rz00_16240;
																}}}}}
																BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																	(BgL_ez00_16235);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16232,
																	BgL_sz00_13661);
																return BgL_____rz00_16236;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 889 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16189,
												(int) (((long) 4))))
											{	/* Eval/evaluate_comp.scm 889 */
												long BgL_nbpz00_16242;

												BgL_nbpz00_16242 =
													((long) CINT(BgL_bpz00_16188) + BgL_siza7eza7_13660);
												VECTOR_SET(BgL_sz00_13661,
													(int) (((long) 0)), BINT(BgL_nbpz00_16242));
												{	/* Eval/evaluate_comp.scm 889 */
													obj_t BgL_rz00_16243;

													BgL_rz00_16243 =
														PROCEDURE_ENTRY(BgL_fz00_16189) (BgL_fz00_16189,
														BgL_a1z00_16190, BgL_a2z00_16191, BgL_a3z00_16192,
														BgL_a4z00_16193, BEOA);
													VECTOR_SET(BgL_sz00_13661, (int) (((long) 0)),
														BgL_bpz00_16188);
													return BgL_rz00_16243;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 889 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13658,
													BgL_symbzd2funzd2_13659, (int) (((long) 4)),
													PROCEDURE_ARITY(BgL_fz00_16189));
		}}}}}}}}
	}



/* is-constant-fun? */
	obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_funz00_183, long BgL_nbargsz00_184, obj_t BgL_locz00_185,
		obj_t BgL_symbzd2funzd2_186)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 892 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_funz00_183), BGl_ev_globalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_gz00_3002;

					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_arg2579z00_3010;
						obj_t BgL_arg2580z00_3011;

						BgL_arg2579z00_3010 =
							(((BgL_ev_globalz00_bglt) CREF(
									((BgL_ev_globalz00_bglt) BgL_funz00_183)))->BgL_modz00);
						BgL_arg2580z00_3011 =
							(((BgL_ev_globalz00_bglt) CREF(
									((BgL_ev_globalz00_bglt) BgL_funz00_183)))->BgL_namez00);
						BgL_gz00_3002 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00
							(BgL_arg2579z00_3010, BgL_arg2580z00_3011);
					}
					if (CBOOL(BgL_gz00_3002))
						{	/* Eval/evaluate_comp.scm 898 */
							bool_t BgL_testz00_23416;

							{	/* Eval/evaluate_comp.scm 898 */
								int BgL_arg2578z00_3009;

								BgL_arg2578z00_3009 =
									CINT(VECTOR_REF(BgL_gz00_3002, (int) (((long) 0))));
								BgL_testz00_23416 =
									((long) (BgL_arg2578z00_3009) == ((long) 0));
							}
							if (BgL_testz00_23416)
								{	/* Eval/evaluate_comp.scm 899 */
									obj_t BgL_valz00_3005;

									BgL_valz00_3005 =
										VECTOR_REF(BgL_gz00_3002, (int) (((long) 2)));
									{	/* Eval/evaluate_comp.scm 900 */
										bool_t BgL_testz00_23424;

										if (PROCEDUREP(BgL_valz00_3005))
											{	/* Eval/evaluate_comp.scm 900 */
												BgL_testz00_23424 =
													PROCEDURE_CORRECT_ARITYP(BgL_valz00_3005,
													(int) (BgL_nbargsz00_184));
											}
										else
											{	/* Eval/evaluate_comp.scm 900 */
												BgL_testz00_23424 = ((bool_t) 0);
											}
										if (BgL_testz00_23424)
											{	/* Eval/evaluate_comp.scm 900 */
												return BgL_valz00_3005;
											}
										else
											{	/* Eval/evaluate_comp.scm 900 */
												return BFALSE;
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 898 */
									return BFALSE;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 897 */
							return BFALSE;
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 903 */
					bool_t BgL_testz00_23429;

					if (BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_183), BGl_ev_littz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_comp.scm 904 */
							obj_t BgL_tmpz00_23433;

							BgL_tmpz00_23433 =
								(((BgL_ev_littz00_bglt) CREF(
										((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
							BgL_testz00_23429 = PROCEDUREP(BgL_tmpz00_23433);
						}
					else
						{	/* Eval/evaluate_comp.scm 903 */
							BgL_testz00_23429 = ((bool_t) 0);
						}
					if (BgL_testz00_23429)
						{	/* Eval/evaluate_comp.scm 906 */
							bool_t BgL_testz00_23437;

							{	/* Eval/evaluate_comp.scm 906 */
								obj_t BgL_arg2589z00_3021;

								BgL_arg2589z00_3021 =
									(((BgL_ev_littz00_bglt) CREF(
											((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
								BgL_testz00_23437 =
									PROCEDURE_CORRECT_ARITYP(BgL_arg2589z00_3021,
									(int) (BgL_nbargsz00_184));
							}
							if (BgL_testz00_23437)
								{	/* Eval/evaluate_comp.scm 906 */
									return
										(((BgL_ev_littz00_bglt) CREF(
												((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
								}
							else
								{	/* Eval/evaluate_comp.scm 908 */
									int BgL_arg2586z00_3019;

									{	/* Eval/evaluate_comp.scm 908 */
										obj_t BgL_arg2588z00_3020;

										BgL_arg2588z00_3020 =
											(((BgL_ev_littz00_bglt) CREF(
													((BgL_ev_littz00_bglt) BgL_funz00_183)))->
											BgL_valuez00);
										BgL_arg2586z00_3019 = PROCEDURE_ARITY(BgL_arg2588z00_3020);
									}
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_185,
										BgL_symbzd2funzd2_186, (int) (BgL_nbargsz00_184),
										BgL_arg2586z00_3019);
						}}
					else
						{	/* Eval/evaluate_comp.scm 903 */
							return BFALSE;
						}
				}
		}
	}



/* compile-float-arith */
	obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t
		BgL_exprz00_187, obj_t BgL_stkz00_188)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 911 */
			if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
					BGl_ev_littz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 915 */
					if (INTEGERP(
							(((BgL_ev_littz00_bglt) CREF(
										((BgL_ev_littz00_bglt) BgL_exprz00_187)))->BgL_valuez00)))
						{	/* Eval/evaluate_comp.scm 917 */
							obj_t BgL_v1342z00_3030;

							BgL_v1342z00_3030 = create_vector((int) (((long) 2)));
							VECTOR_SET(BgL_v1342z00_3030,
								(int) (((long) 0)), BINT(((long) 1)));
							{	/* Eval/evaluate_comp.scm 917 */
								double BgL_arg2595z00_3031;

								BgL_arg2595z00_3031 =
									(double) (
									(long) CINT(
										(((BgL_ev_littz00_bglt) CREF(
													((BgL_ev_littz00_bglt) BgL_exprz00_187)))->
											BgL_valuez00)));
								VECTOR_SET(BgL_v1342z00_3030, (int) (((long) 1)),
									DOUBLE_TO_REAL(BgL_arg2595z00_3031));
							}
							return BgL_v1342z00_3030;
						}
					else
						{	/* Eval/evaluate_comp.scm 918 */
							bool_t BgL_testz00_23467;

							{	/* Eval/evaluate_comp.scm 918 */
								obj_t BgL_tmpz00_23468;

								BgL_tmpz00_23468 =
									(((BgL_ev_littz00_bglt) CREF(
											((BgL_ev_littz00_bglt) BgL_exprz00_187)))->BgL_valuez00);
								BgL_testz00_23467 = REALP(BgL_tmpz00_23468);
							}
							if (BgL_testz00_23467)
								{	/* Eval/evaluate_comp.scm 918 */
									obj_t BgL_v1343z00_3035;

									BgL_v1343z00_3035 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1343z00_3035,
										(int) (((long) 0)), BINT(((long) 1)));
									{	/* Eval/evaluate_comp.scm 918 */
										obj_t BgL_arg2599z00_3036;

										BgL_arg2599z00_3036 =
											(((BgL_ev_littz00_bglt) CREF(
													((BgL_ev_littz00_bglt) BgL_exprz00_187)))->
											BgL_valuez00);
										VECTOR_SET(BgL_v1343z00_3035, (int) (((long) 1)),
											BgL_arg2599z00_3036);
									}
									return BgL_v1343z00_3035;
								}
							else
								{	/* Eval/evaluate_comp.scm 919 */
									obj_t BgL_v1344z00_3037;

									BgL_v1344z00_3037 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1344z00_3037,
										(int) (((long) 0)), BINT(((long) 0)));
									{	/* Eval/evaluate_comp.scm 919 */
										obj_t BgL_arg2600z00_3038;

										BgL_arg2600z00_3038 =
											BGl_compz00zz__evaluate_compz00(
											((BgL_ev_exprz00_bglt)
												((BgL_ev_littz00_bglt) BgL_exprz00_187)),
											BgL_stkz00_188);
										VECTOR_SET(BgL_v1344z00_3037, (int) (((long) 1)),
											BgL_arg2600z00_3038);
									}
									return BgL_v1344z00_3037;
								}
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 915 */
					if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
							BGl_ev_varz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_comp.scm 920 */
							if (CBOOL(
									(((BgL_ev_varz00_bglt) CREF(
												((BgL_ev_varz00_bglt) BgL_exprz00_187)))->BgL_effz00)))
								{	/* Eval/evaluate_comp.scm 923 */
									obj_t BgL_v1345z00_3044;

									BgL_v1345z00_3044 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1345z00_3044,
										(int) (((long) 0)), BINT(((long) 3)));
									VECTOR_SET(BgL_v1345z00_3044,
										(int) (((long) 1)),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187,
											BgL_stkz00_188));
									return BgL_v1345z00_3044;
								}
							else
								{	/* Eval/evaluate_comp.scm 924 */
									obj_t BgL_v1346z00_3046;

									BgL_v1346z00_3046 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1346z00_3046,
										(int) (((long) 0)), BINT(((long) 2)));
									VECTOR_SET(BgL_v1346z00_3046,
										(int) (((long) 1)),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187,
											BgL_stkz00_188));
									return BgL_v1346z00_3046;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 920 */
							if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
									BGl_ev_globalz00zz__evaluate_typesz00))
								{	/* Eval/evaluate_comp.scm 927 */
									obj_t BgL_gz00_3050;

									{	/* Eval/evaluate_comp.scm 927 */
										obj_t BgL_arg2614z00_3058;
										obj_t BgL_arg2615z00_3059;

										BgL_arg2614z00_3058 =
											(((BgL_ev_globalz00_bglt) CREF(
													((BgL_ev_globalz00_bglt) BgL_exprz00_187)))->
											BgL_modz00);
										BgL_arg2615z00_3059 =
											(((BgL_ev_globalz00_bglt) CREF(((BgL_ev_globalz00_bglt)
														BgL_exprz00_187)))->BgL_namez00);
										BgL_gz00_3050 =
											BGl_evmodulezd2findzd2globalz00zz__evmodulez00
											(BgL_arg2614z00_3058, BgL_arg2615z00_3059);
									}
									if (CBOOL(BgL_gz00_3050))
										{	/* Eval/evaluate_comp.scm 929 */
											bool_t BgL_testz00_23522;

											{	/* Eval/evaluate_comp.scm 929 */
												int BgL_arg2612z00_3055;

												BgL_arg2612z00_3055 =
													CINT(VECTOR_REF(BgL_gz00_3050, (int) (((long) 0))));
												BgL_testz00_23522 =
													(BINT(BgL_arg2612z00_3055) == BINT(((long) 1)));
											}
											if (BgL_testz00_23522)
												{	/* Eval/evaluate_comp.scm 930 */
													obj_t BgL_v1347z00_3053;

													BgL_v1347z00_3053 = create_vector((int) (((long) 2)));
													VECTOR_SET(BgL_v1347z00_3053,
														(int) (((long) 0)), BINT(((long) 4)));
													VECTOR_SET(BgL_v1347z00_3053,
														(int) (((long) 1)), BgL_gz00_3050);
													return BgL_v1347z00_3053;
												}
											else
												{	/* Eval/evaluate_comp.scm 931 */
													obj_t BgL_v1348z00_3054;

													BgL_v1348z00_3054 = create_vector((int) (((long) 2)));
													VECTOR_SET(BgL_v1348z00_3054,
														(int) (((long) 0)), BINT(((long) 5)));
													VECTOR_SET(BgL_v1348z00_3054,
														(int) (((long) 1)), BgL_gz00_3050);
													return BgL_v1348z00_3054;
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 932 */
											obj_t BgL_v1349z00_3056;

											BgL_v1349z00_3056 = create_vector((int) (((long) 2)));
											VECTOR_SET(BgL_v1349z00_3056,
												(int) (((long) 0)), BINT(((long) 0)));
											{	/* Eval/evaluate_comp.scm 932 */
												obj_t BgL_arg2613z00_3057;

												BgL_arg2613z00_3057 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt)
														((BgL_ev_globalz00_bglt) BgL_exprz00_187)),
													BgL_stkz00_188);
												VECTOR_SET(BgL_v1349z00_3056, (int) (((long) 1)),
													BgL_arg2613z00_3057);
											}
											return BgL_v1349z00_3056;
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 925 */
									if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
											BGl_ev_appz00zz__evaluate_typesz00))
										{	/* Eval/evaluate_comp.scm 935 */
											obj_t BgL_fvalz00_3062;

											{	/* Eval/evaluate_comp.scm 935 */
												BgL_ev_exprz00_bglt BgL_arg2664z00_3110;

												BgL_arg2664z00_3110 =
													(((BgL_ev_appz00_bglt) CREF(
															((BgL_ev_appz00_bglt) BgL_exprz00_187)))->
													BgL_funz00);
												BgL_fvalz00_3062 =
													BGl_globalzd2funzd2valuez00zz__evaluate_compz00
													(BgL_arg2664z00_3110);
											}
											if (
												(BgL_fvalz00_3062 ==
													BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
												{	/* Eval/evaluate_comp.scm 938 */
													obj_t BgL_v1350z00_3064;

													BgL_v1350z00_3064 = create_vector((int) (((long) 3)));
													VECTOR_SET(BgL_v1350z00_3064,
														(int) (((long) 0)), BINT(((long) 6)));
													{	/* Eval/evaluate_comp.scm 938 */
														obj_t BgL_arg2618z00_3065;

														{	/* Eval/evaluate_comp.scm 938 */
															obj_t BgL_arg2619z00_3066;

															{	/* Eval/evaluate_comp.scm 938 */
																obj_t BgL_pairz00_9265;

																BgL_pairz00_9265 =
																	(((BgL_ev_appz00_bglt) CREF(
																			((BgL_ev_appz00_bglt) BgL_exprz00_187)))->
																	BgL_argsz00);
																BgL_arg2619z00_3066 = CAR(BgL_pairz00_9265);
															}
															BgL_arg2618z00_3065 =
																BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																(BgL_arg2619z00_3066, BgL_stkz00_188);
														}
														VECTOR_SET(BgL_v1350z00_3064,
															(int) (((long) 1)), BgL_arg2618z00_3065);
													}
													{	/* Eval/evaluate_comp.scm 938 */
														obj_t BgL_arg2622z00_3068;

														{	/* Eval/evaluate_comp.scm 938 */
															obj_t BgL_arg2624z00_3069;

															{	/* Eval/evaluate_comp.scm 938 */
																obj_t BgL_pairz00_9267;

																BgL_pairz00_9267 =
																	(((BgL_ev_appz00_bglt) CREF(
																			((BgL_ev_appz00_bglt) BgL_exprz00_187)))->
																	BgL_argsz00);
																BgL_arg2624z00_3069 =
																	CAR(CDR(BgL_pairz00_9267));
															}
															BgL_arg2622z00_3068 =
																BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																(BgL_arg2624z00_3069, BgL_stkz00_188);
														}
														VECTOR_SET(BgL_v1350z00_3064,
															(int) (((long) 2)), BgL_arg2622z00_3068);
													}
													return BgL_v1350z00_3064;
												}
											else
												{	/* Eval/evaluate_comp.scm 937 */
													if (
														(BgL_fvalz00_3062 ==
															BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
														{	/* Eval/evaluate_comp.scm 940 */
															obj_t BgL_v1351z00_3072;

															BgL_v1351z00_3072 =
																create_vector((int) (((long) 3)));
															VECTOR_SET(BgL_v1351z00_3072,
																(int) (((long) 0)), BINT(((long) 7)));
															{	/* Eval/evaluate_comp.scm 940 */
																obj_t BgL_arg2627z00_3073;

																{	/* Eval/evaluate_comp.scm 940 */
																	obj_t BgL_arg2628z00_3074;

																	{	/* Eval/evaluate_comp.scm 940 */
																		obj_t BgL_pairz00_9273;

																		BgL_pairz00_9273 =
																			(((BgL_ev_appz00_bglt) CREF(
																					((BgL_ev_appz00_bglt)
																						BgL_exprz00_187)))->BgL_argsz00);
																		BgL_arg2628z00_3074 = CAR(BgL_pairz00_9273);
																	}
																	BgL_arg2627z00_3073 =
																		BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																		(BgL_arg2628z00_3074, BgL_stkz00_188);
																}
																VECTOR_SET(BgL_v1351z00_3072,
																	(int) (((long) 1)), BgL_arg2627z00_3073);
															}
															{	/* Eval/evaluate_comp.scm 940 */
																obj_t BgL_arg2631z00_3076;

																{	/* Eval/evaluate_comp.scm 940 */
																	obj_t BgL_arg2633z00_3077;

																	{	/* Eval/evaluate_comp.scm 940 */
																		obj_t BgL_pairz00_9275;

																		BgL_pairz00_9275 =
																			(((BgL_ev_appz00_bglt) CREF(
																					((BgL_ev_appz00_bglt)
																						BgL_exprz00_187)))->BgL_argsz00);
																		BgL_arg2633z00_3077 =
																			CAR(CDR(BgL_pairz00_9275));
																	}
																	BgL_arg2631z00_3076 =
																		BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																		(BgL_arg2633z00_3077, BgL_stkz00_188);
																}
																VECTOR_SET(BgL_v1351z00_3072,
																	(int) (((long) 2)), BgL_arg2631z00_3076);
															}
															return BgL_v1351z00_3072;
														}
													else
														{	/* Eval/evaluate_comp.scm 939 */
															if (
																(BgL_fvalz00_3062 ==
																	BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																{	/* Eval/evaluate_comp.scm 942 */
																	obj_t BgL_v1352z00_3080;

																	BgL_v1352z00_3080 =
																		create_vector((int) (((long) 3)));
																	VECTOR_SET(BgL_v1352z00_3080,
																		(int) (((long) 0)), BINT(((long) 8)));
																	{	/* Eval/evaluate_comp.scm 942 */
																		obj_t BgL_arg2636z00_3081;

																		{	/* Eval/evaluate_comp.scm 942 */
																			obj_t BgL_arg2637z00_3082;

																			{	/* Eval/evaluate_comp.scm 942 */
																				obj_t BgL_pairz00_9281;

																				BgL_pairz00_9281 =
																					(((BgL_ev_appz00_bglt) CREF(
																							((BgL_ev_appz00_bglt)
																								BgL_exprz00_187)))->
																					BgL_argsz00);
																				BgL_arg2637z00_3082 =
																					CAR(BgL_pairz00_9281);
																			}
																			BgL_arg2636z00_3081 =
																				BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																				(BgL_arg2637z00_3082, BgL_stkz00_188);
																		}
																		VECTOR_SET(BgL_v1352z00_3080,
																			(int) (((long) 1)), BgL_arg2636z00_3081);
																	}
																	{	/* Eval/evaluate_comp.scm 942 */
																		obj_t BgL_arg2640z00_3084;

																		{	/* Eval/evaluate_comp.scm 942 */
																			obj_t BgL_arg2642z00_3085;

																			{	/* Eval/evaluate_comp.scm 942 */
																				obj_t BgL_pairz00_9283;

																				BgL_pairz00_9283 =
																					(((BgL_ev_appz00_bglt) CREF(
																							((BgL_ev_appz00_bglt)
																								BgL_exprz00_187)))->
																					BgL_argsz00);
																				BgL_arg2642z00_3085 =
																					CAR(CDR(BgL_pairz00_9283));
																			}
																			BgL_arg2640z00_3084 =
																				BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																				(BgL_arg2642z00_3085, BgL_stkz00_188);
																		}
																		VECTOR_SET(BgL_v1352z00_3080,
																			(int) (((long) 2)), BgL_arg2640z00_3084);
																	}
																	return BgL_v1352z00_3080;
																}
															else
																{	/* Eval/evaluate_comp.scm 941 */
																	if (
																		(BgL_fvalz00_3062 ==
																			BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																		{	/* Eval/evaluate_comp.scm 944 */
																			obj_t BgL_v1353z00_3088;

																			BgL_v1353z00_3088 =
																				create_vector((int) (((long) 3)));
																			VECTOR_SET(BgL_v1353z00_3088,
																				(int) (((long) 0)), BINT(((long) 9)));
																			{	/* Eval/evaluate_comp.scm 944 */
																				obj_t BgL_arg2645z00_3089;

																				{	/* Eval/evaluate_comp.scm 944 */
																					obj_t BgL_arg2646z00_3090;

																					{	/* Eval/evaluate_comp.scm 944 */
																						obj_t BgL_pairz00_9289;

																						BgL_pairz00_9289 =
																							(((BgL_ev_appz00_bglt) CREF(
																									((BgL_ev_appz00_bglt)
																										BgL_exprz00_187)))->
																							BgL_argsz00);
																						BgL_arg2646z00_3090 =
																							CAR(BgL_pairz00_9289);
																					}
																					BgL_arg2645z00_3089 =
																						BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																						(BgL_arg2646z00_3090,
																						BgL_stkz00_188);
																				}
																				VECTOR_SET(BgL_v1353z00_3088,
																					(int) (((long) 1)),
																					BgL_arg2645z00_3089);
																			}
																			{	/* Eval/evaluate_comp.scm 944 */
																				obj_t BgL_arg2649z00_3092;

																				{	/* Eval/evaluate_comp.scm 944 */
																					obj_t BgL_arg2650z00_3093;

																					{	/* Eval/evaluate_comp.scm 944 */
																						obj_t BgL_pairz00_9291;

																						BgL_pairz00_9291 =
																							(((BgL_ev_appz00_bglt) CREF(
																									((BgL_ev_appz00_bglt)
																										BgL_exprz00_187)))->
																							BgL_argsz00);
																						BgL_arg2650z00_3093 =
																							CAR(CDR(BgL_pairz00_9291));
																					}
																					BgL_arg2649z00_3092 =
																						BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																						(BgL_arg2650z00_3093,
																						BgL_stkz00_188);
																				}
																				VECTOR_SET(BgL_v1353z00_3088,
																					(int) (((long) 2)),
																					BgL_arg2649z00_3092);
																			}
																			return BgL_v1353z00_3088;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 943 */
																			if (
																				(BgL_fvalz00_3062 ==
																					BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
																				{	/* Eval/evaluate_comp.scm 946 */
																					obj_t BgL_v1354z00_3096;

																					BgL_v1354z00_3096 =
																						create_vector((int) (((long) 2)));
																					VECTOR_SET(BgL_v1354z00_3096,
																						(int) (((long) 0)),
																						BINT(((long) 10)));
																					{	/* Eval/evaluate_comp.scm 946 */
																						obj_t BgL_arg2653z00_3097;

																						{	/* Eval/evaluate_comp.scm 946 */
																							obj_t BgL_arg2654z00_3098;

																							{	/* Eval/evaluate_comp.scm 946 */
																								obj_t BgL_pairz00_9297;

																								BgL_pairz00_9297 =
																									(((BgL_ev_appz00_bglt) CREF(
																											((BgL_ev_appz00_bglt)
																												BgL_exprz00_187)))->
																									BgL_argsz00);
																								BgL_arg2654z00_3098 =
																									CAR(BgL_pairz00_9297);
																							}
																							BgL_arg2653z00_3097 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_arg2654z00_3098),
																								BgL_stkz00_188);
																						}
																						VECTOR_SET(BgL_v1354z00_3096,
																							(int) (((long) 1)),
																							BgL_arg2653z00_3097);
																					}
																					return BgL_v1354z00_3096;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 945 */
																					if (
																						(BgL_fvalz00_3062 ==
																							BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
																						{	/* Eval/evaluate_comp.scm 948 */
																							obj_t BgL_v1355z00_3101;

																							BgL_v1355z00_3101 =
																								create_vector(
																								(int) (((long) 3)));
																							VECTOR_SET(BgL_v1355z00_3101,
																								(int) (((long) 0)),
																								BINT(((long) 11)));
																							{	/* Eval/evaluate_comp.scm 948 */
																								obj_t BgL_arg2657z00_3102;

																								{	/* Eval/evaluate_comp.scm 948 */
																									obj_t BgL_arg2658z00_3103;

																									{	/* Eval/evaluate_comp.scm 948 */
																										obj_t BgL_pairz00_9300;

																										BgL_pairz00_9300 =
																											(((BgL_ev_appz00_bglt)
																												CREF((
																														(BgL_ev_appz00_bglt)
																														BgL_exprz00_187)))->
																											BgL_argsz00);
																										BgL_arg2658z00_3103 =
																											CAR(BgL_pairz00_9300);
																									}
																									BgL_arg2657z00_3102 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_arg2658z00_3103),
																										BgL_stkz00_188);
																								}
																								VECTOR_SET(BgL_v1355z00_3101,
																									(int) (((long) 1)),
																									BgL_arg2657z00_3102);
																							}
																							{	/* Eval/evaluate_comp.scm 948 */
																								obj_t BgL_arg2660z00_3105;

																								{	/* Eval/evaluate_comp.scm 948 */
																									obj_t BgL_arg2661z00_3106;

																									{	/* Eval/evaluate_comp.scm 948 */
																										obj_t BgL_pairz00_9302;

																										BgL_pairz00_9302 =
																											(((BgL_ev_appz00_bglt)
																												CREF((
																														(BgL_ev_appz00_bglt)
																														BgL_exprz00_187)))->
																											BgL_argsz00);
																										BgL_arg2661z00_3106 =
																											CAR(CDR
																											(BgL_pairz00_9302));
																									}
																									BgL_arg2660z00_3105 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_arg2661z00_3106),
																										BgL_stkz00_188);
																								}
																								VECTOR_SET(BgL_v1355z00_3101,
																									(int) (((long) 2)),
																									BgL_arg2660z00_3105);
																							}
																							return BgL_v1355z00_3101;
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 950 */
																							obj_t BgL_v1356z00_3108;

																							BgL_v1356z00_3108 =
																								create_vector(
																								(int) (((long) 2)));
																							VECTOR_SET(BgL_v1356z00_3108,
																								(int) (((long) 0)),
																								BINT(((long) 0)));
																							{	/* Eval/evaluate_comp.scm 950 */
																								obj_t BgL_arg2663z00_3109;

																								BgL_arg2663z00_3109 =
																									BGl_compz00zz__evaluate_compz00
																									(((BgL_ev_exprz00_bglt) (
																											(BgL_ev_appz00_bglt)
																											BgL_exprz00_187)),
																									BgL_stkz00_188);
																								VECTOR_SET(BgL_v1356z00_3108,
																									(int) (((long) 1)),
																									BgL_arg2663z00_3109);
																							}
																							return BgL_v1356z00_3108;
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 951 */
											obj_t BgL_v1357z00_3111;

											BgL_v1357z00_3111 = create_vector((int) (((long) 2)));
											VECTOR_SET(BgL_v1357z00_3111,
												(int) (((long) 0)), BINT(((long) 0)));
											{	/* Eval/evaluate_comp.scm 951 */
												obj_t BgL_arg2665z00_3112;

												BgL_arg2665z00_3112 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_exprz00_187),
													BgL_stkz00_188);
												VECTOR_SET(BgL_v1357z00_3111, (int) (((long) 1)),
													BgL_arg2665z00_3112);
											}
											return BgL_v1357z00_3111;
										}
								}
						}
				}
		}
	}



/* eval-float-arith */
	double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_189,
		obj_t BgL_sz00_190)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 953 */
			return
				REAL_TO_DOUBLE(BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_190,
					BgL_bcz00_189));
		}
	}



/* E~0 */
	obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t BgL_sz00_15324,
		obj_t BgL_bcz00_3117)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 968 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_aux1219z00_3120;

				BgL_aux1219z00_3120 = VECTOR_REF(BgL_bcz00_3117, (int) (((long) 0)));
				if (INTEGERP(BgL_aux1219z00_3120))
					{	/* Eval/evaluate_comp.scm 955 */
						switch ((long) CINT(BgL_aux1219z00_3120))
							{
							case ((long) 0):

								{	/* Eval/evaluate_comp.scm 956 */
									obj_t BgL_fun2669z00_3122;

									BgL_fun2669z00_3122 =
										VECTOR_REF(BgL_bcz00_3117, (int) (((long) 1)));
									return
										PROCEDURE_ENTRY(BgL_fun2669z00_3122) (BgL_fun2669z00_3122,
										BgL_sz00_15324, BEOA);
								}
								break;
							case ((long) 1):

								return VECTOR_REF(BgL_bcz00_3117, (int) (((long) 1)));
								break;
							case ((long) 2):

								{	/* Eval/evaluate_comp.scm 958 */
									long BgL_arg2670z00_3123;

									{	/* Eval/evaluate_comp.scm 958 */
										obj_t BgL_arg2671z00_3124;
										obj_t BgL_arg2672z00_3125;

										BgL_arg2671z00_3124 =
											VECTOR_REF(BgL_sz00_15324, (int) (((long) 0)));
										BgL_arg2672z00_3125 =
											VECTOR_REF(BgL_bcz00_3117, (int) (((long) 1)));
										BgL_arg2670z00_3123 =
											(
											(long) CINT(BgL_arg2671z00_3124) +
											(long) CINT(BgL_arg2672z00_3125));
									}
									return
										VECTOR_REF(BgL_sz00_15324, (int) (BgL_arg2670z00_3123));
								} break;
							case ((long) 3):

								{	/* Eval/evaluate_comp.scm 959 */
									obj_t BgL_arg2673z00_3126;

									{	/* Eval/evaluate_comp.scm 959 */
										long BgL_arg2674z00_3127;

										{	/* Eval/evaluate_comp.scm 959 */
											obj_t BgL_arg2675z00_3128;
											obj_t BgL_arg2676z00_3129;

											BgL_arg2675z00_3128 =
												VECTOR_REF(BgL_sz00_15324, (int) (((long) 0)));
											BgL_arg2676z00_3129 =
												VECTOR_REF(BgL_bcz00_3117, (int) (((long) 1)));
											BgL_arg2674z00_3127 =
												(
												(long) CINT(BgL_arg2675z00_3128) +
												(long) CINT(BgL_arg2676z00_3129));
										}
										BgL_arg2673z00_3126 =
											VECTOR_REF(BgL_sz00_15324, (int) (BgL_arg2674z00_3127));
									}
									return STRUCT_REF(BgL_arg2673z00_3126, (int) (((long) 0)));
								} break;
							case ((long) 4):

								{	/* Eval/evaluate_comp.scm 960 */
									obj_t BgL_tmpz00_23727;

									BgL_tmpz00_23727 =
										VECTOR_REF(VECTOR_REF(BgL_bcz00_3117,
											(int) (((long) 1))), (int) (((long) 2)));
									return __EVMEANING_ADDRESS_REF(BgL_tmpz00_23727);
								}
								break;
							case ((long) 5):

								return
									VECTOR_REF(VECTOR_REF(BgL_bcz00_3117,
										(int) (((long) 1))), (int) (((long) 2)));
								break;
							case ((long) 6):

								{	/* Eval/evaluate_comp.scm 962 */
									obj_t BgL_arg2681z00_3133;
									obj_t BgL_arg2682z00_3134;

									BgL_arg2681z00_3133 =
										BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15324,
										VECTOR_REF(BgL_bcz00_3117, (int) (((long) 1))));
									BgL_arg2682z00_3134 =
										BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15324,
										VECTOR_REF(BgL_bcz00_3117, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2681z00_3133) +
											REAL_TO_DOUBLE(BgL_arg2682z00_3134)));
								}
								break;
							case ((long) 7):

								{	/* Eval/evaluate_comp.scm 963 */
									obj_t BgL_arg2685z00_3137;
									obj_t BgL_arg2686z00_3138;

									BgL_arg2685z00_3137 =
										BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15324,
										VECTOR_REF(BgL_bcz00_3117, (int) (((long) 1))));
									BgL_arg2686z00_3138 =
										BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15324,
										VECTOR_REF(BgL_bcz00_3117, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2685z00_3137) -
											REAL_TO_DOUBLE(BgL_arg2686z00_3138)));
								}
								break;
							case ((long) 8):

								{	/* Eval/evaluate_comp.scm 964 */
									obj_t BgL_arg2689z00_3141;
									obj_t BgL_arg2690z00_3142;

									BgL_arg2689z00_3141 =
										BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15324,
										VECTOR_REF(BgL_bcz00_3117, (int) (((long) 1))));
									BgL_arg2690z00_3142 =
										BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15324,
										VECTOR_REF(BgL_bcz00_3117, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2689z00_3141) *
											REAL_TO_DOUBLE(BgL_arg2690z00_3142)));
								}
								break;
							case ((long) 9):

								{	/* Eval/evaluate_comp.scm 965 */
									obj_t BgL_arg2693z00_3145;
									obj_t BgL_arg2694z00_3146;

									BgL_arg2693z00_3145 =
										BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15324,
										VECTOR_REF(BgL_bcz00_3117, (int) (((long) 1))));
									BgL_arg2694z00_3146 =
										BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15324,
										VECTOR_REF(BgL_bcz00_3117, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2693z00_3145) /
											REAL_TO_DOUBLE(BgL_arg2694z00_3146)));
								}
								break;
							case ((long) 10):

								{	/* Eval/evaluate_comp.scm 966 */
									obj_t BgL_arg2697z00_3149;

									{	/* Eval/evaluate_comp.scm 966 */
										obj_t BgL_fun2698z00_3150;

										BgL_fun2698z00_3150 =
											VECTOR_REF(BgL_bcz00_3117, (int) (((long) 1)));
										BgL_arg2697z00_3149 =
											PROCEDURE_ENTRY(BgL_fun2698z00_3150) (BgL_fun2698z00_3150,
											BgL_sz00_15324, BEOA);
									}
									return
										DOUBLE_TO_REAL((double) ((long) CINT(BgL_arg2697z00_3149)));
								} break;
							case ((long) 11):

								{	/* Eval/evaluate_comp.scm 967 */
									obj_t BgL_arg2699z00_3151;
									obj_t BgL_arg2700z00_3152;

									{	/* Eval/evaluate_comp.scm 967 */
										obj_t BgL_fun2701z00_3153;

										BgL_fun2701z00_3153 =
											VECTOR_REF(BgL_bcz00_3117, (int) (((long) 1)));
										BgL_arg2699z00_3151 =
											PROCEDURE_ENTRY(BgL_fun2701z00_3153) (BgL_fun2701z00_3153,
											BgL_sz00_15324, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 967 */
										obj_t BgL_fun2702z00_3154;

										BgL_fun2702z00_3154 =
											VECTOR_REF(BgL_bcz00_3117, (int) (((long) 2)));
										BgL_arg2700z00_3152 =
											PROCEDURE_ENTRY(BgL_fun2702z00_3154) (BgL_fun2702z00_3154,
											BgL_sz00_15324, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 967 */
										double BgL_tmpz00_23798;

										{	/* Eval/evaluate_comp.scm 967 */
											long BgL_tmpz00_23799;

											BgL_tmpz00_23799 = (long) CINT(BgL_arg2700z00_3152);
											BgL_tmpz00_23798 =
												BGL_F64VREF(BgL_arg2699z00_3151, BgL_tmpz00_23799);
										}
										return DOUBLE_TO_REAL(BgL_tmpz00_23798);
									}
								}
								break;
							default:
								return
									BGl_errorz00zz__errorz00
									(BGl_string5699z00zz__evaluate_compz00,
									BGl_string5718z00zz__evaluate_compz00,
									VECTOR_REF(BgL_bcz00_3117, (int) (((long) 0))));
					}}
				else
					{	/* Eval/evaluate_comp.scm 955 */
						return
							BGl_errorz00zz__errorz00(BGl_string5699z00zz__evaluate_compz00,
							BGl_string5718z00zz__evaluate_compz00, VECTOR_REF(BgL_bcz00_3117,
								(int) (((long) 0))));
		}}}
	}



/* arith-expression */
	obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_exprz00_191, obj_t BgL_stkz00_192)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 971 */
			{	/* Eval/evaluate_comp.scm 973 */
				obj_t BgL_fvalz00_3158;

				BgL_fvalz00_3158 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) CREF(BgL_exprz00_191))->BgL_funz00));
				{	/* Eval/evaluate_comp.scm 974 */
					bool_t BgL_testz00_23813;

					if (
						(BgL_fvalz00_3158 ==
							BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
						{	/* Eval/evaluate_comp.scm 974 */
							BgL_testz00_23813 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 974 */
							if (
								(BgL_fvalz00_3158 ==
									BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
								{	/* Eval/evaluate_comp.scm 974 */
									BgL_testz00_23813 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 974 */
									if (
										(BgL_fvalz00_3158 ==
											BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
										{	/* Eval/evaluate_comp.scm 974 */
											BgL_testz00_23813 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 974 */
											BgL_testz00_23813 =
												(BgL_fvalz00_3158 ==
												BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00);
										}
								}
						}
					if (BgL_testz00_23813)
						{	/* Eval/evaluate_comp.scm 975 */
							obj_t BgL_bcz00_3163;

							BgL_bcz00_3163 =
								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
								((obj_t) BgL_exprz00_191), BgL_stkz00_192);
							{	/* Eval/evaluate_comp.scm 976 */
								obj_t BgL_zc3anonymousza32708ze3z83_13679;

								BgL_zc3anonymousza32708ze3z83_13679 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32708ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza32708ze3z83_13679,
									(int) (((long) 0)), BgL_bcz00_3163);
								return BgL_zc3anonymousza32708ze3z83_13679;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 974 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &<anonymous:2708> */
	obj_t BGl_z62zc3anonymousza32708ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13680, obj_t BgL_sz00_13682)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 976 */
			{	/* Eval/evaluate_comp.scm 976 */
				obj_t BgL_bcz00_13681;

				BgL_bcz00_13681 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13680, (int) (((long) 0))));
				{	/* Eval/evaluate_comp.scm 976 */
					double BgL_tmpz00_23831;

					{	/* Eval/evaluate_comp.scm 976 */
						obj_t BgL_bpz00_16244;

						BgL_bpz00_16244 = VECTOR_REF(BgL_sz00_13682, (int) (((long) 0)));
						BgL_tmpz00_23831 =
							BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_13681,
							BgL_sz00_13682);
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_23831);
				}
			}
		}
	}



/* inline-call */
	obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_193,
		BgL_ev_exprz00_bglt BgL_funz00_194, obj_t BgL_argsz00_195,
		obj_t BgL_stkz00_196)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1005 */
			{	/* Eval/evaluate_comp.scm 1006 */
				obj_t BgL_valz00_3171;

				BgL_valz00_3171 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_194);
				if (CBOOL(BgL_valz00_3171))
					{	/* Eval/evaluate_comp.scm 1008 */
						long BgL_nz00_3172;

						BgL_nz00_3172 = bgl_list_length(BgL_argsz00_195);
						{	/* Eval/evaluate_comp.scm 1009 */
							obj_t BgL__ortest_1225z00_3173;

							if ((BgL_nz00_3172 == ((long) 1)))
								{	/* Eval/evaluate_comp.scm 1010 */
									obj_t BgL_a1z00_3464;

									BgL_a1z00_3464 = CAR(BgL_argsz00_195);
									if (
										(BgL_valz00_3171 ==
											BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
										{	/* Eval/evaluate_comp.scm 1011 */
											obj_t BgL_a1z00_3466;

											BgL_a1z00_3466 =
												BGl_compz00zz__evaluate_compz00(
												((BgL_ev_exprz00_bglt) BgL_a1z00_3464), BgL_stkz00_196);
											{	/* Eval/evaluate_comp.scm 1011 */
												obj_t BgL_zc3anonymousza32825ze3z83_13712;

												BgL_zc3anonymousza32825ze3z83_13712 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32825ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza32825ze3z83_13712,
													(int) (((long) 0)), BgL_a1z00_3466);
												PROCEDURE_SET(BgL_zc3anonymousza32825ze3z83_13712,
													(int) (((long) 1)), BgL_locz00_193);
												BgL__ortest_1225z00_3173 =
													BgL_zc3anonymousza32825ze3z83_13712;
										}}
									else
										{	/* Eval/evaluate_comp.scm 1011 */
											if (
												(BgL_valz00_3171 ==
													BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
												{	/* Eval/evaluate_comp.scm 1011 */
													obj_t BgL_a1z00_3473;

													BgL_a1z00_3473 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_3464),
														BgL_stkz00_196);
													{	/* Eval/evaluate_comp.scm 1011 */
														obj_t BgL_zc3anonymousza32828ze3z83_13713;

														BgL_zc3anonymousza32828ze3z83_13713 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza32828ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 2)));
														PROCEDURE_SET(BgL_zc3anonymousza32828ze3z83_13713,
															(int) (((long) 0)), BgL_a1z00_3473);
														PROCEDURE_SET(BgL_zc3anonymousza32828ze3z83_13713,
															(int) (((long) 1)), BgL_locz00_193);
														BgL__ortest_1225z00_3173 =
															BgL_zc3anonymousza32828ze3z83_13713;
												}}
											else
												{	/* Eval/evaluate_comp.scm 1011 */
													if (
														(BgL_valz00_3171 ==
															BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
														{	/* Eval/evaluate_comp.scm 1011 */
															obj_t BgL_a1z00_3480;

															BgL_a1z00_3480 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_3464),
																BgL_stkz00_196);
															{	/* Eval/evaluate_comp.scm 1011 */
																obj_t BgL_zc3anonymousza32831ze3z83_13714;

																BgL_zc3anonymousza32831ze3z83_13714 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32831ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32831ze3z83_13714,
																	(int) (((long) 0)), BgL_a1z00_3480);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32831ze3z83_13714,
																	(int) (((long) 1)), BgL_locz00_193);
																BgL__ortest_1225z00_3173 =
																	BgL_zc3anonymousza32831ze3z83_13714;
														}}
													else
														{	/* Eval/evaluate_comp.scm 1011 */
															BgL__ortest_1225z00_3173 = BFALSE;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 1009 */
									BgL__ortest_1225z00_3173 = BFALSE;
								}
							if (CBOOL(BgL__ortest_1225z00_3173))
								{	/* Eval/evaluate_comp.scm 1009 */
									return BgL__ortest_1225z00_3173;
								}
							else
								{	/* Eval/evaluate_comp.scm 1009 */
									if ((BgL_nz00_3172 == ((long) 2)))
										{	/* Eval/evaluate_comp.scm 1013 */
											obj_t BgL_a1z00_3175;
											obj_t BgL_a2z00_3176;

											BgL_a1z00_3175 = CAR(BgL_argsz00_195);
											BgL_a2z00_3176 = CAR(CDR(BgL_argsz00_195));
											if (
												(BgL_valz00_3171 ==
													BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
												{	/* Eval/evaluate_comp.scm 1014 */
													obj_t BgL_a1z00_3178;
													obj_t BgL_a2z00_3179;

													BgL_a1z00_3178 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_3175),
														BgL_stkz00_196);
													BgL_a2z00_3179 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_a2z00_3176),
														BgL_stkz00_196);
													{	/* Eval/evaluate_comp.scm 1014 */
														obj_t BgL_zc3anonymousza32712ze3z83_13683;

														BgL_zc3anonymousza32712ze3z83_13683 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza32712ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 3)));
														PROCEDURE_SET(BgL_zc3anonymousza32712ze3z83_13683,
															(int) (((long) 0)), BgL_a1z00_3178);
														PROCEDURE_SET(BgL_zc3anonymousza32712ze3z83_13683,
															(int) (((long) 1)), BgL_a2z00_3179);
														PROCEDURE_SET(BgL_zc3anonymousza32712ze3z83_13683,
															(int) (((long) 2)), BgL_locz00_193);
														return BgL_zc3anonymousza32712ze3z83_13683;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 1014 */
													if (
														(BgL_valz00_3171 ==
															BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
														{	/* Eval/evaluate_comp.scm 1014 */
															obj_t BgL_a1z00_3188;
															obj_t BgL_a2z00_3189;

															BgL_a1z00_3188 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_3175),
																BgL_stkz00_196);
															BgL_a2z00_3189 =
																BGl_compz00zz__evaluate_compz00((
																	(BgL_ev_exprz00_bglt) BgL_a2z00_3176),
																BgL_stkz00_196);
															{	/* Eval/evaluate_comp.scm 1014 */
																obj_t BgL_zc3anonymousza32716ze3z83_13684;

																BgL_zc3anonymousza32716ze3z83_13684 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32716ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32716ze3z83_13684,
																	(int) (((long) 0)), BgL_a1z00_3188);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32716ze3z83_13684,
																	(int) (((long) 1)), BgL_a2z00_3189);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32716ze3z83_13684,
																	(int) (((long) 2)), BgL_locz00_193);
																return BgL_zc3anonymousza32716ze3z83_13684;
															}
														}
													else
														{	/* Eval/evaluate_comp.scm 1014 */
															if (
																(BgL_valz00_3171 ==
																	BGl_za2zd2envz70zz__r4_numbers_6_5z00))
																{	/* Eval/evaluate_comp.scm 1014 */
																	obj_t BgL_a1z00_3198;
																	obj_t BgL_a2z00_3199;

																	BgL_a1z00_3198 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt) BgL_a1z00_3175),
																		BgL_stkz00_196);
																	BgL_a2z00_3199 =
																		BGl_compz00zz__evaluate_compz00((
																			(BgL_ev_exprz00_bglt) BgL_a2z00_3176),
																		BgL_stkz00_196);
																	{	/* Eval/evaluate_comp.scm 1014 */
																		obj_t BgL_zc3anonymousza32720ze3z83_13685;

																		BgL_zc3anonymousza32720ze3z83_13685 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00,
																			(int) (((long) 1)), (int) (((long) 3)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32720ze3z83_13685,
																			(int) (((long) 0)), BgL_a1z00_3198);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32720ze3z83_13685,
																			(int) (((long) 1)), BgL_a2z00_3199);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32720ze3z83_13685,
																			(int) (((long) 2)), BgL_locz00_193);
																		return BgL_zc3anonymousza32720ze3z83_13685;
																	}
																}
															else
																{	/* Eval/evaluate_comp.scm 1014 */
																	if (
																		(BgL_valz00_3171 ==
																			BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
																		{	/* Eval/evaluate_comp.scm 1014 */
																			obj_t BgL_a1z00_3208;
																			obj_t BgL_a2z00_3209;

																			BgL_a1z00_3208 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt) BgL_a1z00_3175),
																				BgL_stkz00_196);
																			BgL_a2z00_3209 =
																				BGl_compz00zz__evaluate_compz00((
																					(BgL_ev_exprz00_bglt) BgL_a2z00_3176),
																				BgL_stkz00_196);
																			{	/* Eval/evaluate_comp.scm 1014 */
																				obj_t
																					BgL_zc3anonymousza32724ze3z83_13686;
																				BgL_zc3anonymousza32724ze3z83_13686 =
																					MAKE_FX_PROCEDURE
																					(BGl_z62zc3anonymousza32724ze3ze1zz__evaluate_compz00,
																					(int) (((long) 1)),
																					(int) (((long) 3)));
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32724ze3z83_13686,
																					(int) (((long) 0)), BgL_a1z00_3208);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32724ze3z83_13686,
																					(int) (((long) 1)), BgL_a2z00_3209);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32724ze3z83_13686,
																					(int) (((long) 2)), BgL_locz00_193);
																				return
																					BgL_zc3anonymousza32724ze3z83_13686;
																			}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 1014 */
																			if (
																				(BgL_valz00_3171 ==
																					BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
																				{	/* Eval/evaluate_comp.scm 1014 */
																					obj_t BgL_a1z00_3218;
																					obj_t BgL_a2z00_3219;

																					BgL_a1z00_3218 =
																						BGl_compz00zz__evaluate_compz00(
																						((BgL_ev_exprz00_bglt)
																							BgL_a1z00_3175), BgL_stkz00_196);
																					BgL_a2z00_3219 =
																						BGl_compz00zz__evaluate_compz00((
																							(BgL_ev_exprz00_bglt)
																							BgL_a2z00_3176), BgL_stkz00_196);
																					{	/* Eval/evaluate_comp.scm 1014 */
																						obj_t
																							BgL_zc3anonymousza32728ze3z83_13687;
																						BgL_zc3anonymousza32728ze3z83_13687
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3anonymousza32728ze3ze1zz__evaluate_compz00,
																							(int) (((long) 1)),
																							(int) (((long) 3)));
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32728ze3z83_13687,
																							(int) (((long) 0)),
																							BgL_a1z00_3218);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32728ze3z83_13687,
																							(int) (((long) 1)),
																							BgL_a2z00_3219);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32728ze3z83_13687,
																							(int) (((long) 2)),
																							BgL_locz00_193);
																						return
																							BgL_zc3anonymousza32728ze3z83_13687;
																					}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 1014 */
																					if (
																						(BgL_valz00_3171 ==
																							BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
																						{	/* Eval/evaluate_comp.scm 1014 */
																							obj_t BgL_a1z00_3228;
																							obj_t BgL_a2z00_3229;

																							BgL_a1z00_3228 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a1z00_3175),
																								BgL_stkz00_196);
																							BgL_a2z00_3229 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a2z00_3176),
																								BgL_stkz00_196);
																							{	/* Eval/evaluate_comp.scm 1014 */
																								obj_t
																									BgL_zc3anonymousza32732ze3z83_13688;
																								BgL_zc3anonymousza32732ze3z83_13688
																									=
																									MAKE_FX_PROCEDURE
																									(BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00,
																									(int) (((long) 1)),
																									(int) (((long) 3)));
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32732ze3z83_13688,
																									(int) (((long) 0)),
																									BgL_a1z00_3228);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32732ze3z83_13688,
																									(int) (((long) 1)),
																									BgL_a2z00_3229);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32732ze3z83_13688,
																									(int) (((long) 2)),
																									BgL_locz00_193);
																								return
																									BgL_zc3anonymousza32732ze3z83_13688;
																							}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 1014 */
																							if (
																								(BgL_valz00_3171 ==
																									BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
																								{	/* Eval/evaluate_comp.scm 1014 */
																									obj_t BgL_a1z00_3238;
																									obj_t BgL_a2z00_3239;

																									BgL_a1z00_3238 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a1z00_3175),
																										BgL_stkz00_196);
																									BgL_a2z00_3239 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a2z00_3176),
																										BgL_stkz00_196);
																									{	/* Eval/evaluate_comp.scm 1014 */
																										obj_t
																											BgL_zc3anonymousza32736ze3z83_13689;
																										BgL_zc3anonymousza32736ze3z83_13689
																											=
																											MAKE_FX_PROCEDURE
																											(BGl_z62zc3anonymousza32736ze3ze1zz__evaluate_compz00,
																											(int) (((long) 1)),
																											(int) (((long) 3)));
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32736ze3z83_13689,
																											(int) (((long) 0)),
																											BgL_a1z00_3238);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32736ze3z83_13689,
																											(int) (((long) 1)),
																											BgL_a2z00_3239);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32736ze3z83_13689,
																											(int) (((long) 2)),
																											BgL_locz00_193);
																										return
																											BgL_zc3anonymousza32736ze3z83_13689;
																									}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 1014 */
																									if (
																										(BgL_valz00_3171 ==
																											BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
																										{	/* Eval/evaluate_comp.scm 1014 */
																											obj_t BgL_a1z00_3248;
																											obj_t BgL_a2z00_3249;

																											BgL_a1z00_3248 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a1z00_3175),
																												BgL_stkz00_196);
																											BgL_a2z00_3249 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a2z00_3176),
																												BgL_stkz00_196);
																											{	/* Eval/evaluate_comp.scm 1014 */
																												obj_t
																													BgL_zc3anonymousza32740ze3z83_13690;
																												BgL_zc3anonymousza32740ze3z83_13690
																													=
																													MAKE_FX_PROCEDURE
																													(BGl_z62zc3anonymousza32740ze3ze1zz__evaluate_compz00,
																													(int) (((long) 1)),
																													(int) (((long) 3)));
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32740ze3z83_13690,
																													(int) (((long) 0)),
																													BgL_a1z00_3248);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32740ze3z83_13690,
																													(int) (((long) 1)),
																													BgL_a2z00_3249);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32740ze3z83_13690,
																													(int) (((long) 2)),
																													BgL_locz00_193);
																												return
																													BgL_zc3anonymousza32740ze3z83_13690;
																											}
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 1014 */
																											if (
																												(BgL_valz00_3171 ==
																													BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
																												{	/* Eval/evaluate_comp.scm 1014 */
																													obj_t BgL_a1z00_3258;
																													obj_t BgL_a2z00_3259;

																													BgL_a1z00_3258 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a1z00_3175), BgL_stkz00_196);
																													BgL_a2z00_3259 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a2z00_3176), BgL_stkz00_196);
																													{	/* Eval/evaluate_comp.scm 1014 */
																														obj_t
																															BgL_zc3anonymousza32744ze3z83_13691;
																														BgL_zc3anonymousza32744ze3z83_13691
																															=
																															MAKE_FX_PROCEDURE
																															(BGl_z62zc3anonymousza32744ze3ze1zz__evaluate_compz00,
																															(int) (((long)
																																	1)),
																															(int) (((long)
																																	3)));
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32744ze3z83_13691,
																															(int) (((long)
																																	0)),
																															BgL_a1z00_3258);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32744ze3z83_13691,
																															(int) (((long)
																																	1)),
																															BgL_a2z00_3259);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32744ze3z83_13691,
																															(int) (((long)
																																	2)),
																															BgL_locz00_193);
																														return
																															BgL_zc3anonymousza32744ze3z83_13691;
																													}
																												}
																											else
																												{	/* Eval/evaluate_comp.scm 1014 */
																													if (
																														(BgL_valz00_3171 ==
																															BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
																														{	/* Eval/evaluate_comp.scm 1014 */
																															obj_t
																																BgL_a1z00_3268;
																															obj_t
																																BgL_a2z00_3269;
																															BgL_a1z00_3268 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a1z00_3175), BgL_stkz00_196);
																															BgL_a2z00_3269 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a2z00_3176), BgL_stkz00_196);
																															{	/* Eval/evaluate_comp.scm 1014 */
																																obj_t
																																	BgL_zc3anonymousza32748ze3z83_13692;
																																BgL_zc3anonymousza32748ze3z83_13692
																																	=
																																	MAKE_FX_PROCEDURE
																																	(BGl_z62zc3anonymousza32748ze3ze1zz__evaluate_compz00,
																																	(int) (((long)
																																			1)),
																																	(int) (((long)
																																			3)));
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32748ze3z83_13692,
																																	(int) (((long)
																																			0)),
																																	BgL_a1z00_3268);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32748ze3z83_13692,
																																	(int) (((long)
																																			1)),
																																	BgL_a2z00_3269);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32748ze3z83_13692,
																																	(int) (((long)
																																			2)),
																																	BgL_locz00_193);
																																return
																																	BgL_zc3anonymousza32748ze3z83_13692;
																															}
																														}
																													else
																														{	/* Eval/evaluate_comp.scm 1014 */
																															if (
																																(BgL_valz00_3171
																																	==
																																	BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
																																{	/* Eval/evaluate_comp.scm 1014 */
																																	obj_t
																																		BgL_a1z00_3278;
																																	obj_t
																																		BgL_a2z00_3279;
																																	BgL_a1z00_3278
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a1z00_3175), BgL_stkz00_196);
																																	BgL_a2z00_3279
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a2z00_3176), BgL_stkz00_196);
																																	{	/* Eval/evaluate_comp.scm 1014 */
																																		obj_t
																																			BgL_zc3anonymousza32752ze3z83_13693;
																																		BgL_zc3anonymousza32752ze3z83_13693
																																			=
																																			MAKE_FX_PROCEDURE
																																			(BGl_z62zc3anonymousza32752ze3ze1zz__evaluate_compz00,
																																			(int) ((
																																					(long)
																																					1)),
																																			(int) ((
																																					(long)
																																					3)));
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32752ze3z83_13693,
																																			(int) ((
																																					(long)
																																					0)),
																																			BgL_a1z00_3278);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32752ze3z83_13693,
																																			(int) ((
																																					(long)
																																					1)),
																																			BgL_a2z00_3279);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32752ze3z83_13693,
																																			(int) ((
																																					(long)
																																					2)),
																																			BgL_locz00_193);
																																		return
																																			BgL_zc3anonymousza32752ze3z83_13693;
																																	}
																																}
																															else
																																{	/* Eval/evaluate_comp.scm 1014 */
																																	if (
																																		(BgL_valz00_3171
																																			==
																																			BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
																																		{	/* Eval/evaluate_comp.scm 1014 */
																																			obj_t
																																				BgL_a1z00_3288;
																																			obj_t
																																				BgL_a2z00_3289;
																																			BgL_a1z00_3288
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a1z00_3175), BgL_stkz00_196);
																																			BgL_a2z00_3289
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a2z00_3176), BgL_stkz00_196);
																																			{	/* Eval/evaluate_comp.scm 1014 */
																																				obj_t
																																					BgL_zc3anonymousza32756ze3z83_13694;
																																				BgL_zc3anonymousza32756ze3z83_13694
																																					=
																																					MAKE_FX_PROCEDURE
																																					(BGl_z62zc3anonymousza32756ze3ze1zz__evaluate_compz00,
																																					(int)
																																					(((long) 1)), (int) (((long) 3)));
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32756ze3z83_13694,
																																					(int)
																																					(((long) 0)), BgL_a1z00_3288);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32756ze3z83_13694,
																																					(int)
																																					(((long) 1)), BgL_a2z00_3289);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32756ze3z83_13694,
																																					(int)
																																					(((long) 2)), BgL_locz00_193);
																																				return
																																					BgL_zc3anonymousza32756ze3z83_13694;
																																			}
																																		}
																																	else
																																		{	/* Eval/evaluate_comp.scm 1014 */
																																			if (
																																				(BgL_valz00_3171
																																					==
																																					BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
																																				{	/* Eval/evaluate_comp.scm 1014 */
																																					obj_t
																																						BgL_a1z00_3298;
																																					obj_t
																																						BgL_a2z00_3299;
																																					BgL_a1z00_3298
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a1z00_3175), BgL_stkz00_196);
																																					BgL_a2z00_3299
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a2z00_3176), BgL_stkz00_196);
																																					{	/* Eval/evaluate_comp.scm 1014 */
																																						obj_t
																																							BgL_zc3anonymousza32760ze3z83_13695;
																																						BgL_zc3anonymousza32760ze3z83_13695
																																							=
																																							MAKE_FX_PROCEDURE
																																							(BGl_z62zc3anonymousza32760ze3ze1zz__evaluate_compz00,
																																							(int)
																																							(((long) 1)), (int) (((long) 3)));
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32760ze3z83_13695,
																																							(int)
																																							(((long) 0)), BgL_a1z00_3298);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32760ze3z83_13695,
																																							(int)
																																							(((long) 1)), BgL_a2z00_3299);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32760ze3z83_13695,
																																							(int)
																																							(((long) 2)), BgL_locz00_193);
																																						return
																																							BgL_zc3anonymousza32760ze3z83_13695;
																																					}
																																				}
																																			else
																																				{	/* Eval/evaluate_comp.scm 1014 */
																																					if (
																																						(BgL_valz00_3171
																																							==
																																							BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
																																						{	/* Eval/evaluate_comp.scm 1014 */
																																							obj_t
																																								BgL_a1z00_3308;
																																							obj_t
																																								BgL_a2z00_3309;
																																							BgL_a1z00_3308
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a1z00_3175), BgL_stkz00_196);
																																							BgL_a2z00_3309
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a2z00_3176), BgL_stkz00_196);
																																							{	/* Eval/evaluate_comp.scm 1014 */
																																								obj_t
																																									BgL_zc3anonymousza32764ze3z83_13696;
																																								BgL_zc3anonymousza32764ze3z83_13696
																																									=
																																									MAKE_FX_PROCEDURE
																																									(BGl_z62zc3anonymousza32764ze3ze1zz__evaluate_compz00,
																																									(int)
																																									(((long) 1)), (int) (((long) 3)));
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32764ze3z83_13696,
																																									(int)
																																									(((long) 0)), BgL_a1z00_3308);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32764ze3z83_13696,
																																									(int)
																																									(((long) 1)), BgL_a2z00_3309);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32764ze3z83_13696,
																																									(int)
																																									(((long) 2)), BgL_locz00_193);
																																								return
																																									BgL_zc3anonymousza32764ze3z83_13696;
																																							}
																																						}
																																					else
																																						{	/* Eval/evaluate_comp.scm 1014 */
																																							if ((BgL_valz00_3171 == BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
																																								{	/* Eval/evaluate_comp.scm 1014 */
																																									obj_t
																																										BgL_a1z00_3318;
																																									obj_t
																																										BgL_a2z00_3319;
																																									BgL_a1z00_3318
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a1z00_3175), BgL_stkz00_196);
																																									BgL_a2z00_3319
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a2z00_3176), BgL_stkz00_196);
																																									{	/* Eval/evaluate_comp.scm 1014 */
																																										obj_t
																																											BgL_zc3anonymousza32768ze3z83_13697;
																																										BgL_zc3anonymousza32768ze3z83_13697
																																											=
																																											MAKE_FX_PROCEDURE
																																											(BGl_z62zc3anonymousza32768ze3ze1zz__evaluate_compz00,
																																											(int)
																																											(((long) 1)), (int) (((long) 3)));
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32768ze3z83_13697,
																																											(int)
																																											(((long) 0)), BgL_a1z00_3318);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32768ze3z83_13697,
																																											(int)
																																											(((long) 1)), BgL_a2z00_3319);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32768ze3z83_13697,
																																											(int)
																																											(((long) 2)), BgL_locz00_193);
																																										return
																																											BgL_zc3anonymousza32768ze3z83_13697;
																																									}
																																								}
																																							else
																																								{	/* Eval/evaluate_comp.scm 1014 */
																																									if ((BgL_valz00_3171 == BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
																																										{	/* Eval/evaluate_comp.scm 1014 */
																																											obj_t
																																												BgL_a1z00_3328;
																																											obj_t
																																												BgL_a2z00_3329;
																																											BgL_a1z00_3328
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a1z00_3175), BgL_stkz00_196);
																																											BgL_a2z00_3329
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a2z00_3176), BgL_stkz00_196);
																																											{	/* Eval/evaluate_comp.scm 1014 */
																																												obj_t
																																													BgL_zc3anonymousza32772ze3z83_13698;
																																												BgL_zc3anonymousza32772ze3z83_13698
																																													=
																																													MAKE_FX_PROCEDURE
																																													(BGl_z62zc3anonymousza32772ze3ze1zz__evaluate_compz00,
																																													(int)
																																													(((long) 1)), (int) (((long) 3)));
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32772ze3z83_13698,
																																													(int)
																																													(((long) 0)), BgL_a1z00_3328);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32772ze3z83_13698,
																																													(int)
																																													(((long) 1)), BgL_a2z00_3329);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32772ze3z83_13698,
																																													(int)
																																													(((long) 2)), BgL_locz00_193);
																																												return
																																													BgL_zc3anonymousza32772ze3z83_13698;
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate_comp.scm 1014 */
																																											if ((BgL_valz00_3171 == BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
																																												{	/* Eval/evaluate_comp.scm 1014 */
																																													obj_t
																																														BgL_a1z00_3338;
																																													obj_t
																																														BgL_a2z00_3339;
																																													BgL_a1z00_3338
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a1z00_3175), BgL_stkz00_196);
																																													BgL_a2z00_3339
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a2z00_3176), BgL_stkz00_196);
																																													{	/* Eval/evaluate_comp.scm 1014 */
																																														obj_t
																																															BgL_zc3anonymousza32776ze3z83_13699;
																																														BgL_zc3anonymousza32776ze3z83_13699
																																															=
																																															MAKE_FX_PROCEDURE
																																															(BGl_z62zc3anonymousza32776ze3ze1zz__evaluate_compz00,
																																															(int)
																																															(((long) 1)), (int) (((long) 3)));
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32776ze3z83_13699,
																																															(int)
																																															(((long) 0)), BgL_a1z00_3338);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32776ze3z83_13699,
																																															(int)
																																															(((long) 1)), BgL_a2z00_3339);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32776ze3z83_13699,
																																															(int)
																																															(((long) 2)), BgL_locz00_193);
																																														return
																																															BgL_zc3anonymousza32776ze3z83_13699;
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate_comp.scm 1014 */
																																													if ((BgL_valz00_3171 == BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
																																														{	/* Eval/evaluate_comp.scm 1014 */
																																															obj_t
																																																BgL_a1z00_3348;
																																															obj_t
																																																BgL_a2z00_3349;
																																															BgL_a1z00_3348
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a1z00_3175), BgL_stkz00_196);
																																															BgL_a2z00_3349
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a2z00_3176), BgL_stkz00_196);
																																															{	/* Eval/evaluate_comp.scm 1014 */
																																																obj_t
																																																	BgL_zc3anonymousza32780ze3z83_13700;
																																																BgL_zc3anonymousza32780ze3z83_13700
																																																	=
																																																	MAKE_FX_PROCEDURE
																																																	(BGl_z62zc3anonymousza32780ze3ze1zz__evaluate_compz00,
																																																	(int)
																																																	(((long) 1)), (int) (((long) 3)));
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32780ze3z83_13700,
																																																	(int)
																																																	(((long) 0)), BgL_a1z00_3348);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32780ze3z83_13700,
																																																	(int)
																																																	(((long) 1)), BgL_a2z00_3349);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32780ze3z83_13700,
																																																	(int)
																																																	(((long) 2)), BgL_locz00_193);
																																																return
																																																	BgL_zc3anonymousza32780ze3z83_13700;
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate_comp.scm 1014 */
																																															if ((BgL_valz00_3171 == BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
																																																{	/* Eval/evaluate_comp.scm 1014 */
																																																	obj_t
																																																		BgL_a1z00_3358;
																																																	obj_t
																																																		BgL_a2z00_3359;
																																																	BgL_a1z00_3358
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_3175), BgL_stkz00_196);
																																																	BgL_a2z00_3359
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_3176), BgL_stkz00_196);
																																																	{	/* Eval/evaluate_comp.scm 1014 */
																																																		obj_t
																																																			BgL_zc3anonymousza32784ze3z83_13701;
																																																		BgL_zc3anonymousza32784ze3z83_13701
																																																			=
																																																			MAKE_FX_PROCEDURE
																																																			(BGl_z62zc3anonymousza32784ze3ze1zz__evaluate_compz00,
																																																			(int)
																																																			(((long) 1)), (int) (((long) 3)));
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32784ze3z83_13701,
																																																			(int)
																																																			(((long) 0)), BgL_a1z00_3358);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32784ze3z83_13701,
																																																			(int)
																																																			(((long) 1)), BgL_a2z00_3359);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32784ze3z83_13701,
																																																			(int)
																																																			(((long) 2)), BgL_locz00_193);
																																																		return
																																																			BgL_zc3anonymousza32784ze3z83_13701;
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate_comp.scm 1014 */
																																																	if ((BgL_valz00_3171 == BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
																																																		{	/* Eval/evaluate_comp.scm 1014 */
																																																			obj_t
																																																				BgL_a1z00_3368;
																																																			obj_t
																																																				BgL_a2z00_3369;
																																																			BgL_a1z00_3368
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_3175), BgL_stkz00_196);
																																																			BgL_a2z00_3369
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_3176), BgL_stkz00_196);
																																																			{	/* Eval/evaluate_comp.scm 1014 */
																																																				obj_t
																																																					BgL_zc3anonymousza32788ze3z83_13702;
																																																				BgL_zc3anonymousza32788ze3z83_13702
																																																					=
																																																					MAKE_FX_PROCEDURE
																																																					(BGl_z62zc3anonymousza32788ze3ze1zz__evaluate_compz00,
																																																					(int)
																																																					(((long) 1)), (int) (((long) 3)));
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32788ze3z83_13702,
																																																					(int)
																																																					(((long) 0)), BgL_a1z00_3368);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32788ze3z83_13702,
																																																					(int)
																																																					(((long) 1)), BgL_a2z00_3369);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32788ze3z83_13702,
																																																					(int)
																																																					(((long) 2)), BgL_locz00_193);
																																																				return
																																																					BgL_zc3anonymousza32788ze3z83_13702;
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate_comp.scm 1014 */
																																																			if ((BgL_valz00_3171 == BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																																																				{	/* Eval/evaluate_comp.scm 1014 */
																																																					obj_t
																																																						BgL_a1z00_3378;
																																																					obj_t
																																																						BgL_a2z00_3379;
																																																					BgL_a1z00_3378
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_3175), BgL_stkz00_196);
																																																					BgL_a2z00_3379
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_3176), BgL_stkz00_196);
																																																					{	/* Eval/evaluate_comp.scm 1014 */
																																																						obj_t
																																																							BgL_zc3anonymousza32792ze3z83_13703;
																																																						BgL_zc3anonymousza32792ze3z83_13703
																																																							=
																																																							MAKE_FX_PROCEDURE
																																																							(BGl_z62zc3anonymousza32792ze3ze1zz__evaluate_compz00,
																																																							(int)
																																																							(((long) 1)), (int) (((long) 3)));
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32792ze3z83_13703,
																																																							(int)
																																																							(((long) 0)), BgL_a1z00_3378);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32792ze3z83_13703,
																																																							(int)
																																																							(((long) 1)), BgL_a2z00_3379);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32792ze3z83_13703,
																																																							(int)
																																																							(((long) 2)), BgL_locz00_193);
																																																						return
																																																							BgL_zc3anonymousza32792ze3z83_13703;
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate_comp.scm 1014 */
																																																					if ((BgL_valz00_3171 == BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																																																						{	/* Eval/evaluate_comp.scm 1014 */
																																																							obj_t
																																																								BgL_a1z00_3388;
																																																							obj_t
																																																								BgL_a2z00_3389;
																																																							BgL_a1z00_3388
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a1z00_3175), BgL_stkz00_196);
																																																							BgL_a2z00_3389
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a2z00_3176), BgL_stkz00_196);
																																																							{	/* Eval/evaluate_comp.scm 1014 */
																																																								obj_t
																																																									BgL_zc3anonymousza32796ze3z83_13704;
																																																								BgL_zc3anonymousza32796ze3z83_13704
																																																									=
																																																									MAKE_FX_PROCEDURE
																																																									(BGl_z62zc3anonymousza32796ze3ze1zz__evaluate_compz00,
																																																									(int)
																																																									(((long) 1)), (int) (((long) 3)));
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32796ze3z83_13704,
																																																									(int)
																																																									(((long) 0)), BgL_a1z00_3388);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32796ze3z83_13704,
																																																									(int)
																																																									(((long) 1)), BgL_a2z00_3389);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32796ze3z83_13704,
																																																									(int)
																																																									(((long) 2)), BgL_locz00_193);
																																																								return
																																																									BgL_zc3anonymousza32796ze3z83_13704;
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate_comp.scm 1014 */
																																																							if ((BgL_valz00_3171 == BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
																																																								{	/* Eval/evaluate_comp.scm 1014 */
																																																									obj_t
																																																										BgL_a1z00_3398;
																																																									obj_t
																																																										BgL_a2z00_3399;
																																																									BgL_a1z00_3398
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a1z00_3175), BgL_stkz00_196);
																																																									BgL_a2z00_3399
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a2z00_3176), BgL_stkz00_196);
																																																									{	/* Eval/evaluate_comp.scm 1014 */
																																																										obj_t
																																																											BgL_zc3anonymousza32800ze3z83_13705;
																																																										BgL_zc3anonymousza32800ze3z83_13705
																																																											=
																																																											MAKE_FX_PROCEDURE
																																																											(BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00,
																																																											(int)
																																																											(((long) 1)), (int) (((long) 3)));
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32800ze3z83_13705,
																																																											(int)
																																																											(((long) 0)), BgL_a1z00_3398);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32800ze3z83_13705,
																																																											(int)
																																																											(((long) 1)), BgL_a2z00_3399);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32800ze3z83_13705,
																																																											(int)
																																																											(((long) 2)), BgL_locz00_193);
																																																										return
																																																											BgL_zc3anonymousza32800ze3z83_13705;
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate_comp.scm 1014 */
																																																									if ((BgL_valz00_3171 == BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
																																																										{	/* Eval/evaluate_comp.scm 1014 */
																																																											obj_t
																																																												BgL_a1z00_3408;
																																																											obj_t
																																																												BgL_a2z00_3409;
																																																											BgL_a1z00_3408
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a1z00_3175), BgL_stkz00_196);
																																																											BgL_a2z00_3409
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a2z00_3176), BgL_stkz00_196);
																																																											{	/* Eval/evaluate_comp.scm 1014 */
																																																												obj_t
																																																													BgL_zc3anonymousza32804ze3z83_13706;
																																																												BgL_zc3anonymousza32804ze3z83_13706
																																																													=
																																																													MAKE_FX_PROCEDURE
																																																													(BGl_z62zc3anonymousza32804ze3ze1zz__evaluate_compz00,
																																																													(int)
																																																													(((long) 1)), (int) (((long) 3)));
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32804ze3z83_13706,
																																																													(int)
																																																													(((long) 0)), BgL_a1z00_3408);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32804ze3z83_13706,
																																																													(int)
																																																													(((long) 1)), BgL_a2z00_3409);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32804ze3z83_13706,
																																																													(int)
																																																													(((long) 2)), BgL_locz00_193);
																																																												return
																																																													BgL_zc3anonymousza32804ze3z83_13706;
																																																											}
																																																										}
																																																									else
																																																										{	/* Eval/evaluate_comp.scm 1014 */
																																																											if ((BgL_valz00_3171 == BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
																																																												{	/* Eval/evaluate_comp.scm 1014 */
																																																													obj_t
																																																														BgL_a1z00_3418;
																																																													obj_t
																																																														BgL_a2z00_3419;
																																																													BgL_a1z00_3418
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a1z00_3175), BgL_stkz00_196);
																																																													BgL_a2z00_3419
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a2z00_3176), BgL_stkz00_196);
																																																													{	/* Eval/evaluate_comp.scm 1014 */
																																																														obj_t
																																																															BgL_zc3anonymousza32808ze3z83_13707;
																																																														BgL_zc3anonymousza32808ze3z83_13707
																																																															=
																																																															MAKE_FX_PROCEDURE
																																																															(BGl_z62zc3anonymousza32808ze3ze1zz__evaluate_compz00,
																																																															(int)
																																																															(((long) 1)), (int) (((long) 3)));
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32808ze3z83_13707,
																																																															(int)
																																																															(((long) 0)), BgL_a1z00_3418);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32808ze3z83_13707,
																																																															(int)
																																																															(((long) 1)), BgL_a2z00_3419);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32808ze3z83_13707,
																																																															(int)
																																																															(((long) 2)), BgL_locz00_193);
																																																														return
																																																															BgL_zc3anonymousza32808ze3z83_13707;
																																																													}
																																																												}
																																																											else
																																																												{	/* Eval/evaluate_comp.scm 1014 */
																																																													if ((BgL_valz00_3171 == BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
																																																														{	/* Eval/evaluate_comp.scm 1014 */
																																																															obj_t
																																																																BgL_a1z00_3428;
																																																															obj_t
																																																																BgL_a2z00_3429;
																																																															BgL_a1z00_3428
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a1z00_3175), BgL_stkz00_196);
																																																															BgL_a2z00_3429
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a2z00_3176), BgL_stkz00_196);
																																																															{	/* Eval/evaluate_comp.scm 1014 */
																																																																obj_t
																																																																	BgL_zc3anonymousza32812ze3z83_13708;
																																																																BgL_zc3anonymousza32812ze3z83_13708
																																																																	=
																																																																	MAKE_FX_PROCEDURE
																																																																	(BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00,
																																																																	(int)
																																																																	(((long) 1)), (int) (((long) 3)));
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32812ze3z83_13708,
																																																																	(int)
																																																																	(((long) 0)), BgL_a1z00_3428);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32812ze3z83_13708,
																																																																	(int)
																																																																	(((long) 1)), BgL_a2z00_3429);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32812ze3z83_13708,
																																																																	(int)
																																																																	(((long) 2)), BgL_locz00_193);
																																																																return
																																																																	BgL_zc3anonymousza32812ze3z83_13708;
																																																															}
																																																														}
																																																													else
																																																														{	/* Eval/evaluate_comp.scm 1014 */
																																																															if ((BgL_valz00_3171 == BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
																																																																{	/* Eval/evaluate_comp.scm 1014 */
																																																																	obj_t
																																																																		BgL_a1z00_3438;
																																																																	obj_t
																																																																		BgL_a2z00_3439;
																																																																	BgL_a1z00_3438
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_3175), BgL_stkz00_196);
																																																																	BgL_a2z00_3439
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_3176), BgL_stkz00_196);
																																																																	{	/* Eval/evaluate_comp.scm 1014 */
																																																																		obj_t
																																																																			BgL_zc3anonymousza32816ze3z83_13709;
																																																																		BgL_zc3anonymousza32816ze3z83_13709
																																																																			=
																																																																			MAKE_FX_PROCEDURE
																																																																			(BGl_z62zc3anonymousza32816ze3ze1zz__evaluate_compz00,
																																																																			(int)
																																																																			(((long) 1)), (int) (((long) 3)));
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32816ze3z83_13709,
																																																																			(int)
																																																																			(((long) 0)), BgL_a1z00_3438);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32816ze3z83_13709,
																																																																			(int)
																																																																			(((long) 1)), BgL_a2z00_3439);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32816ze3z83_13709,
																																																																			(int)
																																																																			(((long) 2)), BgL_locz00_193);
																																																																		return
																																																																			BgL_zc3anonymousza32816ze3z83_13709;
																																																																	}
																																																																}
																																																															else
																																																																{	/* Eval/evaluate_comp.scm 1014 */
																																																																	if ((BgL_valz00_3171 == BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
																																																																		{	/* Eval/evaluate_comp.scm 1014 */
																																																																			obj_t
																																																																				BgL_a1z00_3448;
																																																																			obj_t
																																																																				BgL_a2z00_3449;
																																																																			BgL_a1z00_3448
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_3175), BgL_stkz00_196);
																																																																			BgL_a2z00_3449
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_3176), BgL_stkz00_196);
																																																																			{	/* Eval/evaluate_comp.scm 1014 */
																																																																				obj_t
																																																																					BgL_zc3anonymousza32820ze3z83_13710;
																																																																				BgL_zc3anonymousza32820ze3z83_13710
																																																																					=
																																																																					MAKE_FX_PROCEDURE
																																																																					(BGl_z62zc3anonymousza32820ze3ze1zz__evaluate_compz00,
																																																																					(int)
																																																																					(((long) 1)), (int) (((long) 2)));
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza32820ze3z83_13710,
																																																																					(int)
																																																																					(((long) 0)), BgL_a1z00_3448);
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza32820ze3z83_13710,
																																																																					(int)
																																																																					(((long) 1)), BgL_a2z00_3449);
																																																																				return
																																																																					BgL_zc3anonymousza32820ze3z83_13710;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Eval/evaluate_comp.scm 1014 */
																																																																			if ((BgL_valz00_3171 == BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
																																																																				{	/* Eval/evaluate_comp.scm 1014 */
																																																																					obj_t
																																																																						BgL_a1z00_3456;
																																																																					obj_t
																																																																						BgL_a2z00_3457;
																																																																					BgL_a1z00_3456
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_3175), BgL_stkz00_196);
																																																																					BgL_a2z00_3457
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_3176), BgL_stkz00_196);
																																																																					{	/* Eval/evaluate_comp.scm 1014 */
																																																																						obj_t
																																																																							BgL_zc3anonymousza32822ze3z83_13711;
																																																																						BgL_zc3anonymousza32822ze3z83_13711
																																																																							=
																																																																							MAKE_FX_PROCEDURE
																																																																							(BGl_z62zc3anonymousza32822ze3ze1zz__evaluate_compz00,
																																																																							(int)
																																																																							(((long) 1)), (int) (((long) 2)));
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza32822ze3z83_13711,
																																																																							(int)
																																																																							(((long) 0)), BgL_a1z00_3456);
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza32822ze3z83_13711,
																																																																							(int)
																																																																							(((long) 1)), BgL_a2z00_3457);
																																																																						return
																																																																							BgL_zc3anonymousza32822ze3z83_13711;
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Eval/evaluate_comp.scm 1014 */
																																																																					return
																																																																						BFALSE;
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 1012 */
											return BFALSE;
										}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 1007 */
						return BFALSE;
					}
			}
		}
	}



/* &<anonymous:2712> */
	obj_t BGl_z62zc3anonymousza32712ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13715, obj_t BgL_sz00_13719)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13716;
				obj_t BgL_a2z00_13717;
				obj_t BgL_locz00_13718;

				BgL_a1z00_13716 = PROCEDURE_REF(BgL_envz00_13715, (int) (((long) 0)));
				BgL_a2z00_13717 = PROCEDURE_REF(BgL_envz00_13715, (int) (((long) 1)));
				BgL_locz00_13718 = PROCEDURE_REF(BgL_envz00_13715, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					obj_t BgL_bpz00_16245;

					BgL_bpz00_16245 = VECTOR_REF(BgL_sz00_13719, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_a1z00_16246;
						obj_t BgL_a2z00_16247;

						BgL_a1z00_16246 =
							PROCEDURE_ENTRY(BgL_a1z00_13716) (BgL_a1z00_13716, BgL_sz00_13719,
							BEOA);
						BgL_a2z00_16247 =
							PROCEDURE_ENTRY(BgL_a2z00_13717) (BgL_a2z00_13717, BgL_sz00_13719,
							BEOA);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16246))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5719z00zz__evaluate_compz00,
									BGl_symbol5721z00zz__evaluate_compz00, BgL_a1z00_16246,
									BgL_locz00_13718);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16247))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5719z00zz__evaluate_compz00,
									BGl_symbol5721z00zz__evaluate_compz00, BgL_a2z00_16247,
									BgL_locz00_13718);
							}
						return
							BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_16246,
							BgL_a2z00_16247);
					}
				}
			}
		}
	}



/* &<anonymous:2716> */
	obj_t BGl_z62zc3anonymousza32716ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13720, obj_t BgL_sz00_13724)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13721;
				obj_t BgL_a2z00_13722;
				obj_t BgL_locz00_13723;

				BgL_a1z00_13721 = PROCEDURE_REF(BgL_envz00_13720, (int) (((long) 0)));
				BgL_a2z00_13722 = PROCEDURE_REF(BgL_envz00_13720, (int) (((long) 1)));
				BgL_locz00_13723 = PROCEDURE_REF(BgL_envz00_13720, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					obj_t BgL_bpz00_16248;

					BgL_bpz00_16248 = VECTOR_REF(BgL_sz00_13724, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_a1z00_16249;
						obj_t BgL_a2z00_16250;

						BgL_a1z00_16249 =
							PROCEDURE_ENTRY(BgL_a1z00_13721) (BgL_a1z00_13721, BgL_sz00_13724,
							BEOA);
						BgL_a2z00_16250 =
							PROCEDURE_ENTRY(BgL_a2z00_13722) (BgL_a2z00_13722, BgL_sz00_13724,
							BEOA);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16249))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5723z00zz__evaluate_compz00,
									BGl_symbol5721z00zz__evaluate_compz00, BgL_a1z00_16249,
									BgL_locz00_13723);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16250))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5723z00zz__evaluate_compz00,
									BGl_symbol5721z00zz__evaluate_compz00, BgL_a2z00_16250,
									BgL_locz00_13723);
							}
						return
							BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_16249,
							BgL_a2z00_16250);
					}
				}
			}
		}
	}



/* &<anonymous:2720> */
	obj_t BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13725, obj_t BgL_sz00_13729)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13726;
				obj_t BgL_a2z00_13727;
				obj_t BgL_locz00_13728;

				BgL_a1z00_13726 = PROCEDURE_REF(BgL_envz00_13725, (int) (((long) 0)));
				BgL_a2z00_13727 = PROCEDURE_REF(BgL_envz00_13725, (int) (((long) 1)));
				BgL_locz00_13728 = PROCEDURE_REF(BgL_envz00_13725, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					obj_t BgL_bpz00_16251;

					BgL_bpz00_16251 = VECTOR_REF(BgL_sz00_13729, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_a1z00_16252;
						obj_t BgL_a2z00_16253;

						BgL_a1z00_16252 =
							PROCEDURE_ENTRY(BgL_a1z00_13726) (BgL_a1z00_13726, BgL_sz00_13729,
							BEOA);
						BgL_a2z00_16253 =
							PROCEDURE_ENTRY(BgL_a2z00_13727) (BgL_a2z00_13727, BgL_sz00_13729,
							BEOA);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16252))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5725z00zz__evaluate_compz00,
									BGl_symbol5721z00zz__evaluate_compz00, BgL_a1z00_16252,
									BgL_locz00_13728);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16253))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5725z00zz__evaluate_compz00,
									BGl_symbol5721z00zz__evaluate_compz00, BgL_a2z00_16253,
									BgL_locz00_13728);
							}
						return
							BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_16252,
							BgL_a2z00_16253);
					}
				}
			}
		}
	}



/* &<anonymous:2724> */
	obj_t BGl_z62zc3anonymousza32724ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13730, obj_t BgL_sz00_13734)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13731;
				obj_t BgL_a2z00_13732;
				obj_t BgL_locz00_13733;

				BgL_a1z00_13731 = PROCEDURE_REF(BgL_envz00_13730, (int) (((long) 0)));
				BgL_a2z00_13732 = PROCEDURE_REF(BgL_envz00_13730, (int) (((long) 1)));
				BgL_locz00_13733 = PROCEDURE_REF(BgL_envz00_13730, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					obj_t BgL_bpz00_16254;

					BgL_bpz00_16254 = VECTOR_REF(BgL_sz00_13734, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_a1z00_16255;
						obj_t BgL_a2z00_16256;

						BgL_a1z00_16255 =
							PROCEDURE_ENTRY(BgL_a1z00_13731) (BgL_a1z00_13731, BgL_sz00_13734,
							BEOA);
						BgL_a2z00_16256 =
							PROCEDURE_ENTRY(BgL_a2z00_13732) (BgL_a2z00_13732, BgL_sz00_13734,
							BEOA);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16255))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5727z00zz__evaluate_compz00,
									BGl_symbol5721z00zz__evaluate_compz00, BgL_a1z00_16255,
									BgL_locz00_13733);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16256))
							{	/* Eval/evaluate_comp.scm 1014 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1014 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5727z00zz__evaluate_compz00,
									BGl_symbol5721z00zz__evaluate_compz00, BgL_a2z00_16256,
									BgL_locz00_13733);
							}
						return
							BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_16255,
							BgL_a2z00_16256);
					}
				}
			}
		}
	}



/* &<anonymous:2728> */
	obj_t BGl_z62zc3anonymousza32728ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13735, obj_t BgL_sz00_13739)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13736;
				obj_t BgL_a2z00_13737;
				obj_t BgL_locz00_13738;

				BgL_a1z00_13736 = PROCEDURE_REF(BgL_envz00_13735, (int) (((long) 0)));
				BgL_a2z00_13737 = PROCEDURE_REF(BgL_envz00_13735, (int) (((long) 1)));
				BgL_locz00_13738 = PROCEDURE_REF(BgL_envz00_13735, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24412;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16257;

						BgL_bpz00_16257 = VECTOR_REF(BgL_sz00_13739, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16258;
							obj_t BgL_a2z00_16259;

							BgL_a1z00_16258 =
								PROCEDURE_ENTRY(BgL_a1z00_13736) (BgL_a1z00_13736,
								BgL_sz00_13739, BEOA);
							BgL_a2z00_16259 =
								PROCEDURE_ENTRY(BgL_a2z00_13737) (BgL_a2z00_13737,
								BgL_sz00_13739, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16258))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5729z00zz__evaluate_compz00,
										BGl_symbol5721z00zz__evaluate_compz00, BgL_a1z00_16258,
										BgL_locz00_13738);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16259))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5729z00zz__evaluate_compz00,
										BGl_symbol5721z00zz__evaluate_compz00, BgL_a2z00_16259,
										BgL_locz00_13738);
								}
							BgL_tmpz00_24412 =
								BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_16258,
								BgL_a2z00_16259);
						}
					}
					return BBOOL(BgL_tmpz00_24412);
				}
			}
		}
	}



/* &<anonymous:2732> */
	obj_t BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13740, obj_t BgL_sz00_13744)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13741;
				obj_t BgL_a2z00_13742;
				obj_t BgL_locz00_13743;

				BgL_a1z00_13741 = PROCEDURE_REF(BgL_envz00_13740, (int) (((long) 0)));
				BgL_a2z00_13742 = PROCEDURE_REF(BgL_envz00_13740, (int) (((long) 1)));
				BgL_locz00_13743 = PROCEDURE_REF(BgL_envz00_13740, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24437;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16260;

						BgL_bpz00_16260 = VECTOR_REF(BgL_sz00_13744, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16261;
							obj_t BgL_a2z00_16262;

							BgL_a1z00_16261 =
								PROCEDURE_ENTRY(BgL_a1z00_13741) (BgL_a1z00_13741,
								BgL_sz00_13744, BEOA);
							BgL_a2z00_16262 =
								PROCEDURE_ENTRY(BgL_a2z00_13742) (BgL_a2z00_13742,
								BgL_sz00_13744, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16261))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5731z00zz__evaluate_compz00,
										BGl_symbol5721z00zz__evaluate_compz00, BgL_a1z00_16261,
										BgL_locz00_13743);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16262))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5731z00zz__evaluate_compz00,
										BGl_symbol5721z00zz__evaluate_compz00, BgL_a2z00_16262,
										BgL_locz00_13743);
								}
							BgL_tmpz00_24437 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_16261,
								BgL_a2z00_16262);
						}
					}
					return BBOOL(BgL_tmpz00_24437);
				}
			}
		}
	}



/* &<anonymous:2736> */
	obj_t BGl_z62zc3anonymousza32736ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13745, obj_t BgL_sz00_13749)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13746;
				obj_t BgL_a2z00_13747;
				obj_t BgL_locz00_13748;

				BgL_a1z00_13746 = PROCEDURE_REF(BgL_envz00_13745, (int) (((long) 0)));
				BgL_a2z00_13747 = PROCEDURE_REF(BgL_envz00_13745, (int) (((long) 1)));
				BgL_locz00_13748 = PROCEDURE_REF(BgL_envz00_13745, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24462;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16263;

						BgL_bpz00_16263 = VECTOR_REF(BgL_sz00_13749, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16264;
							obj_t BgL_a2z00_16265;

							BgL_a1z00_16264 =
								PROCEDURE_ENTRY(BgL_a1z00_13746) (BgL_a1z00_13746,
								BgL_sz00_13749, BEOA);
							BgL_a2z00_16265 =
								PROCEDURE_ENTRY(BgL_a2z00_13747) (BgL_a2z00_13747,
								BgL_sz00_13749, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16264))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5733z00zz__evaluate_compz00,
										BGl_symbol5721z00zz__evaluate_compz00, BgL_a1z00_16264,
										BgL_locz00_13748);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16265))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5733z00zz__evaluate_compz00,
										BGl_symbol5721z00zz__evaluate_compz00, BgL_a2z00_16265,
										BgL_locz00_13748);
								}
							BgL_tmpz00_24462 =
								BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_16264,
								BgL_a2z00_16265);
						}
					}
					return BBOOL(BgL_tmpz00_24462);
				}
			}
		}
	}



/* &<anonymous:2740> */
	obj_t BGl_z62zc3anonymousza32740ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13750, obj_t BgL_sz00_13754)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13751;
				obj_t BgL_a2z00_13752;
				obj_t BgL_locz00_13753;

				BgL_a1z00_13751 = PROCEDURE_REF(BgL_envz00_13750, (int) (((long) 0)));
				BgL_a2z00_13752 = PROCEDURE_REF(BgL_envz00_13750, (int) (((long) 1)));
				BgL_locz00_13753 = PROCEDURE_REF(BgL_envz00_13750, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24487;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16266;

						BgL_bpz00_16266 = VECTOR_REF(BgL_sz00_13754, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16267;
							obj_t BgL_a2z00_16268;

							BgL_a1z00_16267 =
								PROCEDURE_ENTRY(BgL_a1z00_13751) (BgL_a1z00_13751,
								BgL_sz00_13754, BEOA);
							BgL_a2z00_16268 =
								PROCEDURE_ENTRY(BgL_a2z00_13752) (BgL_a2z00_13752,
								BgL_sz00_13754, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16267))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5735z00zz__evaluate_compz00,
										BGl_symbol5721z00zz__evaluate_compz00, BgL_a1z00_16267,
										BgL_locz00_13753);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16268))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5735z00zz__evaluate_compz00,
										BGl_symbol5721z00zz__evaluate_compz00, BgL_a2z00_16268,
										BgL_locz00_13753);
								}
							BgL_tmpz00_24487 =
								BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_16267,
								BgL_a2z00_16268);
						}
					}
					return BBOOL(BgL_tmpz00_24487);
				}
			}
		}
	}



/* &<anonymous:2744> */
	obj_t BGl_z62zc3anonymousza32744ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13755, obj_t BgL_sz00_13759)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13756;
				obj_t BgL_a2z00_13757;
				obj_t BgL_locz00_13758;

				BgL_a1z00_13756 = PROCEDURE_REF(BgL_envz00_13755, (int) (((long) 0)));
				BgL_a2z00_13757 = PROCEDURE_REF(BgL_envz00_13755, (int) (((long) 1)));
				BgL_locz00_13758 = PROCEDURE_REF(BgL_envz00_13755, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24512;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16269;

						BgL_bpz00_16269 = VECTOR_REF(BgL_sz00_13759, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16270;
							obj_t BgL_a2z00_16271;

							BgL_a1z00_16270 =
								PROCEDURE_ENTRY(BgL_a1z00_13756) (BgL_a1z00_13756,
								BgL_sz00_13759, BEOA);
							BgL_a2z00_16271 =
								PROCEDURE_ENTRY(BgL_a2z00_13757) (BgL_a2z00_13757,
								BgL_sz00_13759, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16270))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5737z00zz__evaluate_compz00,
										BGl_symbol5721z00zz__evaluate_compz00, BgL_a1z00_16270,
										BgL_locz00_13758);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16271))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5737z00zz__evaluate_compz00,
										BGl_symbol5721z00zz__evaluate_compz00, BgL_a2z00_16271,
										BgL_locz00_13758);
								}
							BgL_tmpz00_24512 =
								BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_16270,
								BgL_a2z00_16271);
						}
					}
					return BBOOL(BgL_tmpz00_24512);
				}
			}
		}
	}



/* &<anonymous:2748> */
	obj_t BGl_z62zc3anonymousza32748ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13760, obj_t BgL_sz00_13764)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13761;
				obj_t BgL_a2z00_13762;
				obj_t BgL_locz00_13763;

				BgL_a1z00_13761 = PROCEDURE_REF(BgL_envz00_13760, (int) (((long) 0)));
				BgL_a2z00_13762 = PROCEDURE_REF(BgL_envz00_13760, (int) (((long) 1)));
				BgL_locz00_13763 = PROCEDURE_REF(BgL_envz00_13760, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					long BgL_tmpz00_24537;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16272;

						BgL_bpz00_16272 = VECTOR_REF(BgL_sz00_13764, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16273;
							obj_t BgL_a2z00_16274;

							BgL_a1z00_16273 =
								PROCEDURE_ENTRY(BgL_a1z00_13761) (BgL_a1z00_13761,
								BgL_sz00_13764, BEOA);
							BgL_a2z00_16274 =
								PROCEDURE_ENTRY(BgL_a2z00_13762) (BgL_a2z00_13762,
								BgL_sz00_13764, BEOA);
							if (INTEGERP(BgL_a1z00_16273))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5739z00zz__evaluate_compz00,
										BGl_symbol5741z00zz__evaluate_compz00, BgL_a1z00_16273,
										BgL_locz00_13763);
								}
							if (INTEGERP(BgL_a2z00_16274))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5739z00zz__evaluate_compz00,
										BGl_symbol5741z00zz__evaluate_compz00, BgL_a2z00_16274,
										BgL_locz00_13763);
								}
							BgL_tmpz00_24537 =
								((long) CINT(BgL_a1z00_16273) + (long) CINT(BgL_a2z00_16274));
					}}
					return BINT(BgL_tmpz00_24537);
				}
			}
		}
	}



/* &<anonymous:2752> */
	obj_t BGl_z62zc3anonymousza32752ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13765, obj_t BgL_sz00_13769)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13766;
				obj_t BgL_a2z00_13767;
				obj_t BgL_locz00_13768;

				BgL_a1z00_13766 = PROCEDURE_REF(BgL_envz00_13765, (int) (((long) 0)));
				BgL_a2z00_13767 = PROCEDURE_REF(BgL_envz00_13765, (int) (((long) 1)));
				BgL_locz00_13768 = PROCEDURE_REF(BgL_envz00_13765, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					long BgL_tmpz00_24564;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16275;

						BgL_bpz00_16275 = VECTOR_REF(BgL_sz00_13769, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16276;
							obj_t BgL_a2z00_16277;

							BgL_a1z00_16276 =
								PROCEDURE_ENTRY(BgL_a1z00_13766) (BgL_a1z00_13766,
								BgL_sz00_13769, BEOA);
							BgL_a2z00_16277 =
								PROCEDURE_ENTRY(BgL_a2z00_13767) (BgL_a2z00_13767,
								BgL_sz00_13769, BEOA);
							if (INTEGERP(BgL_a1z00_16276))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5743z00zz__evaluate_compz00,
										BGl_symbol5741z00zz__evaluate_compz00, BgL_a1z00_16276,
										BgL_locz00_13768);
								}
							if (INTEGERP(BgL_a2z00_16277))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5743z00zz__evaluate_compz00,
										BGl_symbol5741z00zz__evaluate_compz00, BgL_a2z00_16277,
										BgL_locz00_13768);
								}
							BgL_tmpz00_24564 =
								((long) CINT(BgL_a1z00_16276) - (long) CINT(BgL_a2z00_16277));
					}}
					return BINT(BgL_tmpz00_24564);
				}
			}
		}
	}



/* &<anonymous:2756> */
	obj_t BGl_z62zc3anonymousza32756ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13770, obj_t BgL_sz00_13774)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13771;
				obj_t BgL_a2z00_13772;
				obj_t BgL_locz00_13773;

				BgL_a1z00_13771 = PROCEDURE_REF(BgL_envz00_13770, (int) (((long) 0)));
				BgL_a2z00_13772 = PROCEDURE_REF(BgL_envz00_13770, (int) (((long) 1)));
				BgL_locz00_13773 = PROCEDURE_REF(BgL_envz00_13770, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					long BgL_tmpz00_24591;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16278;

						BgL_bpz00_16278 = VECTOR_REF(BgL_sz00_13774, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16279;
							obj_t BgL_a2z00_16280;

							BgL_a1z00_16279 =
								PROCEDURE_ENTRY(BgL_a1z00_13771) (BgL_a1z00_13771,
								BgL_sz00_13774, BEOA);
							BgL_a2z00_16280 =
								PROCEDURE_ENTRY(BgL_a2z00_13772) (BgL_a2z00_13772,
								BgL_sz00_13774, BEOA);
							if (INTEGERP(BgL_a1z00_16279))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5745z00zz__evaluate_compz00,
										BGl_symbol5741z00zz__evaluate_compz00, BgL_a1z00_16279,
										BgL_locz00_13773);
								}
							if (INTEGERP(BgL_a2z00_16280))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5745z00zz__evaluate_compz00,
										BGl_symbol5741z00zz__evaluate_compz00, BgL_a2z00_16280,
										BgL_locz00_13773);
								}
							BgL_tmpz00_24591 =
								((long) CINT(BgL_a1z00_16279) * (long) CINT(BgL_a2z00_16280));
					}}
					return BINT(BgL_tmpz00_24591);
				}
			}
		}
	}



/* &<anonymous:2760> */
	obj_t BGl_z62zc3anonymousza32760ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13775, obj_t BgL_sz00_13779)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13776;
				obj_t BgL_a2z00_13777;
				obj_t BgL_locz00_13778;

				BgL_a1z00_13776 = PROCEDURE_REF(BgL_envz00_13775, (int) (((long) 0)));
				BgL_a2z00_13777 = PROCEDURE_REF(BgL_envz00_13775, (int) (((long) 1)));
				BgL_locz00_13778 = PROCEDURE_REF(BgL_envz00_13775, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					long BgL_tmpz00_24618;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16281;

						BgL_bpz00_16281 = VECTOR_REF(BgL_sz00_13779, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16282;
							obj_t BgL_a2z00_16283;

							BgL_a1z00_16282 =
								PROCEDURE_ENTRY(BgL_a1z00_13776) (BgL_a1z00_13776,
								BgL_sz00_13779, BEOA);
							BgL_a2z00_16283 =
								PROCEDURE_ENTRY(BgL_a2z00_13777) (BgL_a2z00_13777,
								BgL_sz00_13779, BEOA);
							if (INTEGERP(BgL_a1z00_16282))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5747z00zz__evaluate_compz00,
										BGl_symbol5741z00zz__evaluate_compz00, BgL_a1z00_16282,
										BgL_locz00_13778);
								}
							if (INTEGERP(BgL_a2z00_16283))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5747z00zz__evaluate_compz00,
										BGl_symbol5741z00zz__evaluate_compz00, BgL_a2z00_16283,
										BgL_locz00_13778);
								}
							BgL_tmpz00_24618 =
								((long) CINT(BgL_a1z00_16282) / (long) CINT(BgL_a2z00_16283));
					}}
					return BINT(BgL_tmpz00_24618);
				}
			}
		}
	}



/* &<anonymous:2764> */
	obj_t BGl_z62zc3anonymousza32764ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13780, obj_t BgL_sz00_13784)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13781;
				obj_t BgL_a2z00_13782;
				obj_t BgL_locz00_13783;

				BgL_a1z00_13781 = PROCEDURE_REF(BgL_envz00_13780, (int) (((long) 0)));
				BgL_a2z00_13782 = PROCEDURE_REF(BgL_envz00_13780, (int) (((long) 1)));
				BgL_locz00_13783 = PROCEDURE_REF(BgL_envz00_13780, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24645;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16284;

						BgL_bpz00_16284 = VECTOR_REF(BgL_sz00_13784, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16285;
							obj_t BgL_a2z00_16286;

							BgL_a1z00_16285 =
								PROCEDURE_ENTRY(BgL_a1z00_13781) (BgL_a1z00_13781,
								BgL_sz00_13784, BEOA);
							BgL_a2z00_16286 =
								PROCEDURE_ENTRY(BgL_a2z00_13782) (BgL_a2z00_13782,
								BgL_sz00_13784, BEOA);
							if (INTEGERP(BgL_a1z00_16285))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5749z00zz__evaluate_compz00,
										BGl_symbol5741z00zz__evaluate_compz00, BgL_a1z00_16285,
										BgL_locz00_13783);
								}
							if (INTEGERP(BgL_a2z00_16286))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5749z00zz__evaluate_compz00,
										BGl_symbol5741z00zz__evaluate_compz00, BgL_a2z00_16286,
										BgL_locz00_13783);
								}
							BgL_tmpz00_24645 =
								((long) CINT(BgL_a1z00_16285) < (long) CINT(BgL_a2z00_16286));
					}}
					return BBOOL(BgL_tmpz00_24645);
				}
			}
		}
	}



/* &<anonymous:2768> */
	obj_t BGl_z62zc3anonymousza32768ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13785, obj_t BgL_sz00_13789)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13786;
				obj_t BgL_a2z00_13787;
				obj_t BgL_locz00_13788;

				BgL_a1z00_13786 = PROCEDURE_REF(BgL_envz00_13785, (int) (((long) 0)));
				BgL_a2z00_13787 = PROCEDURE_REF(BgL_envz00_13785, (int) (((long) 1)));
				BgL_locz00_13788 = PROCEDURE_REF(BgL_envz00_13785, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24672;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16287;

						BgL_bpz00_16287 = VECTOR_REF(BgL_sz00_13789, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16288;
							obj_t BgL_a2z00_16289;

							BgL_a1z00_16288 =
								PROCEDURE_ENTRY(BgL_a1z00_13786) (BgL_a1z00_13786,
								BgL_sz00_13789, BEOA);
							BgL_a2z00_16289 =
								PROCEDURE_ENTRY(BgL_a2z00_13787) (BgL_a2z00_13787,
								BgL_sz00_13789, BEOA);
							if (INTEGERP(BgL_a1z00_16288))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5751z00zz__evaluate_compz00,
										BGl_symbol5741z00zz__evaluate_compz00, BgL_a1z00_16288,
										BgL_locz00_13788);
								}
							if (INTEGERP(BgL_a2z00_16289))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5751z00zz__evaluate_compz00,
										BGl_symbol5741z00zz__evaluate_compz00, BgL_a2z00_16289,
										BgL_locz00_13788);
								}
							BgL_tmpz00_24672 =
								((long) CINT(BgL_a1z00_16288) > (long) CINT(BgL_a2z00_16289));
					}}
					return BBOOL(BgL_tmpz00_24672);
				}
			}
		}
	}



/* &<anonymous:2772> */
	obj_t BGl_z62zc3anonymousza32772ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13790, obj_t BgL_sz00_13794)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13791;
				obj_t BgL_a2z00_13792;
				obj_t BgL_locz00_13793;

				BgL_a1z00_13791 = PROCEDURE_REF(BgL_envz00_13790, (int) (((long) 0)));
				BgL_a2z00_13792 = PROCEDURE_REF(BgL_envz00_13790, (int) (((long) 1)));
				BgL_locz00_13793 = PROCEDURE_REF(BgL_envz00_13790, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24699;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16290;

						BgL_bpz00_16290 = VECTOR_REF(BgL_sz00_13794, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16291;
							obj_t BgL_a2z00_16292;

							BgL_a1z00_16291 =
								PROCEDURE_ENTRY(BgL_a1z00_13791) (BgL_a1z00_13791,
								BgL_sz00_13794, BEOA);
							BgL_a2z00_16292 =
								PROCEDURE_ENTRY(BgL_a2z00_13792) (BgL_a2z00_13792,
								BgL_sz00_13794, BEOA);
							if (INTEGERP(BgL_a1z00_16291))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5753z00zz__evaluate_compz00,
										BGl_symbol5741z00zz__evaluate_compz00, BgL_a1z00_16291,
										BgL_locz00_13793);
								}
							if (INTEGERP(BgL_a2z00_16292))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5753z00zz__evaluate_compz00,
										BGl_symbol5741z00zz__evaluate_compz00, BgL_a2z00_16292,
										BgL_locz00_13793);
								}
							BgL_tmpz00_24699 =
								((long) CINT(BgL_a1z00_16291) <= (long) CINT(BgL_a2z00_16292));
					}}
					return BBOOL(BgL_tmpz00_24699);
				}
			}
		}
	}



/* &<anonymous:2776> */
	obj_t BGl_z62zc3anonymousza32776ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13795, obj_t BgL_sz00_13799)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13796;
				obj_t BgL_a2z00_13797;
				obj_t BgL_locz00_13798;

				BgL_a1z00_13796 = PROCEDURE_REF(BgL_envz00_13795, (int) (((long) 0)));
				BgL_a2z00_13797 = PROCEDURE_REF(BgL_envz00_13795, (int) (((long) 1)));
				BgL_locz00_13798 = PROCEDURE_REF(BgL_envz00_13795, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24726;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16293;

						BgL_bpz00_16293 = VECTOR_REF(BgL_sz00_13799, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16294;
							obj_t BgL_a2z00_16295;

							BgL_a1z00_16294 =
								PROCEDURE_ENTRY(BgL_a1z00_13796) (BgL_a1z00_13796,
								BgL_sz00_13799, BEOA);
							BgL_a2z00_16295 =
								PROCEDURE_ENTRY(BgL_a2z00_13797) (BgL_a2z00_13797,
								BgL_sz00_13799, BEOA);
							if (INTEGERP(BgL_a1z00_16294))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5755z00zz__evaluate_compz00,
										BGl_symbol5741z00zz__evaluate_compz00, BgL_a1z00_16294,
										BgL_locz00_13798);
								}
							if (INTEGERP(BgL_a2z00_16295))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5755z00zz__evaluate_compz00,
										BGl_symbol5741z00zz__evaluate_compz00, BgL_a2z00_16295,
										BgL_locz00_13798);
								}
							BgL_tmpz00_24726 =
								((long) CINT(BgL_a1z00_16294) >= (long) CINT(BgL_a2z00_16295));
					}}
					return BBOOL(BgL_tmpz00_24726);
				}
			}
		}
	}



/* &<anonymous:2780> */
	obj_t BGl_z62zc3anonymousza32780ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13800, obj_t BgL_sz00_13804)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13801;
				obj_t BgL_a2z00_13802;
				obj_t BgL_locz00_13803;

				BgL_a1z00_13801 = PROCEDURE_REF(BgL_envz00_13800, (int) (((long) 0)));
				BgL_a2z00_13802 = PROCEDURE_REF(BgL_envz00_13800, (int) (((long) 1)));
				BgL_locz00_13803 = PROCEDURE_REF(BgL_envz00_13800, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24753;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16296;

						BgL_bpz00_16296 = VECTOR_REF(BgL_sz00_13804, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16297;
							obj_t BgL_a2z00_16298;

							BgL_a1z00_16297 =
								PROCEDURE_ENTRY(BgL_a1z00_13801) (BgL_a1z00_13801,
								BgL_sz00_13804, BEOA);
							BgL_a2z00_16298 =
								PROCEDURE_ENTRY(BgL_a2z00_13802) (BgL_a2z00_13802,
								BgL_sz00_13804, BEOA);
							if (INTEGERP(BgL_a1z00_16297))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5757z00zz__evaluate_compz00,
										BGl_symbol5741z00zz__evaluate_compz00, BgL_a1z00_16297,
										BgL_locz00_13803);
								}
							if (INTEGERP(BgL_a2z00_16298))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5757z00zz__evaluate_compz00,
										BGl_symbol5741z00zz__evaluate_compz00, BgL_a2z00_16298,
										BgL_locz00_13803);
								}
							BgL_tmpz00_24753 =
								((long) CINT(BgL_a1z00_16297) == (long) CINT(BgL_a2z00_16298));
					}}
					return BBOOL(BgL_tmpz00_24753);
				}
			}
		}
	}



/* &<anonymous:2784> */
	obj_t BGl_z62zc3anonymousza32784ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13805, obj_t BgL_sz00_13809)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13806;
				obj_t BgL_a2z00_13807;
				obj_t BgL_locz00_13808;

				BgL_a1z00_13806 = PROCEDURE_REF(BgL_envz00_13805, (int) (((long) 0)));
				BgL_a2z00_13807 = PROCEDURE_REF(BgL_envz00_13805, (int) (((long) 1)));
				BgL_locz00_13808 = PROCEDURE_REF(BgL_envz00_13805, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					double BgL_tmpz00_24780;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16299;

						BgL_bpz00_16299 = VECTOR_REF(BgL_sz00_13809, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16300;
							obj_t BgL_a2z00_16301;

							BgL_a1z00_16300 =
								PROCEDURE_ENTRY(BgL_a1z00_13806) (BgL_a1z00_13806,
								BgL_sz00_13809, BEOA);
							BgL_a2z00_16301 =
								PROCEDURE_ENTRY(BgL_a2z00_13807) (BgL_a2z00_13807,
								BgL_sz00_13809, BEOA);
							if (REALP(BgL_a1z00_16300))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5759z00zz__evaluate_compz00,
										BGl_symbol5761z00zz__evaluate_compz00, BgL_a1z00_16300,
										BgL_locz00_13808);
								}
							if (REALP(BgL_a2z00_16301))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5759z00zz__evaluate_compz00,
										BGl_symbol5761z00zz__evaluate_compz00, BgL_a2z00_16301,
										BgL_locz00_13808);
								}
							BgL_tmpz00_24780 =
								(REAL_TO_DOUBLE(BgL_a1z00_16300) +
								REAL_TO_DOUBLE(BgL_a2z00_16301));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_24780);
				}
			}
		}
	}



/* &<anonymous:2788> */
	obj_t BGl_z62zc3anonymousza32788ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13810, obj_t BgL_sz00_13814)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13811;
				obj_t BgL_a2z00_13812;
				obj_t BgL_locz00_13813;

				BgL_a1z00_13811 = PROCEDURE_REF(BgL_envz00_13810, (int) (((long) 0)));
				BgL_a2z00_13812 = PROCEDURE_REF(BgL_envz00_13810, (int) (((long) 1)));
				BgL_locz00_13813 = PROCEDURE_REF(BgL_envz00_13810, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					double BgL_tmpz00_24807;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16302;

						BgL_bpz00_16302 = VECTOR_REF(BgL_sz00_13814, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16303;
							obj_t BgL_a2z00_16304;

							BgL_a1z00_16303 =
								PROCEDURE_ENTRY(BgL_a1z00_13811) (BgL_a1z00_13811,
								BgL_sz00_13814, BEOA);
							BgL_a2z00_16304 =
								PROCEDURE_ENTRY(BgL_a2z00_13812) (BgL_a2z00_13812,
								BgL_sz00_13814, BEOA);
							if (REALP(BgL_a1z00_16303))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5763z00zz__evaluate_compz00,
										BGl_symbol5761z00zz__evaluate_compz00, BgL_a1z00_16303,
										BgL_locz00_13813);
								}
							if (REALP(BgL_a2z00_16304))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5763z00zz__evaluate_compz00,
										BGl_symbol5761z00zz__evaluate_compz00, BgL_a2z00_16304,
										BgL_locz00_13813);
								}
							BgL_tmpz00_24807 =
								(REAL_TO_DOUBLE(BgL_a1z00_16303) -
								REAL_TO_DOUBLE(BgL_a2z00_16304));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_24807);
				}
			}
		}
	}



/* &<anonymous:2792> */
	obj_t BGl_z62zc3anonymousza32792ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13815, obj_t BgL_sz00_13819)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13816;
				obj_t BgL_a2z00_13817;
				obj_t BgL_locz00_13818;

				BgL_a1z00_13816 = PROCEDURE_REF(BgL_envz00_13815, (int) (((long) 0)));
				BgL_a2z00_13817 = PROCEDURE_REF(BgL_envz00_13815, (int) (((long) 1)));
				BgL_locz00_13818 = PROCEDURE_REF(BgL_envz00_13815, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					double BgL_tmpz00_24834;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16305;

						BgL_bpz00_16305 = VECTOR_REF(BgL_sz00_13819, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16306;
							obj_t BgL_a2z00_16307;

							BgL_a1z00_16306 =
								PROCEDURE_ENTRY(BgL_a1z00_13816) (BgL_a1z00_13816,
								BgL_sz00_13819, BEOA);
							BgL_a2z00_16307 =
								PROCEDURE_ENTRY(BgL_a2z00_13817) (BgL_a2z00_13817,
								BgL_sz00_13819, BEOA);
							if (REALP(BgL_a1z00_16306))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5765z00zz__evaluate_compz00,
										BGl_symbol5761z00zz__evaluate_compz00, BgL_a1z00_16306,
										BgL_locz00_13818);
								}
							if (REALP(BgL_a2z00_16307))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5765z00zz__evaluate_compz00,
										BGl_symbol5761z00zz__evaluate_compz00, BgL_a2z00_16307,
										BgL_locz00_13818);
								}
							BgL_tmpz00_24834 =
								(REAL_TO_DOUBLE(BgL_a1z00_16306) *
								REAL_TO_DOUBLE(BgL_a2z00_16307));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_24834);
				}
			}
		}
	}



/* &<anonymous:2796> */
	obj_t BGl_z62zc3anonymousza32796ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13820, obj_t BgL_sz00_13824)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13821;
				obj_t BgL_a2z00_13822;
				obj_t BgL_locz00_13823;

				BgL_a1z00_13821 = PROCEDURE_REF(BgL_envz00_13820, (int) (((long) 0)));
				BgL_a2z00_13822 = PROCEDURE_REF(BgL_envz00_13820, (int) (((long) 1)));
				BgL_locz00_13823 = PROCEDURE_REF(BgL_envz00_13820, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					double BgL_tmpz00_24861;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16308;

						BgL_bpz00_16308 = VECTOR_REF(BgL_sz00_13824, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16309;
							obj_t BgL_a2z00_16310;

							BgL_a1z00_16309 =
								PROCEDURE_ENTRY(BgL_a1z00_13821) (BgL_a1z00_13821,
								BgL_sz00_13824, BEOA);
							BgL_a2z00_16310 =
								PROCEDURE_ENTRY(BgL_a2z00_13822) (BgL_a2z00_13822,
								BgL_sz00_13824, BEOA);
							if (REALP(BgL_a1z00_16309))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5767z00zz__evaluate_compz00,
										BGl_symbol5761z00zz__evaluate_compz00, BgL_a1z00_16309,
										BgL_locz00_13823);
								}
							if (REALP(BgL_a2z00_16310))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5767z00zz__evaluate_compz00,
										BGl_symbol5761z00zz__evaluate_compz00, BgL_a2z00_16310,
										BgL_locz00_13823);
								}
							BgL_tmpz00_24861 =
								(REAL_TO_DOUBLE(BgL_a1z00_16309) /
								REAL_TO_DOUBLE(BgL_a2z00_16310));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_24861);
				}
			}
		}
	}



/* &<anonymous:2800> */
	obj_t BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13825, obj_t BgL_sz00_13829)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13826;
				obj_t BgL_a2z00_13827;
				obj_t BgL_locz00_13828;

				BgL_a1z00_13826 = PROCEDURE_REF(BgL_envz00_13825, (int) (((long) 0)));
				BgL_a2z00_13827 = PROCEDURE_REF(BgL_envz00_13825, (int) (((long) 1)));
				BgL_locz00_13828 = PROCEDURE_REF(BgL_envz00_13825, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24888;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16311;

						BgL_bpz00_16311 = VECTOR_REF(BgL_sz00_13829, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16312;
							obj_t BgL_a2z00_16313;

							BgL_a1z00_16312 =
								PROCEDURE_ENTRY(BgL_a1z00_13826) (BgL_a1z00_13826,
								BgL_sz00_13829, BEOA);
							BgL_a2z00_16313 =
								PROCEDURE_ENTRY(BgL_a2z00_13827) (BgL_a2z00_13827,
								BgL_sz00_13829, BEOA);
							if (REALP(BgL_a1z00_16312))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5769z00zz__evaluate_compz00,
										BGl_symbol5761z00zz__evaluate_compz00, BgL_a1z00_16312,
										BgL_locz00_13828);
								}
							if (REALP(BgL_a2z00_16313))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5769z00zz__evaluate_compz00,
										BGl_symbol5761z00zz__evaluate_compz00, BgL_a2z00_16313,
										BgL_locz00_13828);
								}
							BgL_tmpz00_24888 =
								(REAL_TO_DOUBLE(BgL_a1z00_16312) <
								REAL_TO_DOUBLE(BgL_a2z00_16313));
						}
					}
					return BBOOL(BgL_tmpz00_24888);
				}
			}
		}
	}



/* &<anonymous:2804> */
	obj_t BGl_z62zc3anonymousza32804ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13830, obj_t BgL_sz00_13834)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13831;
				obj_t BgL_a2z00_13832;
				obj_t BgL_locz00_13833;

				BgL_a1z00_13831 = PROCEDURE_REF(BgL_envz00_13830, (int) (((long) 0)));
				BgL_a2z00_13832 = PROCEDURE_REF(BgL_envz00_13830, (int) (((long) 1)));
				BgL_locz00_13833 = PROCEDURE_REF(BgL_envz00_13830, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24915;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16314;

						BgL_bpz00_16314 = VECTOR_REF(BgL_sz00_13834, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16315;
							obj_t BgL_a2z00_16316;

							BgL_a1z00_16315 =
								PROCEDURE_ENTRY(BgL_a1z00_13831) (BgL_a1z00_13831,
								BgL_sz00_13834, BEOA);
							BgL_a2z00_16316 =
								PROCEDURE_ENTRY(BgL_a2z00_13832) (BgL_a2z00_13832,
								BgL_sz00_13834, BEOA);
							if (REALP(BgL_a1z00_16315))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5771z00zz__evaluate_compz00,
										BGl_symbol5761z00zz__evaluate_compz00, BgL_a1z00_16315,
										BgL_locz00_13833);
								}
							if (REALP(BgL_a2z00_16316))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5771z00zz__evaluate_compz00,
										BGl_symbol5761z00zz__evaluate_compz00, BgL_a2z00_16316,
										BgL_locz00_13833);
								}
							BgL_tmpz00_24915 =
								(REAL_TO_DOUBLE(BgL_a1z00_16315) >
								REAL_TO_DOUBLE(BgL_a2z00_16316));
						}
					}
					return BBOOL(BgL_tmpz00_24915);
				}
			}
		}
	}



/* &<anonymous:2808> */
	obj_t BGl_z62zc3anonymousza32808ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13835, obj_t BgL_sz00_13839)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13836;
				obj_t BgL_a2z00_13837;
				obj_t BgL_locz00_13838;

				BgL_a1z00_13836 = PROCEDURE_REF(BgL_envz00_13835, (int) (((long) 0)));
				BgL_a2z00_13837 = PROCEDURE_REF(BgL_envz00_13835, (int) (((long) 1)));
				BgL_locz00_13838 = PROCEDURE_REF(BgL_envz00_13835, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24942;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16317;

						BgL_bpz00_16317 = VECTOR_REF(BgL_sz00_13839, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16318;
							obj_t BgL_a2z00_16319;

							BgL_a1z00_16318 =
								PROCEDURE_ENTRY(BgL_a1z00_13836) (BgL_a1z00_13836,
								BgL_sz00_13839, BEOA);
							BgL_a2z00_16319 =
								PROCEDURE_ENTRY(BgL_a2z00_13837) (BgL_a2z00_13837,
								BgL_sz00_13839, BEOA);
							if (REALP(BgL_a1z00_16318))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5773z00zz__evaluate_compz00,
										BGl_symbol5761z00zz__evaluate_compz00, BgL_a1z00_16318,
										BgL_locz00_13838);
								}
							if (REALP(BgL_a2z00_16319))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5773z00zz__evaluate_compz00,
										BGl_symbol5761z00zz__evaluate_compz00, BgL_a2z00_16319,
										BgL_locz00_13838);
								}
							BgL_tmpz00_24942 =
								(REAL_TO_DOUBLE(BgL_a1z00_16318) <=
								REAL_TO_DOUBLE(BgL_a2z00_16319));
						}
					}
					return BBOOL(BgL_tmpz00_24942);
				}
			}
		}
	}



/* &<anonymous:2812> */
	obj_t BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13840, obj_t BgL_sz00_13844)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13841;
				obj_t BgL_a2z00_13842;
				obj_t BgL_locz00_13843;

				BgL_a1z00_13841 = PROCEDURE_REF(BgL_envz00_13840, (int) (((long) 0)));
				BgL_a2z00_13842 = PROCEDURE_REF(BgL_envz00_13840, (int) (((long) 1)));
				BgL_locz00_13843 = PROCEDURE_REF(BgL_envz00_13840, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24969;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16320;

						BgL_bpz00_16320 = VECTOR_REF(BgL_sz00_13844, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16321;
							obj_t BgL_a2z00_16322;

							BgL_a1z00_16321 =
								PROCEDURE_ENTRY(BgL_a1z00_13841) (BgL_a1z00_13841,
								BgL_sz00_13844, BEOA);
							BgL_a2z00_16322 =
								PROCEDURE_ENTRY(BgL_a2z00_13842) (BgL_a2z00_13842,
								BgL_sz00_13844, BEOA);
							if (REALP(BgL_a1z00_16321))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5775z00zz__evaluate_compz00,
										BGl_symbol5761z00zz__evaluate_compz00, BgL_a1z00_16321,
										BgL_locz00_13843);
								}
							if (REALP(BgL_a2z00_16322))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5775z00zz__evaluate_compz00,
										BGl_symbol5761z00zz__evaluate_compz00, BgL_a2z00_16322,
										BgL_locz00_13843);
								}
							BgL_tmpz00_24969 =
								(REAL_TO_DOUBLE(BgL_a1z00_16321) >=
								REAL_TO_DOUBLE(BgL_a2z00_16322));
						}
					}
					return BBOOL(BgL_tmpz00_24969);
				}
			}
		}
	}



/* &<anonymous:2816> */
	obj_t BGl_z62zc3anonymousza32816ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13845, obj_t BgL_sz00_13849)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13846;
				obj_t BgL_a2z00_13847;
				obj_t BgL_locz00_13848;

				BgL_a1z00_13846 = PROCEDURE_REF(BgL_envz00_13845, (int) (((long) 0)));
				BgL_a2z00_13847 = PROCEDURE_REF(BgL_envz00_13845, (int) (((long) 1)));
				BgL_locz00_13848 = PROCEDURE_REF(BgL_envz00_13845, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_24996;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16323;

						BgL_bpz00_16323 = VECTOR_REF(BgL_sz00_13849, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16324;
							obj_t BgL_a2z00_16325;

							BgL_a1z00_16324 =
								PROCEDURE_ENTRY(BgL_a1z00_13846) (BgL_a1z00_13846,
								BgL_sz00_13849, BEOA);
							BgL_a2z00_16325 =
								PROCEDURE_ENTRY(BgL_a2z00_13847) (BgL_a2z00_13847,
								BgL_sz00_13849, BEOA);
							if (REALP(BgL_a1z00_16324))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5777z00zz__evaluate_compz00,
										BGl_symbol5761z00zz__evaluate_compz00, BgL_a1z00_16324,
										BgL_locz00_13848);
								}
							if (REALP(BgL_a2z00_16325))
								{	/* Eval/evaluate_comp.scm 1014 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1014 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5777z00zz__evaluate_compz00,
										BGl_symbol5761z00zz__evaluate_compz00, BgL_a2z00_16325,
										BgL_locz00_13848);
								}
							BgL_tmpz00_24996 =
								(REAL_TO_DOUBLE(BgL_a1z00_16324) ==
								REAL_TO_DOUBLE(BgL_a2z00_16325));
						}
					}
					return BBOOL(BgL_tmpz00_24996);
				}
			}
		}
	}



/* &<anonymous:2820> */
	obj_t BGl_z62zc3anonymousza32820ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13850, obj_t BgL_sz00_13853)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13851;
				obj_t BgL_a2z00_13852;

				BgL_a1z00_13851 = PROCEDURE_REF(BgL_envz00_13850, (int) (((long) 0)));
				BgL_a2z00_13852 = PROCEDURE_REF(BgL_envz00_13850, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1014 */
					bool_t BgL_tmpz00_25021;

					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_bpz00_16326;

						BgL_bpz00_16326 = VECTOR_REF(BgL_sz00_13853, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1014 */
							obj_t BgL_a1z00_16327;
							obj_t BgL_a2z00_16328;

							BgL_a1z00_16327 =
								PROCEDURE_ENTRY(BgL_a1z00_13851) (BgL_a1z00_13851,
								BgL_sz00_13853, BEOA);
							BgL_a2z00_16328 =
								PROCEDURE_ENTRY(BgL_a2z00_13852) (BgL_a2z00_13852,
								BgL_sz00_13853, BEOA);
							BgL_tmpz00_25021 = (BgL_a1z00_16327 == BgL_a2z00_16328);
					}}
					return BBOOL(BgL_tmpz00_25021);
				}
			}
		}
	}



/* &<anonymous:2822> */
	obj_t BGl_z62zc3anonymousza32822ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13854, obj_t BgL_sz00_13857)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1014 */
			{	/* Eval/evaluate_comp.scm 1014 */
				obj_t BgL_a1z00_13855;
				obj_t BgL_a2z00_13856;

				BgL_a1z00_13855 = PROCEDURE_REF(BgL_envz00_13854, (int) (((long) 0)));
				BgL_a2z00_13856 = PROCEDURE_REF(BgL_envz00_13854, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1014 */
					obj_t BgL_bpz00_16329;

					BgL_bpz00_16329 = VECTOR_REF(BgL_sz00_13857, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1014 */
						obj_t BgL_a1z00_16330;
						obj_t BgL_a2z00_16331;

						BgL_a1z00_16330 =
							PROCEDURE_ENTRY(BgL_a1z00_13855) (BgL_a1z00_13855, BgL_sz00_13857,
							BEOA);
						BgL_a2z00_16331 =
							PROCEDURE_ENTRY(BgL_a2z00_13856) (BgL_a2z00_13856, BgL_sz00_13857,
							BEOA);
						return MAKE_YOUNG_PAIR(BgL_a1z00_16330, BgL_a2z00_16331);
					}
				}
			}
		}
	}



/* &<anonymous:2825> */
	obj_t BGl_z62zc3anonymousza32825ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13858, obj_t BgL_sz00_13861)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1011 */
			{	/* Eval/evaluate_comp.scm 1011 */
				obj_t BgL_a1z00_13859;
				obj_t BgL_locz00_13860;

				BgL_a1z00_13859 = PROCEDURE_REF(BgL_envz00_13858, (int) (((long) 0)));
				BgL_locz00_13860 = PROCEDURE_REF(BgL_envz00_13858, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1011 */
					obj_t BgL_bpz00_16332;

					BgL_bpz00_16332 = VECTOR_REF(BgL_sz00_13861, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1011 */
						obj_t BgL_a1z00_16333;

						BgL_a1z00_16333 =
							PROCEDURE_ENTRY(BgL_a1z00_13859) (BgL_a1z00_13859, BgL_sz00_13861,
							BEOA);
						if (PAIRP(BgL_a1z00_16333))
							{	/* Eval/evaluate_comp.scm 1011 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1011 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5779z00zz__evaluate_compz00,
									BGl_symbol5781z00zz__evaluate_compz00, BgL_a1z00_16333,
									BgL_locz00_13860);
							}
						return CAR(BgL_a1z00_16333);
					}
				}
			}
		}
	}



/* &<anonymous:2828> */
	obj_t BGl_z62zc3anonymousza32828ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13862, obj_t BgL_sz00_13865)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1011 */
			{	/* Eval/evaluate_comp.scm 1011 */
				obj_t BgL_a1z00_13863;
				obj_t BgL_locz00_13864;

				BgL_a1z00_13863 = PROCEDURE_REF(BgL_envz00_13862, (int) (((long) 0)));
				BgL_locz00_13864 = PROCEDURE_REF(BgL_envz00_13862, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1011 */
					obj_t BgL_bpz00_16334;

					BgL_bpz00_16334 = VECTOR_REF(BgL_sz00_13865, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1011 */
						obj_t BgL_a1z00_16335;

						BgL_a1z00_16335 =
							PROCEDURE_ENTRY(BgL_a1z00_13863) (BgL_a1z00_13863, BgL_sz00_13865,
							BEOA);
						if (PAIRP(BgL_a1z00_16335))
							{	/* Eval/evaluate_comp.scm 1011 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1011 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol5783z00zz__evaluate_compz00,
									BGl_symbol5781z00zz__evaluate_compz00, BgL_a1z00_16335,
									BgL_locz00_13864);
							}
						return CDR(BgL_a1z00_16335);
					}
				}
			}
		}
	}



/* &<anonymous:2831> */
	obj_t BGl_z62zc3anonymousza32831ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_13866, obj_t BgL_sz00_13869)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1011 */
			{	/* Eval/evaluate_comp.scm 1011 */
				obj_t BgL_a1z00_13867;
				obj_t BgL_locz00_13868;

				BgL_a1z00_13867 = PROCEDURE_REF(BgL_envz00_13866, (int) (((long) 0)));
				BgL_locz00_13868 = PROCEDURE_REF(BgL_envz00_13866, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1011 */
					obj_t BgL_bpz00_16336;

					BgL_bpz00_16336 = VECTOR_REF(BgL_sz00_13869, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1011 */
						obj_t BgL_a1z00_16337;

						BgL_a1z00_16337 =
							PROCEDURE_ENTRY(BgL_a1z00_13867) (BgL_a1z00_13867, BgL_sz00_13869,
							BEOA);
						{	/* Eval/evaluate_comp.scm 1011 */
							bool_t BgL_testz00_25087;

							if (PAIRP(BgL_a1z00_16337))
								{	/* Eval/evaluate_comp.scm 1020 */
									obj_t BgL_tmpz00_25090;

									BgL_tmpz00_25090 = CDR(BgL_a1z00_16337);
									BgL_testz00_25087 = PAIRP(BgL_tmpz00_25090);
								}
							else
								{	/* Eval/evaluate_comp.scm 1020 */
									BgL_testz00_25087 = ((bool_t) 0);
								}
							if (BgL_testz00_25087)
								{	/* Eval/evaluate_comp.scm 1011 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1011 */
									obj_t BgL_arg2833z00_16338;

									if (PAIRP(BgL_a1z00_16337))
										{	/* Eval/evaluate_comp.scm 1023 */
											BgL_arg2833z00_16338 = CDR(BgL_a1z00_16337);
										}
									else
										{	/* Eval/evaluate_comp.scm 1023 */
											BgL_arg2833z00_16338 = BgL_a1z00_16337;
										}
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5785z00zz__evaluate_compz00,
										BGl_symbol5781z00zz__evaluate_compz00, BgL_arg2833z00_16338,
										BgL_locz00_13868);
								}
						}
						return CAR(CDR(BgL_a1z00_16337));
					}
				}
			}
		}
	}



/* bind-frame */
	obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_203,
		obj_t BgL_wherez00_204, long BgL_spz00_205, long BgL_arityz00_206,
		obj_t BgL_valsz00_207, obj_t BgL_locz00_208)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1056 */
			if ((BgL_arityz00_206 < ((long) 0)))
				{	/* Eval/evaluate_comp.scm 1058 */
					long BgL_g1235z00_3492;

					BgL_g1235z00_3492 = (((long) -1) - BgL_arityz00_206);
					{
						long BgL_rz00_3494;
						long BgL_spz00_3495;
						obj_t BgL_lz00_3496;

						BgL_rz00_3494 = BgL_g1235z00_3492;
						BgL_spz00_3495 = BgL_spz00_205;
						BgL_lz00_3496 = BgL_valsz00_207;
					BgL_zc3anonymousza32838ze3z83_3497:
						if ((BgL_rz00_3494 == ((long) 0)))
							{	/* Eval/evaluate_comp.scm 1060 */
								return
									VECTOR_SET(BgL_sz00_203,
									(int) (BgL_spz00_3495), BgL_lz00_3496);
							}
						else
							{	/* Eval/evaluate_comp.scm 1060 */
								if (PAIRP(BgL_lz00_3496))
									{	/* Eval/evaluate_comp.scm 1062 */
										VECTOR_SET(BgL_sz00_203,
											(int) (BgL_spz00_3495), CAR(BgL_lz00_3496));
										{
											obj_t BgL_lz00_25115;
											long BgL_spz00_25113;
											long BgL_rz00_25111;

											BgL_rz00_25111 = (BgL_rz00_3494 - ((long) 1));
											BgL_spz00_25113 = (BgL_spz00_3495 + ((long) 1));
											BgL_lz00_25115 = CDR(BgL_lz00_3496);
											BgL_lz00_3496 = BgL_lz00_25115;
											BgL_spz00_3495 = BgL_spz00_25113;
											BgL_rz00_3494 = BgL_rz00_25111;
											goto BgL_zc3anonymousza32838ze3z83_3497;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1063 */
										long BgL_arg2847z00_3504;

										BgL_arg2847z00_3504 = bgl_list_length(BgL_valsz00_207);
										return
											BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208,
											BgL_wherez00_204, (int) (BgL_arityz00_206),
											(int) (BgL_arg2847z00_3504));
				}}}}
			else
				{
					long BgL_rz00_3507;
					long BgL_spz00_3508;
					obj_t BgL_lz00_3509;

					BgL_rz00_3507 = BgL_arityz00_206;
					BgL_spz00_3508 = BgL_spz00_205;
					BgL_lz00_3509 = BgL_valsz00_207;
				BgL_zc3anonymousza32848ze3z83_3510:
					if ((BgL_rz00_3507 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 1069 */
							if (NULLP(BgL_lz00_3509))
								{	/* Eval/evaluate_comp.scm 1070 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1071 */
									long BgL_arg2851z00_3513;

									BgL_arg2851z00_3513 = bgl_list_length(BgL_valsz00_207);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208,
										BgL_wherez00_204, (int) (BgL_arityz00_206),
										(int) (BgL_arg2851z00_3513));
						}}
					else
						{	/* Eval/evaluate_comp.scm 1069 */
							if (PAIRP(BgL_lz00_3509))
								{	/* Eval/evaluate_comp.scm 1072 */
									VECTOR_SET(BgL_sz00_203,
										(int) (BgL_spz00_3508), CAR(BgL_lz00_3509));
									{
										obj_t BgL_lz00_25138;
										long BgL_spz00_25136;
										long BgL_rz00_25134;

										BgL_rz00_25134 = (BgL_rz00_3507 - ((long) 1));
										BgL_spz00_25136 = (BgL_spz00_3508 + ((long) 1));
										BgL_lz00_25138 = CDR(BgL_lz00_3509);
										BgL_lz00_3509 = BgL_lz00_25138;
										BgL_spz00_3508 = BgL_spz00_25136;
										BgL_rz00_3507 = BgL_rz00_25134;
										goto BgL_zc3anonymousza32848ze3z83_3510;
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 1073 */
									long BgL_arg2860z00_3519;

									BgL_arg2860z00_3519 = bgl_list_length(BgL_valsz00_207);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208,
										BgL_wherez00_204, (int) (BgL_arityz00_206),
										(int) (BgL_arg2860z00_3519));
		}}}}
	}



/* make-boxes */
	bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_211,
		obj_t BgL_ibza2za2_212, obj_t BgL_bpz00_213)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1170 */
			{
				long BgL_iz00_3523;

				BgL_iz00_3523 = ((long) 0);
			BgL_zc3anonymousza32861ze3z83_3524:
				{	/* Eval/evaluate_comp.scm 1173 */
					long BgL_spz00_3525;

					{	/* Eval/evaluate_comp.scm 1173 */
						obj_t BgL_arg2865z00_3530;

						BgL_arg2865z00_3530 =
							VECTOR_REF(BgL_ibza2za2_212, (int) (BgL_iz00_3523));
						BgL_spz00_3525 =
							((long) CINT(BgL_bpz00_213) + (long) CINT(BgL_arg2865z00_3530));
					}
					{	/* Eval/evaluate_comp.scm 1174 */
						obj_t BgL_arg2862z00_3526;

						{	/* Eval/evaluate_comp.scm 1174 */
							obj_t BgL_arg2863z00_3527;

							BgL_arg2863z00_3527 =
								VECTOR_REF(BgL_sz00_211, (int) (BgL_spz00_3525));
							{	/* Eval/evaluate_comp.scm 202 */
								obj_t BgL_newz00_9576;

								BgL_newz00_9576 =
									create_struct(BGl_symbol5709z00zz__evaluate_compz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_comp.scm 202 */
									int BgL_tmpz00_25153;

									BgL_tmpz00_25153 = (int) (((long) 0));
									STRUCT_SET(BgL_newz00_9576, BgL_tmpz00_25153,
										BgL_arg2863z00_3527);
								}
								BgL_arg2862z00_3526 = BgL_newz00_9576;
						}}
						VECTOR_SET(BgL_sz00_211,
							(int) (BgL_spz00_3525), BgL_arg2862z00_3526);
					}
					{	/* Eval/evaluate_comp.scm 1175 */
						long BgL_niz00_3528;

						BgL_niz00_3528 = (BgL_iz00_3523 + ((long) 1));
						if ((BgL_niz00_3528 < (long) (VECTOR_LENGTH(BgL_ibza2za2_212))))
							{
								long BgL_iz00_25163;

								BgL_iz00_25163 = BgL_niz00_3528;
								BgL_iz00_3523 = BgL_iz00_25163;
								goto BgL_zc3anonymousza32861ze3z83_3524;
							}
						else
							{	/* Eval/evaluate_comp.scm 1176 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}
	}



/* free-collect */
	obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_214,
		obj_t BgL_bpz00_215, obj_t BgL_iza2za2_216)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1178 */
			{	/* Eval/evaluate_comp.scm 1179 */
				obj_t BgL_rz00_3533;

				BgL_rz00_3533 = make_vector(VECTOR_LENGTH(BgL_iza2za2_216), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 1179 */

					{
						long BgL_iz00_3535;

						BgL_iz00_3535 = ((long) 0);
					BgL_zc3anonymousza32866ze3z83_3536:
						if ((BgL_iz00_3535 >= (long) (VECTOR_LENGTH(BgL_iza2za2_216))))
							{	/* Eval/evaluate_comp.scm 1181 */
								return BgL_rz00_3533;
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1184 */
									obj_t BgL_arg2868z00_3538;

									{	/* Eval/evaluate_comp.scm 1184 */
										long BgL_arg2869z00_3539;

										{	/* Eval/evaluate_comp.scm 1184 */
											obj_t BgL_arg2872z00_3540;

											BgL_arg2872z00_3540 =
												VECTOR_REF(BgL_iza2za2_216, (int) (BgL_iz00_3535));
											BgL_arg2869z00_3539 =
												(
												(long) CINT(BgL_bpz00_215) +
												(long) CINT(BgL_arg2872z00_3540));
										}
										BgL_arg2868z00_3538 =
											VECTOR_REF(BgL_sz00_214, (int) (BgL_arg2869z00_3539));
									}
									VECTOR_SET(BgL_rz00_3533,
										(int) (BgL_iz00_3535), BgL_arg2868z00_3538);
								}
								{
									long BgL_iz00_25179;

									BgL_iz00_25179 = (BgL_iz00_3535 + ((long) 1));
									BgL_iz00_3535 = BgL_iz00_25179;
									goto BgL_zc3anonymousza32866ze3z83_3536;
								}
							}
					}
				}
			}
		}
	}



/* free-restore */
	bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_217,
		obj_t BgL_valza2za2_218, long BgL_spz00_219)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1187 */
			{	/* Eval/evaluate_comp.scm 1188 */
				long BgL_stopz00_3544;

				BgL_stopz00_3544 =
					(BgL_spz00_219 + (long) (VECTOR_LENGTH(BgL_valza2za2_218)));
				{
					long BgL_iz00_9636;
					long BgL_spz00_9637;

					BgL_iz00_9636 = ((long) 0);
					BgL_spz00_9637 = BgL_spz00_219;
				BgL_recz00_9635:
					if ((BgL_spz00_9637 < BgL_stopz00_3544))
						{	/* Eval/evaluate_comp.scm 1190 */
							VECTOR_SET(BgL_sz00_217,
								(int) (BgL_spz00_9637),
								VECTOR_REF(BgL_valza2za2_218, (int) (BgL_iz00_9636)));
							{
								long BgL_spz00_25192;
								long BgL_iz00_25190;

								BgL_iz00_25190 = (BgL_iz00_9636 + ((long) 1));
								BgL_spz00_25192 = (BgL_spz00_9637 + ((long) 1));
								BgL_spz00_9637 = BgL_spz00_25192;
								BgL_iz00_9636 = BgL_iz00_25190;
								goto BgL_recz00_9635;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1190 */
							return ((bool_t) 0);
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_proc5787z00zz__evaluate_compz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string5788z00zz__evaluate_compz00);
		}
	}



/* &comp1378 */
	obj_t BGl_z62comp1378z62zz__evaluate_compz00(obj_t BgL_envz00_13955,
		obj_t BgL_ez00_13956, obj_t BgL_stkz00_13957)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 276 */
			return
				BGl_errorz00zz__errorz00(BGl_string5699z00zz__evaluate_compz00,
				BGl_string5789z00zz__evaluate_compz00,
				((obj_t) ((BgL_ev_exprz00_bglt) BgL_ez00_13956)));
		}
	}



/* comp */
	obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35,
		obj_t BgL_stkz00_36)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 276 */
			{	/* Eval/evaluate_comp.scm 276 */
				obj_t BgL_method1379z00_3560;

				{	/* Eval/evaluate_comp.scm 276 */
					obj_t BgL_res5007z00_9685;

					{	/* Eval/evaluate_comp.scm 276 */
						long BgL_objzd2classzd2numz00_9658;

						{	/* Eval/evaluate_comp.scm 276 */
							long BgL_res5001z00_9661;

							BgL_res5001z00_9661 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_35));
							BgL_objzd2classzd2numz00_9658 = BgL_res5001z00_9661;
						}
						{	/* Eval/evaluate_comp.scm 276 */
							obj_t BgL_arg4239z00_9659;

							BgL_arg4239z00_9659 =
								PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00,
								(int) (((long) 1)));
							{	/* Eval/evaluate_comp.scm 276 */
								int BgL_offsetz00_9663;

								BgL_offsetz00_9663 = (int) (BgL_objzd2classzd2numz00_9658);
								{	/* Eval/evaluate_comp.scm 276 */
									long BgL_offsetz00_9664;

									BgL_offsetz00_9664 =
										((long) (BgL_offsetz00_9663) - OBJECT_TYPE);
									{	/* Eval/evaluate_comp.scm 276 */
										long BgL_modz00_9665;

										{	/* Eval/evaluate_comp.scm 276 */
											int BgL_arg4241z00_9666;

											BgL_arg4241z00_9666 = (int) (((long) 16));
											{	/* Eval/evaluate_comp.scm 276 */
												long BgL_res5004z00_9676;

												{	/* Eval/evaluate_comp.scm 276 */
													long BgL_tmpz00_25206;

													BgL_tmpz00_25206 = (long) (BgL_arg4241z00_9666);
													BgL_res5004z00_9676 =
														(BgL_offsetz00_9664 / BgL_tmpz00_25206);
												}
												BgL_modz00_9665 = BgL_res5004z00_9676;
										}}
										{	/* Eval/evaluate_comp.scm 276 */
											long BgL_restz00_9667;

											{	/* Eval/evaluate_comp.scm 276 */
												int BgL_arg4240z00_9668;

												BgL_arg4240z00_9668 = (int) (((long) 16));
												{	/* Eval/evaluate_comp.scm 276 */
													long BgL_res5006z00_9680;

													{	/* Eval/evaluate_comp.scm 276 */
														long BgL_tmpz00_25210;

														BgL_tmpz00_25210 = (long) (BgL_arg4240z00_9668);
														BgL_res5006z00_9680 =
															(BgL_offsetz00_9664 % BgL_tmpz00_25210);
													}
													BgL_restz00_9667 = BgL_res5006z00_9680;
											}}
											{	/* Eval/evaluate_comp.scm 276 */

												BgL_res5007z00_9685 =
													VECTOR_REF(VECTOR_REF(BgL_arg4239z00_9659,
														(int) (BgL_modz00_9665)), (int) (BgL_restz00_9667));
					}}}}}}}
					BgL_method1379z00_3560 = BgL_res5007z00_9685;
				}
				return
					PROCEDURE_ENTRY(BgL_method1379z00_3560) (BgL_method1379z00_3560,
					((obj_t) BgL_ez00_35), BgL_stkz00_36, BEOA);
			}
		}
	}



/* &comp */
	obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_13958,
		obj_t BgL_ez00_13959, obj_t BgL_stkz00_13960)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 276 */
			{	/* Eval/evaluate_comp.scm 276 */
				BgL_ev_exprz00_bglt BgL_auxz00_25223;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_13959,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 276 */
						BgL_auxz00_25223 = ((BgL_ev_exprz00_bglt) BgL_ez00_13959);
					}
				else
					{
						obj_t BgL_auxz00_25227;

						BgL_auxz00_25227 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string5704z00zz__evaluate_compz00, BINT(((long) 7022)),
							BGl_string5790z00zz__evaluate_compz00,
							BGl_string5706z00zz__evaluate_compz00, BgL_ez00_13959);
						FAILURE(BgL_auxz00_25227, BFALSE, BFALSE);
					}
				return
					BGl_compz00zz__evaluate_compz00(BgL_auxz00_25223, BgL_stkz00_13960);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc5791z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc5793z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc5794z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc5795z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc5796z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc5797z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc5798z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc5799z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_orz00zz__evaluate_typesz00, BGl_proc5800z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_andz00zz__evaluate_typesz00, BGl_proc5801z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc5802z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letz00zz__evaluate_typesz00, BGl_proc5803z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc5804z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc5805z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc5806z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc5807z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc5808z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc5809z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc5810z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc5811z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc5812z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc5813z00zz__evaluate_compz00,
				BGl_string5792z00zz__evaluate_compz00);
		}
	}



/* &comp-ev_abs1427 */
	obj_t BGl_z62compzd2ev_abs1427zb0zz__evaluate_compz00(obj_t BgL_envz00_14155,
		obj_t BgL_ez00_14156, obj_t BgL_stkz00_14157)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1158 */
			{	/* Eval/evaluate_comp.scm 1160 */
				obj_t BgL_ifreesz00_16341;
				obj_t BgL_iboxesz00_16342;
				long BgL_siza7eza7_16343;
				long BgL_siza7ezd2framez75_16344;
				obj_t BgL_nstkz00_16345;

				{	/* Eval/evaluate_comp.scm 1160 */
					obj_t BgL_arg3973z00_16346;

					{	/* Eval/evaluate_comp.scm 1160 */
						obj_t BgL_l1358z00_16347;

						BgL_l1358z00_16347 =
							(((BgL_ev_absz00_bglt) CREF(
									((BgL_ev_absz00_bglt) BgL_ez00_14156)))->BgL_freez00);
						if (NULLP(BgL_l1358z00_16347))
							{	/* Eval/evaluate_comp.scm 1160 */
								BgL_arg3973z00_16346 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 1160 */
								obj_t BgL_head1360z00_16348;

								{	/* Eval/evaluate_comp.scm 1160 */
									obj_t BgL_res5146z00_16349;

									BgL_res5146z00_16349 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1360z00_16348 = BgL_res5146z00_16349;
								}
								{
									obj_t BgL_l1358z00_16351;
									obj_t BgL_tail1361z00_16352;

									BgL_l1358z00_16351 = BgL_l1358z00_16347;
									BgL_tail1361z00_16352 = BgL_head1360z00_16348;
								BgL_zc3anonymousza33975ze3z83_16350:
									if (NULLP(BgL_l1358z00_16351))
										{	/* Eval/evaluate_comp.scm 1160 */
											BgL_arg3973z00_16346 = CDR(BgL_head1360z00_16348);
										}
									else
										{	/* Eval/evaluate_comp.scm 1160 */
											obj_t BgL_newtail1362z00_16353;

											{	/* Eval/evaluate_comp.scm 1160 */
												obj_t BgL_arg3978z00_16354;

												BgL_arg3978z00_16354 =
													BGl__indexz00zz__evaluate_compz00(CAR
													(BgL_l1358z00_16351), BgL_stkz00_14157);
												{	/* Eval/evaluate_comp.scm 1160 */
													obj_t BgL_res5152z00_16355;

													BgL_res5152z00_16355 =
														MAKE_YOUNG_PAIR(BgL_arg3978z00_16354, BNIL);
													BgL_newtail1362z00_16353 = BgL_res5152z00_16355;
												}
											}
											SET_CDR(BgL_tail1361z00_16352, BgL_newtail1362z00_16353);
											{
												obj_t BgL_tail1361z00_25268;
												obj_t BgL_l1358z00_25266;

												BgL_l1358z00_25266 = CDR(BgL_l1358z00_16351);
												BgL_tail1361z00_25268 = BgL_newtail1362z00_16353;
												BgL_tail1361z00_16352 = BgL_tail1361z00_25268;
												BgL_l1358z00_16351 = BgL_l1358z00_25266;
												goto BgL_zc3anonymousza33975ze3z83_16350;
											}
										}
								}
							}
					}
					BgL_ifreesz00_16341 =
						BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3973z00_16346);
				}
				{	/* Eval/evaluate_comp.scm 1161 */
					obj_t BgL_arg3979z00_16356;

					{	/* Eval/evaluate_comp.scm 1161 */
						obj_t BgL_l1363z00_16357;

						BgL_l1363z00_16357 =
							(((BgL_ev_absz00_bglt) CREF(
									((BgL_ev_absz00_bglt) BgL_ez00_14156)))->BgL_boxesz00);
						if (NULLP(BgL_l1363z00_16357))
							{	/* Eval/evaluate_comp.scm 1161 */
								BgL_arg3979z00_16356 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 1161 */
								obj_t BgL_head1365z00_16358;

								{	/* Eval/evaluate_comp.scm 1161 */
									obj_t BgL_res5154z00_16359;

									BgL_res5154z00_16359 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1365z00_16358 = BgL_res5154z00_16359;
								}
								{
									obj_t BgL_l1363z00_16361;
									obj_t BgL_tail1366z00_16362;

									BgL_l1363z00_16361 = BgL_l1363z00_16357;
									BgL_tail1366z00_16362 = BgL_head1365z00_16358;
								BgL_zc3anonymousza33981ze3z83_16360:
									if (NULLP(BgL_l1363z00_16361))
										{	/* Eval/evaluate_comp.scm 1161 */
											BgL_arg3979z00_16356 = CDR(BgL_head1365z00_16358);
										}
									else
										{	/* Eval/evaluate_comp.scm 1161 */
											obj_t BgL_newtail1367z00_16363;

											{	/* Eval/evaluate_comp.scm 1161 */
												obj_t BgL_arg3984z00_16364;

												{	/* Eval/evaluate_comp.scm 1161 */
													obj_t BgL_vz00_16365;

													BgL_vz00_16365 = CAR(BgL_l1363z00_16361);
													BgL_arg3984z00_16364 =
														BGl__indexz00zz__evaluate_compz00(BgL_vz00_16365,
														(((BgL_ev_absz00_bglt) CREF(
																	((BgL_ev_absz00_bglt) BgL_ez00_14156)))->
															BgL_varsz00));
												}
												{	/* Eval/evaluate_comp.scm 1161 */
													obj_t BgL_res5156z00_16366;

													BgL_res5156z00_16366 =
														MAKE_YOUNG_PAIR(BgL_arg3984z00_16364, BNIL);
													BgL_newtail1367z00_16363 = BgL_res5156z00_16366;
												}
											}
											SET_CDR(BgL_tail1366z00_16362, BgL_newtail1367z00_16363);
											{
												obj_t BgL_tail1366z00_25286;
												obj_t BgL_l1363z00_25284;

												BgL_l1363z00_25284 = CDR(BgL_l1363z00_16361);
												BgL_tail1366z00_25286 = BgL_newtail1367z00_16363;
												BgL_tail1366z00_16362 = BgL_tail1366z00_25286;
												BgL_l1363z00_16361 = BgL_l1363z00_25284;
												goto BgL_zc3anonymousza33981ze3z83_16360;
											}
										}
								}
							}
					}
					BgL_iboxesz00_16342 =
						BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3979z00_16356);
				}
				BgL_siza7eza7_16343 =
					bgl_list_length(
					(((BgL_ev_absz00_bglt) CREF(
								((BgL_ev_absz00_bglt) BgL_ez00_14156)))->BgL_varsz00));
				BgL_siza7ezd2framez75_16344 =
					(
					(long) (
						(((BgL_ev_absz00_bglt) CREF(
									((BgL_ev_absz00_bglt) BgL_ez00_14156)))->BgL_siza7eza7)) +
					bgl_list_length(
						(((BgL_ev_absz00_bglt) CREF(
									((BgL_ev_absz00_bglt) BgL_ez00_14156)))->BgL_freez00)));
				BgL_nstkz00_16345 =
					BGl_appendzd221011zd2zz__evaluate_compz00(
					(((BgL_ev_absz00_bglt) CREF(
								((BgL_ev_absz00_bglt) BgL_ez00_14156)))->BgL_varsz00),
					(((BgL_ev_absz00_bglt) CREF(
								((BgL_ev_absz00_bglt) BgL_ez00_14156)))->BgL_freez00));
				{	/* Eval/evaluate_comp.scm 1165 */
					obj_t BgL_bodyz00_16367;

					BgL_bodyz00_16367 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_absz00_bglt) CREF(
									((BgL_ev_absz00_bglt) BgL_ez00_14156)))->BgL_bodyz00),
						BgL_nstkz00_16345);
					{

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_aux1247z00_16373;

							BgL_aux1247z00_16373 =
								(((BgL_ev_absz00_bglt) CREF(
										((BgL_ev_absz00_bglt) BgL_ez00_14156)))->BgL_arityz00);
							if (INTEGERP(BgL_aux1247z00_16373))
								{	/* Eval/evaluate_comp.scm 1167 */
									switch ((long) CINT(BgL_aux1247z00_16373))
										{
										case ((long) 0):

											if (
												((long) (VECTOR_LENGTH(BgL_ifreesz00_16341)) ==
													((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33400ze3z83_16374;

															BgL_zc3anonymousza33400ze3z83_16374 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33400ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33400ze3z83_16374,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33400ze3z83_16374,
																(int) (((long) 1)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33400ze3z83_16374,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33400ze3z83_16374;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33407ze3z83_16375;

															BgL_zc3anonymousza33407ze3z83_16375 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33407ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33407ze3z83_16375,
																(int) (((long) 0)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33407ze3z83_16375,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33407ze3z83_16375,
																(int) (((long) 2)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33407ze3z83_16375,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33407ze3z83_16375;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33416ze3z83_16376;

															BgL_zc3anonymousza33416ze3z83_16376 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33416ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33416ze3z83_16376,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33416ze3z83_16376,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33416ze3z83_16376,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33416ze3z83_16376,
																(int) (((long) 3)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33416ze3z83_16376,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33416ze3z83_16376;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33424ze3z83_16377;

															BgL_zc3anonymousza33424ze3z83_16377 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33424ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33424ze3z83_16377,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33424ze3z83_16377,
																(int) (((long) 1)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33424ze3z83_16377,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33424ze3z83_16377,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33424ze3z83_16377,
																(int) (((long) 4)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33424ze3z83_16377,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33424ze3z83_16377;
														}
												}
											break;
										case ((long) -1):

											if (
												((long) (VECTOR_LENGTH(BgL_ifreesz00_16341)) ==
													((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33439ze3z83_16378;

															BgL_zc3anonymousza33439ze3z83_16378 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33439ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33439ze3z83_16378,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33439ze3z83_16378,
																(int) (((long) 1)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33439ze3z83_16378,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33439ze3z83_16378;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33447ze3z83_16379;

															BgL_zc3anonymousza33447ze3z83_16379 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33447ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33447ze3z83_16379,
																(int) (((long) 0)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33447ze3z83_16379,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33447ze3z83_16379,
																(int) (((long) 2)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33447ze3z83_16379,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33447ze3z83_16379;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33457ze3z83_16380;

															BgL_zc3anonymousza33457ze3z83_16380 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33457ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33457ze3z83_16380,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33457ze3z83_16380,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33457ze3z83_16380,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33457ze3z83_16380,
																(int) (((long) 3)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33457ze3z83_16380,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33457ze3z83_16380;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33465ze3z83_16381;

															BgL_zc3anonymousza33465ze3z83_16381 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33465ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33465ze3z83_16381,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33465ze3z83_16381,
																(int) (((long) 1)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33465ze3z83_16381,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33465ze3z83_16381,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33465ze3z83_16381,
																(int) (((long) 4)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33465ze3z83_16381,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33465ze3z83_16381;
														}
												}
											break;
										case ((long) 1):

											if (
												((long) (VECTOR_LENGTH(BgL_ifreesz00_16341)) ==
													((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33482ze3z83_16382;

															BgL_zc3anonymousza33482ze3z83_16382 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33482ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33482ze3z83_16382,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33482ze3z83_16382,
																(int) (((long) 1)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33482ze3z83_16382,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33482ze3z83_16382;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33490ze3z83_16383;

															BgL_zc3anonymousza33490ze3z83_16383 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33490ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33490ze3z83_16383,
																(int) (((long) 0)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33490ze3z83_16383,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33490ze3z83_16383,
																(int) (((long) 2)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33490ze3z83_16383,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33490ze3z83_16383;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33501ze3z83_16384;

															BgL_zc3anonymousza33501ze3z83_16384 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33501ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33501ze3z83_16384,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33501ze3z83_16384,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33501ze3z83_16384,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33501ze3z83_16384,
																(int) (((long) 3)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33501ze3z83_16384,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33501ze3z83_16384;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33510ze3z83_16385;

															BgL_zc3anonymousza33510ze3z83_16385 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33510ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33510ze3z83_16385,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33510ze3z83_16385,
																(int) (((long) 1)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33510ze3z83_16385,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33510ze3z83_16385,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33510ze3z83_16385,
																(int) (((long) 4)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33510ze3z83_16385,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33510ze3z83_16385;
														}
												}
											break;
										case ((long) -2):

											if (
												((long) (VECTOR_LENGTH(BgL_ifreesz00_16341)) ==
													((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33527ze3z83_16386;

															BgL_zc3anonymousza33527ze3z83_16386 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33527ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33527ze3z83_16386,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33527ze3z83_16386,
																(int) (((long) 1)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33527ze3z83_16386,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33527ze3z83_16386;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33536ze3z83_16387;

															BgL_zc3anonymousza33536ze3z83_16387 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33536ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33536ze3z83_16387,
																(int) (((long) 0)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33536ze3z83_16387,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33536ze3z83_16387,
																(int) (((long) 2)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33536ze3z83_16387,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33536ze3z83_16387;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33548ze3z83_16388;

															BgL_zc3anonymousza33548ze3z83_16388 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33548ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33548ze3z83_16388,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33548ze3z83_16388,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33548ze3z83_16388,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33548ze3z83_16388,
																(int) (((long) 3)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33548ze3z83_16388,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33548ze3z83_16388;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33558ze3z83_16389;

															BgL_zc3anonymousza33558ze3z83_16389 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33558ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33558ze3z83_16389,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33558ze3z83_16389,
																(int) (((long) 1)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33558ze3z83_16389,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33558ze3z83_16389,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33558ze3z83_16389,
																(int) (((long) 4)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33558ze3z83_16389,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33558ze3z83_16389;
														}
												}
											break;
										case ((long) 2):

											if (
												((long) (VECTOR_LENGTH(BgL_ifreesz00_16341)) ==
													((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33575ze3z83_16390;

															BgL_zc3anonymousza33575ze3z83_16390 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33575ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33575ze3z83_16390,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33575ze3z83_16390,
																(int) (((long) 1)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33575ze3z83_16390,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33575ze3z83_16390;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33583ze3z83_16391;

															BgL_zc3anonymousza33583ze3z83_16391 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33583ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33583ze3z83_16391,
																(int) (((long) 0)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33583ze3z83_16391,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33583ze3z83_16391,
																(int) (((long) 2)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33583ze3z83_16391,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33583ze3z83_16391;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33595ze3z83_16392;

															BgL_zc3anonymousza33595ze3z83_16392 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33595ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33595ze3z83_16392,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33595ze3z83_16392,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33595ze3z83_16392,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33595ze3z83_16392,
																(int) (((long) 3)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33595ze3z83_16392,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33595ze3z83_16392;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33606ze3z83_16393;

															BgL_zc3anonymousza33606ze3z83_16393 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33606ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33606ze3z83_16393,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33606ze3z83_16393,
																(int) (((long) 1)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33606ze3z83_16393,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33606ze3z83_16393,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33606ze3z83_16393,
																(int) (((long) 4)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33606ze3z83_16393,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33606ze3z83_16393;
														}
												}
											break;
										case ((long) -3):

											if (
												((long) (VECTOR_LENGTH(BgL_ifreesz00_16341)) ==
													((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33624ze3z83_16394;

															BgL_zc3anonymousza33624ze3z83_16394 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33624ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33624ze3z83_16394,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33624ze3z83_16394,
																(int) (((long) 1)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33624ze3z83_16394,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33624ze3z83_16394;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33634ze3z83_16395;

															BgL_zc3anonymousza33634ze3z83_16395 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33634ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33634ze3z83_16395,
																(int) (((long) 0)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33634ze3z83_16395,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33634ze3z83_16395,
																(int) (((long) 2)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33634ze3z83_16395,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33634ze3z83_16395;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33647ze3z83_16396;

															BgL_zc3anonymousza33647ze3z83_16396 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33647ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33647ze3z83_16396,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33647ze3z83_16396,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33647ze3z83_16396,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33647ze3z83_16396,
																(int) (((long) 3)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33647ze3z83_16396,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33647ze3z83_16396;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33659ze3z83_16397;

															BgL_zc3anonymousza33659ze3z83_16397 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33659ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33659ze3z83_16397,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33659ze3z83_16397,
																(int) (((long) 1)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33659ze3z83_16397,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33659ze3z83_16397,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33659ze3z83_16397,
																(int) (((long) 4)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33659ze3z83_16397,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33659ze3z83_16397;
														}
												}
											break;
										case ((long) 3):

											if (
												((long) (VECTOR_LENGTH(BgL_ifreesz00_16341)) ==
													((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33678ze3z83_16398;

															BgL_zc3anonymousza33678ze3z83_16398 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33678ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33678ze3z83_16398,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33678ze3z83_16398,
																(int) (((long) 1)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33678ze3z83_16398,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33678ze3z83_16398;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33688ze3z83_16399;

															BgL_zc3anonymousza33688ze3z83_16399 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33688ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33688ze3z83_16399,
																(int) (((long) 0)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33688ze3z83_16399,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33688ze3z83_16399,
																(int) (((long) 2)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33688ze3z83_16399,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33688ze3z83_16399;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33702ze3z83_16400;

															BgL_zc3anonymousza33702ze3z83_16400 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33702ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33702ze3z83_16400,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33702ze3z83_16400,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33702ze3z83_16400,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33702ze3z83_16400,
																(int) (((long) 3)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33702ze3z83_16400,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33702ze3z83_16400;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33712ze3z83_16401;

															BgL_zc3anonymousza33712ze3z83_16401 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33712ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33712ze3z83_16401,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33712ze3z83_16401,
																(int) (((long) 1)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33712ze3z83_16401,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33712ze3z83_16401,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33712ze3z83_16401,
																(int) (((long) 4)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33712ze3z83_16401,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33712ze3z83_16401;
														}
												}
											break;
										case ((long) -4):

											if (
												((long) (VECTOR_LENGTH(BgL_ifreesz00_16341)) ==
													((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33728ze3z83_16402;

															BgL_zc3anonymousza33728ze3z83_16402 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33728ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33728ze3z83_16402,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33728ze3z83_16402,
																(int) (((long) 1)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33728ze3z83_16402,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33728ze3z83_16402;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33738ze3z83_16403;

															BgL_zc3anonymousza33738ze3z83_16403 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33738ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33738ze3z83_16403,
																(int) (((long) 0)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33738ze3z83_16403,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33738ze3z83_16403,
																(int) (((long) 2)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33738ze3z83_16403,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33738ze3z83_16403;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33751ze3z83_16404;

															BgL_zc3anonymousza33751ze3z83_16404 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33751ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33751ze3z83_16404,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33751ze3z83_16404,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33751ze3z83_16404,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33751ze3z83_16404,
																(int) (((long) 3)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33751ze3z83_16404,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33751ze3z83_16404;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33762ze3z83_16405;

															BgL_zc3anonymousza33762ze3z83_16405 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33762ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33762ze3z83_16405,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33762ze3z83_16405,
																(int) (((long) 1)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33762ze3z83_16405,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33762ze3z83_16405,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33762ze3z83_16405,
																(int) (((long) 4)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33762ze3z83_16405,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33762ze3z83_16405;
														}
												}
											break;
										case ((long) 4):

											if (
												((long) (VECTOR_LENGTH(BgL_ifreesz00_16341)) ==
													((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33779ze3z83_16406;

															BgL_zc3anonymousza33779ze3z83_16406 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33779ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33779ze3z83_16406,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33779ze3z83_16406,
																(int) (((long) 1)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33779ze3z83_16406,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33779ze3z83_16406;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33789ze3z83_16407;

															BgL_zc3anonymousza33789ze3z83_16407 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33789ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33789ze3z83_16407,
																(int) (((long) 0)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33789ze3z83_16407,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33789ze3z83_16407,
																(int) (((long) 2)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33789ze3z83_16407,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33789ze3z83_16407;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33802ze3z83_16408;

															BgL_zc3anonymousza33802ze3z83_16408 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33802ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33802ze3z83_16408,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33802ze3z83_16408,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33802ze3z83_16408,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33802ze3z83_16408,
																(int) (((long) 3)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33802ze3z83_16408,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33802ze3z83_16408;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33813ze3z83_16409;

															BgL_zc3anonymousza33813ze3z83_16409 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33813ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33813ze3z83_16409,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33813ze3z83_16409,
																(int) (((long) 1)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33813ze3z83_16409,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33813ze3z83_16409,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33813ze3z83_16409,
																(int) (((long) 4)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33813ze3z83_16409,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33813ze3z83_16409;
														}
												}
											break;
										case ((long) -5):

											if (
												((long) (VECTOR_LENGTH(BgL_ifreesz00_16341)) ==
													((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33830ze3z83_16410;

															BgL_zc3anonymousza33830ze3z83_16410 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33830ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33830ze3z83_16410,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33830ze3z83_16410,
																(int) (((long) 1)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33830ze3z83_16410,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33830ze3z83_16410;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33841ze3z83_16411;

															BgL_zc3anonymousza33841ze3z83_16411 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33841ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33841ze3z83_16411,
																(int) (((long) 0)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33841ze3z83_16411,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33841ze3z83_16411,
																(int) (((long) 2)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33841ze3z83_16411,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33841ze3z83_16411;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33855ze3z83_16412;

															BgL_zc3anonymousza33855ze3z83_16412 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33855ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33855ze3z83_16412,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33855ze3z83_16412,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33855ze3z83_16412,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33855ze3z83_16412,
																(int) (((long) 3)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33855ze3z83_16412,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33855ze3z83_16412;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33867ze3z83_16413;

															BgL_zc3anonymousza33867ze3z83_16413 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33867ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33867ze3z83_16413,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33867ze3z83_16413,
																(int) (((long) 1)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33867ze3z83_16413,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33867ze3z83_16413,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33867ze3z83_16413,
																(int) (((long) 4)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33867ze3z83_16413,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33867ze3z83_16413;
														}
												}
											break;
										default:
										BgL_case_else1246z00_16368:
											if (
												((long) (VECTOR_LENGTH(BgL_ifreesz00_16341)) ==
													((long) 0)))
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33885ze3z83_16369;

															BgL_zc3anonymousza33885ze3z83_16369 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33885ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET(BgL_zc3anonymousza33885ze3z83_16369,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33885ze3z83_16369,
																(int) (((long) 1)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33885ze3z83_16369,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33885ze3z83_16369;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33905ze3z83_16370;

															BgL_zc3anonymousza33905ze3z83_16370 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33905ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET(BgL_zc3anonymousza33905ze3z83_16370,
																(int) (((long) 0)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33905ze3z83_16370,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33905ze3z83_16370,
																(int) (((long) 2)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33905ze3z83_16370,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33905ze3z83_16370;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1167 */
													if (
														((long) (VECTOR_LENGTH(BgL_iboxesz00_16342)) ==
															((long) 0)))
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33928ze3z83_16371;

															BgL_zc3anonymousza33928ze3z83_16371 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33928ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET(BgL_zc3anonymousza33928ze3z83_16371,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33928ze3z83_16371,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33928ze3z83_16371,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33928ze3z83_16371,
																(int) (((long) 3)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33928ze3z83_16371,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33928ze3z83_16371;
														}
													else
														{	/* Eval/evaluate_comp.scm 1167 */
															obj_t BgL_zc3anonymousza33949ze3z83_16372;

															BgL_zc3anonymousza33949ze3z83_16372 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza33949ze3ze1zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET(BgL_zc3anonymousza33949ze3z83_16372,
																(int) (((long) 0)), BgL_ifreesz00_16341);
															PROCEDURE_SET(BgL_zc3anonymousza33949ze3z83_16372,
																(int) (((long) 1)), BgL_iboxesz00_16342);
															PROCEDURE_SET(BgL_zc3anonymousza33949ze3z83_16372,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16343));
															PROCEDURE_SET(BgL_zc3anonymousza33949ze3z83_16372,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14156)));
															PROCEDURE_SET(BgL_zc3anonymousza33949ze3z83_16372,
																(int) (((long) 4)), BgL_bodyz00_16367);
															PROCEDURE_SET(BgL_zc3anonymousza33949ze3z83_16372,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16344));
															return BgL_zc3anonymousza33949ze3z83_16372;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 1167 */
									goto BgL_case_else1246z00_16368;
								}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3830> */
	obj_t BGl_z62zc3anonymousza33830ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14158, obj_t BgL_sz00_14162)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14159;
				obj_t BgL_bodyz00_14160;
				long BgL_siza7ezd2framez75_14161;

				BgL_i1245z00_14159 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14158, (int) (((long) 0))));
				BgL_bodyz00_14160 = PROCEDURE_REF(BgL_envz00_14158, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14161 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14158, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16414;

					BgL_bpz00_16414 = VECTOR_REF(BgL_sz00_14162, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16415;

							BgL_runz00_16415 =
								MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_16415,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_14159));
							PROCEDURE_SET(BgL_runz00_16415,
								(int) (((long) 1)), BgL_bodyz00_14160);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16416;

								BgL_mainz00_16416 =
									MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_16416,
									(int) (((long) 0)), ((obj_t) BgL_i1245z00_14159));
								PROCEDURE_SET(BgL_mainz00_16416,
									(int) (((long) 1)), BgL_bodyz00_14160);
								PROCEDURE_SET(BgL_mainz00_16416,
									(int) (((long) 2)), BgL_runz00_16415);
								PROCEDURE_SET(BgL_mainz00_16416,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14161));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16417;

									BgL_objz00_16417 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16415, BgL_objz00_16417);
									BgL_objz00_16417;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3831z00_16418;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3832z00_16419;

										BgL_arg3832z00_16419 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14159))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16420;

											BgL_newz00_16420 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26161;

												BgL_tmpz00_26161 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16420, BgL_tmpz00_26161,
													BgL_arg3832z00_16419);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26166;
												int BgL_tmpz00_26164;

												BgL_auxz00_26166 = BINT(BgL_siza7ezd2framez75_14161);
												BgL_tmpz00_26164 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16420, BgL_tmpz00_26164,
													BgL_auxz00_26166);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26169;

												BgL_tmpz00_26169 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16420, BgL_tmpz00_26169,
													BgL_runz00_16415);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26174;
												int BgL_tmpz00_26172;

												BgL_auxz00_26174 = BINT(((long) -5));
												BgL_tmpz00_26172 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16420, BgL_tmpz00_26172,
													BgL_auxz00_26174);
											}
											BgL_arg3831z00_16418 = BgL_newz00_16420;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16416, BgL_arg3831z00_16418);
									BgL_arg3831z00_16418;
								}
								return BgL_mainz00_16416;
							}
						}
					}
				}
			}
		}
	}



/* &main */
	obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_14163,
		obj_t BgL_az00_14168, obj_t BgL_bz00_14169, obj_t BgL_cz00_14170,
		obj_t BgL_dz00_14171, obj_t BgL_lastz00_14172)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14166;
				long BgL_siza7ezd2framez75_14167;

				BgL_runz00_14166 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14163, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14167 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14163, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16421;

					BgL_sz00_16421 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16422;

						BgL_bpz00_16422 = VECTOR_REF(BgL_sz00_16421, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_16422) + BgL_siza7ezd2framez75_14167) <
								(long) (VECTOR_LENGTH(BgL_sz00_16421))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3835z00_16423;

									BgL_arg3835z00_16423 =
										((long) CINT(BgL_bpz00_16422) + ((long) 0));
									VECTOR_SET(BgL_sz00_16421,
										(int) (BgL_arg3835z00_16423), BgL_az00_14168);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3836z00_16424;

									BgL_arg3836z00_16424 =
										((long) CINT(BgL_bpz00_16422) + ((long) 1));
									VECTOR_SET(BgL_sz00_16421,
										(int) (BgL_arg3836z00_16424), BgL_bz00_14169);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3837z00_16425;

									BgL_arg3837z00_16425 =
										((long) CINT(BgL_bpz00_16422) + ((long) 2));
									VECTOR_SET(BgL_sz00_16421,
										(int) (BgL_arg3837z00_16425), BgL_cz00_14170);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3838z00_16426;

									BgL_arg3838z00_16426 =
										((long) CINT(BgL_bpz00_16422) + ((long) 3));
									VECTOR_SET(BgL_sz00_16421,
										(int) (BgL_arg3838z00_16426), BgL_dz00_14171);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3839z00_16427;

									BgL_arg3839z00_16427 =
										((long) CINT(BgL_bpz00_16422) + ((long) 4));
									VECTOR_SET(BgL_sz00_16421,
										(int) (BgL_arg3839z00_16427), BgL_lastz00_14172);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16428;

									BgL_ez00_16428 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16428,
										BgL_bpz00_16422);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16429;

										BgL_accz00_16429 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14166, BgL_sz00_16421, BgL_bpz00_16422);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16428);
										VECTOR_SET(BgL_sz00_16421,
											(int) (((long) 0)), BgL_bpz00_16422);
										return BgL_accz00_16429;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16430;

								BgL_nsz00_16430 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16430, (int) (((long) 1)), BgL_sz00_16421);
								VECTOR_SET(BgL_nsz00_16430, (int) (((long) 2)), BgL_az00_14168);
								VECTOR_SET(BgL_nsz00_16430, (int) (((long) 3)), BgL_bz00_14169);
								VECTOR_SET(BgL_nsz00_16430, (int) (((long) 4)), BgL_cz00_14170);
								VECTOR_SET(BgL_nsz00_16430, (int) (((long) 5)), BgL_dz00_14171);
								VECTOR_SET(BgL_nsz00_16430,
									(int) (((long) 6)), BgL_lastz00_14172);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16431;

									BgL_z12denvz12_16431 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16431, BgL_nsz00_16430);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16432;

										BgL_ez00_16432 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16432,
											BgL_sz00_16421);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16433;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16434;

												BgL_savedzd2bpzd2_16434 =
													VECTOR_REF(BgL_nsz00_16430, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_16430,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_16436;

													BgL_fz00_16436 = BgL_runz00_14166;
												BgL_recz00_16435:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16437;

														BgL_rz00_16437 =
															PROCEDURE_ENTRY(BgL_fz00_16436) (BgL_fz00_16436,
															BgL_nsz00_16430, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_26245;

															if (PROCEDUREP(BgL_rz00_16437))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_16438;

																	BgL_arg1674z00_16438 =
																		PROCEDURE_ATTR(BgL_rz00_16437);
																	if (STRUCTP(BgL_arg1674z00_16438))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26245 =
																				(STRUCT_KEY(BgL_arg1674z00_16438) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26245 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_26245 = ((bool_t) 0);
																}
															if (BgL_testz00_26245)
																{
																	obj_t BgL_fz00_26253;

																	BgL_fz00_26253 = BgL_rz00_16437;
																	BgL_fz00_16436 = BgL_fz00_26253;
																	goto BgL_recz00_16435;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16430,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_16434);
																	BgL_____rz00_16433 = BgL_rz00_16437;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16432);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16431, BgL_sz00_16421);
											return BgL_____rz00_16433;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run */
	obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_14173,
		obj_t BgL_sz00_14176)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14174;
				obj_t BgL_bodyz00_14175;

				BgL_i1245z00_14174 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14173, (int) (((long) 0))));
				BgL_bodyz00_14175 = PROCEDURE_REF(BgL_envz00_14173, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16439;

					BgL_bpz00_16439 = VECTOR_REF(BgL_sz00_14176, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16440;
						obj_t BgL_wherez00_16441;
						obj_t BgL_locz00_16442;

						BgL_z12denvz12_16440 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16441 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14174))->BgL_wherez00);
						BgL_locz00_16442 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14174))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16440, BgL_wherez00_16441,
								BgL_locz00_16442);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16443;

								BgL_za2za2resza2za2z00_16443 =
									PROCEDURE_ENTRY(BgL_bodyz00_14175) (BgL_bodyz00_14175,
									BgL_sz00_14176, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16440);
								return BgL_za2za2resza2za2z00_16443;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3841> */
	obj_t BGl_z62zc3anonymousza33841ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14177, obj_t BgL_sz00_14182)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14178;
				BgL_ev_absz00_bglt BgL_i1245z00_14179;
				obj_t BgL_bodyz00_14180;
				long BgL_siza7ezd2framez75_14181;

				BgL_iboxesz00_14178 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14177, (int) (((long) 0))));
				BgL_i1245z00_14179 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14177, (int) (((long) 1))));
				BgL_bodyz00_14180 = PROCEDURE_REF(BgL_envz00_14177, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14181 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14177, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16444;

					BgL_bpz00_16444 = VECTOR_REF(BgL_sz00_14182, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16445;

							BgL_runz00_16445 =
								MAKE_FX_PROCEDURE(BGl_z62run5602z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_16445,
								(int) (((long) 0)), BgL_iboxesz00_14178);
							PROCEDURE_SET(BgL_runz00_16445,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_14179));
							PROCEDURE_SET(BgL_runz00_16445,
								(int) (((long) 2)), BgL_bodyz00_14180);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16446;

								BgL_mainz00_16446 =
									MAKE_VA_PROCEDURE(BGl_z62main5601z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_16446,
									(int) (((long) 0)), BgL_iboxesz00_14178);
								PROCEDURE_SET(BgL_mainz00_16446,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_14179));
								PROCEDURE_SET(BgL_mainz00_16446,
									(int) (((long) 2)), BgL_bodyz00_14180);
								PROCEDURE_SET(BgL_mainz00_16446,
									(int) (((long) 3)), BgL_runz00_16445);
								PROCEDURE_SET(BgL_mainz00_16446,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14181));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16447;

									BgL_objz00_16447 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16445, BgL_objz00_16447);
									BgL_objz00_16447;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3842z00_16448;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3843z00_16449;

										BgL_arg3843z00_16449 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14179))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16450;

											BgL_newz00_16450 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26316;

												BgL_tmpz00_26316 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16450, BgL_tmpz00_26316,
													BgL_arg3843z00_16449);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26321;
												int BgL_tmpz00_26319;

												BgL_auxz00_26321 = BINT(BgL_siza7ezd2framez75_14181);
												BgL_tmpz00_26319 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16450, BgL_tmpz00_26319,
													BgL_auxz00_26321);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26324;

												BgL_tmpz00_26324 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16450, BgL_tmpz00_26324,
													BgL_runz00_16445);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26329;
												int BgL_tmpz00_26327;

												BgL_auxz00_26329 = BINT(((long) -5));
												BgL_tmpz00_26327 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16450, BgL_tmpz00_26327,
													BgL_auxz00_26329);
											}
											BgL_arg3842z00_16448 = BgL_newz00_16450;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16446, BgL_arg3842z00_16448);
									BgL_arg3842z00_16448;
								}
								return BgL_mainz00_16446;
							}
						}
					}
				}
			}
		}
	}



/* &main5601 */
	obj_t BGl_z62main5601z62zz__evaluate_compz00(obj_t BgL_envz00_14183,
		obj_t BgL_az00_14189, obj_t BgL_bz00_14190, obj_t BgL_cz00_14191,
		obj_t BgL_dz00_14192, obj_t BgL_lastz00_14193)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14187;
				long BgL_siza7ezd2framez75_14188;

				BgL_runz00_14187 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14183, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14188 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14183, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16451;

					BgL_sz00_16451 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16452;

						BgL_bpz00_16452 = VECTOR_REF(BgL_sz00_16451, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_16452) + BgL_siza7ezd2framez75_14188) <
								(long) (VECTOR_LENGTH(BgL_sz00_16451))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3846z00_16453;

									BgL_arg3846z00_16453 =
										((long) CINT(BgL_bpz00_16452) + ((long) 0));
									VECTOR_SET(BgL_sz00_16451,
										(int) (BgL_arg3846z00_16453), BgL_az00_14189);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3847z00_16454;

									BgL_arg3847z00_16454 =
										((long) CINT(BgL_bpz00_16452) + ((long) 1));
									VECTOR_SET(BgL_sz00_16451,
										(int) (BgL_arg3847z00_16454), BgL_bz00_14190);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3848z00_16455;

									BgL_arg3848z00_16455 =
										((long) CINT(BgL_bpz00_16452) + ((long) 2));
									VECTOR_SET(BgL_sz00_16451,
										(int) (BgL_arg3848z00_16455), BgL_cz00_14191);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3849z00_16456;

									BgL_arg3849z00_16456 =
										((long) CINT(BgL_bpz00_16452) + ((long) 3));
									VECTOR_SET(BgL_sz00_16451,
										(int) (BgL_arg3849z00_16456), BgL_dz00_14192);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3850z00_16457;

									BgL_arg3850z00_16457 =
										((long) CINT(BgL_bpz00_16452) + ((long) 4));
									VECTOR_SET(BgL_sz00_16451,
										(int) (BgL_arg3850z00_16457), BgL_lastz00_14193);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16458;

									BgL_ez00_16458 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16458,
										BgL_bpz00_16452);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16459;

										BgL_accz00_16459 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14187, BgL_sz00_16451, BgL_bpz00_16452);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16458);
										VECTOR_SET(BgL_sz00_16451,
											(int) (((long) 0)), BgL_bpz00_16452);
										return BgL_accz00_16459;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16460;

								BgL_nsz00_16460 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16460, (int) (((long) 1)), BgL_sz00_16451);
								VECTOR_SET(BgL_nsz00_16460, (int) (((long) 2)), BgL_az00_14189);
								VECTOR_SET(BgL_nsz00_16460, (int) (((long) 3)), BgL_bz00_14190);
								VECTOR_SET(BgL_nsz00_16460, (int) (((long) 4)), BgL_cz00_14191);
								VECTOR_SET(BgL_nsz00_16460, (int) (((long) 5)), BgL_dz00_14192);
								VECTOR_SET(BgL_nsz00_16460,
									(int) (((long) 6)), BgL_lastz00_14193);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16461;

									BgL_z12denvz12_16461 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16461, BgL_nsz00_16460);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16462;

										BgL_ez00_16462 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16462,
											BgL_sz00_16451);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16463;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16464;

												BgL_savedzd2bpzd2_16464 =
													VECTOR_REF(BgL_nsz00_16460, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_16460,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_16466;

													BgL_fz00_16466 = BgL_runz00_14187;
												BgL_recz00_16465:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16467;

														BgL_rz00_16467 =
															PROCEDURE_ENTRY(BgL_fz00_16466) (BgL_fz00_16466,
															BgL_nsz00_16460, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_26400;

															if (PROCEDUREP(BgL_rz00_16467))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_16468;

																	BgL_arg1674z00_16468 =
																		PROCEDURE_ATTR(BgL_rz00_16467);
																	if (STRUCTP(BgL_arg1674z00_16468))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26400 =
																				(STRUCT_KEY(BgL_arg1674z00_16468) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26400 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_26400 = ((bool_t) 0);
																}
															if (BgL_testz00_26400)
																{
																	obj_t BgL_fz00_26408;

																	BgL_fz00_26408 = BgL_rz00_16467;
																	BgL_fz00_16466 = BgL_fz00_26408;
																	goto BgL_recz00_16465;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16460,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_16464);
																	BgL_____rz00_16463 = BgL_rz00_16467;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16462);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16461, BgL_sz00_16451);
											return BgL_____rz00_16463;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5602 */
	obj_t BGl_z62run5602z62zz__evaluate_compz00(obj_t BgL_envz00_14194,
		obj_t BgL_sz00_14198)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14195;
				BgL_ev_absz00_bglt BgL_i1245z00_14196;
				obj_t BgL_bodyz00_14197;

				BgL_iboxesz00_14195 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14194, (int) (((long) 0))));
				BgL_i1245z00_14196 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14194, (int) (((long) 1))));
				BgL_bodyz00_14197 = PROCEDURE_REF(BgL_envz00_14194, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16469;

					BgL_bpz00_16469 = VECTOR_REF(BgL_sz00_14198, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14198,
						BgL_iboxesz00_14195, BgL_bpz00_16469);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16470;
						obj_t BgL_wherez00_16471;
						obj_t BgL_locz00_16472;

						BgL_z12denvz12_16470 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16471 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14196))->BgL_wherez00);
						BgL_locz00_16472 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14196))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16470, BgL_wherez00_16471,
								BgL_locz00_16472);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16473;

								BgL_za2za2resza2za2z00_16473 =
									PROCEDURE_ENTRY(BgL_bodyz00_14197) (BgL_bodyz00_14197,
									BgL_sz00_14198, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16470);
								return BgL_za2za2resza2za2z00_16473;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3855> */
	obj_t BGl_z62zc3anonymousza33855ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14199, obj_t BgL_sz00_14205)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14200;
				long BgL_siza7eza7_14201;
				BgL_ev_absz00_bglt BgL_i1245z00_14202;
				obj_t BgL_bodyz00_14203;
				long BgL_siza7ezd2framez75_14204;

				BgL_ifreesz00_14200 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14199, (int) (((long) 0))));
				BgL_siza7eza7_14201 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14199, (int) (((long) 1))));
				BgL_i1245z00_14202 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14199, (int) (((long) 2))));
				BgL_bodyz00_14203 = PROCEDURE_REF(BgL_envz00_14199, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14204 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14199, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16474;

					BgL_bpz00_16474 = VECTOR_REF(BgL_sz00_14205, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16475;

						BgL_valza2za2_16475 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14205,
							BgL_bpz00_16474, BgL_ifreesz00_14200);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16476;

							BgL_runz00_16476 =
								MAKE_FX_PROCEDURE(BGl_z62run5604z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_16476,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14201));
							PROCEDURE_SET(BgL_runz00_16476,
								(int) (((long) 1)), BgL_valza2za2_16475);
							PROCEDURE_SET(BgL_runz00_16476,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_14202));
							PROCEDURE_SET(BgL_runz00_16476,
								(int) (((long) 3)), BgL_bodyz00_14203);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16477;

								BgL_mainz00_16477 =
									MAKE_VA_PROCEDURE(BGl_z62main5603z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_16477,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14201));
								PROCEDURE_SET(BgL_mainz00_16477,
									(int) (((long) 1)), BgL_valza2za2_16475);
								PROCEDURE_SET(BgL_mainz00_16477,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_14202));
								PROCEDURE_SET(BgL_mainz00_16477,
									(int) (((long) 3)), BgL_bodyz00_14203);
								PROCEDURE_SET(BgL_mainz00_16477,
									(int) (((long) 4)), BgL_runz00_16476);
								PROCEDURE_SET(BgL_mainz00_16477,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14204));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16478;

									BgL_objz00_16478 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16476, BgL_objz00_16478);
									BgL_objz00_16478;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3856z00_16479;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3857z00_16480;

										BgL_arg3857z00_16480 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14202))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16481;

											BgL_newz00_16481 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26485;

												BgL_tmpz00_26485 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16481, BgL_tmpz00_26485,
													BgL_arg3857z00_16480);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26490;
												int BgL_tmpz00_26488;

												BgL_auxz00_26490 = BINT(BgL_siza7ezd2framez75_14204);
												BgL_tmpz00_26488 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16481, BgL_tmpz00_26488,
													BgL_auxz00_26490);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26493;

												BgL_tmpz00_26493 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16481, BgL_tmpz00_26493,
													BgL_runz00_16476);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26498;
												int BgL_tmpz00_26496;

												BgL_auxz00_26498 = BINT(((long) -5));
												BgL_tmpz00_26496 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16481, BgL_tmpz00_26496,
													BgL_auxz00_26498);
											}
											BgL_arg3856z00_16479 = BgL_newz00_16481;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16477, BgL_arg3856z00_16479);
									BgL_arg3856z00_16479;
								}
								return BgL_mainz00_16477;
							}
						}
					}
				}
			}
		}
	}



/* &main5603 */
	obj_t BGl_z62main5603z62zz__evaluate_compz00(obj_t BgL_envz00_14206,
		obj_t BgL_az00_14213, obj_t BgL_bz00_14214, obj_t BgL_cz00_14215,
		obj_t BgL_dz00_14216, obj_t BgL_lastz00_14217)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14211;
				long BgL_siza7ezd2framez75_14212;

				BgL_runz00_14211 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14206, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14212 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14206, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16482;

					BgL_sz00_16482 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16483;

						BgL_bpz00_16483 = VECTOR_REF(BgL_sz00_16482, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_16483) + BgL_siza7ezd2framez75_14212) <
								(long) (VECTOR_LENGTH(BgL_sz00_16482))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3860z00_16484;

									BgL_arg3860z00_16484 =
										((long) CINT(BgL_bpz00_16483) + ((long) 0));
									VECTOR_SET(BgL_sz00_16482,
										(int) (BgL_arg3860z00_16484), BgL_az00_14213);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3861z00_16485;

									BgL_arg3861z00_16485 =
										((long) CINT(BgL_bpz00_16483) + ((long) 1));
									VECTOR_SET(BgL_sz00_16482,
										(int) (BgL_arg3861z00_16485), BgL_bz00_14214);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3862z00_16486;

									BgL_arg3862z00_16486 =
										((long) CINT(BgL_bpz00_16483) + ((long) 2));
									VECTOR_SET(BgL_sz00_16482,
										(int) (BgL_arg3862z00_16486), BgL_cz00_14215);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3863z00_16487;

									BgL_arg3863z00_16487 =
										((long) CINT(BgL_bpz00_16483) + ((long) 3));
									VECTOR_SET(BgL_sz00_16482,
										(int) (BgL_arg3863z00_16487), BgL_dz00_14216);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3864z00_16488;

									BgL_arg3864z00_16488 =
										((long) CINT(BgL_bpz00_16483) + ((long) 4));
									VECTOR_SET(BgL_sz00_16482,
										(int) (BgL_arg3864z00_16488), BgL_lastz00_14217);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16489;

									BgL_ez00_16489 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16489,
										BgL_bpz00_16483);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16490;

										BgL_accz00_16490 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14211, BgL_sz00_16482, BgL_bpz00_16483);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16489);
										VECTOR_SET(BgL_sz00_16482,
											(int) (((long) 0)), BgL_bpz00_16483);
										return BgL_accz00_16490;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16491;

								BgL_nsz00_16491 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16491, (int) (((long) 1)), BgL_sz00_16482);
								VECTOR_SET(BgL_nsz00_16491, (int) (((long) 2)), BgL_az00_14213);
								VECTOR_SET(BgL_nsz00_16491, (int) (((long) 3)), BgL_bz00_14214);
								VECTOR_SET(BgL_nsz00_16491, (int) (((long) 4)), BgL_cz00_14215);
								VECTOR_SET(BgL_nsz00_16491, (int) (((long) 5)), BgL_dz00_14216);
								VECTOR_SET(BgL_nsz00_16491,
									(int) (((long) 6)), BgL_lastz00_14217);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16492;

									BgL_z12denvz12_16492 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16492, BgL_nsz00_16491);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16493;

										BgL_ez00_16493 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16493,
											BgL_sz00_16482);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16494;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16495;

												BgL_savedzd2bpzd2_16495 =
													VECTOR_REF(BgL_nsz00_16491, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_16491,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_16497;

													BgL_fz00_16497 = BgL_runz00_14211;
												BgL_recz00_16496:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16498;

														BgL_rz00_16498 =
															PROCEDURE_ENTRY(BgL_fz00_16497) (BgL_fz00_16497,
															BgL_nsz00_16491, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_26569;

															if (PROCEDUREP(BgL_rz00_16498))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_16499;

																	BgL_arg1674z00_16499 =
																		PROCEDURE_ATTR(BgL_rz00_16498);
																	if (STRUCTP(BgL_arg1674z00_16499))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26569 =
																				(STRUCT_KEY(BgL_arg1674z00_16499) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26569 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_26569 = ((bool_t) 0);
																}
															if (BgL_testz00_26569)
																{
																	obj_t BgL_fz00_26577;

																	BgL_fz00_26577 = BgL_rz00_16498;
																	BgL_fz00_16497 = BgL_fz00_26577;
																	goto BgL_recz00_16496;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16491,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_16495);
																	BgL_____rz00_16494 = BgL_rz00_16498;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16493);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16492, BgL_sz00_16482);
											return BgL_____rz00_16494;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5604 */
	obj_t BGl_z62run5604z62zz__evaluate_compz00(obj_t BgL_envz00_14218,
		obj_t BgL_sz00_14223)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14219;
				obj_t BgL_valza2za2_14220;
				BgL_ev_absz00_bglt BgL_i1245z00_14221;
				obj_t BgL_bodyz00_14222;

				BgL_siza7eza7_14219 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14218, (int) (((long) 0))));
				BgL_valza2za2_14220 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14218, (int) (((long) 1))));
				BgL_i1245z00_14221 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14218, (int) (((long) 2))));
				BgL_bodyz00_14222 = PROCEDURE_REF(BgL_envz00_14218, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16500;

					BgL_bpz00_16500 = VECTOR_REF(BgL_sz00_14223, (int) (((long) 0)));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14223,
						BgL_valza2za2_14220,
						((long) CINT(BgL_bpz00_16500) + BgL_siza7eza7_14219));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16501;
						obj_t BgL_wherez00_16502;
						obj_t BgL_locz00_16503;

						BgL_z12denvz12_16501 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16502 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14221))->BgL_wherez00);
						BgL_locz00_16503 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14221))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16501, BgL_wherez00_16502,
								BgL_locz00_16503);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16504;

								BgL_za2za2resza2za2z00_16504 =
									PROCEDURE_ENTRY(BgL_bodyz00_14222) (BgL_bodyz00_14222,
									BgL_sz00_14223, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16501);
								return BgL_za2za2resza2za2z00_16504;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3867> */
	obj_t BGl_z62zc3anonymousza33867ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14224, obj_t BgL_sz00_14231)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14225;
				obj_t BgL_iboxesz00_14226;
				long BgL_siza7eza7_14227;
				BgL_ev_absz00_bglt BgL_i1245z00_14228;
				obj_t BgL_bodyz00_14229;
				long BgL_siza7ezd2framez75_14230;

				BgL_ifreesz00_14225 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14224, (int) (((long) 0))));
				BgL_iboxesz00_14226 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14224, (int) (((long) 1))));
				BgL_siza7eza7_14227 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14224, (int) (((long) 2))));
				BgL_i1245z00_14228 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14224, (int) (((long) 3))));
				BgL_bodyz00_14229 = PROCEDURE_REF(BgL_envz00_14224, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14230 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14224, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16505;

					BgL_bpz00_16505 = VECTOR_REF(BgL_sz00_14231, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16506;

						BgL_valza2za2_16506 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14231,
							BgL_bpz00_16505, BgL_ifreesz00_14225);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16507;

							BgL_runz00_16507 =
								MAKE_FX_PROCEDURE(BGl_z62run5606z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_16507,
								(int) (((long) 0)), BgL_iboxesz00_14226);
							PROCEDURE_SET(BgL_runz00_16507,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14227));
							PROCEDURE_SET(BgL_runz00_16507,
								(int) (((long) 2)), BgL_valza2za2_16506);
							PROCEDURE_SET(BgL_runz00_16507,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_14228));
							PROCEDURE_SET(BgL_runz00_16507,
								(int) (((long) 4)), BgL_bodyz00_14229);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16508;

								BgL_mainz00_16508 =
									MAKE_VA_PROCEDURE(BGl_z62main5605z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_16508,
									(int) (((long) 0)), BgL_iboxesz00_14226);
								PROCEDURE_SET(BgL_mainz00_16508,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14227));
								PROCEDURE_SET(BgL_mainz00_16508,
									(int) (((long) 2)), BgL_valza2za2_16506);
								PROCEDURE_SET(BgL_mainz00_16508,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_14228));
								PROCEDURE_SET(BgL_mainz00_16508,
									(int) (((long) 4)), BgL_bodyz00_14229);
								PROCEDURE_SET(BgL_mainz00_16508,
									(int) (((long) 5)), BgL_runz00_16507);
								PROCEDURE_SET(BgL_mainz00_16508,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14230));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16509;

									BgL_objz00_16509 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16507, BgL_objz00_16509);
									BgL_objz00_16509;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3868z00_16510;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3869z00_16511;

										BgL_arg3869z00_16511 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14228))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16512;

											BgL_newz00_16512 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26666;

												BgL_tmpz00_26666 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16512, BgL_tmpz00_26666,
													BgL_arg3869z00_16511);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26671;
												int BgL_tmpz00_26669;

												BgL_auxz00_26671 = BINT(BgL_siza7ezd2framez75_14230);
												BgL_tmpz00_26669 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16512, BgL_tmpz00_26669,
													BgL_auxz00_26671);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26674;

												BgL_tmpz00_26674 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16512, BgL_tmpz00_26674,
													BgL_runz00_16507);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26679;
												int BgL_tmpz00_26677;

												BgL_auxz00_26679 = BINT(((long) -5));
												BgL_tmpz00_26677 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16512, BgL_tmpz00_26677,
													BgL_auxz00_26679);
											}
											BgL_arg3868z00_16510 = BgL_newz00_16512;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16508, BgL_arg3868z00_16510);
									BgL_arg3868z00_16510;
								}
								return BgL_mainz00_16508;
							}
						}
					}
				}
			}
		}
	}



/* &main5605 */
	obj_t BGl_z62main5605z62zz__evaluate_compz00(obj_t BgL_envz00_14232,
		obj_t BgL_az00_14240, obj_t BgL_bz00_14241, obj_t BgL_cz00_14242,
		obj_t BgL_dz00_14243, obj_t BgL_lastz00_14244)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14238;
				long BgL_siza7ezd2framez75_14239;

				BgL_runz00_14238 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14232, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14239 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14232, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16513;

					BgL_sz00_16513 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16514;

						BgL_bpz00_16514 = VECTOR_REF(BgL_sz00_16513, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_16514) + BgL_siza7ezd2framez75_14239) <
								(long) (VECTOR_LENGTH(BgL_sz00_16513))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3872z00_16515;

									BgL_arg3872z00_16515 =
										((long) CINT(BgL_bpz00_16514) + ((long) 0));
									VECTOR_SET(BgL_sz00_16513,
										(int) (BgL_arg3872z00_16515), BgL_az00_14240);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3873z00_16516;

									BgL_arg3873z00_16516 =
										((long) CINT(BgL_bpz00_16514) + ((long) 1));
									VECTOR_SET(BgL_sz00_16513,
										(int) (BgL_arg3873z00_16516), BgL_bz00_14241);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3874z00_16517;

									BgL_arg3874z00_16517 =
										((long) CINT(BgL_bpz00_16514) + ((long) 2));
									VECTOR_SET(BgL_sz00_16513,
										(int) (BgL_arg3874z00_16517), BgL_cz00_14242);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3875z00_16518;

									BgL_arg3875z00_16518 =
										((long) CINT(BgL_bpz00_16514) + ((long) 3));
									VECTOR_SET(BgL_sz00_16513,
										(int) (BgL_arg3875z00_16518), BgL_dz00_14243);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3876z00_16519;

									BgL_arg3876z00_16519 =
										((long) CINT(BgL_bpz00_16514) + ((long) 4));
									VECTOR_SET(BgL_sz00_16513,
										(int) (BgL_arg3876z00_16519), BgL_lastz00_14244);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16520;

									BgL_ez00_16520 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16520,
										BgL_bpz00_16514);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16521;

										BgL_accz00_16521 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14238, BgL_sz00_16513, BgL_bpz00_16514);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16520);
										VECTOR_SET(BgL_sz00_16513,
											(int) (((long) 0)), BgL_bpz00_16514);
										return BgL_accz00_16521;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16522;

								BgL_nsz00_16522 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16522, (int) (((long) 1)), BgL_sz00_16513);
								VECTOR_SET(BgL_nsz00_16522, (int) (((long) 2)), BgL_az00_14240);
								VECTOR_SET(BgL_nsz00_16522, (int) (((long) 3)), BgL_bz00_14241);
								VECTOR_SET(BgL_nsz00_16522, (int) (((long) 4)), BgL_cz00_14242);
								VECTOR_SET(BgL_nsz00_16522, (int) (((long) 5)), BgL_dz00_14243);
								VECTOR_SET(BgL_nsz00_16522,
									(int) (((long) 6)), BgL_lastz00_14244);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16523;

									BgL_z12denvz12_16523 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16523, BgL_nsz00_16522);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16524;

										BgL_ez00_16524 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16524,
											BgL_sz00_16513);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16525;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16526;

												BgL_savedzd2bpzd2_16526 =
													VECTOR_REF(BgL_nsz00_16522, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_16522,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_16528;

													BgL_fz00_16528 = BgL_runz00_14238;
												BgL_recz00_16527:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16529;

														BgL_rz00_16529 =
															PROCEDURE_ENTRY(BgL_fz00_16528) (BgL_fz00_16528,
															BgL_nsz00_16522, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_26750;

															if (PROCEDUREP(BgL_rz00_16529))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_16530;

																	BgL_arg1674z00_16530 =
																		PROCEDURE_ATTR(BgL_rz00_16529);
																	if (STRUCTP(BgL_arg1674z00_16530))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26750 =
																				(STRUCT_KEY(BgL_arg1674z00_16530) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26750 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_26750 = ((bool_t) 0);
																}
															if (BgL_testz00_26750)
																{
																	obj_t BgL_fz00_26758;

																	BgL_fz00_26758 = BgL_rz00_16529;
																	BgL_fz00_16528 = BgL_fz00_26758;
																	goto BgL_recz00_16527;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16522,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_16526);
																	BgL_____rz00_16525 = BgL_rz00_16529;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16524);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16523, BgL_sz00_16513);
											return BgL_____rz00_16525;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5606 */
	obj_t BGl_z62run5606z62zz__evaluate_compz00(obj_t BgL_envz00_14245,
		obj_t BgL_sz00_14251)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14246;
				long BgL_siza7eza7_14247;
				obj_t BgL_valza2za2_14248;
				BgL_ev_absz00_bglt BgL_i1245z00_14249;
				obj_t BgL_bodyz00_14250;

				BgL_iboxesz00_14246 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14245, (int) (((long) 0))));
				BgL_siza7eza7_14247 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14245, (int) (((long) 1))));
				BgL_valza2za2_14248 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14245, (int) (((long) 2))));
				BgL_i1245z00_14249 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14245, (int) (((long) 3))));
				BgL_bodyz00_14250 = PROCEDURE_REF(BgL_envz00_14245, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16531;

					BgL_bpz00_16531 = VECTOR_REF(BgL_sz00_14251, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14251,
						BgL_iboxesz00_14246, BgL_bpz00_16531);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14251,
						BgL_valza2za2_14248,
						((long) CINT(BgL_bpz00_16531) + BgL_siza7eza7_14247));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16532;
						obj_t BgL_wherez00_16533;
						obj_t BgL_locz00_16534;

						BgL_z12denvz12_16532 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16533 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14249))->BgL_wherez00);
						BgL_locz00_16534 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14249))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16532, BgL_wherez00_16533,
								BgL_locz00_16534);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16535;

								BgL_za2za2resza2za2z00_16535 =
									PROCEDURE_ENTRY(BgL_bodyz00_14250) (BgL_bodyz00_14250,
									BgL_sz00_14251, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16532);
								return BgL_za2za2resza2za2z00_16535;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3779> */
	obj_t BGl_z62zc3anonymousza33779ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14252, obj_t BgL_sz00_14256)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14253;
				obj_t BgL_bodyz00_14254;
				long BgL_siza7ezd2framez75_14255;

				BgL_i1245z00_14253 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14252, (int) (((long) 0))));
				BgL_bodyz00_14254 = PROCEDURE_REF(BgL_envz00_14252, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14255 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14252, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16536;

					BgL_bpz00_16536 = VECTOR_REF(BgL_sz00_14256, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16537;

							BgL_runz00_16537 =
								MAKE_FX_PROCEDURE(BGl_z62run5608z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_16537,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_14253));
							PROCEDURE_SET(BgL_runz00_16537,
								(int) (((long) 1)), BgL_bodyz00_14254);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16538;

								BgL_mainz00_16538 =
									MAKE_FX_PROCEDURE(BGl_z62main5607z62zz__evaluate_compz00,
									(int) (((long) 4)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_16538,
									(int) (((long) 0)), ((obj_t) BgL_i1245z00_14253));
								PROCEDURE_SET(BgL_mainz00_16538,
									(int) (((long) 1)), BgL_bodyz00_14254);
								PROCEDURE_SET(BgL_mainz00_16538,
									(int) (((long) 2)), BgL_runz00_16537);
								PROCEDURE_SET(BgL_mainz00_16538,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14255));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16539;

									BgL_objz00_16539 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16537, BgL_objz00_16539);
									BgL_objz00_16539;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3780z00_16540;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3781z00_16541;

										BgL_arg3781z00_16541 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14253))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16542;

											BgL_newz00_16542 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26827;

												BgL_tmpz00_26827 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16542, BgL_tmpz00_26827,
													BgL_arg3781z00_16541);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26832;
												int BgL_tmpz00_26830;

												BgL_auxz00_26832 = BINT(BgL_siza7ezd2framez75_14255);
												BgL_tmpz00_26830 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16542, BgL_tmpz00_26830,
													BgL_auxz00_26832);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26835;

												BgL_tmpz00_26835 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16542, BgL_tmpz00_26835,
													BgL_runz00_16537);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26840;
												int BgL_tmpz00_26838;

												BgL_auxz00_26840 = BINT(((long) 4));
												BgL_tmpz00_26838 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16542, BgL_tmpz00_26838,
													BgL_auxz00_26840);
											}
											BgL_arg3780z00_16540 = BgL_newz00_16542;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16538, BgL_arg3780z00_16540);
									BgL_arg3780z00_16540;
								}
								return BgL_mainz00_16538;
							}
						}
					}
				}
			}
		}
	}



/* &main5607 */
	obj_t BGl_z62main5607z62zz__evaluate_compz00(obj_t BgL_envz00_14257,
		obj_t BgL_az00_14262, obj_t BgL_bz00_14263, obj_t BgL_cz00_14264,
		obj_t BgL_dz00_14265)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14260;
				long BgL_siza7ezd2framez75_14261;

				BgL_runz00_14260 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14257, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14261 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14257, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16543;

					BgL_sz00_16543 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16544;

						BgL_bpz00_16544 = VECTOR_REF(BgL_sz00_16543, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_16544) + BgL_siza7ezd2framez75_14261) <
								(long) (VECTOR_LENGTH(BgL_sz00_16543))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3784z00_16545;

									BgL_arg3784z00_16545 =
										((long) CINT(BgL_bpz00_16544) + ((long) 0));
									VECTOR_SET(BgL_sz00_16543,
										(int) (BgL_arg3784z00_16545), BgL_az00_14262);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3785z00_16546;

									BgL_arg3785z00_16546 =
										((long) CINT(BgL_bpz00_16544) + ((long) 1));
									VECTOR_SET(BgL_sz00_16543,
										(int) (BgL_arg3785z00_16546), BgL_bz00_14263);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3786z00_16547;

									BgL_arg3786z00_16547 =
										((long) CINT(BgL_bpz00_16544) + ((long) 2));
									VECTOR_SET(BgL_sz00_16543,
										(int) (BgL_arg3786z00_16547), BgL_cz00_14264);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3787z00_16548;

									BgL_arg3787z00_16548 =
										((long) CINT(BgL_bpz00_16544) + ((long) 3));
									VECTOR_SET(BgL_sz00_16543,
										(int) (BgL_arg3787z00_16548), BgL_dz00_14265);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16549;

									BgL_ez00_16549 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16549,
										BgL_bpz00_16544);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16550;

										BgL_accz00_16550 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14260, BgL_sz00_16543, BgL_bpz00_16544);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16549);
										VECTOR_SET(BgL_sz00_16543,
											(int) (((long) 0)), BgL_bpz00_16544);
										return BgL_accz00_16550;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16551;

								BgL_nsz00_16551 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16551, (int) (((long) 1)), BgL_sz00_16543);
								VECTOR_SET(BgL_nsz00_16551, (int) (((long) 2)), BgL_az00_14262);
								VECTOR_SET(BgL_nsz00_16551, (int) (((long) 3)), BgL_bz00_14263);
								VECTOR_SET(BgL_nsz00_16551, (int) (((long) 4)), BgL_cz00_14264);
								VECTOR_SET(BgL_nsz00_16551, (int) (((long) 5)), BgL_dz00_14265);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16552;

									BgL_z12denvz12_16552 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16552, BgL_nsz00_16551);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16553;

										BgL_ez00_16553 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16553,
											BgL_sz00_16543);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16554;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16555;

												BgL_savedzd2bpzd2_16555 =
													VECTOR_REF(BgL_nsz00_16551, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_16551,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_16557;

													BgL_fz00_16557 = BgL_runz00_14260;
												BgL_recz00_16556:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16558;

														BgL_rz00_16558 =
															PROCEDURE_ENTRY(BgL_fz00_16557) (BgL_fz00_16557,
															BgL_nsz00_16551, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_26905;

															if (PROCEDUREP(BgL_rz00_16558))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_16559;

																	BgL_arg1674z00_16559 =
																		PROCEDURE_ATTR(BgL_rz00_16558);
																	if (STRUCTP(BgL_arg1674z00_16559))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26905 =
																				(STRUCT_KEY(BgL_arg1674z00_16559) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_26905 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_26905 = ((bool_t) 0);
																}
															if (BgL_testz00_26905)
																{
																	obj_t BgL_fz00_26913;

																	BgL_fz00_26913 = BgL_rz00_16558;
																	BgL_fz00_16557 = BgL_fz00_26913;
																	goto BgL_recz00_16556;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16551,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_16555);
																	BgL_____rz00_16554 = BgL_rz00_16558;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16553);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16552, BgL_sz00_16543);
											return BgL_____rz00_16554;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5608 */
	obj_t BGl_z62run5608z62zz__evaluate_compz00(obj_t BgL_envz00_14266,
		obj_t BgL_sz00_14269)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14267;
				obj_t BgL_bodyz00_14268;

				BgL_i1245z00_14267 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14266, (int) (((long) 0))));
				BgL_bodyz00_14268 = PROCEDURE_REF(BgL_envz00_14266, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16560;

					BgL_bpz00_16560 = VECTOR_REF(BgL_sz00_14269, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16561;
						obj_t BgL_wherez00_16562;
						obj_t BgL_locz00_16563;

						BgL_z12denvz12_16561 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16562 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14267))->BgL_wherez00);
						BgL_locz00_16563 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14267))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16561, BgL_wherez00_16562,
								BgL_locz00_16563);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16564;

								BgL_za2za2resza2za2z00_16564 =
									PROCEDURE_ENTRY(BgL_bodyz00_14268) (BgL_bodyz00_14268,
									BgL_sz00_14269, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16561);
								return BgL_za2za2resza2za2z00_16564;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3789> */
	obj_t BGl_z62zc3anonymousza33789ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14270, obj_t BgL_sz00_14275)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14271;
				BgL_ev_absz00_bglt BgL_i1245z00_14272;
				obj_t BgL_bodyz00_14273;
				long BgL_siza7ezd2framez75_14274;

				BgL_iboxesz00_14271 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14270, (int) (((long) 0))));
				BgL_i1245z00_14272 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14270, (int) (((long) 1))));
				BgL_bodyz00_14273 = PROCEDURE_REF(BgL_envz00_14270, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14274 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14270, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16565;

					BgL_bpz00_16565 = VECTOR_REF(BgL_sz00_14275, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16566;

							BgL_runz00_16566 =
								MAKE_FX_PROCEDURE(BGl_z62run5610z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_16566,
								(int) (((long) 0)), BgL_iboxesz00_14271);
							PROCEDURE_SET(BgL_runz00_16566,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_14272));
							PROCEDURE_SET(BgL_runz00_16566,
								(int) (((long) 2)), BgL_bodyz00_14273);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16567;

								BgL_mainz00_16567 =
									MAKE_FX_PROCEDURE(BGl_z62main5609z62zz__evaluate_compz00,
									(int) (((long) 4)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_16567,
									(int) (((long) 0)), BgL_iboxesz00_14271);
								PROCEDURE_SET(BgL_mainz00_16567,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_14272));
								PROCEDURE_SET(BgL_mainz00_16567,
									(int) (((long) 2)), BgL_bodyz00_14273);
								PROCEDURE_SET(BgL_mainz00_16567,
									(int) (((long) 3)), BgL_runz00_16566);
								PROCEDURE_SET(BgL_mainz00_16567,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14274));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16568;

									BgL_objz00_16568 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16566, BgL_objz00_16568);
									BgL_objz00_16568;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3790z00_16569;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3791z00_16570;

										BgL_arg3791z00_16570 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14272))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16571;

											BgL_newz00_16571 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26976;

												BgL_tmpz00_26976 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16571, BgL_tmpz00_26976,
													BgL_arg3791z00_16570);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26981;
												int BgL_tmpz00_26979;

												BgL_auxz00_26981 = BINT(BgL_siza7ezd2framez75_14274);
												BgL_tmpz00_26979 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16571, BgL_tmpz00_26979,
													BgL_auxz00_26981);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_26984;

												BgL_tmpz00_26984 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16571, BgL_tmpz00_26984,
													BgL_runz00_16566);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_26989;
												int BgL_tmpz00_26987;

												BgL_auxz00_26989 = BINT(((long) 4));
												BgL_tmpz00_26987 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16571, BgL_tmpz00_26987,
													BgL_auxz00_26989);
											}
											BgL_arg3790z00_16569 = BgL_newz00_16571;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16567, BgL_arg3790z00_16569);
									BgL_arg3790z00_16569;
								}
								return BgL_mainz00_16567;
							}
						}
					}
				}
			}
		}
	}



/* &main5609 */
	obj_t BGl_z62main5609z62zz__evaluate_compz00(obj_t BgL_envz00_14276,
		obj_t BgL_az00_14282, obj_t BgL_bz00_14283, obj_t BgL_cz00_14284,
		obj_t BgL_dz00_14285)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14280;
				long BgL_siza7ezd2framez75_14281;

				BgL_runz00_14280 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14276, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14281 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14276, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16572;

					BgL_sz00_16572 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16573;

						BgL_bpz00_16573 = VECTOR_REF(BgL_sz00_16572, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_16573) + BgL_siza7ezd2framez75_14281) <
								(long) (VECTOR_LENGTH(BgL_sz00_16572))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3794z00_16574;

									BgL_arg3794z00_16574 =
										((long) CINT(BgL_bpz00_16573) + ((long) 0));
									VECTOR_SET(BgL_sz00_16572,
										(int) (BgL_arg3794z00_16574), BgL_az00_14282);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3795z00_16575;

									BgL_arg3795z00_16575 =
										((long) CINT(BgL_bpz00_16573) + ((long) 1));
									VECTOR_SET(BgL_sz00_16572,
										(int) (BgL_arg3795z00_16575), BgL_bz00_14283);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3796z00_16576;

									BgL_arg3796z00_16576 =
										((long) CINT(BgL_bpz00_16573) + ((long) 2));
									VECTOR_SET(BgL_sz00_16572,
										(int) (BgL_arg3796z00_16576), BgL_cz00_14284);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3797z00_16577;

									BgL_arg3797z00_16577 =
										((long) CINT(BgL_bpz00_16573) + ((long) 3));
									VECTOR_SET(BgL_sz00_16572,
										(int) (BgL_arg3797z00_16577), BgL_dz00_14285);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16578;

									BgL_ez00_16578 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16578,
										BgL_bpz00_16573);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16579;

										BgL_accz00_16579 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14280, BgL_sz00_16572, BgL_bpz00_16573);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16578);
										VECTOR_SET(BgL_sz00_16572,
											(int) (((long) 0)), BgL_bpz00_16573);
										return BgL_accz00_16579;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16580;

								BgL_nsz00_16580 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16580, (int) (((long) 1)), BgL_sz00_16572);
								VECTOR_SET(BgL_nsz00_16580, (int) (((long) 2)), BgL_az00_14282);
								VECTOR_SET(BgL_nsz00_16580, (int) (((long) 3)), BgL_bz00_14283);
								VECTOR_SET(BgL_nsz00_16580, (int) (((long) 4)), BgL_cz00_14284);
								VECTOR_SET(BgL_nsz00_16580, (int) (((long) 5)), BgL_dz00_14285);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16581;

									BgL_z12denvz12_16581 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16581, BgL_nsz00_16580);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16582;

										BgL_ez00_16582 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16582,
											BgL_sz00_16572);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16583;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16584;

												BgL_savedzd2bpzd2_16584 =
													VECTOR_REF(BgL_nsz00_16580, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_16580,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_16586;

													BgL_fz00_16586 = BgL_runz00_14280;
												BgL_recz00_16585:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16587;

														BgL_rz00_16587 =
															PROCEDURE_ENTRY(BgL_fz00_16586) (BgL_fz00_16586,
															BgL_nsz00_16580, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_27054;

															if (PROCEDUREP(BgL_rz00_16587))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_16588;

																	BgL_arg1674z00_16588 =
																		PROCEDURE_ATTR(BgL_rz00_16587);
																	if (STRUCTP(BgL_arg1674z00_16588))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27054 =
																				(STRUCT_KEY(BgL_arg1674z00_16588) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27054 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_27054 = ((bool_t) 0);
																}
															if (BgL_testz00_27054)
																{
																	obj_t BgL_fz00_27062;

																	BgL_fz00_27062 = BgL_rz00_16587;
																	BgL_fz00_16586 = BgL_fz00_27062;
																	goto BgL_recz00_16585;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16580,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_16584);
																	BgL_____rz00_16583 = BgL_rz00_16587;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16582);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16581, BgL_sz00_16572);
											return BgL_____rz00_16583;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5610 */
	obj_t BGl_z62run5610z62zz__evaluate_compz00(obj_t BgL_envz00_14286,
		obj_t BgL_sz00_14290)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14287;
				BgL_ev_absz00_bglt BgL_i1245z00_14288;
				obj_t BgL_bodyz00_14289;

				BgL_iboxesz00_14287 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14286, (int) (((long) 0))));
				BgL_i1245z00_14288 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14286, (int) (((long) 1))));
				BgL_bodyz00_14289 = PROCEDURE_REF(BgL_envz00_14286, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16589;

					BgL_bpz00_16589 = VECTOR_REF(BgL_sz00_14290, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14290,
						BgL_iboxesz00_14287, BgL_bpz00_16589);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16590;
						obj_t BgL_wherez00_16591;
						obj_t BgL_locz00_16592;

						BgL_z12denvz12_16590 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16591 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14288))->BgL_wherez00);
						BgL_locz00_16592 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14288))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16590, BgL_wherez00_16591,
								BgL_locz00_16592);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16593;

								BgL_za2za2resza2za2z00_16593 =
									PROCEDURE_ENTRY(BgL_bodyz00_14289) (BgL_bodyz00_14289,
									BgL_sz00_14290, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16590);
								return BgL_za2za2resza2za2z00_16593;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3802> */
	obj_t BGl_z62zc3anonymousza33802ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14291, obj_t BgL_sz00_14297)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14292;
				long BgL_siza7eza7_14293;
				BgL_ev_absz00_bglt BgL_i1245z00_14294;
				obj_t BgL_bodyz00_14295;
				long BgL_siza7ezd2framez75_14296;

				BgL_ifreesz00_14292 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14291, (int) (((long) 0))));
				BgL_siza7eza7_14293 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14291, (int) (((long) 1))));
				BgL_i1245z00_14294 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14291, (int) (((long) 2))));
				BgL_bodyz00_14295 = PROCEDURE_REF(BgL_envz00_14291, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14296 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14291, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16594;

					BgL_bpz00_16594 = VECTOR_REF(BgL_sz00_14297, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16595;

						BgL_valza2za2_16595 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14297,
							BgL_bpz00_16594, BgL_ifreesz00_14292);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16596;

							BgL_runz00_16596 =
								MAKE_FX_PROCEDURE(BGl_z62run5612z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_16596,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14293));
							PROCEDURE_SET(BgL_runz00_16596,
								(int) (((long) 1)), BgL_valza2za2_16595);
							PROCEDURE_SET(BgL_runz00_16596,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_14294));
							PROCEDURE_SET(BgL_runz00_16596,
								(int) (((long) 3)), BgL_bodyz00_14295);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16597;

								BgL_mainz00_16597 =
									MAKE_FX_PROCEDURE(BGl_z62main5611z62zz__evaluate_compz00,
									(int) (((long) 4)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_16597,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14293));
								PROCEDURE_SET(BgL_mainz00_16597,
									(int) (((long) 1)), BgL_valza2za2_16595);
								PROCEDURE_SET(BgL_mainz00_16597,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_14294));
								PROCEDURE_SET(BgL_mainz00_16597,
									(int) (((long) 3)), BgL_bodyz00_14295);
								PROCEDURE_SET(BgL_mainz00_16597,
									(int) (((long) 4)), BgL_runz00_16596);
								PROCEDURE_SET(BgL_mainz00_16597,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14296));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16598;

									BgL_objz00_16598 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16596, BgL_objz00_16598);
									BgL_objz00_16598;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3803z00_16599;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3804z00_16600;

										BgL_arg3804z00_16600 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14294))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16601;

											BgL_newz00_16601 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27139;

												BgL_tmpz00_27139 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16601, BgL_tmpz00_27139,
													BgL_arg3804z00_16600);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27144;
												int BgL_tmpz00_27142;

												BgL_auxz00_27144 = BINT(BgL_siza7ezd2framez75_14296);
												BgL_tmpz00_27142 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16601, BgL_tmpz00_27142,
													BgL_auxz00_27144);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27147;

												BgL_tmpz00_27147 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16601, BgL_tmpz00_27147,
													BgL_runz00_16596);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27152;
												int BgL_tmpz00_27150;

												BgL_auxz00_27152 = BINT(((long) 4));
												BgL_tmpz00_27150 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16601, BgL_tmpz00_27150,
													BgL_auxz00_27152);
											}
											BgL_arg3803z00_16599 = BgL_newz00_16601;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16597, BgL_arg3803z00_16599);
									BgL_arg3803z00_16599;
								}
								return BgL_mainz00_16597;
							}
						}
					}
				}
			}
		}
	}



/* &main5611 */
	obj_t BGl_z62main5611z62zz__evaluate_compz00(obj_t BgL_envz00_14298,
		obj_t BgL_az00_14305, obj_t BgL_bz00_14306, obj_t BgL_cz00_14307,
		obj_t BgL_dz00_14308)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14303;
				long BgL_siza7ezd2framez75_14304;

				BgL_runz00_14303 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14298, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14304 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14298, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16602;

					BgL_sz00_16602 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16603;

						BgL_bpz00_16603 = VECTOR_REF(BgL_sz00_16602, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_16603) + BgL_siza7ezd2framez75_14304) <
								(long) (VECTOR_LENGTH(BgL_sz00_16602))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3807z00_16604;

									BgL_arg3807z00_16604 =
										((long) CINT(BgL_bpz00_16603) + ((long) 0));
									VECTOR_SET(BgL_sz00_16602,
										(int) (BgL_arg3807z00_16604), BgL_az00_14305);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3808z00_16605;

									BgL_arg3808z00_16605 =
										((long) CINT(BgL_bpz00_16603) + ((long) 1));
									VECTOR_SET(BgL_sz00_16602,
										(int) (BgL_arg3808z00_16605), BgL_bz00_14306);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3809z00_16606;

									BgL_arg3809z00_16606 =
										((long) CINT(BgL_bpz00_16603) + ((long) 2));
									VECTOR_SET(BgL_sz00_16602,
										(int) (BgL_arg3809z00_16606), BgL_cz00_14307);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3810z00_16607;

									BgL_arg3810z00_16607 =
										((long) CINT(BgL_bpz00_16603) + ((long) 3));
									VECTOR_SET(BgL_sz00_16602,
										(int) (BgL_arg3810z00_16607), BgL_dz00_14308);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16608;

									BgL_ez00_16608 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16608,
										BgL_bpz00_16603);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16609;

										BgL_accz00_16609 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14303, BgL_sz00_16602, BgL_bpz00_16603);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16608);
										VECTOR_SET(BgL_sz00_16602,
											(int) (((long) 0)), BgL_bpz00_16603);
										return BgL_accz00_16609;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16610;

								BgL_nsz00_16610 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16610, (int) (((long) 1)), BgL_sz00_16602);
								VECTOR_SET(BgL_nsz00_16610, (int) (((long) 2)), BgL_az00_14305);
								VECTOR_SET(BgL_nsz00_16610, (int) (((long) 3)), BgL_bz00_14306);
								VECTOR_SET(BgL_nsz00_16610, (int) (((long) 4)), BgL_cz00_14307);
								VECTOR_SET(BgL_nsz00_16610, (int) (((long) 5)), BgL_dz00_14308);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16611;

									BgL_z12denvz12_16611 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16611, BgL_nsz00_16610);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16612;

										BgL_ez00_16612 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16612,
											BgL_sz00_16602);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16613;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16614;

												BgL_savedzd2bpzd2_16614 =
													VECTOR_REF(BgL_nsz00_16610, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_16610,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_16616;

													BgL_fz00_16616 = BgL_runz00_14303;
												BgL_recz00_16615:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16617;

														BgL_rz00_16617 =
															PROCEDURE_ENTRY(BgL_fz00_16616) (BgL_fz00_16616,
															BgL_nsz00_16610, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_27217;

															if (PROCEDUREP(BgL_rz00_16617))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_16618;

																	BgL_arg1674z00_16618 =
																		PROCEDURE_ATTR(BgL_rz00_16617);
																	if (STRUCTP(BgL_arg1674z00_16618))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27217 =
																				(STRUCT_KEY(BgL_arg1674z00_16618) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27217 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_27217 = ((bool_t) 0);
																}
															if (BgL_testz00_27217)
																{
																	obj_t BgL_fz00_27225;

																	BgL_fz00_27225 = BgL_rz00_16617;
																	BgL_fz00_16616 = BgL_fz00_27225;
																	goto BgL_recz00_16615;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16610,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_16614);
																	BgL_____rz00_16613 = BgL_rz00_16617;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16612);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16611, BgL_sz00_16602);
											return BgL_____rz00_16613;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5612 */
	obj_t BGl_z62run5612z62zz__evaluate_compz00(obj_t BgL_envz00_14309,
		obj_t BgL_sz00_14314)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14310;
				obj_t BgL_valza2za2_14311;
				BgL_ev_absz00_bglt BgL_i1245z00_14312;
				obj_t BgL_bodyz00_14313;

				BgL_siza7eza7_14310 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14309, (int) (((long) 0))));
				BgL_valza2za2_14311 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14309, (int) (((long) 1))));
				BgL_i1245z00_14312 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14309, (int) (((long) 2))));
				BgL_bodyz00_14313 = PROCEDURE_REF(BgL_envz00_14309, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16619;

					BgL_bpz00_16619 = VECTOR_REF(BgL_sz00_14314, (int) (((long) 0)));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14314,
						BgL_valza2za2_14311,
						((long) CINT(BgL_bpz00_16619) + BgL_siza7eza7_14310));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16620;
						obj_t BgL_wherez00_16621;
						obj_t BgL_locz00_16622;

						BgL_z12denvz12_16620 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16621 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14312))->BgL_wherez00);
						BgL_locz00_16622 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14312))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16620, BgL_wherez00_16621,
								BgL_locz00_16622);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16623;

								BgL_za2za2resza2za2z00_16623 =
									PROCEDURE_ENTRY(BgL_bodyz00_14313) (BgL_bodyz00_14313,
									BgL_sz00_14314, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16620);
								return BgL_za2za2resza2za2z00_16623;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3813> */
	obj_t BGl_z62zc3anonymousza33813ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14315, obj_t BgL_sz00_14322)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14316;
				obj_t BgL_iboxesz00_14317;
				long BgL_siza7eza7_14318;
				BgL_ev_absz00_bglt BgL_i1245z00_14319;
				obj_t BgL_bodyz00_14320;
				long BgL_siza7ezd2framez75_14321;

				BgL_ifreesz00_14316 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14315, (int) (((long) 0))));
				BgL_iboxesz00_14317 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14315, (int) (((long) 1))));
				BgL_siza7eza7_14318 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14315, (int) (((long) 2))));
				BgL_i1245z00_14319 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14315, (int) (((long) 3))));
				BgL_bodyz00_14320 = PROCEDURE_REF(BgL_envz00_14315, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14321 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14315, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16624;

					BgL_bpz00_16624 = VECTOR_REF(BgL_sz00_14322, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16625;

						BgL_valza2za2_16625 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14322,
							BgL_bpz00_16624, BgL_ifreesz00_14316);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16626;

							BgL_runz00_16626 =
								MAKE_FX_PROCEDURE(BGl_z62run5614z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_16626,
								(int) (((long) 0)), BgL_iboxesz00_14317);
							PROCEDURE_SET(BgL_runz00_16626,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14318));
							PROCEDURE_SET(BgL_runz00_16626,
								(int) (((long) 2)), BgL_valza2za2_16625);
							PROCEDURE_SET(BgL_runz00_16626,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_14319));
							PROCEDURE_SET(BgL_runz00_16626,
								(int) (((long) 4)), BgL_bodyz00_14320);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16627;

								BgL_mainz00_16627 =
									MAKE_FX_PROCEDURE(BGl_z62main5613z62zz__evaluate_compz00,
									(int) (((long) 4)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_16627,
									(int) (((long) 0)), BgL_iboxesz00_14317);
								PROCEDURE_SET(BgL_mainz00_16627,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14318));
								PROCEDURE_SET(BgL_mainz00_16627,
									(int) (((long) 2)), BgL_valza2za2_16625);
								PROCEDURE_SET(BgL_mainz00_16627,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_14319));
								PROCEDURE_SET(BgL_mainz00_16627,
									(int) (((long) 4)), BgL_bodyz00_14320);
								PROCEDURE_SET(BgL_mainz00_16627,
									(int) (((long) 5)), BgL_runz00_16626);
								PROCEDURE_SET(BgL_mainz00_16627,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14321));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16628;

									BgL_objz00_16628 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16626, BgL_objz00_16628);
									BgL_objz00_16628;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3814z00_16629;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3815z00_16630;

										BgL_arg3815z00_16630 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14319))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16631;

											BgL_newz00_16631 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27314;

												BgL_tmpz00_27314 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16631, BgL_tmpz00_27314,
													BgL_arg3815z00_16630);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27319;
												int BgL_tmpz00_27317;

												BgL_auxz00_27319 = BINT(BgL_siza7ezd2framez75_14321);
												BgL_tmpz00_27317 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16631, BgL_tmpz00_27317,
													BgL_auxz00_27319);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27322;

												BgL_tmpz00_27322 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16631, BgL_tmpz00_27322,
													BgL_runz00_16626);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27327;
												int BgL_tmpz00_27325;

												BgL_auxz00_27327 = BINT(((long) 4));
												BgL_tmpz00_27325 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16631, BgL_tmpz00_27325,
													BgL_auxz00_27327);
											}
											BgL_arg3814z00_16629 = BgL_newz00_16631;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16627, BgL_arg3814z00_16629);
									BgL_arg3814z00_16629;
								}
								return BgL_mainz00_16627;
							}
						}
					}
				}
			}
		}
	}



/* &main5613 */
	obj_t BGl_z62main5613z62zz__evaluate_compz00(obj_t BgL_envz00_14323,
		obj_t BgL_az00_14331, obj_t BgL_bz00_14332, obj_t BgL_cz00_14333,
		obj_t BgL_dz00_14334)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14329;
				long BgL_siza7ezd2framez75_14330;

				BgL_runz00_14329 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14323, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14330 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14323, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16632;

					BgL_sz00_16632 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16633;

						BgL_bpz00_16633 = VECTOR_REF(BgL_sz00_16632, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_16633) + BgL_siza7ezd2framez75_14330) <
								(long) (VECTOR_LENGTH(BgL_sz00_16632))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3818z00_16634;

									BgL_arg3818z00_16634 =
										((long) CINT(BgL_bpz00_16633) + ((long) 0));
									VECTOR_SET(BgL_sz00_16632,
										(int) (BgL_arg3818z00_16634), BgL_az00_14331);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3819z00_16635;

									BgL_arg3819z00_16635 =
										((long) CINT(BgL_bpz00_16633) + ((long) 1));
									VECTOR_SET(BgL_sz00_16632,
										(int) (BgL_arg3819z00_16635), BgL_bz00_14332);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3820z00_16636;

									BgL_arg3820z00_16636 =
										((long) CINT(BgL_bpz00_16633) + ((long) 2));
									VECTOR_SET(BgL_sz00_16632,
										(int) (BgL_arg3820z00_16636), BgL_cz00_14333);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3821z00_16637;

									BgL_arg3821z00_16637 =
										((long) CINT(BgL_bpz00_16633) + ((long) 3));
									VECTOR_SET(BgL_sz00_16632,
										(int) (BgL_arg3821z00_16637), BgL_dz00_14334);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16638;

									BgL_ez00_16638 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16638,
										BgL_bpz00_16633);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16639;

										BgL_accz00_16639 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14329, BgL_sz00_16632, BgL_bpz00_16633);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16638);
										VECTOR_SET(BgL_sz00_16632,
											(int) (((long) 0)), BgL_bpz00_16633);
										return BgL_accz00_16639;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16640;

								BgL_nsz00_16640 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16640, (int) (((long) 1)), BgL_sz00_16632);
								VECTOR_SET(BgL_nsz00_16640, (int) (((long) 2)), BgL_az00_14331);
								VECTOR_SET(BgL_nsz00_16640, (int) (((long) 3)), BgL_bz00_14332);
								VECTOR_SET(BgL_nsz00_16640, (int) (((long) 4)), BgL_cz00_14333);
								VECTOR_SET(BgL_nsz00_16640, (int) (((long) 5)), BgL_dz00_14334);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16641;

									BgL_z12denvz12_16641 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16641, BgL_nsz00_16640);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16642;

										BgL_ez00_16642 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16642,
											BgL_sz00_16632);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16643;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16644;

												BgL_savedzd2bpzd2_16644 =
													VECTOR_REF(BgL_nsz00_16640, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_16640,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_16646;

													BgL_fz00_16646 = BgL_runz00_14329;
												BgL_recz00_16645:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16647;

														BgL_rz00_16647 =
															PROCEDURE_ENTRY(BgL_fz00_16646) (BgL_fz00_16646,
															BgL_nsz00_16640, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_27392;

															if (PROCEDUREP(BgL_rz00_16647))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_16648;

																	BgL_arg1674z00_16648 =
																		PROCEDURE_ATTR(BgL_rz00_16647);
																	if (STRUCTP(BgL_arg1674z00_16648))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27392 =
																				(STRUCT_KEY(BgL_arg1674z00_16648) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27392 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_27392 = ((bool_t) 0);
																}
															if (BgL_testz00_27392)
																{
																	obj_t BgL_fz00_27400;

																	BgL_fz00_27400 = BgL_rz00_16647;
																	BgL_fz00_16646 = BgL_fz00_27400;
																	goto BgL_recz00_16645;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16640,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_16644);
																	BgL_____rz00_16643 = BgL_rz00_16647;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16642);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16641, BgL_sz00_16632);
											return BgL_____rz00_16643;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5614 */
	obj_t BGl_z62run5614z62zz__evaluate_compz00(obj_t BgL_envz00_14335,
		obj_t BgL_sz00_14341)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14336;
				long BgL_siza7eza7_14337;
				obj_t BgL_valza2za2_14338;
				BgL_ev_absz00_bglt BgL_i1245z00_14339;
				obj_t BgL_bodyz00_14340;

				BgL_iboxesz00_14336 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14335, (int) (((long) 0))));
				BgL_siza7eza7_14337 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14335, (int) (((long) 1))));
				BgL_valza2za2_14338 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14335, (int) (((long) 2))));
				BgL_i1245z00_14339 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14335, (int) (((long) 3))));
				BgL_bodyz00_14340 = PROCEDURE_REF(BgL_envz00_14335, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16649;

					BgL_bpz00_16649 = VECTOR_REF(BgL_sz00_14341, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14341,
						BgL_iboxesz00_14336, BgL_bpz00_16649);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14341,
						BgL_valza2za2_14338,
						((long) CINT(BgL_bpz00_16649) + BgL_siza7eza7_14337));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16650;
						obj_t BgL_wherez00_16651;
						obj_t BgL_locz00_16652;

						BgL_z12denvz12_16650 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16651 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14339))->BgL_wherez00);
						BgL_locz00_16652 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14339))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16650, BgL_wherez00_16651,
								BgL_locz00_16652);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16653;

								BgL_za2za2resza2za2z00_16653 =
									PROCEDURE_ENTRY(BgL_bodyz00_14340) (BgL_bodyz00_14340,
									BgL_sz00_14341, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16650);
								return BgL_za2za2resza2za2z00_16653;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3728> */
	obj_t BGl_z62zc3anonymousza33728ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14342, obj_t BgL_sz00_14346)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14343;
				obj_t BgL_bodyz00_14344;
				long BgL_siza7ezd2framez75_14345;

				BgL_i1245z00_14343 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14342, (int) (((long) 0))));
				BgL_bodyz00_14344 = PROCEDURE_REF(BgL_envz00_14342, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14345 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14342, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16654;

					BgL_bpz00_16654 = VECTOR_REF(BgL_sz00_14346, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16655;

							BgL_runz00_16655 =
								MAKE_FX_PROCEDURE(BGl_z62run5616z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_16655,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_14343));
							PROCEDURE_SET(BgL_runz00_16655,
								(int) (((long) 1)), BgL_bodyz00_14344);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16656;

								BgL_mainz00_16656 =
									MAKE_VA_PROCEDURE(BGl_z62main5615z62zz__evaluate_compz00,
									(int) (((long) -4)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_16656,
									(int) (((long) 0)), ((obj_t) BgL_i1245z00_14343));
								PROCEDURE_SET(BgL_mainz00_16656,
									(int) (((long) 1)), BgL_bodyz00_14344);
								PROCEDURE_SET(BgL_mainz00_16656,
									(int) (((long) 2)), BgL_runz00_16655);
								PROCEDURE_SET(BgL_mainz00_16656,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14345));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16657;

									BgL_objz00_16657 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16655, BgL_objz00_16657);
									BgL_objz00_16657;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3729z00_16658;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3730z00_16659;

										BgL_arg3730z00_16659 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14343))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16660;

											BgL_newz00_16660 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27469;

												BgL_tmpz00_27469 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16660, BgL_tmpz00_27469,
													BgL_arg3730z00_16659);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27474;
												int BgL_tmpz00_27472;

												BgL_auxz00_27474 = BINT(BgL_siza7ezd2framez75_14345);
												BgL_tmpz00_27472 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16660, BgL_tmpz00_27472,
													BgL_auxz00_27474);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27477;

												BgL_tmpz00_27477 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16660, BgL_tmpz00_27477,
													BgL_runz00_16655);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27482;
												int BgL_tmpz00_27480;

												BgL_auxz00_27482 = BINT(((long) -4));
												BgL_tmpz00_27480 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16660, BgL_tmpz00_27480,
													BgL_auxz00_27482);
											}
											BgL_arg3729z00_16658 = BgL_newz00_16660;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16656, BgL_arg3729z00_16658);
									BgL_arg3729z00_16658;
								}
								return BgL_mainz00_16656;
							}
						}
					}
				}
			}
		}
	}



/* &main5615 */
	obj_t BGl_z62main5615z62zz__evaluate_compz00(obj_t BgL_envz00_14347,
		obj_t BgL_bz00_14352, obj_t BgL_cz00_14353, obj_t BgL_dz00_14354,
		obj_t BgL_lastz00_14355)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14350;
				long BgL_siza7ezd2framez75_14351;

				BgL_runz00_14350 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14347, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14351 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14347, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16661;

					BgL_sz00_16661 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16662;

						BgL_bpz00_16662 = VECTOR_REF(BgL_sz00_16661, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_16662) + BgL_siza7ezd2framez75_14351) <
								(long) (VECTOR_LENGTH(BgL_sz00_16661))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3733z00_16663;

									BgL_arg3733z00_16663 =
										((long) CINT(BgL_bpz00_16662) + ((long) 0));
									VECTOR_SET(BgL_sz00_16661,
										(int) (BgL_arg3733z00_16663), BgL_bz00_14352);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3734z00_16664;

									BgL_arg3734z00_16664 =
										((long) CINT(BgL_bpz00_16662) + ((long) 1));
									VECTOR_SET(BgL_sz00_16661,
										(int) (BgL_arg3734z00_16664), BgL_cz00_14353);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3735z00_16665;

									BgL_arg3735z00_16665 =
										((long) CINT(BgL_bpz00_16662) + ((long) 2));
									VECTOR_SET(BgL_sz00_16661,
										(int) (BgL_arg3735z00_16665), BgL_dz00_14354);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3736z00_16666;

									BgL_arg3736z00_16666 =
										((long) CINT(BgL_bpz00_16662) + ((long) 3));
									VECTOR_SET(BgL_sz00_16661,
										(int) (BgL_arg3736z00_16666), BgL_lastz00_14355);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16667;

									BgL_ez00_16667 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16667,
										BgL_bpz00_16662);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16668;

										BgL_accz00_16668 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14350, BgL_sz00_16661, BgL_bpz00_16662);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16667);
										VECTOR_SET(BgL_sz00_16661,
											(int) (((long) 0)), BgL_bpz00_16662);
										return BgL_accz00_16668;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16669;

								BgL_nsz00_16669 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16669, (int) (((long) 1)), BgL_sz00_16661);
								VECTOR_SET(BgL_nsz00_16669, (int) (((long) 2)), BgL_bz00_14352);
								VECTOR_SET(BgL_nsz00_16669, (int) (((long) 3)), BgL_cz00_14353);
								VECTOR_SET(BgL_nsz00_16669, (int) (((long) 4)), BgL_dz00_14354);
								VECTOR_SET(BgL_nsz00_16669,
									(int) (((long) 5)), BgL_lastz00_14355);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16670;

									BgL_z12denvz12_16670 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16670, BgL_nsz00_16669);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16671;

										BgL_ez00_16671 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16671,
											BgL_sz00_16661);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16672;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16673;

												BgL_savedzd2bpzd2_16673 =
													VECTOR_REF(BgL_nsz00_16669, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_16669,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_16675;

													BgL_fz00_16675 = BgL_runz00_14350;
												BgL_recz00_16674:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16676;

														BgL_rz00_16676 =
															PROCEDURE_ENTRY(BgL_fz00_16675) (BgL_fz00_16675,
															BgL_nsz00_16669, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_27547;

															if (PROCEDUREP(BgL_rz00_16676))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_16677;

																	BgL_arg1674z00_16677 =
																		PROCEDURE_ATTR(BgL_rz00_16676);
																	if (STRUCTP(BgL_arg1674z00_16677))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27547 =
																				(STRUCT_KEY(BgL_arg1674z00_16677) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27547 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_27547 = ((bool_t) 0);
																}
															if (BgL_testz00_27547)
																{
																	obj_t BgL_fz00_27555;

																	BgL_fz00_27555 = BgL_rz00_16676;
																	BgL_fz00_16675 = BgL_fz00_27555;
																	goto BgL_recz00_16674;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16669,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_16673);
																	BgL_____rz00_16672 = BgL_rz00_16676;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16671);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16670, BgL_sz00_16661);
											return BgL_____rz00_16672;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5616 */
	obj_t BGl_z62run5616z62zz__evaluate_compz00(obj_t BgL_envz00_14356,
		obj_t BgL_sz00_14359)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14357;
				obj_t BgL_bodyz00_14358;

				BgL_i1245z00_14357 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14356, (int) (((long) 0))));
				BgL_bodyz00_14358 = PROCEDURE_REF(BgL_envz00_14356, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16678;

					BgL_bpz00_16678 = VECTOR_REF(BgL_sz00_14359, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16679;
						obj_t BgL_wherez00_16680;
						obj_t BgL_locz00_16681;

						BgL_z12denvz12_16679 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16680 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14357))->BgL_wherez00);
						BgL_locz00_16681 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14357))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16679, BgL_wherez00_16680,
								BgL_locz00_16681);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16682;

								BgL_za2za2resza2za2z00_16682 =
									PROCEDURE_ENTRY(BgL_bodyz00_14358) (BgL_bodyz00_14358,
									BgL_sz00_14359, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16679);
								return BgL_za2za2resza2za2z00_16682;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3738> */
	obj_t BGl_z62zc3anonymousza33738ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14360, obj_t BgL_sz00_14365)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14361;
				BgL_ev_absz00_bglt BgL_i1245z00_14362;
				obj_t BgL_bodyz00_14363;
				long BgL_siza7ezd2framez75_14364;

				BgL_iboxesz00_14361 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14360, (int) (((long) 0))));
				BgL_i1245z00_14362 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14360, (int) (((long) 1))));
				BgL_bodyz00_14363 = PROCEDURE_REF(BgL_envz00_14360, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14364 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14360, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16683;

					BgL_bpz00_16683 = VECTOR_REF(BgL_sz00_14365, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16684;

							BgL_runz00_16684 =
								MAKE_FX_PROCEDURE(BGl_z62run5618z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_16684,
								(int) (((long) 0)), BgL_iboxesz00_14361);
							PROCEDURE_SET(BgL_runz00_16684,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_14362));
							PROCEDURE_SET(BgL_runz00_16684,
								(int) (((long) 2)), BgL_bodyz00_14363);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16685;

								BgL_mainz00_16685 =
									MAKE_VA_PROCEDURE(BGl_z62main5617z62zz__evaluate_compz00,
									(int) (((long) -4)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_16685,
									(int) (((long) 0)), BgL_iboxesz00_14361);
								PROCEDURE_SET(BgL_mainz00_16685,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_14362));
								PROCEDURE_SET(BgL_mainz00_16685,
									(int) (((long) 2)), BgL_bodyz00_14363);
								PROCEDURE_SET(BgL_mainz00_16685,
									(int) (((long) 3)), BgL_runz00_16684);
								PROCEDURE_SET(BgL_mainz00_16685,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14364));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16686;

									BgL_objz00_16686 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16684, BgL_objz00_16686);
									BgL_objz00_16686;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3739z00_16687;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3740z00_16688;

										BgL_arg3740z00_16688 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14362))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16689;

											BgL_newz00_16689 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27618;

												BgL_tmpz00_27618 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16689, BgL_tmpz00_27618,
													BgL_arg3740z00_16688);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27623;
												int BgL_tmpz00_27621;

												BgL_auxz00_27623 = BINT(BgL_siza7ezd2framez75_14364);
												BgL_tmpz00_27621 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16689, BgL_tmpz00_27621,
													BgL_auxz00_27623);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27626;

												BgL_tmpz00_27626 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16689, BgL_tmpz00_27626,
													BgL_runz00_16684);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27631;
												int BgL_tmpz00_27629;

												BgL_auxz00_27631 = BINT(((long) -4));
												BgL_tmpz00_27629 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16689, BgL_tmpz00_27629,
													BgL_auxz00_27631);
											}
											BgL_arg3739z00_16687 = BgL_newz00_16689;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16685, BgL_arg3739z00_16687);
									BgL_arg3739z00_16687;
								}
								return BgL_mainz00_16685;
							}
						}
					}
				}
			}
		}
	}



/* &main5617 */
	obj_t BGl_z62main5617z62zz__evaluate_compz00(obj_t BgL_envz00_14366,
		obj_t BgL_bz00_14372, obj_t BgL_cz00_14373, obj_t BgL_dz00_14374,
		obj_t BgL_lastz00_14375)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14370;
				long BgL_siza7ezd2framez75_14371;

				BgL_runz00_14370 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14366, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14371 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14366, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16690;

					BgL_sz00_16690 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16691;

						BgL_bpz00_16691 = VECTOR_REF(BgL_sz00_16690, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_16691) + BgL_siza7ezd2framez75_14371) <
								(long) (VECTOR_LENGTH(BgL_sz00_16690))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3743z00_16692;

									BgL_arg3743z00_16692 =
										((long) CINT(BgL_bpz00_16691) + ((long) 0));
									VECTOR_SET(BgL_sz00_16690,
										(int) (BgL_arg3743z00_16692), BgL_bz00_14372);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3744z00_16693;

									BgL_arg3744z00_16693 =
										((long) CINT(BgL_bpz00_16691) + ((long) 1));
									VECTOR_SET(BgL_sz00_16690,
										(int) (BgL_arg3744z00_16693), BgL_cz00_14373);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3745z00_16694;

									BgL_arg3745z00_16694 =
										((long) CINT(BgL_bpz00_16691) + ((long) 2));
									VECTOR_SET(BgL_sz00_16690,
										(int) (BgL_arg3745z00_16694), BgL_dz00_14374);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3746z00_16695;

									BgL_arg3746z00_16695 =
										((long) CINT(BgL_bpz00_16691) + ((long) 3));
									VECTOR_SET(BgL_sz00_16690,
										(int) (BgL_arg3746z00_16695), BgL_lastz00_14375);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16696;

									BgL_ez00_16696 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16696,
										BgL_bpz00_16691);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16697;

										BgL_accz00_16697 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14370, BgL_sz00_16690, BgL_bpz00_16691);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16696);
										VECTOR_SET(BgL_sz00_16690,
											(int) (((long) 0)), BgL_bpz00_16691);
										return BgL_accz00_16697;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16698;

								BgL_nsz00_16698 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16698, (int) (((long) 1)), BgL_sz00_16690);
								VECTOR_SET(BgL_nsz00_16698, (int) (((long) 2)), BgL_bz00_14372);
								VECTOR_SET(BgL_nsz00_16698, (int) (((long) 3)), BgL_cz00_14373);
								VECTOR_SET(BgL_nsz00_16698, (int) (((long) 4)), BgL_dz00_14374);
								VECTOR_SET(BgL_nsz00_16698,
									(int) (((long) 5)), BgL_lastz00_14375);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16699;

									BgL_z12denvz12_16699 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16699, BgL_nsz00_16698);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16700;

										BgL_ez00_16700 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16700,
											BgL_sz00_16690);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16701;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16702;

												BgL_savedzd2bpzd2_16702 =
													VECTOR_REF(BgL_nsz00_16698, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_16698,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_16704;

													BgL_fz00_16704 = BgL_runz00_14370;
												BgL_recz00_16703:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16705;

														BgL_rz00_16705 =
															PROCEDURE_ENTRY(BgL_fz00_16704) (BgL_fz00_16704,
															BgL_nsz00_16698, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_27696;

															if (PROCEDUREP(BgL_rz00_16705))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_16706;

																	BgL_arg1674z00_16706 =
																		PROCEDURE_ATTR(BgL_rz00_16705);
																	if (STRUCTP(BgL_arg1674z00_16706))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27696 =
																				(STRUCT_KEY(BgL_arg1674z00_16706) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27696 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_27696 = ((bool_t) 0);
																}
															if (BgL_testz00_27696)
																{
																	obj_t BgL_fz00_27704;

																	BgL_fz00_27704 = BgL_rz00_16705;
																	BgL_fz00_16704 = BgL_fz00_27704;
																	goto BgL_recz00_16703;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16698,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_16702);
																	BgL_____rz00_16701 = BgL_rz00_16705;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16700);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16699, BgL_sz00_16690);
											return BgL_____rz00_16701;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5618 */
	obj_t BGl_z62run5618z62zz__evaluate_compz00(obj_t BgL_envz00_14376,
		obj_t BgL_sz00_14380)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14377;
				BgL_ev_absz00_bglt BgL_i1245z00_14378;
				obj_t BgL_bodyz00_14379;

				BgL_iboxesz00_14377 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14376, (int) (((long) 0))));
				BgL_i1245z00_14378 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14376, (int) (((long) 1))));
				BgL_bodyz00_14379 = PROCEDURE_REF(BgL_envz00_14376, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16707;

					BgL_bpz00_16707 = VECTOR_REF(BgL_sz00_14380, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14380,
						BgL_iboxesz00_14377, BgL_bpz00_16707);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16708;
						obj_t BgL_wherez00_16709;
						obj_t BgL_locz00_16710;

						BgL_z12denvz12_16708 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16709 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14378))->BgL_wherez00);
						BgL_locz00_16710 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14378))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16708, BgL_wherez00_16709,
								BgL_locz00_16710);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16711;

								BgL_za2za2resza2za2z00_16711 =
									PROCEDURE_ENTRY(BgL_bodyz00_14379) (BgL_bodyz00_14379,
									BgL_sz00_14380, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16708);
								return BgL_za2za2resza2za2z00_16711;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3751> */
	obj_t BGl_z62zc3anonymousza33751ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14381, obj_t BgL_sz00_14387)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14382;
				long BgL_siza7eza7_14383;
				BgL_ev_absz00_bglt BgL_i1245z00_14384;
				obj_t BgL_bodyz00_14385;
				long BgL_siza7ezd2framez75_14386;

				BgL_ifreesz00_14382 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14381, (int) (((long) 0))));
				BgL_siza7eza7_14383 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14381, (int) (((long) 1))));
				BgL_i1245z00_14384 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14381, (int) (((long) 2))));
				BgL_bodyz00_14385 = PROCEDURE_REF(BgL_envz00_14381, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14386 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14381, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16712;

					BgL_bpz00_16712 = VECTOR_REF(BgL_sz00_14387, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16713;

						BgL_valza2za2_16713 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14387,
							BgL_bpz00_16712, BgL_ifreesz00_14382);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16714;

							BgL_runz00_16714 =
								MAKE_FX_PROCEDURE(BGl_z62run5620z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_16714,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14383));
							PROCEDURE_SET(BgL_runz00_16714,
								(int) (((long) 1)), BgL_valza2za2_16713);
							PROCEDURE_SET(BgL_runz00_16714,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_14384));
							PROCEDURE_SET(BgL_runz00_16714,
								(int) (((long) 3)), BgL_bodyz00_14385);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16715;

								BgL_mainz00_16715 =
									MAKE_VA_PROCEDURE(BGl_z62main5619z62zz__evaluate_compz00,
									(int) (((long) -4)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_16715,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14383));
								PROCEDURE_SET(BgL_mainz00_16715,
									(int) (((long) 1)), BgL_valza2za2_16713);
								PROCEDURE_SET(BgL_mainz00_16715,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_14384));
								PROCEDURE_SET(BgL_mainz00_16715,
									(int) (((long) 3)), BgL_bodyz00_14385);
								PROCEDURE_SET(BgL_mainz00_16715,
									(int) (((long) 4)), BgL_runz00_16714);
								PROCEDURE_SET(BgL_mainz00_16715,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14386));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16716;

									BgL_objz00_16716 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16714, BgL_objz00_16716);
									BgL_objz00_16716;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3752z00_16717;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3753z00_16718;

										BgL_arg3753z00_16718 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14384))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16719;

											BgL_newz00_16719 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27781;

												BgL_tmpz00_27781 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16719, BgL_tmpz00_27781,
													BgL_arg3753z00_16718);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27786;
												int BgL_tmpz00_27784;

												BgL_auxz00_27786 = BINT(BgL_siza7ezd2framez75_14386);
												BgL_tmpz00_27784 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16719, BgL_tmpz00_27784,
													BgL_auxz00_27786);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27789;

												BgL_tmpz00_27789 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16719, BgL_tmpz00_27789,
													BgL_runz00_16714);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27794;
												int BgL_tmpz00_27792;

												BgL_auxz00_27794 = BINT(((long) -4));
												BgL_tmpz00_27792 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16719, BgL_tmpz00_27792,
													BgL_auxz00_27794);
											}
											BgL_arg3752z00_16717 = BgL_newz00_16719;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16715, BgL_arg3752z00_16717);
									BgL_arg3752z00_16717;
								}
								return BgL_mainz00_16715;
							}
						}
					}
				}
			}
		}
	}



/* &main5619 */
	obj_t BGl_z62main5619z62zz__evaluate_compz00(obj_t BgL_envz00_14388,
		obj_t BgL_bz00_14395, obj_t BgL_cz00_14396, obj_t BgL_dz00_14397,
		obj_t BgL_lastz00_14398)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14393;
				long BgL_siza7ezd2framez75_14394;

				BgL_runz00_14393 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14388, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14394 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14388, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16720;

					BgL_sz00_16720 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16721;

						BgL_bpz00_16721 = VECTOR_REF(BgL_sz00_16720, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_16721) + BgL_siza7ezd2framez75_14394) <
								(long) (VECTOR_LENGTH(BgL_sz00_16720))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3756z00_16722;

									BgL_arg3756z00_16722 =
										((long) CINT(BgL_bpz00_16721) + ((long) 0));
									VECTOR_SET(BgL_sz00_16720,
										(int) (BgL_arg3756z00_16722), BgL_bz00_14395);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3757z00_16723;

									BgL_arg3757z00_16723 =
										((long) CINT(BgL_bpz00_16721) + ((long) 1));
									VECTOR_SET(BgL_sz00_16720,
										(int) (BgL_arg3757z00_16723), BgL_cz00_14396);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3758z00_16724;

									BgL_arg3758z00_16724 =
										((long) CINT(BgL_bpz00_16721) + ((long) 2));
									VECTOR_SET(BgL_sz00_16720,
										(int) (BgL_arg3758z00_16724), BgL_dz00_14397);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3759z00_16725;

									BgL_arg3759z00_16725 =
										((long) CINT(BgL_bpz00_16721) + ((long) 3));
									VECTOR_SET(BgL_sz00_16720,
										(int) (BgL_arg3759z00_16725), BgL_lastz00_14398);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16726;

									BgL_ez00_16726 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16726,
										BgL_bpz00_16721);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16727;

										BgL_accz00_16727 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14393, BgL_sz00_16720, BgL_bpz00_16721);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16726);
										VECTOR_SET(BgL_sz00_16720,
											(int) (((long) 0)), BgL_bpz00_16721);
										return BgL_accz00_16727;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16728;

								BgL_nsz00_16728 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16728, (int) (((long) 1)), BgL_sz00_16720);
								VECTOR_SET(BgL_nsz00_16728, (int) (((long) 2)), BgL_bz00_14395);
								VECTOR_SET(BgL_nsz00_16728, (int) (((long) 3)), BgL_cz00_14396);
								VECTOR_SET(BgL_nsz00_16728, (int) (((long) 4)), BgL_dz00_14397);
								VECTOR_SET(BgL_nsz00_16728,
									(int) (((long) 5)), BgL_lastz00_14398);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16729;

									BgL_z12denvz12_16729 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16729, BgL_nsz00_16728);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16730;

										BgL_ez00_16730 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16730,
											BgL_sz00_16720);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16731;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16732;

												BgL_savedzd2bpzd2_16732 =
													VECTOR_REF(BgL_nsz00_16728, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_16728,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_16734;

													BgL_fz00_16734 = BgL_runz00_14393;
												BgL_recz00_16733:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16735;

														BgL_rz00_16735 =
															PROCEDURE_ENTRY(BgL_fz00_16734) (BgL_fz00_16734,
															BgL_nsz00_16728, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_27859;

															if (PROCEDUREP(BgL_rz00_16735))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_16736;

																	BgL_arg1674z00_16736 =
																		PROCEDURE_ATTR(BgL_rz00_16735);
																	if (STRUCTP(BgL_arg1674z00_16736))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27859 =
																				(STRUCT_KEY(BgL_arg1674z00_16736) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_27859 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_27859 = ((bool_t) 0);
																}
															if (BgL_testz00_27859)
																{
																	obj_t BgL_fz00_27867;

																	BgL_fz00_27867 = BgL_rz00_16735;
																	BgL_fz00_16734 = BgL_fz00_27867;
																	goto BgL_recz00_16733;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16728,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_16732);
																	BgL_____rz00_16731 = BgL_rz00_16735;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16730);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16729, BgL_sz00_16720);
											return BgL_____rz00_16731;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5620 */
	obj_t BGl_z62run5620z62zz__evaluate_compz00(obj_t BgL_envz00_14399,
		obj_t BgL_sz00_14404)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14400;
				obj_t BgL_valza2za2_14401;
				BgL_ev_absz00_bglt BgL_i1245z00_14402;
				obj_t BgL_bodyz00_14403;

				BgL_siza7eza7_14400 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14399, (int) (((long) 0))));
				BgL_valza2za2_14401 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14399, (int) (((long) 1))));
				BgL_i1245z00_14402 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14399, (int) (((long) 2))));
				BgL_bodyz00_14403 = PROCEDURE_REF(BgL_envz00_14399, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16737;

					BgL_bpz00_16737 = VECTOR_REF(BgL_sz00_14404, (int) (((long) 0)));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14404,
						BgL_valza2za2_14401,
						((long) CINT(BgL_bpz00_16737) + BgL_siza7eza7_14400));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16738;
						obj_t BgL_wherez00_16739;
						obj_t BgL_locz00_16740;

						BgL_z12denvz12_16738 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16739 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14402))->BgL_wherez00);
						BgL_locz00_16740 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14402))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16738, BgL_wherez00_16739,
								BgL_locz00_16740);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16741;

								BgL_za2za2resza2za2z00_16741 =
									PROCEDURE_ENTRY(BgL_bodyz00_14403) (BgL_bodyz00_14403,
									BgL_sz00_14404, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16738);
								return BgL_za2za2resza2za2z00_16741;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3762> */
	obj_t BGl_z62zc3anonymousza33762ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14405, obj_t BgL_sz00_14412)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14406;
				obj_t BgL_iboxesz00_14407;
				long BgL_siza7eza7_14408;
				BgL_ev_absz00_bglt BgL_i1245z00_14409;
				obj_t BgL_bodyz00_14410;
				long BgL_siza7ezd2framez75_14411;

				BgL_ifreesz00_14406 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14405, (int) (((long) 0))));
				BgL_iboxesz00_14407 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14405, (int) (((long) 1))));
				BgL_siza7eza7_14408 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14405, (int) (((long) 2))));
				BgL_i1245z00_14409 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14405, (int) (((long) 3))));
				BgL_bodyz00_14410 = PROCEDURE_REF(BgL_envz00_14405, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14411 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14405, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16742;

					BgL_bpz00_16742 = VECTOR_REF(BgL_sz00_14412, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16743;

						BgL_valza2za2_16743 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14412,
							BgL_bpz00_16742, BgL_ifreesz00_14406);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16744;

							BgL_runz00_16744 =
								MAKE_FX_PROCEDURE(BGl_z62run5622z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_16744,
								(int) (((long) 0)), BgL_iboxesz00_14407);
							PROCEDURE_SET(BgL_runz00_16744,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14408));
							PROCEDURE_SET(BgL_runz00_16744,
								(int) (((long) 2)), BgL_valza2za2_16743);
							PROCEDURE_SET(BgL_runz00_16744,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_14409));
							PROCEDURE_SET(BgL_runz00_16744,
								(int) (((long) 4)), BgL_bodyz00_14410);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16745;

								BgL_mainz00_16745 =
									MAKE_VA_PROCEDURE(BGl_z62main5621z62zz__evaluate_compz00,
									(int) (((long) -4)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_16745,
									(int) (((long) 0)), BgL_iboxesz00_14407);
								PROCEDURE_SET(BgL_mainz00_16745,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14408));
								PROCEDURE_SET(BgL_mainz00_16745,
									(int) (((long) 2)), BgL_valza2za2_16743);
								PROCEDURE_SET(BgL_mainz00_16745,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_14409));
								PROCEDURE_SET(BgL_mainz00_16745,
									(int) (((long) 4)), BgL_bodyz00_14410);
								PROCEDURE_SET(BgL_mainz00_16745,
									(int) (((long) 5)), BgL_runz00_16744);
								PROCEDURE_SET(BgL_mainz00_16745,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14411));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16746;

									BgL_objz00_16746 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16744, BgL_objz00_16746);
									BgL_objz00_16746;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3763z00_16747;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3764z00_16748;

										BgL_arg3764z00_16748 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14409))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16749;

											BgL_newz00_16749 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27956;

												BgL_tmpz00_27956 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16749, BgL_tmpz00_27956,
													BgL_arg3764z00_16748);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27961;
												int BgL_tmpz00_27959;

												BgL_auxz00_27961 = BINT(BgL_siza7ezd2framez75_14411);
												BgL_tmpz00_27959 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16749, BgL_tmpz00_27959,
													BgL_auxz00_27961);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_27964;

												BgL_tmpz00_27964 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16749, BgL_tmpz00_27964,
													BgL_runz00_16744);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_27969;
												int BgL_tmpz00_27967;

												BgL_auxz00_27969 = BINT(((long) -4));
												BgL_tmpz00_27967 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16749, BgL_tmpz00_27967,
													BgL_auxz00_27969);
											}
											BgL_arg3763z00_16747 = BgL_newz00_16749;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16745, BgL_arg3763z00_16747);
									BgL_arg3763z00_16747;
								}
								return BgL_mainz00_16745;
							}
						}
					}
				}
			}
		}
	}



/* &main5621 */
	obj_t BGl_z62main5621z62zz__evaluate_compz00(obj_t BgL_envz00_14413,
		obj_t BgL_bz00_14421, obj_t BgL_cz00_14422, obj_t BgL_dz00_14423,
		obj_t BgL_lastz00_14424)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14419;
				long BgL_siza7ezd2framez75_14420;

				BgL_runz00_14419 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14413, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14420 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14413, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16750;

					BgL_sz00_16750 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16751;

						BgL_bpz00_16751 = VECTOR_REF(BgL_sz00_16750, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_16751) + BgL_siza7ezd2framez75_14420) <
								(long) (VECTOR_LENGTH(BgL_sz00_16750))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3767z00_16752;

									BgL_arg3767z00_16752 =
										((long) CINT(BgL_bpz00_16751) + ((long) 0));
									VECTOR_SET(BgL_sz00_16750,
										(int) (BgL_arg3767z00_16752), BgL_bz00_14421);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3768z00_16753;

									BgL_arg3768z00_16753 =
										((long) CINT(BgL_bpz00_16751) + ((long) 1));
									VECTOR_SET(BgL_sz00_16750,
										(int) (BgL_arg3768z00_16753), BgL_cz00_14422);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3769z00_16754;

									BgL_arg3769z00_16754 =
										((long) CINT(BgL_bpz00_16751) + ((long) 2));
									VECTOR_SET(BgL_sz00_16750,
										(int) (BgL_arg3769z00_16754), BgL_dz00_14423);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3770z00_16755;

									BgL_arg3770z00_16755 =
										((long) CINT(BgL_bpz00_16751) + ((long) 3));
									VECTOR_SET(BgL_sz00_16750,
										(int) (BgL_arg3770z00_16755), BgL_lastz00_14424);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16756;

									BgL_ez00_16756 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16756,
										BgL_bpz00_16751);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16757;

										BgL_accz00_16757 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14419, BgL_sz00_16750, BgL_bpz00_16751);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16756);
										VECTOR_SET(BgL_sz00_16750,
											(int) (((long) 0)), BgL_bpz00_16751);
										return BgL_accz00_16757;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16758;

								BgL_nsz00_16758 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16758, (int) (((long) 1)), BgL_sz00_16750);
								VECTOR_SET(BgL_nsz00_16758, (int) (((long) 2)), BgL_bz00_14421);
								VECTOR_SET(BgL_nsz00_16758, (int) (((long) 3)), BgL_cz00_14422);
								VECTOR_SET(BgL_nsz00_16758, (int) (((long) 4)), BgL_dz00_14423);
								VECTOR_SET(BgL_nsz00_16758,
									(int) (((long) 5)), BgL_lastz00_14424);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16759;

									BgL_z12denvz12_16759 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16759, BgL_nsz00_16758);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16760;

										BgL_ez00_16760 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16760,
											BgL_sz00_16750);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16761;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16762;

												BgL_savedzd2bpzd2_16762 =
													VECTOR_REF(BgL_nsz00_16758, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_16758,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_16764;

													BgL_fz00_16764 = BgL_runz00_14419;
												BgL_recz00_16763:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16765;

														BgL_rz00_16765 =
															PROCEDURE_ENTRY(BgL_fz00_16764) (BgL_fz00_16764,
															BgL_nsz00_16758, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_28034;

															if (PROCEDUREP(BgL_rz00_16765))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_16766;

																	BgL_arg1674z00_16766 =
																		PROCEDURE_ATTR(BgL_rz00_16765);
																	if (STRUCTP(BgL_arg1674z00_16766))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28034 =
																				(STRUCT_KEY(BgL_arg1674z00_16766) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28034 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_28034 = ((bool_t) 0);
																}
															if (BgL_testz00_28034)
																{
																	obj_t BgL_fz00_28042;

																	BgL_fz00_28042 = BgL_rz00_16765;
																	BgL_fz00_16764 = BgL_fz00_28042;
																	goto BgL_recz00_16763;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16758,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_16762);
																	BgL_____rz00_16761 = BgL_rz00_16765;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16760);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16759, BgL_sz00_16750);
											return BgL_____rz00_16761;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5622 */
	obj_t BGl_z62run5622z62zz__evaluate_compz00(obj_t BgL_envz00_14425,
		obj_t BgL_sz00_14431)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14426;
				long BgL_siza7eza7_14427;
				obj_t BgL_valza2za2_14428;
				BgL_ev_absz00_bglt BgL_i1245z00_14429;
				obj_t BgL_bodyz00_14430;

				BgL_iboxesz00_14426 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14425, (int) (((long) 0))));
				BgL_siza7eza7_14427 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14425, (int) (((long) 1))));
				BgL_valza2za2_14428 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14425, (int) (((long) 2))));
				BgL_i1245z00_14429 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14425, (int) (((long) 3))));
				BgL_bodyz00_14430 = PROCEDURE_REF(BgL_envz00_14425, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16767;

					BgL_bpz00_16767 = VECTOR_REF(BgL_sz00_14431, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14431,
						BgL_iboxesz00_14426, BgL_bpz00_16767);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14431,
						BgL_valza2za2_14428,
						((long) CINT(BgL_bpz00_16767) + BgL_siza7eza7_14427));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16768;
						obj_t BgL_wherez00_16769;
						obj_t BgL_locz00_16770;

						BgL_z12denvz12_16768 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16769 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14429))->BgL_wherez00);
						BgL_locz00_16770 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14429))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16768, BgL_wherez00_16769,
								BgL_locz00_16770);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16771;

								BgL_za2za2resza2za2z00_16771 =
									PROCEDURE_ENTRY(BgL_bodyz00_14430) (BgL_bodyz00_14430,
									BgL_sz00_14431, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16768);
								return BgL_za2za2resza2za2z00_16771;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3678> */
	obj_t BGl_z62zc3anonymousza33678ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14432, obj_t BgL_sz00_14436)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14433;
				obj_t BgL_bodyz00_14434;
				long BgL_siza7ezd2framez75_14435;

				BgL_i1245z00_14433 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14432, (int) (((long) 0))));
				BgL_bodyz00_14434 = PROCEDURE_REF(BgL_envz00_14432, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14435 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14432, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16772;

					BgL_bpz00_16772 = VECTOR_REF(BgL_sz00_14436, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16773;

							BgL_runz00_16773 =
								MAKE_FX_PROCEDURE(BGl_z62run5624z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_16773,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_14433));
							PROCEDURE_SET(BgL_runz00_16773,
								(int) (((long) 1)), BgL_bodyz00_14434);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16774;

								BgL_mainz00_16774 =
									MAKE_FX_PROCEDURE(BGl_z62main5623z62zz__evaluate_compz00,
									(int) (((long) 3)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_16774,
									(int) (((long) 0)), ((obj_t) BgL_i1245z00_14433));
								PROCEDURE_SET(BgL_mainz00_16774,
									(int) (((long) 1)), BgL_bodyz00_14434);
								PROCEDURE_SET(BgL_mainz00_16774,
									(int) (((long) 2)), BgL_runz00_16773);
								PROCEDURE_SET(BgL_mainz00_16774,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14435));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16775;

									BgL_objz00_16775 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16773, BgL_objz00_16775);
									BgL_objz00_16775;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3679z00_16776;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3680z00_16777;

										BgL_arg3680z00_16777 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14433))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16778;

											BgL_newz00_16778 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28111;

												BgL_tmpz00_28111 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16778, BgL_tmpz00_28111,
													BgL_arg3680z00_16777);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28116;
												int BgL_tmpz00_28114;

												BgL_auxz00_28116 = BINT(BgL_siza7ezd2framez75_14435);
												BgL_tmpz00_28114 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16778, BgL_tmpz00_28114,
													BgL_auxz00_28116);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28119;

												BgL_tmpz00_28119 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16778, BgL_tmpz00_28119,
													BgL_runz00_16773);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28124;
												int BgL_tmpz00_28122;

												BgL_auxz00_28124 = BINT(((long) 3));
												BgL_tmpz00_28122 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16778, BgL_tmpz00_28122,
													BgL_auxz00_28124);
											}
											BgL_arg3679z00_16776 = BgL_newz00_16778;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16774, BgL_arg3679z00_16776);
									BgL_arg3679z00_16776;
								}
								return BgL_mainz00_16774;
							}
						}
					}
				}
			}
		}
	}



/* &main5623 */
	obj_t BGl_z62main5623z62zz__evaluate_compz00(obj_t BgL_envz00_14437,
		obj_t BgL_bz00_14442, obj_t BgL_cz00_14443, obj_t BgL_dz00_14444)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14440;
				long BgL_siza7ezd2framez75_14441;

				BgL_runz00_14440 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14437, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14441 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14437, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16779;

					BgL_sz00_16779 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16780;

						BgL_bpz00_16780 = VECTOR_REF(BgL_sz00_16779, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_16780) + BgL_siza7ezd2framez75_14441) <
								(long) (VECTOR_LENGTH(BgL_sz00_16779))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3683z00_16781;

									BgL_arg3683z00_16781 =
										((long) CINT(BgL_bpz00_16780) + ((long) 0));
									VECTOR_SET(BgL_sz00_16779,
										(int) (BgL_arg3683z00_16781), BgL_bz00_14442);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3684z00_16782;

									BgL_arg3684z00_16782 =
										((long) CINT(BgL_bpz00_16780) + ((long) 1));
									VECTOR_SET(BgL_sz00_16779,
										(int) (BgL_arg3684z00_16782), BgL_cz00_14443);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3686z00_16783;

									BgL_arg3686z00_16783 =
										((long) CINT(BgL_bpz00_16780) + ((long) 2));
									VECTOR_SET(BgL_sz00_16779,
										(int) (BgL_arg3686z00_16783), BgL_dz00_14444);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16784;

									BgL_ez00_16784 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16784,
										BgL_bpz00_16780);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16785;

										BgL_accz00_16785 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14440, BgL_sz00_16779, BgL_bpz00_16780);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16784);
										VECTOR_SET(BgL_sz00_16779,
											(int) (((long) 0)), BgL_bpz00_16780);
										return BgL_accz00_16785;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16786;

								BgL_nsz00_16786 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16786, (int) (((long) 1)), BgL_sz00_16779);
								VECTOR_SET(BgL_nsz00_16786, (int) (((long) 2)), BgL_bz00_14442);
								VECTOR_SET(BgL_nsz00_16786, (int) (((long) 3)), BgL_cz00_14443);
								VECTOR_SET(BgL_nsz00_16786, (int) (((long) 4)), BgL_dz00_14444);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16787;

									BgL_z12denvz12_16787 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16787, BgL_nsz00_16786);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16788;

										BgL_ez00_16788 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16788,
											BgL_sz00_16779);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16789;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16790;

												BgL_savedzd2bpzd2_16790 =
													VECTOR_REF(BgL_nsz00_16786, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_16786,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_16792;

													BgL_fz00_16792 = BgL_runz00_14440;
												BgL_recz00_16791:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16793;

														BgL_rz00_16793 =
															PROCEDURE_ENTRY(BgL_fz00_16792) (BgL_fz00_16792,
															BgL_nsz00_16786, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_28183;

															if (PROCEDUREP(BgL_rz00_16793))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_16794;

																	BgL_arg1674z00_16794 =
																		PROCEDURE_ATTR(BgL_rz00_16793);
																	if (STRUCTP(BgL_arg1674z00_16794))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28183 =
																				(STRUCT_KEY(BgL_arg1674z00_16794) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28183 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_28183 = ((bool_t) 0);
																}
															if (BgL_testz00_28183)
																{
																	obj_t BgL_fz00_28191;

																	BgL_fz00_28191 = BgL_rz00_16793;
																	BgL_fz00_16792 = BgL_fz00_28191;
																	goto BgL_recz00_16791;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16786,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_16790);
																	BgL_____rz00_16789 = BgL_rz00_16793;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16788);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16787, BgL_sz00_16779);
											return BgL_____rz00_16789;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5624 */
	obj_t BGl_z62run5624z62zz__evaluate_compz00(obj_t BgL_envz00_14445,
		obj_t BgL_sz00_14448)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14446;
				obj_t BgL_bodyz00_14447;

				BgL_i1245z00_14446 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14445, (int) (((long) 0))));
				BgL_bodyz00_14447 = PROCEDURE_REF(BgL_envz00_14445, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16795;

					BgL_bpz00_16795 = VECTOR_REF(BgL_sz00_14448, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16796;
						obj_t BgL_wherez00_16797;
						obj_t BgL_locz00_16798;

						BgL_z12denvz12_16796 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16797 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14446))->BgL_wherez00);
						BgL_locz00_16798 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14446))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16796, BgL_wherez00_16797,
								BgL_locz00_16798);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16799;

								BgL_za2za2resza2za2z00_16799 =
									PROCEDURE_ENTRY(BgL_bodyz00_14447) (BgL_bodyz00_14447,
									BgL_sz00_14448, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16796);
								return BgL_za2za2resza2za2z00_16799;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3688> */
	obj_t BGl_z62zc3anonymousza33688ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14449, obj_t BgL_sz00_14454)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14450;
				BgL_ev_absz00_bglt BgL_i1245z00_14451;
				obj_t BgL_bodyz00_14452;
				long BgL_siza7ezd2framez75_14453;

				BgL_iboxesz00_14450 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14449, (int) (((long) 0))));
				BgL_i1245z00_14451 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14449, (int) (((long) 1))));
				BgL_bodyz00_14452 = PROCEDURE_REF(BgL_envz00_14449, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14453 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14449, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16800;

					BgL_bpz00_16800 = VECTOR_REF(BgL_sz00_14454, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16801;

							BgL_runz00_16801 =
								MAKE_FX_PROCEDURE(BGl_z62run5626z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_16801,
								(int) (((long) 0)), BgL_iboxesz00_14450);
							PROCEDURE_SET(BgL_runz00_16801,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_14451));
							PROCEDURE_SET(BgL_runz00_16801,
								(int) (((long) 2)), BgL_bodyz00_14452);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16802;

								BgL_mainz00_16802 =
									MAKE_FX_PROCEDURE(BGl_z62main5625z62zz__evaluate_compz00,
									(int) (((long) 3)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_16802,
									(int) (((long) 0)), BgL_iboxesz00_14450);
								PROCEDURE_SET(BgL_mainz00_16802,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_14451));
								PROCEDURE_SET(BgL_mainz00_16802,
									(int) (((long) 2)), BgL_bodyz00_14452);
								PROCEDURE_SET(BgL_mainz00_16802,
									(int) (((long) 3)), BgL_runz00_16801);
								PROCEDURE_SET(BgL_mainz00_16802,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14453));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16803;

									BgL_objz00_16803 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16801, BgL_objz00_16803);
									BgL_objz00_16803;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3689z00_16804;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3690z00_16805;

										BgL_arg3690z00_16805 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14451))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16806;

											BgL_newz00_16806 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28254;

												BgL_tmpz00_28254 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16806, BgL_tmpz00_28254,
													BgL_arg3690z00_16805);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28259;
												int BgL_tmpz00_28257;

												BgL_auxz00_28259 = BINT(BgL_siza7ezd2framez75_14453);
												BgL_tmpz00_28257 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16806, BgL_tmpz00_28257,
													BgL_auxz00_28259);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28262;

												BgL_tmpz00_28262 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16806, BgL_tmpz00_28262,
													BgL_runz00_16801);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28267;
												int BgL_tmpz00_28265;

												BgL_auxz00_28267 = BINT(((long) 3));
												BgL_tmpz00_28265 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16806, BgL_tmpz00_28265,
													BgL_auxz00_28267);
											}
											BgL_arg3689z00_16804 = BgL_newz00_16806;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16802, BgL_arg3689z00_16804);
									BgL_arg3689z00_16804;
								}
								return BgL_mainz00_16802;
							}
						}
					}
				}
			}
		}
	}



/* &main5625 */
	obj_t BGl_z62main5625z62zz__evaluate_compz00(obj_t BgL_envz00_14455,
		obj_t BgL_bz00_14461, obj_t BgL_cz00_14462, obj_t BgL_dz00_14463)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14459;
				long BgL_siza7ezd2framez75_14460;

				BgL_runz00_14459 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14455, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14460 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14455, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16807;

					BgL_sz00_16807 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16808;

						BgL_bpz00_16808 = VECTOR_REF(BgL_sz00_16807, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_16808) + BgL_siza7ezd2framez75_14460) <
								(long) (VECTOR_LENGTH(BgL_sz00_16807))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3694z00_16809;

									BgL_arg3694z00_16809 =
										((long) CINT(BgL_bpz00_16808) + ((long) 0));
									VECTOR_SET(BgL_sz00_16807,
										(int) (BgL_arg3694z00_16809), BgL_bz00_14461);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3695z00_16810;

									BgL_arg3695z00_16810 =
										((long) CINT(BgL_bpz00_16808) + ((long) 1));
									VECTOR_SET(BgL_sz00_16807,
										(int) (BgL_arg3695z00_16810), BgL_cz00_14462);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3697z00_16811;

									BgL_arg3697z00_16811 =
										((long) CINT(BgL_bpz00_16808) + ((long) 2));
									VECTOR_SET(BgL_sz00_16807,
										(int) (BgL_arg3697z00_16811), BgL_dz00_14463);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16812;

									BgL_ez00_16812 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16812,
										BgL_bpz00_16808);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16813;

										BgL_accz00_16813 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14459, BgL_sz00_16807, BgL_bpz00_16808);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16812);
										VECTOR_SET(BgL_sz00_16807,
											(int) (((long) 0)), BgL_bpz00_16808);
										return BgL_accz00_16813;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16814;

								BgL_nsz00_16814 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16814, (int) (((long) 1)), BgL_sz00_16807);
								VECTOR_SET(BgL_nsz00_16814, (int) (((long) 2)), BgL_bz00_14461);
								VECTOR_SET(BgL_nsz00_16814, (int) (((long) 3)), BgL_cz00_14462);
								VECTOR_SET(BgL_nsz00_16814, (int) (((long) 4)), BgL_dz00_14463);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16815;

									BgL_z12denvz12_16815 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16815, BgL_nsz00_16814);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16816;

										BgL_ez00_16816 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16816,
											BgL_sz00_16807);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16817;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16818;

												BgL_savedzd2bpzd2_16818 =
													VECTOR_REF(BgL_nsz00_16814, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_16814,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_16820;

													BgL_fz00_16820 = BgL_runz00_14459;
												BgL_recz00_16819:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16821;

														BgL_rz00_16821 =
															PROCEDURE_ENTRY(BgL_fz00_16820) (BgL_fz00_16820,
															BgL_nsz00_16814, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_28326;

															if (PROCEDUREP(BgL_rz00_16821))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_16822;

																	BgL_arg1674z00_16822 =
																		PROCEDURE_ATTR(BgL_rz00_16821);
																	if (STRUCTP(BgL_arg1674z00_16822))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28326 =
																				(STRUCT_KEY(BgL_arg1674z00_16822) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28326 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_28326 = ((bool_t) 0);
																}
															if (BgL_testz00_28326)
																{
																	obj_t BgL_fz00_28334;

																	BgL_fz00_28334 = BgL_rz00_16821;
																	BgL_fz00_16820 = BgL_fz00_28334;
																	goto BgL_recz00_16819;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16814,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_16818);
																	BgL_____rz00_16817 = BgL_rz00_16821;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16816);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16815, BgL_sz00_16807);
											return BgL_____rz00_16817;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5626 */
	obj_t BGl_z62run5626z62zz__evaluate_compz00(obj_t BgL_envz00_14464,
		obj_t BgL_sz00_14468)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14465;
				BgL_ev_absz00_bglt BgL_i1245z00_14466;
				obj_t BgL_bodyz00_14467;

				BgL_iboxesz00_14465 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14464, (int) (((long) 0))));
				BgL_i1245z00_14466 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14464, (int) (((long) 1))));
				BgL_bodyz00_14467 = PROCEDURE_REF(BgL_envz00_14464, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16823;

					BgL_bpz00_16823 = VECTOR_REF(BgL_sz00_14468, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14468,
						BgL_iboxesz00_14465, BgL_bpz00_16823);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16824;
						obj_t BgL_wherez00_16825;
						obj_t BgL_locz00_16826;

						BgL_z12denvz12_16824 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16825 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14466))->BgL_wherez00);
						BgL_locz00_16826 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14466))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16824, BgL_wherez00_16825,
								BgL_locz00_16826);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16827;

								BgL_za2za2resza2za2z00_16827 =
									PROCEDURE_ENTRY(BgL_bodyz00_14467) (BgL_bodyz00_14467,
									BgL_sz00_14468, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16824);
								return BgL_za2za2resza2za2z00_16827;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3702> */
	obj_t BGl_z62zc3anonymousza33702ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14469, obj_t BgL_sz00_14475)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14470;
				long BgL_siza7eza7_14471;
				BgL_ev_absz00_bglt BgL_i1245z00_14472;
				obj_t BgL_bodyz00_14473;
				long BgL_siza7ezd2framez75_14474;

				BgL_ifreesz00_14470 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14469, (int) (((long) 0))));
				BgL_siza7eza7_14471 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14469, (int) (((long) 1))));
				BgL_i1245z00_14472 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14469, (int) (((long) 2))));
				BgL_bodyz00_14473 = PROCEDURE_REF(BgL_envz00_14469, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14474 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14469, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16828;

					BgL_bpz00_16828 = VECTOR_REF(BgL_sz00_14475, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16829;

						BgL_valza2za2_16829 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14475,
							BgL_bpz00_16828, BgL_ifreesz00_14470);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16830;

							BgL_runz00_16830 =
								MAKE_FX_PROCEDURE(BGl_z62run5628z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_16830,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14471));
							PROCEDURE_SET(BgL_runz00_16830,
								(int) (((long) 1)), BgL_valza2za2_16829);
							PROCEDURE_SET(BgL_runz00_16830,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_14472));
							PROCEDURE_SET(BgL_runz00_16830,
								(int) (((long) 3)), BgL_bodyz00_14473);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16831;

								BgL_mainz00_16831 =
									MAKE_FX_PROCEDURE(BGl_z62main5627z62zz__evaluate_compz00,
									(int) (((long) 3)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_16831,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14471));
								PROCEDURE_SET(BgL_mainz00_16831,
									(int) (((long) 1)), BgL_valza2za2_16829);
								PROCEDURE_SET(BgL_mainz00_16831,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_14472));
								PROCEDURE_SET(BgL_mainz00_16831,
									(int) (((long) 3)), BgL_bodyz00_14473);
								PROCEDURE_SET(BgL_mainz00_16831,
									(int) (((long) 4)), BgL_runz00_16830);
								PROCEDURE_SET(BgL_mainz00_16831,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14474));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16832;

									BgL_objz00_16832 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16830, BgL_objz00_16832);
									BgL_objz00_16832;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3703z00_16833;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3704z00_16834;

										BgL_arg3704z00_16834 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14472))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16835;

											BgL_newz00_16835 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28411;

												BgL_tmpz00_28411 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16835, BgL_tmpz00_28411,
													BgL_arg3704z00_16834);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28416;
												int BgL_tmpz00_28414;

												BgL_auxz00_28416 = BINT(BgL_siza7ezd2framez75_14474);
												BgL_tmpz00_28414 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16835, BgL_tmpz00_28414,
													BgL_auxz00_28416);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28419;

												BgL_tmpz00_28419 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16835, BgL_tmpz00_28419,
													BgL_runz00_16830);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28424;
												int BgL_tmpz00_28422;

												BgL_auxz00_28424 = BINT(((long) 3));
												BgL_tmpz00_28422 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16835, BgL_tmpz00_28422,
													BgL_auxz00_28424);
											}
											BgL_arg3703z00_16833 = BgL_newz00_16835;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16831, BgL_arg3703z00_16833);
									BgL_arg3703z00_16833;
								}
								return BgL_mainz00_16831;
							}
						}
					}
				}
			}
		}
	}



/* &main5627 */
	obj_t BGl_z62main5627z62zz__evaluate_compz00(obj_t BgL_envz00_14476,
		obj_t BgL_bz00_14483, obj_t BgL_cz00_14484, obj_t BgL_dz00_14485)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14481;
				long BgL_siza7ezd2framez75_14482;

				BgL_runz00_14481 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14476, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14482 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14476, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16836;

					BgL_sz00_16836 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16837;

						BgL_bpz00_16837 = VECTOR_REF(BgL_sz00_16836, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_16837) + BgL_siza7ezd2framez75_14482) <
								(long) (VECTOR_LENGTH(BgL_sz00_16836))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3707z00_16838;

									BgL_arg3707z00_16838 =
										((long) CINT(BgL_bpz00_16837) + ((long) 0));
									VECTOR_SET(BgL_sz00_16836,
										(int) (BgL_arg3707z00_16838), BgL_bz00_14483);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3708z00_16839;

									BgL_arg3708z00_16839 =
										((long) CINT(BgL_bpz00_16837) + ((long) 1));
									VECTOR_SET(BgL_sz00_16836,
										(int) (BgL_arg3708z00_16839), BgL_cz00_14484);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3709z00_16840;

									BgL_arg3709z00_16840 =
										((long) CINT(BgL_bpz00_16837) + ((long) 2));
									VECTOR_SET(BgL_sz00_16836,
										(int) (BgL_arg3709z00_16840), BgL_dz00_14485);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16841;

									BgL_ez00_16841 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16841,
										BgL_bpz00_16837);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16842;

										BgL_accz00_16842 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14481, BgL_sz00_16836, BgL_bpz00_16837);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16841);
										VECTOR_SET(BgL_sz00_16836,
											(int) (((long) 0)), BgL_bpz00_16837);
										return BgL_accz00_16842;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16843;

								BgL_nsz00_16843 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16843, (int) (((long) 1)), BgL_sz00_16836);
								VECTOR_SET(BgL_nsz00_16843, (int) (((long) 2)), BgL_bz00_14483);
								VECTOR_SET(BgL_nsz00_16843, (int) (((long) 3)), BgL_cz00_14484);
								VECTOR_SET(BgL_nsz00_16843, (int) (((long) 4)), BgL_dz00_14485);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16844;

									BgL_z12denvz12_16844 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16844, BgL_nsz00_16843);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16845;

										BgL_ez00_16845 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16845,
											BgL_sz00_16836);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16846;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16847;

												BgL_savedzd2bpzd2_16847 =
													VECTOR_REF(BgL_nsz00_16843, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_16843,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_16849;

													BgL_fz00_16849 = BgL_runz00_14481;
												BgL_recz00_16848:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16850;

														BgL_rz00_16850 =
															PROCEDURE_ENTRY(BgL_fz00_16849) (BgL_fz00_16849,
															BgL_nsz00_16843, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_28483;

															if (PROCEDUREP(BgL_rz00_16850))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_16851;

																	BgL_arg1674z00_16851 =
																		PROCEDURE_ATTR(BgL_rz00_16850);
																	if (STRUCTP(BgL_arg1674z00_16851))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28483 =
																				(STRUCT_KEY(BgL_arg1674z00_16851) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28483 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_28483 = ((bool_t) 0);
																}
															if (BgL_testz00_28483)
																{
																	obj_t BgL_fz00_28491;

																	BgL_fz00_28491 = BgL_rz00_16850;
																	BgL_fz00_16849 = BgL_fz00_28491;
																	goto BgL_recz00_16848;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16843,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_16847);
																	BgL_____rz00_16846 = BgL_rz00_16850;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16845);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16844, BgL_sz00_16836);
											return BgL_____rz00_16846;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5628 */
	obj_t BGl_z62run5628z62zz__evaluate_compz00(obj_t BgL_envz00_14486,
		obj_t BgL_sz00_14491)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14487;
				obj_t BgL_valza2za2_14488;
				BgL_ev_absz00_bglt BgL_i1245z00_14489;
				obj_t BgL_bodyz00_14490;

				BgL_siza7eza7_14487 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14486, (int) (((long) 0))));
				BgL_valza2za2_14488 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14486, (int) (((long) 1))));
				BgL_i1245z00_14489 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14486, (int) (((long) 2))));
				BgL_bodyz00_14490 = PROCEDURE_REF(BgL_envz00_14486, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16852;

					BgL_bpz00_16852 = VECTOR_REF(BgL_sz00_14491, (int) (((long) 0)));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14491,
						BgL_valza2za2_14488,
						((long) CINT(BgL_bpz00_16852) + BgL_siza7eza7_14487));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16853;
						obj_t BgL_wherez00_16854;
						obj_t BgL_locz00_16855;

						BgL_z12denvz12_16853 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16854 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14489))->BgL_wherez00);
						BgL_locz00_16855 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14489))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16853, BgL_wherez00_16854,
								BgL_locz00_16855);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16856;

								BgL_za2za2resza2za2z00_16856 =
									PROCEDURE_ENTRY(BgL_bodyz00_14490) (BgL_bodyz00_14490,
									BgL_sz00_14491, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16853);
								return BgL_za2za2resza2za2z00_16856;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3712> */
	obj_t BGl_z62zc3anonymousza33712ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14492, obj_t BgL_sz00_14499)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14493;
				obj_t BgL_iboxesz00_14494;
				long BgL_siza7eza7_14495;
				BgL_ev_absz00_bglt BgL_i1245z00_14496;
				obj_t BgL_bodyz00_14497;
				long BgL_siza7ezd2framez75_14498;

				BgL_ifreesz00_14493 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14492, (int) (((long) 0))));
				BgL_iboxesz00_14494 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14492, (int) (((long) 1))));
				BgL_siza7eza7_14495 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14492, (int) (((long) 2))));
				BgL_i1245z00_14496 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14492, (int) (((long) 3))));
				BgL_bodyz00_14497 = PROCEDURE_REF(BgL_envz00_14492, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14498 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14492, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16857;

					BgL_bpz00_16857 = VECTOR_REF(BgL_sz00_14499, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16858;

						BgL_valza2za2_16858 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14499,
							BgL_bpz00_16857, BgL_ifreesz00_14493);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16859;

							BgL_runz00_16859 =
								MAKE_FX_PROCEDURE(BGl_z62run5630z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_16859,
								(int) (((long) 0)), BgL_iboxesz00_14494);
							PROCEDURE_SET(BgL_runz00_16859,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14495));
							PROCEDURE_SET(BgL_runz00_16859,
								(int) (((long) 2)), BgL_valza2za2_16858);
							PROCEDURE_SET(BgL_runz00_16859,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_14496));
							PROCEDURE_SET(BgL_runz00_16859,
								(int) (((long) 4)), BgL_bodyz00_14497);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16860;

								BgL_mainz00_16860 =
									MAKE_FX_PROCEDURE(BGl_z62main5629z62zz__evaluate_compz00,
									(int) (((long) 3)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_16860,
									(int) (((long) 0)), BgL_iboxesz00_14494);
								PROCEDURE_SET(BgL_mainz00_16860,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14495));
								PROCEDURE_SET(BgL_mainz00_16860,
									(int) (((long) 2)), BgL_valza2za2_16858);
								PROCEDURE_SET(BgL_mainz00_16860,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_14496));
								PROCEDURE_SET(BgL_mainz00_16860,
									(int) (((long) 4)), BgL_bodyz00_14497);
								PROCEDURE_SET(BgL_mainz00_16860,
									(int) (((long) 5)), BgL_runz00_16859);
								PROCEDURE_SET(BgL_mainz00_16860,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14498));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16861;

									BgL_objz00_16861 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16859, BgL_objz00_16861);
									BgL_objz00_16861;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3713z00_16862;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3714z00_16863;

										BgL_arg3714z00_16863 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14496))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16864;

											BgL_newz00_16864 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28580;

												BgL_tmpz00_28580 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16864, BgL_tmpz00_28580,
													BgL_arg3714z00_16863);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28585;
												int BgL_tmpz00_28583;

												BgL_auxz00_28585 = BINT(BgL_siza7ezd2framez75_14498);
												BgL_tmpz00_28583 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16864, BgL_tmpz00_28583,
													BgL_auxz00_28585);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28588;

												BgL_tmpz00_28588 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16864, BgL_tmpz00_28588,
													BgL_runz00_16859);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28593;
												int BgL_tmpz00_28591;

												BgL_auxz00_28593 = BINT(((long) 3));
												BgL_tmpz00_28591 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16864, BgL_tmpz00_28591,
													BgL_auxz00_28593);
											}
											BgL_arg3713z00_16862 = BgL_newz00_16864;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16860, BgL_arg3713z00_16862);
									BgL_arg3713z00_16862;
								}
								return BgL_mainz00_16860;
							}
						}
					}
				}
			}
		}
	}



/* &main5629 */
	obj_t BGl_z62main5629z62zz__evaluate_compz00(obj_t BgL_envz00_14500,
		obj_t BgL_bz00_14508, obj_t BgL_cz00_14509, obj_t BgL_dz00_14510)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14506;
				long BgL_siza7ezd2framez75_14507;

				BgL_runz00_14506 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14500, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14507 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14500, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16865;

					BgL_sz00_16865 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16866;

						BgL_bpz00_16866 = VECTOR_REF(BgL_sz00_16865, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_16866) + BgL_siza7ezd2framez75_14507) <
								(long) (VECTOR_LENGTH(BgL_sz00_16865))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3717z00_16867;

									BgL_arg3717z00_16867 =
										((long) CINT(BgL_bpz00_16866) + ((long) 0));
									VECTOR_SET(BgL_sz00_16865,
										(int) (BgL_arg3717z00_16867), BgL_bz00_14508);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3718z00_16868;

									BgL_arg3718z00_16868 =
										((long) CINT(BgL_bpz00_16866) + ((long) 1));
									VECTOR_SET(BgL_sz00_16865,
										(int) (BgL_arg3718z00_16868), BgL_cz00_14509);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3719z00_16869;

									BgL_arg3719z00_16869 =
										((long) CINT(BgL_bpz00_16866) + ((long) 2));
									VECTOR_SET(BgL_sz00_16865,
										(int) (BgL_arg3719z00_16869), BgL_dz00_14510);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16870;

									BgL_ez00_16870 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16870,
										BgL_bpz00_16866);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16871;

										BgL_accz00_16871 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14506, BgL_sz00_16865, BgL_bpz00_16866);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16870);
										VECTOR_SET(BgL_sz00_16865,
											(int) (((long) 0)), BgL_bpz00_16866);
										return BgL_accz00_16871;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16872;

								BgL_nsz00_16872 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16872, (int) (((long) 1)), BgL_sz00_16865);
								VECTOR_SET(BgL_nsz00_16872, (int) (((long) 2)), BgL_bz00_14508);
								VECTOR_SET(BgL_nsz00_16872, (int) (((long) 3)), BgL_cz00_14509);
								VECTOR_SET(BgL_nsz00_16872, (int) (((long) 4)), BgL_dz00_14510);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16873;

									BgL_z12denvz12_16873 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16873, BgL_nsz00_16872);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16874;

										BgL_ez00_16874 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16874,
											BgL_sz00_16865);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16875;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16876;

												BgL_savedzd2bpzd2_16876 =
													VECTOR_REF(BgL_nsz00_16872, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_16872,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_16878;

													BgL_fz00_16878 = BgL_runz00_14506;
												BgL_recz00_16877:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16879;

														BgL_rz00_16879 =
															PROCEDURE_ENTRY(BgL_fz00_16878) (BgL_fz00_16878,
															BgL_nsz00_16872, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_28652;

															if (PROCEDUREP(BgL_rz00_16879))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_16880;

																	BgL_arg1674z00_16880 =
																		PROCEDURE_ATTR(BgL_rz00_16879);
																	if (STRUCTP(BgL_arg1674z00_16880))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28652 =
																				(STRUCT_KEY(BgL_arg1674z00_16880) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28652 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_28652 = ((bool_t) 0);
																}
															if (BgL_testz00_28652)
																{
																	obj_t BgL_fz00_28660;

																	BgL_fz00_28660 = BgL_rz00_16879;
																	BgL_fz00_16878 = BgL_fz00_28660;
																	goto BgL_recz00_16877;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16872,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_16876);
																	BgL_____rz00_16875 = BgL_rz00_16879;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16874);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16873, BgL_sz00_16865);
											return BgL_____rz00_16875;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5630 */
	obj_t BGl_z62run5630z62zz__evaluate_compz00(obj_t BgL_envz00_14511,
		obj_t BgL_sz00_14517)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14512;
				long BgL_siza7eza7_14513;
				obj_t BgL_valza2za2_14514;
				BgL_ev_absz00_bglt BgL_i1245z00_14515;
				obj_t BgL_bodyz00_14516;

				BgL_iboxesz00_14512 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14511, (int) (((long) 0))));
				BgL_siza7eza7_14513 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14511, (int) (((long) 1))));
				BgL_valza2za2_14514 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14511, (int) (((long) 2))));
				BgL_i1245z00_14515 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14511, (int) (((long) 3))));
				BgL_bodyz00_14516 = PROCEDURE_REF(BgL_envz00_14511, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16881;

					BgL_bpz00_16881 = VECTOR_REF(BgL_sz00_14517, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14517,
						BgL_iboxesz00_14512, BgL_bpz00_16881);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14517,
						BgL_valza2za2_14514,
						((long) CINT(BgL_bpz00_16881) + BgL_siza7eza7_14513));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16882;
						obj_t BgL_wherez00_16883;
						obj_t BgL_locz00_16884;

						BgL_z12denvz12_16882 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16883 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14515))->BgL_wherez00);
						BgL_locz00_16884 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14515))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16882, BgL_wherez00_16883,
								BgL_locz00_16884);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16885;

								BgL_za2za2resza2za2z00_16885 =
									PROCEDURE_ENTRY(BgL_bodyz00_14516) (BgL_bodyz00_14516,
									BgL_sz00_14517, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16882);
								return BgL_za2za2resza2za2z00_16885;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3624> */
	obj_t BGl_z62zc3anonymousza33624ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14518, obj_t BgL_sz00_14522)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14519;
				obj_t BgL_bodyz00_14520;
				long BgL_siza7ezd2framez75_14521;

				BgL_i1245z00_14519 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14518, (int) (((long) 0))));
				BgL_bodyz00_14520 = PROCEDURE_REF(BgL_envz00_14518, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14521 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14518, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16886;

					BgL_bpz00_16886 = VECTOR_REF(BgL_sz00_14522, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16887;

							BgL_runz00_16887 =
								MAKE_FX_PROCEDURE(BGl_z62run5632z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_16887,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_14519));
							PROCEDURE_SET(BgL_runz00_16887,
								(int) (((long) 1)), BgL_bodyz00_14520);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16888;

								BgL_mainz00_16888 =
									MAKE_VA_PROCEDURE(BGl_z62main5631z62zz__evaluate_compz00,
									(int) (((long) -3)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_16888,
									(int) (((long) 0)), ((obj_t) BgL_i1245z00_14519));
								PROCEDURE_SET(BgL_mainz00_16888,
									(int) (((long) 1)), BgL_bodyz00_14520);
								PROCEDURE_SET(BgL_mainz00_16888,
									(int) (((long) 2)), BgL_runz00_16887);
								PROCEDURE_SET(BgL_mainz00_16888,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14521));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16889;

									BgL_objz00_16889 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16887, BgL_objz00_16889);
									BgL_objz00_16889;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3625z00_16890;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3626z00_16891;

										BgL_arg3626z00_16891 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14519))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16892;

											BgL_newz00_16892 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28729;

												BgL_tmpz00_28729 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16892, BgL_tmpz00_28729,
													BgL_arg3626z00_16891);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28734;
												int BgL_tmpz00_28732;

												BgL_auxz00_28734 = BINT(BgL_siza7ezd2framez75_14521);
												BgL_tmpz00_28732 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16892, BgL_tmpz00_28732,
													BgL_auxz00_28734);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28737;

												BgL_tmpz00_28737 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16892, BgL_tmpz00_28737,
													BgL_runz00_16887);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28742;
												int BgL_tmpz00_28740;

												BgL_auxz00_28742 = BINT(((long) -3));
												BgL_tmpz00_28740 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16892, BgL_tmpz00_28740,
													BgL_auxz00_28742);
											}
											BgL_arg3625z00_16890 = BgL_newz00_16892;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16888, BgL_arg3625z00_16890);
									BgL_arg3625z00_16890;
								}
								return BgL_mainz00_16888;
							}
						}
					}
				}
			}
		}
	}



/* &main5631 */
	obj_t BGl_z62main5631z62zz__evaluate_compz00(obj_t BgL_envz00_14523,
		obj_t BgL_cz00_14528, obj_t BgL_dz00_14529, obj_t BgL_lastz00_14530)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14526;
				long BgL_siza7ezd2framez75_14527;

				BgL_runz00_14526 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14523, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14527 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14523, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16893;

					BgL_sz00_16893 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16894;

						BgL_bpz00_16894 = VECTOR_REF(BgL_sz00_16893, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_16894) + BgL_siza7ezd2framez75_14527) <
								(long) (VECTOR_LENGTH(BgL_sz00_16893))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3629z00_16895;

									BgL_arg3629z00_16895 =
										((long) CINT(BgL_bpz00_16894) + ((long) 0));
									VECTOR_SET(BgL_sz00_16893,
										(int) (BgL_arg3629z00_16895), BgL_cz00_14528);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3630z00_16896;

									BgL_arg3630z00_16896 =
										((long) CINT(BgL_bpz00_16894) + ((long) 1));
									VECTOR_SET(BgL_sz00_16893,
										(int) (BgL_arg3630z00_16896), BgL_dz00_14529);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3632z00_16897;

									BgL_arg3632z00_16897 =
										((long) CINT(BgL_bpz00_16894) + ((long) 2));
									VECTOR_SET(BgL_sz00_16893,
										(int) (BgL_arg3632z00_16897), BgL_lastz00_14530);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16898;

									BgL_ez00_16898 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16898,
										BgL_bpz00_16894);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16899;

										BgL_accz00_16899 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14526, BgL_sz00_16893, BgL_bpz00_16894);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16898);
										VECTOR_SET(BgL_sz00_16893,
											(int) (((long) 0)), BgL_bpz00_16894);
										return BgL_accz00_16899;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16900;

								BgL_nsz00_16900 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16900, (int) (((long) 1)), BgL_sz00_16893);
								VECTOR_SET(BgL_nsz00_16900, (int) (((long) 2)), BgL_cz00_14528);
								VECTOR_SET(BgL_nsz00_16900, (int) (((long) 3)), BgL_dz00_14529);
								VECTOR_SET(BgL_nsz00_16900,
									(int) (((long) 4)), BgL_lastz00_14530);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16901;

									BgL_z12denvz12_16901 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16901, BgL_nsz00_16900);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16902;

										BgL_ez00_16902 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16902,
											BgL_sz00_16893);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16903;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16904;

												BgL_savedzd2bpzd2_16904 =
													VECTOR_REF(BgL_nsz00_16900, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_16900,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_16906;

													BgL_fz00_16906 = BgL_runz00_14526;
												BgL_recz00_16905:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16907;

														BgL_rz00_16907 =
															PROCEDURE_ENTRY(BgL_fz00_16906) (BgL_fz00_16906,
															BgL_nsz00_16900, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_28801;

															if (PROCEDUREP(BgL_rz00_16907))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_16908;

																	BgL_arg1674z00_16908 =
																		PROCEDURE_ATTR(BgL_rz00_16907);
																	if (STRUCTP(BgL_arg1674z00_16908))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28801 =
																				(STRUCT_KEY(BgL_arg1674z00_16908) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28801 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_28801 = ((bool_t) 0);
																}
															if (BgL_testz00_28801)
																{
																	obj_t BgL_fz00_28809;

																	BgL_fz00_28809 = BgL_rz00_16907;
																	BgL_fz00_16906 = BgL_fz00_28809;
																	goto BgL_recz00_16905;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16900,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_16904);
																	BgL_____rz00_16903 = BgL_rz00_16907;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16902);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16901, BgL_sz00_16893);
											return BgL_____rz00_16903;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5632 */
	obj_t BGl_z62run5632z62zz__evaluate_compz00(obj_t BgL_envz00_14531,
		obj_t BgL_sz00_14534)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14532;
				obj_t BgL_bodyz00_14533;

				BgL_i1245z00_14532 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14531, (int) (((long) 0))));
				BgL_bodyz00_14533 = PROCEDURE_REF(BgL_envz00_14531, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16909;

					BgL_bpz00_16909 = VECTOR_REF(BgL_sz00_14534, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16910;
						obj_t BgL_wherez00_16911;
						obj_t BgL_locz00_16912;

						BgL_z12denvz12_16910 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16911 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14532))->BgL_wherez00);
						BgL_locz00_16912 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14532))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16910, BgL_wherez00_16911,
								BgL_locz00_16912);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16913;

								BgL_za2za2resza2za2z00_16913 =
									PROCEDURE_ENTRY(BgL_bodyz00_14533) (BgL_bodyz00_14533,
									BgL_sz00_14534, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16910);
								return BgL_za2za2resza2za2z00_16913;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3634> */
	obj_t BGl_z62zc3anonymousza33634ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14535, obj_t BgL_sz00_14540)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14536;
				BgL_ev_absz00_bglt BgL_i1245z00_14537;
				obj_t BgL_bodyz00_14538;
				long BgL_siza7ezd2framez75_14539;

				BgL_iboxesz00_14536 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14535, (int) (((long) 0))));
				BgL_i1245z00_14537 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14535, (int) (((long) 1))));
				BgL_bodyz00_14538 = PROCEDURE_REF(BgL_envz00_14535, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14539 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14535, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16914;

					BgL_bpz00_16914 = VECTOR_REF(BgL_sz00_14540, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16915;

							BgL_runz00_16915 =
								MAKE_FX_PROCEDURE(BGl_z62run5634z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_16915,
								(int) (((long) 0)), BgL_iboxesz00_14536);
							PROCEDURE_SET(BgL_runz00_16915,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_14537));
							PROCEDURE_SET(BgL_runz00_16915,
								(int) (((long) 2)), BgL_bodyz00_14538);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16916;

								BgL_mainz00_16916 =
									MAKE_VA_PROCEDURE(BGl_z62main5633z62zz__evaluate_compz00,
									(int) (((long) -3)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_16916,
									(int) (((long) 0)), BgL_iboxesz00_14536);
								PROCEDURE_SET(BgL_mainz00_16916,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_14537));
								PROCEDURE_SET(BgL_mainz00_16916,
									(int) (((long) 2)), BgL_bodyz00_14538);
								PROCEDURE_SET(BgL_mainz00_16916,
									(int) (((long) 3)), BgL_runz00_16915);
								PROCEDURE_SET(BgL_mainz00_16916,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14539));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16917;

									BgL_objz00_16917 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16915, BgL_objz00_16917);
									BgL_objz00_16917;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3635z00_16918;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3636z00_16919;

										BgL_arg3636z00_16919 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14537))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16920;

											BgL_newz00_16920 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28872;

												BgL_tmpz00_28872 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16920, BgL_tmpz00_28872,
													BgL_arg3636z00_16919);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28877;
												int BgL_tmpz00_28875;

												BgL_auxz00_28877 = BINT(BgL_siza7ezd2framez75_14539);
												BgL_tmpz00_28875 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16920, BgL_tmpz00_28875,
													BgL_auxz00_28877);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_28880;

												BgL_tmpz00_28880 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16920, BgL_tmpz00_28880,
													BgL_runz00_16915);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_28885;
												int BgL_tmpz00_28883;

												BgL_auxz00_28885 = BINT(((long) -3));
												BgL_tmpz00_28883 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16920, BgL_tmpz00_28883,
													BgL_auxz00_28885);
											}
											BgL_arg3635z00_16918 = BgL_newz00_16920;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16916, BgL_arg3635z00_16918);
									BgL_arg3635z00_16918;
								}
								return BgL_mainz00_16916;
							}
						}
					}
				}
			}
		}
	}



/* &main5633 */
	obj_t BGl_z62main5633z62zz__evaluate_compz00(obj_t BgL_envz00_14541,
		obj_t BgL_cz00_14547, obj_t BgL_dz00_14548, obj_t BgL_lastz00_14549)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14545;
				long BgL_siza7ezd2framez75_14546;

				BgL_runz00_14545 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14541, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14546 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14541, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16921;

					BgL_sz00_16921 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16922;

						BgL_bpz00_16922 = VECTOR_REF(BgL_sz00_16921, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_16922) + BgL_siza7ezd2framez75_14546) <
								(long) (VECTOR_LENGTH(BgL_sz00_16921))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3639z00_16923;

									BgL_arg3639z00_16923 =
										((long) CINT(BgL_bpz00_16922) + ((long) 0));
									VECTOR_SET(BgL_sz00_16921,
										(int) (BgL_arg3639z00_16923), BgL_cz00_14547);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3640z00_16924;

									BgL_arg3640z00_16924 =
										((long) CINT(BgL_bpz00_16922) + ((long) 1));
									VECTOR_SET(BgL_sz00_16921,
										(int) (BgL_arg3640z00_16924), BgL_dz00_14548);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3642z00_16925;

									BgL_arg3642z00_16925 =
										((long) CINT(BgL_bpz00_16922) + ((long) 2));
									VECTOR_SET(BgL_sz00_16921,
										(int) (BgL_arg3642z00_16925), BgL_lastz00_14549);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16926;

									BgL_ez00_16926 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16926,
										BgL_bpz00_16922);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16927;

										BgL_accz00_16927 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14545, BgL_sz00_16921, BgL_bpz00_16922);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16926);
										VECTOR_SET(BgL_sz00_16921,
											(int) (((long) 0)), BgL_bpz00_16922);
										return BgL_accz00_16927;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16928;

								BgL_nsz00_16928 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16928, (int) (((long) 1)), BgL_sz00_16921);
								VECTOR_SET(BgL_nsz00_16928, (int) (((long) 2)), BgL_cz00_14547);
								VECTOR_SET(BgL_nsz00_16928, (int) (((long) 3)), BgL_dz00_14548);
								VECTOR_SET(BgL_nsz00_16928,
									(int) (((long) 4)), BgL_lastz00_14549);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16929;

									BgL_z12denvz12_16929 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16929, BgL_nsz00_16928);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16930;

										BgL_ez00_16930 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16930,
											BgL_sz00_16921);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16931;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16932;

												BgL_savedzd2bpzd2_16932 =
													VECTOR_REF(BgL_nsz00_16928, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_16928,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_16934;

													BgL_fz00_16934 = BgL_runz00_14545;
												BgL_recz00_16933:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16935;

														BgL_rz00_16935 =
															PROCEDURE_ENTRY(BgL_fz00_16934) (BgL_fz00_16934,
															BgL_nsz00_16928, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_28944;

															if (PROCEDUREP(BgL_rz00_16935))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_16936;

																	BgL_arg1674z00_16936 =
																		PROCEDURE_ATTR(BgL_rz00_16935);
																	if (STRUCTP(BgL_arg1674z00_16936))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28944 =
																				(STRUCT_KEY(BgL_arg1674z00_16936) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_28944 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_28944 = ((bool_t) 0);
																}
															if (BgL_testz00_28944)
																{
																	obj_t BgL_fz00_28952;

																	BgL_fz00_28952 = BgL_rz00_16935;
																	BgL_fz00_16934 = BgL_fz00_28952;
																	goto BgL_recz00_16933;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16928,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_16932);
																	BgL_____rz00_16931 = BgL_rz00_16935;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16930);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16929, BgL_sz00_16921);
											return BgL_____rz00_16931;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5634 */
	obj_t BGl_z62run5634z62zz__evaluate_compz00(obj_t BgL_envz00_14550,
		obj_t BgL_sz00_14554)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14551;
				BgL_ev_absz00_bglt BgL_i1245z00_14552;
				obj_t BgL_bodyz00_14553;

				BgL_iboxesz00_14551 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14550, (int) (((long) 0))));
				BgL_i1245z00_14552 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14550, (int) (((long) 1))));
				BgL_bodyz00_14553 = PROCEDURE_REF(BgL_envz00_14550, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16937;

					BgL_bpz00_16937 = VECTOR_REF(BgL_sz00_14554, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14554,
						BgL_iboxesz00_14551, BgL_bpz00_16937);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_16938;
						obj_t BgL_wherez00_16939;
						obj_t BgL_locz00_16940;

						BgL_z12denvz12_16938 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16939 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14552))->BgL_wherez00);
						BgL_locz00_16940 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14552))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16938, BgL_wherez00_16939,
								BgL_locz00_16940);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_16941;

								BgL_za2za2resza2za2z00_16941 =
									PROCEDURE_ENTRY(BgL_bodyz00_14553) (BgL_bodyz00_14553,
									BgL_sz00_14554, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16938);
								return BgL_za2za2resza2za2z00_16941;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3647> */
	obj_t BGl_z62zc3anonymousza33647ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14555, obj_t BgL_sz00_14561)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14556;
				long BgL_siza7eza7_14557;
				BgL_ev_absz00_bglt BgL_i1245z00_14558;
				obj_t BgL_bodyz00_14559;
				long BgL_siza7ezd2framez75_14560;

				BgL_ifreesz00_14556 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14555, (int) (((long) 0))));
				BgL_siza7eza7_14557 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14555, (int) (((long) 1))));
				BgL_i1245z00_14558 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14555, (int) (((long) 2))));
				BgL_bodyz00_14559 = PROCEDURE_REF(BgL_envz00_14555, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14560 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14555, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16942;

					BgL_bpz00_16942 = VECTOR_REF(BgL_sz00_14561, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16943;

						BgL_valza2za2_16943 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14561,
							BgL_bpz00_16942, BgL_ifreesz00_14556);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16944;

							BgL_runz00_16944 =
								MAKE_FX_PROCEDURE(BGl_z62run5636z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_16944,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14557));
							PROCEDURE_SET(BgL_runz00_16944,
								(int) (((long) 1)), BgL_valza2za2_16943);
							PROCEDURE_SET(BgL_runz00_16944,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_14558));
							PROCEDURE_SET(BgL_runz00_16944,
								(int) (((long) 3)), BgL_bodyz00_14559);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16945;

								BgL_mainz00_16945 =
									MAKE_VA_PROCEDURE(BGl_z62main5635z62zz__evaluate_compz00,
									(int) (((long) -3)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_16945,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14557));
								PROCEDURE_SET(BgL_mainz00_16945,
									(int) (((long) 1)), BgL_valza2za2_16943);
								PROCEDURE_SET(BgL_mainz00_16945,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_14558));
								PROCEDURE_SET(BgL_mainz00_16945,
									(int) (((long) 3)), BgL_bodyz00_14559);
								PROCEDURE_SET(BgL_mainz00_16945,
									(int) (((long) 4)), BgL_runz00_16944);
								PROCEDURE_SET(BgL_mainz00_16945,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14560));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16946;

									BgL_objz00_16946 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16944, BgL_objz00_16946);
									BgL_objz00_16946;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3648z00_16947;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3649z00_16948;

										BgL_arg3649z00_16948 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14558))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16949;

											BgL_newz00_16949 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29029;

												BgL_tmpz00_29029 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16949, BgL_tmpz00_29029,
													BgL_arg3649z00_16948);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29034;
												int BgL_tmpz00_29032;

												BgL_auxz00_29034 = BINT(BgL_siza7ezd2framez75_14560);
												BgL_tmpz00_29032 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16949, BgL_tmpz00_29032,
													BgL_auxz00_29034);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29037;

												BgL_tmpz00_29037 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16949, BgL_tmpz00_29037,
													BgL_runz00_16944);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29042;
												int BgL_tmpz00_29040;

												BgL_auxz00_29042 = BINT(((long) -3));
												BgL_tmpz00_29040 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16949, BgL_tmpz00_29040,
													BgL_auxz00_29042);
											}
											BgL_arg3648z00_16947 = BgL_newz00_16949;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16945, BgL_arg3648z00_16947);
									BgL_arg3648z00_16947;
								}
								return BgL_mainz00_16945;
							}
						}
					}
				}
			}
		}
	}



/* &main5635 */
	obj_t BGl_z62main5635z62zz__evaluate_compz00(obj_t BgL_envz00_14562,
		obj_t BgL_cz00_14569, obj_t BgL_dz00_14570, obj_t BgL_lastz00_14571)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14567;
				long BgL_siza7ezd2framez75_14568;

				BgL_runz00_14567 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14562, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14568 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14562, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16950;

					BgL_sz00_16950 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16951;

						BgL_bpz00_16951 = VECTOR_REF(BgL_sz00_16950, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_16951) + BgL_siza7ezd2framez75_14568) <
								(long) (VECTOR_LENGTH(BgL_sz00_16950))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3653z00_16952;

									BgL_arg3653z00_16952 =
										((long) CINT(BgL_bpz00_16951) + ((long) 0));
									VECTOR_SET(BgL_sz00_16950,
										(int) (BgL_arg3653z00_16952), BgL_cz00_14569);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3655z00_16953;

									BgL_arg3655z00_16953 =
										((long) CINT(BgL_bpz00_16951) + ((long) 1));
									VECTOR_SET(BgL_sz00_16950,
										(int) (BgL_arg3655z00_16953), BgL_dz00_14570);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3656z00_16954;

									BgL_arg3656z00_16954 =
										((long) CINT(BgL_bpz00_16951) + ((long) 2));
									VECTOR_SET(BgL_sz00_16950,
										(int) (BgL_arg3656z00_16954), BgL_lastz00_14571);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16955;

									BgL_ez00_16955 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16955,
										BgL_bpz00_16951);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16956;

										BgL_accz00_16956 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14567, BgL_sz00_16950, BgL_bpz00_16951);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16955);
										VECTOR_SET(BgL_sz00_16950,
											(int) (((long) 0)), BgL_bpz00_16951);
										return BgL_accz00_16956;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16957;

								BgL_nsz00_16957 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16957, (int) (((long) 1)), BgL_sz00_16950);
								VECTOR_SET(BgL_nsz00_16957, (int) (((long) 2)), BgL_cz00_14569);
								VECTOR_SET(BgL_nsz00_16957, (int) (((long) 3)), BgL_dz00_14570);
								VECTOR_SET(BgL_nsz00_16957,
									(int) (((long) 4)), BgL_lastz00_14571);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16958;

									BgL_z12denvz12_16958 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16958, BgL_nsz00_16957);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16959;

										BgL_ez00_16959 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16959,
											BgL_sz00_16950);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16960;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16961;

												BgL_savedzd2bpzd2_16961 =
													VECTOR_REF(BgL_nsz00_16957, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_16957,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_16963;

													BgL_fz00_16963 = BgL_runz00_14567;
												BgL_recz00_16962:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16964;

														BgL_rz00_16964 =
															PROCEDURE_ENTRY(BgL_fz00_16963) (BgL_fz00_16963,
															BgL_nsz00_16957, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_29101;

															if (PROCEDUREP(BgL_rz00_16964))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_16965;

																	BgL_arg1674z00_16965 =
																		PROCEDURE_ATTR(BgL_rz00_16964);
																	if (STRUCTP(BgL_arg1674z00_16965))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29101 =
																				(STRUCT_KEY(BgL_arg1674z00_16965) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29101 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_29101 = ((bool_t) 0);
																}
															if (BgL_testz00_29101)
																{
																	obj_t BgL_fz00_29109;

																	BgL_fz00_29109 = BgL_rz00_16964;
																	BgL_fz00_16963 = BgL_fz00_29109;
																	goto BgL_recz00_16962;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16957,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_16961);
																	BgL_____rz00_16960 = BgL_rz00_16964;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16959);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16958, BgL_sz00_16950);
											return BgL_____rz00_16960;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5636 */
	obj_t BGl_z62run5636z62zz__evaluate_compz00(obj_t BgL_envz00_14572,
		obj_t BgL_sz00_14577)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14573;
				obj_t BgL_valza2za2_14574;
				BgL_ev_absz00_bglt BgL_i1245z00_14575;
				obj_t BgL_bodyz00_14576;

				BgL_siza7eza7_14573 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14572, (int) (((long) 0))));
				BgL_valza2za2_14574 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14572, (int) (((long) 1))));
				BgL_i1245z00_14575 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14572, (int) (((long) 2))));
				BgL_bodyz00_14576 = PROCEDURE_REF(BgL_envz00_14572, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16966;

					BgL_bpz00_16966 = VECTOR_REF(BgL_sz00_14577, (int) (((long) 0)));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14577,
						BgL_valza2za2_14574,
						((long) CINT(BgL_bpz00_16966) + BgL_siza7eza7_14573));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16967;
						obj_t BgL_wherez00_16968;
						obj_t BgL_locz00_16969;

						BgL_z12denvz12_16967 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16968 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14575))->BgL_wherez00);
						BgL_locz00_16969 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14575))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16967, BgL_wherez00_16968,
								BgL_locz00_16969);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16970;

								BgL_za2za2resza2za2z00_16970 =
									PROCEDURE_ENTRY(BgL_bodyz00_14576) (BgL_bodyz00_14576,
									BgL_sz00_14577, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16967);
								return BgL_za2za2resza2za2z00_16970;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3659> */
	obj_t BGl_z62zc3anonymousza33659ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14578, obj_t BgL_sz00_14585)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14579;
				obj_t BgL_iboxesz00_14580;
				long BgL_siza7eza7_14581;
				BgL_ev_absz00_bglt BgL_i1245z00_14582;
				obj_t BgL_bodyz00_14583;
				long BgL_siza7ezd2framez75_14584;

				BgL_ifreesz00_14579 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14578, (int) (((long) 0))));
				BgL_iboxesz00_14580 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14578, (int) (((long) 1))));
				BgL_siza7eza7_14581 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14578, (int) (((long) 2))));
				BgL_i1245z00_14582 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14578, (int) (((long) 3))));
				BgL_bodyz00_14583 = PROCEDURE_REF(BgL_envz00_14578, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14584 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14578, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16971;

					BgL_bpz00_16971 = VECTOR_REF(BgL_sz00_14585, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_16972;

						BgL_valza2za2_16972 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14585,
							BgL_bpz00_16971, BgL_ifreesz00_14579);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_16973;

							BgL_runz00_16973 =
								MAKE_FX_PROCEDURE(BGl_z62run5638z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_16973,
								(int) (((long) 0)), BgL_iboxesz00_14580);
							PROCEDURE_SET(BgL_runz00_16973,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14581));
							PROCEDURE_SET(BgL_runz00_16973,
								(int) (((long) 2)), BgL_valza2za2_16972);
							PROCEDURE_SET(BgL_runz00_16973,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_14582));
							PROCEDURE_SET(BgL_runz00_16973,
								(int) (((long) 4)), BgL_bodyz00_14583);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_16974;

								BgL_mainz00_16974 =
									MAKE_VA_PROCEDURE(BGl_z62main5637z62zz__evaluate_compz00,
									(int) (((long) -3)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_16974,
									(int) (((long) 0)), BgL_iboxesz00_14580);
								PROCEDURE_SET(BgL_mainz00_16974,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14581));
								PROCEDURE_SET(BgL_mainz00_16974,
									(int) (((long) 2)), BgL_valza2za2_16972);
								PROCEDURE_SET(BgL_mainz00_16974,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_14582));
								PROCEDURE_SET(BgL_mainz00_16974,
									(int) (((long) 4)), BgL_bodyz00_14583);
								PROCEDURE_SET(BgL_mainz00_16974,
									(int) (((long) 5)), BgL_runz00_16973);
								PROCEDURE_SET(BgL_mainz00_16974,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14584));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_16975;

									BgL_objz00_16975 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16973, BgL_objz00_16975);
									BgL_objz00_16975;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3660z00_16976;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3662z00_16977;

										BgL_arg3662z00_16977 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14582))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_16978;

											BgL_newz00_16978 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29198;

												BgL_tmpz00_29198 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16978, BgL_tmpz00_29198,
													BgL_arg3662z00_16977);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29203;
												int BgL_tmpz00_29201;

												BgL_auxz00_29203 = BINT(BgL_siza7ezd2framez75_14584);
												BgL_tmpz00_29201 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16978, BgL_tmpz00_29201,
													BgL_auxz00_29203);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29206;

												BgL_tmpz00_29206 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16978, BgL_tmpz00_29206,
													BgL_runz00_16973);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29211;
												int BgL_tmpz00_29209;

												BgL_auxz00_29211 = BINT(((long) -3));
												BgL_tmpz00_29209 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16978, BgL_tmpz00_29209,
													BgL_auxz00_29211);
											}
											BgL_arg3660z00_16976 = BgL_newz00_16978;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16974, BgL_arg3660z00_16976);
									BgL_arg3660z00_16976;
								}
								return BgL_mainz00_16974;
							}
						}
					}
				}
			}
		}
	}



/* &main5637 */
	obj_t BGl_z62main5637z62zz__evaluate_compz00(obj_t BgL_envz00_14586,
		obj_t BgL_cz00_14594, obj_t BgL_dz00_14595, obj_t BgL_lastz00_14596)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14592;
				long BgL_siza7ezd2framez75_14593;

				BgL_runz00_14592 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14586, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14593 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14586, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_16979;

					BgL_sz00_16979 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_16980;

						BgL_bpz00_16980 = VECTOR_REF(BgL_sz00_16979, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_16980) + BgL_siza7ezd2framez75_14593) <
								(long) (VECTOR_LENGTH(BgL_sz00_16979))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3666z00_16981;

									BgL_arg3666z00_16981 =
										((long) CINT(BgL_bpz00_16980) + ((long) 0));
									VECTOR_SET(BgL_sz00_16979,
										(int) (BgL_arg3666z00_16981), BgL_cz00_14594);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3667z00_16982;

									BgL_arg3667z00_16982 =
										((long) CINT(BgL_bpz00_16980) + ((long) 1));
									VECTOR_SET(BgL_sz00_16979,
										(int) (BgL_arg3667z00_16982), BgL_dz00_14595);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3668z00_16983;

									BgL_arg3668z00_16983 =
										((long) CINT(BgL_bpz00_16980) + ((long) 2));
									VECTOR_SET(BgL_sz00_16979,
										(int) (BgL_arg3668z00_16983), BgL_lastz00_14596);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_16984;

									BgL_ez00_16984 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16984,
										BgL_bpz00_16980);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_16985;

										BgL_accz00_16985 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14592, BgL_sz00_16979, BgL_bpz00_16980);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_16984);
										VECTOR_SET(BgL_sz00_16979,
											(int) (((long) 0)), BgL_bpz00_16980);
										return BgL_accz00_16985;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_16986;

								BgL_nsz00_16986 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16986, (int) (((long) 1)), BgL_sz00_16979);
								VECTOR_SET(BgL_nsz00_16986, (int) (((long) 2)), BgL_cz00_14594);
								VECTOR_SET(BgL_nsz00_16986, (int) (((long) 3)), BgL_dz00_14595);
								VECTOR_SET(BgL_nsz00_16986,
									(int) (((long) 4)), BgL_lastz00_14596);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_16987;

									BgL_z12denvz12_16987 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16987, BgL_nsz00_16986);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_16988;

										BgL_ez00_16988 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_16988,
											BgL_sz00_16979);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_16989;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_16990;

												BgL_savedzd2bpzd2_16990 =
													VECTOR_REF(BgL_nsz00_16986, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_16986,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_16992;

													BgL_fz00_16992 = BgL_runz00_14592;
												BgL_recz00_16991:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_16993;

														BgL_rz00_16993 =
															PROCEDURE_ENTRY(BgL_fz00_16992) (BgL_fz00_16992,
															BgL_nsz00_16986, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_29270;

															if (PROCEDUREP(BgL_rz00_16993))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_16994;

																	BgL_arg1674z00_16994 =
																		PROCEDURE_ATTR(BgL_rz00_16993);
																	if (STRUCTP(BgL_arg1674z00_16994))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29270 =
																				(STRUCT_KEY(BgL_arg1674z00_16994) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29270 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_29270 = ((bool_t) 0);
																}
															if (BgL_testz00_29270)
																{
																	obj_t BgL_fz00_29278;

																	BgL_fz00_29278 = BgL_rz00_16993;
																	BgL_fz00_16992 = BgL_fz00_29278;
																	goto BgL_recz00_16991;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_16986,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_16990);
																	BgL_____rz00_16989 = BgL_rz00_16993;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_16988);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16987, BgL_sz00_16979);
											return BgL_____rz00_16989;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5638 */
	obj_t BGl_z62run5638z62zz__evaluate_compz00(obj_t BgL_envz00_14597,
		obj_t BgL_sz00_14603)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14598;
				long BgL_siza7eza7_14599;
				obj_t BgL_valza2za2_14600;
				BgL_ev_absz00_bglt BgL_i1245z00_14601;
				obj_t BgL_bodyz00_14602;

				BgL_iboxesz00_14598 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14597, (int) (((long) 0))));
				BgL_siza7eza7_14599 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14597, (int) (((long) 1))));
				BgL_valza2za2_14600 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14597, (int) (((long) 2))));
				BgL_i1245z00_14601 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14597, (int) (((long) 3))));
				BgL_bodyz00_14602 = PROCEDURE_REF(BgL_envz00_14597, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_16995;

					BgL_bpz00_16995 = VECTOR_REF(BgL_sz00_14603, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14603,
						BgL_iboxesz00_14598, BgL_bpz00_16995);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14603,
						BgL_valza2za2_14600,
						((long) CINT(BgL_bpz00_16995) + BgL_siza7eza7_14599));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_16996;
						obj_t BgL_wherez00_16997;
						obj_t BgL_locz00_16998;

						BgL_z12denvz12_16996 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16997 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14601))->BgL_wherez00);
						BgL_locz00_16998 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14601))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16996, BgL_wherez00_16997,
								BgL_locz00_16998);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_16999;

								BgL_za2za2resza2za2z00_16999 =
									PROCEDURE_ENTRY(BgL_bodyz00_14602) (BgL_bodyz00_14602,
									BgL_sz00_14603, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16996);
								return BgL_za2za2resza2za2z00_16999;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3575> */
	obj_t BGl_z62zc3anonymousza33575ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14604, obj_t BgL_sz00_14608)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14605;
				obj_t BgL_bodyz00_14606;
				long BgL_siza7ezd2framez75_14607;

				BgL_i1245z00_14605 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14604, (int) (((long) 0))));
				BgL_bodyz00_14606 = PROCEDURE_REF(BgL_envz00_14604, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14607 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14604, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17000;

					BgL_bpz00_17000 = VECTOR_REF(BgL_sz00_14608, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17001;

							BgL_runz00_17001 =
								MAKE_FX_PROCEDURE(BGl_z62run5640z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17001,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_14605));
							PROCEDURE_SET(BgL_runz00_17001,
								(int) (((long) 1)), BgL_bodyz00_14606);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17002;

								BgL_mainz00_17002 =
									MAKE_FX_PROCEDURE(BGl_z62main5639z62zz__evaluate_compz00,
									(int) (((long) 2)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17002,
									(int) (((long) 0)), ((obj_t) BgL_i1245z00_14605));
								PROCEDURE_SET(BgL_mainz00_17002,
									(int) (((long) 1)), BgL_bodyz00_14606);
								PROCEDURE_SET(BgL_mainz00_17002,
									(int) (((long) 2)), BgL_runz00_17001);
								PROCEDURE_SET(BgL_mainz00_17002,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14607));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17003;

									BgL_objz00_17003 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17001, BgL_objz00_17003);
									BgL_objz00_17003;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3576z00_17004;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3577z00_17005;

										BgL_arg3577z00_17005 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14605))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17006;

											BgL_newz00_17006 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29347;

												BgL_tmpz00_29347 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17006, BgL_tmpz00_29347,
													BgL_arg3577z00_17005);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29352;
												int BgL_tmpz00_29350;

												BgL_auxz00_29352 = BINT(BgL_siza7ezd2framez75_14607);
												BgL_tmpz00_29350 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17006, BgL_tmpz00_29350,
													BgL_auxz00_29352);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29355;

												BgL_tmpz00_29355 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17006, BgL_tmpz00_29355,
													BgL_runz00_17001);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29360;
												int BgL_tmpz00_29358;

												BgL_auxz00_29360 = BINT(((long) 2));
												BgL_tmpz00_29358 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17006, BgL_tmpz00_29358,
													BgL_auxz00_29360);
											}
											BgL_arg3576z00_17004 = BgL_newz00_17006;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17002, BgL_arg3576z00_17004);
									BgL_arg3576z00_17004;
								}
								return BgL_mainz00_17002;
							}
						}
					}
				}
			}
		}
	}



/* &main5639 */
	obj_t BGl_z62main5639z62zz__evaluate_compz00(obj_t BgL_envz00_14609,
		obj_t BgL_cz00_14614, obj_t BgL_dz00_14615)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14612;
				long BgL_siza7ezd2framez75_14613;

				BgL_runz00_14612 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14609, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14613 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14609, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17007;

					BgL_sz00_17007 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17008;

						BgL_bpz00_17008 = VECTOR_REF(BgL_sz00_17007, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17008) + BgL_siza7ezd2framez75_14613) <
								(long) (VECTOR_LENGTH(BgL_sz00_17007))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3580z00_17009;

									BgL_arg3580z00_17009 =
										((long) CINT(BgL_bpz00_17008) + ((long) 0));
									VECTOR_SET(BgL_sz00_17007,
										(int) (BgL_arg3580z00_17009), BgL_cz00_14614);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3581z00_17010;

									BgL_arg3581z00_17010 =
										((long) CINT(BgL_bpz00_17008) + ((long) 1));
									VECTOR_SET(BgL_sz00_17007,
										(int) (BgL_arg3581z00_17010), BgL_dz00_14615);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17011;

									BgL_ez00_17011 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17011,
										BgL_bpz00_17008);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17012;

										BgL_accz00_17012 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14612, BgL_sz00_17007, BgL_bpz00_17008);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17011);
										VECTOR_SET(BgL_sz00_17007,
											(int) (((long) 0)), BgL_bpz00_17008);
										return BgL_accz00_17012;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17013;

								BgL_nsz00_17013 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17013, (int) (((long) 1)), BgL_sz00_17007);
								VECTOR_SET(BgL_nsz00_17013, (int) (((long) 2)), BgL_cz00_14614);
								VECTOR_SET(BgL_nsz00_17013, (int) (((long) 3)), BgL_dz00_14615);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17014;

									BgL_z12denvz12_17014 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17014, BgL_nsz00_17013);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17015;

										BgL_ez00_17015 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17015,
											BgL_sz00_17007);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17016;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17017;

												BgL_savedzd2bpzd2_17017 =
													VECTOR_REF(BgL_nsz00_17013, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17013,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17019;

													BgL_fz00_17019 = BgL_runz00_14612;
												BgL_recz00_17018:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17020;

														BgL_rz00_17020 =
															PROCEDURE_ENTRY(BgL_fz00_17019) (BgL_fz00_17019,
															BgL_nsz00_17013, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_29413;

															if (PROCEDUREP(BgL_rz00_17020))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17021;

																	BgL_arg1674z00_17021 =
																		PROCEDURE_ATTR(BgL_rz00_17020);
																	if (STRUCTP(BgL_arg1674z00_17021))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29413 =
																				(STRUCT_KEY(BgL_arg1674z00_17021) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29413 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_29413 = ((bool_t) 0);
																}
															if (BgL_testz00_29413)
																{
																	obj_t BgL_fz00_29421;

																	BgL_fz00_29421 = BgL_rz00_17020;
																	BgL_fz00_17019 = BgL_fz00_29421;
																	goto BgL_recz00_17018;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17013,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17017);
																	BgL_____rz00_17016 = BgL_rz00_17020;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17015);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17014, BgL_sz00_17007);
											return BgL_____rz00_17016;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5640 */
	obj_t BGl_z62run5640z62zz__evaluate_compz00(obj_t BgL_envz00_14616,
		obj_t BgL_sz00_14619)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14617;
				obj_t BgL_bodyz00_14618;

				BgL_i1245z00_14617 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14616, (int) (((long) 0))));
				BgL_bodyz00_14618 = PROCEDURE_REF(BgL_envz00_14616, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17022;

					BgL_bpz00_17022 = VECTOR_REF(BgL_sz00_14619, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17023;
						obj_t BgL_wherez00_17024;
						obj_t BgL_locz00_17025;

						BgL_z12denvz12_17023 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17024 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14617))->BgL_wherez00);
						BgL_locz00_17025 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14617))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17023, BgL_wherez00_17024,
								BgL_locz00_17025);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17026;

								BgL_za2za2resza2za2z00_17026 =
									PROCEDURE_ENTRY(BgL_bodyz00_14618) (BgL_bodyz00_14618,
									BgL_sz00_14619, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17023);
								return BgL_za2za2resza2za2z00_17026;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3583> */
	obj_t BGl_z62zc3anonymousza33583ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14620, obj_t BgL_sz00_14625)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14621;
				BgL_ev_absz00_bglt BgL_i1245z00_14622;
				obj_t BgL_bodyz00_14623;
				long BgL_siza7ezd2framez75_14624;

				BgL_iboxesz00_14621 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14620, (int) (((long) 0))));
				BgL_i1245z00_14622 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14620, (int) (((long) 1))));
				BgL_bodyz00_14623 = PROCEDURE_REF(BgL_envz00_14620, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14624 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14620, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17027;

					BgL_bpz00_17027 = VECTOR_REF(BgL_sz00_14625, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17028;

							BgL_runz00_17028 =
								MAKE_FX_PROCEDURE(BGl_z62run5642z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17028,
								(int) (((long) 0)), BgL_iboxesz00_14621);
							PROCEDURE_SET(BgL_runz00_17028,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_14622));
							PROCEDURE_SET(BgL_runz00_17028,
								(int) (((long) 2)), BgL_bodyz00_14623);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17029;

								BgL_mainz00_17029 =
									MAKE_FX_PROCEDURE(BGl_z62main5641z62zz__evaluate_compz00,
									(int) (((long) 2)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17029,
									(int) (((long) 0)), BgL_iboxesz00_14621);
								PROCEDURE_SET(BgL_mainz00_17029,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_14622));
								PROCEDURE_SET(BgL_mainz00_17029,
									(int) (((long) 2)), BgL_bodyz00_14623);
								PROCEDURE_SET(BgL_mainz00_17029,
									(int) (((long) 3)), BgL_runz00_17028);
								PROCEDURE_SET(BgL_mainz00_17029,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14624));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17030;

									BgL_objz00_17030 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17028, BgL_objz00_17030);
									BgL_objz00_17030;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3584z00_17031;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3585z00_17032;

										BgL_arg3585z00_17032 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14622))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17033;

											BgL_newz00_17033 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29484;

												BgL_tmpz00_29484 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17033, BgL_tmpz00_29484,
													BgL_arg3585z00_17032);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29489;
												int BgL_tmpz00_29487;

												BgL_auxz00_29489 = BINT(BgL_siza7ezd2framez75_14624);
												BgL_tmpz00_29487 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17033, BgL_tmpz00_29487,
													BgL_auxz00_29489);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29492;

												BgL_tmpz00_29492 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17033, BgL_tmpz00_29492,
													BgL_runz00_17028);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29497;
												int BgL_tmpz00_29495;

												BgL_auxz00_29497 = BINT(((long) 2));
												BgL_tmpz00_29495 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17033, BgL_tmpz00_29495,
													BgL_auxz00_29497);
											}
											BgL_arg3584z00_17031 = BgL_newz00_17033;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17029, BgL_arg3584z00_17031);
									BgL_arg3584z00_17031;
								}
								return BgL_mainz00_17029;
							}
						}
					}
				}
			}
		}
	}



/* &main5641 */
	obj_t BGl_z62main5641z62zz__evaluate_compz00(obj_t BgL_envz00_14626,
		obj_t BgL_cz00_14632, obj_t BgL_dz00_14633)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14630;
				long BgL_siza7ezd2framez75_14631;

				BgL_runz00_14630 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14626, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14631 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14626, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17034;

					BgL_sz00_17034 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17035;

						BgL_bpz00_17035 = VECTOR_REF(BgL_sz00_17034, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17035) + BgL_siza7ezd2framez75_14631) <
								(long) (VECTOR_LENGTH(BgL_sz00_17034))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3588z00_17036;

									BgL_arg3588z00_17036 =
										((long) CINT(BgL_bpz00_17035) + ((long) 0));
									VECTOR_SET(BgL_sz00_17034,
										(int) (BgL_arg3588z00_17036), BgL_cz00_14632);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3589z00_17037;

									BgL_arg3589z00_17037 =
										((long) CINT(BgL_bpz00_17035) + ((long) 1));
									VECTOR_SET(BgL_sz00_17034,
										(int) (BgL_arg3589z00_17037), BgL_dz00_14633);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17038;

									BgL_ez00_17038 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17038,
										BgL_bpz00_17035);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17039;

										BgL_accz00_17039 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14630, BgL_sz00_17034, BgL_bpz00_17035);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17038);
										VECTOR_SET(BgL_sz00_17034,
											(int) (((long) 0)), BgL_bpz00_17035);
										return BgL_accz00_17039;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17040;

								BgL_nsz00_17040 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17040, (int) (((long) 1)), BgL_sz00_17034);
								VECTOR_SET(BgL_nsz00_17040, (int) (((long) 2)), BgL_cz00_14632);
								VECTOR_SET(BgL_nsz00_17040, (int) (((long) 3)), BgL_dz00_14633);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17041;

									BgL_z12denvz12_17041 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17041, BgL_nsz00_17040);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17042;

										BgL_ez00_17042 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17042,
											BgL_sz00_17034);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17043;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17044;

												BgL_savedzd2bpzd2_17044 =
													VECTOR_REF(BgL_nsz00_17040, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17040,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17046;

													BgL_fz00_17046 = BgL_runz00_14630;
												BgL_recz00_17045:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17047;

														BgL_rz00_17047 =
															PROCEDURE_ENTRY(BgL_fz00_17046) (BgL_fz00_17046,
															BgL_nsz00_17040, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_29550;

															if (PROCEDUREP(BgL_rz00_17047))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17048;

																	BgL_arg1674z00_17048 =
																		PROCEDURE_ATTR(BgL_rz00_17047);
																	if (STRUCTP(BgL_arg1674z00_17048))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29550 =
																				(STRUCT_KEY(BgL_arg1674z00_17048) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29550 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_29550 = ((bool_t) 0);
																}
															if (BgL_testz00_29550)
																{
																	obj_t BgL_fz00_29558;

																	BgL_fz00_29558 = BgL_rz00_17047;
																	BgL_fz00_17046 = BgL_fz00_29558;
																	goto BgL_recz00_17045;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17040,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17044);
																	BgL_____rz00_17043 = BgL_rz00_17047;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17042);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17041, BgL_sz00_17034);
											return BgL_____rz00_17043;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5642 */
	obj_t BGl_z62run5642z62zz__evaluate_compz00(obj_t BgL_envz00_14634,
		obj_t BgL_sz00_14638)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14635;
				BgL_ev_absz00_bglt BgL_i1245z00_14636;
				obj_t BgL_bodyz00_14637;

				BgL_iboxesz00_14635 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14634, (int) (((long) 0))));
				BgL_i1245z00_14636 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14634, (int) (((long) 1))));
				BgL_bodyz00_14637 = PROCEDURE_REF(BgL_envz00_14634, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17049;

					BgL_bpz00_17049 = VECTOR_REF(BgL_sz00_14638, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14638,
						BgL_iboxesz00_14635, BgL_bpz00_17049);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17050;
						obj_t BgL_wherez00_17051;
						obj_t BgL_locz00_17052;

						BgL_z12denvz12_17050 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17051 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14636))->BgL_wherez00);
						BgL_locz00_17052 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14636))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17050, BgL_wherez00_17051,
								BgL_locz00_17052);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17053;

								BgL_za2za2resza2za2z00_17053 =
									PROCEDURE_ENTRY(BgL_bodyz00_14637) (BgL_bodyz00_14637,
									BgL_sz00_14638, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17050);
								return BgL_za2za2resza2za2z00_17053;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3595> */
	obj_t BGl_z62zc3anonymousza33595ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14639, obj_t BgL_sz00_14645)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14640;
				long BgL_siza7eza7_14641;
				BgL_ev_absz00_bglt BgL_i1245z00_14642;
				obj_t BgL_bodyz00_14643;
				long BgL_siza7ezd2framez75_14644;

				BgL_ifreesz00_14640 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14639, (int) (((long) 0))));
				BgL_siza7eza7_14641 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14639, (int) (((long) 1))));
				BgL_i1245z00_14642 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14639, (int) (((long) 2))));
				BgL_bodyz00_14643 = PROCEDURE_REF(BgL_envz00_14639, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14644 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14639, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17054;

					BgL_bpz00_17054 = VECTOR_REF(BgL_sz00_14645, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17055;

						BgL_valza2za2_17055 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14645,
							BgL_bpz00_17054, BgL_ifreesz00_14640);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17056;

							BgL_runz00_17056 =
								MAKE_FX_PROCEDURE(BGl_z62run5644z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17056,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14641));
							PROCEDURE_SET(BgL_runz00_17056,
								(int) (((long) 1)), BgL_valza2za2_17055);
							PROCEDURE_SET(BgL_runz00_17056,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_14642));
							PROCEDURE_SET(BgL_runz00_17056,
								(int) (((long) 3)), BgL_bodyz00_14643);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17057;

								BgL_mainz00_17057 =
									MAKE_FX_PROCEDURE(BGl_z62main5643z62zz__evaluate_compz00,
									(int) (((long) 2)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17057,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14641));
								PROCEDURE_SET(BgL_mainz00_17057,
									(int) (((long) 1)), BgL_valza2za2_17055);
								PROCEDURE_SET(BgL_mainz00_17057,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_14642));
								PROCEDURE_SET(BgL_mainz00_17057,
									(int) (((long) 3)), BgL_bodyz00_14643);
								PROCEDURE_SET(BgL_mainz00_17057,
									(int) (((long) 4)), BgL_runz00_17056);
								PROCEDURE_SET(BgL_mainz00_17057,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14644));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17058;

									BgL_objz00_17058 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17056, BgL_objz00_17058);
									BgL_objz00_17058;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3596z00_17059;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3598z00_17060;

										BgL_arg3598z00_17060 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14642))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17061;

											BgL_newz00_17061 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29635;

												BgL_tmpz00_29635 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17061, BgL_tmpz00_29635,
													BgL_arg3598z00_17060);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29640;
												int BgL_tmpz00_29638;

												BgL_auxz00_29640 = BINT(BgL_siza7ezd2framez75_14644);
												BgL_tmpz00_29638 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17061, BgL_tmpz00_29638,
													BgL_auxz00_29640);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29643;

												BgL_tmpz00_29643 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17061, BgL_tmpz00_29643,
													BgL_runz00_17056);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29648;
												int BgL_tmpz00_29646;

												BgL_auxz00_29648 = BINT(((long) 2));
												BgL_tmpz00_29646 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17061, BgL_tmpz00_29646,
													BgL_auxz00_29648);
											}
											BgL_arg3596z00_17059 = BgL_newz00_17061;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17057, BgL_arg3596z00_17059);
									BgL_arg3596z00_17059;
								}
								return BgL_mainz00_17057;
							}
						}
					}
				}
			}
		}
	}



/* &main5643 */
	obj_t BGl_z62main5643z62zz__evaluate_compz00(obj_t BgL_envz00_14646,
		obj_t BgL_cz00_14653, obj_t BgL_dz00_14654)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14651;
				long BgL_siza7ezd2framez75_14652;

				BgL_runz00_14651 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14646, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14652 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14646, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17062;

					BgL_sz00_17062 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17063;

						BgL_bpz00_17063 = VECTOR_REF(BgL_sz00_17062, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17063) + BgL_siza7ezd2framez75_14652) <
								(long) (VECTOR_LENGTH(BgL_sz00_17062))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3601z00_17064;

									BgL_arg3601z00_17064 =
										((long) CINT(BgL_bpz00_17063) + ((long) 0));
									VECTOR_SET(BgL_sz00_17062,
										(int) (BgL_arg3601z00_17064), BgL_cz00_14653);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3602z00_17065;

									BgL_arg3602z00_17065 =
										((long) CINT(BgL_bpz00_17063) + ((long) 1));
									VECTOR_SET(BgL_sz00_17062,
										(int) (BgL_arg3602z00_17065), BgL_dz00_14654);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17066;

									BgL_ez00_17066 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17066,
										BgL_bpz00_17063);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17067;

										BgL_accz00_17067 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14651, BgL_sz00_17062, BgL_bpz00_17063);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17066);
										VECTOR_SET(BgL_sz00_17062,
											(int) (((long) 0)), BgL_bpz00_17063);
										return BgL_accz00_17067;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17068;

								BgL_nsz00_17068 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17068, (int) (((long) 1)), BgL_sz00_17062);
								VECTOR_SET(BgL_nsz00_17068, (int) (((long) 2)), BgL_cz00_14653);
								VECTOR_SET(BgL_nsz00_17068, (int) (((long) 3)), BgL_dz00_14654);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17069;

									BgL_z12denvz12_17069 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17069, BgL_nsz00_17068);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17070;

										BgL_ez00_17070 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17070,
											BgL_sz00_17062);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17071;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17072;

												BgL_savedzd2bpzd2_17072 =
													VECTOR_REF(BgL_nsz00_17068, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17068,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17074;

													BgL_fz00_17074 = BgL_runz00_14651;
												BgL_recz00_17073:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17075;

														BgL_rz00_17075 =
															PROCEDURE_ENTRY(BgL_fz00_17074) (BgL_fz00_17074,
															BgL_nsz00_17068, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_29701;

															if (PROCEDUREP(BgL_rz00_17075))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17076;

																	BgL_arg1674z00_17076 =
																		PROCEDURE_ATTR(BgL_rz00_17075);
																	if (STRUCTP(BgL_arg1674z00_17076))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29701 =
																				(STRUCT_KEY(BgL_arg1674z00_17076) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29701 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_29701 = ((bool_t) 0);
																}
															if (BgL_testz00_29701)
																{
																	obj_t BgL_fz00_29709;

																	BgL_fz00_29709 = BgL_rz00_17075;
																	BgL_fz00_17074 = BgL_fz00_29709;
																	goto BgL_recz00_17073;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17068,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17072);
																	BgL_____rz00_17071 = BgL_rz00_17075;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17070);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17069, BgL_sz00_17062);
											return BgL_____rz00_17071;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5644 */
	obj_t BGl_z62run5644z62zz__evaluate_compz00(obj_t BgL_envz00_14655,
		obj_t BgL_sz00_14660)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14656;
				obj_t BgL_valza2za2_14657;
				BgL_ev_absz00_bglt BgL_i1245z00_14658;
				obj_t BgL_bodyz00_14659;

				BgL_siza7eza7_14656 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14655, (int) (((long) 0))));
				BgL_valza2za2_14657 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14655, (int) (((long) 1))));
				BgL_i1245z00_14658 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14655, (int) (((long) 2))));
				BgL_bodyz00_14659 = PROCEDURE_REF(BgL_envz00_14655, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17077;

					BgL_bpz00_17077 = VECTOR_REF(BgL_sz00_14660, (int) (((long) 0)));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14660,
						BgL_valza2za2_14657,
						((long) CINT(BgL_bpz00_17077) + BgL_siza7eza7_14656));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17078;
						obj_t BgL_wherez00_17079;
						obj_t BgL_locz00_17080;

						BgL_z12denvz12_17078 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17079 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14658))->BgL_wherez00);
						BgL_locz00_17080 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14658))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17078, BgL_wherez00_17079,
								BgL_locz00_17080);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17081;

								BgL_za2za2resza2za2z00_17081 =
									PROCEDURE_ENTRY(BgL_bodyz00_14659) (BgL_bodyz00_14659,
									BgL_sz00_14660, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17078);
								return BgL_za2za2resza2za2z00_17081;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3606> */
	obj_t BGl_z62zc3anonymousza33606ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14661, obj_t BgL_sz00_14668)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14662;
				obj_t BgL_iboxesz00_14663;
				long BgL_siza7eza7_14664;
				BgL_ev_absz00_bglt BgL_i1245z00_14665;
				obj_t BgL_bodyz00_14666;
				long BgL_siza7ezd2framez75_14667;

				BgL_ifreesz00_14662 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14661, (int) (((long) 0))));
				BgL_iboxesz00_14663 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14661, (int) (((long) 1))));
				BgL_siza7eza7_14664 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14661, (int) (((long) 2))));
				BgL_i1245z00_14665 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14661, (int) (((long) 3))));
				BgL_bodyz00_14666 = PROCEDURE_REF(BgL_envz00_14661, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14667 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14661, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17082;

					BgL_bpz00_17082 = VECTOR_REF(BgL_sz00_14668, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17083;

						BgL_valza2za2_17083 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14668,
							BgL_bpz00_17082, BgL_ifreesz00_14662);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17084;

							BgL_runz00_17084 =
								MAKE_FX_PROCEDURE(BGl_z62run5646z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17084,
								(int) (((long) 0)), BgL_iboxesz00_14663);
							PROCEDURE_SET(BgL_runz00_17084,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14664));
							PROCEDURE_SET(BgL_runz00_17084,
								(int) (((long) 2)), BgL_valza2za2_17083);
							PROCEDURE_SET(BgL_runz00_17084,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_14665));
							PROCEDURE_SET(BgL_runz00_17084,
								(int) (((long) 4)), BgL_bodyz00_14666);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17085;

								BgL_mainz00_17085 =
									MAKE_FX_PROCEDURE(BGl_z62main5645z62zz__evaluate_compz00,
									(int) (((long) 2)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17085,
									(int) (((long) 0)), BgL_iboxesz00_14663);
								PROCEDURE_SET(BgL_mainz00_17085,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14664));
								PROCEDURE_SET(BgL_mainz00_17085,
									(int) (((long) 2)), BgL_valza2za2_17083);
								PROCEDURE_SET(BgL_mainz00_17085,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_14665));
								PROCEDURE_SET(BgL_mainz00_17085,
									(int) (((long) 4)), BgL_bodyz00_14666);
								PROCEDURE_SET(BgL_mainz00_17085,
									(int) (((long) 5)), BgL_runz00_17084);
								PROCEDURE_SET(BgL_mainz00_17085,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14667));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17086;

									BgL_objz00_17086 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17084, BgL_objz00_17086);
									BgL_objz00_17086;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3608z00_17087;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3609z00_17088;

										BgL_arg3609z00_17088 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14665))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17089;

											BgL_newz00_17089 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29798;

												BgL_tmpz00_29798 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17089, BgL_tmpz00_29798,
													BgL_arg3609z00_17088);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29803;
												int BgL_tmpz00_29801;

												BgL_auxz00_29803 = BINT(BgL_siza7ezd2framez75_14667);
												BgL_tmpz00_29801 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17089, BgL_tmpz00_29801,
													BgL_auxz00_29803);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29806;

												BgL_tmpz00_29806 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17089, BgL_tmpz00_29806,
													BgL_runz00_17084);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29811;
												int BgL_tmpz00_29809;

												BgL_auxz00_29811 = BINT(((long) 2));
												BgL_tmpz00_29809 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17089, BgL_tmpz00_29809,
													BgL_auxz00_29811);
											}
											BgL_arg3608z00_17087 = BgL_newz00_17089;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17085, BgL_arg3608z00_17087);
									BgL_arg3608z00_17087;
								}
								return BgL_mainz00_17085;
							}
						}
					}
				}
			}
		}
	}



/* &main5645 */
	obj_t BGl_z62main5645z62zz__evaluate_compz00(obj_t BgL_envz00_14669,
		obj_t BgL_cz00_14677, obj_t BgL_dz00_14678)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14675;
				long BgL_siza7ezd2framez75_14676;

				BgL_runz00_14675 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14669, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14676 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14669, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17090;

					BgL_sz00_17090 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17091;

						BgL_bpz00_17091 = VECTOR_REF(BgL_sz00_17090, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17091) + BgL_siza7ezd2framez75_14676) <
								(long) (VECTOR_LENGTH(BgL_sz00_17090))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3613z00_17092;

									BgL_arg3613z00_17092 =
										((long) CINT(BgL_bpz00_17091) + ((long) 0));
									VECTOR_SET(BgL_sz00_17090,
										(int) (BgL_arg3613z00_17092), BgL_cz00_14677);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3614z00_17093;

									BgL_arg3614z00_17093 =
										((long) CINT(BgL_bpz00_17091) + ((long) 1));
									VECTOR_SET(BgL_sz00_17090,
										(int) (BgL_arg3614z00_17093), BgL_dz00_14678);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17094;

									BgL_ez00_17094 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17094,
										BgL_bpz00_17091);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17095;

										BgL_accz00_17095 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14675, BgL_sz00_17090, BgL_bpz00_17091);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17094);
										VECTOR_SET(BgL_sz00_17090,
											(int) (((long) 0)), BgL_bpz00_17091);
										return BgL_accz00_17095;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17096;

								BgL_nsz00_17096 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17096, (int) (((long) 1)), BgL_sz00_17090);
								VECTOR_SET(BgL_nsz00_17096, (int) (((long) 2)), BgL_cz00_14677);
								VECTOR_SET(BgL_nsz00_17096, (int) (((long) 3)), BgL_dz00_14678);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17097;

									BgL_z12denvz12_17097 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17097, BgL_nsz00_17096);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17098;

										BgL_ez00_17098 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17098,
											BgL_sz00_17090);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17099;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17100;

												BgL_savedzd2bpzd2_17100 =
													VECTOR_REF(BgL_nsz00_17096, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17096,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17102;

													BgL_fz00_17102 = BgL_runz00_14675;
												BgL_recz00_17101:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17103;

														BgL_rz00_17103 =
															PROCEDURE_ENTRY(BgL_fz00_17102) (BgL_fz00_17102,
															BgL_nsz00_17096, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_29864;

															if (PROCEDUREP(BgL_rz00_17103))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17104;

																	BgL_arg1674z00_17104 =
																		PROCEDURE_ATTR(BgL_rz00_17103);
																	if (STRUCTP(BgL_arg1674z00_17104))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29864 =
																				(STRUCT_KEY(BgL_arg1674z00_17104) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_29864 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_29864 = ((bool_t) 0);
																}
															if (BgL_testz00_29864)
																{
																	obj_t BgL_fz00_29872;

																	BgL_fz00_29872 = BgL_rz00_17103;
																	BgL_fz00_17102 = BgL_fz00_29872;
																	goto BgL_recz00_17101;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17096,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17100);
																	BgL_____rz00_17099 = BgL_rz00_17103;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17098);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17097, BgL_sz00_17090);
											return BgL_____rz00_17099;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5646 */
	obj_t BGl_z62run5646z62zz__evaluate_compz00(obj_t BgL_envz00_14679,
		obj_t BgL_sz00_14685)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14680;
				long BgL_siza7eza7_14681;
				obj_t BgL_valza2za2_14682;
				BgL_ev_absz00_bglt BgL_i1245z00_14683;
				obj_t BgL_bodyz00_14684;

				BgL_iboxesz00_14680 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14679, (int) (((long) 0))));
				BgL_siza7eza7_14681 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14679, (int) (((long) 1))));
				BgL_valza2za2_14682 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14679, (int) (((long) 2))));
				BgL_i1245z00_14683 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14679, (int) (((long) 3))));
				BgL_bodyz00_14684 = PROCEDURE_REF(BgL_envz00_14679, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17105;

					BgL_bpz00_17105 = VECTOR_REF(BgL_sz00_14685, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14685,
						BgL_iboxesz00_14680, BgL_bpz00_17105);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14685,
						BgL_valza2za2_14682,
						((long) CINT(BgL_bpz00_17105) + BgL_siza7eza7_14681));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17106;
						obj_t BgL_wherez00_17107;
						obj_t BgL_locz00_17108;

						BgL_z12denvz12_17106 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17107 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14683))->BgL_wherez00);
						BgL_locz00_17108 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14683))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17106, BgL_wherez00_17107,
								BgL_locz00_17108);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17109;

								BgL_za2za2resza2za2z00_17109 =
									PROCEDURE_ENTRY(BgL_bodyz00_14684) (BgL_bodyz00_14684,
									BgL_sz00_14685, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17106);
								return BgL_za2za2resza2za2z00_17109;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3527> */
	obj_t BGl_z62zc3anonymousza33527ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14686, obj_t BgL_sz00_14690)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14687;
				obj_t BgL_bodyz00_14688;
				long BgL_siza7ezd2framez75_14689;

				BgL_i1245z00_14687 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14686, (int) (((long) 0))));
				BgL_bodyz00_14688 = PROCEDURE_REF(BgL_envz00_14686, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14689 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14686, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17110;

					BgL_bpz00_17110 = VECTOR_REF(BgL_sz00_14690, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17111;

							BgL_runz00_17111 =
								MAKE_FX_PROCEDURE(BGl_z62run5648z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17111,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_14687));
							PROCEDURE_SET(BgL_runz00_17111,
								(int) (((long) 1)), BgL_bodyz00_14688);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17112;

								BgL_mainz00_17112 =
									MAKE_VA_PROCEDURE(BGl_z62main5647z62zz__evaluate_compz00,
									(int) (((long) -2)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17112,
									(int) (((long) 0)), ((obj_t) BgL_i1245z00_14687));
								PROCEDURE_SET(BgL_mainz00_17112,
									(int) (((long) 1)), BgL_bodyz00_14688);
								PROCEDURE_SET(BgL_mainz00_17112,
									(int) (((long) 2)), BgL_runz00_17111);
								PROCEDURE_SET(BgL_mainz00_17112,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14689));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17113;

									BgL_objz00_17113 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17111, BgL_objz00_17113);
									BgL_objz00_17113;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3528z00_17114;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3529z00_17115;

										BgL_arg3529z00_17115 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14687))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17116;

											BgL_newz00_17116 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29941;

												BgL_tmpz00_29941 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17116, BgL_tmpz00_29941,
													BgL_arg3529z00_17115);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29946;
												int BgL_tmpz00_29944;

												BgL_auxz00_29946 = BINT(BgL_siza7ezd2framez75_14689);
												BgL_tmpz00_29944 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17116, BgL_tmpz00_29944,
													BgL_auxz00_29946);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_29949;

												BgL_tmpz00_29949 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17116, BgL_tmpz00_29949,
													BgL_runz00_17111);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_29954;
												int BgL_tmpz00_29952;

												BgL_auxz00_29954 = BINT(((long) -2));
												BgL_tmpz00_29952 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17116, BgL_tmpz00_29952,
													BgL_auxz00_29954);
											}
											BgL_arg3528z00_17114 = BgL_newz00_17116;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17112, BgL_arg3528z00_17114);
									BgL_arg3528z00_17114;
								}
								return BgL_mainz00_17112;
							}
						}
					}
				}
			}
		}
	}



/* &main5647 */
	obj_t BGl_z62main5647z62zz__evaluate_compz00(obj_t BgL_envz00_14691,
		obj_t BgL_dz00_14696, obj_t BgL_lastz00_14697)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14694;
				long BgL_siza7ezd2framez75_14695;

				BgL_runz00_14694 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14691, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14695 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14691, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17117;

					BgL_sz00_17117 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17118;

						BgL_bpz00_17118 = VECTOR_REF(BgL_sz00_17117, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17118) + BgL_siza7ezd2framez75_14695) <
								(long) (VECTOR_LENGTH(BgL_sz00_17117))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3532z00_17119;

									BgL_arg3532z00_17119 =
										((long) CINT(BgL_bpz00_17118) + ((long) 0));
									VECTOR_SET(BgL_sz00_17117,
										(int) (BgL_arg3532z00_17119), BgL_dz00_14696);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3534z00_17120;

									BgL_arg3534z00_17120 =
										((long) CINT(BgL_bpz00_17118) + ((long) 1));
									VECTOR_SET(BgL_sz00_17117,
										(int) (BgL_arg3534z00_17120), BgL_lastz00_14697);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17121;

									BgL_ez00_17121 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17121,
										BgL_bpz00_17118);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17122;

										BgL_accz00_17122 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14694, BgL_sz00_17117, BgL_bpz00_17118);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17121);
										VECTOR_SET(BgL_sz00_17117,
											(int) (((long) 0)), BgL_bpz00_17118);
										return BgL_accz00_17122;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17123;

								BgL_nsz00_17123 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17123, (int) (((long) 1)), BgL_sz00_17117);
								VECTOR_SET(BgL_nsz00_17123, (int) (((long) 2)), BgL_dz00_14696);
								VECTOR_SET(BgL_nsz00_17123,
									(int) (((long) 3)), BgL_lastz00_14697);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17124;

									BgL_z12denvz12_17124 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17124, BgL_nsz00_17123);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17125;

										BgL_ez00_17125 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17125,
											BgL_sz00_17117);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17126;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17127;

												BgL_savedzd2bpzd2_17127 =
													VECTOR_REF(BgL_nsz00_17123, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17123,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17129;

													BgL_fz00_17129 = BgL_runz00_14694;
												BgL_recz00_17128:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17130;

														BgL_rz00_17130 =
															PROCEDURE_ENTRY(BgL_fz00_17129) (BgL_fz00_17129,
															BgL_nsz00_17123, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30007;

															if (PROCEDUREP(BgL_rz00_17130))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17131;

																	BgL_arg1674z00_17131 =
																		PROCEDURE_ATTR(BgL_rz00_17130);
																	if (STRUCTP(BgL_arg1674z00_17131))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30007 =
																				(STRUCT_KEY(BgL_arg1674z00_17131) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30007 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30007 = ((bool_t) 0);
																}
															if (BgL_testz00_30007)
																{
																	obj_t BgL_fz00_30015;

																	BgL_fz00_30015 = BgL_rz00_17130;
																	BgL_fz00_17129 = BgL_fz00_30015;
																	goto BgL_recz00_17128;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17123,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17127);
																	BgL_____rz00_17126 = BgL_rz00_17130;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17125);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17124, BgL_sz00_17117);
											return BgL_____rz00_17126;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5648 */
	obj_t BGl_z62run5648z62zz__evaluate_compz00(obj_t BgL_envz00_14698,
		obj_t BgL_sz00_14701)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14699;
				obj_t BgL_bodyz00_14700;

				BgL_i1245z00_14699 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14698, (int) (((long) 0))));
				BgL_bodyz00_14700 = PROCEDURE_REF(BgL_envz00_14698, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17132;

					BgL_bpz00_17132 = VECTOR_REF(BgL_sz00_14701, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17133;
						obj_t BgL_wherez00_17134;
						obj_t BgL_locz00_17135;

						BgL_z12denvz12_17133 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17134 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14699))->BgL_wherez00);
						BgL_locz00_17135 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14699))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17133, BgL_wherez00_17134,
								BgL_locz00_17135);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17136;

								BgL_za2za2resza2za2z00_17136 =
									PROCEDURE_ENTRY(BgL_bodyz00_14700) (BgL_bodyz00_14700,
									BgL_sz00_14701, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17133);
								return BgL_za2za2resza2za2z00_17136;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3536> */
	obj_t BGl_z62zc3anonymousza33536ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14702, obj_t BgL_sz00_14707)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14703;
				BgL_ev_absz00_bglt BgL_i1245z00_14704;
				obj_t BgL_bodyz00_14705;
				long BgL_siza7ezd2framez75_14706;

				BgL_iboxesz00_14703 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14702, (int) (((long) 0))));
				BgL_i1245z00_14704 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14702, (int) (((long) 1))));
				BgL_bodyz00_14705 = PROCEDURE_REF(BgL_envz00_14702, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14706 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14702, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17137;

					BgL_bpz00_17137 = VECTOR_REF(BgL_sz00_14707, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17138;

							BgL_runz00_17138 =
								MAKE_FX_PROCEDURE(BGl_z62run5650z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17138,
								(int) (((long) 0)), BgL_iboxesz00_14703);
							PROCEDURE_SET(BgL_runz00_17138,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_14704));
							PROCEDURE_SET(BgL_runz00_17138,
								(int) (((long) 2)), BgL_bodyz00_14705);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17139;

								BgL_mainz00_17139 =
									MAKE_VA_PROCEDURE(BGl_z62main5649z62zz__evaluate_compz00,
									(int) (((long) -2)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17139,
									(int) (((long) 0)), BgL_iboxesz00_14703);
								PROCEDURE_SET(BgL_mainz00_17139,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_14704));
								PROCEDURE_SET(BgL_mainz00_17139,
									(int) (((long) 2)), BgL_bodyz00_14705);
								PROCEDURE_SET(BgL_mainz00_17139,
									(int) (((long) 3)), BgL_runz00_17138);
								PROCEDURE_SET(BgL_mainz00_17139,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14706));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17140;

									BgL_objz00_17140 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17138, BgL_objz00_17140);
									BgL_objz00_17140;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3537z00_17141;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3538z00_17142;

										BgL_arg3538z00_17142 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14704))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17143;

											BgL_newz00_17143 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30078;

												BgL_tmpz00_30078 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17143, BgL_tmpz00_30078,
													BgL_arg3538z00_17142);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30083;
												int BgL_tmpz00_30081;

												BgL_auxz00_30083 = BINT(BgL_siza7ezd2framez75_14706);
												BgL_tmpz00_30081 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17143, BgL_tmpz00_30081,
													BgL_auxz00_30083);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30086;

												BgL_tmpz00_30086 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17143, BgL_tmpz00_30086,
													BgL_runz00_17138);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30091;
												int BgL_tmpz00_30089;

												BgL_auxz00_30091 = BINT(((long) -2));
												BgL_tmpz00_30089 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17143, BgL_tmpz00_30089,
													BgL_auxz00_30091);
											}
											BgL_arg3537z00_17141 = BgL_newz00_17143;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17139, BgL_arg3537z00_17141);
									BgL_arg3537z00_17141;
								}
								return BgL_mainz00_17139;
							}
						}
					}
				}
			}
		}
	}



/* &main5649 */
	obj_t BGl_z62main5649z62zz__evaluate_compz00(obj_t BgL_envz00_14708,
		obj_t BgL_dz00_14714, obj_t BgL_lastz00_14715)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14712;
				long BgL_siza7ezd2framez75_14713;

				BgL_runz00_14712 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14708, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14713 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14708, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17144;

					BgL_sz00_17144 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17145;

						BgL_bpz00_17145 = VECTOR_REF(BgL_sz00_17144, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17145) + BgL_siza7ezd2framez75_14713) <
								(long) (VECTOR_LENGTH(BgL_sz00_17144))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3542z00_17146;

									BgL_arg3542z00_17146 =
										((long) CINT(BgL_bpz00_17145) + ((long) 0));
									VECTOR_SET(BgL_sz00_17144,
										(int) (BgL_arg3542z00_17146), BgL_dz00_14714);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3543z00_17147;

									BgL_arg3543z00_17147 =
										((long) CINT(BgL_bpz00_17145) + ((long) 1));
									VECTOR_SET(BgL_sz00_17144,
										(int) (BgL_arg3543z00_17147), BgL_lastz00_14715);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17148;

									BgL_ez00_17148 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17148,
										BgL_bpz00_17145);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17149;

										BgL_accz00_17149 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14712, BgL_sz00_17144, BgL_bpz00_17145);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17148);
										VECTOR_SET(BgL_sz00_17144,
											(int) (((long) 0)), BgL_bpz00_17145);
										return BgL_accz00_17149;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17150;

								BgL_nsz00_17150 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17150, (int) (((long) 1)), BgL_sz00_17144);
								VECTOR_SET(BgL_nsz00_17150, (int) (((long) 2)), BgL_dz00_14714);
								VECTOR_SET(BgL_nsz00_17150,
									(int) (((long) 3)), BgL_lastz00_14715);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17151;

									BgL_z12denvz12_17151 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17151, BgL_nsz00_17150);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17152;

										BgL_ez00_17152 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17152,
											BgL_sz00_17144);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17153;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17154;

												BgL_savedzd2bpzd2_17154 =
													VECTOR_REF(BgL_nsz00_17150, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17150,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17156;

													BgL_fz00_17156 = BgL_runz00_14712;
												BgL_recz00_17155:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17157;

														BgL_rz00_17157 =
															PROCEDURE_ENTRY(BgL_fz00_17156) (BgL_fz00_17156,
															BgL_nsz00_17150, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30144;

															if (PROCEDUREP(BgL_rz00_17157))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17158;

																	BgL_arg1674z00_17158 =
																		PROCEDURE_ATTR(BgL_rz00_17157);
																	if (STRUCTP(BgL_arg1674z00_17158))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30144 =
																				(STRUCT_KEY(BgL_arg1674z00_17158) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30144 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30144 = ((bool_t) 0);
																}
															if (BgL_testz00_30144)
																{
																	obj_t BgL_fz00_30152;

																	BgL_fz00_30152 = BgL_rz00_17157;
																	BgL_fz00_17156 = BgL_fz00_30152;
																	goto BgL_recz00_17155;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17150,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17154);
																	BgL_____rz00_17153 = BgL_rz00_17157;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17152);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17151, BgL_sz00_17144);
											return BgL_____rz00_17153;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5650 */
	obj_t BGl_z62run5650z62zz__evaluate_compz00(obj_t BgL_envz00_14716,
		obj_t BgL_sz00_14720)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14717;
				BgL_ev_absz00_bglt BgL_i1245z00_14718;
				obj_t BgL_bodyz00_14719;

				BgL_iboxesz00_14717 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14716, (int) (((long) 0))));
				BgL_i1245z00_14718 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14716, (int) (((long) 1))));
				BgL_bodyz00_14719 = PROCEDURE_REF(BgL_envz00_14716, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17159;

					BgL_bpz00_17159 = VECTOR_REF(BgL_sz00_14720, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14720,
						BgL_iboxesz00_14717, BgL_bpz00_17159);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17160;
						obj_t BgL_wherez00_17161;
						obj_t BgL_locz00_17162;

						BgL_z12denvz12_17160 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17161 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14718))->BgL_wherez00);
						BgL_locz00_17162 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14718))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17160, BgL_wherez00_17161,
								BgL_locz00_17162);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17163;

								BgL_za2za2resza2za2z00_17163 =
									PROCEDURE_ENTRY(BgL_bodyz00_14719) (BgL_bodyz00_14719,
									BgL_sz00_14720, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17160);
								return BgL_za2za2resza2za2z00_17163;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3548> */
	obj_t BGl_z62zc3anonymousza33548ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14721, obj_t BgL_sz00_14727)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14722;
				long BgL_siza7eza7_14723;
				BgL_ev_absz00_bglt BgL_i1245z00_14724;
				obj_t BgL_bodyz00_14725;
				long BgL_siza7ezd2framez75_14726;

				BgL_ifreesz00_14722 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14721, (int) (((long) 0))));
				BgL_siza7eza7_14723 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14721, (int) (((long) 1))));
				BgL_i1245z00_14724 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14721, (int) (((long) 2))));
				BgL_bodyz00_14725 = PROCEDURE_REF(BgL_envz00_14721, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14726 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14721, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17164;

					BgL_bpz00_17164 = VECTOR_REF(BgL_sz00_14727, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17165;

						BgL_valza2za2_17165 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14727,
							BgL_bpz00_17164, BgL_ifreesz00_14722);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17166;

							BgL_runz00_17166 =
								MAKE_FX_PROCEDURE(BGl_z62run5652z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17166,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14723));
							PROCEDURE_SET(BgL_runz00_17166,
								(int) (((long) 1)), BgL_valza2za2_17165);
							PROCEDURE_SET(BgL_runz00_17166,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_14724));
							PROCEDURE_SET(BgL_runz00_17166,
								(int) (((long) 3)), BgL_bodyz00_14725);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17167;

								BgL_mainz00_17167 =
									MAKE_VA_PROCEDURE(BGl_z62main5651z62zz__evaluate_compz00,
									(int) (((long) -2)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17167,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14723));
								PROCEDURE_SET(BgL_mainz00_17167,
									(int) (((long) 1)), BgL_valza2za2_17165);
								PROCEDURE_SET(BgL_mainz00_17167,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_14724));
								PROCEDURE_SET(BgL_mainz00_17167,
									(int) (((long) 3)), BgL_bodyz00_14725);
								PROCEDURE_SET(BgL_mainz00_17167,
									(int) (((long) 4)), BgL_runz00_17166);
								PROCEDURE_SET(BgL_mainz00_17167,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14726));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17168;

									BgL_objz00_17168 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17166, BgL_objz00_17168);
									BgL_objz00_17168;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3550z00_17169;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3551z00_17170;

										BgL_arg3551z00_17170 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14724))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17171;

											BgL_newz00_17171 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30229;

												BgL_tmpz00_30229 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17171, BgL_tmpz00_30229,
													BgL_arg3551z00_17170);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30234;
												int BgL_tmpz00_30232;

												BgL_auxz00_30234 = BINT(BgL_siza7ezd2framez75_14726);
												BgL_tmpz00_30232 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17171, BgL_tmpz00_30232,
													BgL_auxz00_30234);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30237;

												BgL_tmpz00_30237 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17171, BgL_tmpz00_30237,
													BgL_runz00_17166);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30242;
												int BgL_tmpz00_30240;

												BgL_auxz00_30242 = BINT(((long) -2));
												BgL_tmpz00_30240 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17171, BgL_tmpz00_30240,
													BgL_auxz00_30242);
											}
											BgL_arg3550z00_17169 = BgL_newz00_17171;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17167, BgL_arg3550z00_17169);
									BgL_arg3550z00_17169;
								}
								return BgL_mainz00_17167;
							}
						}
					}
				}
			}
		}
	}



/* &main5651 */
	obj_t BGl_z62main5651z62zz__evaluate_compz00(obj_t BgL_envz00_14728,
		obj_t BgL_dz00_14735, obj_t BgL_lastz00_14736)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14733;
				long BgL_siza7ezd2framez75_14734;

				BgL_runz00_14733 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14728, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14734 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14728, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17172;

					BgL_sz00_17172 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17173;

						BgL_bpz00_17173 = VECTOR_REF(BgL_sz00_17172, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17173) + BgL_siza7ezd2framez75_14734) <
								(long) (VECTOR_LENGTH(BgL_sz00_17172))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3554z00_17174;

									BgL_arg3554z00_17174 =
										((long) CINT(BgL_bpz00_17173) + ((long) 0));
									VECTOR_SET(BgL_sz00_17172,
										(int) (BgL_arg3554z00_17174), BgL_dz00_14735);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3555z00_17175;

									BgL_arg3555z00_17175 =
										((long) CINT(BgL_bpz00_17173) + ((long) 1));
									VECTOR_SET(BgL_sz00_17172,
										(int) (BgL_arg3555z00_17175), BgL_lastz00_14736);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17176;

									BgL_ez00_17176 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17176,
										BgL_bpz00_17173);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17177;

										BgL_accz00_17177 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14733, BgL_sz00_17172, BgL_bpz00_17173);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17176);
										VECTOR_SET(BgL_sz00_17172,
											(int) (((long) 0)), BgL_bpz00_17173);
										return BgL_accz00_17177;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17178;

								BgL_nsz00_17178 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17178, (int) (((long) 1)), BgL_sz00_17172);
								VECTOR_SET(BgL_nsz00_17178, (int) (((long) 2)), BgL_dz00_14735);
								VECTOR_SET(BgL_nsz00_17178,
									(int) (((long) 3)), BgL_lastz00_14736);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17179;

									BgL_z12denvz12_17179 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17179, BgL_nsz00_17178);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17180;

										BgL_ez00_17180 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17180,
											BgL_sz00_17172);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17181;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17182;

												BgL_savedzd2bpzd2_17182 =
													VECTOR_REF(BgL_nsz00_17178, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17178,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17184;

													BgL_fz00_17184 = BgL_runz00_14733;
												BgL_recz00_17183:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17185;

														BgL_rz00_17185 =
															PROCEDURE_ENTRY(BgL_fz00_17184) (BgL_fz00_17184,
															BgL_nsz00_17178, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30295;

															if (PROCEDUREP(BgL_rz00_17185))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17186;

																	BgL_arg1674z00_17186 =
																		PROCEDURE_ATTR(BgL_rz00_17185);
																	if (STRUCTP(BgL_arg1674z00_17186))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30295 =
																				(STRUCT_KEY(BgL_arg1674z00_17186) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30295 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30295 = ((bool_t) 0);
																}
															if (BgL_testz00_30295)
																{
																	obj_t BgL_fz00_30303;

																	BgL_fz00_30303 = BgL_rz00_17185;
																	BgL_fz00_17184 = BgL_fz00_30303;
																	goto BgL_recz00_17183;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17178,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17182);
																	BgL_____rz00_17181 = BgL_rz00_17185;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17180);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17179, BgL_sz00_17172);
											return BgL_____rz00_17181;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5652 */
	obj_t BGl_z62run5652z62zz__evaluate_compz00(obj_t BgL_envz00_14737,
		obj_t BgL_sz00_14742)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14738;
				obj_t BgL_valza2za2_14739;
				BgL_ev_absz00_bglt BgL_i1245z00_14740;
				obj_t BgL_bodyz00_14741;

				BgL_siza7eza7_14738 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14737, (int) (((long) 0))));
				BgL_valza2za2_14739 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14737, (int) (((long) 1))));
				BgL_i1245z00_14740 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14737, (int) (((long) 2))));
				BgL_bodyz00_14741 = PROCEDURE_REF(BgL_envz00_14737, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17187;

					BgL_bpz00_17187 = VECTOR_REF(BgL_sz00_14742, (int) (((long) 0)));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14742,
						BgL_valza2za2_14739,
						((long) CINT(BgL_bpz00_17187) + BgL_siza7eza7_14738));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17188;
						obj_t BgL_wherez00_17189;
						obj_t BgL_locz00_17190;

						BgL_z12denvz12_17188 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17189 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14740))->BgL_wherez00);
						BgL_locz00_17190 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14740))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17188, BgL_wherez00_17189,
								BgL_locz00_17190);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17191;

								BgL_za2za2resza2za2z00_17191 =
									PROCEDURE_ENTRY(BgL_bodyz00_14741) (BgL_bodyz00_14741,
									BgL_sz00_14742, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17188);
								return BgL_za2za2resza2za2z00_17191;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3558> */
	obj_t BGl_z62zc3anonymousza33558ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14743, obj_t BgL_sz00_14750)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14744;
				obj_t BgL_iboxesz00_14745;
				long BgL_siza7eza7_14746;
				BgL_ev_absz00_bglt BgL_i1245z00_14747;
				obj_t BgL_bodyz00_14748;
				long BgL_siza7ezd2framez75_14749;

				BgL_ifreesz00_14744 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14743, (int) (((long) 0))));
				BgL_iboxesz00_14745 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14743, (int) (((long) 1))));
				BgL_siza7eza7_14746 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14743, (int) (((long) 2))));
				BgL_i1245z00_14747 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14743, (int) (((long) 3))));
				BgL_bodyz00_14748 = PROCEDURE_REF(BgL_envz00_14743, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14749 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14743, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17192;

					BgL_bpz00_17192 = VECTOR_REF(BgL_sz00_14750, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17193;

						BgL_valza2za2_17193 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14750,
							BgL_bpz00_17192, BgL_ifreesz00_14744);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17194;

							BgL_runz00_17194 =
								MAKE_FX_PROCEDURE(BGl_z62run5654z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17194,
								(int) (((long) 0)), BgL_iboxesz00_14745);
							PROCEDURE_SET(BgL_runz00_17194,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14746));
							PROCEDURE_SET(BgL_runz00_17194,
								(int) (((long) 2)), BgL_valza2za2_17193);
							PROCEDURE_SET(BgL_runz00_17194,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_14747));
							PROCEDURE_SET(BgL_runz00_17194,
								(int) (((long) 4)), BgL_bodyz00_14748);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17195;

								BgL_mainz00_17195 =
									MAKE_VA_PROCEDURE(BGl_z62main5653z62zz__evaluate_compz00,
									(int) (((long) -2)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17195,
									(int) (((long) 0)), BgL_iboxesz00_14745);
								PROCEDURE_SET(BgL_mainz00_17195,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14746));
								PROCEDURE_SET(BgL_mainz00_17195,
									(int) (((long) 2)), BgL_valza2za2_17193);
								PROCEDURE_SET(BgL_mainz00_17195,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_14747));
								PROCEDURE_SET(BgL_mainz00_17195,
									(int) (((long) 4)), BgL_bodyz00_14748);
								PROCEDURE_SET(BgL_mainz00_17195,
									(int) (((long) 5)), BgL_runz00_17194);
								PROCEDURE_SET(BgL_mainz00_17195,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14749));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17196;

									BgL_objz00_17196 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17194, BgL_objz00_17196);
									BgL_objz00_17196;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3560z00_17197;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3561z00_17198;

										BgL_arg3561z00_17198 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14747))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17199;

											BgL_newz00_17199 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30392;

												BgL_tmpz00_30392 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17199, BgL_tmpz00_30392,
													BgL_arg3561z00_17198);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30397;
												int BgL_tmpz00_30395;

												BgL_auxz00_30397 = BINT(BgL_siza7ezd2framez75_14749);
												BgL_tmpz00_30395 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17199, BgL_tmpz00_30395,
													BgL_auxz00_30397);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30400;

												BgL_tmpz00_30400 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17199, BgL_tmpz00_30400,
													BgL_runz00_17194);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30405;
												int BgL_tmpz00_30403;

												BgL_auxz00_30405 = BINT(((long) -2));
												BgL_tmpz00_30403 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17199, BgL_tmpz00_30403,
													BgL_auxz00_30405);
											}
											BgL_arg3560z00_17197 = BgL_newz00_17199;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17195, BgL_arg3560z00_17197);
									BgL_arg3560z00_17197;
								}
								return BgL_mainz00_17195;
							}
						}
					}
				}
			}
		}
	}



/* &main5653 */
	obj_t BGl_z62main5653z62zz__evaluate_compz00(obj_t BgL_envz00_14751,
		obj_t BgL_dz00_14759, obj_t BgL_lastz00_14760)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14757;
				long BgL_siza7ezd2framez75_14758;

				BgL_runz00_14757 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14751, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14758 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14751, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17200;

					BgL_sz00_17200 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17201;

						BgL_bpz00_17201 = VECTOR_REF(BgL_sz00_17200, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17201) + BgL_siza7ezd2framez75_14758) <
								(long) (VECTOR_LENGTH(BgL_sz00_17200))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3564z00_17202;

									BgL_arg3564z00_17202 =
										((long) CINT(BgL_bpz00_17201) + ((long) 0));
									VECTOR_SET(BgL_sz00_17200,
										(int) (BgL_arg3564z00_17202), BgL_dz00_14759);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3565z00_17203;

									BgL_arg3565z00_17203 =
										((long) CINT(BgL_bpz00_17201) + ((long) 1));
									VECTOR_SET(BgL_sz00_17200,
										(int) (BgL_arg3565z00_17203), BgL_lastz00_14760);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17204;

									BgL_ez00_17204 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17204,
										BgL_bpz00_17201);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17205;

										BgL_accz00_17205 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14757, BgL_sz00_17200, BgL_bpz00_17201);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17204);
										VECTOR_SET(BgL_sz00_17200,
											(int) (((long) 0)), BgL_bpz00_17201);
										return BgL_accz00_17205;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17206;

								BgL_nsz00_17206 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17206, (int) (((long) 1)), BgL_sz00_17200);
								VECTOR_SET(BgL_nsz00_17206, (int) (((long) 2)), BgL_dz00_14759);
								VECTOR_SET(BgL_nsz00_17206,
									(int) (((long) 3)), BgL_lastz00_14760);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17207;

									BgL_z12denvz12_17207 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17207, BgL_nsz00_17206);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17208;

										BgL_ez00_17208 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17208,
											BgL_sz00_17200);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17209;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17210;

												BgL_savedzd2bpzd2_17210 =
													VECTOR_REF(BgL_nsz00_17206, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17206,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17212;

													BgL_fz00_17212 = BgL_runz00_14757;
												BgL_recz00_17211:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17213;

														BgL_rz00_17213 =
															PROCEDURE_ENTRY(BgL_fz00_17212) (BgL_fz00_17212,
															BgL_nsz00_17206, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30458;

															if (PROCEDUREP(BgL_rz00_17213))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17214;

																	BgL_arg1674z00_17214 =
																		PROCEDURE_ATTR(BgL_rz00_17213);
																	if (STRUCTP(BgL_arg1674z00_17214))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30458 =
																				(STRUCT_KEY(BgL_arg1674z00_17214) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30458 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30458 = ((bool_t) 0);
																}
															if (BgL_testz00_30458)
																{
																	obj_t BgL_fz00_30466;

																	BgL_fz00_30466 = BgL_rz00_17213;
																	BgL_fz00_17212 = BgL_fz00_30466;
																	goto BgL_recz00_17211;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17206,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17210);
																	BgL_____rz00_17209 = BgL_rz00_17213;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17208);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17207, BgL_sz00_17200);
											return BgL_____rz00_17209;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5654 */
	obj_t BGl_z62run5654z62zz__evaluate_compz00(obj_t BgL_envz00_14761,
		obj_t BgL_sz00_14767)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14762;
				long BgL_siza7eza7_14763;
				obj_t BgL_valza2za2_14764;
				BgL_ev_absz00_bglt BgL_i1245z00_14765;
				obj_t BgL_bodyz00_14766;

				BgL_iboxesz00_14762 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14761, (int) (((long) 0))));
				BgL_siza7eza7_14763 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14761, (int) (((long) 1))));
				BgL_valza2za2_14764 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14761, (int) (((long) 2))));
				BgL_i1245z00_14765 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14761, (int) (((long) 3))));
				BgL_bodyz00_14766 = PROCEDURE_REF(BgL_envz00_14761, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17215;

					BgL_bpz00_17215 = VECTOR_REF(BgL_sz00_14767, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14767,
						BgL_iboxesz00_14762, BgL_bpz00_17215);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14767,
						BgL_valza2za2_14764,
						((long) CINT(BgL_bpz00_17215) + BgL_siza7eza7_14763));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17216;
						obj_t BgL_wherez00_17217;
						obj_t BgL_locz00_17218;

						BgL_z12denvz12_17216 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17217 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14765))->BgL_wherez00);
						BgL_locz00_17218 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14765))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17216, BgL_wherez00_17217,
								BgL_locz00_17218);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17219;

								BgL_za2za2resza2za2z00_17219 =
									PROCEDURE_ENTRY(BgL_bodyz00_14766) (BgL_bodyz00_14766,
									BgL_sz00_14767, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17216);
								return BgL_za2za2resza2za2z00_17219;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3482> */
	obj_t BGl_z62zc3anonymousza33482ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14768, obj_t BgL_sz00_14772)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14769;
				obj_t BgL_bodyz00_14770;
				long BgL_siza7ezd2framez75_14771;

				BgL_i1245z00_14769 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14768, (int) (((long) 0))));
				BgL_bodyz00_14770 = PROCEDURE_REF(BgL_envz00_14768, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14771 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14768, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17220;

					BgL_bpz00_17220 = VECTOR_REF(BgL_sz00_14772, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17221;

							BgL_runz00_17221 =
								MAKE_FX_PROCEDURE(BGl_z62run5656z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17221,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_14769));
							PROCEDURE_SET(BgL_runz00_17221,
								(int) (((long) 1)), BgL_bodyz00_14770);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17222;

								BgL_mainz00_17222 =
									MAKE_FX_PROCEDURE(BGl_z62main5655z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17222,
									(int) (((long) 0)), ((obj_t) BgL_i1245z00_14769));
								PROCEDURE_SET(BgL_mainz00_17222,
									(int) (((long) 1)), BgL_bodyz00_14770);
								PROCEDURE_SET(BgL_mainz00_17222,
									(int) (((long) 2)), BgL_runz00_17221);
								PROCEDURE_SET(BgL_mainz00_17222,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14771));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17223;

									BgL_objz00_17223 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17221, BgL_objz00_17223);
									BgL_objz00_17223;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3483z00_17224;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3485z00_17225;

										BgL_arg3485z00_17225 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14769))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17226;

											BgL_newz00_17226 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30535;

												BgL_tmpz00_30535 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17226, BgL_tmpz00_30535,
													BgL_arg3485z00_17225);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30540;
												int BgL_tmpz00_30538;

												BgL_auxz00_30540 = BINT(BgL_siza7ezd2framez75_14771);
												BgL_tmpz00_30538 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17226, BgL_tmpz00_30538,
													BgL_auxz00_30540);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30543;

												BgL_tmpz00_30543 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17226, BgL_tmpz00_30543,
													BgL_runz00_17221);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30548;
												int BgL_tmpz00_30546;

												BgL_auxz00_30548 = BINT(((long) 1));
												BgL_tmpz00_30546 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17226, BgL_tmpz00_30546,
													BgL_auxz00_30548);
											}
											BgL_arg3483z00_17224 = BgL_newz00_17226;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17222, BgL_arg3483z00_17224);
									BgL_arg3483z00_17224;
								}
								return BgL_mainz00_17222;
							}
						}
					}
				}
			}
		}
	}



/* &main5655 */
	obj_t BGl_z62main5655z62zz__evaluate_compz00(obj_t BgL_envz00_14773,
		obj_t BgL_dz00_14778)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14776;
				long BgL_siza7ezd2framez75_14777;

				BgL_runz00_14776 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14773, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14777 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14773, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17227;

					BgL_sz00_17227 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17228;

						BgL_bpz00_17228 = VECTOR_REF(BgL_sz00_17227, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17228) + BgL_siza7ezd2framez75_14777) <
								(long) (VECTOR_LENGTH(BgL_sz00_17227))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3488z00_17229;

									BgL_arg3488z00_17229 =
										((long) CINT(BgL_bpz00_17228) + ((long) 0));
									VECTOR_SET(BgL_sz00_17227,
										(int) (BgL_arg3488z00_17229), BgL_dz00_14778);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17230;

									BgL_ez00_17230 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17230,
										BgL_bpz00_17228);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17231;

										BgL_accz00_17231 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14776, BgL_sz00_17227, BgL_bpz00_17228);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17230);
										VECTOR_SET(BgL_sz00_17227,
											(int) (((long) 0)), BgL_bpz00_17228);
										return BgL_accz00_17231;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17232;

								BgL_nsz00_17232 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17232, (int) (((long) 1)), BgL_sz00_17227);
								VECTOR_SET(BgL_nsz00_17232, (int) (((long) 2)), BgL_dz00_14778);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17233;

									BgL_z12denvz12_17233 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17233, BgL_nsz00_17232);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17234;

										BgL_ez00_17234 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17234,
											BgL_sz00_17227);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17235;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17236;

												BgL_savedzd2bpzd2_17236 =
													VECTOR_REF(BgL_nsz00_17232, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17232,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17238;

													BgL_fz00_17238 = BgL_runz00_14776;
												BgL_recz00_17237:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17239;

														BgL_rz00_17239 =
															PROCEDURE_ENTRY(BgL_fz00_17238) (BgL_fz00_17238,
															BgL_nsz00_17232, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30595;

															if (PROCEDUREP(BgL_rz00_17239))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17240;

																	BgL_arg1674z00_17240 =
																		PROCEDURE_ATTR(BgL_rz00_17239);
																	if (STRUCTP(BgL_arg1674z00_17240))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30595 =
																				(STRUCT_KEY(BgL_arg1674z00_17240) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30595 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30595 = ((bool_t) 0);
																}
															if (BgL_testz00_30595)
																{
																	obj_t BgL_fz00_30603;

																	BgL_fz00_30603 = BgL_rz00_17239;
																	BgL_fz00_17238 = BgL_fz00_30603;
																	goto BgL_recz00_17237;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17232,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17236);
																	BgL_____rz00_17235 = BgL_rz00_17239;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17234);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17233, BgL_sz00_17227);
											return BgL_____rz00_17235;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5656 */
	obj_t BGl_z62run5656z62zz__evaluate_compz00(obj_t BgL_envz00_14779,
		obj_t BgL_sz00_14782)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14780;
				obj_t BgL_bodyz00_14781;

				BgL_i1245z00_14780 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14779, (int) (((long) 0))));
				BgL_bodyz00_14781 = PROCEDURE_REF(BgL_envz00_14779, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17241;

					BgL_bpz00_17241 = VECTOR_REF(BgL_sz00_14782, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17242;
						obj_t BgL_wherez00_17243;
						obj_t BgL_locz00_17244;

						BgL_z12denvz12_17242 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17243 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14780))->BgL_wherez00);
						BgL_locz00_17244 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14780))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17242, BgL_wherez00_17243,
								BgL_locz00_17244);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17245;

								BgL_za2za2resza2za2z00_17245 =
									PROCEDURE_ENTRY(BgL_bodyz00_14781) (BgL_bodyz00_14781,
									BgL_sz00_14782, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17242);
								return BgL_za2za2resza2za2z00_17245;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3490> */
	obj_t BGl_z62zc3anonymousza33490ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14783, obj_t BgL_sz00_14788)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14784;
				BgL_ev_absz00_bglt BgL_i1245z00_14785;
				obj_t BgL_bodyz00_14786;
				long BgL_siza7ezd2framez75_14787;

				BgL_iboxesz00_14784 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14783, (int) (((long) 0))));
				BgL_i1245z00_14785 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14783, (int) (((long) 1))));
				BgL_bodyz00_14786 = PROCEDURE_REF(BgL_envz00_14783, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14787 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14783, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17246;

					BgL_bpz00_17246 = VECTOR_REF(BgL_sz00_14788, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17247;

							BgL_runz00_17247 =
								MAKE_FX_PROCEDURE(BGl_z62run5658z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17247,
								(int) (((long) 0)), BgL_iboxesz00_14784);
							PROCEDURE_SET(BgL_runz00_17247,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_14785));
							PROCEDURE_SET(BgL_runz00_17247,
								(int) (((long) 2)), BgL_bodyz00_14786);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17248;

								BgL_mainz00_17248 =
									MAKE_FX_PROCEDURE(BGl_z62main5657z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17248,
									(int) (((long) 0)), BgL_iboxesz00_14784);
								PROCEDURE_SET(BgL_mainz00_17248,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_14785));
								PROCEDURE_SET(BgL_mainz00_17248,
									(int) (((long) 2)), BgL_bodyz00_14786);
								PROCEDURE_SET(BgL_mainz00_17248,
									(int) (((long) 3)), BgL_runz00_17247);
								PROCEDURE_SET(BgL_mainz00_17248,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14787));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17249;

									BgL_objz00_17249 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17247, BgL_objz00_17249);
									BgL_objz00_17249;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3491z00_17250;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3493z00_17251;

										BgL_arg3493z00_17251 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14785))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17252;

											BgL_newz00_17252 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30666;

												BgL_tmpz00_30666 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17252, BgL_tmpz00_30666,
													BgL_arg3493z00_17251);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30671;
												int BgL_tmpz00_30669;

												BgL_auxz00_30671 = BINT(BgL_siza7ezd2framez75_14787);
												BgL_tmpz00_30669 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17252, BgL_tmpz00_30669,
													BgL_auxz00_30671);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30674;

												BgL_tmpz00_30674 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17252, BgL_tmpz00_30674,
													BgL_runz00_17247);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30679;
												int BgL_tmpz00_30677;

												BgL_auxz00_30679 = BINT(((long) 1));
												BgL_tmpz00_30677 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17252, BgL_tmpz00_30677,
													BgL_auxz00_30679);
											}
											BgL_arg3491z00_17250 = BgL_newz00_17252;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17248, BgL_arg3491z00_17250);
									BgL_arg3491z00_17250;
								}
								return BgL_mainz00_17248;
							}
						}
					}
				}
			}
		}
	}



/* &main5657 */
	obj_t BGl_z62main5657z62zz__evaluate_compz00(obj_t BgL_envz00_14789,
		obj_t BgL_dz00_14795)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14793;
				long BgL_siza7ezd2framez75_14794;

				BgL_runz00_14793 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14789, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14794 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14789, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17253;

					BgL_sz00_17253 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17254;

						BgL_bpz00_17254 = VECTOR_REF(BgL_sz00_17253, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17254) + BgL_siza7ezd2framez75_14794) <
								(long) (VECTOR_LENGTH(BgL_sz00_17253))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3496z00_17255;

									BgL_arg3496z00_17255 =
										((long) CINT(BgL_bpz00_17254) + ((long) 0));
									VECTOR_SET(BgL_sz00_17253,
										(int) (BgL_arg3496z00_17255), BgL_dz00_14795);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17256;

									BgL_ez00_17256 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17256,
										BgL_bpz00_17254);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17257;

										BgL_accz00_17257 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14793, BgL_sz00_17253, BgL_bpz00_17254);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17256);
										VECTOR_SET(BgL_sz00_17253,
											(int) (((long) 0)), BgL_bpz00_17254);
										return BgL_accz00_17257;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17258;

								BgL_nsz00_17258 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17258, (int) (((long) 1)), BgL_sz00_17253);
								VECTOR_SET(BgL_nsz00_17258, (int) (((long) 2)), BgL_dz00_14795);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17259;

									BgL_z12denvz12_17259 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17259, BgL_nsz00_17258);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17260;

										BgL_ez00_17260 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17260,
											BgL_sz00_17253);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17261;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17262;

												BgL_savedzd2bpzd2_17262 =
													VECTOR_REF(BgL_nsz00_17258, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17258,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17264;

													BgL_fz00_17264 = BgL_runz00_14793;
												BgL_recz00_17263:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17265;

														BgL_rz00_17265 =
															PROCEDURE_ENTRY(BgL_fz00_17264) (BgL_fz00_17264,
															BgL_nsz00_17258, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30726;

															if (PROCEDUREP(BgL_rz00_17265))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17266;

																	BgL_arg1674z00_17266 =
																		PROCEDURE_ATTR(BgL_rz00_17265);
																	if (STRUCTP(BgL_arg1674z00_17266))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30726 =
																				(STRUCT_KEY(BgL_arg1674z00_17266) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30726 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30726 = ((bool_t) 0);
																}
															if (BgL_testz00_30726)
																{
																	obj_t BgL_fz00_30734;

																	BgL_fz00_30734 = BgL_rz00_17265;
																	BgL_fz00_17264 = BgL_fz00_30734;
																	goto BgL_recz00_17263;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17258,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17262);
																	BgL_____rz00_17261 = BgL_rz00_17265;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17260);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17259, BgL_sz00_17253);
											return BgL_____rz00_17261;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5658 */
	obj_t BGl_z62run5658z62zz__evaluate_compz00(obj_t BgL_envz00_14796,
		obj_t BgL_sz00_14800)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14797;
				BgL_ev_absz00_bglt BgL_i1245z00_14798;
				obj_t BgL_bodyz00_14799;

				BgL_iboxesz00_14797 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14796, (int) (((long) 0))));
				BgL_i1245z00_14798 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14796, (int) (((long) 1))));
				BgL_bodyz00_14799 = PROCEDURE_REF(BgL_envz00_14796, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17267;

					BgL_bpz00_17267 = VECTOR_REF(BgL_sz00_14800, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14800,
						BgL_iboxesz00_14797, BgL_bpz00_17267);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17268;
						obj_t BgL_wherez00_17269;
						obj_t BgL_locz00_17270;

						BgL_z12denvz12_17268 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17269 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14798))->BgL_wherez00);
						BgL_locz00_17270 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14798))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17268, BgL_wherez00_17269,
								BgL_locz00_17270);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17271;

								BgL_za2za2resza2za2z00_17271 =
									PROCEDURE_ENTRY(BgL_bodyz00_14799) (BgL_bodyz00_14799,
									BgL_sz00_14800, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17268);
								return BgL_za2za2resza2za2z00_17271;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3501> */
	obj_t BGl_z62zc3anonymousza33501ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14801, obj_t BgL_sz00_14807)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14802;
				long BgL_siza7eza7_14803;
				BgL_ev_absz00_bglt BgL_i1245z00_14804;
				obj_t BgL_bodyz00_14805;
				long BgL_siza7ezd2framez75_14806;

				BgL_ifreesz00_14802 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14801, (int) (((long) 0))));
				BgL_siza7eza7_14803 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14801, (int) (((long) 1))));
				BgL_i1245z00_14804 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14801, (int) (((long) 2))));
				BgL_bodyz00_14805 = PROCEDURE_REF(BgL_envz00_14801, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14806 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14801, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17272;

					BgL_bpz00_17272 = VECTOR_REF(BgL_sz00_14807, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17273;

						BgL_valza2za2_17273 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14807,
							BgL_bpz00_17272, BgL_ifreesz00_14802);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17274;

							BgL_runz00_17274 =
								MAKE_FX_PROCEDURE(BGl_z62run5660z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17274,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14803));
							PROCEDURE_SET(BgL_runz00_17274,
								(int) (((long) 1)), BgL_valza2za2_17273);
							PROCEDURE_SET(BgL_runz00_17274,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_14804));
							PROCEDURE_SET(BgL_runz00_17274,
								(int) (((long) 3)), BgL_bodyz00_14805);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17275;

								BgL_mainz00_17275 =
									MAKE_FX_PROCEDURE(BGl_z62main5659z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17275,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14803));
								PROCEDURE_SET(BgL_mainz00_17275,
									(int) (((long) 1)), BgL_valza2za2_17273);
								PROCEDURE_SET(BgL_mainz00_17275,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_14804));
								PROCEDURE_SET(BgL_mainz00_17275,
									(int) (((long) 3)), BgL_bodyz00_14805);
								PROCEDURE_SET(BgL_mainz00_17275,
									(int) (((long) 4)), BgL_runz00_17274);
								PROCEDURE_SET(BgL_mainz00_17275,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14806));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17276;

									BgL_objz00_17276 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17274, BgL_objz00_17276);
									BgL_objz00_17276;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3502z00_17277;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3503z00_17278;

										BgL_arg3503z00_17278 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14804))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17279;

											BgL_newz00_17279 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30811;

												BgL_tmpz00_30811 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17279, BgL_tmpz00_30811,
													BgL_arg3503z00_17278);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30816;
												int BgL_tmpz00_30814;

												BgL_auxz00_30816 = BINT(BgL_siza7ezd2framez75_14806);
												BgL_tmpz00_30814 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17279, BgL_tmpz00_30814,
													BgL_auxz00_30816);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30819;

												BgL_tmpz00_30819 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17279, BgL_tmpz00_30819,
													BgL_runz00_17274);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30824;
												int BgL_tmpz00_30822;

												BgL_auxz00_30824 = BINT(((long) 1));
												BgL_tmpz00_30822 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17279, BgL_tmpz00_30822,
													BgL_auxz00_30824);
											}
											BgL_arg3502z00_17277 = BgL_newz00_17279;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17275, BgL_arg3502z00_17277);
									BgL_arg3502z00_17277;
								}
								return BgL_mainz00_17275;
							}
						}
					}
				}
			}
		}
	}



/* &main5659 */
	obj_t BGl_z62main5659z62zz__evaluate_compz00(obj_t BgL_envz00_14808,
		obj_t BgL_dz00_14815)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14813;
				long BgL_siza7ezd2framez75_14814;

				BgL_runz00_14813 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14808, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14814 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14808, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17280;

					BgL_sz00_17280 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17281;

						BgL_bpz00_17281 = VECTOR_REF(BgL_sz00_17280, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17281) + BgL_siza7ezd2framez75_14814) <
								(long) (VECTOR_LENGTH(BgL_sz00_17280))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3506z00_17282;

									BgL_arg3506z00_17282 =
										((long) CINT(BgL_bpz00_17281) + ((long) 0));
									VECTOR_SET(BgL_sz00_17280,
										(int) (BgL_arg3506z00_17282), BgL_dz00_14815);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17283;

									BgL_ez00_17283 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17283,
										BgL_bpz00_17281);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17284;

										BgL_accz00_17284 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14813, BgL_sz00_17280, BgL_bpz00_17281);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17283);
										VECTOR_SET(BgL_sz00_17280,
											(int) (((long) 0)), BgL_bpz00_17281);
										return BgL_accz00_17284;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17285;

								BgL_nsz00_17285 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17285, (int) (((long) 1)), BgL_sz00_17280);
								VECTOR_SET(BgL_nsz00_17285, (int) (((long) 2)), BgL_dz00_14815);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17286;

									BgL_z12denvz12_17286 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17286, BgL_nsz00_17285);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17287;

										BgL_ez00_17287 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17287,
											BgL_sz00_17280);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17288;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17289;

												BgL_savedzd2bpzd2_17289 =
													VECTOR_REF(BgL_nsz00_17285, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17285,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17291;

													BgL_fz00_17291 = BgL_runz00_14813;
												BgL_recz00_17290:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17292;

														BgL_rz00_17292 =
															PROCEDURE_ENTRY(BgL_fz00_17291) (BgL_fz00_17291,
															BgL_nsz00_17285, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_30871;

															if (PROCEDUREP(BgL_rz00_17292))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17293;

																	BgL_arg1674z00_17293 =
																		PROCEDURE_ATTR(BgL_rz00_17292);
																	if (STRUCTP(BgL_arg1674z00_17293))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30871 =
																				(STRUCT_KEY(BgL_arg1674z00_17293) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_30871 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_30871 = ((bool_t) 0);
																}
															if (BgL_testz00_30871)
																{
																	obj_t BgL_fz00_30879;

																	BgL_fz00_30879 = BgL_rz00_17292;
																	BgL_fz00_17291 = BgL_fz00_30879;
																	goto BgL_recz00_17290;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17285,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17289);
																	BgL_____rz00_17288 = BgL_rz00_17292;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17287);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17286, BgL_sz00_17280);
											return BgL_____rz00_17288;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5660 */
	obj_t BGl_z62run5660z62zz__evaluate_compz00(obj_t BgL_envz00_14816,
		obj_t BgL_sz00_14821)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14817;
				obj_t BgL_valza2za2_14818;
				BgL_ev_absz00_bglt BgL_i1245z00_14819;
				obj_t BgL_bodyz00_14820;

				BgL_siza7eza7_14817 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14816, (int) (((long) 0))));
				BgL_valza2za2_14818 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14816, (int) (((long) 1))));
				BgL_i1245z00_14819 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14816, (int) (((long) 2))));
				BgL_bodyz00_14820 = PROCEDURE_REF(BgL_envz00_14816, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17294;

					BgL_bpz00_17294 = VECTOR_REF(BgL_sz00_14821, (int) (((long) 0)));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14821,
						BgL_valza2za2_14818,
						((long) CINT(BgL_bpz00_17294) + BgL_siza7eza7_14817));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17295;
						obj_t BgL_wherez00_17296;
						obj_t BgL_locz00_17297;

						BgL_z12denvz12_17295 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17296 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14819))->BgL_wherez00);
						BgL_locz00_17297 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14819))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17295, BgL_wherez00_17296,
								BgL_locz00_17297);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17298;

								BgL_za2za2resza2za2z00_17298 =
									PROCEDURE_ENTRY(BgL_bodyz00_14820) (BgL_bodyz00_14820,
									BgL_sz00_14821, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17295);
								return BgL_za2za2resza2za2z00_17298;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3510> */
	obj_t BGl_z62zc3anonymousza33510ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14822, obj_t BgL_sz00_14829)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14823;
				obj_t BgL_iboxesz00_14824;
				long BgL_siza7eza7_14825;
				BgL_ev_absz00_bglt BgL_i1245z00_14826;
				obj_t BgL_bodyz00_14827;
				long BgL_siza7ezd2framez75_14828;

				BgL_ifreesz00_14823 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14822, (int) (((long) 0))));
				BgL_iboxesz00_14824 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14822, (int) (((long) 1))));
				BgL_siza7eza7_14825 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14822, (int) (((long) 2))));
				BgL_i1245z00_14826 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14822, (int) (((long) 3))));
				BgL_bodyz00_14827 = PROCEDURE_REF(BgL_envz00_14822, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14828 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14822, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17299;

					BgL_bpz00_17299 = VECTOR_REF(BgL_sz00_14829, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17300;

						BgL_valza2za2_17300 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14829,
							BgL_bpz00_17299, BgL_ifreesz00_14823);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17301;

							BgL_runz00_17301 =
								MAKE_FX_PROCEDURE(BGl_z62run5662z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17301,
								(int) (((long) 0)), BgL_iboxesz00_14824);
							PROCEDURE_SET(BgL_runz00_17301,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14825));
							PROCEDURE_SET(BgL_runz00_17301,
								(int) (((long) 2)), BgL_valza2za2_17300);
							PROCEDURE_SET(BgL_runz00_17301,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_14826));
							PROCEDURE_SET(BgL_runz00_17301,
								(int) (((long) 4)), BgL_bodyz00_14827);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17302;

								BgL_mainz00_17302 =
									MAKE_FX_PROCEDURE(BGl_z62main5661z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17302,
									(int) (((long) 0)), BgL_iboxesz00_14824);
								PROCEDURE_SET(BgL_mainz00_17302,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14825));
								PROCEDURE_SET(BgL_mainz00_17302,
									(int) (((long) 2)), BgL_valza2za2_17300);
								PROCEDURE_SET(BgL_mainz00_17302,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_14826));
								PROCEDURE_SET(BgL_mainz00_17302,
									(int) (((long) 4)), BgL_bodyz00_14827);
								PROCEDURE_SET(BgL_mainz00_17302,
									(int) (((long) 5)), BgL_runz00_17301);
								PROCEDURE_SET(BgL_mainz00_17302,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14828));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17303;

									BgL_objz00_17303 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17301, BgL_objz00_17303);
									BgL_objz00_17303;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3512z00_17304;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3513z00_17305;

										BgL_arg3513z00_17305 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14826))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17306;

											BgL_newz00_17306 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30968;

												BgL_tmpz00_30968 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17306, BgL_tmpz00_30968,
													BgL_arg3513z00_17305);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30973;
												int BgL_tmpz00_30971;

												BgL_auxz00_30973 = BINT(BgL_siza7ezd2framez75_14828);
												BgL_tmpz00_30971 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17306, BgL_tmpz00_30971,
													BgL_auxz00_30973);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_30976;

												BgL_tmpz00_30976 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17306, BgL_tmpz00_30976,
													BgL_runz00_17301);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_30981;
												int BgL_tmpz00_30979;

												BgL_auxz00_30981 = BINT(((long) 1));
												BgL_tmpz00_30979 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17306, BgL_tmpz00_30979,
													BgL_auxz00_30981);
											}
											BgL_arg3512z00_17304 = BgL_newz00_17306;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17302, BgL_arg3512z00_17304);
									BgL_arg3512z00_17304;
								}
								return BgL_mainz00_17302;
							}
						}
					}
				}
			}
		}
	}



/* &main5661 */
	obj_t BGl_z62main5661z62zz__evaluate_compz00(obj_t BgL_envz00_14830,
		obj_t BgL_dz00_14838)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14836;
				long BgL_siza7ezd2framez75_14837;

				BgL_runz00_14836 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14830, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14837 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14830, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17307;

					BgL_sz00_17307 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17308;

						BgL_bpz00_17308 = VECTOR_REF(BgL_sz00_17307, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17308) + BgL_siza7ezd2framez75_14837) <
								(long) (VECTOR_LENGTH(BgL_sz00_17307))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3516z00_17309;

									BgL_arg3516z00_17309 =
										((long) CINT(BgL_bpz00_17308) + ((long) 0));
									VECTOR_SET(BgL_sz00_17307,
										(int) (BgL_arg3516z00_17309), BgL_dz00_14838);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17310;

									BgL_ez00_17310 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17310,
										BgL_bpz00_17308);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17311;

										BgL_accz00_17311 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14836, BgL_sz00_17307, BgL_bpz00_17308);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17310);
										VECTOR_SET(BgL_sz00_17307,
											(int) (((long) 0)), BgL_bpz00_17308);
										return BgL_accz00_17311;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17312;

								BgL_nsz00_17312 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17312, (int) (((long) 1)), BgL_sz00_17307);
								VECTOR_SET(BgL_nsz00_17312, (int) (((long) 2)), BgL_dz00_14838);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17313;

									BgL_z12denvz12_17313 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17313, BgL_nsz00_17312);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17314;

										BgL_ez00_17314 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17314,
											BgL_sz00_17307);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17315;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17316;

												BgL_savedzd2bpzd2_17316 =
													VECTOR_REF(BgL_nsz00_17312, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17312,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17318;

													BgL_fz00_17318 = BgL_runz00_14836;
												BgL_recz00_17317:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17319;

														BgL_rz00_17319 =
															PROCEDURE_ENTRY(BgL_fz00_17318) (BgL_fz00_17318,
															BgL_nsz00_17312, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31028;

															if (PROCEDUREP(BgL_rz00_17319))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17320;

																	BgL_arg1674z00_17320 =
																		PROCEDURE_ATTR(BgL_rz00_17319);
																	if (STRUCTP(BgL_arg1674z00_17320))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31028 =
																				(STRUCT_KEY(BgL_arg1674z00_17320) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31028 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31028 = ((bool_t) 0);
																}
															if (BgL_testz00_31028)
																{
																	obj_t BgL_fz00_31036;

																	BgL_fz00_31036 = BgL_rz00_17319;
																	BgL_fz00_17318 = BgL_fz00_31036;
																	goto BgL_recz00_17317;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17312,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17316);
																	BgL_____rz00_17315 = BgL_rz00_17319;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17314);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17313, BgL_sz00_17307);
											return BgL_____rz00_17315;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5662 */
	obj_t BGl_z62run5662z62zz__evaluate_compz00(obj_t BgL_envz00_14839,
		obj_t BgL_sz00_14845)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14840;
				long BgL_siza7eza7_14841;
				obj_t BgL_valza2za2_14842;
				BgL_ev_absz00_bglt BgL_i1245z00_14843;
				obj_t BgL_bodyz00_14844;

				BgL_iboxesz00_14840 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14839, (int) (((long) 0))));
				BgL_siza7eza7_14841 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14839, (int) (((long) 1))));
				BgL_valza2za2_14842 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14839, (int) (((long) 2))));
				BgL_i1245z00_14843 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14839, (int) (((long) 3))));
				BgL_bodyz00_14844 = PROCEDURE_REF(BgL_envz00_14839, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17321;

					BgL_bpz00_17321 = VECTOR_REF(BgL_sz00_14845, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14845,
						BgL_iboxesz00_14840, BgL_bpz00_17321);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14845,
						BgL_valza2za2_14842,
						((long) CINT(BgL_bpz00_17321) + BgL_siza7eza7_14841));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17322;
						obj_t BgL_wherez00_17323;
						obj_t BgL_locz00_17324;

						BgL_z12denvz12_17322 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17323 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14843))->BgL_wherez00);
						BgL_locz00_17324 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14843))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17322, BgL_wherez00_17323,
								BgL_locz00_17324);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17325;

								BgL_za2za2resza2za2z00_17325 =
									PROCEDURE_ENTRY(BgL_bodyz00_14844) (BgL_bodyz00_14844,
									BgL_sz00_14845, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17322);
								return BgL_za2za2resza2za2z00_17325;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3439> */
	obj_t BGl_z62zc3anonymousza33439ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14846, obj_t BgL_sz00_14850)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14847;
				obj_t BgL_bodyz00_14848;
				long BgL_siza7ezd2framez75_14849;

				BgL_i1245z00_14847 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14846, (int) (((long) 0))));
				BgL_bodyz00_14848 = PROCEDURE_REF(BgL_envz00_14846, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14849 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14846, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17326;

					BgL_bpz00_17326 = VECTOR_REF(BgL_sz00_14850, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17327;

							BgL_runz00_17327 =
								MAKE_FX_PROCEDURE(BGl_z62run5664z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17327,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_14847));
							PROCEDURE_SET(BgL_runz00_17327,
								(int) (((long) 1)), BgL_bodyz00_14848);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17328;

								BgL_mainz00_17328 =
									MAKE_VA_PROCEDURE(BGl_z62main5663z62zz__evaluate_compz00,
									(int) (((long) -1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17328,
									(int) (((long) 0)), ((obj_t) BgL_i1245z00_14847));
								PROCEDURE_SET(BgL_mainz00_17328,
									(int) (((long) 1)), BgL_bodyz00_14848);
								PROCEDURE_SET(BgL_mainz00_17328,
									(int) (((long) 2)), BgL_runz00_17327);
								PROCEDURE_SET(BgL_mainz00_17328,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14849));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17329;

									BgL_objz00_17329 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17327, BgL_objz00_17329);
									BgL_objz00_17329;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3441z00_17330;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3442z00_17331;

										BgL_arg3442z00_17331 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14847))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17332;

											BgL_newz00_17332 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31105;

												BgL_tmpz00_31105 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17332, BgL_tmpz00_31105,
													BgL_arg3442z00_17331);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31110;
												int BgL_tmpz00_31108;

												BgL_auxz00_31110 = BINT(BgL_siza7ezd2framez75_14849);
												BgL_tmpz00_31108 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17332, BgL_tmpz00_31108,
													BgL_auxz00_31110);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31113;

												BgL_tmpz00_31113 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17332, BgL_tmpz00_31113,
													BgL_runz00_17327);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31118;
												int BgL_tmpz00_31116;

												BgL_auxz00_31118 = BINT(((long) -1));
												BgL_tmpz00_31116 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17332, BgL_tmpz00_31116,
													BgL_auxz00_31118);
											}
											BgL_arg3441z00_17330 = BgL_newz00_17332;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17328, BgL_arg3441z00_17330);
									BgL_arg3441z00_17330;
								}
								return BgL_mainz00_17328;
							}
						}
					}
				}
			}
		}
	}



/* &main5663 */
	obj_t BGl_z62main5663z62zz__evaluate_compz00(obj_t BgL_envz00_14851,
		obj_t BgL_lastz00_14856)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14854;
				long BgL_siza7ezd2framez75_14855;

				BgL_runz00_14854 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14851, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14855 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14851, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17333;

					BgL_sz00_17333 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17334;

						BgL_bpz00_17334 = VECTOR_REF(BgL_sz00_17333, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17334) + BgL_siza7ezd2framez75_14855) <
								(long) (VECTOR_LENGTH(BgL_sz00_17333))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3445z00_17335;

									BgL_arg3445z00_17335 =
										((long) CINT(BgL_bpz00_17334) + ((long) 0));
									VECTOR_SET(BgL_sz00_17333,
										(int) (BgL_arg3445z00_17335), BgL_lastz00_14856);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17336;

									BgL_ez00_17336 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17336,
										BgL_bpz00_17334);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17337;

										BgL_accz00_17337 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14854, BgL_sz00_17333, BgL_bpz00_17334);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17336);
										VECTOR_SET(BgL_sz00_17333,
											(int) (((long) 0)), BgL_bpz00_17334);
										return BgL_accz00_17337;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17338;

								BgL_nsz00_17338 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17338, (int) (((long) 1)), BgL_sz00_17333);
								VECTOR_SET(BgL_nsz00_17338,
									(int) (((long) 2)), BgL_lastz00_14856);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17339;

									BgL_z12denvz12_17339 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17339, BgL_nsz00_17338);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17340;

										BgL_ez00_17340 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17340,
											BgL_sz00_17333);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17341;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17342;

												BgL_savedzd2bpzd2_17342 =
													VECTOR_REF(BgL_nsz00_17338, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17338,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17344;

													BgL_fz00_17344 = BgL_runz00_14854;
												BgL_recz00_17343:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17345;

														BgL_rz00_17345 =
															PROCEDURE_ENTRY(BgL_fz00_17344) (BgL_fz00_17344,
															BgL_nsz00_17338, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31165;

															if (PROCEDUREP(BgL_rz00_17345))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17346;

																	BgL_arg1674z00_17346 =
																		PROCEDURE_ATTR(BgL_rz00_17345);
																	if (STRUCTP(BgL_arg1674z00_17346))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31165 =
																				(STRUCT_KEY(BgL_arg1674z00_17346) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31165 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31165 = ((bool_t) 0);
																}
															if (BgL_testz00_31165)
																{
																	obj_t BgL_fz00_31173;

																	BgL_fz00_31173 = BgL_rz00_17345;
																	BgL_fz00_17344 = BgL_fz00_31173;
																	goto BgL_recz00_17343;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17338,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17342);
																	BgL_____rz00_17341 = BgL_rz00_17345;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17340);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17339, BgL_sz00_17333);
											return BgL_____rz00_17341;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5664 */
	obj_t BGl_z62run5664z62zz__evaluate_compz00(obj_t BgL_envz00_14857,
		obj_t BgL_sz00_14860)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14858;
				obj_t BgL_bodyz00_14859;

				BgL_i1245z00_14858 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14857, (int) (((long) 0))));
				BgL_bodyz00_14859 = PROCEDURE_REF(BgL_envz00_14857, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17347;

					BgL_bpz00_17347 = VECTOR_REF(BgL_sz00_14860, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17348;
						obj_t BgL_wherez00_17349;
						obj_t BgL_locz00_17350;

						BgL_z12denvz12_17348 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17349 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14858))->BgL_wherez00);
						BgL_locz00_17350 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14858))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17348, BgL_wherez00_17349,
								BgL_locz00_17350);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17351;

								BgL_za2za2resza2za2z00_17351 =
									PROCEDURE_ENTRY(BgL_bodyz00_14859) (BgL_bodyz00_14859,
									BgL_sz00_14860, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17348);
								return BgL_za2za2resza2za2z00_17351;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3447> */
	obj_t BGl_z62zc3anonymousza33447ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14861, obj_t BgL_sz00_14866)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14862;
				BgL_ev_absz00_bglt BgL_i1245z00_14863;
				obj_t BgL_bodyz00_14864;
				long BgL_siza7ezd2framez75_14865;

				BgL_iboxesz00_14862 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14861, (int) (((long) 0))));
				BgL_i1245z00_14863 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14861, (int) (((long) 1))));
				BgL_bodyz00_14864 = PROCEDURE_REF(BgL_envz00_14861, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14865 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14861, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17352;

					BgL_bpz00_17352 = VECTOR_REF(BgL_sz00_14866, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17353;

							BgL_runz00_17353 =
								MAKE_FX_PROCEDURE(BGl_z62run5666z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17353,
								(int) (((long) 0)), BgL_iboxesz00_14862);
							PROCEDURE_SET(BgL_runz00_17353,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_14863));
							PROCEDURE_SET(BgL_runz00_17353,
								(int) (((long) 2)), BgL_bodyz00_14864);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17354;

								BgL_mainz00_17354 =
									MAKE_VA_PROCEDURE(BGl_z62main5665z62zz__evaluate_compz00,
									(int) (((long) -1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17354,
									(int) (((long) 0)), BgL_iboxesz00_14862);
								PROCEDURE_SET(BgL_mainz00_17354,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_14863));
								PROCEDURE_SET(BgL_mainz00_17354,
									(int) (((long) 2)), BgL_bodyz00_14864);
								PROCEDURE_SET(BgL_mainz00_17354,
									(int) (((long) 3)), BgL_runz00_17353);
								PROCEDURE_SET(BgL_mainz00_17354,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14865));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17355;

									BgL_objz00_17355 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17353, BgL_objz00_17355);
									BgL_objz00_17355;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3448z00_17356;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3449z00_17357;

										BgL_arg3449z00_17357 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14863))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17358;

											BgL_newz00_17358 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31236;

												BgL_tmpz00_31236 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17358, BgL_tmpz00_31236,
													BgL_arg3449z00_17357);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31241;
												int BgL_tmpz00_31239;

												BgL_auxz00_31241 = BINT(BgL_siza7ezd2framez75_14865);
												BgL_tmpz00_31239 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17358, BgL_tmpz00_31239,
													BgL_auxz00_31241);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31244;

												BgL_tmpz00_31244 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17358, BgL_tmpz00_31244,
													BgL_runz00_17353);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31249;
												int BgL_tmpz00_31247;

												BgL_auxz00_31249 = BINT(((long) -1));
												BgL_tmpz00_31247 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17358, BgL_tmpz00_31247,
													BgL_auxz00_31249);
											}
											BgL_arg3448z00_17356 = BgL_newz00_17358;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17354, BgL_arg3448z00_17356);
									BgL_arg3448z00_17356;
								}
								return BgL_mainz00_17354;
							}
						}
					}
				}
			}
		}
	}



/* &main5665 */
	obj_t BGl_z62main5665z62zz__evaluate_compz00(obj_t BgL_envz00_14867,
		obj_t BgL_lastz00_14873)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14871;
				long BgL_siza7ezd2framez75_14872;

				BgL_runz00_14871 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14867, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14872 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14867, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17359;

					BgL_sz00_17359 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17360;

						BgL_bpz00_17360 = VECTOR_REF(BgL_sz00_17359, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17360) + BgL_siza7ezd2framez75_14872) <
								(long) (VECTOR_LENGTH(BgL_sz00_17359))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3452z00_17361;

									BgL_arg3452z00_17361 =
										((long) CINT(BgL_bpz00_17360) + ((long) 0));
									VECTOR_SET(BgL_sz00_17359,
										(int) (BgL_arg3452z00_17361), BgL_lastz00_14873);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17362;

									BgL_ez00_17362 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17362,
										BgL_bpz00_17360);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17363;

										BgL_accz00_17363 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14871, BgL_sz00_17359, BgL_bpz00_17360);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17362);
										VECTOR_SET(BgL_sz00_17359,
											(int) (((long) 0)), BgL_bpz00_17360);
										return BgL_accz00_17363;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17364;

								BgL_nsz00_17364 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17364, (int) (((long) 1)), BgL_sz00_17359);
								VECTOR_SET(BgL_nsz00_17364,
									(int) (((long) 2)), BgL_lastz00_14873);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17365;

									BgL_z12denvz12_17365 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17365, BgL_nsz00_17364);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17366;

										BgL_ez00_17366 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17366,
											BgL_sz00_17359);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17367;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17368;

												BgL_savedzd2bpzd2_17368 =
													VECTOR_REF(BgL_nsz00_17364, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17364,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17370;

													BgL_fz00_17370 = BgL_runz00_14871;
												BgL_recz00_17369:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17371;

														BgL_rz00_17371 =
															PROCEDURE_ENTRY(BgL_fz00_17370) (BgL_fz00_17370,
															BgL_nsz00_17364, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31296;

															if (PROCEDUREP(BgL_rz00_17371))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17372;

																	BgL_arg1674z00_17372 =
																		PROCEDURE_ATTR(BgL_rz00_17371);
																	if (STRUCTP(BgL_arg1674z00_17372))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31296 =
																				(STRUCT_KEY(BgL_arg1674z00_17372) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31296 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31296 = ((bool_t) 0);
																}
															if (BgL_testz00_31296)
																{
																	obj_t BgL_fz00_31304;

																	BgL_fz00_31304 = BgL_rz00_17371;
																	BgL_fz00_17370 = BgL_fz00_31304;
																	goto BgL_recz00_17369;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17364,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17368);
																	BgL_____rz00_17367 = BgL_rz00_17371;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17366);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17365, BgL_sz00_17359);
											return BgL_____rz00_17367;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5666 */
	obj_t BGl_z62run5666z62zz__evaluate_compz00(obj_t BgL_envz00_14874,
		obj_t BgL_sz00_14878)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14875;
				BgL_ev_absz00_bglt BgL_i1245z00_14876;
				obj_t BgL_bodyz00_14877;

				BgL_iboxesz00_14875 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14874, (int) (((long) 0))));
				BgL_i1245z00_14876 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14874, (int) (((long) 1))));
				BgL_bodyz00_14877 = PROCEDURE_REF(BgL_envz00_14874, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17373;

					BgL_bpz00_17373 = VECTOR_REF(BgL_sz00_14878, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14878,
						BgL_iboxesz00_14875, BgL_bpz00_17373);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17374;
						obj_t BgL_wherez00_17375;
						obj_t BgL_locz00_17376;

						BgL_z12denvz12_17374 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17375 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14876))->BgL_wherez00);
						BgL_locz00_17376 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14876))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17374, BgL_wherez00_17375,
								BgL_locz00_17376);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17377;

								BgL_za2za2resza2za2z00_17377 =
									PROCEDURE_ENTRY(BgL_bodyz00_14877) (BgL_bodyz00_14877,
									BgL_sz00_14878, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17374);
								return BgL_za2za2resza2za2z00_17377;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3457> */
	obj_t BGl_z62zc3anonymousza33457ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14879, obj_t BgL_sz00_14885)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14880;
				long BgL_siza7eza7_14881;
				BgL_ev_absz00_bglt BgL_i1245z00_14882;
				obj_t BgL_bodyz00_14883;
				long BgL_siza7ezd2framez75_14884;

				BgL_ifreesz00_14880 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14879, (int) (((long) 0))));
				BgL_siza7eza7_14881 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14879, (int) (((long) 1))));
				BgL_i1245z00_14882 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14879, (int) (((long) 2))));
				BgL_bodyz00_14883 = PROCEDURE_REF(BgL_envz00_14879, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14884 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14879, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17378;

					BgL_bpz00_17378 = VECTOR_REF(BgL_sz00_14885, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17379;

						BgL_valza2za2_17379 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14885,
							BgL_bpz00_17378, BgL_ifreesz00_14880);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17380;

							BgL_runz00_17380 =
								MAKE_FX_PROCEDURE(BGl_z62run5668z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17380,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14881));
							PROCEDURE_SET(BgL_runz00_17380,
								(int) (((long) 1)), BgL_valza2za2_17379);
							PROCEDURE_SET(BgL_runz00_17380,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_14882));
							PROCEDURE_SET(BgL_runz00_17380,
								(int) (((long) 3)), BgL_bodyz00_14883);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17381;

								BgL_mainz00_17381 =
									MAKE_VA_PROCEDURE(BGl_z62main5667z62zz__evaluate_compz00,
									(int) (((long) -1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17381,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14881));
								PROCEDURE_SET(BgL_mainz00_17381,
									(int) (((long) 1)), BgL_valza2za2_17379);
								PROCEDURE_SET(BgL_mainz00_17381,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_14882));
								PROCEDURE_SET(BgL_mainz00_17381,
									(int) (((long) 3)), BgL_bodyz00_14883);
								PROCEDURE_SET(BgL_mainz00_17381,
									(int) (((long) 4)), BgL_runz00_17380);
								PROCEDURE_SET(BgL_mainz00_17381,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14884));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17382;

									BgL_objz00_17382 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17380, BgL_objz00_17382);
									BgL_objz00_17382;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3458z00_17383;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3459z00_17384;

										BgL_arg3459z00_17384 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14882))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17385;

											BgL_newz00_17385 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31381;

												BgL_tmpz00_31381 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17385, BgL_tmpz00_31381,
													BgL_arg3459z00_17384);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31386;
												int BgL_tmpz00_31384;

												BgL_auxz00_31386 = BINT(BgL_siza7ezd2framez75_14884);
												BgL_tmpz00_31384 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17385, BgL_tmpz00_31384,
													BgL_auxz00_31386);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31389;

												BgL_tmpz00_31389 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17385, BgL_tmpz00_31389,
													BgL_runz00_17380);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31394;
												int BgL_tmpz00_31392;

												BgL_auxz00_31394 = BINT(((long) -1));
												BgL_tmpz00_31392 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17385, BgL_tmpz00_31392,
													BgL_auxz00_31394);
											}
											BgL_arg3458z00_17383 = BgL_newz00_17385;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17381, BgL_arg3458z00_17383);
									BgL_arg3458z00_17383;
								}
								return BgL_mainz00_17381;
							}
						}
					}
				}
			}
		}
	}



/* &main5667 */
	obj_t BGl_z62main5667z62zz__evaluate_compz00(obj_t BgL_envz00_14886,
		obj_t BgL_lastz00_14893)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14891;
				long BgL_siza7ezd2framez75_14892;

				BgL_runz00_14891 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14886, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14892 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14886, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17386;

					BgL_sz00_17386 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17387;

						BgL_bpz00_17387 = VECTOR_REF(BgL_sz00_17386, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17387) + BgL_siza7ezd2framez75_14892) <
								(long) (VECTOR_LENGTH(BgL_sz00_17386))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3462z00_17388;

									BgL_arg3462z00_17388 =
										((long) CINT(BgL_bpz00_17387) + ((long) 0));
									VECTOR_SET(BgL_sz00_17386,
										(int) (BgL_arg3462z00_17388), BgL_lastz00_14893);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17389;

									BgL_ez00_17389 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17389,
										BgL_bpz00_17387);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17390;

										BgL_accz00_17390 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14891, BgL_sz00_17386, BgL_bpz00_17387);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17389);
										VECTOR_SET(BgL_sz00_17386,
											(int) (((long) 0)), BgL_bpz00_17387);
										return BgL_accz00_17390;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17391;

								BgL_nsz00_17391 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17391, (int) (((long) 1)), BgL_sz00_17386);
								VECTOR_SET(BgL_nsz00_17391,
									(int) (((long) 2)), BgL_lastz00_14893);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17392;

									BgL_z12denvz12_17392 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17392, BgL_nsz00_17391);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17393;

										BgL_ez00_17393 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17393,
											BgL_sz00_17386);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17394;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17395;

												BgL_savedzd2bpzd2_17395 =
													VECTOR_REF(BgL_nsz00_17391, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17391,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17397;

													BgL_fz00_17397 = BgL_runz00_14891;
												BgL_recz00_17396:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17398;

														BgL_rz00_17398 =
															PROCEDURE_ENTRY(BgL_fz00_17397) (BgL_fz00_17397,
															BgL_nsz00_17391, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31441;

															if (PROCEDUREP(BgL_rz00_17398))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17399;

																	BgL_arg1674z00_17399 =
																		PROCEDURE_ATTR(BgL_rz00_17398);
																	if (STRUCTP(BgL_arg1674z00_17399))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31441 =
																				(STRUCT_KEY(BgL_arg1674z00_17399) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31441 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31441 = ((bool_t) 0);
																}
															if (BgL_testz00_31441)
																{
																	obj_t BgL_fz00_31449;

																	BgL_fz00_31449 = BgL_rz00_17398;
																	BgL_fz00_17397 = BgL_fz00_31449;
																	goto BgL_recz00_17396;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17391,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17395);
																	BgL_____rz00_17394 = BgL_rz00_17398;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17393);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17392, BgL_sz00_17386);
											return BgL_____rz00_17394;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5668 */
	obj_t BGl_z62run5668z62zz__evaluate_compz00(obj_t BgL_envz00_14894,
		obj_t BgL_sz00_14899)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14895;
				obj_t BgL_valza2za2_14896;
				BgL_ev_absz00_bglt BgL_i1245z00_14897;
				obj_t BgL_bodyz00_14898;

				BgL_siza7eza7_14895 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14894, (int) (((long) 0))));
				BgL_valza2za2_14896 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14894, (int) (((long) 1))));
				BgL_i1245z00_14897 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14894, (int) (((long) 2))));
				BgL_bodyz00_14898 = PROCEDURE_REF(BgL_envz00_14894, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17400;

					BgL_bpz00_17400 = VECTOR_REF(BgL_sz00_14899, (int) (((long) 0)));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14899,
						BgL_valza2za2_14896,
						((long) CINT(BgL_bpz00_17400) + BgL_siza7eza7_14895));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17401;
						obj_t BgL_wherez00_17402;
						obj_t BgL_locz00_17403;

						BgL_z12denvz12_17401 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17402 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14897))->BgL_wherez00);
						BgL_locz00_17403 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14897))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17401, BgL_wherez00_17402,
								BgL_locz00_17403);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17404;

								BgL_za2za2resza2za2z00_17404 =
									PROCEDURE_ENTRY(BgL_bodyz00_14898) (BgL_bodyz00_14898,
									BgL_sz00_14899, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17401);
								return BgL_za2za2resza2za2z00_17404;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3465> */
	obj_t BGl_z62zc3anonymousza33465ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14900, obj_t BgL_sz00_14907)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14901;
				obj_t BgL_iboxesz00_14902;
				long BgL_siza7eza7_14903;
				BgL_ev_absz00_bglt BgL_i1245z00_14904;
				obj_t BgL_bodyz00_14905;
				long BgL_siza7ezd2framez75_14906;

				BgL_ifreesz00_14901 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14900, (int) (((long) 0))));
				BgL_iboxesz00_14902 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14900, (int) (((long) 1))));
				BgL_siza7eza7_14903 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14900, (int) (((long) 2))));
				BgL_i1245z00_14904 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14900, (int) (((long) 3))));
				BgL_bodyz00_14905 = PROCEDURE_REF(BgL_envz00_14900, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14906 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14900, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17405;

					BgL_bpz00_17405 = VECTOR_REF(BgL_sz00_14907, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17406;

						BgL_valza2za2_17406 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14907,
							BgL_bpz00_17405, BgL_ifreesz00_14901);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17407;

							BgL_runz00_17407 =
								MAKE_FX_PROCEDURE(BGl_z62run5670z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17407,
								(int) (((long) 0)), BgL_iboxesz00_14902);
							PROCEDURE_SET(BgL_runz00_17407,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14903));
							PROCEDURE_SET(BgL_runz00_17407,
								(int) (((long) 2)), BgL_valza2za2_17406);
							PROCEDURE_SET(BgL_runz00_17407,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_14904));
							PROCEDURE_SET(BgL_runz00_17407,
								(int) (((long) 4)), BgL_bodyz00_14905);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17408;

								BgL_mainz00_17408 =
									MAKE_VA_PROCEDURE(BGl_z62main5669z62zz__evaluate_compz00,
									(int) (((long) -1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17408,
									(int) (((long) 0)), BgL_iboxesz00_14902);
								PROCEDURE_SET(BgL_mainz00_17408,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14903));
								PROCEDURE_SET(BgL_mainz00_17408,
									(int) (((long) 2)), BgL_valza2za2_17406);
								PROCEDURE_SET(BgL_mainz00_17408,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_14904));
								PROCEDURE_SET(BgL_mainz00_17408,
									(int) (((long) 4)), BgL_bodyz00_14905);
								PROCEDURE_SET(BgL_mainz00_17408,
									(int) (((long) 5)), BgL_runz00_17407);
								PROCEDURE_SET(BgL_mainz00_17408,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14906));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17409;

									BgL_objz00_17409 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17407, BgL_objz00_17409);
									BgL_objz00_17409;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3467z00_17410;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3468z00_17411;

										BgL_arg3468z00_17411 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14904))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17412;

											BgL_newz00_17412 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31538;

												BgL_tmpz00_31538 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17412, BgL_tmpz00_31538,
													BgL_arg3468z00_17411);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31543;
												int BgL_tmpz00_31541;

												BgL_auxz00_31543 = BINT(BgL_siza7ezd2framez75_14906);
												BgL_tmpz00_31541 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17412, BgL_tmpz00_31541,
													BgL_auxz00_31543);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31546;

												BgL_tmpz00_31546 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17412, BgL_tmpz00_31546,
													BgL_runz00_17407);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31551;
												int BgL_tmpz00_31549;

												BgL_auxz00_31551 = BINT(((long) -1));
												BgL_tmpz00_31549 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17412, BgL_tmpz00_31549,
													BgL_auxz00_31551);
											}
											BgL_arg3467z00_17410 = BgL_newz00_17412;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17408, BgL_arg3467z00_17410);
									BgL_arg3467z00_17410;
								}
								return BgL_mainz00_17408;
							}
						}
					}
				}
			}
		}
	}



/* &main5669 */
	obj_t BGl_z62main5669z62zz__evaluate_compz00(obj_t BgL_envz00_14908,
		obj_t BgL_lastz00_14916)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14914;
				long BgL_siza7ezd2framez75_14915;

				BgL_runz00_14914 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14908, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14915 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14908, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17413;

					BgL_sz00_17413 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17414;

						BgL_bpz00_17414 = VECTOR_REF(BgL_sz00_17413, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17414) + BgL_siza7ezd2framez75_14915) <
								(long) (VECTOR_LENGTH(BgL_sz00_17413))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3471z00_17415;

									BgL_arg3471z00_17415 =
										((long) CINT(BgL_bpz00_17414) + ((long) 0));
									VECTOR_SET(BgL_sz00_17413,
										(int) (BgL_arg3471z00_17415), BgL_lastz00_14916);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17416;

									BgL_ez00_17416 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17416,
										BgL_bpz00_17414);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17417;

										BgL_accz00_17417 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14914, BgL_sz00_17413, BgL_bpz00_17414);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17416);
										VECTOR_SET(BgL_sz00_17413,
											(int) (((long) 0)), BgL_bpz00_17414);
										return BgL_accz00_17417;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17418;

								BgL_nsz00_17418 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17418, (int) (((long) 1)), BgL_sz00_17413);
								VECTOR_SET(BgL_nsz00_17418,
									(int) (((long) 2)), BgL_lastz00_14916);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17419;

									BgL_z12denvz12_17419 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17419, BgL_nsz00_17418);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17420;

										BgL_ez00_17420 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17420,
											BgL_sz00_17413);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17421;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17422;

												BgL_savedzd2bpzd2_17422 =
													VECTOR_REF(BgL_nsz00_17418, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17418,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17424;

													BgL_fz00_17424 = BgL_runz00_14914;
												BgL_recz00_17423:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17425;

														BgL_rz00_17425 =
															PROCEDURE_ENTRY(BgL_fz00_17424) (BgL_fz00_17424,
															BgL_nsz00_17418, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31598;

															if (PROCEDUREP(BgL_rz00_17425))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17426;

																	BgL_arg1674z00_17426 =
																		PROCEDURE_ATTR(BgL_rz00_17425);
																	if (STRUCTP(BgL_arg1674z00_17426))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31598 =
																				(STRUCT_KEY(BgL_arg1674z00_17426) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31598 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31598 = ((bool_t) 0);
																}
															if (BgL_testz00_31598)
																{
																	obj_t BgL_fz00_31606;

																	BgL_fz00_31606 = BgL_rz00_17425;
																	BgL_fz00_17424 = BgL_fz00_31606;
																	goto BgL_recz00_17423;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17418,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17422);
																	BgL_____rz00_17421 = BgL_rz00_17425;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17420);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17419, BgL_sz00_17413);
											return BgL_____rz00_17421;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5670 */
	obj_t BGl_z62run5670z62zz__evaluate_compz00(obj_t BgL_envz00_14917,
		obj_t BgL_sz00_14923)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14918;
				long BgL_siza7eza7_14919;
				obj_t BgL_valza2za2_14920;
				BgL_ev_absz00_bglt BgL_i1245z00_14921;
				obj_t BgL_bodyz00_14922;

				BgL_iboxesz00_14918 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14917, (int) (((long) 0))));
				BgL_siza7eza7_14919 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14917, (int) (((long) 1))));
				BgL_valza2za2_14920 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14917, (int) (((long) 2))));
				BgL_i1245z00_14921 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14917, (int) (((long) 3))));
				BgL_bodyz00_14922 = PROCEDURE_REF(BgL_envz00_14917, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17427;

					BgL_bpz00_17427 = VECTOR_REF(BgL_sz00_14923, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14923,
						BgL_iboxesz00_14918, BgL_bpz00_17427);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14923,
						BgL_valza2za2_14920,
						((long) CINT(BgL_bpz00_17427) + BgL_siza7eza7_14919));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17428;
						obj_t BgL_wherez00_17429;
						obj_t BgL_locz00_17430;

						BgL_z12denvz12_17428 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17429 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14921))->BgL_wherez00);
						BgL_locz00_17430 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14921))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17428, BgL_wherez00_17429,
								BgL_locz00_17430);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17431;

								BgL_za2za2resza2za2z00_17431 =
									PROCEDURE_ENTRY(BgL_bodyz00_14922) (BgL_bodyz00_14922,
									BgL_sz00_14923, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17428);
								return BgL_za2za2resza2za2z00_17431;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3400> */
	obj_t BGl_z62zc3anonymousza33400ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14924, obj_t BgL_sz00_14928)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14925;
				obj_t BgL_bodyz00_14926;
				long BgL_siza7ezd2framez75_14927;

				BgL_i1245z00_14925 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14924, (int) (((long) 0))));
				BgL_bodyz00_14926 = PROCEDURE_REF(BgL_envz00_14924, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14927 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14924, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17432;

					BgL_bpz00_17432 = VECTOR_REF(BgL_sz00_14928, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17433;

							BgL_runz00_17433 =
								MAKE_FX_PROCEDURE(BGl_z62run5672z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17433,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_14925));
							PROCEDURE_SET(BgL_runz00_17433,
								(int) (((long) 1)), BgL_bodyz00_14926);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17434;

								BgL_mainz00_17434 =
									MAKE_FX_PROCEDURE(BGl_z62main5671z62zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17434,
									(int) (((long) 0)), ((obj_t) BgL_i1245z00_14925));
								PROCEDURE_SET(BgL_mainz00_17434,
									(int) (((long) 1)), BgL_bodyz00_14926);
								PROCEDURE_SET(BgL_mainz00_17434,
									(int) (((long) 2)), BgL_runz00_17433);
								PROCEDURE_SET(BgL_mainz00_17434,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14927));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17435;

									BgL_objz00_17435 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17433, BgL_objz00_17435);
									BgL_objz00_17435;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3401z00_17436;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3403z00_17437;

										BgL_arg3403z00_17437 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14925))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17438;

											BgL_newz00_17438 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31675;

												BgL_tmpz00_31675 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17438, BgL_tmpz00_31675,
													BgL_arg3403z00_17437);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31680;
												int BgL_tmpz00_31678;

												BgL_auxz00_31680 = BINT(BgL_siza7ezd2framez75_14927);
												BgL_tmpz00_31678 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17438, BgL_tmpz00_31678,
													BgL_auxz00_31680);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31683;

												BgL_tmpz00_31683 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17438, BgL_tmpz00_31683,
													BgL_runz00_17433);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31688;
												int BgL_tmpz00_31686;

												BgL_auxz00_31688 = BINT(((long) 0));
												BgL_tmpz00_31686 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17438, BgL_tmpz00_31686,
													BgL_auxz00_31688);
											}
											BgL_arg3401z00_17436 = BgL_newz00_17438;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17434, BgL_arg3401z00_17436);
									BgL_arg3401z00_17436;
								}
								return BgL_mainz00_17434;
							}
						}
					}
				}
			}
		}
	}



/* &main5671 */
	obj_t BGl_z62main5671z62zz__evaluate_compz00(obj_t BgL_envz00_14929)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14932;
				long BgL_siza7ezd2framez75_14933;

				BgL_runz00_14932 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14929, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14933 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14929, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17439;

					BgL_sz00_17439 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17440;

						BgL_bpz00_17440 = VECTOR_REF(BgL_sz00_17439, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17440) + BgL_siza7ezd2framez75_14933) <
								(long) (VECTOR_LENGTH(BgL_sz00_17439))))
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_ez00_17441;

								BgL_ez00_17441 = BGL_EXITD_TOP_AS_OBJ();
								BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17441,
									BgL_bpz00_17440);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_accz00_17442;

									BgL_accz00_17442 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_14932, BgL_sz00_17439, BgL_bpz00_17440);
									BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17441);
									VECTOR_SET(BgL_sz00_17439,
										(int) (((long) 0)), BgL_bpz00_17440);
									return BgL_accz00_17442;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17443;

								BgL_nsz00_17443 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17443, (int) (((long) 1)), BgL_sz00_17439);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17444;

									BgL_z12denvz12_17444 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17444, BgL_nsz00_17443);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17445;

										BgL_ez00_17445 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17445,
											BgL_sz00_17439);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17446;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17447;

												BgL_savedzd2bpzd2_17447 =
													VECTOR_REF(BgL_nsz00_17443, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17443,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17449;

													BgL_fz00_17449 = BgL_runz00_14932;
												BgL_recz00_17448:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17450;

														BgL_rz00_17450 =
															PROCEDURE_ENTRY(BgL_fz00_17449) (BgL_fz00_17449,
															BgL_nsz00_17443, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31729;

															if (PROCEDUREP(BgL_rz00_17450))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17451;

																	BgL_arg1674z00_17451 =
																		PROCEDURE_ATTR(BgL_rz00_17450);
																	if (STRUCTP(BgL_arg1674z00_17451))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31729 =
																				(STRUCT_KEY(BgL_arg1674z00_17451) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31729 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31729 = ((bool_t) 0);
																}
															if (BgL_testz00_31729)
																{
																	obj_t BgL_fz00_31737;

																	BgL_fz00_31737 = BgL_rz00_17450;
																	BgL_fz00_17449 = BgL_fz00_31737;
																	goto BgL_recz00_17448;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17443,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17447);
																	BgL_____rz00_17446 = BgL_rz00_17450;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17445);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17444, BgL_sz00_17439);
											return BgL_____rz00_17446;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5672 */
	obj_t BGl_z62run5672z62zz__evaluate_compz00(obj_t BgL_envz00_14934,
		obj_t BgL_sz00_14937)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14935;
				obj_t BgL_bodyz00_14936;

				BgL_i1245z00_14935 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14934, (int) (((long) 0))));
				BgL_bodyz00_14936 = PROCEDURE_REF(BgL_envz00_14934, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17452;

					BgL_bpz00_17452 = VECTOR_REF(BgL_sz00_14937, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17453;
						obj_t BgL_wherez00_17454;
						obj_t BgL_locz00_17455;

						BgL_z12denvz12_17453 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17454 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14935))->BgL_wherez00);
						BgL_locz00_17455 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14935))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17453, BgL_wherez00_17454,
								BgL_locz00_17455);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17456;

								BgL_za2za2resza2za2z00_17456 =
									PROCEDURE_ENTRY(BgL_bodyz00_14936) (BgL_bodyz00_14936,
									BgL_sz00_14937, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17453);
								return BgL_za2za2resza2za2z00_17456;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3407> */
	obj_t BGl_z62zc3anonymousza33407ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14938, obj_t BgL_sz00_14943)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14939;
				BgL_ev_absz00_bglt BgL_i1245z00_14940;
				obj_t BgL_bodyz00_14941;
				long BgL_siza7ezd2framez75_14942;

				BgL_iboxesz00_14939 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14938, (int) (((long) 0))));
				BgL_i1245z00_14940 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14938, (int) (((long) 1))));
				BgL_bodyz00_14941 = PROCEDURE_REF(BgL_envz00_14938, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14942 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14938, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17457;

					BgL_bpz00_17457 = VECTOR_REF(BgL_sz00_14943, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17458;

							BgL_runz00_17458 =
								MAKE_FX_PROCEDURE(BGl_z62run5674z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17458,
								(int) (((long) 0)), BgL_iboxesz00_14939);
							PROCEDURE_SET(BgL_runz00_17458,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_14940));
							PROCEDURE_SET(BgL_runz00_17458,
								(int) (((long) 2)), BgL_bodyz00_14941);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17459;

								BgL_mainz00_17459 =
									MAKE_FX_PROCEDURE(BGl_z62main5673z62zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17459,
									(int) (((long) 0)), BgL_iboxesz00_14939);
								PROCEDURE_SET(BgL_mainz00_17459,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_14940));
								PROCEDURE_SET(BgL_mainz00_17459,
									(int) (((long) 2)), BgL_bodyz00_14941);
								PROCEDURE_SET(BgL_mainz00_17459,
									(int) (((long) 3)), BgL_runz00_17458);
								PROCEDURE_SET(BgL_mainz00_17459,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14942));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17460;

									BgL_objz00_17460 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17458, BgL_objz00_17460);
									BgL_objz00_17460;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3408z00_17461;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3409z00_17462;

										BgL_arg3409z00_17462 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14940))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17463;

											BgL_newz00_17463 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31800;

												BgL_tmpz00_31800 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17463, BgL_tmpz00_31800,
													BgL_arg3409z00_17462);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31805;
												int BgL_tmpz00_31803;

												BgL_auxz00_31805 = BINT(BgL_siza7ezd2framez75_14942);
												BgL_tmpz00_31803 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17463, BgL_tmpz00_31803,
													BgL_auxz00_31805);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31808;

												BgL_tmpz00_31808 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17463, BgL_tmpz00_31808,
													BgL_runz00_17458);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31813;
												int BgL_tmpz00_31811;

												BgL_auxz00_31813 = BINT(((long) 0));
												BgL_tmpz00_31811 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17463, BgL_tmpz00_31811,
													BgL_auxz00_31813);
											}
											BgL_arg3408z00_17461 = BgL_newz00_17463;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17459, BgL_arg3408z00_17461);
									BgL_arg3408z00_17461;
								}
								return BgL_mainz00_17459;
							}
						}
					}
				}
			}
		}
	}



/* &main5673 */
	obj_t BGl_z62main5673z62zz__evaluate_compz00(obj_t BgL_envz00_14944)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14948;
				long BgL_siza7ezd2framez75_14949;

				BgL_runz00_14948 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14944, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14949 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14944, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17464;

					BgL_sz00_17464 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17465;

						BgL_bpz00_17465 = VECTOR_REF(BgL_sz00_17464, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17465) + BgL_siza7ezd2framez75_14949) <
								(long) (VECTOR_LENGTH(BgL_sz00_17464))))
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_ez00_17466;

								BgL_ez00_17466 = BGL_EXITD_TOP_AS_OBJ();
								BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17466,
									BgL_bpz00_17465);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_accz00_17467;

									BgL_accz00_17467 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_14948, BgL_sz00_17464, BgL_bpz00_17465);
									BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17466);
									VECTOR_SET(BgL_sz00_17464,
										(int) (((long) 0)), BgL_bpz00_17465);
									return BgL_accz00_17467;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17468;

								BgL_nsz00_17468 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17468, (int) (((long) 1)), BgL_sz00_17464);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17469;

									BgL_z12denvz12_17469 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17469, BgL_nsz00_17468);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17470;

										BgL_ez00_17470 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17470,
											BgL_sz00_17464);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17471;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17472;

												BgL_savedzd2bpzd2_17472 =
													VECTOR_REF(BgL_nsz00_17468, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17468,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17474;

													BgL_fz00_17474 = BgL_runz00_14948;
												BgL_recz00_17473:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17475;

														BgL_rz00_17475 =
															PROCEDURE_ENTRY(BgL_fz00_17474) (BgL_fz00_17474,
															BgL_nsz00_17468, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31854;

															if (PROCEDUREP(BgL_rz00_17475))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17476;

																	BgL_arg1674z00_17476 =
																		PROCEDURE_ATTR(BgL_rz00_17475);
																	if (STRUCTP(BgL_arg1674z00_17476))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31854 =
																				(STRUCT_KEY(BgL_arg1674z00_17476) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31854 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31854 = ((bool_t) 0);
																}
															if (BgL_testz00_31854)
																{
																	obj_t BgL_fz00_31862;

																	BgL_fz00_31862 = BgL_rz00_17475;
																	BgL_fz00_17474 = BgL_fz00_31862;
																	goto BgL_recz00_17473;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17468,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17472);
																	BgL_____rz00_17471 = BgL_rz00_17475;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17470);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17469, BgL_sz00_17464);
											return BgL_____rz00_17471;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5674 */
	obj_t BGl_z62run5674z62zz__evaluate_compz00(obj_t BgL_envz00_14950,
		obj_t BgL_sz00_14954)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14951;
				BgL_ev_absz00_bglt BgL_i1245z00_14952;
				obj_t BgL_bodyz00_14953;

				BgL_iboxesz00_14951 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14950, (int) (((long) 0))));
				BgL_i1245z00_14952 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14950, (int) (((long) 1))));
				BgL_bodyz00_14953 = PROCEDURE_REF(BgL_envz00_14950, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17477;

					BgL_bpz00_17477 = VECTOR_REF(BgL_sz00_14954, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14954,
						BgL_iboxesz00_14951, BgL_bpz00_17477);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17478;
						obj_t BgL_wherez00_17479;
						obj_t BgL_locz00_17480;

						BgL_z12denvz12_17478 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17479 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14952))->BgL_wherez00);
						BgL_locz00_17480 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14952))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17478, BgL_wherez00_17479,
								BgL_locz00_17480);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17481;

								BgL_za2za2resza2za2z00_17481 =
									PROCEDURE_ENTRY(BgL_bodyz00_14953) (BgL_bodyz00_14953,
									BgL_sz00_14954, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17478);
								return BgL_za2za2resza2za2z00_17481;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3416> */
	obj_t BGl_z62zc3anonymousza33416ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14955, obj_t BgL_sz00_14961)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14956;
				long BgL_siza7eza7_14957;
				BgL_ev_absz00_bglt BgL_i1245z00_14958;
				obj_t BgL_bodyz00_14959;
				long BgL_siza7ezd2framez75_14960;

				BgL_ifreesz00_14956 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14955, (int) (((long) 0))));
				BgL_siza7eza7_14957 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14955, (int) (((long) 1))));
				BgL_i1245z00_14958 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14955, (int) (((long) 2))));
				BgL_bodyz00_14959 = PROCEDURE_REF(BgL_envz00_14955, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14960 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14955, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17482;

					BgL_bpz00_17482 = VECTOR_REF(BgL_sz00_14961, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17483;

						BgL_valza2za2_17483 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14961,
							BgL_bpz00_17482, BgL_ifreesz00_14956);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17484;

							BgL_runz00_17484 =
								MAKE_FX_PROCEDURE(BGl_z62run5676z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17484,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14957));
							PROCEDURE_SET(BgL_runz00_17484,
								(int) (((long) 1)), BgL_valza2za2_17483);
							PROCEDURE_SET(BgL_runz00_17484,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_14958));
							PROCEDURE_SET(BgL_runz00_17484,
								(int) (((long) 3)), BgL_bodyz00_14959);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17485;

								BgL_mainz00_17485 =
									MAKE_FX_PROCEDURE(BGl_z62main5675z62zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17485,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14957));
								PROCEDURE_SET(BgL_mainz00_17485,
									(int) (((long) 1)), BgL_valza2za2_17483);
								PROCEDURE_SET(BgL_mainz00_17485,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_14958));
								PROCEDURE_SET(BgL_mainz00_17485,
									(int) (((long) 3)), BgL_bodyz00_14959);
								PROCEDURE_SET(BgL_mainz00_17485,
									(int) (((long) 4)), BgL_runz00_17484);
								PROCEDURE_SET(BgL_mainz00_17485,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14960));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17486;

									BgL_objz00_17486 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17484, BgL_objz00_17486);
									BgL_objz00_17486;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3418z00_17487;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3419z00_17488;

										BgL_arg3419z00_17488 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14958))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17489;

											BgL_newz00_17489 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31939;

												BgL_tmpz00_31939 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17489, BgL_tmpz00_31939,
													BgL_arg3419z00_17488);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31944;
												int BgL_tmpz00_31942;

												BgL_auxz00_31944 = BINT(BgL_siza7ezd2framez75_14960);
												BgL_tmpz00_31942 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17489, BgL_tmpz00_31942,
													BgL_auxz00_31944);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_31947;

												BgL_tmpz00_31947 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17489, BgL_tmpz00_31947,
													BgL_runz00_17484);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_31952;
												int BgL_tmpz00_31950;

												BgL_auxz00_31952 = BINT(((long) 0));
												BgL_tmpz00_31950 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17489, BgL_tmpz00_31950,
													BgL_auxz00_31952);
											}
											BgL_arg3418z00_17487 = BgL_newz00_17489;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17485, BgL_arg3418z00_17487);
									BgL_arg3418z00_17487;
								}
								return BgL_mainz00_17485;
							}
						}
					}
				}
			}
		}
	}



/* &main5675 */
	obj_t BGl_z62main5675z62zz__evaluate_compz00(obj_t BgL_envz00_14962)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14967;
				long BgL_siza7ezd2framez75_14968;

				BgL_runz00_14967 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14962, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14968 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14962, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17490;

					BgL_sz00_17490 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17491;

						BgL_bpz00_17491 = VECTOR_REF(BgL_sz00_17490, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17491) + BgL_siza7ezd2framez75_14968) <
								(long) (VECTOR_LENGTH(BgL_sz00_17490))))
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_ez00_17492;

								BgL_ez00_17492 = BGL_EXITD_TOP_AS_OBJ();
								BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17492,
									BgL_bpz00_17491);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_accz00_17493;

									BgL_accz00_17493 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_14967, BgL_sz00_17490, BgL_bpz00_17491);
									BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17492);
									VECTOR_SET(BgL_sz00_17490,
										(int) (((long) 0)), BgL_bpz00_17491);
									return BgL_accz00_17493;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17494;

								BgL_nsz00_17494 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17494, (int) (((long) 1)), BgL_sz00_17490);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17495;

									BgL_z12denvz12_17495 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17495, BgL_nsz00_17494);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17496;

										BgL_ez00_17496 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17496,
											BgL_sz00_17490);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17497;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17498;

												BgL_savedzd2bpzd2_17498 =
													VECTOR_REF(BgL_nsz00_17494, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17494,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17500;

													BgL_fz00_17500 = BgL_runz00_14967;
												BgL_recz00_17499:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17501;

														BgL_rz00_17501 =
															PROCEDURE_ENTRY(BgL_fz00_17500) (BgL_fz00_17500,
															BgL_nsz00_17494, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_31993;

															if (PROCEDUREP(BgL_rz00_17501))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17502;

																	BgL_arg1674z00_17502 =
																		PROCEDURE_ATTR(BgL_rz00_17501);
																	if (STRUCTP(BgL_arg1674z00_17502))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31993 =
																				(STRUCT_KEY(BgL_arg1674z00_17502) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_31993 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_31993 = ((bool_t) 0);
																}
															if (BgL_testz00_31993)
																{
																	obj_t BgL_fz00_32001;

																	BgL_fz00_32001 = BgL_rz00_17501;
																	BgL_fz00_17500 = BgL_fz00_32001;
																	goto BgL_recz00_17499;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17494,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17498);
																	BgL_____rz00_17497 = BgL_rz00_17501;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17496);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17495, BgL_sz00_17490);
											return BgL_____rz00_17497;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5676 */
	obj_t BGl_z62run5676z62zz__evaluate_compz00(obj_t BgL_envz00_14969,
		obj_t BgL_sz00_14974)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_14970;
				obj_t BgL_valza2za2_14971;
				BgL_ev_absz00_bglt BgL_i1245z00_14972;
				obj_t BgL_bodyz00_14973;

				BgL_siza7eza7_14970 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14969, (int) (((long) 0))));
				BgL_valza2za2_14971 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14969, (int) (((long) 1))));
				BgL_i1245z00_14972 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14969, (int) (((long) 2))));
				BgL_bodyz00_14973 = PROCEDURE_REF(BgL_envz00_14969, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17503;

					BgL_bpz00_17503 = VECTOR_REF(BgL_sz00_14974, (int) (((long) 0)));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14974,
						BgL_valza2za2_14971,
						((long) CINT(BgL_bpz00_17503) + BgL_siza7eza7_14970));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17504;
						obj_t BgL_wherez00_17505;
						obj_t BgL_locz00_17506;

						BgL_z12denvz12_17504 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17505 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14972))->BgL_wherez00);
						BgL_locz00_17506 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14972))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17504, BgL_wherez00_17505,
								BgL_locz00_17506);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17507;

								BgL_za2za2resza2za2z00_17507 =
									PROCEDURE_ENTRY(BgL_bodyz00_14973) (BgL_bodyz00_14973,
									BgL_sz00_14974, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17504);
								return BgL_za2za2resza2za2z00_17507;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3424> */
	obj_t BGl_z62zc3anonymousza33424ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14975, obj_t BgL_sz00_14982)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_14976;
				obj_t BgL_iboxesz00_14977;
				long BgL_siza7eza7_14978;
				BgL_ev_absz00_bglt BgL_i1245z00_14979;
				obj_t BgL_bodyz00_14980;
				long BgL_siza7ezd2framez75_14981;

				BgL_ifreesz00_14976 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14975, (int) (((long) 0))));
				BgL_iboxesz00_14977 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14975, (int) (((long) 1))));
				BgL_siza7eza7_14978 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14975, (int) (((long) 2))));
				BgL_i1245z00_14979 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14975, (int) (((long) 3))));
				BgL_bodyz00_14980 = PROCEDURE_REF(BgL_envz00_14975, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14981 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14975, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17508;

					BgL_bpz00_17508 = VECTOR_REF(BgL_sz00_14982, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17509;

						BgL_valza2za2_17509 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14982,
							BgL_bpz00_17508, BgL_ifreesz00_14976);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17510;

							BgL_runz00_17510 =
								MAKE_FX_PROCEDURE(BGl_z62run5678z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17510,
								(int) (((long) 0)), BgL_iboxesz00_14977);
							PROCEDURE_SET(BgL_runz00_17510,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14978));
							PROCEDURE_SET(BgL_runz00_17510,
								(int) (((long) 2)), BgL_valza2za2_17509);
							PROCEDURE_SET(BgL_runz00_17510,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_14979));
							PROCEDURE_SET(BgL_runz00_17510,
								(int) (((long) 4)), BgL_bodyz00_14980);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17511;

								BgL_mainz00_17511 =
									MAKE_FX_PROCEDURE(BGl_z62main5677z62zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17511,
									(int) (((long) 0)), BgL_iboxesz00_14977);
								PROCEDURE_SET(BgL_mainz00_17511,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14978));
								PROCEDURE_SET(BgL_mainz00_17511,
									(int) (((long) 2)), BgL_valza2za2_17509);
								PROCEDURE_SET(BgL_mainz00_17511,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_14979));
								PROCEDURE_SET(BgL_mainz00_17511,
									(int) (((long) 4)), BgL_bodyz00_14980);
								PROCEDURE_SET(BgL_mainz00_17511,
									(int) (((long) 5)), BgL_runz00_17510);
								PROCEDURE_SET(BgL_mainz00_17511,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14981));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17512;

									BgL_objz00_17512 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17510, BgL_objz00_17512);
									BgL_objz00_17512;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3425z00_17513;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3426z00_17514;

										BgL_arg3426z00_17514 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14979))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17515;

											BgL_newz00_17515 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32090;

												BgL_tmpz00_32090 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17515, BgL_tmpz00_32090,
													BgL_arg3426z00_17514);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_32095;
												int BgL_tmpz00_32093;

												BgL_auxz00_32095 = BINT(BgL_siza7ezd2framez75_14981);
												BgL_tmpz00_32093 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17515, BgL_tmpz00_32093,
													BgL_auxz00_32095);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32098;

												BgL_tmpz00_32098 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17515, BgL_tmpz00_32098,
													BgL_runz00_17510);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_32103;
												int BgL_tmpz00_32101;

												BgL_auxz00_32103 = BINT(((long) 0));
												BgL_tmpz00_32101 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17515, BgL_tmpz00_32101,
													BgL_auxz00_32103);
											}
											BgL_arg3425z00_17513 = BgL_newz00_17515;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17511, BgL_arg3425z00_17513);
									BgL_arg3425z00_17513;
								}
								return BgL_mainz00_17511;
							}
						}
					}
				}
			}
		}
	}



/* &main5677 */
	obj_t BGl_z62main5677z62zz__evaluate_compz00(obj_t BgL_envz00_14983)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_runz00_14989;
				long BgL_siza7ezd2framez75_14990;

				BgL_runz00_14989 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14983, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14990 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14983, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17516;

					BgL_sz00_17516 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17517;

						BgL_bpz00_17517 = VECTOR_REF(BgL_sz00_17516, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17517) + BgL_siza7ezd2framez75_14990) <
								(long) (VECTOR_LENGTH(BgL_sz00_17516))))
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_ez00_17518;

								BgL_ez00_17518 = BGL_EXITD_TOP_AS_OBJ();
								BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17518,
									BgL_bpz00_17517);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_accz00_17519;

									BgL_accz00_17519 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_14989, BgL_sz00_17516, BgL_bpz00_17517);
									BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17518);
									VECTOR_SET(BgL_sz00_17516,
										(int) (((long) 0)), BgL_bpz00_17517);
									return BgL_accz00_17519;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17520;

								BgL_nsz00_17520 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17520, (int) (((long) 1)), BgL_sz00_17516);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17521;

									BgL_z12denvz12_17521 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17521, BgL_nsz00_17520);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17522;

										BgL_ez00_17522 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17522,
											BgL_sz00_17516);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17523;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17524;

												BgL_savedzd2bpzd2_17524 =
													VECTOR_REF(BgL_nsz00_17520, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17520,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17526;

													BgL_fz00_17526 = BgL_runz00_14989;
												BgL_recz00_17525:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17527;

														BgL_rz00_17527 =
															PROCEDURE_ENTRY(BgL_fz00_17526) (BgL_fz00_17526,
															BgL_nsz00_17520, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_32144;

															if (PROCEDUREP(BgL_rz00_17527))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17528;

																	BgL_arg1674z00_17528 =
																		PROCEDURE_ATTR(BgL_rz00_17527);
																	if (STRUCTP(BgL_arg1674z00_17528))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32144 =
																				(STRUCT_KEY(BgL_arg1674z00_17528) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32144 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_32144 = ((bool_t) 0);
																}
															if (BgL_testz00_32144)
																{
																	obj_t BgL_fz00_32152;

																	BgL_fz00_32152 = BgL_rz00_17527;
																	BgL_fz00_17526 = BgL_fz00_32152;
																	goto BgL_recz00_17525;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17520,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17524);
																	BgL_____rz00_17523 = BgL_rz00_17527;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17522);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17521, BgL_sz00_17516);
											return BgL_____rz00_17523;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5678 */
	obj_t BGl_z62run5678z62zz__evaluate_compz00(obj_t BgL_envz00_14991,
		obj_t BgL_sz00_14997)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_14992;
				long BgL_siza7eza7_14993;
				obj_t BgL_valza2za2_14994;
				BgL_ev_absz00_bglt BgL_i1245z00_14995;
				obj_t BgL_bodyz00_14996;

				BgL_iboxesz00_14992 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14991, (int) (((long) 0))));
				BgL_siza7eza7_14993 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14991, (int) (((long) 1))));
				BgL_valza2za2_14994 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14991, (int) (((long) 2))));
				BgL_i1245z00_14995 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14991, (int) (((long) 3))));
				BgL_bodyz00_14996 = PROCEDURE_REF(BgL_envz00_14991, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17529;

					BgL_bpz00_17529 = VECTOR_REF(BgL_sz00_14997, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14997,
						BgL_iboxesz00_14992, BgL_bpz00_17529);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14997,
						BgL_valza2za2_14994,
						((long) CINT(BgL_bpz00_17529) + BgL_siza7eza7_14993));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17530;
						obj_t BgL_wherez00_17531;
						obj_t BgL_locz00_17532;

						BgL_z12denvz12_17530 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17531 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14995))->BgL_wherez00);
						BgL_locz00_17532 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14995))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17530, BgL_wherez00_17531,
								BgL_locz00_17532);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17533;

								BgL_za2za2resza2za2z00_17533 =
									PROCEDURE_ENTRY(BgL_bodyz00_14996) (BgL_bodyz00_14996,
									BgL_sz00_14997, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17530);
								return BgL_za2za2resza2za2z00_17533;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3885> */
	obj_t BGl_z62zc3anonymousza33885ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14998, obj_t BgL_sz00_15002)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_14999;
				obj_t BgL_bodyz00_15000;
				long BgL_siza7ezd2framez75_15001;

				BgL_i1245z00_14999 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14998, (int) (((long) 0))));
				BgL_bodyz00_15000 = PROCEDURE_REF(BgL_envz00_14998, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15001 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14998, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17534;

					BgL_bpz00_17534 = VECTOR_REF(BgL_sz00_15002, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17535;

							BgL_runz00_17535 =
								MAKE_FX_PROCEDURE(BGl_z62run5680z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17535,
								(int) (((long) 0)), ((obj_t) BgL_i1245z00_14999));
							PROCEDURE_SET(BgL_runz00_17535,
								(int) (((long) 1)), BgL_bodyz00_15000);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17536;

								BgL_mainz00_17536 =
									MAKE_VA_PROCEDURE(BGl_z62main5679z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17536,
									(int) (((long) 0)), BgL_bodyz00_15000);
								PROCEDURE_SET(BgL_mainz00_17536,
									(int) (((long) 1)), ((obj_t) BgL_i1245z00_14999));
								PROCEDURE_SET(BgL_mainz00_17536,
									(int) (((long) 2)), BgL_runz00_17535);
								PROCEDURE_SET(BgL_mainz00_17536,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15001));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17537;

									BgL_objz00_17537 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17535, BgL_objz00_17537);
									BgL_objz00_17537;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3886z00_17538;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3887z00_17539;
										obj_t BgL_arg3888z00_17540;

										BgL_arg3887z00_17539 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14999))->
											BgL_arityz00);
										BgL_arg3888z00_17540 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_14999))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17541;

											BgL_newz00_17541 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32222;

												BgL_tmpz00_32222 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17541, BgL_tmpz00_32222,
													BgL_arg3888z00_17540);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_32227;
												int BgL_tmpz00_32225;

												BgL_auxz00_32227 = BINT(BgL_siza7ezd2framez75_15001);
												BgL_tmpz00_32225 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17541, BgL_tmpz00_32225,
													BgL_auxz00_32227);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32230;

												BgL_tmpz00_32230 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17541, BgL_tmpz00_32230,
													BgL_runz00_17535);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32233;

												BgL_tmpz00_32233 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17541, BgL_tmpz00_32233,
													BgL_arg3887z00_17539);
											}
											BgL_arg3886z00_17538 = BgL_newz00_17541;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17536, BgL_arg3886z00_17538);
									BgL_arg3886z00_17538;
								}
								return BgL_mainz00_17536;
							}
						}
					}
				}
			}
		}
	}



/* &main5679 */
	obj_t BGl_z62main5679z62zz__evaluate_compz00(obj_t BgL_envz00_15003,
		obj_t BgL_az00_15008, obj_t BgL_bz00_15009, obj_t BgL_cz00_15010,
		obj_t BgL_dz00_15011, obj_t BgL_restz00_15012)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_15005;
				obj_t BgL_runz00_15006;
				long BgL_siza7ezd2framez75_15007;

				BgL_i1245z00_15005 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15003, (int) (((long) 1))));
				BgL_runz00_15006 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15003, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15007 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15003, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17542;

					BgL_sz00_17542 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17543;

						BgL_bpz00_17543 = VECTOR_REF(BgL_sz00_17542, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17543) + BgL_siza7ezd2framez75_15007) <
								(long) (VECTOR_LENGTH(BgL_sz00_17542))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3891z00_17544;

									BgL_arg3891z00_17544 =
										((long) CINT(BgL_bpz00_17543) + ((long) 0));
									VECTOR_SET(BgL_sz00_17542,
										(int) (BgL_arg3891z00_17544), BgL_az00_15008);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3892z00_17545;

									BgL_arg3892z00_17545 =
										((long) CINT(BgL_bpz00_17543) + ((long) 1));
									VECTOR_SET(BgL_sz00_17542,
										(int) (BgL_arg3892z00_17545), BgL_bz00_15009);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3893z00_17546;

									BgL_arg3893z00_17546 =
										((long) CINT(BgL_bpz00_17543) + ((long) 2));
									VECTOR_SET(BgL_sz00_17542,
										(int) (BgL_arg3893z00_17546), BgL_cz00_15010);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3894z00_17547;

									BgL_arg3894z00_17547 =
										((long) CINT(BgL_bpz00_17543) + ((long) 3));
									VECTOR_SET(BgL_sz00_17542,
										(int) (BgL_arg3894z00_17547), BgL_dz00_15011);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3895z00_17548;
									long BgL_arg3896z00_17549;
									long BgL_arg3897z00_17550;
									obj_t BgL_arg3898z00_17551;

									BgL_arg3895z00_17548 =
										(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15005))->
										BgL_wherez00);
									BgL_arg3896z00_17549 =
										((long) CINT(BgL_bpz00_17543) + ((long) 4));
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3899z00_17552;

										BgL_arg3899z00_17552 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15005))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3899z00_17552) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3897z00_17550 =
													((long) CINT(BgL_arg3899z00_17552) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3897z00_17550 =
													((long) CINT(BgL_arg3899z00_17552) - ((long) 4));
									}}
									BgL_arg3898z00_17551 =
										(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15005))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_17542,
										BgL_arg3895z00_17548, BgL_arg3896z00_17549,
										BgL_arg3897z00_17550, BgL_restz00_15012,
										BgL_arg3898z00_17551);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17553;

									BgL_ez00_17553 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17553,
										BgL_bpz00_17543);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17554;

										BgL_accz00_17554 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15006, BgL_sz00_17542, BgL_bpz00_17543);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17553);
										VECTOR_SET(BgL_sz00_17542,
											(int) (((long) 0)), BgL_bpz00_17543);
										return BgL_accz00_17554;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17555;

								BgL_nsz00_17555 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17555, (int) (((long) 1)), BgL_sz00_17542);
								VECTOR_SET(BgL_nsz00_17555, (int) (((long) 2)), BgL_az00_15008);
								VECTOR_SET(BgL_nsz00_17555, (int) (((long) 3)), BgL_bz00_15009);
								VECTOR_SET(BgL_nsz00_17555, (int) (((long) 4)), BgL_cz00_15010);
								VECTOR_SET(BgL_nsz00_17555, (int) (((long) 5)), BgL_dz00_15011);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3900z00_17556;
									long BgL_arg3901z00_17557;
									obj_t BgL_arg3902z00_17558;

									BgL_arg3900z00_17556 =
										(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15005))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3903z00_17559;

										BgL_arg3903z00_17559 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15005))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3903z00_17559) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3901z00_17557 =
													((long) CINT(BgL_arg3903z00_17559) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3901z00_17557 =
													((long) CINT(BgL_arg3903z00_17559) - ((long) 4));
									}}
									BgL_arg3902z00_17558 =
										(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15005))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_17555,
										BgL_arg3900z00_17556, ((long) 6), BgL_arg3901z00_17557,
										BgL_restz00_15012, BgL_arg3902z00_17558);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17560;

									BgL_z12denvz12_17560 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17560, BgL_nsz00_17555);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17561;

										BgL_ez00_17561 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17561,
											BgL_sz00_17542);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17562;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17563;

												BgL_savedzd2bpzd2_17563 =
													VECTOR_REF(BgL_nsz00_17555, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17555,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17565;

													BgL_fz00_17565 = BgL_runz00_15006;
												BgL_recz00_17564:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17566;

														BgL_rz00_17566 =
															PROCEDURE_ENTRY(BgL_fz00_17565) (BgL_fz00_17565,
															BgL_nsz00_17555, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_32325;

															if (PROCEDUREP(BgL_rz00_17566))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17567;

																	BgL_arg1674z00_17567 =
																		PROCEDURE_ATTR(BgL_rz00_17566);
																	if (STRUCTP(BgL_arg1674z00_17567))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32325 =
																				(STRUCT_KEY(BgL_arg1674z00_17567) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32325 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_32325 = ((bool_t) 0);
																}
															if (BgL_testz00_32325)
																{
																	obj_t BgL_fz00_32333;

																	BgL_fz00_32333 = BgL_rz00_17566;
																	BgL_fz00_17565 = BgL_fz00_32333;
																	goto BgL_recz00_17564;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17555,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17563);
																	BgL_____rz00_17562 = BgL_rz00_17566;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17561);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17560, BgL_sz00_17542);
											return BgL_____rz00_17562;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5680 */
	obj_t BGl_z62run5680z62zz__evaluate_compz00(obj_t BgL_envz00_15013,
		obj_t BgL_sz00_15016)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_15014;
				obj_t BgL_bodyz00_15015;

				BgL_i1245z00_15014 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15013, (int) (((long) 0))));
				BgL_bodyz00_15015 = PROCEDURE_REF(BgL_envz00_15013, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17568;

					BgL_bpz00_17568 = VECTOR_REF(BgL_sz00_15016, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17569;
						obj_t BgL_wherez00_17570;
						obj_t BgL_locz00_17571;

						BgL_z12denvz12_17569 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17570 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15014))->BgL_wherez00);
						BgL_locz00_17571 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15014))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17569, BgL_wherez00_17570,
								BgL_locz00_17571);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17572;

								BgL_za2za2resza2za2z00_17572 =
									PROCEDURE_ENTRY(BgL_bodyz00_15015) (BgL_bodyz00_15015,
									BgL_sz00_15016, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17569);
								return BgL_za2za2resza2za2z00_17572;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3905> */
	obj_t BGl_z62zc3anonymousza33905ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15017, obj_t BgL_sz00_15022)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_15018;
				BgL_ev_absz00_bglt BgL_i1245z00_15019;
				obj_t BgL_bodyz00_15020;
				long BgL_siza7ezd2framez75_15021;

				BgL_iboxesz00_15018 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15017, (int) (((long) 0))));
				BgL_i1245z00_15019 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15017, (int) (((long) 1))));
				BgL_bodyz00_15020 = PROCEDURE_REF(BgL_envz00_15017, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15021 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15017, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17573;

					BgL_bpz00_17573 = VECTOR_REF(BgL_sz00_15022, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */

						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17574;

							BgL_runz00_17574 =
								MAKE_FX_PROCEDURE(BGl_z62run5682z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17574,
								(int) (((long) 0)), BgL_iboxesz00_15018);
							PROCEDURE_SET(BgL_runz00_17574,
								(int) (((long) 1)), ((obj_t) BgL_i1245z00_15019));
							PROCEDURE_SET(BgL_runz00_17574,
								(int) (((long) 2)), BgL_bodyz00_15020);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17575;

								BgL_mainz00_17575 =
									MAKE_VA_PROCEDURE(BGl_z62main5681z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17575,
									(int) (((long) 0)), BgL_iboxesz00_15018);
								PROCEDURE_SET(BgL_mainz00_17575,
									(int) (((long) 1)), BgL_bodyz00_15020);
								PROCEDURE_SET(BgL_mainz00_17575,
									(int) (((long) 2)), ((obj_t) BgL_i1245z00_15019));
								PROCEDURE_SET(BgL_mainz00_17575,
									(int) (((long) 3)), BgL_runz00_17574);
								PROCEDURE_SET(BgL_mainz00_17575,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15021));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17576;

									BgL_objz00_17576 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17574, BgL_objz00_17576);
									BgL_objz00_17576;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3906z00_17577;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3907z00_17578;
										obj_t BgL_arg3908z00_17579;

										BgL_arg3907z00_17578 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15019))->
											BgL_arityz00);
										BgL_arg3908z00_17579 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15019))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17580;

											BgL_newz00_17580 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32397;

												BgL_tmpz00_32397 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17580, BgL_tmpz00_32397,
													BgL_arg3908z00_17579);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_32402;
												int BgL_tmpz00_32400;

												BgL_auxz00_32402 = BINT(BgL_siza7ezd2framez75_15021);
												BgL_tmpz00_32400 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17580, BgL_tmpz00_32400,
													BgL_auxz00_32402);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32405;

												BgL_tmpz00_32405 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17580, BgL_tmpz00_32405,
													BgL_runz00_17574);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32408;

												BgL_tmpz00_32408 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17580, BgL_tmpz00_32408,
													BgL_arg3907z00_17578);
											}
											BgL_arg3906z00_17577 = BgL_newz00_17580;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17575, BgL_arg3906z00_17577);
									BgL_arg3906z00_17577;
								}
								return BgL_mainz00_17575;
							}
						}
					}
				}
			}
		}
	}



/* &main5681 */
	obj_t BGl_z62main5681z62zz__evaluate_compz00(obj_t BgL_envz00_15023,
		obj_t BgL_az00_15029, obj_t BgL_bz00_15030, obj_t BgL_cz00_15031,
		obj_t BgL_dz00_15032, obj_t BgL_restz00_15033)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_15026;
				obj_t BgL_runz00_15027;
				long BgL_siza7ezd2framez75_15028;

				BgL_i1245z00_15026 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15023, (int) (((long) 2))));
				BgL_runz00_15027 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15023, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15028 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15023, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17581;

					BgL_sz00_17581 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17582;

						BgL_bpz00_17582 = VECTOR_REF(BgL_sz00_17581, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17582) + BgL_siza7ezd2framez75_15028) <
								(long) (VECTOR_LENGTH(BgL_sz00_17581))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3911z00_17583;

									BgL_arg3911z00_17583 =
										((long) CINT(BgL_bpz00_17582) + ((long) 0));
									VECTOR_SET(BgL_sz00_17581,
										(int) (BgL_arg3911z00_17583), BgL_az00_15029);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3912z00_17584;

									BgL_arg3912z00_17584 =
										((long) CINT(BgL_bpz00_17582) + ((long) 1));
									VECTOR_SET(BgL_sz00_17581,
										(int) (BgL_arg3912z00_17584), BgL_bz00_15030);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3913z00_17585;

									BgL_arg3913z00_17585 =
										((long) CINT(BgL_bpz00_17582) + ((long) 2));
									VECTOR_SET(BgL_sz00_17581,
										(int) (BgL_arg3913z00_17585), BgL_cz00_15031);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3914z00_17586;

									BgL_arg3914z00_17586 =
										((long) CINT(BgL_bpz00_17582) + ((long) 3));
									VECTOR_SET(BgL_sz00_17581,
										(int) (BgL_arg3914z00_17586), BgL_dz00_15032);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3915z00_17587;
									long BgL_arg3916z00_17588;
									long BgL_arg3917z00_17589;
									obj_t BgL_arg3918z00_17590;

									BgL_arg3915z00_17587 =
										(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15026))->
										BgL_wherez00);
									BgL_arg3916z00_17588 =
										((long) CINT(BgL_bpz00_17582) + ((long) 4));
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3919z00_17591;

										BgL_arg3919z00_17591 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15026))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3919z00_17591) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3917z00_17589 =
													((long) CINT(BgL_arg3919z00_17591) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3917z00_17589 =
													((long) CINT(BgL_arg3919z00_17591) - ((long) 4));
									}}
									BgL_arg3918z00_17590 =
										(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15026))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_17581,
										BgL_arg3915z00_17587, BgL_arg3916z00_17588,
										BgL_arg3917z00_17589, BgL_restz00_15033,
										BgL_arg3918z00_17590);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17592;

									BgL_ez00_17592 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17592,
										BgL_bpz00_17582);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17593;

										BgL_accz00_17593 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15027, BgL_sz00_17581, BgL_bpz00_17582);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17592);
										VECTOR_SET(BgL_sz00_17581,
											(int) (((long) 0)), BgL_bpz00_17582);
										return BgL_accz00_17593;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17594;

								BgL_nsz00_17594 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17594, (int) (((long) 1)), BgL_sz00_17581);
								VECTOR_SET(BgL_nsz00_17594, (int) (((long) 2)), BgL_az00_15029);
								VECTOR_SET(BgL_nsz00_17594, (int) (((long) 3)), BgL_bz00_15030);
								VECTOR_SET(BgL_nsz00_17594, (int) (((long) 4)), BgL_cz00_15031);
								VECTOR_SET(BgL_nsz00_17594, (int) (((long) 5)), BgL_dz00_15032);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3920z00_17595;
									long BgL_arg3921z00_17596;
									obj_t BgL_arg3922z00_17597;

									BgL_arg3920z00_17595 =
										(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15026))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3923z00_17598;

										BgL_arg3923z00_17598 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15026))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3923z00_17598) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3921z00_17596 =
													((long) CINT(BgL_arg3923z00_17598) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3921z00_17596 =
													((long) CINT(BgL_arg3923z00_17598) - ((long) 4));
									}}
									BgL_arg3922z00_17597 =
										(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15026))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_17594,
										BgL_arg3920z00_17595, ((long) 6), BgL_arg3921z00_17596,
										BgL_restz00_15033, BgL_arg3922z00_17597);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17599;

									BgL_z12denvz12_17599 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17599, BgL_nsz00_17594);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17600;

										BgL_ez00_17600 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17600,
											BgL_sz00_17581);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17601;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17602;

												BgL_savedzd2bpzd2_17602 =
													VECTOR_REF(BgL_nsz00_17594, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17594,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17604;

													BgL_fz00_17604 = BgL_runz00_15027;
												BgL_recz00_17603:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17605;

														BgL_rz00_17605 =
															PROCEDURE_ENTRY(BgL_fz00_17604) (BgL_fz00_17604,
															BgL_nsz00_17594, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_32500;

															if (PROCEDUREP(BgL_rz00_17605))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17606;

																	BgL_arg1674z00_17606 =
																		PROCEDURE_ATTR(BgL_rz00_17605);
																	if (STRUCTP(BgL_arg1674z00_17606))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32500 =
																				(STRUCT_KEY(BgL_arg1674z00_17606) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32500 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_32500 = ((bool_t) 0);
																}
															if (BgL_testz00_32500)
																{
																	obj_t BgL_fz00_32508;

																	BgL_fz00_32508 = BgL_rz00_17605;
																	BgL_fz00_17604 = BgL_fz00_32508;
																	goto BgL_recz00_17603;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17594,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17602);
																	BgL_____rz00_17601 = BgL_rz00_17605;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17600);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17599, BgL_sz00_17581);
											return BgL_____rz00_17601;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5682 */
	obj_t BGl_z62run5682z62zz__evaluate_compz00(obj_t BgL_envz00_15034,
		obj_t BgL_sz00_15038)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_15035;
				BgL_ev_absz00_bglt BgL_i1245z00_15036;
				obj_t BgL_bodyz00_15037;

				BgL_iboxesz00_15035 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15034, (int) (((long) 0))));
				BgL_i1245z00_15036 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15034, (int) (((long) 1))));
				BgL_bodyz00_15037 = PROCEDURE_REF(BgL_envz00_15034, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17607;

					BgL_bpz00_17607 = VECTOR_REF(BgL_sz00_15038, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15038,
						BgL_iboxesz00_15035, BgL_bpz00_17607);
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_z12denvz12_17608;
						obj_t BgL_wherez00_17609;
						obj_t BgL_locz00_17610;

						BgL_z12denvz12_17608 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17609 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15036))->BgL_wherez00);
						BgL_locz00_17610 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15036))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1167 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17608, BgL_wherez00_17609,
								BgL_locz00_17610);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_za2za2resza2za2z00_17611;

								BgL_za2za2resza2za2z00_17611 =
									PROCEDURE_ENTRY(BgL_bodyz00_15037) (BgL_bodyz00_15037,
									BgL_sz00_15038, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17608);
								return BgL_za2za2resza2za2z00_17611;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3928> */
	obj_t BGl_z62zc3anonymousza33928ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15039, obj_t BgL_sz00_15045)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_15040;
				long BgL_siza7eza7_15041;
				BgL_ev_absz00_bglt BgL_i1245z00_15042;
				obj_t BgL_bodyz00_15043;
				long BgL_siza7ezd2framez75_15044;

				BgL_ifreesz00_15040 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15039, (int) (((long) 0))));
				BgL_siza7eza7_15041 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15039, (int) (((long) 1))));
				BgL_i1245z00_15042 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15039, (int) (((long) 2))));
				BgL_bodyz00_15043 = PROCEDURE_REF(BgL_envz00_15039, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15044 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15039, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17612;

					BgL_bpz00_17612 = VECTOR_REF(BgL_sz00_15045, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17613;

						BgL_valza2za2_17613 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15045,
							BgL_bpz00_17612, BgL_ifreesz00_15040);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17614;

							BgL_runz00_17614 =
								MAKE_FX_PROCEDURE(BGl_z62run5684z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17614,
								(int) (((long) 0)), BINT(BgL_siza7eza7_15041));
							PROCEDURE_SET(BgL_runz00_17614,
								(int) (((long) 1)), BgL_valza2za2_17613);
							PROCEDURE_SET(BgL_runz00_17614,
								(int) (((long) 2)), ((obj_t) BgL_i1245z00_15042));
							PROCEDURE_SET(BgL_runz00_17614,
								(int) (((long) 3)), BgL_bodyz00_15043);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17615;

								BgL_mainz00_17615 =
									MAKE_VA_PROCEDURE(BGl_z62main5683z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17615,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15041));
								PROCEDURE_SET(BgL_mainz00_17615,
									(int) (((long) 1)), BgL_valza2za2_17613);
								PROCEDURE_SET(BgL_mainz00_17615,
									(int) (((long) 2)), BgL_bodyz00_15043);
								PROCEDURE_SET(BgL_mainz00_17615,
									(int) (((long) 3)), ((obj_t) BgL_i1245z00_15042));
								PROCEDURE_SET(BgL_mainz00_17615,
									(int) (((long) 4)), BgL_runz00_17614);
								PROCEDURE_SET(BgL_mainz00_17615,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15044));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17616;

									BgL_objz00_17616 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17614, BgL_objz00_17616);
									BgL_objz00_17616;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3929z00_17617;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3930z00_17618;
										obj_t BgL_arg3931z00_17619;

										BgL_arg3930z00_17618 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15042))->
											BgL_arityz00);
										BgL_arg3931z00_17619 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15042))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17620;

											BgL_newz00_17620 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32586;

												BgL_tmpz00_32586 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17620, BgL_tmpz00_32586,
													BgL_arg3931z00_17619);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_32591;
												int BgL_tmpz00_32589;

												BgL_auxz00_32591 = BINT(BgL_siza7ezd2framez75_15044);
												BgL_tmpz00_32589 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17620, BgL_tmpz00_32589,
													BgL_auxz00_32591);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32594;

												BgL_tmpz00_32594 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17620, BgL_tmpz00_32594,
													BgL_runz00_17614);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32597;

												BgL_tmpz00_32597 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17620, BgL_tmpz00_32597,
													BgL_arg3930z00_17618);
											}
											BgL_arg3929z00_17617 = BgL_newz00_17620;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17615, BgL_arg3929z00_17617);
									BgL_arg3929z00_17617;
								}
								return BgL_mainz00_17615;
							}
						}
					}
				}
			}
		}
	}



/* &main5683 */
	obj_t BGl_z62main5683z62zz__evaluate_compz00(obj_t BgL_envz00_15046,
		obj_t BgL_az00_15053, obj_t BgL_bz00_15054, obj_t BgL_cz00_15055,
		obj_t BgL_dz00_15056, obj_t BgL_restz00_15057)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_15050;
				obj_t BgL_runz00_15051;
				long BgL_siza7ezd2framez75_15052;

				BgL_i1245z00_15050 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15046, (int) (((long) 3))));
				BgL_runz00_15051 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15046, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15052 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15046, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17621;

					BgL_sz00_17621 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17622;

						BgL_bpz00_17622 = VECTOR_REF(BgL_sz00_17621, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17622) + BgL_siza7ezd2framez75_15052) <
								(long) (VECTOR_LENGTH(BgL_sz00_17621))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3934z00_17623;

									BgL_arg3934z00_17623 =
										((long) CINT(BgL_bpz00_17622) + ((long) 0));
									VECTOR_SET(BgL_sz00_17621,
										(int) (BgL_arg3934z00_17623), BgL_az00_15053);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3935z00_17624;

									BgL_arg3935z00_17624 =
										((long) CINT(BgL_bpz00_17622) + ((long) 1));
									VECTOR_SET(BgL_sz00_17621,
										(int) (BgL_arg3935z00_17624), BgL_bz00_15054);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3936z00_17625;

									BgL_arg3936z00_17625 =
										((long) CINT(BgL_bpz00_17622) + ((long) 2));
									VECTOR_SET(BgL_sz00_17621,
										(int) (BgL_arg3936z00_17625), BgL_cz00_15055);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3937z00_17626;

									BgL_arg3937z00_17626 =
										((long) CINT(BgL_bpz00_17622) + ((long) 3));
									VECTOR_SET(BgL_sz00_17621,
										(int) (BgL_arg3937z00_17626), BgL_dz00_15056);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3938z00_17627;
									long BgL_arg3939z00_17628;
									long BgL_arg3940z00_17629;
									obj_t BgL_arg3941z00_17630;

									BgL_arg3938z00_17627 =
										(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15050))->
										BgL_wherez00);
									BgL_arg3939z00_17628 =
										((long) CINT(BgL_bpz00_17622) + ((long) 4));
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3942z00_17631;

										BgL_arg3942z00_17631 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15050))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3942z00_17631) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3940z00_17629 =
													((long) CINT(BgL_arg3942z00_17631) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3940z00_17629 =
													((long) CINT(BgL_arg3942z00_17631) - ((long) 4));
									}}
									BgL_arg3941z00_17630 =
										(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15050))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_17621,
										BgL_arg3938z00_17627, BgL_arg3939z00_17628,
										BgL_arg3940z00_17629, BgL_restz00_15057,
										BgL_arg3941z00_17630);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17632;

									BgL_ez00_17632 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17632,
										BgL_bpz00_17622);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17633;

										BgL_accz00_17633 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15051, BgL_sz00_17621, BgL_bpz00_17622);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17632);
										VECTOR_SET(BgL_sz00_17621,
											(int) (((long) 0)), BgL_bpz00_17622);
										return BgL_accz00_17633;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17634;

								BgL_nsz00_17634 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17634, (int) (((long) 1)), BgL_sz00_17621);
								VECTOR_SET(BgL_nsz00_17634, (int) (((long) 2)), BgL_az00_15053);
								VECTOR_SET(BgL_nsz00_17634, (int) (((long) 3)), BgL_bz00_15054);
								VECTOR_SET(BgL_nsz00_17634, (int) (((long) 4)), BgL_cz00_15055);
								VECTOR_SET(BgL_nsz00_17634, (int) (((long) 5)), BgL_dz00_15056);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3943z00_17635;
									long BgL_arg3944z00_17636;
									obj_t BgL_arg3945z00_17637;

									BgL_arg3943z00_17635 =
										(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15050))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3946z00_17638;

										BgL_arg3946z00_17638 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15050))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3946z00_17638) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3944z00_17636 =
													((long) CINT(BgL_arg3946z00_17638) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3944z00_17636 =
													((long) CINT(BgL_arg3946z00_17638) - ((long) 4));
									}}
									BgL_arg3945z00_17637 =
										(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15050))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_17634,
										BgL_arg3943z00_17635, ((long) 6), BgL_arg3944z00_17636,
										BgL_restz00_15057, BgL_arg3945z00_17637);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17639;

									BgL_z12denvz12_17639 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17639, BgL_nsz00_17634);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17640;

										BgL_ez00_17640 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17640,
											BgL_sz00_17621);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17641;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17642;

												BgL_savedzd2bpzd2_17642 =
													VECTOR_REF(BgL_nsz00_17634, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17634,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17644;

													BgL_fz00_17644 = BgL_runz00_15051;
												BgL_recz00_17643:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17645;

														BgL_rz00_17645 =
															PROCEDURE_ENTRY(BgL_fz00_17644) (BgL_fz00_17644,
															BgL_nsz00_17634, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_32689;

															if (PROCEDUREP(BgL_rz00_17645))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17646;

																	BgL_arg1674z00_17646 =
																		PROCEDURE_ATTR(BgL_rz00_17645);
																	if (STRUCTP(BgL_arg1674z00_17646))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32689 =
																				(STRUCT_KEY(BgL_arg1674z00_17646) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32689 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_32689 = ((bool_t) 0);
																}
															if (BgL_testz00_32689)
																{
																	obj_t BgL_fz00_32697;

																	BgL_fz00_32697 = BgL_rz00_17645;
																	BgL_fz00_17644 = BgL_fz00_32697;
																	goto BgL_recz00_17643;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17634,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17642);
																	BgL_____rz00_17641 = BgL_rz00_17645;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17640);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17639, BgL_sz00_17621);
											return BgL_____rz00_17641;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5684 */
	obj_t BGl_z62run5684z62zz__evaluate_compz00(obj_t BgL_envz00_15058,
		obj_t BgL_sz00_15063)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				long BgL_siza7eza7_15059;
				obj_t BgL_valza2za2_15060;
				BgL_ev_absz00_bglt BgL_i1245z00_15061;
				obj_t BgL_bodyz00_15062;

				BgL_siza7eza7_15059 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15058, (int) (((long) 0))));
				BgL_valza2za2_15060 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15058, (int) (((long) 1))));
				BgL_i1245z00_15061 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15058, (int) (((long) 2))));
				BgL_bodyz00_15062 = PROCEDURE_REF(BgL_envz00_15058, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17647;

					BgL_bpz00_17647 = VECTOR_REF(BgL_sz00_15063, (int) (((long) 0)));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15063,
						BgL_valza2za2_15060,
						((long) CINT(BgL_bpz00_17647) + BgL_siza7eza7_15059));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17648;
						obj_t BgL_wherez00_17649;
						obj_t BgL_locz00_17650;

						BgL_z12denvz12_17648 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17649 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15061))->BgL_wherez00);
						BgL_locz00_17650 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15061))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17648, BgL_wherez00_17649,
								BgL_locz00_17650);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17651;

								BgL_za2za2resza2za2z00_17651 =
									PROCEDURE_ENTRY(BgL_bodyz00_15062) (BgL_bodyz00_15062,
									BgL_sz00_15063, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17648);
								return BgL_za2za2resza2za2z00_17651;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3949> */
	obj_t BGl_z62zc3anonymousza33949ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15064, obj_t BgL_sz00_15071)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_ifreesz00_15065;
				obj_t BgL_iboxesz00_15066;
				long BgL_siza7eza7_15067;
				BgL_ev_absz00_bglt BgL_i1245z00_15068;
				obj_t BgL_bodyz00_15069;
				long BgL_siza7ezd2framez75_15070;

				BgL_ifreesz00_15065 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15064, (int) (((long) 0))));
				BgL_iboxesz00_15066 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15064, (int) (((long) 1))));
				BgL_siza7eza7_15067 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15064, (int) (((long) 2))));
				BgL_i1245z00_15068 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15064, (int) (((long) 3))));
				BgL_bodyz00_15069 = PROCEDURE_REF(BgL_envz00_15064, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15070 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15064, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17652;

					BgL_bpz00_17652 = VECTOR_REF(BgL_sz00_15071, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_valza2za2_17653;

						BgL_valza2za2_17653 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15071,
							BgL_bpz00_17652, BgL_ifreesz00_15065);
						{	/* Eval/evaluate_comp.scm 1167 */
							obj_t BgL_runz00_17654;

							BgL_runz00_17654 =
								MAKE_FX_PROCEDURE(BGl_z62run5686z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17654,
								(int) (((long) 0)), BgL_iboxesz00_15066);
							PROCEDURE_SET(BgL_runz00_17654,
								(int) (((long) 1)), BINT(BgL_siza7eza7_15067));
							PROCEDURE_SET(BgL_runz00_17654,
								(int) (((long) 2)), BgL_valza2za2_17653);
							PROCEDURE_SET(BgL_runz00_17654,
								(int) (((long) 3)), ((obj_t) BgL_i1245z00_15068));
							PROCEDURE_SET(BgL_runz00_17654,
								(int) (((long) 4)), BgL_bodyz00_15069);
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_mainz00_17655;

								BgL_mainz00_17655 =
									MAKE_VA_PROCEDURE(BGl_z62main5685z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17655,
									(int) (((long) 0)), BgL_iboxesz00_15066);
								PROCEDURE_SET(BgL_mainz00_17655,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15067));
								PROCEDURE_SET(BgL_mainz00_17655,
									(int) (((long) 2)), BgL_valza2za2_17653);
								PROCEDURE_SET(BgL_mainz00_17655,
									(int) (((long) 3)), BgL_bodyz00_15069);
								PROCEDURE_SET(BgL_mainz00_17655,
									(int) (((long) 4)), ((obj_t) BgL_i1245z00_15068));
								PROCEDURE_SET(BgL_mainz00_17655,
									(int) (((long) 5)), BgL_runz00_17654);
								PROCEDURE_SET(BgL_mainz00_17655,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15070));
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_objz00_17656;

									BgL_objz00_17656 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17654, BgL_objz00_17656);
									BgL_objz00_17656;
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3950z00_17657;

									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3951z00_17658;
										obj_t BgL_arg3952z00_17659;

										BgL_arg3951z00_17658 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15068))->
											BgL_arityz00);
										BgL_arg3952z00_17659 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15068))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 676 */
											obj_t BgL_newz00_17660;

											BgL_newz00_17660 =
												create_struct(BGl_symbol5716z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32787;

												BgL_tmpz00_32787 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17660, BgL_tmpz00_32787,
													BgL_arg3952z00_17659);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												obj_t BgL_auxz00_32792;
												int BgL_tmpz00_32790;

												BgL_auxz00_32792 = BINT(BgL_siza7ezd2framez75_15070);
												BgL_tmpz00_32790 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17660, BgL_tmpz00_32790,
													BgL_auxz00_32792);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32795;

												BgL_tmpz00_32795 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17660, BgL_tmpz00_32795,
													BgL_runz00_17654);
											}
											{	/* Eval/evaluate_comp.scm 676 */
												int BgL_tmpz00_32798;

												BgL_tmpz00_32798 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17660, BgL_tmpz00_32798,
													BgL_arg3951z00_17658);
											}
											BgL_arg3950z00_17657 = BgL_newz00_17660;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17655, BgL_arg3950z00_17657);
									BgL_arg3950z00_17657;
								}
								return BgL_mainz00_17655;
							}
						}
					}
				}
			}
		}
	}



/* &main5685 */
	obj_t BGl_z62main5685z62zz__evaluate_compz00(obj_t BgL_envz00_15072,
		obj_t BgL_az00_15080, obj_t BgL_bz00_15081, obj_t BgL_cz00_15082,
		obj_t BgL_dz00_15083, obj_t BgL_restz00_15084)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				BgL_ev_absz00_bglt BgL_i1245z00_15077;
				obj_t BgL_runz00_15078;
				long BgL_siza7ezd2framez75_15079;

				BgL_i1245z00_15077 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15072, (int) (((long) 4))));
				BgL_runz00_15078 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15072, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15079 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15072, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_sz00_17661;

					BgL_sz00_17661 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1167 */
						obj_t BgL_bpz00_17662;

						BgL_bpz00_17662 = VECTOR_REF(BgL_sz00_17661, (int) (((long) 0)));
						if (
							(((long) CINT(BgL_bpz00_17662) + BgL_siza7ezd2framez75_15079) <
								(long) (VECTOR_LENGTH(BgL_sz00_17661))))
							{	/* Eval/evaluate_comp.scm 1167 */
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3955z00_17663;

									BgL_arg3955z00_17663 =
										((long) CINT(BgL_bpz00_17662) + ((long) 0));
									VECTOR_SET(BgL_sz00_17661,
										(int) (BgL_arg3955z00_17663), BgL_az00_15080);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3956z00_17664;

									BgL_arg3956z00_17664 =
										((long) CINT(BgL_bpz00_17662) + ((long) 1));
									VECTOR_SET(BgL_sz00_17661,
										(int) (BgL_arg3956z00_17664), BgL_bz00_15081);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3957z00_17665;

									BgL_arg3957z00_17665 =
										((long) CINT(BgL_bpz00_17662) + ((long) 2));
									VECTOR_SET(BgL_sz00_17661,
										(int) (BgL_arg3957z00_17665), BgL_cz00_15082);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									long BgL_arg3958z00_17666;

									BgL_arg3958z00_17666 =
										((long) CINT(BgL_bpz00_17662) + ((long) 3));
									VECTOR_SET(BgL_sz00_17661,
										(int) (BgL_arg3958z00_17666), BgL_dz00_15083);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3959z00_17667;
									long BgL_arg3960z00_17668;
									long BgL_arg3961z00_17669;
									obj_t BgL_arg3962z00_17670;

									BgL_arg3959z00_17667 =
										(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15077))->
										BgL_wherez00);
									BgL_arg3960z00_17668 =
										((long) CINT(BgL_bpz00_17662) + ((long) 4));
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3963z00_17671;

										BgL_arg3963z00_17671 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15077))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3963z00_17671) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3961z00_17669 =
													((long) CINT(BgL_arg3963z00_17671) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3961z00_17669 =
													((long) CINT(BgL_arg3963z00_17671) - ((long) 4));
									}}
									BgL_arg3962z00_17670 =
										(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15077))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_17661,
										BgL_arg3959z00_17667, BgL_arg3960z00_17668,
										BgL_arg3961z00_17669, BgL_restz00_15084,
										BgL_arg3962z00_17670);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_ez00_17672;

									BgL_ez00_17672 = BGL_EXITD_TOP_AS_OBJ();
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17672,
										BgL_bpz00_17662);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_accz00_17673;

										BgL_accz00_17673 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15078, BgL_sz00_17661, BgL_bpz00_17662);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_17672);
										VECTOR_SET(BgL_sz00_17661,
											(int) (((long) 0)), BgL_bpz00_17662);
										return BgL_accz00_17673;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1167 */
								obj_t BgL_nsz00_17674;

								BgL_nsz00_17674 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17674, (int) (((long) 1)), BgL_sz00_17661);
								VECTOR_SET(BgL_nsz00_17674, (int) (((long) 2)), BgL_az00_15080);
								VECTOR_SET(BgL_nsz00_17674, (int) (((long) 3)), BgL_bz00_15081);
								VECTOR_SET(BgL_nsz00_17674, (int) (((long) 4)), BgL_cz00_15082);
								VECTOR_SET(BgL_nsz00_17674, (int) (((long) 5)), BgL_dz00_15083);
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_arg3964z00_17675;
									long BgL_arg3965z00_17676;
									obj_t BgL_arg3966z00_17677;

									BgL_arg3964z00_17675 =
										(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15077))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_arg3967z00_17678;

										BgL_arg3967z00_17678 =
											(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15077))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3967z00_17678) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3965z00_17676 =
													((long) CINT(BgL_arg3967z00_17678) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1052 */
												BgL_arg3965z00_17676 =
													((long) CINT(BgL_arg3967z00_17678) - ((long) 4));
									}}
									BgL_arg3966z00_17677 =
										(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15077))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_17674,
										BgL_arg3964z00_17675, ((long) 6), BgL_arg3965z00_17676,
										BgL_restz00_15084, BgL_arg3966z00_17677);
								}
								{	/* Eval/evaluate_comp.scm 1167 */
									obj_t BgL_z12denvz12_17679;

									BgL_z12denvz12_17679 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17679, BgL_nsz00_17674);
									{	/* Eval/evaluate_comp.scm 1167 */
										obj_t BgL_ez00_17680;

										BgL_ez00_17680 = BGL_EXITD_TOP_AS_OBJ();
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_17680,
											BgL_sz00_17661);
										{	/* Eval/evaluate_comp.scm 1167 */
											obj_t BgL_____rz00_17681;

											{	/* Eval/evaluate_comp.scm 663 */
												obj_t BgL_savedzd2bpzd2_17682;

												BgL_savedzd2bpzd2_17682 =
													VECTOR_REF(BgL_nsz00_17674, (int) (((long) 0)));
												VECTOR_SET(BgL_nsz00_17674,
													(int) (((long) 0)), BINT(((long) 2)));
												{
													obj_t BgL_fz00_17684;

													BgL_fz00_17684 = BgL_runz00_15078;
												BgL_recz00_17683:
													{	/* Eval/evaluate_comp.scm 666 */
														obj_t BgL_rz00_17685;

														BgL_rz00_17685 =
															PROCEDURE_ENTRY(BgL_fz00_17684) (BgL_fz00_17684,
															BgL_nsz00_17674, BEOA);
														{	/* Eval/evaluate_comp.scm 667 */
															bool_t BgL_testz00_32890;

															if (PROCEDUREP(BgL_rz00_17685))
																{	/* Eval/evaluate_comp.scm 667 */
																	obj_t BgL_arg1674z00_17686;

																	BgL_arg1674z00_17686 =
																		PROCEDURE_ATTR(BgL_rz00_17685);
																	if (STRUCTP(BgL_arg1674z00_17686))
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32890 =
																				(STRUCT_KEY(BgL_arg1674z00_17686) ==
																				BGl_symbol5695z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 647 */
																			BgL_testz00_32890 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	BgL_testz00_32890 = ((bool_t) 0);
																}
															if (BgL_testz00_32890)
																{
																	obj_t BgL_fz00_32898;

																	BgL_fz00_32898 = BgL_rz00_17685;
																	BgL_fz00_17684 = BgL_fz00_32898;
																	goto BgL_recz00_17683;
																}
															else
																{	/* Eval/evaluate_comp.scm 667 */
																	VECTOR_SET(BgL_nsz00_17674,
																		(int) (((long) 0)),
																		BgL_savedzd2bpzd2_17682);
																	BgL_____rz00_17681 = BgL_rz00_17685;
											}}}}}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_ez00_17680);
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17679, BgL_sz00_17661);
											return BgL_____rz00_17681;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &run5686 */
	obj_t BGl_z62run5686z62zz__evaluate_compz00(obj_t BgL_envz00_15085,
		obj_t BgL_sz00_15091)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1167 */
			{	/* Eval/evaluate_comp.scm 1167 */
				obj_t BgL_iboxesz00_15086;
				long BgL_siza7eza7_15087;
				obj_t BgL_valza2za2_15088;
				BgL_ev_absz00_bglt BgL_i1245z00_15089;
				obj_t BgL_bodyz00_15090;

				BgL_iboxesz00_15086 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15085, (int) (((long) 0))));
				BgL_siza7eza7_15087 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15085, (int) (((long) 1))));
				BgL_valza2za2_15088 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15085, (int) (((long) 2))));
				BgL_i1245z00_15089 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15085, (int) (((long) 3))));
				BgL_bodyz00_15090 = PROCEDURE_REF(BgL_envz00_15085, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1167 */
					obj_t BgL_bpz00_17687;

					BgL_bpz00_17687 = VECTOR_REF(BgL_sz00_15091, (int) (((long) 0)));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15091,
						BgL_iboxesz00_15086, BgL_bpz00_17687);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15091,
						BgL_valza2za2_15088,
						((long) CINT(BgL_bpz00_17687) + BgL_siza7eza7_15087));
					{	/* Eval/evaluate_comp.scm 1088 */
						obj_t BgL_z12denvz12_17688;
						obj_t BgL_wherez00_17689;
						obj_t BgL_locz00_17690;

						BgL_z12denvz12_17688 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17689 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15089))->BgL_wherez00);
						BgL_locz00_17690 =
							(((BgL_ev_absz00_bglt) CREF(BgL_i1245z00_15089))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1088 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17688, BgL_wherez00_17689,
								BgL_locz00_17690);
							{	/* Eval/evaluate_comp.scm 1088 */
								obj_t BgL_za2za2resza2za2z00_17691;

								BgL_za2za2resza2za2z00_17691 =
									PROCEDURE_ENTRY(BgL_bodyz00_15090) (BgL_bodyz00_15090,
									BgL_sz00_15091, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17688);
								return BgL_za2za2resza2za2z00_17691;
							}
						}
					}
				}
			}
		}
	}



/* &comp-ev_app1424 */
	obj_t BGl_z62compzd2ev_app1424zb0zz__evaluate_compz00(obj_t BgL_envz00_15092,
		obj_t BgL_ez00_15093, obj_t BgL_stkz00_15094)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1037 */
			{	/* Eval/evaluate_comp.scm 1039 */
				obj_t BgL__ortest_1231z00_17693;

				BgL__ortest_1231z00_17693 =
					BGl_arithzd2expressionzd2zz__evaluate_compz00(
					((BgL_ev_appz00_bglt) BgL_ez00_15093), BgL_stkz00_15094);
				if (CBOOL(BgL__ortest_1231z00_17693))
					{	/* Eval/evaluate_comp.scm 1039 */
						return BgL__ortest_1231z00_17693;
					}
				else
					{	/* Eval/evaluate_comp.scm 1040 */
						obj_t BgL__ortest_1232z00_17694;

						BgL__ortest_1232z00_17694 =
							BGl_inlinezd2callzd2zz__evaluate_compz00(
							(((BgL_ev_appz00_bglt) CREF(
										((BgL_ev_appz00_bglt) BgL_ez00_15093)))->BgL_locz00),
							(((BgL_ev_appz00_bglt) CREF(
										((BgL_ev_appz00_bglt) BgL_ez00_15093)))->BgL_funz00),
							(((BgL_ev_appz00_bglt) CREF(
										((BgL_ev_appz00_bglt) BgL_ez00_15093)))->BgL_argsz00),
							BgL_stkz00_15094);
						if (CBOOL(BgL__ortest_1232z00_17694))
							{	/* Eval/evaluate_comp.scm 1040 */
								return BgL__ortest_1232z00_17694;
							}
						else
							{	/* Eval/evaluate_comp.scm 1040 */
								if (
									(bgl_list_length(
											(((BgL_ev_appz00_bglt) CREF(
														((BgL_ev_appz00_bglt) BgL_ez00_15093)))->
												BgL_argsz00)) > ((long) 4)))
									{	/* Eval/evaluate_comp.scm 1041 */
										return
											BGl_compzd2oldzd2callz00zz__evaluate_compz00(
											((BgL_ev_appz00_bglt) BgL_ez00_15093), BgL_stkz00_15094);
									}
								else
									{	/* Eval/evaluate_comp.scm 1043 */
										obj_t BgL_fz00_17695;
										long BgL_siza7eza7_17696;
										obj_t BgL_symbzd2funzd2_17697;

										BgL_fz00_17695 =
											BGl_compz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) CREF(
														((BgL_ev_appz00_bglt) BgL_ez00_15093)))->
												BgL_funz00), BgL_stkz00_15094);
										BgL_siza7eza7_17696 = bgl_list_length(BgL_stkz00_15094);
										BgL_symbzd2funzd2_17697 =
											BGl_uncompilez00zz__evaluate_uncompz00(
											(((BgL_ev_appz00_bglt) CREF(
														((BgL_ev_appz00_bglt) BgL_ez00_15093)))->
												BgL_funz00));
										if (NULLP((((BgL_ev_appz00_bglt) CREF(((BgL_ev_appz00_bglt)
																BgL_ez00_15093)))->BgL_argsz00)))
											{	/* Eval/evaluate_comp.scm 1044 */
												return
													BGl_compzd2call0zd2zz__evaluate_compz00(
													(((BgL_ev_appz00_bglt) CREF(
																((BgL_ev_appz00_bglt) BgL_ez00_15093)))->
														BgL_locz00),
													(((BgL_ev_appz00_bglt) CREF(((BgL_ev_appz00_bglt)
																	BgL_ez00_15093)))->BgL_funz00),
													BgL_symbzd2funzd2_17697, BgL_fz00_17695,
													(((BgL_ev_appz00_bglt) CREF(((BgL_ev_appz00_bglt)
																	BgL_ez00_15093)))->BgL_tailzf3zf3),
													BgL_stkz00_15094, BgL_siza7eza7_17696);
											}
										else
											{	/* Eval/evaluate_comp.scm 1046 */
												obj_t BgL_a1z00_17698;
												obj_t BgL_argsz00_17699;

												{	/* Eval/evaluate_comp.scm 1046 */
													obj_t BgL_arg3379z00_17700;

													BgL_arg3379z00_17700 =
														CAR(
														(((BgL_ev_appz00_bglt) CREF(
																	((BgL_ev_appz00_bglt) BgL_ez00_15093)))->
															BgL_argsz00));
													BgL_a1z00_17698 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_arg3379z00_17700),
														BgL_stkz00_15094);
												}
												BgL_argsz00_17699 =
													CDR(
													(((BgL_ev_appz00_bglt) CREF(
																((BgL_ev_appz00_bglt) BgL_ez00_15093)))->
														BgL_argsz00));
												if (NULLP(BgL_argsz00_17699))
													{	/* Eval/evaluate_comp.scm 1046 */
														return
															BGl_compzd2call1zd2zz__evaluate_compz00(
															(((BgL_ev_appz00_bglt) CREF(
																		((BgL_ev_appz00_bglt) BgL_ez00_15093)))->
																BgL_locz00),
															(((BgL_ev_appz00_bglt) CREF(((BgL_ev_appz00_bglt)
																			BgL_ez00_15093)))->BgL_funz00),
															BgL_symbzd2funzd2_17697, BgL_fz00_17695,
															(((BgL_ev_appz00_bglt) CREF(((BgL_ev_appz00_bglt)
																			BgL_ez00_15093)))->BgL_tailzf3zf3),
															BgL_stkz00_15094, BgL_siza7eza7_17696,
															BgL_a1z00_17698);
													}
												else
													{	/* Eval/evaluate_comp.scm 1046 */
														obj_t BgL_a2z00_17701;
														obj_t BgL_argsz00_17702;

														{	/* Eval/evaluate_comp.scm 1046 */
															obj_t BgL_arg3377z00_17703;

															BgL_arg3377z00_17703 = CAR(BgL_argsz00_17699);
															BgL_a2z00_17701 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_arg3377z00_17703),
																BgL_stkz00_15094);
														}
														BgL_argsz00_17702 = CDR(BgL_argsz00_17699);
														if (NULLP(BgL_argsz00_17702))
															{	/* Eval/evaluate_comp.scm 1046 */
																return
																	BGl_compzd2call2zd2zz__evaluate_compz00(
																	(((BgL_ev_appz00_bglt) CREF(
																				((BgL_ev_appz00_bglt)
																					BgL_ez00_15093)))->BgL_locz00),
																	(((BgL_ev_appz00_bglt)
																			CREF(((BgL_ev_appz00_bglt)
																					BgL_ez00_15093)))->BgL_funz00),
																	BgL_symbzd2funzd2_17697, BgL_fz00_17695,
																	(((BgL_ev_appz00_bglt)
																			CREF(((BgL_ev_appz00_bglt)
																					BgL_ez00_15093)))->BgL_tailzf3zf3),
																	BgL_stkz00_15094, BgL_siza7eza7_17696,
																	BgL_a1z00_17698, BgL_a2z00_17701);
															}
														else
															{	/* Eval/evaluate_comp.scm 1046 */
																obj_t BgL_a3z00_17704;
																obj_t BgL_argsz00_17705;

																{	/* Eval/evaluate_comp.scm 1046 */
																	obj_t BgL_arg3376z00_17706;

																	BgL_arg3376z00_17706 = CAR(BgL_argsz00_17702);
																	BgL_a3z00_17704 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt)
																			BgL_arg3376z00_17706), BgL_stkz00_15094);
																}
																BgL_argsz00_17705 = CDR(BgL_argsz00_17702);
																if (NULLP(BgL_argsz00_17705))
																	{	/* Eval/evaluate_comp.scm 1046 */
																		return
																			BGl_compzd2call3zd2zz__evaluate_compz00(
																			(((BgL_ev_appz00_bglt) CREF(
																						((BgL_ev_appz00_bglt)
																							BgL_ez00_15093)))->BgL_locz00),
																			(((BgL_ev_appz00_bglt)
																					CREF(((BgL_ev_appz00_bglt)
																							BgL_ez00_15093)))->BgL_funz00),
																			BgL_symbzd2funzd2_17697, BgL_fz00_17695,
																			(((BgL_ev_appz00_bglt)
																					CREF(((BgL_ev_appz00_bglt)
																							BgL_ez00_15093)))->
																				BgL_tailzf3zf3), BgL_stkz00_15094,
																			BgL_siza7eza7_17696, BgL_a1z00_17698,
																			BgL_a2z00_17701, BgL_a3z00_17704);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 1046 */
																		obj_t BgL_a4z00_17707;
																		obj_t BgL_argsz00_17708;

																		{	/* Eval/evaluate_comp.scm 1046 */
																			obj_t BgL_arg3374z00_17709;

																			BgL_arg3374z00_17709 =
																				CAR(BgL_argsz00_17705);
																			BgL_a4z00_17707 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt)
																					BgL_arg3374z00_17709),
																				BgL_stkz00_15094);
																		}
																		BgL_argsz00_17708 = CDR(BgL_argsz00_17705);
																		if (NULLP(BgL_argsz00_17708))
																			{	/* Eval/evaluate_comp.scm 1046 */
																				return
																					BGl_compzd2call4zd2zz__evaluate_compz00
																					((((BgL_ev_appz00_bglt)
																							CREF(((BgL_ev_appz00_bglt)
																									BgL_ez00_15093)))->
																						BgL_locz00),
																					(((BgL_ev_appz00_bglt)
																							CREF(((BgL_ev_appz00_bglt)
																									BgL_ez00_15093)))->
																						BgL_funz00),
																					BgL_symbzd2funzd2_17697,
																					BgL_fz00_17695,
																					(((BgL_ev_appz00_bglt)
																							CREF(((BgL_ev_appz00_bglt)
																									BgL_ez00_15093)))->
																						BgL_tailzf3zf3), BgL_stkz00_15094,
																					BgL_siza7eza7_17696, BgL_a1z00_17698,
																					BgL_a2z00_17701, BgL_a3z00_17704,
																					BgL_a4z00_17707);
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 1046 */
																				return
																					BGl_errorz00zz__errorz00
																					(BGl_string5699z00zz__evaluate_compz00,
																					BGl_string5814z00zz__evaluate_compz00,
																					BGl_string5815z00zz__evaluate_compz00);
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}
	}



/* &comp-ev_goto1422 */
	obj_t BGl_z62compzd2ev_goto1422zb0zz__evaluate_compz00(obj_t BgL_envz00_15095,
		obj_t BgL_ez00_15096, obj_t BgL_stkz00_15097)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 597 */
			{	/* Eval/evaluate_comp.scm 600 */
				obj_t BgL_slotz00_17713;
				long BgL_siza7eza7_17714;
				obj_t BgL_lstkz00_17715;

				BgL_slotz00_17713 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
					((obj_t)
						(((BgL_ev_gotoz00_bglt) CREF(
									((BgL_ev_gotoz00_bglt) BgL_ez00_15096)))->BgL_labelz00)),
					(((BgL_ev_labelsz00_bglt) CREF(
								(((BgL_ev_gotoz00_bglt) CREF(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15096)))->
									BgL_labelsz00)))->BgL_envz00));
				BgL_siza7eza7_17714 = bgl_list_length(BgL_stkz00_15097);
				BgL_lstkz00_17715 =
					(((BgL_ev_labelsz00_bglt) CREF(
							(((BgL_ev_gotoz00_bglt) CREF(
										((BgL_ev_gotoz00_bglt) BgL_ez00_15096)))->BgL_labelsz00)))->
					BgL_stkz00);
				{	/* Eval/evaluate_comp.scm 602 */
					long BgL_llstkz00_17716;
					obj_t BgL_substkz00_17717;
					obj_t BgL_boxesz00_17718;

					BgL_llstkz00_17716 = bgl_list_length(BgL_lstkz00_17715);
					BgL_substkz00_17717 =
						BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_17715,
						BgL_stkz00_15097);
					{	/* Eval/evaluate_comp.scm 602 */
						obj_t BgL_pairz00_17719;

						BgL_pairz00_17719 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t)
								(((BgL_ev_gotoz00_bglt) CREF(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15096)))->BgL_labelz00)),
							(((BgL_ev_labelsz00_bglt) CREF(
										(((BgL_ev_gotoz00_bglt) CREF(
													((BgL_ev_gotoz00_bglt) BgL_ez00_15096)))->
											BgL_labelsz00)))->BgL_boxesz00));
						BgL_boxesz00_17718 = CDR(BgL_pairz00_17719);
					}
					if (BGl_needzd2shiftzd2zz__evaluate_compz00(
							(((BgL_ev_gotoz00_bglt) CREF(
										((BgL_ev_gotoz00_bglt) BgL_ez00_15096)))->BgL_argsz00),
							BgL_substkz00_17717))
						{	/* Eval/evaluate_comp.scm 605 */
							obj_t BgL_argsz00_17720;
							long BgL_nbargsz00_17721;

							BgL_argsz00_17720 =
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(
								(((BgL_ev_gotoz00_bglt) CREF(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15096)))->BgL_argsz00),
								BgL_stkz00_15097);
							BgL_nbargsz00_17721 =
								bgl_list_length((((BgL_ev_gotoz00_bglt)
										CREF(((BgL_ev_gotoz00_bglt) BgL_ez00_15096)))->
									BgL_argsz00));
							{	/* Eval/evaluate_comp.scm 606 */
								obj_t BgL_zc3anonymousza33310ze3z83_17722;

								BgL_zc3anonymousza33310ze3z83_17722 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33310ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3anonymousza33310ze3z83_17722,
									(int) (((long) 0)), BINT(BgL_siza7eza7_17714));
								PROCEDURE_SET(BgL_zc3anonymousza33310ze3z83_17722,
									(int) (((long) 1)), BINT(BgL_llstkz00_17716));
								PROCEDURE_SET(BgL_zc3anonymousza33310ze3z83_17722,
									(int) (((long) 2)),
									((obj_t) ((BgL_ev_gotoz00_bglt) BgL_ez00_15096)));
								PROCEDURE_SET(BgL_zc3anonymousza33310ze3z83_17722,
									(int) (((long) 3)), BgL_argsz00_17720);
								PROCEDURE_SET(BgL_zc3anonymousza33310ze3z83_17722,
									(int) (((long) 4)), BgL_boxesz00_17718);
								PROCEDURE_SET(BgL_zc3anonymousza33310ze3z83_17722,
									(int) (((long) 5)), BINT(BgL_nbargsz00_17721));
								PROCEDURE_SET(BgL_zc3anonymousza33310ze3z83_17722,
									(int) (((long) 6)), BgL_slotz00_17713);
								return BgL_zc3anonymousza33310ze3z83_17722;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 611 */
							obj_t BgL_argsz00_17723;

							{	/* Eval/evaluate_comp.scm 611 */
								obj_t BgL_lz00_17724;
								long BgL_nz00_17725;

								BgL_lz00_17724 =
									(((BgL_ev_gotoz00_bglt) CREF(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15096)))->BgL_argsz00);
								BgL_nz00_17725 = (BgL_siza7eza7_17714 - BgL_llstkz00_17716);
								BgL_argsz00_17723 =
									BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_15097,
									BgL_lz00_17724, BgL_nz00_17725);
							}
							{	/* Eval/evaluate_comp.scm 612 */
								obj_t BgL_zc3anonymousza33319ze3z83_17726;

								BgL_zc3anonymousza33319ze3z83_17726 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33319ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza33319ze3z83_17726,
									(int) (((long) 0)), BINT(BgL_llstkz00_17716));
								PROCEDURE_SET(BgL_zc3anonymousza33319ze3z83_17726,
									(int) (((long) 1)),
									((obj_t) ((BgL_ev_gotoz00_bglt) BgL_ez00_15096)));
								PROCEDURE_SET(BgL_zc3anonymousza33319ze3z83_17726,
									(int) (((long) 2)), BgL_argsz00_17723);
								PROCEDURE_SET(BgL_zc3anonymousza33319ze3z83_17726,
									(int) (((long) 3)), BgL_boxesz00_17718);
								PROCEDURE_SET(BgL_zc3anonymousza33319ze3z83_17726,
									(int) (((long) 4)), BgL_slotz00_17713);
								return BgL_zc3anonymousza33319ze3z83_17726;
							}
						}
				}
			}
		}
	}



/* &<anonymous:3310> */
	obj_t BGl_z62zc3anonymousza33310ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15098, obj_t BgL_sz00_15106)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 606 */
			{	/* Eval/evaluate_comp.scm 606 */
				long BgL_siza7eza7_15099;
				long BgL_llstkz00_15100;
				BgL_ev_gotoz00_bglt BgL_i1143z00_15101;
				obj_t BgL_argsz00_15102;
				obj_t BgL_boxesz00_15103;
				long BgL_nbargsz00_15104;
				obj_t BgL_slotz00_15105;

				BgL_siza7eza7_15099 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15098, (int) (((long) 0))));
				BgL_llstkz00_15100 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15098, (int) (((long) 1))));
				BgL_i1143z00_15101 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_15098, (int) (((long) 2))));
				BgL_argsz00_15102 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15098, (int) (((long) 3))));
				BgL_boxesz00_15103 =
					PROCEDURE_REF(BgL_envz00_15098, (int) (((long) 4)));
				BgL_nbargsz00_15104 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15098, (int) (((long) 5))));
				BgL_slotz00_15105 = PROCEDURE_REF(BgL_envz00_15098, (int) (((long) 6)));
				{	/* Eval/evaluate_comp.scm 606 */
					obj_t BgL_bpz00_17727;

					BgL_bpz00_17727 = VECTOR_REF(BgL_sz00_15106, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 607 */
						long BgL_spz00_17728;
						long BgL_lspz00_17729;

						BgL_spz00_17728 =
							((long) CINT(BgL_bpz00_17727) + BgL_siza7eza7_15099);
						BgL_lspz00_17729 =
							((long) CINT(BgL_bpz00_17727) + BgL_llstkz00_15100);
						BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
							(BgL_sz00_15106, BgL_argsz00_15102, BgL_boxesz00_15103,
							BgL_spz00_17728,
							(((BgL_ev_gotoz00_bglt) CREF(BgL_i1143z00_15101))->BgL_locz00));
						{	/* Eval/evaluate_comp.scm 609 */
							long BgL_arg3315z00_17730;

							BgL_arg3315z00_17730 = (BgL_spz00_17728 + BgL_nbargsz00_15104);
							BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_15106,
								BgL_lspz00_17729, BgL_sz00_15106, BINT(BgL_spz00_17728),
								BINT(BgL_arg3315z00_17730));
						}
						return CDR(BgL_slotz00_15105);
					}
				}
			}
		}
	}



/* &<anonymous:3319> */
	obj_t BGl_z62zc3anonymousza33319ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15107, obj_t BgL_sz00_15113)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 612 */
			{	/* Eval/evaluate_comp.scm 612 */
				long BgL_llstkz00_15108;
				BgL_ev_gotoz00_bglt BgL_i1143z00_15109;
				obj_t BgL_argsz00_15110;
				obj_t BgL_boxesz00_15111;
				obj_t BgL_slotz00_15112;

				BgL_llstkz00_15108 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15107, (int) (((long) 0))));
				BgL_i1143z00_15109 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_15107, (int) (((long) 1))));
				BgL_argsz00_15110 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15107, (int) (((long) 2))));
				BgL_boxesz00_15111 =
					PROCEDURE_REF(BgL_envz00_15107, (int) (((long) 3)));
				BgL_slotz00_15112 = PROCEDURE_REF(BgL_envz00_15107, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 612 */
					obj_t BgL_bpz00_17731;

					BgL_bpz00_17731 = VECTOR_REF(BgL_sz00_15113, (int) (((long) 0)));
					BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
						(BgL_sz00_15113, BgL_argsz00_15110, BgL_boxesz00_15111,
						((long) CINT(BgL_bpz00_17731) + BgL_llstkz00_15108),
						(((BgL_ev_gotoz00_bglt) CREF(BgL_i1143z00_15109))->BgL_locz00));
					return CDR(BgL_slotz00_15112);
				}
			}
		}
	}



/* &comp-ev_labels1420 */
	obj_t BGl_z62compzd2ev_labels1420zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15114, obj_t BgL_ez00_15115, obj_t BgL_stkz00_15116)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 565 */
			((((BgL_ev_labelsz00_bglt) CREF(
							((BgL_ev_labelsz00_bglt) BgL_ez00_15115)))->BgL_stkz00) =
				((obj_t) BgL_stkz00_15116), BUNSPEC);
			{	/* Eval/evaluate_comp.scm 572 */
				obj_t BgL_envz00_17733;

				{	/* Eval/evaluate_comp.scm 572 */
					obj_t BgL_l1324z00_17734;

					BgL_l1324z00_17734 =
						(((BgL_ev_labelsz00_bglt) CREF(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15115)))->BgL_varsz00);
					if (NULLP(BgL_l1324z00_17734))
						{	/* Eval/evaluate_comp.scm 572 */
							BgL_envz00_17733 = BNIL;
						}
					else
						{	/* Eval/evaluate_comp.scm 572 */
							obj_t BgL_head1326z00_17735;

							{	/* Eval/evaluate_comp.scm 572 */
								obj_t BgL_res5123z00_17736;

								BgL_res5123z00_17736 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								BgL_head1326z00_17735 = BgL_res5123z00_17736;
							}
							{
								obj_t BgL_l1324z00_17738;
								obj_t BgL_tail1327z00_17739;

								BgL_l1324z00_17738 = BgL_l1324z00_17734;
								BgL_tail1327z00_17739 = BgL_head1326z00_17735;
							BgL_zc3anonymousza33298ze3z83_17737:
								if (NULLP(BgL_l1324z00_17738))
									{	/* Eval/evaluate_comp.scm 572 */
										BgL_envz00_17733 = CDR(BgL_head1326z00_17735);
									}
								else
									{	/* Eval/evaluate_comp.scm 572 */
										obj_t BgL_newtail1328z00_17740;

										{	/* Eval/evaluate_comp.scm 572 */
											obj_t BgL_arg3304z00_17741;

											{	/* Eval/evaluate_comp.scm 572 */
												obj_t BgL_vz00_17742;

												BgL_vz00_17742 = CAR(BgL_l1324z00_17738);
												BgL_arg3304z00_17741 =
													MAKE_YOUNG_PAIR(BgL_vz00_17742,
													BGl_symbol5816z00zz__evaluate_compz00);
											}
											{	/* Eval/evaluate_comp.scm 572 */
												obj_t BgL_res5129z00_17743;

												BgL_res5129z00_17743 =
													MAKE_YOUNG_PAIR(BgL_arg3304z00_17741, BNIL);
												BgL_newtail1328z00_17740 = BgL_res5129z00_17743;
											}
										}
										SET_CDR(BgL_tail1327z00_17739, BgL_newtail1328z00_17740);
										{
											obj_t BgL_tail1327z00_33168;
											obj_t BgL_l1324z00_33166;

											BgL_l1324z00_33166 = CDR(BgL_l1324z00_17738);
											BgL_tail1327z00_33168 = BgL_newtail1328z00_17740;
											BgL_tail1327z00_17739 = BgL_tail1327z00_33168;
											BgL_l1324z00_17738 = BgL_l1324z00_33166;
											goto BgL_zc3anonymousza33298ze3z83_17737;
										}
									}
							}
						}
				}
				((((BgL_ev_labelsz00_bglt) CREF(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15115)))->BgL_envz00) =
					((obj_t) BgL_envz00_17733), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 575 */
					obj_t BgL_g1332z00_17744;

					BgL_g1332z00_17744 =
						(((BgL_ev_labelsz00_bglt) CREF(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15115)))->BgL_valsz00);
					{
						obj_t BgL_ll1329z00_17746;
						obj_t BgL_ll1330z00_17747;

						BgL_ll1329z00_17746 = BgL_envz00_17733;
						BgL_ll1330z00_17747 = BgL_g1332z00_17744;
					BgL_zc3anonymousza33288ze3z83_17745:
						if (NULLP(BgL_ll1329z00_17746))
							{	/* Eval/evaluate_comp.scm 575 */
								((bool_t) 1);
							}
						else
							{	/* Eval/evaluate_comp.scm 575 */
								{	/* Eval/evaluate_comp.scm 577 */
									obj_t BgL_slotz00_17748;
									obj_t BgL_valz00_17749;

									BgL_slotz00_17748 = CAR(BgL_ll1329z00_17746);
									BgL_valz00_17749 = CAR(BgL_ll1330z00_17747);
									{	/* Eval/evaluate_comp.scm 578 */
										obj_t BgL_arg3290z00_17750;

										{	/* Eval/evaluate_comp.scm 578 */
											obj_t BgL_arg3291z00_17751;

											{	/* Eval/evaluate_comp.scm 578 */
												obj_t BgL_arg3292z00_17752;
												obj_t BgL_arg3293z00_17753;

												BgL_arg3292z00_17752 = CDR(BgL_valz00_17749);
												BgL_arg3293z00_17753 =
													BGl_appendzd221011zd2zz__evaluate_compz00
													(BgL_stkz00_15116, CAR(BgL_valz00_17749));
												BgL_arg3291z00_17751 =
													BGl_compz00zz__evaluate_compz00(((BgL_ev_exprz00_bglt)
														BgL_arg3292z00_17752), BgL_arg3293z00_17753);
											}
											{	/* Eval/evaluate_comp.scm 567 */
												obj_t BgL_objz00_17754;

												BgL_objz00_17754 =
													BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00;
												PROCEDURE_ATTR_SET(BgL_arg3291z00_17751,
													BgL_objz00_17754);
												BgL_objz00_17754;
											}
											BgL_arg3290z00_17750 = BgL_arg3291z00_17751;
										}
										SET_CDR(BgL_slotz00_17748, BgL_arg3290z00_17750);
									}
								}
								{
									obj_t BgL_ll1330z00_33186;
									obj_t BgL_ll1329z00_33184;

									BgL_ll1329z00_33184 = CDR(BgL_ll1329z00_17746);
									BgL_ll1330z00_33186 = CDR(BgL_ll1330z00_17747);
									BgL_ll1330z00_17747 = BgL_ll1330z00_33186;
									BgL_ll1329z00_17746 = BgL_ll1329z00_33184;
									goto BgL_zc3anonymousza33288ze3z83_17745;
								}
							}
					}
				}
			}
			{	/* Eval/evaluate_comp.scm 582 */
				obj_t BgL_bodyz00_17755;

				BgL_bodyz00_17755 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_labelsz00_bglt) CREF(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15115)))->BgL_bodyz00),
					BgL_stkz00_15116);
				{	/* Eval/evaluate_comp.scm 583 */
					obj_t BgL_zc3anonymousza33305ze3z83_17756;

					BgL_zc3anonymousza33305ze3z83_17756 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33305ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza33305ze3z83_17756, (int) (((long) 0)),
						BgL_bodyz00_17755);
					return BgL_zc3anonymousza33305ze3z83_17756;
				}
			}
		}
	}



/* &<anonymous:3305> */
	obj_t BGl_z62zc3anonymousza33305ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15117, obj_t BgL_sz00_15119)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 583 */
			{	/* Eval/evaluate_comp.scm 583 */
				obj_t BgL_bodyz00_15118;

				BgL_bodyz00_15118 = PROCEDURE_REF(BgL_envz00_15117, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 583 */
					obj_t BgL_bpz00_17757;

					BgL_bpz00_17757 = VECTOR_REF(BgL_sz00_15119, (int) (((long) 0)));
					{
						obj_t BgL_fz00_17759;

						BgL_fz00_17759 = BgL_bodyz00_15118;
					BgL_recz00_17758:
						{	/* Eval/evaluate_comp.scm 590 */
							obj_t BgL_rz00_17760;

							BgL_rz00_17760 =
								PROCEDURE_ENTRY(BgL_fz00_17759) (BgL_fz00_17759, BgL_sz00_15119,
								BEOA);
							{	/* Eval/evaluate_comp.scm 592 */
								bool_t BgL_testz00_33204;

								if (PROCEDUREP(BgL_rz00_17760))
									{	/* Eval/evaluate_comp.scm 592 */
										obj_t BgL_arg1632z00_17761;

										BgL_arg1632z00_17761 = PROCEDURE_ATTR(BgL_rz00_17760);
										if (STRUCTP(BgL_arg1632z00_17761))
											{	/* Eval/evaluate_comp.scm 562 */
												BgL_testz00_33204 =
													(STRUCT_KEY(BgL_arg1632z00_17761) ==
													BGl_symbol5693z00zz__evaluate_compz00);
											}
										else
											{	/* Eval/evaluate_comp.scm 562 */
												BgL_testz00_33204 = ((bool_t) 0);
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 592 */
										BgL_testz00_33204 = ((bool_t) 0);
									}
								if (BgL_testz00_33204)
									{
										obj_t BgL_fz00_33212;

										BgL_fz00_33212 = BgL_rz00_17760;
										BgL_fz00_17759 = BgL_fz00_33212;
										goto BgL_recz00_17758;
									}
								else
									{	/* Eval/evaluate_comp.scm 592 */
										return BgL_rz00_17760;
									}
							}
						}
					}
				}
			}
		}
	}



/* &comp-ev_synchronize1418 */
	obj_t BGl_z62compzd2ev_synchroniza7e1418z17zz__evaluate_compz00(obj_t
		BgL_envz00_15120, obj_t BgL_ez00_15121, obj_t BgL_stkz00_15122)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 545 */
			{	/* Eval/evaluate_comp.scm 547 */
				obj_t BgL_mutexz00_17763;
				obj_t BgL_prelockz00_17764;
				obj_t BgL_bodyz00_17765;

				BgL_mutexz00_17763 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_synchroniza7eza7_bglt) CREF(
								((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15121)))->
						BgL_mutexz00), BgL_stkz00_15122);
				BgL_prelockz00_17764 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_synchroniza7eza7_bglt)
							CREF(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15121)))->
						BgL_prelockz00), BgL_stkz00_15122);
				BgL_bodyz00_17765 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_synchroniza7eza7_bglt)
							CREF(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15121)))->
						BgL_bodyz00), BgL_stkz00_15122);
				{	/* Eval/evaluate_comp.scm 550 */
					obj_t BgL_zc3anonymousza33279ze3z83_17766;

					BgL_zc3anonymousza33279ze3z83_17766 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33279ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 4)));
					PROCEDURE_SET(BgL_zc3anonymousza33279ze3z83_17766, (int) (((long) 0)),
						BgL_mutexz00_17763);
					PROCEDURE_SET(BgL_zc3anonymousza33279ze3z83_17766, (int) (((long) 1)),
						((obj_t) ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15121)));
					PROCEDURE_SET(BgL_zc3anonymousza33279ze3z83_17766, (int) (((long) 2)),
						BgL_prelockz00_17764);
					PROCEDURE_SET(BgL_zc3anonymousza33279ze3z83_17766, (int) (((long) 3)),
						BgL_bodyz00_17765);
					return BgL_zc3anonymousza33279ze3z83_17766;
				}
			}
		}
	}



/* &<anonymous:3279> */
	obj_t BGl_z62zc3anonymousza33279ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15123, obj_t BgL_sz00_15128)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 550 */
			{	/* Eval/evaluate_comp.scm 550 */
				obj_t BgL_mutexz00_15124;
				BgL_ev_synchroniza7eza7_bglt BgL_i1140z00_15125;
				obj_t BgL_prelockz00_15126;
				obj_t BgL_bodyz00_15127;

				BgL_mutexz00_15124 =
					PROCEDURE_REF(BgL_envz00_15123, (int) (((long) 0)));
				BgL_i1140z00_15125 =
					((BgL_ev_synchroniza7eza7_bglt)
					PROCEDURE_REF(BgL_envz00_15123, (int) (((long) 1))));
				BgL_prelockz00_15126 =
					PROCEDURE_REF(BgL_envz00_15123, (int) (((long) 2)));
				BgL_bodyz00_15127 = PROCEDURE_REF(BgL_envz00_15123, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 550 */
					obj_t BgL_bpz00_17767;

					BgL_bpz00_17767 = VECTOR_REF(BgL_sz00_15128, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 551 */
						obj_t BgL_mz00_17768;

						BgL_mz00_17768 =
							PROCEDURE_ENTRY(BgL_mutexz00_15124) (BgL_mutexz00_15124,
							BgL_sz00_15128, BEOA);
						{	/* Eval/evaluate_comp.scm 552 */
							bool_t BgL_testz00_33250;

							{	/* Eval/evaluate_comp.scm 552 */
								bool_t BgL_res5120z00_17769;

								BgL_res5120z00_17769 = BGL_MUTEXP(BgL_mz00_17768);
								BgL_testz00_33250 = BgL_res5120z00_17769;
							}
							if (BgL_testz00_33250)
								{	/* Eval/evaluate_comp.scm 553 */
									obj_t BgL_pz00_17770;

									BgL_pz00_17770 =
										PROCEDURE_ENTRY(BgL_prelockz00_15126) (BgL_prelockz00_15126,
										BgL_sz00_15128, BEOA);
									{	/* Eval/evaluate_comp.scm 555 */
										obj_t BgL_za2za2resza2za2z00_17771;

										if (PAIRP(BgL_pz00_17770))
											{	/* Eval/evaluate_comp.scm 556 */
												obj_t BgL_top5953z00_33259;

												BgL_top5953z00_33259 = BGL_EXITD_TOP_AS_OBJ();
												BGL_MUTEX_LOCK_PRELOCK(BgL_mz00_17768, BgL_pz00_17770);
												BGL_EXITD_PUSH_PROTECT(BgL_top5953z00_33259,
													BgL_mz00_17768);
												BUNSPEC;
												{	/* Eval/evaluate_comp.scm 556 */
													obj_t BgL_tmp5952z00_33258;

													BgL_tmp5952z00_33258 =
														PROCEDURE_ENTRY(BgL_bodyz00_15127)
														(BgL_bodyz00_15127, BgL_sz00_15128, BEOA);
													BGL_EXITD_POP_PROTECT(BgL_top5953z00_33259);
													BUNSPEC;
													BGL_MUTEX_UNLOCK(BgL_mz00_17768);
													BgL_za2za2resza2za2z00_17771 = BgL_tmp5952z00_33258;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 557 */
												obj_t BgL_top5955z00_33270;

												BgL_top5955z00_33270 = BGL_EXITD_TOP_AS_OBJ();
												BGL_MUTEX_LOCK(BgL_mz00_17768);
												BGL_EXITD_PUSH_PROTECT(BgL_top5955z00_33270,
													BgL_mz00_17768);
												BUNSPEC;
												{	/* Eval/evaluate_comp.scm 557 */
													obj_t BgL_tmp5954z00_33269;

													BgL_tmp5954z00_33269 =
														PROCEDURE_ENTRY(BgL_bodyz00_15127)
														(BgL_bodyz00_15127, BgL_sz00_15128, BEOA);
													BGL_EXITD_POP_PROTECT(BgL_top5955z00_33270);
													BUNSPEC;
													BGL_MUTEX_UNLOCK(BgL_mz00_17768);
													BgL_za2za2resza2za2z00_17771 = BgL_tmp5954z00_33269;
												}
											}
										VECTOR_SET(BgL_sz00_15128,
											(int) (((long) 0)), BgL_bpz00_17767);
										return BgL_za2za2resza2za2z00_17771;
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 552 */
									return
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_string5818z00zz__evaluate_compz00,
										BGl_string5819z00zz__evaluate_compz00, BgL_mz00_17768,
										(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_i1140z00_15125))->
											BgL_locz00));
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_with-handler1416 */
	obj_t BGl_z62compzd2ev_withzd2handler1416z62zz__evaluate_compz00(obj_t
		BgL_envz00_15129, obj_t BgL_ez00_15130, obj_t BgL_stkz00_15131)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 536 */
			{	/* Eval/evaluate_comp.scm 538 */
				obj_t BgL_handlerz00_17773;
				obj_t BgL_bodyz00_17774;

				BgL_handlerz00_17773 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_withzd2handlerzd2_bglt) CREF(
								((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_15130)))->
						BgL_handlerz00), BgL_stkz00_15131);
				BgL_bodyz00_17774 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_withzd2handlerzd2_bglt)
							CREF(((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_15130)))->
						BgL_bodyz00), BgL_stkz00_15131);
				{	/* Eval/evaluate_comp.scm 539 */
					obj_t BgL_zc3anonymousza33264ze3z83_17775;

					BgL_zc3anonymousza33264ze3z83_17775 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33264ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza33264ze3z83_17775, (int) (((long) 0)),
						BgL_handlerz00_17773);
					PROCEDURE_SET(BgL_zc3anonymousza33264ze3z83_17775, (int) (((long) 1)),
						BgL_bodyz00_17774);
					return BgL_zc3anonymousza33264ze3z83_17775;
				}
			}
		}
	}



/* &<anonymous:3264> */
	obj_t BGl_z62zc3anonymousza33264ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15132, obj_t BgL_sz00_15135)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 539 */
			{	/* Eval/evaluate_comp.scm 539 */
				obj_t BgL_handlerz00_15133;
				obj_t BgL_bodyz00_15134;

				BgL_handlerz00_15133 =
					PROCEDURE_REF(BgL_envz00_15132, (int) (((long) 0)));
				BgL_bodyz00_15134 = PROCEDURE_REF(BgL_envz00_15132, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 539 */
					obj_t BgL_bpz00_17776;

					BgL_bpz00_17776 = VECTOR_REF(BgL_sz00_15135, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 540 */
						obj_t BgL_hz00_17777;

						BgL_hz00_17777 =
							PROCEDURE_ENTRY(BgL_handlerz00_15133) (BgL_handlerz00_15133,
							BgL_sz00_15135, BEOA);
						{	/* Eval/evaluate_comp.scm 542 */
							obj_t BgL_za2za2resza2za2z00_17778;

							{	/* Eval/evaluate_comp.scm 542 */
								obj_t BgL_res1130z00_17779;

								BgL_res1130z00_17779 = MAKE_CELL(BUNSPEC);
								if (CBOOL(BGl_zc3exitza33271ze3ze70z64zz__evaluate_compz00
										(BgL_sz00_15135, BgL_bodyz00_15134, BgL_res1130z00_17779)))
									{	/* Eval/evaluate_comp.scm 542 */
										BgL_za2za2resza2za2z00_17778 =
											PROCEDURE_ENTRY(BgL_hz00_17777) (BgL_hz00_17777,
											CELL_REF(BgL_res1130z00_17779), BEOA);
									}
								else
									{	/* Eval/evaluate_comp.scm 542 */
										BgL_za2za2resza2za2z00_17778 =
											CELL_REF(BgL_res1130z00_17779);
									}
							}
							VECTOR_SET(BgL_sz00_15135, (int) (((long) 0)), BgL_bpz00_17776);
							return BgL_za2za2resza2za2z00_17778;
						}
					}
				}
			}
		}
	}



/* <exit:3271>~0 */
	obj_t BGl_zc3exitza33271ze3ze70z64zz__evaluate_compz00(obj_t BgL_sz00_15323,
		obj_t BgL_bodyz00_15322, obj_t BgL_res1130z00_15321)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 542 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1133z00_4176;

			if (SET_EXIT(BgL_an_exit1133z00_4176))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1133z00_4176 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 542 */

						PUSH_EXIT(BgL_an_exit1133z00_4176, ((long) 1));
						{	/* Eval/evaluate_comp.scm 542 */
							obj_t BgL_an_exitd1134z00_4177;

							BgL_an_exitd1134z00_4177 = ((obj_t) (&exitd));
							{	/* Eval/evaluate_comp.scm 542 */
								bool_t BgL_res1136z00_4180;

								{	/* Eval/evaluate_comp.scm 542 */
									obj_t BgL_ohs1128z00_4181;

									BgL_ohs1128z00_4181 = BGL_ERROR_HANDLER_GET();
									{	/* Eval/evaluate_comp.scm 542 */
										obj_t BgL_exitd1137z00_4182;

										BgL_exitd1137z00_4182 = ((obj_t) (&exitd));
										{
											obj_t BgL_zc3anonymousza33276ze3z83_14102;

											BgL_zc3anonymousza33276ze3z83_14102 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza33276ze3ze1zz__evaluate_compz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3anonymousza33276ze3z83_14102,
												(int) (((long) 0)), BgL_ohs1128z00_4181);
											BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
												(BgL_exitd1137z00_4182,
												BgL_zc3anonymousza33276ze3z83_14102);
											{	/* Eval/evaluate_comp.scm 542 */
												bool_t BgL_tmp1139z00_4184;

												{	/* Eval/evaluate_comp.scm 542 */
													obj_t BgL_arg3272z00_4185;

													{	/* Eval/evaluate_comp.scm 542 */
														obj_t BgL_zc3anonymousza33275ze3z83_14103;

														BgL_zc3anonymousza33275ze3z83_14103 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza33275ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 2)));
														PROCEDURE_SET(BgL_zc3anonymousza33275ze3z83_14103,
															(int) (((long) 0)),
															((obj_t) BgL_res1130z00_15321));
														PROCEDURE_SET(BgL_zc3anonymousza33275ze3z83_14103,
															(int) (((long) 1)), BgL_an_exitd1134z00_4177);
														BgL_arg3272z00_4185 =
															MAKE_YOUNG_PAIR
															(BgL_zc3anonymousza33275ze3z83_14103,
															BgL_ohs1128z00_4181);
													}
													BGL_ERROR_HANDLER_SET(BgL_arg3272z00_4185);
													BUNSPEC;
												}
												{	/* Eval/evaluate_comp.scm 542 */
													obj_t BgL_auxz00_15137;

													BgL_auxz00_15137 =
														PROCEDURE_ENTRY(BgL_bodyz00_15322)
														(BgL_bodyz00_15322, BgL_sz00_15323, BEOA);
													CELL_SET(BgL_res1130z00_15321, BgL_auxz00_15137);
												}
												BgL_tmp1139z00_4184 = ((bool_t) 0);
												BGl_exitdzd2popzd2protectz12z12zz__bexitz00
													(BgL_exitd1137z00_4182);
												BGL_ERROR_HANDLER_SET(BgL_ohs1128z00_4181);
												BUNSPEC;
												BgL_res1136z00_4180 = BgL_tmp1139z00_4184;
								}}}}
								POP_EXIT();
								return BBOOL(BgL_res1136z00_4180);
							}
						}
					}
				}
		}
	}



/* &<anonymous:3275> */
	obj_t BGl_z62zc3anonymousza33275ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15139, obj_t BgL_ez00_15142)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 542 */
			{	/* Eval/evaluate_comp.scm 542 */
				obj_t BgL_res1130z00_15140;
				obj_t BgL_an_exitd1134z00_15141;

				BgL_res1130z00_15140 =
					PROCEDURE_REF(BgL_envz00_15139, (int) (((long) 0)));
				BgL_an_exitd1134z00_15141 =
					PROCEDURE_REF(BgL_envz00_15139, (int) (((long) 1)));
				CELL_SET(BgL_res1130z00_15140, BgL_ez00_15142);
				return
					BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1134z00_15141,
					BTRUE);
			}
		}
	}



/* &<anonymous:3276> */
	obj_t BGl_z62zc3anonymousza33276ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15144)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 542 */
			{
				obj_t BgL_ohs1128z00_15145;

				BgL_ohs1128z00_15145 =
					PROCEDURE_REF(BgL_envz00_15144, (int) (((long) 0)));
				BGL_ERROR_HANDLER_SET(BgL_ohs1128z00_15145);
				return BUNSPEC;
			}
		}
	}



/* &comp-ev_unwind-prote1414 */
	obj_t BGl_z62compzd2ev_unwindzd2prote1414z62zz__evaluate_compz00(obj_t
		BgL_envz00_15146, obj_t BgL_ez00_15147, obj_t BgL_stkz00_15148)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 527 */
			{	/* Eval/evaluate_comp.scm 529 */
				obj_t BgL_ez00_17781;
				obj_t BgL_bodyz00_17782;

				BgL_ez00_17781 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
								((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_15147)))->BgL_ez00),
					BgL_stkz00_15148);
				BgL_bodyz00_17782 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_unwindzd2protectzd2_bglt)
							CREF(((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_15147)))->
						BgL_bodyz00), BgL_stkz00_15148);
				{	/* Eval/evaluate_comp.scm 530 */
					obj_t BgL_zc3anonymousza33259ze3z83_17783;

					BgL_zc3anonymousza33259ze3z83_17783 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33259ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza33259ze3z83_17783, (int) (((long) 0)),
						BgL_bodyz00_17782);
					PROCEDURE_SET(BgL_zc3anonymousza33259ze3z83_17783, (int) (((long) 1)),
						BgL_ez00_17781);
					return BgL_zc3anonymousza33259ze3z83_17783;
				}
			}
		}
	}



/* &<anonymous:3259> */
	obj_t BGl_z62zc3anonymousza33259ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15149, obj_t BgL_sz00_15152)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			{	/* Eval/evaluate_comp.scm 530 */
				obj_t BgL_bodyz00_15150;
				obj_t BgL_ez00_15151;

				BgL_bodyz00_15150 = PROCEDURE_REF(BgL_envz00_15149, (int) (((long) 0)));
				BgL_ez00_15151 = PROCEDURE_REF(BgL_envz00_15149, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 530 */
					obj_t BgL_bpz00_17784;

					BgL_bpz00_17784 = VECTOR_REF(BgL_sz00_15152, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 532 */
						obj_t BgL_exitd1124z00_17785;

						BgL_exitd1124z00_17785 = BGL_EXITD_TOP_AS_OBJ();
						{	/* Eval/evaluate_comp.scm 533 */
							obj_t BgL_zc3anonymousza33260ze3z83_17786;

							BgL_zc3anonymousza33260ze3z83_17786 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza33260ze3ze1zz__evaluate_compz00,
								(int) (((long) 0)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_zc3anonymousza33260ze3z83_17786,
								(int) (((long) 0)), BgL_sz00_15152);
							PROCEDURE_SET(BgL_zc3anonymousza33260ze3z83_17786,
								(int) (((long) 1)), BgL_bpz00_17784);
							PROCEDURE_SET(BgL_zc3anonymousza33260ze3z83_17786,
								(int) (((long) 2)), BgL_bodyz00_15150);
							BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
								(BgL_exitd1124z00_17785, BgL_zc3anonymousza33260ze3z83_17786);
							{	/* Eval/evaluate_comp.scm 532 */
								obj_t BgL_tmp1126z00_17787;

								BgL_tmp1126z00_17787 =
									PROCEDURE_ENTRY(BgL_ez00_15151) (BgL_ez00_15151,
									BgL_sz00_15152, BEOA);
								BGl_exitdzd2popzd2protectz12z12zz__bexitz00
									(BgL_exitd1124z00_17785);
								VECTOR_SET(BgL_sz00_15152, (int) (((long) 0)), BgL_bpz00_17784);
								PROCEDURE_ENTRY(BgL_bodyz00_15150) (BgL_bodyz00_15150,
									BgL_sz00_15152, BEOA);
								return BgL_tmp1126z00_17787;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3260> */
	obj_t BGl_z62zc3anonymousza33260ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15153)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 532 */
			{	/* Eval/evaluate_comp.scm 533 */
				obj_t BgL_sz00_15154;
				obj_t BgL_savedzd2bpzd2_15155;
				obj_t BgL_bodyz00_15156;

				BgL_sz00_15154 = PROCEDURE_REF(BgL_envz00_15153, (int) (((long) 0)));
				BgL_savedzd2bpzd2_15155 =
					PROCEDURE_REF(BgL_envz00_15153, (int) (((long) 1)));
				BgL_bodyz00_15156 = PROCEDURE_REF(BgL_envz00_15153, (int) (((long) 2)));
				VECTOR_SET(BgL_sz00_15154, (int) (((long) 0)), BgL_savedzd2bpzd2_15155);
				return
					PROCEDURE_ENTRY(BgL_bodyz00_15156) (BgL_bodyz00_15156, BgL_sz00_15154,
					BEOA);
			}
		}
	}



/* &comp-ev_bind-exit1412 */
	obj_t BGl_z62compzd2ev_bindzd2exit1412z62zz__evaluate_compz00(obj_t
		BgL_envz00_15157, obj_t BgL_ez00_15158, obj_t BgL_stkz00_15159)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 516 */
			{	/* Eval/evaluate_comp.scm 518 */
				long BgL_siza7eza7_17789;
				obj_t BgL_nstkz00_17790;

				BgL_siza7eza7_17789 = bgl_list_length(BgL_stkz00_15159);
				{	/* Eval/evaluate_comp.scm 518 */
					obj_t BgL_arg3254z00_17791;

					{	/* Eval/evaluate_comp.scm 518 */
						BgL_ev_varz00_bglt BgL_arg3258z00_17792;

						BgL_arg3258z00_17792 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_15158)))->BgL_varz00);
						BgL_arg3254z00_17791 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg3258z00_17792), BNIL);
					}
					BgL_nstkz00_17790 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15159,
						BgL_arg3254z00_17791);
				}
				{	/* Eval/evaluate_comp.scm 519 */
					obj_t BgL_bodyz00_17793;
					obj_t BgL_effzf3zf3_17794;

					BgL_bodyz00_17793 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_bindzd2exitzd2_bglt) CREF(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_15158)))->BgL_bodyz00),
						BgL_nstkz00_17790);
					BgL_effzf3zf3_17794 =
						(((BgL_ev_varz00_bglt) CREF((((BgL_ev_bindzd2exitzd2_bglt)
										CREF(((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_15158)))->
									BgL_varz00)))->BgL_effz00);
					{	/* Eval/evaluate_comp.scm 520 */
						obj_t BgL_zc3anonymousza33244ze3z83_17795;

						BgL_zc3anonymousza33244ze3z83_17795 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33244ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3anonymousza33244ze3z83_17795,
							(int) (((long) 0)), BINT(BgL_siza7eza7_17789));
						PROCEDURE_SET(BgL_zc3anonymousza33244ze3z83_17795,
							(int) (((long) 1)), BgL_effzf3zf3_17794);
						PROCEDURE_SET(BgL_zc3anonymousza33244ze3z83_17795,
							(int) (((long) 2)), BgL_bodyz00_17793);
						return BgL_zc3anonymousza33244ze3z83_17795;
					}
				}
			}
		}
	}



/* &<anonymous:3244> */
	obj_t BGl_z62zc3anonymousza33244ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15160, obj_t BgL_sz00_15164)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 520 */
			{	/* Eval/evaluate_comp.scm 520 */
				long BgL_siza7eza7_15161;
				obj_t BgL_effzf3zf3_15162;
				obj_t BgL_bodyz00_15163;

				BgL_siza7eza7_15161 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15160, (int) (((long) 0))));
				BgL_effzf3zf3_15162 =
					PROCEDURE_REF(BgL_envz00_15160, (int) (((long) 1)));
				BgL_bodyz00_15163 = PROCEDURE_REF(BgL_envz00_15160, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 520 */
					obj_t BgL_bpz00_17796;

					BgL_bpz00_17796 = VECTOR_REF(BgL_sz00_15164, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 522 */
						obj_t BgL_za2za2resza2za2z00_17797;

						BgL_za2za2resza2za2z00_17797 =
							BGl_zc3exitza33245ze3ze70z64zz__evaluate_compz00
							(BgL_bodyz00_15163, BgL_sz00_15164, BgL_effzf3zf3_15162,
							BgL_siza7eza7_15161, BgL_bpz00_17796);
						VECTOR_SET(BgL_sz00_15164, (int) (((long) 0)), BgL_bpz00_17796);
						return BgL_za2za2resza2za2z00_17797;
					}
				}
			}
		}
	}



/* <exit:3245>~0 */
	obj_t BGl_zc3exitza33245ze3ze70z64zz__evaluate_compz00(obj_t
		BgL_bodyz00_15320, obj_t BgL_sz00_15319, obj_t BgL_effzf3zf3_15318,
		long BgL_siza7eza7_15317, obj_t BgL_bpz00_15316)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 522 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1119z00_4111;

			if (SET_EXIT(BgL_an_exit1119z00_4111))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1119z00_4111 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 522 */

						PUSH_EXIT(BgL_an_exit1119z00_4111, ((long) 1));
						{	/* Eval/evaluate_comp.scm 522 */
							obj_t BgL_an_exitd1120z00_4112;

							BgL_an_exitd1120z00_4112 = ((obj_t) (&exitd));
							{	/* Eval/evaluate_comp.scm 522 */
								obj_t BgL_exitz00_14109;

								BgL_exitz00_14109 =
									MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_exitz00_14109,
									(int) (((long) 0)), BgL_an_exitd1120z00_4112);
								{	/* Eval/evaluate_comp.scm 523 */
									obj_t BgL_res1122z00_4115;

									{	/* Eval/evaluate_comp.scm 523 */
										long BgL_arg3246z00_4116;
										obj_t BgL_arg3247z00_4117;

										BgL_arg3246z00_4116 =
											((long) CINT(BgL_bpz00_15316) + BgL_siza7eza7_15317);
										if (CBOOL(BgL_effzf3zf3_15318))
											{	/* Eval/evaluate_comp.scm 202 */
												obj_t BgL_newz00_10423;

												BgL_newz00_10423 =
													create_struct(BGl_symbol5709z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 202 */
													int BgL_tmpz00_33453;

													BgL_tmpz00_33453 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10423, BgL_tmpz00_33453,
														BgL_exitz00_14109);
												}
												BgL_arg3247z00_4117 = BgL_newz00_10423;
											}
										else
											{	/* Eval/evaluate_comp.scm 523 */
												BgL_arg3247z00_4117 = BgL_exitz00_14109;
											}
										VECTOR_SET(BgL_sz00_15319,
											(int) (BgL_arg3246z00_4116), BgL_arg3247z00_4117);
									}
									BgL_res1122z00_4115 =
										PROCEDURE_ENTRY(BgL_bodyz00_15320) (BgL_bodyz00_15320,
										BgL_sz00_15319, BEOA);
									POP_EXIT();
									return BgL_res1122z00_4115;
								}
							}
						}
					}
				}
		}
	}



/* &exit */
	obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_15165,
		obj_t BgL_val1121z00_15167)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 522 */
			return
				BGl_unwindzd2untilz12zc0zz__bexitz00(PROCEDURE_REF(BgL_envz00_15165,
					(int) (((long) 0))), BgL_val1121z00_15167);
		}
	}



/* &comp-ev_letrec1410 */
	obj_t BGl_z62compzd2ev_letrec1410zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15168, obj_t BgL_ez00_15169, obj_t BgL_stkz00_15170)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 487 */
			{	/* Eval/evaluate_comp.scm 489 */
				long BgL_siza7eza7_17799;
				obj_t BgL_nstkz00_17800;

				BgL_siza7eza7_17799 = bgl_list_length(BgL_stkz00_15170);
				{	/* Eval/evaluate_comp.scm 489 */
					obj_t BgL_arg3243z00_17801;

					BgL_arg3243z00_17801 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letrecz00_bglt) BgL_ez00_15169))))->BgL_varsz00);
					BgL_nstkz00_17800 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15170,
						BgL_arg3243z00_17801);
				}
				{	/* Eval/evaluate_comp.scm 490 */
					obj_t BgL_cvalsz00_17802;
					obj_t BgL_bodyz00_17803;

					{	/* Eval/evaluate_comp.scm 490 */
						obj_t BgL_l1310z00_17804;

						BgL_l1310z00_17804 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_15169))))->BgL_valsz00);
						if (NULLP(BgL_l1310z00_17804))
							{	/* Eval/evaluate_comp.scm 490 */
								BgL_cvalsz00_17802 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 490 */
								obj_t BgL_head1312z00_17805;

								{	/* Eval/evaluate_comp.scm 490 */
									obj_t BgL_res5079z00_17806;

									BgL_res5079z00_17806 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1312z00_17805 = BgL_res5079z00_17806;
								}
								{
									obj_t BgL_l1310z00_17808;
									obj_t BgL_tail1313z00_17809;

									BgL_l1310z00_17808 = BgL_l1310z00_17804;
									BgL_tail1313z00_17809 = BgL_head1312z00_17805;
								BgL_zc3anonymousza33238ze3z83_17807:
									if (NULLP(BgL_l1310z00_17808))
										{	/* Eval/evaluate_comp.scm 490 */
											BgL_cvalsz00_17802 = CDR(BgL_head1312z00_17805);
										}
									else
										{	/* Eval/evaluate_comp.scm 490 */
											obj_t BgL_newtail1314z00_17810;

											{	/* Eval/evaluate_comp.scm 490 */
												obj_t BgL_arg3241z00_17811;

												{	/* Eval/evaluate_comp.scm 490 */
													obj_t BgL_vz00_17812;

													BgL_vz00_17812 = CAR(BgL_l1310z00_17808);
													BgL_arg3241z00_17811 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_vz00_17812),
														BgL_nstkz00_17800);
												}
												{	/* Eval/evaluate_comp.scm 490 */
													obj_t BgL_res5085z00_17813;

													BgL_res5085z00_17813 =
														MAKE_YOUNG_PAIR(BgL_arg3241z00_17811, BNIL);
													BgL_newtail1314z00_17810 = BgL_res5085z00_17813;
												}
											}
											SET_CDR(BgL_tail1313z00_17809, BgL_newtail1314z00_17810);
											{
												obj_t BgL_tail1313z00_33487;
												obj_t BgL_l1310z00_33485;

												BgL_l1310z00_33485 = CDR(BgL_l1310z00_17808);
												BgL_tail1313z00_33487 = BgL_newtail1314z00_17810;
												BgL_tail1313z00_17809 = BgL_tail1313z00_33487;
												BgL_l1310z00_17808 = BgL_l1310z00_33485;
												goto BgL_zc3anonymousza33238ze3z83_17807;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 491 */
						BgL_ev_exprz00_bglt BgL_arg3242z00_17814;

						BgL_arg3242z00_17814 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_15169))))->BgL_bodyz00);
						BgL_bodyz00_17803 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3242z00_17814,
							BgL_nstkz00_17800);
					}
					{	/* Eval/evaluate_comp.scm 492 */
						bool_t BgL_testz00_33492;

						{
							obj_t BgL_l1315z00_17816;

							BgL_l1315z00_17816 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letrecz00_bglt) BgL_ez00_15169))))->BgL_valsz00);
						BgL_zc3anonymousza33235ze3z83_17815:
							if (NULLP(BgL_l1315z00_17816))
								{	/* Eval/evaluate_comp.scm 492 */
									BgL_testz00_33492 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 492 */
									bool_t BgL_testz00_33495;

									{	/* Eval/evaluate_comp.scm 492 */
										obj_t BgL_vz00_17817;

										BgL_vz00_17817 = CAR(BgL_l1315z00_17816);
										BgL_testz00_33495 =
											BGl_isazf3zf3zz__objectz00(BgL_vz00_17817,
											BGl_ev_absz00zz__evaluate_typesz00);
									}
									if (BgL_testz00_33495)
										{
											obj_t BgL_l1315z00_33498;

											BgL_l1315z00_33498 = CDR(BgL_l1315z00_17816);
											BgL_l1315z00_17816 = BgL_l1315z00_33498;
											goto BgL_zc3anonymousza33235ze3z83_17815;
										}
									else
										{	/* Eval/evaluate_comp.scm 492 */
											BgL_testz00_33492 = ((bool_t) 0);
										}
								}
						}
						if (BgL_testz00_33492)
							{	/* Eval/evaluate_comp.scm 493 */
								obj_t BgL_zc3anonymousza33189ze3z83_17818;

								BgL_zc3anonymousza33189ze3z83_17818 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33189ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza33189ze3z83_17818,
									(int) (((long) 0)), BINT(BgL_siza7eza7_17799));
								PROCEDURE_SET(BgL_zc3anonymousza33189ze3z83_17818,
									(int) (((long) 1)), BgL_cvalsz00_17802);
								PROCEDURE_SET(BgL_zc3anonymousza33189ze3z83_17818,
									(int) (((long) 2)), BgL_bodyz00_17803);
								return BgL_zc3anonymousza33189ze3z83_17818;
							}
						else
							{	/* Eval/evaluate_comp.scm 503 */
								obj_t BgL_zc3anonymousza33213ze3z83_17819;

								BgL_zc3anonymousza33213ze3z83_17819 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33213ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza33213ze3z83_17819,
									(int) (((long) 0)), BINT(BgL_siza7eza7_17799));
								PROCEDURE_SET(BgL_zc3anonymousza33213ze3z83_17819,
									(int) (((long) 1)), BgL_cvalsz00_17802);
								PROCEDURE_SET(BgL_zc3anonymousza33213ze3z83_17819,
									(int) (((long) 2)), BgL_bodyz00_17803);
								return BgL_zc3anonymousza33213ze3z83_17819;
							}
					}
				}
			}
		}
	}



/* &<anonymous:3189> */
	obj_t BGl_z62zc3anonymousza33189ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15171, obj_t BgL_sz00_15175)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 493 */
			{	/* Eval/evaluate_comp.scm 493 */
				long BgL_siza7eza7_15172;
				obj_t BgL_cvalsz00_15173;
				obj_t BgL_bodyz00_15174;

				BgL_siza7eza7_15172 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15171, (int) (((long) 0))));
				BgL_cvalsz00_15173 =
					PROCEDURE_REF(BgL_envz00_15171, (int) (((long) 1)));
				BgL_bodyz00_15174 = PROCEDURE_REF(BgL_envz00_15171, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 493 */
					obj_t BgL_bpz00_17820;

					BgL_bpz00_17820 = VECTOR_REF(BgL_sz00_15175, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 494 */
						long BgL_g1113z00_17821;

						BgL_g1113z00_17821 =
							((long) CINT(BgL_bpz00_17820) + BgL_siza7eza7_15172);
						{
							obj_t BgL_lz00_17823;
							long BgL_iz00_17824;

							BgL_lz00_17823 = BgL_cvalsz00_15173;
							BgL_iz00_17824 = BgL_g1113z00_17821;
						BgL_recz00_17822:
							if (NULLP(BgL_lz00_17823))
								{	/* Eval/evaluate_comp.scm 495 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 495 */
									{	/* Eval/evaluate_comp.scm 496 */
										obj_t BgL_arg3196z00_17825;

										{	/* Eval/evaluate_comp.scm 202 */
											obj_t BgL_newz00_17826;

											BgL_newz00_17826 =
												create_struct(BGl_symbol5709z00zz__evaluate_compz00,
												(int) (((long) 1)));
											{	/* Eval/evaluate_comp.scm 202 */
												int BgL_tmpz00_33538;

												BgL_tmpz00_33538 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17826, BgL_tmpz00_33538, BUNSPEC);
											}
											BgL_arg3196z00_17825 = BgL_newz00_17826;
										}
										VECTOR_SET(BgL_sz00_15175,
											(int) (BgL_iz00_17824), BgL_arg3196z00_17825);
									}
									{
										long BgL_iz00_33545;
										obj_t BgL_lz00_33543;

										BgL_lz00_33543 = CDR(BgL_lz00_17823);
										BgL_iz00_33545 = (BgL_iz00_17824 + ((long) 1));
										BgL_iz00_17824 = BgL_iz00_33545;
										BgL_lz00_17823 = BgL_lz00_33543;
										goto BgL_recz00_17822;
									}
								}
						}
					}
					{	/* Eval/evaluate_comp.scm 498 */
						long BgL_g1114z00_17827;

						BgL_g1114z00_17827 =
							((long) CINT(BgL_bpz00_17820) + BgL_siza7eza7_15172);
						{
							obj_t BgL_lz00_17829;
							long BgL_iz00_17830;

							BgL_lz00_17829 = BgL_cvalsz00_15173;
							BgL_iz00_17830 = BgL_g1114z00_17827;
						BgL_recz00_17828:
							if (NULLP(BgL_lz00_17829))
								{	/* Eval/evaluate_comp.scm 499 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 499 */
									{	/* Eval/evaluate_comp.scm 500 */
										obj_t BgL_arg3207z00_17831;
										obj_t BgL_arg3208z00_17832;

										BgL_arg3207z00_17831 =
											VECTOR_REF(BgL_sz00_15175, (int) (BgL_iz00_17830));
										{	/* Eval/evaluate_comp.scm 500 */
											obj_t BgL_fun3209z00_17833;

											BgL_fun3209z00_17833 = CAR(BgL_lz00_17829);
											BgL_arg3208z00_17832 =
												PROCEDURE_ENTRY(BgL_fun3209z00_17833)
												(BgL_fun3209z00_17833, BgL_sz00_15175, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 202 */
											int BgL_tmpz00_33558;

											BgL_tmpz00_33558 = (int) (((long) 0));
											STRUCT_SET(BgL_arg3207z00_17831, BgL_tmpz00_33558,
												BgL_arg3208z00_17832);
									}}
									{
										long BgL_iz00_33563;
										obj_t BgL_lz00_33561;

										BgL_lz00_33561 = CDR(BgL_lz00_17829);
										BgL_iz00_33563 = (BgL_iz00_17830 + ((long) 1));
										BgL_iz00_17830 = BgL_iz00_33563;
										BgL_lz00_17829 = BgL_lz00_33561;
										goto BgL_recz00_17828;
									}
								}
						}
					}
					return
						PROCEDURE_ENTRY(BgL_bodyz00_15174) (BgL_bodyz00_15174,
						BgL_sz00_15175, BEOA);
				}
			}
		}
	}



/* &<anonymous:3213> */
	obj_t BGl_z62zc3anonymousza33213ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15176, obj_t BgL_sz00_15180)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 503 */
			{	/* Eval/evaluate_comp.scm 503 */
				long BgL_siza7eza7_15177;
				obj_t BgL_cvalsz00_15178;
				obj_t BgL_bodyz00_15179;

				BgL_siza7eza7_15177 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15176, (int) (((long) 0))));
				BgL_cvalsz00_15178 =
					PROCEDURE_REF(BgL_envz00_15176, (int) (((long) 1)));
				BgL_bodyz00_15179 = PROCEDURE_REF(BgL_envz00_15176, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 503 */
					obj_t BgL_bpz00_17834;

					BgL_bpz00_17834 = VECTOR_REF(BgL_sz00_15180, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 504 */
						long BgL_g1115z00_17835;

						BgL_g1115z00_17835 =
							((long) CINT(BgL_bpz00_17834) + BgL_siza7eza7_15177);
						{
							obj_t BgL_lz00_17837;
							long BgL_iz00_17838;

							BgL_lz00_17837 = BgL_cvalsz00_15178;
							BgL_iz00_17838 = BgL_g1115z00_17835;
						BgL_recz00_17836:
							if (NULLP(BgL_lz00_17837))
								{	/* Eval/evaluate_comp.scm 505 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 505 */
									{	/* Eval/evaluate_comp.scm 506 */
										obj_t BgL_arg3217z00_17839;

										{	/* Eval/evaluate_comp.scm 202 */
											obj_t BgL_newz00_17840;

											BgL_newz00_17840 =
												create_struct(BGl_symbol5709z00zz__evaluate_compz00,
												(int) (((long) 1)));
											{	/* Eval/evaluate_comp.scm 202 */
												int BgL_tmpz00_33584;

												BgL_tmpz00_33584 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17840, BgL_tmpz00_33584, BUNSPEC);
											}
											BgL_arg3217z00_17839 = BgL_newz00_17840;
										}
										VECTOR_SET(BgL_sz00_15180,
											(int) (BgL_iz00_17838), BgL_arg3217z00_17839);
									}
									{
										long BgL_iz00_33591;
										obj_t BgL_lz00_33589;

										BgL_lz00_33589 = CDR(BgL_lz00_17837);
										BgL_iz00_33591 = (BgL_iz00_17838 + ((long) 1));
										BgL_iz00_17838 = BgL_iz00_33591;
										BgL_lz00_17837 = BgL_lz00_33589;
										goto BgL_recz00_17836;
									}
								}
						}
					}
					{	/* Eval/evaluate_comp.scm 508 */
						obj_t BgL_rvalsz00_17841;

						if (NULLP(BgL_cvalsz00_15178))
							{	/* Eval/evaluate_comp.scm 508 */
								BgL_rvalsz00_17841 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 508 */
								obj_t BgL_head1321z00_17842;

								{	/* Eval/evaluate_comp.scm 508 */
									obj_t BgL_res5105z00_17843;

									BgL_res5105z00_17843 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1321z00_17842 = BgL_res5105z00_17843;
								}
								{
									obj_t BgL_l1319z00_17845;
									obj_t BgL_tail1322z00_17846;

									BgL_l1319z00_17845 = BgL_cvalsz00_15178;
									BgL_tail1322z00_17846 = BgL_head1321z00_17842;
								BgL_zc3anonymousza33229ze3z83_17844:
									if (NULLP(BgL_l1319z00_17845))
										{	/* Eval/evaluate_comp.scm 508 */
											BgL_rvalsz00_17841 = CDR(BgL_head1321z00_17842);
										}
									else
										{	/* Eval/evaluate_comp.scm 508 */
											obj_t BgL_newtail1323z00_17847;

											{	/* Eval/evaluate_comp.scm 508 */
												obj_t BgL_arg3234z00_17848;

												{	/* Eval/evaluate_comp.scm 508 */
													obj_t BgL_vz00_17849;

													BgL_vz00_17849 = CAR(BgL_l1319z00_17845);
													BgL_arg3234z00_17848 =
														PROCEDURE_ENTRY(BgL_vz00_17849) (BgL_vz00_17849,
														BgL_sz00_15180, BEOA);
												}
												{	/* Eval/evaluate_comp.scm 508 */
													obj_t BgL_res5111z00_17850;

													BgL_res5111z00_17850 =
														MAKE_YOUNG_PAIR(BgL_arg3234z00_17848, BNIL);
													BgL_newtail1323z00_17847 = BgL_res5111z00_17850;
												}
											}
											SET_CDR(BgL_tail1322z00_17846, BgL_newtail1323z00_17847);
											{
												obj_t BgL_tail1322z00_33608;
												obj_t BgL_l1319z00_33606;

												BgL_l1319z00_33606 = CDR(BgL_l1319z00_17845);
												BgL_tail1322z00_33608 = BgL_newtail1323z00_17847;
												BgL_tail1322z00_17846 = BgL_tail1322z00_33608;
												BgL_l1319z00_17845 = BgL_l1319z00_33606;
												goto BgL_zc3anonymousza33229ze3z83_17844;
											}
										}
								}
							}
						{	/* Eval/evaluate_comp.scm 509 */
							long BgL_g1116z00_17851;

							BgL_g1116z00_17851 =
								((long) CINT(BgL_bpz00_17834) + BgL_siza7eza7_15177);
							{
								obj_t BgL_lz00_17853;
								long BgL_iz00_17854;

								BgL_lz00_17853 = BgL_rvalsz00_17841;
								BgL_iz00_17854 = BgL_g1116z00_17851;
							BgL_recz00_17852:
								if (NULLP(BgL_lz00_17853))
									{	/* Eval/evaluate_comp.scm 510 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 510 */
										{	/* Eval/evaluate_comp.scm 202 */
											obj_t BgL_auxz00_33618;
											int BgL_auxz00_33616;
											obj_t BgL_tmpz00_33613;

											BgL_auxz00_33618 = CAR(BgL_lz00_17853);
											BgL_auxz00_33616 = (int) (((long) 0));
											BgL_tmpz00_33613 =
												VECTOR_REF(BgL_sz00_15180, (int) (BgL_iz00_17854));
											STRUCT_SET(BgL_tmpz00_33613, BgL_auxz00_33616,
												BgL_auxz00_33618);
										}
										{
											long BgL_iz00_33623;
											obj_t BgL_lz00_33621;

											BgL_lz00_33621 = CDR(BgL_lz00_17853);
											BgL_iz00_33623 = (BgL_iz00_17854 + ((long) 1));
											BgL_iz00_17854 = BgL_iz00_33623;
											BgL_lz00_17853 = BgL_lz00_33621;
											goto BgL_recz00_17852;
										}
									}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_15179) (BgL_bodyz00_15179,
							BgL_sz00_15180, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_let*1408 */
	obj_t BGl_z62compzd2ev_letza21408z12zz__evaluate_compz00(obj_t
		BgL_envz00_15181, obj_t BgL_ez00_15182, obj_t BgL_stkz00_15183)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 474 */
			{	/* Eval/evaluate_comp.scm 476 */
				long BgL_siza7eza7_17856;
				obj_t BgL_nstkz00_17857;

				BgL_siza7eza7_17856 = bgl_list_length(BgL_stkz00_15183);
				{	/* Eval/evaluate_comp.scm 476 */
					obj_t BgL_arg3183z00_17858;

					BgL_arg3183z00_17858 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letza2za2_bglt) BgL_ez00_15182))))->BgL_varsz00);
					BgL_nstkz00_17857 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15183,
						BgL_arg3183z00_17858);
				}
				{	/* Eval/evaluate_comp.scm 477 */
					obj_t BgL_valsz00_17859;
					obj_t BgL_bodyz00_17860;

					{	/* Eval/evaluate_comp.scm 477 */
						obj_t BgL_l1305z00_17861;

						BgL_l1305z00_17861 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_15182))))->BgL_valsz00);
						if (NULLP(BgL_l1305z00_17861))
							{	/* Eval/evaluate_comp.scm 477 */
								BgL_valsz00_17859 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 477 */
								obj_t BgL_head1307z00_17862;

								{	/* Eval/evaluate_comp.scm 477 */
									obj_t BgL_res5068z00_17863;

									BgL_res5068z00_17863 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1307z00_17862 = BgL_res5068z00_17863;
								}
								{
									obj_t BgL_l1305z00_17865;
									obj_t BgL_tail1308z00_17866;

									BgL_l1305z00_17865 = BgL_l1305z00_17861;
									BgL_tail1308z00_17866 = BgL_head1307z00_17862;
								BgL_zc3anonymousza33177ze3z83_17864:
									if (NULLP(BgL_l1305z00_17865))
										{	/* Eval/evaluate_comp.scm 477 */
											BgL_valsz00_17859 = CDR(BgL_head1307z00_17862);
										}
									else
										{	/* Eval/evaluate_comp.scm 477 */
											obj_t BgL_newtail1309z00_17867;

											{	/* Eval/evaluate_comp.scm 477 */
												obj_t BgL_arg3180z00_17868;

												{	/* Eval/evaluate_comp.scm 477 */
													obj_t BgL_vz00_17869;

													BgL_vz00_17869 = CAR(BgL_l1305z00_17865);
													BgL_arg3180z00_17868 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_vz00_17869),
														BgL_nstkz00_17857);
												}
												{	/* Eval/evaluate_comp.scm 477 */
													obj_t BgL_res5074z00_17870;

													BgL_res5074z00_17870 =
														MAKE_YOUNG_PAIR(BgL_arg3180z00_17868, BNIL);
													BgL_newtail1309z00_17867 = BgL_res5074z00_17870;
												}
											}
											SET_CDR(BgL_tail1308z00_17866, BgL_newtail1309z00_17867);
											{
												obj_t BgL_tail1308z00_33650;
												obj_t BgL_l1305z00_33648;

												BgL_l1305z00_33648 = CDR(BgL_l1305z00_17865);
												BgL_tail1308z00_33650 = BgL_newtail1309z00_17867;
												BgL_tail1308z00_17866 = BgL_tail1308z00_33650;
												BgL_l1305z00_17865 = BgL_l1305z00_33648;
												goto BgL_zc3anonymousza33177ze3z83_17864;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 478 */
						BgL_ev_exprz00_bglt BgL_arg3182z00_17871;

						BgL_arg3182z00_17871 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_15182))))->BgL_bodyz00);
						BgL_bodyz00_17860 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3182z00_17871,
							BgL_nstkz00_17857);
					}
					{	/* Eval/evaluate_comp.scm 479 */
						obj_t BgL_zc3anonymousza33165ze3z83_17872;

						BgL_zc3anonymousza33165ze3z83_17872 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33165ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 4)));
						PROCEDURE_SET(BgL_zc3anonymousza33165ze3z83_17872,
							(int) (((long) 0)), BINT(BgL_siza7eza7_17856));
						PROCEDURE_SET(BgL_zc3anonymousza33165ze3z83_17872,
							(int) (((long) 1)),
							((obj_t) ((BgL_ev_letza2za2_bglt) BgL_ez00_15182)));
						PROCEDURE_SET(BgL_zc3anonymousza33165ze3z83_17872,
							(int) (((long) 2)), BgL_valsz00_17859);
						PROCEDURE_SET(BgL_zc3anonymousza33165ze3z83_17872,
							(int) (((long) 3)), BgL_bodyz00_17860);
						return BgL_zc3anonymousza33165ze3z83_17872;
					}
				}
			}
		}
	}



/* &<anonymous:3165> */
	obj_t BGl_z62zc3anonymousza33165ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15184, obj_t BgL_sz00_15189)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 479 */
			{	/* Eval/evaluate_comp.scm 479 */
				long BgL_siza7eza7_15185;
				BgL_ev_letza2za2_bglt BgL_i1110z00_15186;
				obj_t BgL_valsz00_15187;
				obj_t BgL_bodyz00_15188;

				BgL_siza7eza7_15185 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15184, (int) (((long) 0))));
				BgL_i1110z00_15186 =
					((BgL_ev_letza2za2_bglt)
					PROCEDURE_REF(BgL_envz00_15184, (int) (((long) 1))));
				BgL_valsz00_15187 = PROCEDURE_REF(BgL_envz00_15184, (int) (((long) 2)));
				BgL_bodyz00_15188 = PROCEDURE_REF(BgL_envz00_15184, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 479 */
					obj_t BgL_bpz00_17873;

					BgL_bpz00_17873 = VECTOR_REF(BgL_sz00_15189, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 480 */
						long BgL_g1111z00_17874;

						BgL_g1111z00_17874 =
							((long) CINT(BgL_bpz00_17873) + BgL_siza7eza7_15185);
						{
							obj_t BgL_lz00_17876;
							long BgL_iz00_17877;
							obj_t BgL_bza2za2_17878;

							BgL_lz00_17876 = BgL_valsz00_15187;
							BgL_iz00_17877 = BgL_g1111z00_17874;
							BgL_bza2za2_17878 =
								(((BgL_ev_letza2za2_bglt) CREF(BgL_i1110z00_15186))->
								BgL_boxesz00);
						BgL_recz00_17875:
							if (NULLP(BgL_lz00_17876))
								{	/* Eval/evaluate_comp.scm 481 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 481 */
									{	/* Eval/evaluate_comp.scm 482 */
										obj_t BgL_valz00_17879;

										{	/* Eval/evaluate_comp.scm 482 */
											obj_t BgL_fun3172z00_17880;

											BgL_fun3172z00_17880 = CAR(BgL_lz00_17876);
											BgL_valz00_17879 =
												PROCEDURE_ENTRY(BgL_fun3172z00_17880)
												(BgL_fun3172z00_17880, BgL_sz00_15189, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 483 */
											obj_t BgL_arg3170z00_17881;

											if (CBOOL(CAR(BgL_bza2za2_17878)))
												{	/* Eval/evaluate_comp.scm 202 */
													obj_t BgL_newz00_17882;

													BgL_newz00_17882 =
														create_struct(BGl_symbol5709z00zz__evaluate_compz00,
														(int) (((long) 1)));
													{	/* Eval/evaluate_comp.scm 202 */
														int BgL_tmpz00_33695;

														BgL_tmpz00_33695 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_17882, BgL_tmpz00_33695,
															BgL_valz00_17879);
													}
													BgL_arg3170z00_17881 = BgL_newz00_17882;
												}
											else
												{	/* Eval/evaluate_comp.scm 483 */
													BgL_arg3170z00_17881 = BgL_valz00_17879;
												}
											VECTOR_SET(BgL_sz00_15189,
												(int) (BgL_iz00_17877), BgL_arg3170z00_17881);
									}}
									{
										obj_t BgL_bza2za2_33704;
										long BgL_iz00_33702;
										obj_t BgL_lz00_33700;

										BgL_lz00_33700 = CDR(BgL_lz00_17876);
										BgL_iz00_33702 = (BgL_iz00_17877 + ((long) 1));
										BgL_bza2za2_33704 = CDR(BgL_bza2za2_17878);
										BgL_bza2za2_17878 = BgL_bza2za2_33704;
										BgL_iz00_17877 = BgL_iz00_33702;
										BgL_lz00_17876 = BgL_lz00_33700;
										goto BgL_recz00_17875;
									}
								}
						}
					}
					return
						PROCEDURE_ENTRY(BgL_bodyz00_15188) (BgL_bodyz00_15188,
						BgL_sz00_15189, BEOA);
				}
			}
		}
	}



/* &comp-ev_let1406 */
	obj_t BGl_z62compzd2ev_let1406zb0zz__evaluate_compz00(obj_t BgL_envz00_15190,
		obj_t BgL_ez00_15191, obj_t BgL_stkz00_15192)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 455 */
			{	/* Eval/evaluate_comp.scm 457 */
				long BgL_siza7eza7_17884;
				obj_t BgL_nstkz00_17885;

				BgL_siza7eza7_17884 = bgl_list_length(BgL_stkz00_15192);
				{	/* Eval/evaluate_comp.scm 457 */
					obj_t BgL_arg3164z00_17886;

					BgL_arg3164z00_17886 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letz00_bglt) BgL_ez00_15191))))->BgL_varsz00);
					BgL_nstkz00_17885 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15192,
						BgL_arg3164z00_17886);
				}
				{	/* Eval/evaluate_comp.scm 458 */
					obj_t BgL_valsz00_17887;
					obj_t BgL_iboxesz00_17888;
					obj_t BgL_bodyz00_17889;

					{	/* Eval/evaluate_comp.scm 459 */
						obj_t BgL_arg3152z00_17890;

						BgL_arg3152z00_17890 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_15191))))->BgL_valsz00);
						BgL_valsz00_17887 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00
							(BgL_arg3152z00_17890, BgL_stkz00_15192);
					}
					{	/* Eval/evaluate_comp.scm 460 */
						obj_t BgL_l1300z00_17891;

						BgL_l1300z00_17891 =
							(((BgL_ev_letz00_bglt) CREF(
									((BgL_ev_letz00_bglt) BgL_ez00_15191)))->BgL_boxesz00);
						if (NULLP(BgL_l1300z00_17891))
							{	/* Eval/evaluate_comp.scm 460 */
								BgL_iboxesz00_17888 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 460 */
								obj_t BgL_head1302z00_17892;

								{	/* Eval/evaluate_comp.scm 460 */
									obj_t BgL_res5051z00_17893;

									BgL_res5051z00_17893 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1302z00_17892 = BgL_res5051z00_17893;
								}
								{
									obj_t BgL_l1300z00_17895;
									obj_t BgL_tail1303z00_17896;

									BgL_l1300z00_17895 = BgL_l1300z00_17891;
									BgL_tail1303z00_17896 = BgL_head1302z00_17892;
								BgL_zc3anonymousza33154ze3z83_17894:
									if (NULLP(BgL_l1300z00_17895))
										{	/* Eval/evaluate_comp.scm 460 */
											BgL_iboxesz00_17888 = CDR(BgL_head1302z00_17892);
										}
									else
										{	/* Eval/evaluate_comp.scm 460 */
											obj_t BgL_newtail1304z00_17897;

											{	/* Eval/evaluate_comp.scm 460 */
												obj_t BgL_arg3157z00_17898;

												BgL_arg3157z00_17898 =
													BGl__indexz00zz__evaluate_compz00(CAR
													(BgL_l1300z00_17895), BgL_nstkz00_17885);
												{	/* Eval/evaluate_comp.scm 460 */
													obj_t BgL_res5057z00_17899;

													BgL_res5057z00_17899 =
														MAKE_YOUNG_PAIR(BgL_arg3157z00_17898, BNIL);
													BgL_newtail1304z00_17897 = BgL_res5057z00_17899;
												}
											}
											SET_CDR(BgL_tail1303z00_17896, BgL_newtail1304z00_17897);
											{
												obj_t BgL_tail1303z00_33734;
												obj_t BgL_l1300z00_33732;

												BgL_l1300z00_33732 = CDR(BgL_l1300z00_17895);
												BgL_tail1303z00_33734 = BgL_newtail1304z00_17897;
												BgL_tail1303z00_17896 = BgL_tail1303z00_33734;
												BgL_l1300z00_17895 = BgL_l1300z00_33732;
												goto BgL_zc3anonymousza33154ze3z83_17894;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 461 */
						BgL_ev_exprz00_bglt BgL_arg3163z00_17900;

						BgL_arg3163z00_17900 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_15191))))->BgL_bodyz00);
						BgL_bodyz00_17889 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3163z00_17900,
							BgL_nstkz00_17885);
					}
					{	/* Eval/evaluate_comp.scm 462 */
						obj_t BgL_zc3anonymousza33128ze3z83_17901;

						BgL_zc3anonymousza33128ze3z83_17901 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33128ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 4)));
						PROCEDURE_SET(BgL_zc3anonymousza33128ze3z83_17901,
							(int) (((long) 0)), BINT(BgL_siza7eza7_17884));
						PROCEDURE_SET(BgL_zc3anonymousza33128ze3z83_17901,
							(int) (((long) 1)), BgL_valsz00_17887);
						PROCEDURE_SET(BgL_zc3anonymousza33128ze3z83_17901,
							(int) (((long) 2)), BgL_iboxesz00_17888);
						PROCEDURE_SET(BgL_zc3anonymousza33128ze3z83_17901,
							(int) (((long) 3)), BgL_bodyz00_17889);
						return BgL_zc3anonymousza33128ze3z83_17901;
					}
				}
			}
		}
	}



/* &<anonymous:3128> */
	obj_t BGl_z62zc3anonymousza33128ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15193, obj_t BgL_sz00_15198)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 462 */
			{	/* Eval/evaluate_comp.scm 462 */
				long BgL_siza7eza7_15194;
				obj_t BgL_valsz00_15195;
				obj_t BgL_iboxesz00_15196;
				obj_t BgL_bodyz00_15197;

				BgL_siza7eza7_15194 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15193, (int) (((long) 0))));
				BgL_valsz00_15195 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15193, (int) (((long) 1))));
				BgL_iboxesz00_15196 =
					PROCEDURE_REF(BgL_envz00_15193, (int) (((long) 2)));
				BgL_bodyz00_15197 = PROCEDURE_REF(BgL_envz00_15193, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 462 */
					obj_t BgL_bpz00_17902;

					BgL_bpz00_17902 = VECTOR_REF(BgL_sz00_15198, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 463 */
						long BgL_g1109z00_17903;

						BgL_g1109z00_17903 =
							((long) CINT(BgL_bpz00_17902) + BgL_siza7eza7_15194);
						{
							obj_t BgL_lz00_17905;
							long BgL_iz00_17906;

							BgL_lz00_17905 = BgL_valsz00_15195;
							BgL_iz00_17906 = BgL_g1109z00_17903;
						BgL_recz00_17904:
							if (NULLP(BgL_lz00_17905))
								{	/* Eval/evaluate_comp.scm 464 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 464 */
									{	/* Eval/evaluate_comp.scm 465 */
										obj_t BgL_arg3139z00_17907;

										{	/* Eval/evaluate_comp.scm 465 */
											obj_t BgL_fun3140z00_17908;

											BgL_fun3140z00_17908 = CAR(BgL_lz00_17905);
											BgL_arg3139z00_17907 =
												PROCEDURE_ENTRY(BgL_fun3140z00_17908)
												(BgL_fun3140z00_17908, BgL_sz00_15198, BEOA);
										}
										VECTOR_SET(BgL_sz00_15198,
											(int) (BgL_iz00_17906), BgL_arg3139z00_17907);
									}
									{
										long BgL_iz00_33776;
										obj_t BgL_lz00_33774;

										BgL_lz00_33774 = CDR(BgL_lz00_17905);
										BgL_iz00_33776 = (BgL_iz00_17906 + ((long) 1));
										BgL_iz00_17906 = BgL_iz00_33776;
										BgL_lz00_17905 = BgL_lz00_33774;
										goto BgL_recz00_17904;
									}
								}
						}
					}
					{
						obj_t BgL_lz00_17910;

						BgL_lz00_17910 = BgL_iboxesz00_15196;
					BgL_recz00_17909:
						if (NULLP(BgL_lz00_17910))
							{	/* Eval/evaluate_comp.scm 468 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_comp.scm 468 */
								{	/* Eval/evaluate_comp.scm 469 */
									long BgL_iz00_17911;

									BgL_iz00_17911 =
										(
										(long) CINT(BgL_bpz00_17902) +
										(long) CINT(CAR(BgL_lz00_17910)));
									{	/* Eval/evaluate_comp.scm 470 */
										obj_t BgL_arg3146z00_17912;

										{	/* Eval/evaluate_comp.scm 470 */
											obj_t BgL_arg3148z00_17913;

											BgL_arg3148z00_17913 =
												VECTOR_REF(BgL_sz00_15198, (int) (BgL_iz00_17911));
											{	/* Eval/evaluate_comp.scm 202 */
												obj_t BgL_newz00_17914;

												BgL_newz00_17914 =
													create_struct(BGl_symbol5709z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 202 */
													int BgL_tmpz00_33788;

													BgL_tmpz00_33788 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_17914, BgL_tmpz00_33788,
														BgL_arg3148z00_17913);
												}
												BgL_arg3146z00_17912 = BgL_newz00_17914;
										}}
										VECTOR_SET(BgL_sz00_15198,
											(int) (BgL_iz00_17911), BgL_arg3146z00_17912);
								}}
								{
									obj_t BgL_lz00_33793;

									BgL_lz00_33793 = CDR(BgL_lz00_17910);
									BgL_lz00_17910 = BgL_lz00_33793;
									goto BgL_recz00_17909;
								}
							}
					}
					return
						PROCEDURE_ENTRY(BgL_bodyz00_15197) (BgL_bodyz00_15197,
						BgL_sz00_15198, BEOA);
				}
			}
		}
	}



/* &comp-ev_prog21404 */
	obj_t BGl_z62compzd2ev_prog21404zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15199, obj_t BgL_ez00_15200, obj_t BgL_stkz00_15201)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 449 */
			{	/* Eval/evaluate_comp.scm 451 */
				obj_t BgL_e1z00_17916;
				obj_t BgL_e2z00_17917;

				BgL_e1z00_17916 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_prog2z00_bglt) CREF(
								((BgL_ev_prog2z00_bglt) BgL_ez00_15200)))->BgL_e1z00),
					BgL_stkz00_15201);
				BgL_e2z00_17917 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_prog2z00_bglt)
							CREF(((BgL_ev_prog2z00_bglt) BgL_ez00_15200)))->BgL_e2z00),
					BgL_stkz00_15201);
				{	/* Eval/evaluate_comp.scm 452 */
					obj_t BgL_zc3anonymousza33124ze3z83_17918;

					BgL_zc3anonymousza33124ze3z83_17918 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33124ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza33124ze3z83_17918, (int) (((long) 0)),
						BgL_e1z00_17916);
					PROCEDURE_SET(BgL_zc3anonymousza33124ze3z83_17918, (int) (((long) 1)),
						BgL_e2z00_17917);
					return BgL_zc3anonymousza33124ze3z83_17918;
				}
			}
		}
	}



/* &<anonymous:3124> */
	obj_t BGl_z62zc3anonymousza33124ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15202, obj_t BgL_sz00_15205)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 452 */
			{	/* Eval/evaluate_comp.scm 452 */
				obj_t BgL_e1z00_15203;
				obj_t BgL_e2z00_15204;

				BgL_e1z00_15203 = PROCEDURE_REF(BgL_envz00_15202, (int) (((long) 0)));
				BgL_e2z00_15204 = PROCEDURE_REF(BgL_envz00_15202, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 452 */
					obj_t BgL_bpz00_17919;

					BgL_bpz00_17919 = VECTOR_REF(BgL_sz00_15205, (int) (((long) 0)));
					PROCEDURE_ENTRY(BgL_e1z00_15203) (BgL_e1z00_15203, BgL_sz00_15205,
						BEOA);
					return PROCEDURE_ENTRY(BgL_e2z00_15204) (BgL_e2z00_15204,
						BgL_sz00_15205, BEOA);
				}
			}
		}
	}



/* &comp-ev_and1402 */
	obj_t BGl_z62compzd2ev_and1402zb0zz__evaluate_compz00(obj_t BgL_envz00_15206,
		obj_t BgL_ez00_15207, obj_t BgL_stkz00_15208)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 439 */
			{	/* Eval/evaluate_comp.scm 441 */
				obj_t BgL_argsz00_17921;

				{	/* Eval/evaluate_comp.scm 441 */
					obj_t BgL_l1295z00_17922;

					BgL_l1295z00_17922 =
						(((BgL_ev_listz00_bglt) CREF(
								((BgL_ev_listz00_bglt)
									((BgL_ev_andz00_bglt) BgL_ez00_15207))))->BgL_argsz00);
					if (NULLP(BgL_l1295z00_17922))
						{	/* Eval/evaluate_comp.scm 441 */
							BgL_argsz00_17921 = BNIL;
						}
					else
						{	/* Eval/evaluate_comp.scm 441 */
							obj_t BgL_head1297z00_17923;

							{	/* Eval/evaluate_comp.scm 441 */
								obj_t BgL_res5040z00_17924;

								BgL_res5040z00_17924 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								BgL_head1297z00_17923 = BgL_res5040z00_17924;
							}
							{
								obj_t BgL_l1295z00_17926;
								obj_t BgL_tail1298z00_17927;

								BgL_l1295z00_17926 = BgL_l1295z00_17922;
								BgL_tail1298z00_17927 = BgL_head1297z00_17923;
							BgL_zc3anonymousza33119ze3z83_17925:
								if (NULLP(BgL_l1295z00_17926))
									{	/* Eval/evaluate_comp.scm 441 */
										BgL_argsz00_17921 = CDR(BgL_head1297z00_17923);
									}
								else
									{	/* Eval/evaluate_comp.scm 441 */
										obj_t BgL_newtail1299z00_17928;

										{	/* Eval/evaluate_comp.scm 441 */
											obj_t BgL_arg3123z00_17929;

											{	/* Eval/evaluate_comp.scm 441 */
												obj_t BgL_ez00_17930;

												BgL_ez00_17930 = CAR(BgL_l1295z00_17926);
												BgL_arg3123z00_17929 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_ez00_17930),
													BgL_stkz00_15208);
											}
											{	/* Eval/evaluate_comp.scm 441 */
												obj_t BgL_res5046z00_17931;

												BgL_res5046z00_17931 =
													MAKE_YOUNG_PAIR(BgL_arg3123z00_17929, BNIL);
												BgL_newtail1299z00_17928 = BgL_res5046z00_17931;
											}
										}
										SET_CDR(BgL_tail1298z00_17927, BgL_newtail1299z00_17928);
										{
											obj_t BgL_tail1298z00_33842;
											obj_t BgL_l1295z00_33840;

											BgL_l1295z00_33840 = CDR(BgL_l1295z00_17926);
											BgL_tail1298z00_33842 = BgL_newtail1299z00_17928;
											BgL_tail1298z00_17927 = BgL_tail1298z00_33842;
											BgL_l1295z00_17926 = BgL_l1295z00_33840;
											goto BgL_zc3anonymousza33119ze3z83_17925;
										}
									}
							}
						}
				}
				{	/* Eval/evaluate_comp.scm 442 */
					obj_t BgL_zc3anonymousza33113ze3z83_17932;

					BgL_zc3anonymousza33113ze3z83_17932 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33113ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza33113ze3z83_17932, (int) (((long) 0)),
						BgL_argsz00_17921);
					return BgL_zc3anonymousza33113ze3z83_17932;
				}
			}
		}
	}



/* &<anonymous:3113> */
	obj_t BGl_z62zc3anonymousza33113ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15209, obj_t BgL_sz00_15211)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 442 */
			{	/* Eval/evaluate_comp.scm 442 */
				obj_t BgL_argsz00_15210;

				BgL_argsz00_15210 = PROCEDURE_REF(BgL_envz00_15209, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 442 */
					obj_t BgL_bpz00_17933;

					BgL_bpz00_17933 = VECTOR_REF(BgL_sz00_15211, (int) (((long) 0)));
					{
						obj_t BgL_lz00_17935;
						obj_t BgL_rz00_17936;

						BgL_lz00_17935 = BgL_argsz00_15210;
						BgL_rz00_17936 = BTRUE;
					BgL_recz00_17934:
						if (NULLP(BgL_lz00_17935))
							{	/* Eval/evaluate_comp.scm 444 */
								return BgL_rz00_17936;
							}
						else
							{	/* Eval/evaluate_comp.scm 446 */
								obj_t BgL_vz00_17937;

								{	/* Eval/evaluate_comp.scm 446 */
									obj_t BgL_fun3117z00_17938;

									BgL_fun3117z00_17938 = CAR(BgL_lz00_17935);
									BgL_vz00_17937 =
										PROCEDURE_ENTRY(BgL_fun3117z00_17938) (BgL_fun3117z00_17938,
										BgL_sz00_15211, BEOA);
								}
								if (CBOOL(BgL_vz00_17937))
									{
										obj_t BgL_rz00_33863;
										obj_t BgL_lz00_33861;

										BgL_lz00_33861 = CDR(BgL_lz00_17935);
										BgL_rz00_33863 = BgL_vz00_17937;
										BgL_rz00_17936 = BgL_rz00_33863;
										BgL_lz00_17935 = BgL_lz00_33861;
										goto BgL_recz00_17934;
									}
								else
									{	/* Eval/evaluate_comp.scm 447 */
										return BFALSE;
									}
							}
					}
				}
			}
		}
	}



/* &comp-ev_or1400 */
	obj_t BGl_z62compzd2ev_or1400zb0zz__evaluate_compz00(obj_t BgL_envz00_15212,
		obj_t BgL_ez00_15213, obj_t BgL_stkz00_15214)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 430 */
			{	/* Eval/evaluate_comp.scm 432 */
				obj_t BgL_argsz00_17940;

				{	/* Eval/evaluate_comp.scm 432 */
					obj_t BgL_l1290z00_17941;

					BgL_l1290z00_17941 =
						(((BgL_ev_listz00_bglt) CREF(
								((BgL_ev_listz00_bglt)
									((BgL_ev_orz00_bglt) BgL_ez00_15213))))->BgL_argsz00);
					if (NULLP(BgL_l1290z00_17941))
						{	/* Eval/evaluate_comp.scm 432 */
							BgL_argsz00_17940 = BNIL;
						}
					else
						{	/* Eval/evaluate_comp.scm 432 */
							obj_t BgL_head1292z00_17942;

							{	/* Eval/evaluate_comp.scm 432 */
								obj_t BgL_res5031z00_17943;

								BgL_res5031z00_17943 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								BgL_head1292z00_17942 = BgL_res5031z00_17943;
							}
							{
								obj_t BgL_l1290z00_17945;
								obj_t BgL_tail1293z00_17946;

								BgL_l1290z00_17945 = BgL_l1290z00_17941;
								BgL_tail1293z00_17946 = BgL_head1292z00_17942;
							BgL_zc3anonymousza33105ze3z83_17944:
								if (NULLP(BgL_l1290z00_17945))
									{	/* Eval/evaluate_comp.scm 432 */
										BgL_argsz00_17940 = CDR(BgL_head1292z00_17942);
									}
								else
									{	/* Eval/evaluate_comp.scm 432 */
										obj_t BgL_newtail1294z00_17947;

										{	/* Eval/evaluate_comp.scm 432 */
											obj_t BgL_arg3112z00_17948;

											{	/* Eval/evaluate_comp.scm 432 */
												obj_t BgL_ez00_17949;

												BgL_ez00_17949 = CAR(BgL_l1290z00_17945);
												BgL_arg3112z00_17948 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_ez00_17949),
													BgL_stkz00_15214);
											}
											{	/* Eval/evaluate_comp.scm 432 */
												obj_t BgL_res5037z00_17950;

												BgL_res5037z00_17950 =
													MAKE_YOUNG_PAIR(BgL_arg3112z00_17948, BNIL);
												BgL_newtail1294z00_17947 = BgL_res5037z00_17950;
											}
										}
										SET_CDR(BgL_tail1293z00_17946, BgL_newtail1294z00_17947);
										{
											obj_t BgL_tail1293z00_33880;
											obj_t BgL_l1290z00_33878;

											BgL_l1290z00_33878 = CDR(BgL_l1290z00_17945);
											BgL_tail1293z00_33880 = BgL_newtail1294z00_17947;
											BgL_tail1293z00_17946 = BgL_tail1293z00_33880;
											BgL_l1290z00_17945 = BgL_l1290z00_33878;
											goto BgL_zc3anonymousza33105ze3z83_17944;
										}
									}
							}
						}
				}
				{	/* Eval/evaluate_comp.scm 433 */
					obj_t BgL_zc3anonymousza33099ze3z83_17951;

					BgL_zc3anonymousza33099ze3z83_17951 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33099ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza33099ze3z83_17951, (int) (((long) 0)),
						BgL_argsz00_17940);
					return BgL_zc3anonymousza33099ze3z83_17951;
				}
			}
		}
	}



/* &<anonymous:3099> */
	obj_t BGl_z62zc3anonymousza33099ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15215, obj_t BgL_sz00_15217)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 433 */
			{	/* Eval/evaluate_comp.scm 433 */
				obj_t BgL_argsz00_15216;

				BgL_argsz00_15216 = PROCEDURE_REF(BgL_envz00_15215, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 433 */
					obj_t BgL_bpz00_17952;

					BgL_bpz00_17952 = VECTOR_REF(BgL_sz00_15217, (int) (((long) 0)));
					{
						obj_t BgL_lz00_17954;

						BgL_lz00_17954 = BgL_argsz00_15216;
					BgL_recz00_17953:
						if (NULLP(BgL_lz00_17954))
							{	/* Eval/evaluate_comp.scm 435 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 437 */
								obj_t BgL__ortest_1104z00_17955;

								{	/* Eval/evaluate_comp.scm 437 */
									obj_t BgL_fun3103z00_17956;

									BgL_fun3103z00_17956 = CAR(BgL_lz00_17954);
									BgL__ortest_1104z00_17955 =
										PROCEDURE_ENTRY(BgL_fun3103z00_17956) (BgL_fun3103z00_17956,
										BgL_sz00_15217, BEOA);
								}
								if (CBOOL(BgL__ortest_1104z00_17955))
									{	/* Eval/evaluate_comp.scm 437 */
										return BgL__ortest_1104z00_17955;
									}
								else
									{
										obj_t BgL_lz00_33899;

										BgL_lz00_33899 = CDR(BgL_lz00_17954);
										BgL_lz00_17954 = BgL_lz00_33899;
										goto BgL_recz00_17953;
									}
							}
					}
				}
			}
		}
	}



/* &comp-ev_if1398 */
	obj_t BGl_z62compzd2ev_if1398zb0zz__evaluate_compz00(obj_t BgL_envz00_15218,
		obj_t BgL_ez00_15219, obj_t BgL_stkz00_15220)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 424 */
			{	/* Eval/evaluate_comp.scm 426 */
				obj_t BgL_pz00_17958;
				obj_t BgL_tz00_17959;
				obj_t BgL_ez00_17960;

				BgL_pz00_17958 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_ifz00_bglt) CREF(
								((BgL_ev_ifz00_bglt) BgL_ez00_15219)))->BgL_pz00),
					BgL_stkz00_15220);
				BgL_tz00_17959 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
							CREF(((BgL_ev_ifz00_bglt) BgL_ez00_15219)))->BgL_tz00),
					BgL_stkz00_15220);
				BgL_ez00_17960 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
							CREF(((BgL_ev_ifz00_bglt) BgL_ez00_15219)))->BgL_ez00),
					BgL_stkz00_15220);
				{	/* Eval/evaluate_comp.scm 427 */
					obj_t BgL_zc3anonymousza33094ze3z83_17961;

					BgL_zc3anonymousza33094ze3z83_17961 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33094ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 3)));
					PROCEDURE_SET(BgL_zc3anonymousza33094ze3z83_17961, (int) (((long) 0)),
						BgL_ez00_17960);
					PROCEDURE_SET(BgL_zc3anonymousza33094ze3z83_17961, (int) (((long) 1)),
						BgL_tz00_17959);
					PROCEDURE_SET(BgL_zc3anonymousza33094ze3z83_17961, (int) (((long) 2)),
						BgL_pz00_17958);
					return BgL_zc3anonymousza33094ze3z83_17961;
				}
			}
		}
	}



/* &<anonymous:3094> */
	obj_t BGl_z62zc3anonymousza33094ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15221, obj_t BgL_sz00_15225)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 427 */
			{	/* Eval/evaluate_comp.scm 427 */
				obj_t BgL_ez00_15222;
				obj_t BgL_tz00_15223;
				obj_t BgL_pz00_15224;

				BgL_ez00_15222 = PROCEDURE_REF(BgL_envz00_15221, (int) (((long) 0)));
				BgL_tz00_15223 = PROCEDURE_REF(BgL_envz00_15221, (int) (((long) 1)));
				BgL_pz00_15224 = PROCEDURE_REF(BgL_envz00_15221, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 427 */
					obj_t BgL_bpz00_17962;

					BgL_bpz00_17962 = VECTOR_REF(BgL_sz00_15225, (int) (((long) 0)));
					if (CBOOL(PROCEDURE_ENTRY(BgL_pz00_15224) (BgL_pz00_15224,
								BgL_sz00_15225, BEOA)))
						{	/* Eval/evaluate_comp.scm 428 */
							return
								PROCEDURE_ENTRY(BgL_tz00_15223) (BgL_tz00_15223, BgL_sz00_15225,
								BEOA);
						}
					else
						{	/* Eval/evaluate_comp.scm 428 */
							return
								PROCEDURE_ENTRY(BgL_ez00_15222) (BgL_ez00_15222, BgL_sz00_15225,
								BEOA);
						}
				}
			}
		}
	}



/* &comp-ev_litt1396 */
	obj_t BGl_z62compzd2ev_litt1396zb0zz__evaluate_compz00(obj_t BgL_envz00_15226,
		obj_t BgL_ez00_15227, obj_t BgL_stkz00_15228)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 419 */
			{	/* Eval/evaluate_comp.scm 421 */
				obj_t BgL_zc3anonymousza33093ze3z83_17964;

				BgL_zc3anonymousza33093ze3z83_17964 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3anonymousza33093ze3ze1zz__evaluate_compz00,
					(int) (((long) 1)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza33093ze3z83_17964, (int) (((long) 0)),
					((obj_t) ((BgL_ev_littz00_bglt) BgL_ez00_15227)));
				return BgL_zc3anonymousza33093ze3z83_17964;
			}
		}
	}



/* &<anonymous:3093> */
	obj_t BGl_z62zc3anonymousza33093ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15229, obj_t BgL_sz00_15231)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 421 */
			{	/* Eval/evaluate_comp.scm 421 */
				BgL_ev_littz00_bglt BgL_i1101z00_15230;

				BgL_i1101z00_15230 =
					((BgL_ev_littz00_bglt)
					PROCEDURE_REF(BgL_envz00_15229, (int) (((long) 0))));
				{	/* Eval/evaluate_comp.scm 421 */
					obj_t BgL_bpz00_17965;

					BgL_bpz00_17965 = VECTOR_REF(BgL_sz00_15231, (int) (((long) 0)));
					return
						(((BgL_ev_littz00_bglt) CREF(BgL_i1101z00_15230))->BgL_valuez00);
				}
			}
		}
	}



/* &comp-ev_defglobal1394 */
	obj_t BGl_z62compzd2ev_defglobal1394zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15232, obj_t BgL_ez00_15233, obj_t BgL_stkz00_15234)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 388 */
			{	/* Eval/evaluate_comp.scm 390 */
				obj_t BgL_ez00_17967;

				{	/* Eval/evaluate_comp.scm 390 */
					BgL_ev_exprz00_bglt BgL_arg3092z00_17968;

					BgL_arg3092z00_17968 =
						(((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_defglobalz00_bglt) BgL_ez00_15233))))->BgL_ez00);
					BgL_ez00_17967 =
						BGl_compz00zz__evaluate_compz00(BgL_arg3092z00_17968,
						BgL_stkz00_15234);
				}
				{	/* Eval/evaluate_comp.scm 391 */
					obj_t BgL_zc3anonymousza33051ze3z83_17969;

					BgL_zc3anonymousza33051ze3z83_17969 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33051ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza33051ze3z83_17969, (int) (((long) 0)),
						((obj_t) ((BgL_ev_defglobalz00_bglt) BgL_ez00_15233)));
					PROCEDURE_SET(BgL_zc3anonymousza33051ze3z83_17969, (int) (((long) 1)),
						BgL_ez00_17967);
					return BgL_zc3anonymousza33051ze3z83_17969;
				}
			}
		}
	}



/* &<anonymous:3051> */
	obj_t BGl_z62zc3anonymousza33051ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15235, obj_t BgL_sz00_15238)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 391 */
			{	/* Eval/evaluate_comp.scm 391 */
				BgL_ev_defglobalz00_bglt BgL_i1098z00_15236;
				obj_t BgL_ez00_15237;

				BgL_i1098z00_15236 =
					((BgL_ev_defglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15235, (int) (((long) 0))));
				BgL_ez00_15237 = PROCEDURE_REF(BgL_envz00_15235, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 391 */
					obj_t BgL_bpz00_17970;

					BgL_bpz00_17970 = VECTOR_REF(BgL_sz00_15238, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 392 */
						obj_t BgL_gz00_17971;

						{	/* Eval/evaluate_comp.scm 392 */
							obj_t BgL_arg3089z00_17972;
							obj_t BgL_arg3090z00_17973;

							BgL_arg3089z00_17972 =
								(((BgL_ev_setglobalz00_bglt) CREF(
										((BgL_ev_setglobalz00_bglt) BgL_i1098z00_15236)))->
								BgL_modz00);
							BgL_arg3090z00_17973 =
								(((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
											BgL_i1098z00_15236)))->BgL_namez00);
							BgL_gz00_17971 =
								BGl_evmodulezd2findzd2globalz00zz__evmodulez00
								(BgL_arg3089z00_17972, BgL_arg3090z00_17973);
						}
						if (CBOOL(BgL_gz00_17971))
							{	/* Eval/evaluate_comp.scm 394 */
								{

									{	/* Eval/evaluate_comp.scm 396 */
										int BgL_aux1100z00_17977;

										BgL_aux1100z00_17977 =
											CINT(VECTOR_REF(BgL_gz00_17971, (int) (((long) 0))));
										switch ((long) (BgL_aux1100z00_17977))
											{
											case ((long) 0):

												{	/* Eval/evaluate_comp.scm 398 */
													obj_t BgL_arg3053z00_17978;
													obj_t BgL_arg3054z00_17979;

													BgL_arg3053z00_17978 =
														(((BgL_ev_setglobalz00_bglt) CREF(
																((BgL_ev_setglobalz00_bglt)
																	BgL_i1098z00_15236)))->BgL_locz00);
													BgL_arg3054z00_17979 =
														(((BgL_ev_setglobalz00_bglt)
															CREF(((BgL_ev_setglobalz00_bglt)
																	BgL_i1098z00_15236)))->BgL_namez00);
													BGl_everrorz00zz__everrorz00(BgL_arg3053z00_17978,
														BGl_string5820z00zz__evaluate_compz00,
														BGl_string5821z00zz__evaluate_compz00,
														BgL_arg3054z00_17979);
												} break;
											case ((long) 1):

												{	/* Eval/evaluate_comp.scm 400 */
													obj_t BgL_arg3055z00_17980;
													obj_t BgL_arg3056z00_17981;

													BgL_arg3055z00_17980 =
														(((BgL_ev_setglobalz00_bglt) CREF(
																((BgL_ev_setglobalz00_bglt)
																	BgL_i1098z00_15236)))->BgL_locz00);
													BgL_arg3056z00_17981 =
														(((BgL_ev_setglobalz00_bglt)
															CREF(((BgL_ev_setglobalz00_bglt)
																	BgL_i1098z00_15236)))->BgL_namez00);
													{	/* Eval/evaluate_comp.scm 400 */
														obj_t BgL_list3057z00_17982;

														{	/* Eval/evaluate_comp.scm 400 */
															obj_t BgL_arg3058z00_17983;

															{	/* Eval/evaluate_comp.scm 400 */
																obj_t BgL_arg3059z00_17984;

																BgL_arg3059z00_17984 =
																	MAKE_YOUNG_PAIR(BgL_arg3056z00_17981, BNIL);
																BgL_arg3058z00_17983 =
																	MAKE_YOUNG_PAIR
																	(BGl_string5822z00zz__evaluate_compz00,
																	BgL_arg3059z00_17984);
															}
															BgL_list3057z00_17982 =
																MAKE_YOUNG_PAIR
																(BGl_string5699z00zz__evaluate_compz00,
																BgL_arg3058z00_17983);
														}
														BGl_evwarningz00zz__everrorz00(BgL_arg3055z00_17980,
															BgL_list3057z00_17982);
												}}
												{	/* Eval/evaluate_comp.scm 402 */
													obj_t BgL_arg3060z00_17985;
													obj_t BgL_arg3061z00_17986;

													BgL_arg3060z00_17985 =
														VECTOR_REF(BgL_gz00_17971, (int) (((long) 2)));
													BgL_arg3061z00_17986 =
														PROCEDURE_ENTRY(BgL_ez00_15237) (BgL_ez00_15237,
														BgL_sz00_15238, BEOA);
													__EVMEANING_ADDRESS_SET(BgL_arg3060z00_17985,
														BgL_arg3061z00_17986);
												} break;
											case ((long) 2):

												{	/* Eval/evaluate_comp.scm 404 */
													obj_t BgL_arg3062z00_17987;

													BgL_arg3062z00_17987 =
														PROCEDURE_ENTRY(BgL_ez00_15237) (BgL_ez00_15237,
														BgL_sz00_15238, BEOA);
													VECTOR_SET(BgL_gz00_17971, (int) (((long) 2)),
														BgL_arg3062z00_17987);
												} break;
											case ((long) 3):

												{	/* Eval/evaluate_comp.scm 406 */
													obj_t BgL_arg3063z00_17988;

													BgL_arg3063z00_17988 =
														PROCEDURE_ENTRY(BgL_ez00_15237) (BgL_ez00_15237,
														BgL_sz00_15238, BEOA);
													VECTOR_SET(BgL_gz00_17971, (int) (((long) 2)),
														BgL_arg3063z00_17988);
												}
												VECTOR_SET(BgL_gz00_17971,
													(int) (((long) 0)), BINT(((long) 2)));
												break;
											case ((long) 4):

												{	/* Eval/evaluate_comp.scm 409 */
													obj_t BgL_arg3067z00_17989;

													BgL_arg3067z00_17989 =
														PROCEDURE_ENTRY(BgL_ez00_15237) (BgL_ez00_15237,
														BgL_sz00_15238, BEOA);
													VECTOR_SET(BgL_gz00_17971, (int) (((long) 2)),
														BgL_arg3067z00_17989);
												}
												VECTOR_SET(BgL_gz00_17971,
													(int) (((long) 0)), BINT(((long) 5)));
												break;
											default:
												{	/* Eval/evaluate_comp.scm 412 */
													obj_t BgL_arg3068z00_17975;
													obj_t BgL_arg3080z00_17976;

													BgL_arg3068z00_17975 =
														(((BgL_ev_setglobalz00_bglt) CREF(
																((BgL_ev_setglobalz00_bglt)
																	BgL_i1098z00_15236)))->BgL_locz00);
													BgL_arg3080z00_17976 =
														(((BgL_ev_setglobalz00_bglt)
															CREF(((BgL_ev_setglobalz00_bglt)
																	BgL_i1098z00_15236)))->BgL_namez00);
													BGl_everrorz00zz__everrorz00(BgL_arg3068z00_17975,
														BGl_string5820z00zz__evaluate_compz00,
														BGl_string5821z00zz__evaluate_compz00,
														BgL_arg3080z00_17976);
												}
											}
									}
								}
								return
									(((BgL_ev_setglobalz00_bglt) CREF(
											((BgL_ev_setglobalz00_bglt) BgL_i1098z00_15236)))->
									BgL_namez00);
							}
						else
							{	/* Eval/evaluate_comp.scm 414 */
								obj_t BgL_gz00_17990;

								{	/* Eval/evaluate_comp.scm 414 */
									obj_t BgL_arg3086z00_17991;
									obj_t BgL_arg3087z00_17992;
									obj_t BgL_arg3088z00_17993;

									BgL_arg3086z00_17991 =
										(((BgL_ev_setglobalz00_bglt) CREF(
												((BgL_ev_setglobalz00_bglt) BgL_i1098z00_15236)))->
										BgL_namez00);
									BgL_arg3087z00_17992 =
										(((BgL_ev_setglobalz00_bglt)
											CREF(((BgL_ev_setglobalz00_bglt) BgL_i1098z00_15236)))->
										BgL_modz00);
									BgL_arg3088z00_17993 =
										(((BgL_ev_setglobalz00_bglt)
											CREF(((BgL_ev_setglobalz00_bglt) BgL_i1098z00_15236)))->
										BgL_locz00);
									{	/* Eval/evaluate_comp.scm 414 */
										obj_t BgL_v1368z00_17994;

										BgL_v1368z00_17994 = create_vector((int) (((long) 5)));
										VECTOR_SET(BgL_v1368z00_17994,
											(int) (((long) 0)), BINT(((long) 2)));
										VECTOR_SET(BgL_v1368z00_17994,
											(int) (((long) 1)), BgL_arg3086z00_17991);
										VECTOR_SET(BgL_v1368z00_17994, (int) (((long) 2)), BUNSPEC);
										VECTOR_SET(BgL_v1368z00_17994,
											(int) (((long) 3)), BgL_arg3087z00_17992);
										VECTOR_SET(BgL_v1368z00_17994,
											(int) (((long) 4)), BgL_arg3088z00_17993);
										BgL_gz00_17990 = BgL_v1368z00_17994;
								}}
								{	/* Eval/evaluate_comp.scm 415 */
									obj_t BgL_arg3081z00_17995;

									BgL_arg3081z00_17995 =
										PROCEDURE_ENTRY(BgL_ez00_15237) (BgL_ez00_15237,
										BgL_sz00_15238, BEOA);
									VECTOR_SET(BgL_gz00_17990, (int) (((long) 2)),
										BgL_arg3081z00_17995);
								}
								{	/* Eval/evaluate_comp.scm 416 */
									obj_t BgL_arg3082z00_17996;
									obj_t BgL_arg3083z00_17997;
									obj_t BgL_arg3085z00_17998;

									BgL_arg3082z00_17996 =
										(((BgL_ev_setglobalz00_bglt) CREF(
												((BgL_ev_setglobalz00_bglt) BgL_i1098z00_15236)))->
										BgL_modz00);
									BgL_arg3083z00_17997 =
										(((BgL_ev_setglobalz00_bglt)
											CREF(((BgL_ev_setglobalz00_bglt) BgL_i1098z00_15236)))->
										BgL_namez00);
									BgL_arg3085z00_17998 =
										(((BgL_ev_setglobalz00_bglt)
											CREF(((BgL_ev_setglobalz00_bglt) BgL_i1098z00_15236)))->
										BgL_locz00);
									BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00
										(BgL_arg3082z00_17996, BgL_arg3083z00_17997, BgL_gz00_17990,
										BgL_arg3085z00_17998);
								}
								return
									(((BgL_ev_setglobalz00_bglt) CREF(
											((BgL_ev_setglobalz00_bglt) BgL_i1098z00_15236)))->
									BgL_namez00);
							}
					}
				}
			}
		}
	}



/* &comp-ev_setglobal1392 */
	obj_t BGl_z62compzd2ev_setglobal1392zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15239, obj_t BgL_ez00_15240, obj_t BgL_stkz00_15241)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 365 */
			{	/* Eval/evaluate_comp.scm 367 */
				obj_t BgL_gz00_18000;
				obj_t BgL_ez00_18001;

				BgL_gz00_18000 =
					BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
					(((BgL_ev_setglobalz00_bglt) CREF(
								((BgL_ev_setglobalz00_bglt) BgL_ez00_15240)))->BgL_modz00),
					(((BgL_ev_setglobalz00_bglt) CREF(
								((BgL_ev_setglobalz00_bglt) BgL_ez00_15240)))->BgL_namez00));
				{	/* Eval/evaluate_comp.scm 367 */
					BgL_ev_exprz00_bglt BgL_arg3050z00_18002;

					BgL_arg3050z00_18002 =
						(((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_setglobalz00_bglt) BgL_ez00_15240))))->BgL_ez00);
					BgL_ez00_18001 =
						BGl_compz00zz__evaluate_compz00(BgL_arg3050z00_18002,
						BgL_stkz00_15241);
				}
				if (CBOOL(BgL_gz00_18000))
					{

						{	/* Eval/evaluate_comp.scm 369 */
							int BgL_aux1097z00_18005;

							BgL_aux1097z00_18005 =
								CINT(VECTOR_REF(BgL_gz00_18000, (int) (((long) 0))));
							switch ((long) (BgL_aux1097z00_18005))
								{
								case ((long) 1):

									{	/* Eval/evaluate_comp.scm 371 */
										obj_t BgL_zc3anonymousza33009ze3z83_18006;

										BgL_zc3anonymousza33009ze3z83_18006 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza33009ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3anonymousza33009ze3z83_18006,
											(int) (((long) 0)), BgL_gz00_18000);
										PROCEDURE_SET(BgL_zc3anonymousza33009ze3z83_18006,
											(int) (((long) 1)), BgL_ez00_18001);
										return BgL_zc3anonymousza33009ze3z83_18006;
									}
									break;
								case ((long) 0):
								case ((long) 4):
								case ((long) 5):

									return
										BGl_everrorz00zz__everrorz00(
										(((BgL_ev_setglobalz00_bglt) CREF(
													((BgL_ev_setglobalz00_bglt) BgL_ez00_15240)))->
											BgL_locz00), BGl_string5820z00zz__evaluate_compz00,
										BGl_string5821z00zz__evaluate_compz00,
										(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_ez00_15240)))->
											BgL_namez00));
									break;
								default:
									{	/* Eval/evaluate_comp.scm 376 */
										obj_t BgL_zc3anonymousza33016ze3z83_18004;

										BgL_zc3anonymousza33016ze3z83_18004 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza33016ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3anonymousza33016ze3z83_18004,
											(int) (((long) 0)), BgL_ez00_18001);
										PROCEDURE_SET(BgL_zc3anonymousza33016ze3z83_18004,
											(int) (((long) 1)), BgL_gz00_18000);
										return BgL_zc3anonymousza33016ze3z83_18004;
									}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 377 */
						obj_t BgL_slotz00_18007;

						BgL_slotz00_18007 = MAKE_CELL(BFALSE);
						if (BGl_evmodulezf3zf3zz__evmodulez00(
								(((BgL_ev_setglobalz00_bglt) CREF(
											((BgL_ev_setglobalz00_bglt) BgL_ez00_15240)))->
									BgL_modz00)))
							{	/* Eval/evaluate_comp.scm 379 */
								obj_t BgL_gz00_18008;

								{	/* Eval/evaluate_comp.scm 379 */
									obj_t BgL_arg3031z00_18009;
									obj_t BgL_arg3034z00_18010;
									obj_t BgL_arg3036z00_18011;

									BgL_arg3031z00_18009 =
										(((BgL_ev_setglobalz00_bglt) CREF(
												((BgL_ev_setglobalz00_bglt) BgL_ez00_15240)))->
										BgL_namez00);
									BgL_arg3034z00_18010 =
										(((BgL_ev_setglobalz00_bglt)
											CREF(((BgL_ev_setglobalz00_bglt) BgL_ez00_15240)))->
										BgL_modz00);
									BgL_arg3036z00_18011 =
										(((BgL_ev_setglobalz00_bglt)
											CREF(((BgL_ev_setglobalz00_bglt) BgL_ez00_15240)))->
										BgL_locz00);
									{	/* Eval/evaluate_comp.scm 379 */
										obj_t BgL_v1368z00_18012;

										BgL_v1368z00_18012 = create_vector((int) (((long) 5)));
										VECTOR_SET(BgL_v1368z00_18012,
											(int) (((long) 0)), BINT(((long) 2)));
										VECTOR_SET(BgL_v1368z00_18012,
											(int) (((long) 1)), BgL_arg3031z00_18009);
										VECTOR_SET(BgL_v1368z00_18012, (int) (((long) 2)), BUNSPEC);
										VECTOR_SET(BgL_v1368z00_18012,
											(int) (((long) 3)), BgL_arg3034z00_18010);
										VECTOR_SET(BgL_v1368z00_18012,
											(int) (((long) 4)), BgL_arg3036z00_18011);
										BgL_gz00_18008 = BgL_v1368z00_18012;
								}}
								VECTOR_SET(BgL_gz00_18008,
									(int) (((long) 0)), BINT(((long) 3)));
								BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
									(((BgL_ev_setglobalz00_bglt) CREF(
												((BgL_ev_setglobalz00_bglt) BgL_ez00_15240)))->
										BgL_modz00),
									(((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
													BgL_ez00_15240)))->BgL_namez00), BgL_gz00_18008,
									(((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
													BgL_ez00_15240)))->BgL_locz00));
							}
						else
							{	/* Eval/evaluate_comp.scm 378 */
								BFALSE;
							}
						{	/* Eval/evaluate_comp.scm 382 */
							obj_t BgL_zc3anonymousza33038ze3z83_18013;

							BgL_zc3anonymousza33038ze3z83_18013 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza33038ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_zc3anonymousza33038ze3z83_18013,
								(int) (((long) 0)),
								((obj_t) ((BgL_ev_setglobalz00_bglt) BgL_ez00_15240)));
							PROCEDURE_SET(BgL_zc3anonymousza33038ze3z83_18013,
								(int) (((long) 1)), ((obj_t) BgL_slotz00_18007));
							PROCEDURE_SET(BgL_zc3anonymousza33038ze3z83_18013,
								(int) (((long) 2)), BgL_ez00_18001);
							return BgL_zc3anonymousza33038ze3z83_18013;
						}
					}
			}
		}
	}



/* &<anonymous:3009> */
	obj_t BGl_z62zc3anonymousza33009ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15244, obj_t BgL_sz00_15247)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 371 */
			{	/* Eval/evaluate_comp.scm 371 */
				obj_t BgL_gz00_15245;
				obj_t BgL_ez00_15246;

				BgL_gz00_15245 = PROCEDURE_REF(BgL_envz00_15244, (int) (((long) 0)));
				BgL_ez00_15246 = PROCEDURE_REF(BgL_envz00_15244, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 371 */
					obj_t BgL_bpz00_18014;

					BgL_bpz00_18014 = VECTOR_REF(BgL_sz00_15247, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 372 */
						obj_t BgL_arg3010z00_18015;
						obj_t BgL_arg3011z00_18016;

						BgL_arg3010z00_18015 =
							VECTOR_REF(BgL_gz00_15245, (int) (((long) 2)));
						BgL_arg3011z00_18016 =
							PROCEDURE_ENTRY(BgL_ez00_15246) (BgL_ez00_15246, BgL_sz00_15247,
							BEOA);
						return __EVMEANING_ADDRESS_SET(BgL_arg3010z00_18015,
							BgL_arg3011z00_18016);
					}
				}
			}
		}
	}



/* &<anonymous:3016> */
	obj_t BGl_z62zc3anonymousza33016ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15248, obj_t BgL_sz00_15251)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 376 */
			{	/* Eval/evaluate_comp.scm 376 */
				obj_t BgL_ez00_15249;
				obj_t BgL_gz00_15250;

				BgL_ez00_15249 = PROCEDURE_REF(BgL_envz00_15248, (int) (((long) 0)));
				BgL_gz00_15250 = PROCEDURE_REF(BgL_envz00_15248, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 376 */
					obj_t BgL_bpz00_18017;

					BgL_bpz00_18017 = VECTOR_REF(BgL_sz00_15251, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 376 */
						obj_t BgL_arg3019z00_18018;

						BgL_arg3019z00_18018 =
							PROCEDURE_ENTRY(BgL_ez00_15249) (BgL_ez00_15249, BgL_sz00_15251,
							BEOA);
						return VECTOR_SET(BgL_gz00_15250, (int) (((long) 2)),
							BgL_arg3019z00_18018);
		}}}}
	}



/* &<anonymous:3038> */
	obj_t BGl_z62zc3anonymousza33038ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15252, obj_t BgL_sz00_15256)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 382 */
			{	/* Eval/evaluate_comp.scm 382 */
				BgL_ev_setglobalz00_bglt BgL_i1095z00_15253;
				obj_t BgL_slotz00_15254;
				obj_t BgL_ez00_15255;

				BgL_i1095z00_15253 =
					((BgL_ev_setglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15252, (int) (((long) 0))));
				BgL_slotz00_15254 = PROCEDURE_REF(BgL_envz00_15252, (int) (((long) 1)));
				BgL_ez00_15255 = PROCEDURE_REF(BgL_envz00_15252, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 382 */
					obj_t BgL_bpz00_18019;

					BgL_bpz00_18019 = VECTOR_REF(BgL_sz00_15256, (int) (((long) 0)));
					if (CBOOL(CELL_REF(BgL_slotz00_15254)))
						{	/* Eval/evaluate_comp.scm 383 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 383 */
							{	/* Eval/evaluate_comp.scm 384 */
								obj_t BgL_auxz00_18020;

								BgL_auxz00_18020 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
									(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1095z00_15253))->
										BgL_modz00),
									(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1095z00_15253))->
										BgL_namez00));
								CELL_SET(BgL_slotz00_15254, BgL_auxz00_18020);
							}
							if (CBOOL(CELL_REF(BgL_slotz00_15254)))
								{	/* Eval/evaluate_comp.scm 385 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 385 */
									BGl_everrorz00zz__everrorz00(
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1095z00_15253))->
											BgL_locz00), BGl_string5699z00zz__evaluate_compz00,
										BGl_string5823z00zz__evaluate_compz00,
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1095z00_15253))->
											BgL_namez00));
								}
						}
					{	/* Eval/evaluate_comp.scm 386 */
						obj_t BgL_arg3046z00_18021;

						BgL_arg3046z00_18021 =
							PROCEDURE_ENTRY(BgL_ez00_15255) (BgL_ez00_15255, BgL_sz00_15256,
							BEOA);
						{	/* Eval/evaluate_comp.scm 386 */
							obj_t BgL_evalzd2globalzd2_18022;

							BgL_evalzd2globalzd2_18022 = CELL_REF(BgL_slotz00_15254);
							return
								VECTOR_SET(BgL_evalzd2globalzd2_18022,
								(int) (((long) 2)), BgL_arg3046z00_18021);
		}}}}}
	}



/* &comp-ev_global1390 */
	obj_t BGl_z62compzd2ev_global1390zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15258, obj_t BgL_varz00_15259, obj_t BgL_stkz00_15260)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 339 */
			{	/* Eval/evaluate_comp.scm 341 */
				obj_t BgL_gz00_18024;

				BgL_gz00_18024 =
					BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
					(((BgL_ev_globalz00_bglt) CREF(
								((BgL_ev_globalz00_bglt) BgL_varz00_15259)))->BgL_modz00),
					(((BgL_ev_globalz00_bglt) CREF(
								((BgL_ev_globalz00_bglt) BgL_varz00_15259)))->BgL_namez00));
				if (CBOOL(BgL_gz00_18024))
					{	/* Eval/evaluate_comp.scm 343 */
						bool_t BgL_testz00_34208;

						{	/* Eval/evaluate_comp.scm 343 */
							int BgL_arg2965z00_18025;

							BgL_arg2965z00_18025 =
								CINT(VECTOR_REF(BgL_gz00_18024, (int) (((long) 0))));
							BgL_testz00_34208 =
								(BINT(BgL_arg2965z00_18025) == BINT(((long) 1)));
						}
						if (BgL_testz00_34208)
							{	/* Eval/evaluate_comp.scm 344 */
								obj_t BgL_zc3anonymousza32960ze3z83_18026;

								BgL_zc3anonymousza32960ze3z83_18026 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32960ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza32960ze3z83_18026,
									(int) (((long) 0)), BgL_gz00_18024);
								return BgL_zc3anonymousza32960ze3z83_18026;
							}
						else
							{	/* Eval/evaluate_comp.scm 346 */
								obj_t BgL_zc3anonymousza32962ze3z83_18027;

								BgL_zc3anonymousza32962ze3z83_18027 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32962ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza32962ze3z83_18027,
									(int) (((long) 0)), BgL_gz00_18024);
								return BgL_zc3anonymousza32962ze3z83_18027;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 348 */
						obj_t BgL_slotz00_18028;

						BgL_slotz00_18028 = MAKE_CELL(BFALSE);
						if (BGl_evmodulezf3zf3zz__evmodulez00(
								(((BgL_ev_globalz00_bglt) CREF(
											((BgL_ev_globalz00_bglt) BgL_varz00_15259)))->
									BgL_modz00)))
							{	/* Eval/evaluate_comp.scm 350 */
								obj_t BgL_gz00_18029;

								{	/* Eval/evaluate_comp.scm 350 */
									obj_t BgL_arg2971z00_18030;
									obj_t BgL_arg2972z00_18031;
									obj_t BgL_arg2986z00_18032;

									BgL_arg2971z00_18030 =
										(((BgL_ev_globalz00_bglt) CREF(
												((BgL_ev_globalz00_bglt) BgL_varz00_15259)))->
										BgL_namez00);
									BgL_arg2972z00_18031 =
										(((BgL_ev_globalz00_bglt) CREF(((BgL_ev_globalz00_bglt)
													BgL_varz00_15259)))->BgL_modz00);
									BgL_arg2986z00_18032 =
										(((BgL_ev_globalz00_bglt) CREF(((BgL_ev_globalz00_bglt)
													BgL_varz00_15259)))->BgL_locz00);
									{	/* Eval/evaluate_comp.scm 350 */
										obj_t BgL_v1368z00_18033;

										BgL_v1368z00_18033 = create_vector((int) (((long) 5)));
										VECTOR_SET(BgL_v1368z00_18033,
											(int) (((long) 0)), BINT(((long) 2)));
										VECTOR_SET(BgL_v1368z00_18033,
											(int) (((long) 1)), BgL_arg2971z00_18030);
										VECTOR_SET(BgL_v1368z00_18033, (int) (((long) 2)), BUNSPEC);
										VECTOR_SET(BgL_v1368z00_18033,
											(int) (((long) 3)), BgL_arg2972z00_18031);
										VECTOR_SET(BgL_v1368z00_18033,
											(int) (((long) 4)), BgL_arg2986z00_18032);
										BgL_gz00_18029 = BgL_v1368z00_18033;
								}}
								VECTOR_SET(BgL_gz00_18029,
									(int) (((long) 0)), BINT(((long) 3)));
								BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
									(((BgL_ev_globalz00_bglt) CREF(
												((BgL_ev_globalz00_bglt) BgL_varz00_15259)))->
										BgL_modz00),
									(((BgL_ev_globalz00_bglt) CREF(((BgL_ev_globalz00_bglt)
													BgL_varz00_15259)))->BgL_namez00), BgL_gz00_18029,
									(((BgL_ev_globalz00_bglt) CREF(((BgL_ev_globalz00_bglt)
													BgL_varz00_15259)))->BgL_locz00));
							}
						else
							{	/* Eval/evaluate_comp.scm 349 */
								BFALSE;
							}
						{	/* Eval/evaluate_comp.scm 353 */
							obj_t BgL_zc3anonymousza32989ze3z83_18034;

							BgL_zc3anonymousza32989ze3z83_18034 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32989ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3anonymousza32989ze3z83_18034,
								(int) (((long) 0)),
								((obj_t) ((BgL_ev_globalz00_bglt) BgL_varz00_15259)));
							PROCEDURE_SET(BgL_zc3anonymousza32989ze3z83_18034,
								(int) (((long) 1)), ((obj_t) BgL_slotz00_18028));
							return BgL_zc3anonymousza32989ze3z83_18034;
						}
					}
			}
		}
	}



/* &<anonymous:2960> */
	obj_t BGl_z62zc3anonymousza32960ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15263, obj_t BgL_sz00_15265)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 344 */
			{	/* Eval/evaluate_comp.scm 344 */
				obj_t BgL_gz00_15264;

				BgL_gz00_15264 = PROCEDURE_REF(BgL_envz00_15263, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 344 */
					obj_t BgL_bpz00_18035;

					BgL_bpz00_18035 = VECTOR_REF(BgL_sz00_15265, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 345 */
						obj_t BgL_tmpz00_34272;

						BgL_tmpz00_34272 = VECTOR_REF(BgL_gz00_15264, (int) (((long) 2)));
						return __EVMEANING_ADDRESS_REF(BgL_tmpz00_34272);
					}
				}
			}
		}
	}



/* &<anonymous:2962> */
	obj_t BGl_z62zc3anonymousza32962ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15266, obj_t BgL_sz00_15268)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 346 */
			{	/* Eval/evaluate_comp.scm 346 */
				obj_t BgL_gz00_15267;

				BgL_gz00_15267 = PROCEDURE_REF(BgL_envz00_15266, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 346 */
					obj_t BgL_bpz00_18036;

					BgL_bpz00_18036 = VECTOR_REF(BgL_sz00_15268, (int) (((long) 0)));
					return VECTOR_REF(BgL_gz00_15267, (int) (((long) 2)));
		}}}
	}



/* &<anonymous:2989> */
	obj_t BGl_z62zc3anonymousza32989ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15269, obj_t BgL_sz00_15272)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 353 */
			{	/* Eval/evaluate_comp.scm 353 */
				BgL_ev_globalz00_bglt BgL_i1094z00_15270;
				obj_t BgL_slotz00_15271;

				BgL_i1094z00_15270 =
					((BgL_ev_globalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15269, (int) (((long) 0))));
				BgL_slotz00_15271 = PROCEDURE_REF(BgL_envz00_15269, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 353 */
					obj_t BgL_bpz00_18037;

					BgL_bpz00_18037 = VECTOR_REF(BgL_sz00_15272, (int) (((long) 0)));
					if (CBOOL(CELL_REF(BgL_slotz00_15271)))
						{	/* Eval/evaluate_comp.scm 354 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 354 */
							{	/* Eval/evaluate_comp.scm 355 */
								obj_t BgL_auxz00_18038;

								BgL_auxz00_18038 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
									(((BgL_ev_globalz00_bglt) CREF(BgL_i1094z00_15270))->
										BgL_modz00),
									(((BgL_ev_globalz00_bglt) CREF(BgL_i1094z00_15270))->
										BgL_namez00));
								CELL_SET(BgL_slotz00_15271, BgL_auxz00_18038);
							}
							if (CBOOL(CELL_REF(BgL_slotz00_15271)))
								{	/* Eval/evaluate_comp.scm 356 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 356 */
									BGl_everrorz00zz__everrorz00(
										(((BgL_ev_globalz00_bglt) CREF(BgL_i1094z00_15270))->
											BgL_locz00), BGl_string5699z00zz__evaluate_compz00,
										BGl_string5823z00zz__evaluate_compz00,
										(((BgL_ev_globalz00_bglt) CREF(BgL_i1094z00_15270))->
											BgL_namez00));
								}
						}
					{	/* Eval/evaluate_comp.scm 357 */
						obj_t BgL_vz00_18039;

						{	/* Eval/evaluate_comp.scm 357 */
							obj_t BgL_evalzd2globalzd2_18040;

							BgL_evalzd2globalzd2_18040 = CELL_REF(BgL_slotz00_15271);
							BgL_vz00_18039 =
								VECTOR_REF(BgL_evalzd2globalzd2_18040, (int) (((long) 2)));
						}
						if ((BgL_vz00_18039 == BUNSPEC))
							{	/* Eval/evaluate_comp.scm 359 */
								int BgL_tz00_18041;

								{	/* Eval/evaluate_comp.scm 359 */
									int BgL_res5025z00_18042;

									{	/* Eval/evaluate_comp.scm 359 */
										obj_t BgL_evalzd2globalzd2_18043;

										BgL_evalzd2globalzd2_18043 = CELL_REF(BgL_slotz00_15271);
										BgL_res5025z00_18042 =
											CINT(VECTOR_REF(BgL_evalzd2globalzd2_18043,
												(int) (((long) 0))));
									}
									BgL_tz00_18041 = BgL_res5025z00_18042;
								}
								{	/* Eval/evaluate_comp.scm 360 */
									bool_t BgL_testz00_34306;

									if (((long) (BgL_tz00_18041) == ((long) 3)))
										{	/* Eval/evaluate_comp.scm 360 */
											BgL_testz00_34306 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 360 */
											BgL_testz00_34306 =
												((long) (BgL_tz00_18041) == ((long) 4));
										}
									if (BgL_testz00_34306)
										{	/* Eval/evaluate_comp.scm 360 */
											return
												BGl_everrorz00zz__everrorz00(
												(((BgL_ev_globalz00_bglt) CREF(BgL_i1094z00_15270))->
													BgL_locz00), BGl_string5699z00zz__evaluate_compz00,
												BGl_string5824z00zz__evaluate_compz00,
												(((BgL_ev_globalz00_bglt) CREF(BgL_i1094z00_15270))->
													BgL_namez00));
										}
									else
										{	/* Eval/evaluate_comp.scm 360 */
											return BgL_vz00_18039;
										}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 358 */
								return BgL_vz00_18039;
							}
					}
				}
			}
		}
	}



/* &comp-ev_setlocal1388 */
	obj_t BGl_z62compzd2ev_setlocal1388zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15274, obj_t BgL_ez00_15275, obj_t BgL_stkz00_15276)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 321 */
			{	/* Eval/evaluate_comp.scm 323 */
				obj_t BgL_iz00_18045;
				obj_t BgL_ez00_18046;

				{	/* Eval/evaluate_comp.scm 323 */
					BgL_ev_varz00_bglt BgL_arg2956z00_18047;

					BgL_arg2956z00_18047 =
						(((BgL_ev_setlocalz00_bglt) CREF(
								((BgL_ev_setlocalz00_bglt) BgL_ez00_15275)))->BgL_vz00);
					BgL_iz00_18045 =
						BGl__indexz00zz__evaluate_compz00(
						((obj_t) BgL_arg2956z00_18047), BgL_stkz00_15276);
				}
				{	/* Eval/evaluate_comp.scm 323 */
					BgL_ev_exprz00_bglt BgL_arg2957z00_18048;

					BgL_arg2957z00_18048 =
						(((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_setlocalz00_bglt) BgL_ez00_15275))))->BgL_ez00);
					BgL_ez00_18046 =
						BGl_compz00zz__evaluate_compz00(BgL_arg2957z00_18048,
						BgL_stkz00_15276);
				}
				if (CBOOL(
						(((BgL_ev_varz00_bglt) CREF(
									(((BgL_ev_setlocalz00_bglt) CREF(
												((BgL_ev_setlocalz00_bglt) BgL_ez00_15275)))->
										BgL_vz00)))->BgL_effz00)))
					{	/* Eval/evaluate_comp.scm 326 */
						obj_t BgL_zc3anonymousza32946ze3z83_18049;

						BgL_zc3anonymousza32946ze3z83_18049 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32946ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32946ze3z83_18049,
							(int) (((long) 0)), BgL_iz00_18045);
						PROCEDURE_SET(BgL_zc3anonymousza32946ze3z83_18049,
							(int) (((long) 1)), BgL_ez00_18046);
						return BgL_zc3anonymousza32946ze3z83_18049;
					}
				else
					{	/* Eval/evaluate_comp.scm 328 */
						obj_t BgL_zc3anonymousza32950ze3z83_18050;

						BgL_zc3anonymousza32950ze3z83_18050 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32950ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32950ze3z83_18050,
							(int) (((long) 0)), BgL_iz00_18045);
						PROCEDURE_SET(BgL_zc3anonymousza32950ze3z83_18050,
							(int) (((long) 1)), BgL_ez00_18046);
						return BgL_zc3anonymousza32950ze3z83_18050;
					}
			}
		}
	}



/* &<anonymous:2946> */
	obj_t BGl_z62zc3anonymousza32946ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15277, obj_t BgL_sz00_15280)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 326 */
			{	/* Eval/evaluate_comp.scm 326 */
				obj_t BgL_iz00_15278;
				obj_t BgL_ez00_15279;

				BgL_iz00_15278 = PROCEDURE_REF(BgL_envz00_15277, (int) (((long) 0)));
				BgL_ez00_15279 = PROCEDURE_REF(BgL_envz00_15277, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 326 */
					obj_t BgL_bpz00_18051;

					BgL_bpz00_18051 = VECTOR_REF(BgL_sz00_15280, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 327 */
						obj_t BgL_arg2947z00_18052;
						obj_t BgL_arg2948z00_18053;

						{	/* Eval/evaluate_comp.scm 327 */
							long BgL_arg2949z00_18054;

							BgL_arg2949z00_18054 =
								((long) CINT(BgL_bpz00_18051) + (long) CINT(BgL_iz00_15278));
							BgL_arg2947z00_18052 =
								VECTOR_REF(BgL_sz00_15280, (int) (BgL_arg2949z00_18054));
						}
						BgL_arg2948z00_18053 =
							PROCEDURE_ENTRY(BgL_ez00_15279) (BgL_ez00_15279, BgL_sz00_15280,
							BEOA);
						{	/* Eval/evaluate_comp.scm 202 */
							obj_t BgL_xz00_18055;

							{	/* Eval/evaluate_comp.scm 202 */
								int BgL_tmpz00_34357;

								BgL_tmpz00_34357 = (int) (((long) 0));
								BgL_xz00_18055 =
									STRUCT_SET(BgL_arg2947z00_18052, BgL_tmpz00_34357,
									BgL_arg2948z00_18053);
							}
							return BUNSPEC;
						}
					}
				}
			}
		}
	}



/* &<anonymous:2950> */
	obj_t BGl_z62zc3anonymousza32950ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15281, obj_t BgL_sz00_15284)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 328 */
			{	/* Eval/evaluate_comp.scm 328 */
				obj_t BgL_iz00_15282;
				obj_t BgL_ez00_15283;

				BgL_iz00_15282 = PROCEDURE_REF(BgL_envz00_15281, (int) (((long) 0)));
				BgL_ez00_15283 = PROCEDURE_REF(BgL_envz00_15281, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 328 */
					obj_t BgL_bpz00_18056;

					BgL_bpz00_18056 = VECTOR_REF(BgL_sz00_15284, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 329 */
						long BgL_arg2951z00_18057;
						obj_t BgL_arg2954z00_18058;

						BgL_arg2951z00_18057 =
							((long) CINT(BgL_bpz00_18056) + (long) CINT(BgL_iz00_15282));
						BgL_arg2954z00_18058 =
							PROCEDURE_ENTRY(BgL_ez00_15283) (BgL_ez00_15283, BgL_sz00_15284,
							BEOA);
						return VECTOR_SET(BgL_sz00_15284, (int) (BgL_arg2951z00_18057),
							BgL_arg2954z00_18058);
		}}}}
	}



/* &comp-ev_var1386 */
	obj_t BGl_z62compzd2ev_var1386zb0zz__evaluate_compz00(obj_t BgL_envz00_15285,
		obj_t BgL_varz00_15286, obj_t BgL_stkz00_15287)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 316 */
			{	/* Eval/evaluate_comp.scm 317 */
				obj_t BgL_iz00_18060;

				BgL_iz00_18060 =
					BGl__indexz00zz__evaluate_compz00(
					((obj_t) ((BgL_ev_varz00_bglt) BgL_varz00_15286)), BgL_stkz00_15287);
				{

					if (INTEGERP(BgL_iz00_18060))
						{	/* Eval/evaluate_comp.scm 319 */
							switch ((long) CINT(BgL_iz00_18060))
								{
								case ((long) 0):

									if (CBOOL(
											(((BgL_ev_varz00_bglt) CREF(
														((BgL_ev_varz00_bglt) BgL_varz00_15286)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5825z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5826z00zz__evaluate_compz00;
										}
									break;
								case ((long) 1):

									if (CBOOL(
											(((BgL_ev_varz00_bglt) CREF(
														((BgL_ev_varz00_bglt) BgL_varz00_15286)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5827z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5828z00zz__evaluate_compz00;
										}
									break;
								case ((long) 2):

									if (CBOOL(
											(((BgL_ev_varz00_bglt) CREF(
														((BgL_ev_varz00_bglt) BgL_varz00_15286)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5829z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5830z00zz__evaluate_compz00;
										}
									break;
								case ((long) 3):

									if (CBOOL(
											(((BgL_ev_varz00_bglt) CREF(
														((BgL_ev_varz00_bglt) BgL_varz00_15286)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5831z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc5832z00zz__evaluate_compz00;
										}
									break;
								default:
								BgL_case_else1089z00_18061:
									if (CBOOL(
											(((BgL_ev_varz00_bglt) CREF(
														((BgL_ev_varz00_bglt) BgL_varz00_15286)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											obj_t BgL_zc3anonymousza32938ze3z83_18062;

											BgL_zc3anonymousza32938ze3z83_18062 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32938ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3anonymousza32938ze3z83_18062,
												(int) (((long) 0)), BgL_iz00_18060);
											return BgL_zc3anonymousza32938ze3z83_18062;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											obj_t BgL_zc3anonymousza32941ze3z83_18063;

											BgL_zc3anonymousza32941ze3z83_18063 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32941ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3anonymousza32941ze3z83_18063,
												(int) (((long) 0)), BgL_iz00_18060);
											return BgL_zc3anonymousza32941ze3z83_18063;
										}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 319 */
							goto BgL_case_else1089z00_18061;
						}
				}
			}
		}
	}



/* &<anonymous:2932> */
	obj_t BGl_z62zc3anonymousza32932ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15288, obj_t BgL_sz00_15289)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18064;

				BgL_bpz00_18064 = VECTOR_REF(BgL_sz00_15289, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2933z00_18065;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2934z00_18066;

						BgL_arg2934z00_18066 = ((long) CINT(BgL_bpz00_18064) + ((long) 3));
						BgL_arg2933z00_18065 =
							VECTOR_REF(BgL_sz00_15289, (int) (BgL_arg2934z00_18066));
					}
					return STRUCT_REF(BgL_arg2933z00_18065, (int) (((long) 0)));
		}}}
	}



/* &<anonymous:2935> */
	obj_t BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15290, obj_t BgL_sz00_15291)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18067;

				BgL_bpz00_18067 = VECTOR_REF(BgL_sz00_15291, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg2936z00_18068;

					BgL_arg2936z00_18068 = ((long) CINT(BgL_bpz00_18067) + ((long) 3));
					return VECTOR_REF(BgL_sz00_15291, (int) (BgL_arg2936z00_18068));
		}}}
	}



/* &<anonymous:2924> */
	obj_t BGl_z62zc3anonymousza32924ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15292, obj_t BgL_sz00_15293)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18069;

				BgL_bpz00_18069 = VECTOR_REF(BgL_sz00_15293, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2926z00_18070;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2928z00_18071;

						BgL_arg2928z00_18071 = ((long) CINT(BgL_bpz00_18069) + ((long) 2));
						BgL_arg2926z00_18070 =
							VECTOR_REF(BgL_sz00_15293, (int) (BgL_arg2928z00_18071));
					}
					return STRUCT_REF(BgL_arg2926z00_18070, (int) (((long) 0)));
		}}}
	}



/* &<anonymous:2929> */
	obj_t BGl_z62zc3anonymousza32929ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15294, obj_t BgL_sz00_15295)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18072;

				BgL_bpz00_18072 = VECTOR_REF(BgL_sz00_15295, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg2930z00_18073;

					BgL_arg2930z00_18073 = ((long) CINT(BgL_bpz00_18072) + ((long) 2));
					return VECTOR_REF(BgL_sz00_15295, (int) (BgL_arg2930z00_18073));
		}}}
	}



/* &<anonymous:2918> */
	obj_t BGl_z62zc3anonymousza32918ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15296, obj_t BgL_sz00_15297)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18074;

				BgL_bpz00_18074 = VECTOR_REF(BgL_sz00_15297, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2919z00_18075;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2920z00_18076;

						BgL_arg2920z00_18076 = ((long) CINT(BgL_bpz00_18074) + ((long) 1));
						BgL_arg2919z00_18075 =
							VECTOR_REF(BgL_sz00_15297, (int) (BgL_arg2920z00_18076));
					}
					return STRUCT_REF(BgL_arg2919z00_18075, (int) (((long) 0)));
		}}}
	}



/* &<anonymous:2921> */
	obj_t BGl_z62zc3anonymousza32921ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15298, obj_t BgL_sz00_15299)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18077;

				BgL_bpz00_18077 = VECTOR_REF(BgL_sz00_15299, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg2922z00_18078;

					BgL_arg2922z00_18078 = ((long) CINT(BgL_bpz00_18077) + ((long) 1));
					return VECTOR_REF(BgL_sz00_15299, (int) (BgL_arg2922z00_18078));
		}}}
	}



/* &<anonymous:2909> */
	obj_t BGl_z62zc3anonymousza32909ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15300, obj_t BgL_sz00_15301)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18079;

				BgL_bpz00_18079 = VECTOR_REF(BgL_sz00_15301, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2910z00_18080;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2911z00_18081;

						BgL_arg2911z00_18081 = ((long) CINT(BgL_bpz00_18079) + ((long) 0));
						BgL_arg2910z00_18080 =
							VECTOR_REF(BgL_sz00_15301, (int) (BgL_arg2911z00_18081));
					}
					return STRUCT_REF(BgL_arg2910z00_18080, (int) (((long) 0)));
		}}}
	}



/* &<anonymous:2912> */
	obj_t BGl_z62zc3anonymousza32912ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15302, obj_t BgL_sz00_15303)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18082;

				BgL_bpz00_18082 = VECTOR_REF(BgL_sz00_15303, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg2916z00_18083;

					BgL_arg2916z00_18083 = ((long) CINT(BgL_bpz00_18082) + ((long) 0));
					return VECTOR_REF(BgL_sz00_15303, (int) (BgL_arg2916z00_18083));
		}}}
	}



/* &<anonymous:2938> */
	obj_t BGl_z62zc3anonymousza32938ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15304, obj_t BgL_sz00_15306)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_iz00_15305;

				BgL_iz00_15305 = PROCEDURE_REF(BgL_envz00_15304, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_bpz00_18084;

					BgL_bpz00_18084 = VECTOR_REF(BgL_sz00_15306, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 319 */
						obj_t BgL_arg2939z00_18085;

						{	/* Eval/evaluate_comp.scm 319 */
							long BgL_arg2940z00_18086;

							BgL_arg2940z00_18086 =
								((long) CINT(BgL_bpz00_18084) + (long) CINT(BgL_iz00_15305));
							BgL_arg2939z00_18085 =
								VECTOR_REF(BgL_sz00_15306, (int) (BgL_arg2940z00_18086));
						}
						return STRUCT_REF(BgL_arg2939z00_18085, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:2941> */
	obj_t BGl_z62zc3anonymousza32941ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15307, obj_t BgL_sz00_15309)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_iz00_15308;

				BgL_iz00_15308 = PROCEDURE_REF(BgL_envz00_15307, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_bpz00_18087;

					BgL_bpz00_18087 = VECTOR_REF(BgL_sz00_15309, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2944z00_18088;

						BgL_arg2944z00_18088 =
							((long) CINT(BgL_bpz00_18087) + (long) CINT(BgL_iz00_15308));
						return VECTOR_REF(BgL_sz00_15309, (int) (BgL_arg2944z00_18088));
		}}}}
	}



/* &comp-ev_trap1382 */
	obj_t BGl_z62compzd2ev_trap1382zb0zz__evaluate_compz00(obj_t BgL_envz00_15310,
		obj_t BgL_ez00_15311, obj_t BgL_stkz00_15312)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 289 */
			{	/* Eval/evaluate_comp.scm 291 */
				obj_t BgL_ez00_18090;

				{	/* Eval/evaluate_comp.scm 291 */
					BgL_ev_exprz00_bglt BgL_arg2906z00_18091;

					BgL_arg2906z00_18091 =
						(((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_trapz00_bglt) BgL_ez00_15311))))->BgL_ez00);
					BgL_ez00_18090 =
						BGl_compz00zz__evaluate_compz00(BgL_arg2906z00_18091,
						BgL_stkz00_15312);
				}
				{	/* Eval/evaluate_comp.scm 292 */
					obj_t BgL_zc3anonymousza32898ze3z83_18092;

					BgL_zc3anonymousza32898ze3z83_18092 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza32898ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32898ze3z83_18092, (int) (((long) 0)),
						BgL_ez00_18090);
					return BgL_zc3anonymousza32898ze3z83_18092;
				}
			}
		}
	}



/* &<anonymous:2898> */
	obj_t BGl_z62zc3anonymousza32898ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15313, obj_t BgL_sz00_15315)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 292 */
			{	/* Eval/evaluate_comp.scm 292 */
				obj_t BgL_ez00_15314;

				BgL_ez00_15314 = PROCEDURE_REF(BgL_envz00_15313, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 292 */
					obj_t BgL_bpz00_18093;

					BgL_bpz00_18093 = VECTOR_REF(BgL_sz00_15315, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 293 */
						obj_t BgL_cmdz00_18094;

						BgL_cmdz00_18094 =
							PROCEDURE_ENTRY(BgL_ez00_15314) (BgL_ez00_15314, BgL_sz00_15315,
							BEOA);
						if ((BgL_cmdz00_18094 == BGl_symbol5833z00zz__evaluate_compz00))
							{	/* Eval/evaluate_comp.scm 294 */
								return BgL_bpz00_18093;
							}
						else
							{	/* Eval/evaluate_comp.scm 294 */
								if ((BgL_cmdz00_18094 == BGl_symbol5835z00zz__evaluate_compz00))
									{	/* Eval/evaluate_comp.scm 294 */
										return BGl_reset_profilez00zz__evaluate_compz00();
									}
								else
									{	/* Eval/evaluate_comp.scm 294 */
										if (
											(BgL_cmdz00_18094 ==
												BGl_symbol5837z00zz__evaluate_compz00))
											{	/* Eval/evaluate_comp.scm 294 */
												return BGl_get_profilez00zz__evaluate_compz00();
											}
										else
											{	/* Eval/evaluate_comp.scm 294 */
												if (
													(BgL_cmdz00_18094 ==
														BGl_symbol5839z00zz__evaluate_compz00))
													{	/* Eval/evaluate_comp.scm 294 */
														return
															VECTOR_SET(BGl_findzd2statezd2zz__evaluate_compz00
															(), (int) (((long) 0)), BINT(((long) 2)));
													}
												else
													{	/* Eval/evaluate_comp.scm 294 */
														return
															BGl_errorz00zz__errorz00
															(BGl_string5699z00zz__evaluate_compz00,
															BGl_string5841z00zz__evaluate_compz00,
															BgL_cmdz00_18094);
													}
											}
									}
							}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 129954706),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 444693568),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 298117425),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 439353001),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1047446),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 467924967),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 454272164),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					381113196), BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					231310901), BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -282360853),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882), BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 525089452),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 159480991),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667), BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)
					20669940), BSTRING_TO_STRING(BGl_string5842z00zz__evaluate_compz00));
		}
	}

#ifdef __cplusplus
}
#endif
