/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_types.scm -indent -o objs/obj_u/Eval/evaluate_types.c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2560z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2564z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1933z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1934z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1774z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1775z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1939z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2571z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_symbol2575z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2579z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1943z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1944z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1784z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1785z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1949z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2586z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1950z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1794z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_absz00_bglt BGl_z62lambda1956z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_absz00_bglt BGl_z62lambda1958z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2591z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2596z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1964z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1965z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1972z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31996ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1977z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1978z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1982z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1983z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1988z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1989z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1994z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1995z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31631ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31453ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62zc3anonymousza31470ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31545ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31384ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31830ze3ze1zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1402z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1403z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31850ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1408z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1409z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1415z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1416z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31819ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_globalz00_bglt BGl_z62lambda1422z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_globalz00_bglt BGl_z62lambda1424z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31690ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1431z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1432z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1437z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1438z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31659ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1442z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1443z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1605z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1606z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31765ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31927ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31587ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1449z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31498ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2400z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2402z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2406z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32003ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1451z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31960ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1457z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1458z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2411z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2415z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1623z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1627z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1466z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1468z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2421z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2426z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1474z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1475z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1637z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1638z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2430z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2435z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2439z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1801z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1802z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1642z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1482z62zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1483z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31874ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1647z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1648z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1487z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1488z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2604z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2443z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2609z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2447z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_letza2za2_bglt BGl_z62lambda1814z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1655z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1817z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1494z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1657z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1496z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2452z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2618z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2456z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32024ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1665z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1828z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1667z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1829z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2623z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2461z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2466z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_varz00_bglt BGl_z62lambda1674z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1836z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1675z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1679z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2633z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2471z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2475z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2639z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2479z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1680z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1846z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1848z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2643z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2484z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1855z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1695z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1859z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2650z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2491z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2656z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2496z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1860z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1865z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31896ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1866z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2662z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2667z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1873z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1879z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2673z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2677z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1885z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2686z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_symbol2688z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_gotoz00_bglt BGl_z62lambda1892z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1894z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2693z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2698z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31427ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31711ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31534ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31519ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31803ze3ze1zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2001z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2002z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2008z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2009z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2015z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2016z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31571ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31733ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2022z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2023z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31840ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31398ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1507z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
	static BgL_ev_orz00_bglt BGl_z62lambda1515z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1517z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32010ze3ze1zz__evaluate_typesz00(obj_t);
	extern obj_t BGl_objectz00zz__objectz00;
	static BgL_ev_andz00_bglt BGl_z62lambda1530z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1532z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31669ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1700z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1701z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1541z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1380z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1543z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1382z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1707z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1709z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2500z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2505z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1550z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1551z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1715z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1392z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1716z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1394z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1557z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1558z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2516z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1720z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1566z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31599ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1569z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2521z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2525z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2529z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1730z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1737z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31867ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1738z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1577z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2534z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1900z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1901z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1742z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1743z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1906z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1583z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1907z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1585z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2703z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2543z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2547z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2387z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2389z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32017ze3ze1zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_labelsz00_bglt BGl_z62lambda1911z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1912z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1753z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1754z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1916z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1917z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1594z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31796ze3ze1zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1596z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2711z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2713z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2554z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2393z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2395z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31410ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1761z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1923z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1763z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2404z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1416za7622715z00,
		BGl_z62lambda1416z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2405z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1415za7622716z00,
		BGl_z62lambda1415z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2408z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72717za7,
		BGl_z62zc3anonymousza31398ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2409z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1394za7622718z00,
		BGl_z62lambda1394z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2410z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1392za7622719z00,
		BGl_z62lambda1392z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2413z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1432za7622720z00,
		BGl_z62lambda1432z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2501z00zz__evaluate_typesz00,
		BgL_bgl_string2501za700za7za7_2721za7, "v", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2414z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1431za7622722z00,
		BGl_z62lambda1431z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2417z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1438za7622723z00,
		BGl_z62lambda1438z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2418z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1437za7622724z00,
		BGl_z62lambda1437z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2506z00zz__evaluate_typesz00,
		BgL_bgl_string2506za700za7za7_2725za7, "ev_setlocal", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2419z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1443za7622726z00,
		BGl_z62lambda1443z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2420z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1442za7622727z00,
		BGl_z62lambda1442z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2423z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72728za7,
		BGl_z62zc3anonymousza31427ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2424z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1424za7622729z00,
		BGl_z62lambda1424z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2425z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1422za7622730z00,
		BGl_z62lambda1422z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2428z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1458za7622731z00,
		BGl_z62lambda1458z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2429z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1457za7622732z00,
		BGl_z62lambda1457z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2517z00zz__evaluate_typesz00,
		BgL_bgl_string2517za700za7za7_2733za7, "ev_setglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2432z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72734za7,
		BGl_z62zc3anonymousza31453ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2433z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1451za7622735z00,
		BGl_z62lambda1451z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2434z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1449za7622736z00,
		BGl_z62lambda1449z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2522z00zz__evaluate_typesz00,
		BgL_bgl_string2522za700za7za7_2737za7, "ev_defglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2437z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1475za7622738z00,
		BGl_z62lambda1475z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2438z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1474za7622739z00,
		BGl_z62lambda1474z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2526z00zz__evaluate_typesz00,
		BgL_bgl_string2526za700za7za7_2740za7, "var", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2600z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1828za7622741z00,
		BGl_z62lambda1828z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2601z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72742za7,
		BGl_z62zc3anonymousza31819ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2602z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1817za7622743z00,
		BGl_z62lambda1817z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2603z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1814za7622744z00,
		BGl_z62lambda1814z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2441z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1483za7622745z00,
		BGl_z62lambda1483z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2442z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1482za7622746z00,
		BGl_z62lambda1482z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2530z00zz__evaluate_typesz00,
		BgL_bgl_string2530za700za7za7_2747za7, "body", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2606z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72748za7,
		BGl_z62zc3anonymousza31840ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2607z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1838za7622749z00,
		BGl_z62lambda1838z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2445z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1488za7622750z00,
		BGl_z62lambda1488z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2608z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1836za7622751z00,
		BGl_z62lambda1836z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2446z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1487za7622752z00,
		BGl_z62lambda1487z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2535z00zz__evaluate_typesz00,
		BgL_bgl_string2535za700za7za7_2753za7, "ev_bind-exit", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2449z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72754za7,
		BGl_z62zc3anonymousza31470ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2611z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1855za7622755z00,
		BGl_z62lambda1855z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2612z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1854za7622756z00,
		BGl_z62lambda1854z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2450z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1468za7622757z00,
		BGl_z62lambda1468z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2613z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1860za7622758z00,
		BGl_z62lambda1860z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2451z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1466za7622759z00,
		BGl_z62lambda1466z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2614z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1859za7622760z00,
		BGl_z62lambda1859z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2615z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72761za7,
		BGl_z62zc3anonymousza31867ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2616z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1866za7622762z00,
		BGl_z62lambda1866z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2454z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1507za7622763z00,
		BGl_z62lambda1507z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2704z00zz__evaluate_typesz00,
		BgL_bgl_string2704za700za7za7_2764za7, "inner", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2617z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1865za7622765z00,
		BGl_z62lambda1865z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2455z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1506za7622766z00,
		BGl_z62lambda1506z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2544z00zz__evaluate_typesz00,
		BgL_bgl_string2544za700za7za7_2767za7, "ev_unwind-protect", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2458z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72768za7,
		BGl_z62zc3anonymousza31498ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2459z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1496za7622769z00,
		BGl_z62lambda1496z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2548z00zz__evaluate_typesz00,
		BgL_bgl_string2548za700za7za7_2770za7, "handler", 7);
	      DEFINE_STRING(BGl_string2388z00zz__evaluate_typesz00,
		BgL_bgl_string2388za700za7za7_2771za7, "ev_expr", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2620z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72772za7,
		BGl_z62zc3anonymousza31874ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2621z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1873za7622773z00,
		BGl_z62lambda1873z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2622z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1872za7622774z00,
		BGl_z62lambda1872z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2460z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1494za7622775z00,
		BGl_z62lambda1494z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2712z00zz__evaluate_typesz00,
		BgL_bgl_string2712za700za7za7_2776za7, "ev_abs", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2625z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1879za7622777z00,
		BGl_z62lambda1879z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2463z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72778za7,
		BGl_z62zc3anonymousza31519ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2626z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1878za7622779z00,
		BGl_z62lambda1878z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2464z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1517za7622780z00,
		BGl_z62lambda1517z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2714z00zz__evaluate_typesz00,
		BgL_bgl_string2714za700za7za7_2781za7, "_", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2627z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72782za7,
		BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2465z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1515za7622783z00,
		BGl_z62lambda1515z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2390z00zz__evaluate_typesz00,
		BgL_bgl_string2390za700za7za7_2784za7, "__evaluate_types", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2628z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1885za7622785z00,
		BGl_z62lambda1885z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2629z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1884za7622786z00,
		BGl_z62lambda1884z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2555z00zz__evaluate_typesz00,
		BgL_bgl_string2555za700za7za7_2787za7, "ev_with-handler", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2468z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72788za7,
		BGl_z62zc3anonymousza31534ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2469z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1532za7622789z00,
		BGl_z62lambda1532z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2394z00zz__evaluate_typesz00,
		BgL_bgl_string2394za700za7za7_2790za7, "name", 4);
	      DEFINE_STRING(BGl_string2396z00zz__evaluate_typesz00,
		BgL_bgl_string2396za700za7za7_2791za7, "symbol", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2630z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72792za7,
		BGl_z62zc3anonymousza31850ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2631z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1848za7622793z00,
		BGl_z62lambda1848z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2632z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1846za7622794z00,
		BGl_z62lambda1846z62zz__evaluate_typesz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2470z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1530za7622795z00,
		BGl_z62lambda1530z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2635z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1901za7622796z00,
		BGl_z62lambda1901z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2473z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1551za7622797z00,
		BGl_z62lambda1551z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2636z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1900za7622798z00,
		BGl_z62lambda1900z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2561z00zz__evaluate_typesz00,
		BgL_bgl_string2561za700za7za7_2799za7, "mutex", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2474z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1550za7622800z00,
		BGl_z62lambda1550z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2637z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1907za7622801z00,
		BGl_z62lambda1907z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2638z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1906za7622802z00,
		BGl_z62lambda1906z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2477z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1558za7622803z00,
		BGl_z62lambda1558z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2565z00zz__evaluate_typesz00,
		BgL_bgl_string2565za700za7za7_2804za7, "prelock", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2478z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1557za7622805z00,
		BGl_z62lambda1557z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2641z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1912za7622806z00,
		BGl_z62lambda1912z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2642z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1911za7622807z00,
		BGl_z62lambda1911z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2481z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72808za7,
		BGl_z62zc3anonymousza31545ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2482z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1543za7622809z00,
		BGl_z62lambda1543z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2645z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1917za7622810z00,
		BGl_z62lambda1917z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2483z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1541za7622811z00,
		BGl_z62lambda1541z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2646z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1916za7622812z00,
		BGl_z62lambda1916z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2647z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72813za7,
		BGl_z62zc3anonymousza31896ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2572z00zz__evaluate_typesz00,
		BgL_bgl_string2572za700za7za7_2814za7, "ev_synchronize", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2648z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1894za7622815z00,
		BGl_z62lambda1894z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2486z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1577za7622816z00,
		BGl_z62lambda1577z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2649z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1892za7622817z00,
		BGl_z62lambda1892z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2487z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1576za7622818z00,
		BGl_z62lambda1576z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2488z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72819za7,
		BGl_z62zc3anonymousza31571ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2576z00zz__evaluate_typesz00,
		BgL_bgl_string2576za700za7za7_2820za7, "vars", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2489z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1569za7622821z00,
		BGl_z62lambda1569z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2652z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1934za7622822z00,
		BGl_z62lambda1934z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2490z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1566za7622823z00,
		BGl_z62lambda1566z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2653z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1933za7622824z00,
		BGl_z62lambda1933z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2654z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1939za7622825z00,
		BGl_z62lambda1939z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2655z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1938za7622826z00,
		BGl_z62lambda1938z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2580z00zz__evaluate_typesz00,
		BgL_bgl_string2580za700za7za7_2827za7, "vals", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2493z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72828za7,
		BGl_z62zc3anonymousza31587ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2494z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1585za7622829z00,
		BGl_z62lambda1585z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2495z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1583za7622830z00,
		BGl_z62lambda1583z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2658z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1944za7622831z00,
		BGl_z62lambda1944z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2659z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1943za7622832z00,
		BGl_z62lambda1943z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2498z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1606za7622833z00,
		BGl_z62lambda1606z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2499z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1605za7622834z00,
		BGl_z62lambda1605z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2587z00zz__evaluate_typesz00,
		BgL_bgl_string2587za700za7za7_2835za7, "ev_binder", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2660z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1950za7622836z00,
		BGl_z62lambda1950z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2661z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1949za7622837z00,
		BGl_z62lambda1949z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2664z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72838za7,
		BGl_z62zc3anonymousza31927ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2665z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1925za7622839z00,
		BGl_z62lambda1925z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2666z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1923za7622840z00,
		BGl_z62lambda1923z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2592z00zz__evaluate_typesz00,
		BgL_bgl_string2592za700za7za7_2841za7, "boxes", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2669z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1965za7622842z00,
		BGl_z62lambda1965z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2597z00zz__evaluate_typesz00,
		BgL_bgl_string2597za700za7za7_2843za7, "ev_let", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2670z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1964za7622844z00,
		BGl_z62lambda1964z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2671z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1972za7622845z00,
		BGl_z62lambda1972z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2672z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1971za7622846z00,
		BGl_z62lambda1971z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2675z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1978za7622847z00,
		BGl_z62lambda1978z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2676z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1977za7622848z00,
		BGl_z62lambda1977z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2679z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1983za7622849z00,
		BGl_z62lambda1983z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2680z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1982za7622850z00,
		BGl_z62lambda1982z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2681z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1989za7622851z00,
		BGl_z62lambda1989z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2682z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1988za7622852z00,
		BGl_z62lambda1988z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2683z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72853za7,
		BGl_z62zc3anonymousza31996ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2684z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1995za7622854z00,
		BGl_z62lambda1995z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2685z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1994za7622855z00,
		BGl_z62lambda1994z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2690z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72856za7,
		BGl_z62zc3anonymousza32003ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2691z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2002za7622857z00,
		BGl_z62lambda2002z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2692z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2001za7622858z00,
		BGl_z62lambda2001z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2695z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72859za7,
		BGl_z62zc3anonymousza32010ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2696z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2009za7622860z00,
		BGl_z62lambda2009z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2697z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2008za7622861z00,
		BGl_z62lambda2008z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2401z00zz__evaluate_typesz00,
		BgL_bgl_string2401za700za7za7_2862za7, "eff", 3);
	      DEFINE_STRING(BGl_string2403z00zz__evaluate_typesz00,
		BgL_bgl_string2403za700za7za7_2863za7, "obj", 3);
	      DEFINE_STRING(BGl_string2407z00zz__evaluate_typesz00,
		BgL_bgl_string2407za700za7za7_2864za7, "type", 4);
	      DEFINE_STRING(BGl_string2412z00zz__evaluate_typesz00,
		BgL_bgl_string2412za700za7za7_2865za7, "ev_var", 6);
	      DEFINE_STRING(BGl_string2416z00zz__evaluate_typesz00,
		BgL_bgl_string2416za700za7za7_2866za7, "loc", 3);
	      DEFINE_STRING(BGl_string2422z00zz__evaluate_typesz00,
		BgL_bgl_string2422za700za7za7_2867za7, "mod", 3);
	      DEFINE_STRING(BGl_string2427z00zz__evaluate_typesz00,
		BgL_bgl_string2427za700za7za7_2868za7, "ev_global", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2502z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72869za7,
		BGl_z62zc3anonymousza31599ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2503z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1596za7622870z00,
		BGl_z62lambda1596z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2504z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1594za7622871z00,
		BGl_z62lambda1594z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2431z00zz__evaluate_typesz00,
		BgL_bgl_string2431za700za7za7_2872za7, "value", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2507z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1638za7622873z00,
		BGl_z62lambda1638z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2508z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1637za7622874z00,
		BGl_z62lambda1637z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2509z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1643za7622875z00,
		BGl_z62lambda1643z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2436z00zz__evaluate_typesz00,
		BgL_bgl_string2436za700za7za7_2876za7, "ev_litt", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2510z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1642za7622877z00,
		BGl_z62lambda1642z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2511z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1648za7622878z00,
		BGl_z62lambda1648z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2512z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1647za7622879z00,
		BGl_z62lambda1647z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2513z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72880za7,
		BGl_z62zc3anonymousza31631ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2514z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1627za7622881z00,
		BGl_z62lambda1627z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2515z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1623za7622882z00,
		BGl_z62lambda1623z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2440z00zz__evaluate_typesz00,
		BgL_bgl_string2440za700za7za7_2883za7, "p", 1);
	      DEFINE_STRING(BGl_string2605z00zz__evaluate_typesz00,
		BgL_bgl_string2605za700za7za7_2884za7, "ev_let*", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2518z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72885za7,
		BGl_z62zc3anonymousza31659ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2519z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1657za7622886z00,
		BGl_z62lambda1657z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2444z00zz__evaluate_typesz00,
		BgL_bgl_string2444za700za7za7_2887za7, "t", 1);
	      DEFINE_STRING(BGl_string2448z00zz__evaluate_typesz00,
		BgL_bgl_string2448za700za7za7_2888za7, "e", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2520z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1655za7622889z00,
		BGl_z62lambda1655z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2610z00zz__evaluate_typesz00,
		BgL_bgl_string2610za700za7za7_2890za7, "ev_letrec", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2523z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1675za7622891z00,
		BGl_z62lambda1675z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2524z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1674za7622892z00,
		BGl_z62lambda1674z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2527z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1680za7622893z00,
		BGl_z62lambda1680z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2528z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1679za7622894z00,
		BGl_z62lambda1679z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2453z00zz__evaluate_typesz00,
		BgL_bgl_string2453za700za7za7_2895za7, "ev_if", 5);
	      DEFINE_STRING(BGl_string2619z00zz__evaluate_typesz00,
		BgL_bgl_string2619za700za7za7_2896za7, "env", 3);
	      DEFINE_STRING(BGl_string2457z00zz__evaluate_typesz00,
		BgL_bgl_string2457za700za7za7_2897za7, "args", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2531z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72898za7,
		BGl_z62zc3anonymousza31669ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2532z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1667za7622899z00,
		BGl_z62lambda1667z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2533z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1665za7622900z00,
		BGl_z62lambda1665z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2536z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1695za7622901z00,
		BGl_z62lambda1695z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2624z00zz__evaluate_typesz00,
		BgL_bgl_string2624za700za7za7_2902za7, "stk", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2537z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1694za7622903z00,
		BGl_z62lambda1694z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2462z00zz__evaluate_typesz00,
		BgL_bgl_string2462za700za7za7_2904za7, "ev_list", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2538z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1701za7622905z00,
		BGl_z62lambda1701z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2539z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1700za7622906z00,
		BGl_z62lambda1700z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2467z00zz__evaluate_typesz00,
		BgL_bgl_string2467za700za7za7_2907za7, "ev_or", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2700z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72908za7,
		BGl_z62zc3anonymousza32017ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2701z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2016za7622909z00,
		BGl_z62lambda2016z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2702z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2015za7622910z00,
		BGl_z62lambda2015z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2540z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72911za7,
		BGl_z62zc3anonymousza31690ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2541z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1688za7622912z00,
		BGl_z62lambda1688z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2542z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1686za7622913z00,
		BGl_z62lambda1686z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2705z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72914za7,
		BGl_z62zc3anonymousza32024ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2706z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2023za7622915z00,
		BGl_z62lambda2023z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2707z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2022za7622916z00,
		BGl_z62lambda2022z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2545z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1716za7622917z00,
		BGl_z62lambda1716z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2708z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72918za7,
		BGl_z62zc3anonymousza31960ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2546z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1715za7622919z00,
		BGl_z62lambda1715z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2384z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72920za7,
		BGl_z62zc3anonymousza31384ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2709z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1958za7622921z00,
		BGl_z62lambda1958z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2634z00zz__evaluate_typesz00,
		BgL_bgl_string2634za700za7za7_2922za7, "ev_labels", 9);
	      DEFINE_STRING(BGl_string2472z00zz__evaluate_typesz00,
		BgL_bgl_string2472za700za7za7_2923za7, "ev_and", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2385z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1382za7622924z00,
		BGl_z62lambda1382z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2386z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1380za7622925z00,
		BGl_z62lambda1380z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2549z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1721za7622926z00,
		BGl_z62lambda1721z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2476z00zz__evaluate_typesz00,
		BgL_bgl_string2476za700za7za7_2927za7, "e1", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2710z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1956za7622928z00,
		BGl_z62lambda1956z62zz__evaluate_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2550z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1720za7622929z00,
		BGl_z62lambda1720z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2551z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72930za7,
		BGl_z62zc3anonymousza31711ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2552z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1709za7622931z00,
		BGl_z62lambda1709z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2640z00zz__evaluate_typesz00,
		BgL_bgl_string2640za700za7za7_2932za7, "label", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2553z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1707za7622933z00,
		BGl_z62lambda1707z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2391z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1403za7622934z00,
		BGl_z62lambda1403z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2392z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1402za7622935z00,
		BGl_z62lambda1402z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2480z00zz__evaluate_typesz00,
		BgL_bgl_string2480za700za7za7_2936za7, "e2", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2556z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1738za7622937z00,
		BGl_z62lambda1738z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2644z00zz__evaluate_typesz00,
		BgL_bgl_string2644za700za7za7_2938za7, "labels", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2557z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1737za7622939z00,
		BGl_z62lambda1737z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2558z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1743za7622940z00,
		BGl_z62lambda1743z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2559z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1742za7622941z00,
		BGl_z62lambda1742z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2397z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72942za7,
		BGl_z62zc3anonymousza31410ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2485z00zz__evaluate_typesz00,
		BgL_bgl_string2485za700za7za7_2943za7, "ev_prog2", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2398z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1409za7622944z00,
		BGl_z62lambda1409z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2399z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1408za7622945z00,
		BGl_z62lambda1408z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2562z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1749za7622946z00,
		BGl_z62lambda1749z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2563z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1748za7622947z00,
		BGl_z62lambda1748z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2651z00zz__evaluate_typesz00,
		BgL_bgl_string2651za700za7za7_2948za7, "ev_goto", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2566z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1754za7622949z00,
		BGl_z62lambda1754z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2567z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1753za7622950z00,
		BGl_z62lambda1753z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2492z00zz__evaluate_typesz00,
		BgL_bgl_string2492za700za7za7_2951za7, "ev_hook", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2568z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72952za7,
		BGl_z62zc3anonymousza31733ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2569z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1730za7622953z00,
		BGl_z62lambda1730z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2657z00zz__evaluate_typesz00,
		BgL_bgl_string2657za700za7za7_2954za7, "fun", 3);
	      DEFINE_STRING(BGl_string2497z00zz__evaluate_typesz00,
		BgL_bgl_string2497za700za7za7_2955za7, "ev_trap", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2570z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1727za7622956z00,
		BGl_z62lambda1727z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2573z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1775za7622957z00,
		BGl_z62lambda1775z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2574z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1774za7622958z00,
		BGl_z62lambda1774z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2663z00zz__evaluate_typesz00,
		BgL_bgl_string2663za700za7za7_2959za7, "tail?", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2577z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1780za7622960z00,
		BGl_z62lambda1780z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2578z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1779za7622961z00,
		BGl_z62lambda1779z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2668z00zz__evaluate_typesz00,
		BgL_bgl_string2668za700za7za7_2962za7, "ev_app", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2581z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1785za7622963z00,
		BGl_z62lambda1785z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2582z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1784za7622964z00,
		BGl_z62lambda1784z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2583z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72965za7,
		BGl_z62zc3anonymousza31765ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2584z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1763za7622966z00,
		BGl_z62lambda1763z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2585z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1761za7622967z00,
		BGl_z62lambda1761z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2674z00zz__evaluate_typesz00,
		BgL_bgl_string2674za700za7za7_2968za7, "where", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2588z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72969za7,
		BGl_z62zc3anonymousza31803ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2589z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1802za7622970z00,
		BGl_z62lambda1802z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2678z00zz__evaluate_typesz00,
		BgL_bgl_string2678za700za7za7_2971za7, "arity", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2590z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1801za7622972z00,
		BGl_z62lambda1801z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2593z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72973za7,
		BGl_z62zc3anonymousza31796ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2594z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1794za7622974z00,
		BGl_z62lambda1794z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2595z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1791za7622975z00,
		BGl_z62lambda1791z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2598z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72976za7,
		BGl_z62zc3anonymousza31830ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2599z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1829za7622977z00,
		BGl_z62lambda1829z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2687z00zz__evaluate_typesz00,
		BgL_bgl_string2687za700za7za7_2978za7, "size", 4);
	      DEFINE_STRING(BGl_string2689z00zz__evaluate_typesz00,
		BgL_bgl_string2689za700za7za7_2979za7, "int", 3);
	      DEFINE_STRING(BGl_string2694z00zz__evaluate_typesz00,
		BgL_bgl_string2694za700za7za7_2980za7, "bind", 4);
	      DEFINE_STRING(BGl_string2699z00zz__evaluate_typesz00,
		BgL_bgl_string2699za700za7za7_2981za7, "free", 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol2560z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2564z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2571z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2575z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2579z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2586z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2591z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2596z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letrecz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_labelsz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_absz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_ifz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_gotoz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_orz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_varz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_andz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2400z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2402z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2406z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2411z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2415z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_appz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2421z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2426z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2430z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2435z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2439z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_synchroniza7eza7zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2604z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2443z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2609z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2447z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2452z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2618z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2456z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2623z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2461z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2466z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2633z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2471z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2475z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2639z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2479z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2643z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2484z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_defglobalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2650z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2491z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2656z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2496z00zz__evaluate_typesz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2662z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2667z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2673z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2677z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2686z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2688z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2693z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2698z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_prog2z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_bindzd2exitzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letza2za2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_trapz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_setglobalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_hookz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_globalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_binderz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_listz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_littz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_withzd2handlerzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_exprz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2500z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2505z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2516z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2521z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2525z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2529z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2534z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2703z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2543z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2547z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2387z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2389z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_setlocalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2711z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2713z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2554z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2393z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2395z00zz__evaluate_typesz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long
		BgL_checksumz00_4269, char *BgL_fromz00_4270)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
					BGl_cnstzd2initzd2zz__evaluate_typesz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
					BGl_objectzd2initzd2zz__evaluate_typesz00();
					return BGl_toplevelzd2initzd2zz__evaluate_typesz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_symbol2387z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2388z00zz__evaluate_typesz00);
			BGl_symbol2389z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2390z00zz__evaluate_typesz00);
			BGl_symbol2393z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2394z00zz__evaluate_typesz00);
			BGl_symbol2395z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2396z00zz__evaluate_typesz00);
			BGl_symbol2400z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2401z00zz__evaluate_typesz00);
			BGl_symbol2402z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2403z00zz__evaluate_typesz00);
			BGl_symbol2406z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2407z00zz__evaluate_typesz00);
			BGl_symbol2411z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2412z00zz__evaluate_typesz00);
			BGl_symbol2415z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2416z00zz__evaluate_typesz00);
			BGl_symbol2421z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2422z00zz__evaluate_typesz00);
			BGl_symbol2426z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2427z00zz__evaluate_typesz00);
			BGl_symbol2430z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2431z00zz__evaluate_typesz00);
			BGl_symbol2435z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2436z00zz__evaluate_typesz00);
			BGl_symbol2439z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2440z00zz__evaluate_typesz00);
			BGl_symbol2443z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2444z00zz__evaluate_typesz00);
			BGl_symbol2447z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2448z00zz__evaluate_typesz00);
			BGl_symbol2452z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2453z00zz__evaluate_typesz00);
			BGl_symbol2456z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2457z00zz__evaluate_typesz00);
			BGl_symbol2461z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2462z00zz__evaluate_typesz00);
			BGl_symbol2466z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2467z00zz__evaluate_typesz00);
			BGl_symbol2471z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2472z00zz__evaluate_typesz00);
			BGl_symbol2475z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2476z00zz__evaluate_typesz00);
			BGl_symbol2479z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2480z00zz__evaluate_typesz00);
			BGl_symbol2484z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2485z00zz__evaluate_typesz00);
			BGl_symbol2491z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2492z00zz__evaluate_typesz00);
			BGl_symbol2496z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2497z00zz__evaluate_typesz00);
			BGl_symbol2500z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2501z00zz__evaluate_typesz00);
			BGl_symbol2505z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2506z00zz__evaluate_typesz00);
			BGl_symbol2516z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2517z00zz__evaluate_typesz00);
			BGl_symbol2521z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2522z00zz__evaluate_typesz00);
			BGl_symbol2525z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2526z00zz__evaluate_typesz00);
			BGl_symbol2529z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2530z00zz__evaluate_typesz00);
			BGl_symbol2534z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2535z00zz__evaluate_typesz00);
			BGl_symbol2543z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2544z00zz__evaluate_typesz00);
			BGl_symbol2547z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2548z00zz__evaluate_typesz00);
			BGl_symbol2554z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2555z00zz__evaluate_typesz00);
			BGl_symbol2560z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2561z00zz__evaluate_typesz00);
			BGl_symbol2564z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2565z00zz__evaluate_typesz00);
			BGl_symbol2571z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2572z00zz__evaluate_typesz00);
			BGl_symbol2575z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2576z00zz__evaluate_typesz00);
			BGl_symbol2579z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2580z00zz__evaluate_typesz00);
			BGl_symbol2586z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2587z00zz__evaluate_typesz00);
			BGl_symbol2591z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2592z00zz__evaluate_typesz00);
			BGl_symbol2596z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2597z00zz__evaluate_typesz00);
			BGl_symbol2604z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2605z00zz__evaluate_typesz00);
			BGl_symbol2609z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2610z00zz__evaluate_typesz00);
			BGl_symbol2618z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2619z00zz__evaluate_typesz00);
			BGl_symbol2623z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2624z00zz__evaluate_typesz00);
			BGl_symbol2633z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2634z00zz__evaluate_typesz00);
			BGl_symbol2639z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2640z00zz__evaluate_typesz00);
			BGl_symbol2643z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2644z00zz__evaluate_typesz00);
			BGl_symbol2650z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2651z00zz__evaluate_typesz00);
			BGl_symbol2656z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2657z00zz__evaluate_typesz00);
			BGl_symbol2662z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2663z00zz__evaluate_typesz00);
			BGl_symbol2667z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2668z00zz__evaluate_typesz00);
			BGl_symbol2673z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2674z00zz__evaluate_typesz00);
			BGl_symbol2677z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2678z00zz__evaluate_typesz00);
			BGl_symbol2686z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2687z00zz__evaluate_typesz00);
			BGl_symbol2688z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2689z00zz__evaluate_typesz00);
			BGl_symbol2693z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2694z00zz__evaluate_typesz00);
			BGl_symbol2698z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2699z00zz__evaluate_typesz00);
			BGl_symbol2703z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2704z00zz__evaluate_typesz00);
			BGl_symbol2711z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2712z00zz__evaluate_typesz00);
			return (BGl_symbol2713z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2714z00zz__evaluate_typesz00), BUNSPEC);
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			{	/* Eval/evaluate_types.scm 49 */
				obj_t BgL_arg1376z00_1036;
				obj_t BgL_arg1379z00_1037;

				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1279z00_1047;

					BgL_v1279z00_1047 = create_vector((int) (((long) 0)));
					BgL_arg1376z00_1036 = BgL_v1279z00_1047;
				}
				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1280z00_1048;

					BgL_v1280z00_1048 = create_vector((int) (((long) 0)));
					BgL_arg1379z00_1037 = BgL_v1280z00_1048;
				}
				BGl_ev_exprz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2387z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00,
					((long) 36682), BGl_proc2386z00zz__evaluate_typesz00,
					BGl_proc2385z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2384z00zz__evaluate_typesz00, BFALSE, BgL_arg1376z00_1036,
					BgL_arg1379z00_1037);
			}
			{	/* Eval/evaluate_types.scm 51 */
				obj_t BgL_arg1390z00_1055;
				obj_t BgL_arg1391z00_1056;

				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1281z00_1069;

					BgL_v1281z00_1069 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1281z00_1069,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2393z00zz__evaluate_typesz00,
							BGl_proc2392z00zz__evaluate_typesz00,
							BGl_proc2391z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1281z00_1069, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2400z00zz__evaluate_typesz00,
							BGl_proc2399z00zz__evaluate_typesz00,
							BGl_proc2398z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2397z00zz__evaluate_typesz00,
							BGl_symbol2402z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1281z00_1069, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2406z00zz__evaluate_typesz00,
							BGl_proc2405z00zz__evaluate_typesz00,
							BGl_proc2404z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2402z00zz__evaluate_typesz00));
					BgL_arg1390z00_1055 = BgL_v1281z00_1069;
				}
				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1282z00_1103;

					BgL_v1282z00_1103 = create_vector((int) (((long) 0)));
					BgL_arg1391z00_1056 = BgL_v1282z00_1103;
				}
				BGl_ev_varz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2411z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 7285),
					BGl_proc2410z00zz__evaluate_typesz00,
					BGl_proc2409z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2408z00zz__evaluate_typesz00, BFALSE, BgL_arg1390z00_1055,
					BgL_arg1391z00_1056);
			}
			{	/* Eval/evaluate_types.scm 55 */
				obj_t BgL_arg1420z00_1110;
				obj_t BgL_arg1421z00_1111;

				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1283z00_1124;

					BgL_v1283z00_1124 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1283z00_1124,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2415z00zz__evaluate_typesz00,
							BGl_proc2414z00zz__evaluate_typesz00,
							BGl_proc2413z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2402z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1283z00_1124, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2393z00zz__evaluate_typesz00,
							BGl_proc2418z00zz__evaluate_typesz00,
							BGl_proc2417z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1283z00_1124, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2421z00zz__evaluate_typesz00,
							BGl_proc2420z00zz__evaluate_typesz00,
							BGl_proc2419z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2402z00zz__evaluate_typesz00));
					BgL_arg1420z00_1110 = BgL_v1283z00_1124;
				}
				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1284z00_1155;

					BgL_v1284z00_1155 = create_vector((int) (((long) 0)));
					BgL_arg1421z00_1111 = BgL_v1284z00_1155;
				}
				BGl_ev_globalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2426z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59175),
					BGl_proc2425z00zz__evaluate_typesz00,
					BGl_proc2424z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2423z00zz__evaluate_typesz00, BFALSE, BgL_arg1420z00_1110,
					BgL_arg1421z00_1111);
			}
			{	/* Eval/evaluate_types.scm 60 */
				obj_t BgL_arg1447z00_1162;
				obj_t BgL_arg1448z00_1163;

				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1285z00_1174;

					BgL_v1285z00_1174 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1285z00_1174,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2430z00zz__evaluate_typesz00,
							BGl_proc2429z00zz__evaluate_typesz00,
							BGl_proc2428z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2402z00zz__evaluate_typesz00));
					BgL_arg1447z00_1162 = BgL_v1285z00_1174;
				}
				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1286z00_1185;

					BgL_v1286z00_1185 = create_vector((int) (((long) 0)));
					BgL_arg1448z00_1163 = BgL_v1286z00_1185;
				}
				BGl_ev_littz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2435z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 42418),
					BGl_proc2434z00zz__evaluate_typesz00,
					BGl_proc2433z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2432z00zz__evaluate_typesz00, BFALSE, BgL_arg1447z00_1162,
					BgL_arg1448z00_1163);
			}
			{	/* Eval/evaluate_types.scm 62 */
				obj_t BgL_arg1464z00_1192;
				obj_t BgL_arg1465z00_1193;

				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1287z00_1206;

					BgL_v1287z00_1206 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1287z00_1206,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2439z00zz__evaluate_typesz00,
							BGl_proc2438z00zz__evaluate_typesz00,
							BGl_proc2437z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1287z00_1206, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2443z00zz__evaluate_typesz00,
							BGl_proc2442z00zz__evaluate_typesz00,
							BGl_proc2441z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1287z00_1206, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2447z00zz__evaluate_typesz00,
							BGl_proc2446z00zz__evaluate_typesz00,
							BGl_proc2445z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1464z00_1192 = BgL_v1287z00_1206;
				}
				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1288z00_1237;

					BgL_v1288z00_1237 = create_vector((int) (((long) 0)));
					BgL_arg1465z00_1193 = BgL_v1288z00_1237;
				}
				BGl_ev_ifz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2452z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 19099),
					BGl_proc2451z00zz__evaluate_typesz00,
					BGl_proc2450z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2449z00zz__evaluate_typesz00, BFALSE, BgL_arg1464z00_1192,
					BgL_arg1465z00_1193);
			}
			{	/* Eval/evaluate_types.scm 66 */
				obj_t BgL_arg1492z00_1244;
				obj_t BgL_arg1493z00_1245;

				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1289z00_1256;

					BgL_v1289z00_1256 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1289z00_1256,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2456z00zz__evaluate_typesz00,
							BGl_proc2455z00zz__evaluate_typesz00,
							BGl_proc2454z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2402z00zz__evaluate_typesz00));
					BgL_arg1492z00_1244 = BgL_v1289z00_1256;
				}
				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1290z00_1267;

					BgL_v1290z00_1267 = create_vector((int) (((long) 0)));
					BgL_arg1493z00_1245 = BgL_v1290z00_1267;
				}
				BGl_ev_listz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2461z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 39617),
					BGl_proc2460z00zz__evaluate_typesz00,
					BGl_proc2459z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2458z00zz__evaluate_typesz00, BFALSE, BgL_arg1492z00_1244,
					BgL_arg1493z00_1245);
			}
			{	/* Eval/evaluate_types.scm 68 */
				obj_t BgL_arg1511z00_1274;
				obj_t BgL_arg1514z00_1275;

				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1291z00_1286;

					BgL_v1291z00_1286 = create_vector((int) (((long) 0)));
					BgL_arg1511z00_1274 = BgL_v1291z00_1286;
				}
				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1292z00_1287;

					BgL_v1292z00_1287 = create_vector((int) (((long) 0)));
					BgL_arg1514z00_1275 = BgL_v1292z00_1287;
				}
				BGl_ev_orz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2466z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 50334),
					BGl_proc2465z00zz__evaluate_typesz00,
					BGl_proc2464z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2463z00zz__evaluate_typesz00, BFALSE, BgL_arg1511z00_1274,
					BgL_arg1514z00_1275);
			}
			{	/* Eval/evaluate_types.scm 69 */
				obj_t BgL_arg1528z00_1294;
				obj_t BgL_arg1529z00_1295;

				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1293z00_1306;

					BgL_v1293z00_1306 = create_vector((int) (((long) 0)));
					BgL_arg1528z00_1294 = BgL_v1293z00_1306;
				}
				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1294z00_1307;

					BgL_v1294z00_1307 = create_vector((int) (((long) 0)));
					BgL_arg1529z00_1295 = BgL_v1294z00_1307;
				}
				BGl_ev_andz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2471z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 26888),
					BGl_proc2470z00zz__evaluate_typesz00,
					BGl_proc2469z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2468z00zz__evaluate_typesz00, BFALSE, BgL_arg1528z00_1294,
					BgL_arg1529z00_1295);
			}
			{	/* Eval/evaluate_types.scm 70 */
				obj_t BgL_arg1539z00_1314;
				obj_t BgL_arg1540z00_1315;

				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1295z00_1327;

					BgL_v1295z00_1327 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1295z00_1327,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2475z00zz__evaluate_typesz00,
							BGl_proc2474z00zz__evaluate_typesz00,
							BGl_proc2473z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1295z00_1327, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2479z00zz__evaluate_typesz00,
							BGl_proc2478z00zz__evaluate_typesz00,
							BGl_proc2477z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1539z00_1314 = BgL_v1295z00_1327;
				}
				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1296z00_1348;

					BgL_v1296z00_1348 = create_vector((int) (((long) 0)));
					BgL_arg1540z00_1315 = BgL_v1296z00_1348;
				}
				BGl_ev_prog2z00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2484z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 14177),
					BGl_proc2483z00zz__evaluate_typesz00,
					BGl_proc2482z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2481z00zz__evaluate_typesz00, BFALSE, BgL_arg1539z00_1314,
					BgL_arg1540z00_1315);
			}
			{	/* Eval/evaluate_types.scm 73 */
				obj_t BgL_arg1564z00_1355;
				obj_t BgL_arg1565z00_1356;

				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1297z00_1367;

					BgL_v1297z00_1367 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1297z00_1367,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2447z00zz__evaluate_typesz00,
							BGl_proc2487z00zz__evaluate_typesz00,
							BGl_proc2486z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1564z00_1355 = BgL_v1297z00_1367;
				}
				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1298z00_1378;

					BgL_v1298z00_1378 = create_vector((int) (((long) 0)));
					BgL_arg1565z00_1356 = BgL_v1298z00_1378;
				}
				BGl_ev_hookz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2491z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 32125),
					BGl_proc2490z00zz__evaluate_typesz00,
					BGl_proc2489z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2488z00zz__evaluate_typesz00, BFALSE, BgL_arg1564z00_1355,
					BgL_arg1565z00_1356);
			}
			{	/* Eval/evaluate_types.scm 75 */
				obj_t BgL_arg1581z00_1385;
				obj_t BgL_arg1582z00_1386;

				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1299z00_1397;

					BgL_v1299z00_1397 = create_vector((int) (((long) 0)));
					BgL_arg1581z00_1385 = BgL_v1299z00_1397;
				}
				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1300z00_1398;

					BgL_v1300z00_1398 = create_vector((int) (((long) 0)));
					BgL_arg1582z00_1386 = BgL_v1300z00_1398;
				}
				BGl_ev_trapz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2496z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 24451),
					BGl_proc2495z00zz__evaluate_typesz00,
					BGl_proc2494z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2493z00zz__evaluate_typesz00, BFALSE, BgL_arg1581z00_1385,
					BgL_arg1582z00_1386);
			}
			{	/* Eval/evaluate_types.scm 76 */
				obj_t BgL_arg1592z00_1405;
				obj_t BgL_arg1593z00_1406;

				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1301z00_1418;

					BgL_v1301z00_1418 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1301z00_1418,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2500z00zz__evaluate_typesz00,
							BGl_proc2499z00zz__evaluate_typesz00,
							BGl_proc2498z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1592z00_1405 = BgL_v1301z00_1418;
				}
				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1302z00_1429;

					BgL_v1302z00_1429 = create_vector((int) (((long) 0)));
					BgL_arg1593z00_1406 = BgL_v1302z00_1429;
				}
				BGl_ev_setlocalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2505z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 37950),
					BGl_proc2504z00zz__evaluate_typesz00,
					BGl_proc2503z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2502z00zz__evaluate_typesz00, BFALSE, BgL_arg1592z00_1405,
					BgL_arg1593z00_1406);
			}
			{	/* Eval/evaluate_types.scm 78 */
				obj_t BgL_arg1615z00_1436;
				obj_t BgL_arg1622z00_1437;

				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1303z00_1451;

					BgL_v1303z00_1451 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1303z00_1451,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2415z00zz__evaluate_typesz00,
							BGl_proc2508z00zz__evaluate_typesz00,
							BGl_proc2507z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2402z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1303z00_1451, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2393z00zz__evaluate_typesz00,
							BGl_proc2510z00zz__evaluate_typesz00,
							BGl_proc2509z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1303z00_1451, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2421z00zz__evaluate_typesz00,
							BGl_proc2512z00zz__evaluate_typesz00,
							BGl_proc2511z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2402z00zz__evaluate_typesz00));
					BgL_arg1615z00_1436 = BgL_v1303z00_1451;
				}
				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1304z00_1482;

					BgL_v1304z00_1482 = create_vector((int) (((long) 0)));
					BgL_arg1622z00_1437 = BgL_v1304z00_1482;
				}
				BGl_ev_setglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2516z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 62117),
					BGl_proc2515z00zz__evaluate_typesz00,
					BGl_proc2514z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2513z00zz__evaluate_typesz00, BFALSE, BgL_arg1615z00_1436,
					BgL_arg1622z00_1437);
			}
			{	/* Eval/evaluate_types.scm 82 */
				obj_t BgL_arg1653z00_1489;
				obj_t BgL_arg1654z00_1490;

				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1305z00_1504;

					BgL_v1305z00_1504 = create_vector((int) (((long) 0)));
					BgL_arg1653z00_1489 = BgL_v1305z00_1504;
				}
				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1306z00_1505;

					BgL_v1306z00_1505 = create_vector((int) (((long) 0)));
					BgL_arg1654z00_1490 = BgL_v1306z00_1505;
				}
				BGl_ev_defglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2521z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_setglobalz00zz__evaluate_typesz00, ((long) 36158),
					BGl_proc2520z00zz__evaluate_typesz00,
					BGl_proc2519z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2518z00zz__evaluate_typesz00, BFALSE, BgL_arg1653z00_1489,
					BgL_arg1654z00_1490);
			}
			{	/* Eval/evaluate_types.scm 83 */
				obj_t BgL_arg1663z00_1512;
				obj_t BgL_arg1664z00_1513;

				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1307z00_1525;

					BgL_v1307z00_1525 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1307z00_1525,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2525z00zz__evaluate_typesz00,
							BGl_proc2524z00zz__evaluate_typesz00,
							BGl_proc2523z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1307z00_1525, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2529z00zz__evaluate_typesz00,
							BGl_proc2528z00zz__evaluate_typesz00,
							BGl_proc2527z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1663z00_1512 = BgL_v1307z00_1525;
				}
				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1308z00_1546;

					BgL_v1308z00_1546 = create_vector((int) (((long) 0)));
					BgL_arg1664z00_1513 = BgL_v1308z00_1546;
				}
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2534z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 10723),
					BGl_proc2533z00zz__evaluate_typesz00,
					BGl_proc2532z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2531z00zz__evaluate_typesz00, BFALSE, BgL_arg1663z00_1512,
					BgL_arg1664z00_1513);
			}
			{	/* Eval/evaluate_types.scm 86 */
				obj_t BgL_arg1684z00_1553;
				obj_t BgL_arg1685z00_1554;

				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1309z00_1566;

					BgL_v1309z00_1566 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1309z00_1566,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2447z00zz__evaluate_typesz00,
							BGl_proc2537z00zz__evaluate_typesz00,
							BGl_proc2536z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1309z00_1566, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2529z00zz__evaluate_typesz00,
							BGl_proc2539z00zz__evaluate_typesz00,
							BGl_proc2538z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1684z00_1553 = BgL_v1309z00_1566;
				}
				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1310z00_1587;

					BgL_v1310z00_1587 = create_vector((int) (((long) 0)));
					BgL_arg1685z00_1554 = BgL_v1310z00_1587;
				}
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2543z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59644),
					BGl_proc2542z00zz__evaluate_typesz00,
					BGl_proc2541z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2540z00zz__evaluate_typesz00, BFALSE, BgL_arg1684z00_1553,
					BgL_arg1685z00_1554);
			}
			{	/* Eval/evaluate_types.scm 89 */
				obj_t BgL_arg1705z00_1594;
				obj_t BgL_arg1706z00_1595;

				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1311z00_1607;

					BgL_v1311z00_1607 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1311z00_1607,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2547z00zz__evaluate_typesz00,
							BGl_proc2546z00zz__evaluate_typesz00,
							BGl_proc2545z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1311z00_1607, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2529z00zz__evaluate_typesz00,
							BGl_proc2550z00zz__evaluate_typesz00,
							BGl_proc2549z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1705z00_1594 = BgL_v1311z00_1607;
				}
				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1312z00_1628;

					BgL_v1312z00_1628 = create_vector((int) (((long) 0)));
					BgL_arg1706z00_1595 = BgL_v1312z00_1628;
				}
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2554z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 54033),
					BGl_proc2553z00zz__evaluate_typesz00,
					BGl_proc2552z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2551z00zz__evaluate_typesz00, BFALSE, BgL_arg1705z00_1594,
					BgL_arg1706z00_1595);
			}
			{	/* Eval/evaluate_types.scm 92 */
				obj_t BgL_arg1725z00_1635;
				obj_t BgL_arg1726z00_1636;

				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1313z00_1650;

					BgL_v1313z00_1650 = create_vector((int) (((long) 4)));
					VECTOR_SET(BgL_v1313z00_1650,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2415z00zz__evaluate_typesz00,
							BGl_proc2557z00zz__evaluate_typesz00,
							BGl_proc2556z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2402z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1313z00_1650, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2560z00zz__evaluate_typesz00,
							BGl_proc2559z00zz__evaluate_typesz00,
							BGl_proc2558z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1313z00_1650, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2564z00zz__evaluate_typesz00,
							BGl_proc2563z00zz__evaluate_typesz00,
							BGl_proc2562z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1313z00_1650, (int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2529z00zz__evaluate_typesz00,
							BGl_proc2567z00zz__evaluate_typesz00,
							BGl_proc2566z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1725z00_1635 = BgL_v1313z00_1650;
				}
				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1314z00_1691;

					BgL_v1314z00_1691 = create_vector((int) (((long) 0)));
					BgL_arg1726z00_1636 = BgL_v1314z00_1691;
				}
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2571z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 40653),
					BGl_proc2570z00zz__evaluate_typesz00,
					BGl_proc2569z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2568z00zz__evaluate_typesz00, BFALSE, BgL_arg1725z00_1635,
					BgL_arg1726z00_1636);
			}
			{	/* Eval/evaluate_types.scm 97 */
				obj_t BgL_arg1759z00_1698;
				obj_t BgL_arg1760z00_1699;

				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1315z00_1712;

					BgL_v1315z00_1712 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1315z00_1712,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2575z00zz__evaluate_typesz00,
							BGl_proc2574z00zz__evaluate_typesz00,
							BGl_proc2573z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2402z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1315z00_1712, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2579z00zz__evaluate_typesz00,
							BGl_proc2578z00zz__evaluate_typesz00,
							BGl_proc2577z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2402z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1315z00_1712, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2529z00zz__evaluate_typesz00,
							BGl_proc2582z00zz__evaluate_typesz00,
							BGl_proc2581z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1759z00_1698 = BgL_v1315z00_1712;
				}
				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1316z00_1743;

					BgL_v1316z00_1743 = create_vector((int) (((long) 0)));
					BgL_arg1760z00_1699 = BgL_v1316z00_1743;
				}
				BGl_ev_binderz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2586z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 50341),
					BGl_proc2585z00zz__evaluate_typesz00,
					BGl_proc2584z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2583z00zz__evaluate_typesz00, BFALSE, BgL_arg1759z00_1698,
					BgL_arg1760z00_1699);
			}
			{	/* Eval/evaluate_types.scm 101 */
				obj_t BgL_arg1789z00_1750;
				obj_t BgL_arg1790z00_1751;

				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1317z00_1765;

					BgL_v1317z00_1765 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1317z00_1765,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2591z00zz__evaluate_typesz00,
							BGl_proc2590z00zz__evaluate_typesz00,
							BGl_proc2589z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2588z00zz__evaluate_typesz00,
							BGl_symbol2402z00zz__evaluate_typesz00));
					BgL_arg1789z00_1750 = BgL_v1317z00_1765;
				}
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1318z00_1779;

					BgL_v1318z00_1779 = create_vector((int) (((long) 0)));
					BgL_arg1790z00_1751 = BgL_v1318z00_1779;
				}
				BGl_ev_letz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2596z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 20484),
					BGl_proc2595z00zz__evaluate_typesz00,
					BGl_proc2594z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2593z00zz__evaluate_typesz00, BFALSE, BgL_arg1789z00_1750,
					BgL_arg1790z00_1751);
			}
			{	/* Eval/evaluate_types.scm 103 */
				obj_t BgL_arg1812z00_1786;
				obj_t BgL_arg1813z00_1787;

				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1319z00_1801;

					BgL_v1319z00_1801 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1319z00_1801,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2591z00zz__evaluate_typesz00,
							BGl_proc2600z00zz__evaluate_typesz00,
							BGl_proc2599z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2598z00zz__evaluate_typesz00,
							BGl_symbol2402z00zz__evaluate_typesz00));
					BgL_arg1812z00_1786 = BgL_v1319z00_1801;
				}
				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1320z00_1815;

					BgL_v1320z00_1815 = create_vector((int) (((long) 0)));
					BgL_arg1813z00_1787 = BgL_v1320z00_1815;
				}
				BGl_ev_letza2za2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2604z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 9906),
					BGl_proc2603z00zz__evaluate_typesz00,
					BGl_proc2602z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2601z00zz__evaluate_typesz00, BFALSE, BgL_arg1812z00_1786,
					BgL_arg1813z00_1787);
			}
			{	/* Eval/evaluate_types.scm 105 */
				obj_t BgL_arg1834z00_1822;
				obj_t BgL_arg1835z00_1823;

				{	/* Eval/evaluate_types.scm 105 */
					obj_t BgL_v1321z00_1836;

					BgL_v1321z00_1836 = create_vector((int) (((long) 0)));
					BgL_arg1834z00_1822 = BgL_v1321z00_1836;
				}
				{	/* Eval/evaluate_types.scm 105 */
					obj_t BgL_v1322z00_1837;

					BgL_v1322z00_1837 = create_vector((int) (((long) 0)));
					BgL_arg1835z00_1823 = BgL_v1322z00_1837;
				}
				BGl_ev_letrecz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2609z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 43956),
					BGl_proc2608z00zz__evaluate_typesz00,
					BGl_proc2607z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2606z00zz__evaluate_typesz00, BFALSE, BgL_arg1834z00_1822,
					BgL_arg1835z00_1823);
			}
			{	/* Eval/evaluate_types.scm 106 */
				obj_t BgL_arg1844z00_1844;
				obj_t BgL_arg1845z00_1845;

				{	/* Eval/evaluate_types.scm 106 */
					obj_t BgL_v1323z00_1861;

					BgL_v1323z00_1861 = create_vector((int) (((long) 6)));
					VECTOR_SET(BgL_v1323z00_1861,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2575z00zz__evaluate_typesz00,
							BGl_proc2612z00zz__evaluate_typesz00,
							BGl_proc2611z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2402z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1323z00_1861, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2579z00zz__evaluate_typesz00,
							BGl_proc2614z00zz__evaluate_typesz00,
							BGl_proc2613z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2402z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1323z00_1861, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2618z00zz__evaluate_typesz00,
							BGl_proc2617z00zz__evaluate_typesz00,
							BGl_proc2616z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2615z00zz__evaluate_typesz00,
							BGl_symbol2402z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1323z00_1861, (int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2623z00zz__evaluate_typesz00,
							BGl_proc2622z00zz__evaluate_typesz00,
							BGl_proc2621z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2620z00zz__evaluate_typesz00,
							BGl_symbol2402z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1323z00_1861, (int) (((long) 4)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2529z00zz__evaluate_typesz00,
							BGl_proc2626z00zz__evaluate_typesz00,
							BGl_proc2625z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1323z00_1861, (int) (((long) 5)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2591z00zz__evaluate_typesz00,
							BGl_proc2629z00zz__evaluate_typesz00,
							BGl_proc2628z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2627z00zz__evaluate_typesz00,
							BGl_symbol2402z00zz__evaluate_typesz00));
					BgL_arg1844z00_1844 = BgL_v1323z00_1861;
				}
				{	/* Eval/evaluate_types.scm 106 */
					obj_t BgL_v1324z00_1931;

					BgL_v1324z00_1931 = create_vector((int) (((long) 0)));
					BgL_arg1845z00_1845 = BgL_v1324z00_1931;
				}
				BGl_ev_labelsz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2633z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 51941),
					BGl_proc2632z00zz__evaluate_typesz00,
					BGl_proc2631z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2630z00zz__evaluate_typesz00, BFALSE, BgL_arg1844z00_1844,
					BgL_arg1845z00_1845);
			}
			{	/* Eval/evaluate_types.scm 114 */
				obj_t BgL_arg1890z00_1938;
				obj_t BgL_arg1891z00_1939;

				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1325z00_1953;

					BgL_v1325z00_1953 = create_vector((int) (((long) 4)));
					VECTOR_SET(BgL_v1325z00_1953,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2415z00zz__evaluate_typesz00,
							BGl_proc2636z00zz__evaluate_typesz00,
							BGl_proc2635z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2402z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1325z00_1953, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2639z00zz__evaluate_typesz00,
							BGl_proc2638z00zz__evaluate_typesz00,
							BGl_proc2637z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1325z00_1953, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2643z00zz__evaluate_typesz00,
							BGl_proc2642z00zz__evaluate_typesz00,
							BGl_proc2641z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1325z00_1953, (int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2456z00zz__evaluate_typesz00,
							BGl_proc2646z00zz__evaluate_typesz00,
							BGl_proc2645z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2402z00zz__evaluate_typesz00));
					BgL_arg1890z00_1938 = BgL_v1325z00_1953;
				}
				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1326z00_1994;

					BgL_v1326z00_1994 = create_vector((int) (((long) 0)));
					BgL_arg1891z00_1939 = BgL_v1326z00_1994;
				}
				BGl_ev_gotoz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2650z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 25746),
					BGl_proc2649z00zz__evaluate_typesz00,
					BGl_proc2648z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2647z00zz__evaluate_typesz00, BFALSE, BgL_arg1890z00_1938,
					BgL_arg1891z00_1939);
			}
			{	/* Eval/evaluate_types.scm 119 */
				obj_t BgL_arg1921z00_2001;
				obj_t BgL_arg1922z00_2002;

				{	/* Eval/evaluate_types.scm 119 */
					obj_t BgL_v1327z00_2016;

					BgL_v1327z00_2016 = create_vector((int) (((long) 4)));
					VECTOR_SET(BgL_v1327z00_2016,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2415z00zz__evaluate_typesz00,
							BGl_proc2653z00zz__evaluate_typesz00,
							BGl_proc2652z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2402z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1327z00_2016, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2656z00zz__evaluate_typesz00,
							BGl_proc2655z00zz__evaluate_typesz00,
							BGl_proc2654z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1327z00_2016, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2456z00zz__evaluate_typesz00,
							BGl_proc2659z00zz__evaluate_typesz00,
							BGl_proc2658z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2402z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1327z00_2016, (int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2662z00zz__evaluate_typesz00,
							BGl_proc2661z00zz__evaluate_typesz00,
							BGl_proc2660z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2402z00zz__evaluate_typesz00));
					BgL_arg1921z00_2001 = BgL_v1327z00_2016;
				}
				{	/* Eval/evaluate_types.scm 119 */
					obj_t BgL_v1328z00_2057;

					BgL_v1328z00_2057 = create_vector((int) (((long) 0)));
					BgL_arg1922z00_2002 = BgL_v1328z00_2057;
				}
				BGl_ev_appz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2667z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 55822),
					BGl_proc2666z00zz__evaluate_typesz00,
					BGl_proc2665z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2664z00zz__evaluate_typesz00, BFALSE, BgL_arg1921z00_2001,
					BgL_arg1922z00_2002);
			}
			{	/* Eval/evaluate_types.scm 122 */
				obj_t BgL_arg1954z00_2064;
				obj_t BgL_arg1955z00_2065;

				{	/* Eval/evaluate_types.scm 122 */
					obj_t BgL_v1329z00_2085;

					BgL_v1329z00_2085 = create_vector((int) (((long) 10)));
					VECTOR_SET(BgL_v1329z00_2085,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2415z00zz__evaluate_typesz00,
							BGl_proc2670z00zz__evaluate_typesz00,
							BGl_proc2669z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2402z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1329z00_2085, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2673z00zz__evaluate_typesz00,
							BGl_proc2672z00zz__evaluate_typesz00,
							BGl_proc2671z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2402z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1329z00_2085, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2677z00zz__evaluate_typesz00,
							BGl_proc2676z00zz__evaluate_typesz00,
							BGl_proc2675z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2402z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1329z00_2085, (int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2575z00zz__evaluate_typesz00,
							BGl_proc2680z00zz__evaluate_typesz00,
							BGl_proc2679z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2402z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1329z00_2085, (int) (((long) 4)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2529z00zz__evaluate_typesz00,
							BGl_proc2682z00zz__evaluate_typesz00,
							BGl_proc2681z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1329z00_2085, (int) (((long) 5)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2686z00zz__evaluate_typesz00,
							BGl_proc2685z00zz__evaluate_typesz00,
							BGl_proc2684z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2683z00zz__evaluate_typesz00,
							BGl_symbol2688z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1329z00_2085, (int) (((long) 6)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2693z00zz__evaluate_typesz00,
							BGl_proc2692z00zz__evaluate_typesz00,
							BGl_proc2691z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2690z00zz__evaluate_typesz00,
							BGl_symbol2402z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1329z00_2085, (int) (((long) 7)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2698z00zz__evaluate_typesz00,
							BGl_proc2697z00zz__evaluate_typesz00,
							BGl_proc2696z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2695z00zz__evaluate_typesz00,
							BGl_symbol2402z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1329z00_2085, (int) (((long) 8)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2703z00zz__evaluate_typesz00,
							BGl_proc2702z00zz__evaluate_typesz00,
							BGl_proc2701z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2700z00zz__evaluate_typesz00,
							BGl_symbol2402z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1329z00_2085, (int) (((long) 9)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2591z00zz__evaluate_typesz00,
							BGl_proc2707z00zz__evaluate_typesz00,
							BGl_proc2706z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2705z00zz__evaluate_typesz00,
							BGl_symbol2402z00zz__evaluate_typesz00));
					BgL_arg1954z00_2064 = BgL_v1329z00_2085;
				}
				{	/* Eval/evaluate_types.scm 122 */
					obj_t BgL_v1330z00_2201;

					BgL_v1330z00_2201 = create_vector((int) (((long) 0)));
					BgL_arg1955z00_2065 = BgL_v1330z00_2201;
				}
				return (BGl_ev_absz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2711z00zz__evaluate_typesz00,
						BGl_symbol2389z00zz__evaluate_typesz00,
						BGl_ev_exprz00zz__evaluate_typesz00, ((long) 22827),
						BGl_proc2710z00zz__evaluate_typesz00,
						BGl_proc2709z00zz__evaluate_typesz00, BFALSE,
						BGl_proc2708z00zz__evaluate_typesz00, BFALSE, BgL_arg1954z00_2064,
						BgL_arg1955z00_2065), BUNSPEC);
		}}
	}



/* &<anonymous:1960> */
	obj_t BGl_z62zc3anonymousza31960ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3354, obj_t BgL_new1192z00_3355)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			{
				BgL_ev_absz00_bglt BgL_new1192z00_2083;

				{
					BgL_ev_absz00_bglt BgL_auxz00_4645;

					BgL_new1192z00_2083 = ((BgL_ev_absz00_bglt) BgL_new1192z00_3355);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1192z00_2083))->BgL_locz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1192z00_2083))->BgL_wherez00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1192z00_2083))->BgL_arityz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1192z00_2083))->BgL_varsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4650;

						{	/* Eval/evaluate_types.scm 122 */
							obj_t BgL_classz00_2987;

							BgL_classz00_2987 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 122 */
								obj_t BgL__ortest_1278z00_2988;

								BgL__ortest_1278z00_2988 = BGL_CLASS_NIL(BgL_classz00_2987);
								if (CBOOL(BgL__ortest_1278z00_2988))
									{	/* Eval/evaluate_types.scm 122 */
										BgL_auxz00_4650 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2988);
									}
								else
									{	/* Eval/evaluate_types.scm 122 */
										BgL_auxz00_4650 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2987));
									}
							}
						}
						((((BgL_ev_absz00_bglt) CREF(BgL_new1192z00_2083))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4650), BUNSPEC);
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_new1192z00_2083))->BgL_siza7eza7) =
						((int) (int) (((long) 0))), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1192z00_2083))->BgL_bindz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1192z00_2083))->BgL_freez00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1192z00_2083))->BgL_innerz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1192z00_2083))->BgL_boxesz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_4645 = BgL_new1192z00_2083;
					return ((obj_t) BgL_auxz00_4645);
				}
			}
		}
	}



/* &lambda1958 */
	BgL_ev_absz00_bglt BGl_z62lambda1958z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3356)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				BgL_ev_absz00_bglt BgL_new1191z00_3832;

				BgL_new1191z00_3832 =
					((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_absz00_bgl))));
				{	/* Eval/evaluate_types.scm 122 */
					long BgL_arg1959z00_3833;

					{	/* Eval/evaluate_types.scm 122 */
						long BgL_res2347z00_3834;

						BgL_res2347z00_3834 =
							BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00);
						BgL_arg1959z00_3833 = BgL_res2347z00_3834;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1191z00_3832), BgL_arg1959z00_3833);
				}
				return BgL_new1191z00_3832;
			}
		}
	}



/* &lambda1956 */
	BgL_ev_absz00_bglt BGl_z62lambda1956z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3357, obj_t BgL_loc1181z00_3358, obj_t BgL_where1182z00_3359,
		obj_t BgL_arity1183z00_3360, obj_t BgL_vars1184z00_3361,
		obj_t BgL_body1185z00_3362, obj_t BgL_siza7e1186za7_3363,
		obj_t BgL_bind1187z00_3364, obj_t BgL_free1188z00_3365,
		obj_t BgL_inner1189z00_3366, obj_t BgL_boxes1190z00_3367)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				int BgL_siza7e1186za7_3836;

				BgL_siza7e1186za7_3836 = CINT(BgL_siza7e1186za7_3363);
				{	/* Eval/evaluate_types.scm 122 */
					BgL_ev_absz00_bglt BgL_new1245z00_3837;

					{	/* Eval/evaluate_types.scm 122 */
						BgL_ev_absz00_bglt BgL_new1243z00_3838;

						BgL_new1243z00_3838 =
							((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						{	/* Eval/evaluate_types.scm 122 */
							long BgL_arg1957z00_3839;

							{	/* Eval/evaluate_types.scm 122 */
								long BgL_res2346z00_3840;

								BgL_res2346z00_3840 =
									BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00);
								BgL_arg1957z00_3839 = BgL_res2346z00_3840;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1243z00_3838),
								BgL_arg1957z00_3839);
						}
						BgL_new1245z00_3837 = BgL_new1243z00_3838;
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_new1245z00_3837))->BgL_locz00) =
						((obj_t) BgL_loc1181z00_3358), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1245z00_3837))->BgL_wherez00) =
						((obj_t) BgL_where1182z00_3359), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1245z00_3837))->BgL_arityz00) =
						((obj_t) BgL_arity1183z00_3360), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1245z00_3837))->BgL_varsz00) =
						((obj_t) BgL_vars1184z00_3361), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1245z00_3837))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
								BgL_body1185z00_3362)), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1245z00_3837))->BgL_siza7eza7) =
						((int) BgL_siza7e1186za7_3836), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1245z00_3837))->BgL_bindz00) =
						((obj_t) BgL_bind1187z00_3364), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1245z00_3837))->BgL_freez00) =
						((obj_t) BgL_free1188z00_3365), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1245z00_3837))->BgL_innerz00) =
						((obj_t) BgL_inner1189z00_3366), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1245z00_3837))->BgL_boxesz00) =
						((obj_t) BgL_boxes1190z00_3367), BUNSPEC);
					return BgL_new1245z00_3837;
				}
			}
		}
	}



/* &<anonymous:2024> */
	obj_t BGl_z62zc3anonymousza32024ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3368)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}
	}



/* &lambda2023 */
	obj_t BGl_z62lambda2023z62zz__evaluate_typesz00(obj_t BgL_envz00_3369,
		obj_t BgL_oz00_3370, obj_t BgL_vz00_3371)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3370)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3371), BUNSPEC);
		}
	}



/* &lambda2022 */
	obj_t BGl_z62lambda2022z62zz__evaluate_typesz00(obj_t BgL_envz00_3372,
		obj_t BgL_oz00_3373)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3373)))->BgL_boxesz00);
		}
	}



/* &<anonymous:2017> */
	obj_t BGl_z62zc3anonymousza32017ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3374)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}
	}



/* &lambda2016 */
	obj_t BGl_z62lambda2016z62zz__evaluate_typesz00(obj_t BgL_envz00_3375,
		obj_t BgL_oz00_3376, obj_t BgL_vz00_3377)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3376)))->BgL_innerz00) =
				((obj_t) BgL_vz00_3377), BUNSPEC);
		}
	}



/* &lambda2015 */
	obj_t BGl_z62lambda2015z62zz__evaluate_typesz00(obj_t BgL_envz00_3378,
		obj_t BgL_oz00_3379)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3379)))->BgL_innerz00);
		}
	}



/* &<anonymous:2010> */
	obj_t BGl_z62zc3anonymousza32010ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3380)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}
	}



/* &lambda2009 */
	obj_t BGl_z62lambda2009z62zz__evaluate_typesz00(obj_t BgL_envz00_3381,
		obj_t BgL_oz00_3382, obj_t BgL_vz00_3383)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3382)))->BgL_freez00) =
				((obj_t) BgL_vz00_3383), BUNSPEC);
		}
	}



/* &lambda2008 */
	obj_t BGl_z62lambda2008z62zz__evaluate_typesz00(obj_t BgL_envz00_3384,
		obj_t BgL_oz00_3385)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3385)))->BgL_freez00);
		}
	}



/* &<anonymous:2003> */
	obj_t BGl_z62zc3anonymousza32003ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3386)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}
	}



/* &lambda2002 */
	obj_t BGl_z62lambda2002z62zz__evaluate_typesz00(obj_t BgL_envz00_3387,
		obj_t BgL_oz00_3388, obj_t BgL_vz00_3389)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3388)))->BgL_bindz00) =
				((obj_t) BgL_vz00_3389), BUNSPEC);
		}
	}



/* &lambda2001 */
	obj_t BGl_z62lambda2001z62zz__evaluate_typesz00(obj_t BgL_envz00_3390,
		obj_t BgL_oz00_3391)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3391)))->BgL_bindz00);
		}
	}



/* &<anonymous:1996> */
	obj_t BGl_z62zc3anonymousza31996ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3392)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return BINT(((long) 0));
		}
	}



/* &lambda1995 */
	obj_t BGl_z62lambda1995z62zz__evaluate_typesz00(obj_t BgL_envz00_3393,
		obj_t BgL_oz00_3394, obj_t BgL_vz00_3395)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				int BgL_vz00_3850;

				BgL_vz00_3850 = CINT(BgL_vz00_3395);
				return
					((((BgL_ev_absz00_bglt) CREF(
								((BgL_ev_absz00_bglt) BgL_oz00_3394)))->BgL_siza7eza7) =
					((int) BgL_vz00_3850), BUNSPEC);
		}}
	}



/* &lambda1994 */
	obj_t BGl_z62lambda1994z62zz__evaluate_typesz00(obj_t BgL_envz00_3396,
		obj_t BgL_oz00_3397)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				BINT(
				(((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3397)))->BgL_siza7eza7));
		}
	}



/* &lambda1989 */
	obj_t BGl_z62lambda1989z62zz__evaluate_typesz00(obj_t BgL_envz00_3398,
		obj_t BgL_oz00_3399, obj_t BgL_vz00_3400)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3399)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3400)), BUNSPEC);
		}
	}



/* &lambda1988 */
	BgL_ev_exprz00_bglt BGl_z62lambda1988z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3401, obj_t BgL_oz00_3402)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3402)))->BgL_bodyz00);
		}
	}



/* &lambda1983 */
	obj_t BGl_z62lambda1983z62zz__evaluate_typesz00(obj_t BgL_envz00_3403,
		obj_t BgL_oz00_3404, obj_t BgL_vz00_3405)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3404)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3405), BUNSPEC);
		}
	}



/* &lambda1982 */
	obj_t BGl_z62lambda1982z62zz__evaluate_typesz00(obj_t BgL_envz00_3406,
		obj_t BgL_oz00_3407)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3407)))->BgL_varsz00);
		}
	}



/* &lambda1978 */
	obj_t BGl_z62lambda1978z62zz__evaluate_typesz00(obj_t BgL_envz00_3408,
		obj_t BgL_oz00_3409, obj_t BgL_vz00_3410)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3409)))->BgL_arityz00) =
				((obj_t) BgL_vz00_3410), BUNSPEC);
		}
	}



/* &lambda1977 */
	obj_t BGl_z62lambda1977z62zz__evaluate_typesz00(obj_t BgL_envz00_3411,
		obj_t BgL_oz00_3412)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3412)))->BgL_arityz00);
		}
	}



/* &lambda1972 */
	obj_t BGl_z62lambda1972z62zz__evaluate_typesz00(obj_t BgL_envz00_3413,
		obj_t BgL_oz00_3414, obj_t BgL_vz00_3415)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3414)))->BgL_wherez00) =
				((obj_t) BgL_vz00_3415), BUNSPEC);
		}
	}



/* &lambda1971 */
	obj_t BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t BgL_envz00_3416,
		obj_t BgL_oz00_3417)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3417)))->BgL_wherez00);
		}
	}



/* &lambda1965 */
	obj_t BGl_z62lambda1965z62zz__evaluate_typesz00(obj_t BgL_envz00_3418,
		obj_t BgL_oz00_3419, obj_t BgL_vz00_3420)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3419)))->BgL_locz00) =
				((obj_t) BgL_vz00_3420), BUNSPEC);
		}
	}



/* &lambda1964 */
	obj_t BGl_z62lambda1964z62zz__evaluate_typesz00(obj_t BgL_envz00_3421,
		obj_t BgL_oz00_3422)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3422)))->BgL_locz00);
		}
	}



/* &<anonymous:1927> */
	obj_t BGl_z62zc3anonymousza31927ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3423, obj_t BgL_new1179z00_3424)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			{
				BgL_ev_appz00_bglt BgL_new1179z00_2014;

				{
					BgL_ev_appz00_bglt BgL_auxz00_4730;

					BgL_new1179z00_2014 = ((BgL_ev_appz00_bglt) BgL_new1179z00_3424);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1179z00_2014))->BgL_locz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4732;

						{	/* Eval/evaluate_types.scm 119 */
							obj_t BgL_classz00_2962;

							BgL_classz00_2962 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 119 */
								obj_t BgL__ortest_1278z00_2963;

								BgL__ortest_1278z00_2963 = BGL_CLASS_NIL(BgL_classz00_2962);
								if (CBOOL(BgL__ortest_1278z00_2963))
									{	/* Eval/evaluate_types.scm 119 */
										BgL_auxz00_4732 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2963);
									}
								else
									{	/* Eval/evaluate_types.scm 119 */
										BgL_auxz00_4732 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2962));
									}
							}
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1179z00_2014))->BgL_funz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4732), BUNSPEC);
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1179z00_2014))->BgL_argsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1179z00_2014))->BgL_tailzf3zf3) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_4730 = BgL_new1179z00_2014;
					return ((obj_t) BgL_auxz00_4730);
				}
			}
		}
	}



/* &lambda1925 */
	BgL_ev_appz00_bglt BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3425)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			{	/* Eval/evaluate_types.scm 119 */
				BgL_ev_appz00_bglt BgL_new1178z00_3866;

				BgL_new1178z00_3866 =
					((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_appz00_bgl))));
				{	/* Eval/evaluate_types.scm 119 */
					long BgL_arg1926z00_3867;

					{	/* Eval/evaluate_types.scm 119 */
						long BgL_res2345z00_3868;

						BgL_res2345z00_3868 =
							BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00);
						BgL_arg1926z00_3867 = BgL_res2345z00_3868;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1178z00_3866), BgL_arg1926z00_3867);
				}
				return BgL_new1178z00_3866;
			}
		}
	}



/* &lambda1923 */
	BgL_ev_appz00_bglt BGl_z62lambda1923z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3426, obj_t BgL_loc1174z00_3427, obj_t BgL_fun1175z00_3428,
		obj_t BgL_args1176z00_3429, obj_t BgL_tailzf31177zf3_3430)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			{	/* Eval/evaluate_types.scm 119 */
				BgL_ev_appz00_bglt BgL_new1242z00_3870;

				{	/* Eval/evaluate_types.scm 119 */
					BgL_ev_appz00_bglt BgL_new1241z00_3871;

					BgL_new1241z00_3871 =
						((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_appz00_bgl))));
					{	/* Eval/evaluate_types.scm 119 */
						long BgL_arg1924z00_3872;

						{	/* Eval/evaluate_types.scm 119 */
							long BgL_res2344z00_3873;

							BgL_res2344z00_3873 =
								BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00);
							BgL_arg1924z00_3872 = BgL_res2344z00_3873;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1241z00_3871), BgL_arg1924z00_3872);
					}
					BgL_new1242z00_3870 = BgL_new1241z00_3871;
				}
				((((BgL_ev_appz00_bglt) CREF(BgL_new1242z00_3870))->BgL_locz00) =
					((obj_t) BgL_loc1174z00_3427), BUNSPEC);
				((((BgL_ev_appz00_bglt) CREF(BgL_new1242z00_3870))->BgL_funz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_fun1175z00_3428)),
					BUNSPEC);
				((((BgL_ev_appz00_bglt) CREF(BgL_new1242z00_3870))->BgL_argsz00) =
					((obj_t) BgL_args1176z00_3429), BUNSPEC);
				((((BgL_ev_appz00_bglt) CREF(BgL_new1242z00_3870))->BgL_tailzf3zf3) =
					((obj_t) BgL_tailzf31177zf3_3430), BUNSPEC);
				return BgL_new1242z00_3870;
			}
		}
	}



/* &lambda1950 */
	obj_t BGl_z62lambda1950z62zz__evaluate_typesz00(obj_t BgL_envz00_3431,
		obj_t BgL_oz00_3432, obj_t BgL_vz00_3433)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) CREF(
							((BgL_ev_appz00_bglt) BgL_oz00_3432)))->BgL_tailzf3zf3) =
				((obj_t) BgL_vz00_3433), BUNSPEC);
		}
	}



/* &lambda1949 */
	obj_t BGl_z62lambda1949z62zz__evaluate_typesz00(obj_t BgL_envz00_3434,
		obj_t BgL_oz00_3435)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3435)))->BgL_tailzf3zf3);
		}
	}



/* &lambda1944 */
	obj_t BGl_z62lambda1944z62zz__evaluate_typesz00(obj_t BgL_envz00_3436,
		obj_t BgL_oz00_3437, obj_t BgL_vz00_3438)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) CREF(
							((BgL_ev_appz00_bglt) BgL_oz00_3437)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3438), BUNSPEC);
		}
	}



/* &lambda1943 */
	obj_t BGl_z62lambda1943z62zz__evaluate_typesz00(obj_t BgL_envz00_3439,
		obj_t BgL_oz00_3440)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3440)))->BgL_argsz00);
		}
	}



/* &lambda1939 */
	obj_t BGl_z62lambda1939z62zz__evaluate_typesz00(obj_t BgL_envz00_3441,
		obj_t BgL_oz00_3442, obj_t BgL_vz00_3443)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) CREF(
							((BgL_ev_appz00_bglt) BgL_oz00_3442)))->BgL_funz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3443)), BUNSPEC);
		}
	}



/* &lambda1938 */
	BgL_ev_exprz00_bglt BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3444, obj_t BgL_oz00_3445)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3445)))->BgL_funz00);
		}
	}



/* &lambda1934 */
	obj_t BGl_z62lambda1934z62zz__evaluate_typesz00(obj_t BgL_envz00_3446,
		obj_t BgL_oz00_3447, obj_t BgL_vz00_3448)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) CREF(
							((BgL_ev_appz00_bglt) BgL_oz00_3447)))->BgL_locz00) =
				((obj_t) BgL_vz00_3448), BUNSPEC);
		}
	}



/* &lambda1933 */
	obj_t BGl_z62lambda1933z62zz__evaluate_typesz00(obj_t BgL_envz00_3449,
		obj_t BgL_oz00_3450)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3450)))->BgL_locz00);
		}
	}



/* &<anonymous:1896> */
	obj_t BGl_z62zc3anonymousza31896ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3451, obj_t BgL_new1172z00_3452)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{
				BgL_ev_gotoz00_bglt BgL_new1172z00_1951;

				{
					BgL_ev_gotoz00_bglt BgL_auxz00_4774;

					BgL_new1172z00_1951 = ((BgL_ev_gotoz00_bglt) BgL_new1172z00_3452);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1172z00_1951))->BgL_locz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_varz00_bglt BgL_auxz00_4776;

						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL_classz00_2941;

							BgL_classz00_2941 = BGl_ev_varz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 114 */
								obj_t BgL__ortest_1278z00_2942;

								BgL__ortest_1278z00_2942 = BGL_CLASS_NIL(BgL_classz00_2941);
								if (CBOOL(BgL__ortest_1278z00_2942))
									{	/* Eval/evaluate_types.scm 114 */
										BgL_auxz00_4776 =
											((BgL_ev_varz00_bglt) BgL__ortest_1278z00_2942);
									}
								else
									{	/* Eval/evaluate_types.scm 114 */
										BgL_auxz00_4776 =
											((BgL_ev_varz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2941));
									}
							}
						}
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1172z00_1951))->BgL_labelz00) =
							((BgL_ev_varz00_bglt) BgL_auxz00_4776), BUNSPEC);
					}
					{
						BgL_ev_labelsz00_bglt BgL_auxz00_4784;

						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL_classz00_2943;

							BgL_classz00_2943 = BGl_ev_labelsz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 114 */
								obj_t BgL__ortest_1278z00_2944;

								BgL__ortest_1278z00_2944 = BGL_CLASS_NIL(BgL_classz00_2943);
								if (CBOOL(BgL__ortest_1278z00_2944))
									{	/* Eval/evaluate_types.scm 114 */
										BgL_auxz00_4784 =
											((BgL_ev_labelsz00_bglt) BgL__ortest_1278z00_2944);
									}
								else
									{	/* Eval/evaluate_types.scm 114 */
										BgL_auxz00_4784 =
											((BgL_ev_labelsz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2943));
									}
							}
						}
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1172z00_1951))->
								BgL_labelsz00) =
							((BgL_ev_labelsz00_bglt) BgL_auxz00_4784), BUNSPEC);
					}
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1172z00_1951))->BgL_argsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_4774 = BgL_new1172z00_1951;
					return ((obj_t) BgL_auxz00_4774);
				}
			}
		}
	}



/* &lambda1894 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1894z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3453)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_gotoz00_bglt BgL_new1171z00_3888;

				BgL_new1171z00_3888 =
					((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_gotoz00_bgl))));
				{	/* Eval/evaluate_types.scm 114 */
					long BgL_arg1895z00_3889;

					{	/* Eval/evaluate_types.scm 114 */
						long BgL_res2343z00_3890;

						BgL_res2343z00_3890 =
							BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00);
						BgL_arg1895z00_3889 = BgL_res2343z00_3890;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1171z00_3888), BgL_arg1895z00_3889);
				}
				return BgL_new1171z00_3888;
			}
		}
	}



/* &lambda1892 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1892z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3454, obj_t BgL_loc1167z00_3455, obj_t BgL_label1168z00_3456,
		obj_t BgL_labels1169z00_3457, obj_t BgL_args1170z00_3458)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_gotoz00_bglt BgL_new1240z00_3893;

				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_gotoz00_bglt BgL_new1239z00_3894;

					BgL_new1239z00_3894 =
						((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_gotoz00_bgl))));
					{	/* Eval/evaluate_types.scm 114 */
						long BgL_arg1893z00_3895;

						{	/* Eval/evaluate_types.scm 114 */
							long BgL_res2342z00_3896;

							BgL_res2342z00_3896 =
								BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00);
							BgL_arg1893z00_3895 = BgL_res2342z00_3896;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1239z00_3894), BgL_arg1893z00_3895);
					}
					BgL_new1240z00_3893 = BgL_new1239z00_3894;
				}
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1240z00_3893))->BgL_locz00) =
					((obj_t) BgL_loc1167z00_3455), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1240z00_3893))->BgL_labelz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_label1168z00_3456)),
					BUNSPEC);
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1240z00_3893))->BgL_labelsz00) =
					((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt)
							BgL_labels1169z00_3457)), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1240z00_3893))->BgL_argsz00) =
					((obj_t) BgL_args1170z00_3458), BUNSPEC);
				return BgL_new1240z00_3893;
			}
		}
	}



/* &lambda1917 */
	obj_t BGl_z62lambda1917z62zz__evaluate_typesz00(obj_t BgL_envz00_3459,
		obj_t BgL_oz00_3460, obj_t BgL_vz00_3461)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) CREF(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3460)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3461), BUNSPEC);
		}
	}



/* &lambda1916 */
	obj_t BGl_z62lambda1916z62zz__evaluate_typesz00(obj_t BgL_envz00_3462,
		obj_t BgL_oz00_3463)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3463)))->BgL_argsz00);
		}
	}



/* &lambda1912 */
	obj_t BGl_z62lambda1912z62zz__evaluate_typesz00(obj_t BgL_envz00_3464,
		obj_t BgL_oz00_3465, obj_t BgL_vz00_3466)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) CREF(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3465)))->BgL_labelsz00) =
				((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt) BgL_vz00_3466)),
				BUNSPEC);
		}
	}



/* &lambda1911 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1911z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3467, obj_t BgL_oz00_3468)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3468)))->BgL_labelsz00);
		}
	}



/* &lambda1907 */
	obj_t BGl_z62lambda1907z62zz__evaluate_typesz00(obj_t BgL_envz00_3469,
		obj_t BgL_oz00_3470, obj_t BgL_vz00_3471)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) CREF(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3470)))->BgL_labelz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3471)), BUNSPEC);
		}
	}



/* &lambda1906 */
	BgL_ev_varz00_bglt BGl_z62lambda1906z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3472, obj_t BgL_oz00_3473)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3473)))->BgL_labelz00);
		}
	}



/* &lambda1901 */
	obj_t BGl_z62lambda1901z62zz__evaluate_typesz00(obj_t BgL_envz00_3474,
		obj_t BgL_oz00_3475, obj_t BgL_vz00_3476)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) CREF(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3475)))->BgL_locz00) =
				((obj_t) BgL_vz00_3476), BUNSPEC);
		}
	}



/* &lambda1900 */
	obj_t BGl_z62lambda1900z62zz__evaluate_typesz00(obj_t BgL_envz00_3477,
		obj_t BgL_oz00_3478)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3478)))->BgL_locz00);
		}
	}



/* &<anonymous:1850> */
	obj_t BGl_z62zc3anonymousza31850ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3479, obj_t BgL_new1165z00_3480)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			{
				BgL_ev_labelsz00_bglt BgL_new1165z00_1859;

				{
					BgL_ev_labelsz00_bglt BgL_auxz00_4827;

					BgL_new1165z00_1859 = ((BgL_ev_labelsz00_bglt) BgL_new1165z00_3480);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1165z00_1859))->BgL_varsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1165z00_1859))->BgL_valsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1165z00_1859))->BgL_envz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1165z00_1859))->BgL_stkz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4832;

						{	/* Eval/evaluate_types.scm 106 */
							obj_t BgL_classz00_2922;

							BgL_classz00_2922 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 106 */
								obj_t BgL__ortest_1278z00_2923;

								BgL__ortest_1278z00_2923 = BGL_CLASS_NIL(BgL_classz00_2922);
								if (CBOOL(BgL__ortest_1278z00_2923))
									{	/* Eval/evaluate_types.scm 106 */
										BgL_auxz00_4832 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2923);
									}
								else
									{	/* Eval/evaluate_types.scm 106 */
										BgL_auxz00_4832 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2922));
									}
							}
						}
						((((BgL_ev_labelsz00_bglt) CREF(BgL_new1165z00_1859))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4832), BUNSPEC);
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1165z00_1859))->BgL_boxesz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_4827 = BgL_new1165z00_1859;
					return ((obj_t) BgL_auxz00_4827);
				}
			}
		}
	}



/* &lambda1848 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1848z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3481)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_new1164z00_3910;

				BgL_new1164z00_3910 =
					((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_labelsz00_bgl))));
				{	/* Eval/evaluate_types.scm 106 */
					long BgL_arg1849z00_3911;

					{	/* Eval/evaluate_types.scm 106 */
						long BgL_res2341z00_3912;

						BgL_res2341z00_3912 =
							BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00);
						BgL_arg1849z00_3911 = BgL_res2341z00_3912;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1164z00_3910), BgL_arg1849z00_3911);
				}
				return BgL_new1164z00_3910;
			}
		}
	}



/* &lambda1846 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1846z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3482, obj_t BgL_vars1158z00_3483, obj_t BgL_vals1159z00_3484,
		obj_t BgL_env1160z00_3485, obj_t BgL_stk1161z00_3486,
		obj_t BgL_body1162z00_3487, obj_t BgL_boxes1163z00_3488)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_new1238z00_3914;

				{	/* Eval/evaluate_types.scm 106 */
					BgL_ev_labelsz00_bglt BgL_new1237z00_3915;

					BgL_new1237z00_3915 =
						((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_labelsz00_bgl))));
					{	/* Eval/evaluate_types.scm 106 */
						long BgL_arg1847z00_3916;

						{	/* Eval/evaluate_types.scm 106 */
							long BgL_res2340z00_3917;

							BgL_res2340z00_3917 =
								BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00);
							BgL_arg1847z00_3916 = BgL_res2340z00_3917;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1237z00_3915), BgL_arg1847z00_3916);
					}
					BgL_new1238z00_3914 = BgL_new1237z00_3915;
				}
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1238z00_3914))->BgL_varsz00) =
					((obj_t) BgL_vars1158z00_3483), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1238z00_3914))->BgL_valsz00) =
					((obj_t) BgL_vals1159z00_3484), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1238z00_3914))->BgL_envz00) =
					((obj_t) BgL_env1160z00_3485), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1238z00_3914))->BgL_stkz00) =
					((obj_t) BgL_stk1161z00_3486), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1238z00_3914))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1162z00_3487)),
					BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1238z00_3914))->BgL_boxesz00) =
					((obj_t) BgL_boxes1163z00_3488), BUNSPEC);
				return BgL_new1238z00_3914;
			}
		}
	}



/* &<anonymous:1886> */
	obj_t BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3489)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}
	}



/* &lambda1885 */
	obj_t BGl_z62lambda1885z62zz__evaluate_typesz00(obj_t BgL_envz00_3490,
		obj_t BgL_oz00_3491, obj_t BgL_vz00_3492)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) CREF(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3491)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3492), BUNSPEC);
		}
	}



/* &lambda1884 */
	obj_t BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t BgL_envz00_3493,
		obj_t BgL_oz00_3494)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3494)))->BgL_boxesz00);
		}
	}



/* &lambda1879 */
	obj_t BGl_z62lambda1879z62zz__evaluate_typesz00(obj_t BgL_envz00_3495,
		obj_t BgL_oz00_3496, obj_t BgL_vz00_3497)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) CREF(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3496)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3497)), BUNSPEC);
		}
	}



/* &lambda1878 */
	BgL_ev_exprz00_bglt BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3498, obj_t BgL_oz00_3499)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3499)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1874> */
	obj_t BGl_z62zc3anonymousza31874ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3500)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}
	}



/* &lambda1873 */
	obj_t BGl_z62lambda1873z62zz__evaluate_typesz00(obj_t BgL_envz00_3501,
		obj_t BgL_oz00_3502, obj_t BgL_vz00_3503)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) CREF(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3502)))->BgL_stkz00) =
				((obj_t) BgL_vz00_3503), BUNSPEC);
		}
	}



/* &lambda1872 */
	obj_t BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t BgL_envz00_3504,
		obj_t BgL_oz00_3505)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3505)))->BgL_stkz00);
		}
	}



/* &<anonymous:1867> */
	obj_t BGl_z62zc3anonymousza31867ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3506)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}
	}



/* &lambda1866 */
	obj_t BGl_z62lambda1866z62zz__evaluate_typesz00(obj_t BgL_envz00_3507,
		obj_t BgL_oz00_3508, obj_t BgL_vz00_3509)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) CREF(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3508)))->BgL_envz00) =
				((obj_t) BgL_vz00_3509), BUNSPEC);
		}
	}



/* &lambda1865 */
	obj_t BGl_z62lambda1865z62zz__evaluate_typesz00(obj_t BgL_envz00_3510,
		obj_t BgL_oz00_3511)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3511)))->BgL_envz00);
		}
	}



/* &lambda1860 */
	obj_t BGl_z62lambda1860z62zz__evaluate_typesz00(obj_t BgL_envz00_3512,
		obj_t BgL_oz00_3513, obj_t BgL_vz00_3514)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) CREF(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3513)))->BgL_valsz00) =
				((obj_t) BgL_vz00_3514), BUNSPEC);
		}
	}



/* &lambda1859 */
	obj_t BGl_z62lambda1859z62zz__evaluate_typesz00(obj_t BgL_envz00_3515,
		obj_t BgL_oz00_3516)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3516)))->BgL_valsz00);
		}
	}



/* &lambda1855 */
	obj_t BGl_z62lambda1855z62zz__evaluate_typesz00(obj_t BgL_envz00_3517,
		obj_t BgL_oz00_3518, obj_t BgL_vz00_3519)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) CREF(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3518)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3519), BUNSPEC);
		}
	}



/* &lambda1854 */
	obj_t BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t BgL_envz00_3520,
		obj_t BgL_oz00_3521)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3521)))->BgL_varsz00);
		}
	}



/* &<anonymous:1840> */
	obj_t BGl_z62zc3anonymousza31840ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3522, obj_t BgL_new1156z00_3523)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 105 */
			{
				BgL_ev_letrecz00_bglt BgL_new1156z00_1834;

				{
					BgL_ev_letrecz00_bglt BgL_auxz00_4883;

					BgL_new1156z00_1834 = ((BgL_ev_letrecz00_bglt) BgL_new1156z00_3523);
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1156z00_1834)))->
							BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1156z00_1834)))->BgL_valsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4888;

						{	/* Eval/evaluate_types.scm 105 */
							obj_t BgL_classz00_2901;

							BgL_classz00_2901 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 105 */
								obj_t BgL__ortest_1278z00_2902;

								BgL__ortest_1278z00_2902 = BGL_CLASS_NIL(BgL_classz00_2901);
								if (CBOOL(BgL__ortest_1278z00_2902))
									{	/* Eval/evaluate_types.scm 105 */
										BgL_auxz00_4888 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2902);
									}
								else
									{	/* Eval/evaluate_types.scm 105 */
										BgL_auxz00_4888 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2901));
									}
							}
						}
						((((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_new1156z00_1834)))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4888), BUNSPEC);
					}
					BgL_auxz00_4883 = BgL_new1156z00_1834;
					return ((obj_t) BgL_auxz00_4883);
				}
			}
		}
	}



/* &lambda1838 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3524)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 105 */
			{	/* Eval/evaluate_types.scm 105 */
				BgL_ev_letrecz00_bglt BgL_new1155z00_3934;

				BgL_new1155z00_3934 =
					((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_letrecz00_bgl))));
				{	/* Eval/evaluate_types.scm 105 */
					long BgL_arg1839z00_3935;

					{	/* Eval/evaluate_types.scm 105 */
						long BgL_res2339z00_3936;

						BgL_res2339z00_3936 =
							BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00);
						BgL_arg1839z00_3935 = BgL_res2339z00_3936;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1155z00_3934), BgL_arg1839z00_3935);
				}
				return BgL_new1155z00_3934;
			}
		}
	}



/* &lambda1836 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1836z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3525, obj_t BgL_vars1152z00_3526, obj_t BgL_vals1153z00_3527,
		obj_t BgL_body1154z00_3528)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 105 */
			{	/* Eval/evaluate_types.scm 105 */
				BgL_ev_letrecz00_bglt BgL_new1236z00_3938;

				{	/* Eval/evaluate_types.scm 105 */
					BgL_ev_letrecz00_bglt BgL_new1235z00_3939;

					BgL_new1235z00_3939 =
						((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letrecz00_bgl))));
					{	/* Eval/evaluate_types.scm 105 */
						long BgL_arg1837z00_3940;

						{	/* Eval/evaluate_types.scm 105 */
							long BgL_res2338z00_3941;

							BgL_res2338z00_3941 =
								BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00);
							BgL_arg1837z00_3940 = BgL_res2338z00_3941;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1235z00_3939), BgL_arg1837z00_3940);
					}
					BgL_new1236z00_3938 = BgL_new1235z00_3939;
				}
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1236z00_3938)))->BgL_varsz00) =
					((obj_t) BgL_vars1152z00_3526), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1236z00_3938)))->BgL_valsz00) =
					((obj_t) BgL_vals1153z00_3527), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1236z00_3938)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1154z00_3528)),
					BUNSPEC);
				return BgL_new1236z00_3938;
			}
		}
	}



/* &<anonymous:1819> */
	obj_t BGl_z62zc3anonymousza31819ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3529, obj_t BgL_new1150z00_3530)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 103 */
			{
				BgL_ev_letza2za2_bglt BgL_new1150z00_1799;

				{
					BgL_ev_letza2za2_bglt BgL_auxz00_4914;

					BgL_new1150z00_1799 = ((BgL_ev_letza2za2_bglt) BgL_new1150z00_3530);
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1150z00_1799)))->
							BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1150z00_1799)))->BgL_valsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4919;

						{	/* Eval/evaluate_types.scm 103 */
							obj_t BgL_classz00_2886;

							BgL_classz00_2886 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 103 */
								obj_t BgL__ortest_1278z00_2887;

								BgL__ortest_1278z00_2887 = BGL_CLASS_NIL(BgL_classz00_2886);
								if (CBOOL(BgL__ortest_1278z00_2887))
									{	/* Eval/evaluate_types.scm 103 */
										BgL_auxz00_4919 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2887);
									}
								else
									{	/* Eval/evaluate_types.scm 103 */
										BgL_auxz00_4919 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2886));
									}
							}
						}
						((((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_new1150z00_1799)))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4919), BUNSPEC);
					}
					((((BgL_ev_letza2za2_bglt) CREF(BgL_new1150z00_1799))->BgL_boxesz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_4914 = BgL_new1150z00_1799;
					return ((obj_t) BgL_auxz00_4914);
				}
			}
		}
	}



/* &lambda1817 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1817z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3531)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 103 */
			{	/* Eval/evaluate_types.scm 103 */
				BgL_ev_letza2za2_bglt BgL_new1149z00_3945;

				BgL_new1149z00_3945 =
					((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_letza2za2_bgl))));
				{	/* Eval/evaluate_types.scm 103 */
					long BgL_arg1818z00_3946;

					{	/* Eval/evaluate_types.scm 103 */
						long BgL_res2337z00_3947;

						BgL_res2337z00_3947 =
							BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00);
						BgL_arg1818z00_3946 = BgL_res2337z00_3947;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1149z00_3945), BgL_arg1818z00_3946);
				}
				return BgL_new1149z00_3945;
			}
		}
	}



/* &lambda1814 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1814z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3532, obj_t BgL_vars1145z00_3533, obj_t BgL_vals1146z00_3534,
		obj_t BgL_body1147z00_3535, obj_t BgL_boxes1148z00_3536)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 103 */
			{	/* Eval/evaluate_types.scm 103 */
				BgL_ev_letza2za2_bglt BgL_new1234z00_3949;

				{	/* Eval/evaluate_types.scm 103 */
					BgL_ev_letza2za2_bglt BgL_new1233z00_3950;

					BgL_new1233z00_3950 =
						((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letza2za2_bgl))));
					{	/* Eval/evaluate_types.scm 103 */
						long BgL_arg1816z00_3951;

						{	/* Eval/evaluate_types.scm 103 */
							long BgL_res2336z00_3952;

							BgL_res2336z00_3952 =
								BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00);
							BgL_arg1816z00_3951 = BgL_res2336z00_3952;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1233z00_3950), BgL_arg1816z00_3951);
					}
					BgL_new1234z00_3949 = BgL_new1233z00_3950;
				}
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1234z00_3949)))->BgL_varsz00) =
					((obj_t) BgL_vars1145z00_3533), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1234z00_3949)))->BgL_valsz00) =
					((obj_t) BgL_vals1146z00_3534), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1234z00_3949)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1147z00_3535)),
					BUNSPEC);
				((((BgL_ev_letza2za2_bglt) CREF(BgL_new1234z00_3949))->BgL_boxesz00) =
					((obj_t) BgL_boxes1148z00_3536), BUNSPEC);
				return BgL_new1234z00_3949;
			}
		}
	}



/* &<anonymous:1830> */
	obj_t BGl_z62zc3anonymousza31830ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3537)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 103 */
			return BNIL;
		}
	}



/* &lambda1829 */
	obj_t BGl_z62lambda1829z62zz__evaluate_typesz00(obj_t BgL_envz00_3538,
		obj_t BgL_oz00_3539, obj_t BgL_vz00_3540)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 103 */
			return
				((((BgL_ev_letza2za2_bglt) CREF(
							((BgL_ev_letza2za2_bglt) BgL_oz00_3539)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3540), BUNSPEC);
		}
	}



/* &lambda1828 */
	obj_t BGl_z62lambda1828z62zz__evaluate_typesz00(obj_t BgL_envz00_3541,
		obj_t BgL_oz00_3542)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 103 */
			return
				(((BgL_ev_letza2za2_bglt) CREF(
						((BgL_ev_letza2za2_bglt) BgL_oz00_3542)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1796> */
	obj_t BGl_z62zc3anonymousza31796ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3543, obj_t BgL_new1143z00_3544)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{
				BgL_ev_letz00_bglt BgL_new1143z00_1763;

				{
					BgL_ev_letz00_bglt BgL_auxz00_4951;

					BgL_new1143z00_1763 = ((BgL_ev_letz00_bglt) BgL_new1143z00_3544);
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1143z00_1763)))->
							BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1143z00_1763)))->BgL_valsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4956;

						{	/* Eval/evaluate_types.scm 101 */
							obj_t BgL_classz00_2870;

							BgL_classz00_2870 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 101 */
								obj_t BgL__ortest_1278z00_2871;

								BgL__ortest_1278z00_2871 = BGL_CLASS_NIL(BgL_classz00_2870);
								if (CBOOL(BgL__ortest_1278z00_2871))
									{	/* Eval/evaluate_types.scm 101 */
										BgL_auxz00_4956 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2871);
									}
								else
									{	/* Eval/evaluate_types.scm 101 */
										BgL_auxz00_4956 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2870));
									}
							}
						}
						((((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_new1143z00_1763)))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4956), BUNSPEC);
					}
					((((BgL_ev_letz00_bglt) CREF(BgL_new1143z00_1763))->BgL_boxesz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_4951 = BgL_new1143z00_1763;
					return ((obj_t) BgL_auxz00_4951);
				}
			}
		}
	}



/* &lambda1794 */
	BgL_ev_letz00_bglt BGl_z62lambda1794z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3545)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_letz00_bglt BgL_new1142z00_3958;

				BgL_new1142z00_3958 =
					((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_letz00_bgl))));
				{	/* Eval/evaluate_types.scm 101 */
					long BgL_arg1795z00_3959;

					{	/* Eval/evaluate_types.scm 101 */
						long BgL_res2335z00_3960;

						BgL_res2335z00_3960 =
							BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00);
						BgL_arg1795z00_3959 = BgL_res2335z00_3960;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1142z00_3958), BgL_arg1795z00_3959);
				}
				return BgL_new1142z00_3958;
			}
		}
	}



/* &lambda1791 */
	BgL_ev_letz00_bglt BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3546, obj_t BgL_vars1138z00_3547, obj_t BgL_vals1139z00_3548,
		obj_t BgL_body1140z00_3549, obj_t BgL_boxes1141z00_3550)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_letz00_bglt BgL_new1232z00_3962;

				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_letz00_bglt BgL_new1231z00_3963;

					BgL_new1231z00_3963 =
						((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letz00_bgl))));
					{	/* Eval/evaluate_types.scm 101 */
						long BgL_arg1793z00_3964;

						{	/* Eval/evaluate_types.scm 101 */
							long BgL_res2334z00_3965;

							BgL_res2334z00_3965 =
								BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00);
							BgL_arg1793z00_3964 = BgL_res2334z00_3965;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1231z00_3963), BgL_arg1793z00_3964);
					}
					BgL_new1232z00_3962 = BgL_new1231z00_3963;
				}
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1232z00_3962)))->BgL_varsz00) =
					((obj_t) BgL_vars1138z00_3547), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1232z00_3962)))->BgL_valsz00) =
					((obj_t) BgL_vals1139z00_3548), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1232z00_3962)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1140z00_3549)),
					BUNSPEC);
				((((BgL_ev_letz00_bglt) CREF(BgL_new1232z00_3962))->BgL_boxesz00) =
					((obj_t) BgL_boxes1141z00_3550), BUNSPEC);
				return BgL_new1232z00_3962;
			}
		}
	}



/* &<anonymous:1803> */
	obj_t BGl_z62zc3anonymousza31803ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3551)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return BNIL;
		}
	}



/* &lambda1802 */
	obj_t BGl_z62lambda1802z62zz__evaluate_typesz00(obj_t BgL_envz00_3552,
		obj_t BgL_oz00_3553, obj_t BgL_vz00_3554)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				((((BgL_ev_letz00_bglt) CREF(
							((BgL_ev_letz00_bglt) BgL_oz00_3553)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3554), BUNSPEC);
		}
	}



/* &lambda1801 */
	obj_t BGl_z62lambda1801z62zz__evaluate_typesz00(obj_t BgL_envz00_3555,
		obj_t BgL_oz00_3556)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_letz00_bglt) CREF(
						((BgL_ev_letz00_bglt) BgL_oz00_3556)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1765> */
	obj_t BGl_z62zc3anonymousza31765ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3557, obj_t BgL_new1136z00_3558)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			{
				BgL_ev_binderz00_bglt BgL_new1136z00_1710;

				{
					BgL_ev_binderz00_bglt BgL_auxz00_4988;

					BgL_new1136z00_1710 = ((BgL_ev_binderz00_bglt) BgL_new1136z00_3558);
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1136z00_1710))->BgL_varsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1136z00_1710))->BgL_valsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4991;

						{	/* Eval/evaluate_types.scm 97 */
							obj_t BgL_classz00_2854;

							BgL_classz00_2854 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 97 */
								obj_t BgL__ortest_1278z00_2855;

								BgL__ortest_1278z00_2855 = BGL_CLASS_NIL(BgL_classz00_2854);
								if (CBOOL(BgL__ortest_1278z00_2855))
									{	/* Eval/evaluate_types.scm 97 */
										BgL_auxz00_4991 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2855);
									}
								else
									{	/* Eval/evaluate_types.scm 97 */
										BgL_auxz00_4991 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2854));
									}
							}
						}
						((((BgL_ev_binderz00_bglt) CREF(BgL_new1136z00_1710))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4991), BUNSPEC);
					}
					BgL_auxz00_4988 = BgL_new1136z00_1710;
					return ((obj_t) BgL_auxz00_4988);
				}
			}
		}
	}



/* &lambda1763 */
	BgL_ev_binderz00_bglt BGl_z62lambda1763z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3559)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_binderz00_bglt BgL_new1135z00_3971;

				BgL_new1135z00_3971 =
					((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_binderz00_bgl))));
				{	/* Eval/evaluate_types.scm 97 */
					long BgL_arg1764z00_3972;

					{	/* Eval/evaluate_types.scm 97 */
						long BgL_res2333z00_3973;

						BgL_res2333z00_3973 =
							BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00);
						BgL_arg1764z00_3972 = BgL_res2333z00_3973;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1135z00_3971), BgL_arg1764z00_3972);
				}
				return BgL_new1135z00_3971;
			}
		}
	}



/* &lambda1761 */
	BgL_ev_binderz00_bglt BGl_z62lambda1761z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3560, obj_t BgL_vars1132z00_3561, obj_t BgL_vals1133z00_3562,
		obj_t BgL_body1134z00_3563)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_binderz00_bglt BgL_new1230z00_3975;

				{	/* Eval/evaluate_types.scm 97 */
					BgL_ev_binderz00_bglt BgL_new1229z00_3976;

					BgL_new1229z00_3976 =
						((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_binderz00_bgl))));
					{	/* Eval/evaluate_types.scm 97 */
						long BgL_arg1762z00_3977;

						{	/* Eval/evaluate_types.scm 97 */
							long BgL_res2332z00_3978;

							BgL_res2332z00_3978 =
								BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00);
							BgL_arg1762z00_3977 = BgL_res2332z00_3978;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1229z00_3976), BgL_arg1762z00_3977);
					}
					BgL_new1230z00_3975 = BgL_new1229z00_3976;
				}
				((((BgL_ev_binderz00_bglt) CREF(BgL_new1230z00_3975))->BgL_varsz00) =
					((obj_t) BgL_vars1132z00_3561), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(BgL_new1230z00_3975))->BgL_valsz00) =
					((obj_t) BgL_vals1133z00_3562), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(BgL_new1230z00_3975))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1134z00_3563)),
					BUNSPEC);
				return BgL_new1230z00_3975;
			}
		}
	}



/* &lambda1785 */
	obj_t BGl_z62lambda1785z62zz__evaluate_typesz00(obj_t BgL_envz00_3564,
		obj_t BgL_oz00_3565, obj_t BgL_vz00_3566)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) CREF(
							((BgL_ev_binderz00_bglt) BgL_oz00_3565)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3566)), BUNSPEC);
		}
	}



/* &lambda1784 */
	BgL_ev_exprz00_bglt BGl_z62lambda1784z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3567, obj_t BgL_oz00_3568)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3568)))->BgL_bodyz00);
		}
	}



/* &lambda1780 */
	obj_t BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t BgL_envz00_3569,
		obj_t BgL_oz00_3570, obj_t BgL_vz00_3571)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) CREF(
							((BgL_ev_binderz00_bglt) BgL_oz00_3570)))->BgL_valsz00) =
				((obj_t) BgL_vz00_3571), BUNSPEC);
		}
	}



/* &lambda1779 */
	obj_t BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t BgL_envz00_3572,
		obj_t BgL_oz00_3573)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3573)))->BgL_valsz00);
		}
	}



/* &lambda1775 */
	obj_t BGl_z62lambda1775z62zz__evaluate_typesz00(obj_t BgL_envz00_3574,
		obj_t BgL_oz00_3575, obj_t BgL_vz00_3576)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) CREF(
							((BgL_ev_binderz00_bglt) BgL_oz00_3575)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3576), BUNSPEC);
		}
	}



/* &lambda1774 */
	obj_t BGl_z62lambda1774z62zz__evaluate_typesz00(obj_t BgL_envz00_3577,
		obj_t BgL_oz00_3578)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3578)))->BgL_varsz00);
		}
	}



/* &<anonymous:1733> */
	obj_t BGl_z62zc3anonymousza31733ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3579, obj_t BgL_new1130z00_3580)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_new1130z00_1648;

				{
					BgL_ev_synchroniza7eza7_bglt BgL_auxz00_5026;

					BgL_new1130z00_1648 =
						((BgL_ev_synchroniza7eza7_bglt) BgL_new1130z00_3580);
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1130z00_1648))->
							BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5028;

						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL_classz00_2832;

							BgL_classz00_2832 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 92 */
								obj_t BgL__ortest_1278z00_2833;

								BgL__ortest_1278z00_2833 = BGL_CLASS_NIL(BgL_classz00_2832);
								if (CBOOL(BgL__ortest_1278z00_2833))
									{	/* Eval/evaluate_types.scm 92 */
										BgL_auxz00_5028 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2833);
									}
								else
									{	/* Eval/evaluate_types.scm 92 */
										BgL_auxz00_5028 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2832));
									}
							}
						}
						((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1130z00_1648))->
								BgL_mutexz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5028), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5036;

						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL_classz00_2834;

							BgL_classz00_2834 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 92 */
								obj_t BgL__ortest_1278z00_2835;

								BgL__ortest_1278z00_2835 = BGL_CLASS_NIL(BgL_classz00_2834);
								if (CBOOL(BgL__ortest_1278z00_2835))
									{	/* Eval/evaluate_types.scm 92 */
										BgL_auxz00_5036 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2835);
									}
								else
									{	/* Eval/evaluate_types.scm 92 */
										BgL_auxz00_5036 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2834));
									}
							}
						}
						((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1130z00_1648))->
								BgL_prelockz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5036), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5044;

						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL_classz00_2836;

							BgL_classz00_2836 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 92 */
								obj_t BgL__ortest_1278z00_2837;

								BgL__ortest_1278z00_2837 = BGL_CLASS_NIL(BgL_classz00_2836);
								if (CBOOL(BgL__ortest_1278z00_2837))
									{	/* Eval/evaluate_types.scm 92 */
										BgL_auxz00_5044 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2837);
									}
								else
									{	/* Eval/evaluate_types.scm 92 */
										BgL_auxz00_5044 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2836));
									}
							}
						}
						((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1130z00_1648))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5044), BUNSPEC);
					}
					BgL_auxz00_5026 = BgL_new1130z00_1648;
					return ((obj_t) BgL_auxz00_5026);
				}
			}
		}
	}



/* &lambda1730 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1730z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3581)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_new1127z00_3993;

				BgL_new1127z00_3993 =
					((BgL_ev_synchroniza7eza7_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_synchroniza7eza7_bgl))));
				{	/* Eval/evaluate_types.scm 92 */
					long BgL_arg1732z00_3994;

					{	/* Eval/evaluate_types.scm 92 */
						long BgL_res2331z00_3995;

						BgL_res2331z00_3995 =
							BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
						BgL_arg1732z00_3994 = BgL_res2331z00_3995;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1127z00_3993), BgL_arg1732z00_3994);
				}
				return BgL_new1127z00_3993;
			}
		}
	}



/* &lambda1727 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3582, obj_t BgL_loc1123z00_3583, obj_t BgL_mutex1124z00_3584,
		obj_t BgL_prelock1125z00_3585, obj_t BgL_body1126z00_3586)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_new1228z00_3999;

				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_synchroniza7eza7_bglt BgL_new1227z00_4000;

					BgL_new1227z00_4000 =
						((BgL_ev_synchroniza7eza7_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_synchroniza7eza7_bgl))));
					{	/* Eval/evaluate_types.scm 92 */
						long BgL_arg1729z00_4001;

						{	/* Eval/evaluate_types.scm 92 */
							long BgL_res2330z00_4002;

							BgL_res2330z00_4002 =
								BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
							BgL_arg1729z00_4001 = BgL_res2330z00_4002;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1227z00_4000), BgL_arg1729z00_4001);
					}
					BgL_new1228z00_3999 = BgL_new1227z00_4000;
				}
				((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1228z00_3999))->
						BgL_locz00) = ((obj_t) BgL_loc1123z00_3583), BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1228z00_3999))->
						BgL_mutexz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_mutex1124z00_3584)),
					BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1228z00_3999))->
						BgL_prelockz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BgL_prelock1125z00_3585)), BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1228z00_3999))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1126z00_3586)),
					BUNSPEC);
				return BgL_new1228z00_3999;
			}
		}
	}



/* &lambda1754 */
	obj_t BGl_z62lambda1754z62zz__evaluate_typesz00(obj_t BgL_envz00_3587,
		obj_t BgL_oz00_3588, obj_t BgL_vz00_3589)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) CREF(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3588)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3589)), BUNSPEC);
		}
	}



/* &lambda1753 */
	BgL_ev_exprz00_bglt BGl_z62lambda1753z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3590, obj_t BgL_oz00_3591)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) CREF(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3591)))->BgL_bodyz00);
		}
	}



/* &lambda1749 */
	obj_t BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t BgL_envz00_3592,
		obj_t BgL_oz00_3593, obj_t BgL_vz00_3594)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) CREF(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3593)))->
					BgL_prelockz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3594)), BUNSPEC);
		}
	}



/* &lambda1748 */
	BgL_ev_exprz00_bglt BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3595, obj_t BgL_oz00_3596)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) CREF(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3596)))->BgL_prelockz00);
		}
	}



/* &lambda1743 */
	obj_t BGl_z62lambda1743z62zz__evaluate_typesz00(obj_t BgL_envz00_3597,
		obj_t BgL_oz00_3598, obj_t BgL_vz00_3599)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) CREF(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3598)))->BgL_mutexz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3599)), BUNSPEC);
		}
	}



/* &lambda1742 */
	BgL_ev_exprz00_bglt BGl_z62lambda1742z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3600, obj_t BgL_oz00_3601)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) CREF(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3601)))->BgL_mutexz00);
		}
	}



/* &lambda1738 */
	obj_t BGl_z62lambda1738z62zz__evaluate_typesz00(obj_t BgL_envz00_3602,
		obj_t BgL_oz00_3603, obj_t BgL_vz00_3604)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) CREF(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3603)))->BgL_locz00) =
				((obj_t) BgL_vz00_3604), BUNSPEC);
		}
	}



/* &lambda1737 */
	obj_t BGl_z62lambda1737z62zz__evaluate_typesz00(obj_t BgL_envz00_3605,
		obj_t BgL_oz00_3606)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) CREF(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3606)))->BgL_locz00);
		}
	}



/* &<anonymous:1711> */
	obj_t BGl_z62zc3anonymousza31711ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3607, obj_t BgL_new1121z00_3608)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_new1121z00_1605;

				{
					BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_5088;

					BgL_new1121z00_1605 =
						((BgL_ev_withzd2handlerzd2_bglt) BgL_new1121z00_3608);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5089;

						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL_classz00_2811;

							BgL_classz00_2811 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 89 */
								obj_t BgL__ortest_1278z00_2812;

								BgL__ortest_1278z00_2812 = BGL_CLASS_NIL(BgL_classz00_2811);
								if (CBOOL(BgL__ortest_1278z00_2812))
									{	/* Eval/evaluate_types.scm 89 */
										BgL_auxz00_5089 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2812);
									}
								else
									{	/* Eval/evaluate_types.scm 89 */
										BgL_auxz00_5089 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2811));
									}
							}
						}
						((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1121z00_1605))->
								BgL_handlerz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5089), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5097;

						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL_classz00_2813;

							BgL_classz00_2813 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 89 */
								obj_t BgL__ortest_1278z00_2814;

								BgL__ortest_1278z00_2814 = BGL_CLASS_NIL(BgL_classz00_2813);
								if (CBOOL(BgL__ortest_1278z00_2814))
									{	/* Eval/evaluate_types.scm 89 */
										BgL_auxz00_5097 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2814);
									}
								else
									{	/* Eval/evaluate_types.scm 89 */
										BgL_auxz00_5097 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2813));
									}
							}
						}
						((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1121z00_1605))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5097), BUNSPEC);
					}
					BgL_auxz00_5088 = BgL_new1121z00_1605;
					return ((obj_t) BgL_auxz00_5088);
				}
			}
		}
	}



/* &lambda1709 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1709z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3609)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_new1120z00_4019;

				BgL_new1120z00_4019 =
					((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_withzd2handlerzd2_bgl))));
				{	/* Eval/evaluate_types.scm 89 */
					long BgL_arg1710z00_4020;

					{	/* Eval/evaluate_types.scm 89 */
						long BgL_res2329z00_4021;

						BgL_res2329z00_4021 =
							BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
						BgL_arg1710z00_4020 = BgL_res2329z00_4021;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1120z00_4019), BgL_arg1710z00_4020);
				}
				return BgL_new1120z00_4019;
			}
		}
	}



/* &lambda1707 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1707z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3610, obj_t BgL_handler1118z00_3611, obj_t BgL_body1119z00_3612)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_new1226z00_4024;

				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1225z00_4025;

					BgL_new1225z00_4025 =
						((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_withzd2handlerzd2_bgl))));
					{	/* Eval/evaluate_types.scm 89 */
						long BgL_arg1708z00_4026;

						{	/* Eval/evaluate_types.scm 89 */
							long BgL_res2328z00_4027;

							BgL_res2328z00_4027 =
								BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
							BgL_arg1708z00_4026 = BgL_res2328z00_4027;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1225z00_4025), BgL_arg1708z00_4026);
					}
					BgL_new1226z00_4024 = BgL_new1225z00_4025;
				}
				((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1226z00_4024))->
						BgL_handlerz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BgL_handler1118z00_3611)), BUNSPEC);
				((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1226z00_4024))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1119z00_3612)),
					BUNSPEC);
				return BgL_new1226z00_4024;
			}
		}
	}



/* &lambda1721 */
	obj_t BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t BgL_envz00_3613,
		obj_t BgL_oz00_3614, obj_t BgL_vz00_3615)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			return
				((((BgL_ev_withzd2handlerzd2_bglt) CREF(
							((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3614)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3615)), BUNSPEC);
		}
	}



/* &lambda1720 */
	BgL_ev_exprz00_bglt BGl_z62lambda1720z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3616, obj_t BgL_oz00_3617)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) CREF(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3617)))->BgL_bodyz00);
		}
	}



/* &lambda1716 */
	obj_t BGl_z62lambda1716z62zz__evaluate_typesz00(obj_t BgL_envz00_3618,
		obj_t BgL_oz00_3619, obj_t BgL_vz00_3620)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			return
				((((BgL_ev_withzd2handlerzd2_bglt) CREF(
							((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3619)))->
					BgL_handlerz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3620)), BUNSPEC);
		}
	}



/* &lambda1715 */
	BgL_ev_exprz00_bglt BGl_z62lambda1715z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3621, obj_t BgL_oz00_3622)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) CREF(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3622)))->BgL_handlerz00);
		}
	}



/* &<anonymous:1690> */
	obj_t BGl_z62zc3anonymousza31690ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3623, obj_t BgL_new1116z00_3624)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1116z00_1564;

				{
					BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5129;

					BgL_new1116z00_1564 =
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1116z00_3624);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5130;

						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL_classz00_2792;

							BgL_classz00_2792 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 86 */
								obj_t BgL__ortest_1278z00_2793;

								BgL__ortest_1278z00_2793 = BGL_CLASS_NIL(BgL_classz00_2792);
								if (CBOOL(BgL__ortest_1278z00_2793))
									{	/* Eval/evaluate_types.scm 86 */
										BgL_auxz00_5130 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2793);
									}
								else
									{	/* Eval/evaluate_types.scm 86 */
										BgL_auxz00_5130 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2792));
									}
							}
						}
						((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1116z00_1564))->
								BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5130), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5138;

						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL_classz00_2794;

							BgL_classz00_2794 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 86 */
								obj_t BgL__ortest_1278z00_2795;

								BgL__ortest_1278z00_2795 = BGL_CLASS_NIL(BgL_classz00_2794);
								if (CBOOL(BgL__ortest_1278z00_2795))
									{	/* Eval/evaluate_types.scm 86 */
										BgL_auxz00_5138 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2795);
									}
								else
									{	/* Eval/evaluate_types.scm 86 */
										BgL_auxz00_5138 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2794));
									}
							}
						}
						((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1116z00_1564))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5138), BUNSPEC);
					}
					BgL_auxz00_5129 = BgL_new1116z00_1564;
					return ((obj_t) BgL_auxz00_5129);
				}
			}
		}
	}



/* &lambda1688 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t BgL_envz00_3625)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1115z00_4039;

				BgL_new1115z00_4039 =
					((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_unwindzd2protectzd2_bgl))));
				{	/* Eval/evaluate_types.scm 86 */
					long BgL_arg1689z00_4040;

					{	/* Eval/evaluate_types.scm 86 */
						long BgL_res2327z00_4041;

						BgL_res2327z00_4041 =
							BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
						BgL_arg1689z00_4040 = BgL_res2327z00_4041;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1115z00_4039), BgL_arg1689z00_4040);
				}
				return BgL_new1115z00_4039;
			}
		}
	}



/* &lambda1686 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t BgL_envz00_3626,
		obj_t BgL_e1113z00_3627, obj_t BgL_body1114z00_3628)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1224z00_4044;

				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1223z00_4045;

					BgL_new1223z00_4045 =
						((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_unwindzd2protectzd2_bgl))));
					{	/* Eval/evaluate_types.scm 86 */
						long BgL_arg1687z00_4046;

						{	/* Eval/evaluate_types.scm 86 */
							long BgL_res2326z00_4047;

							BgL_res2326z00_4047 =
								BGL_CLASS_INDEX
								(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
							BgL_arg1687z00_4046 = BgL_res2326z00_4047;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1223z00_4045), BgL_arg1687z00_4046);
					}
					BgL_new1224z00_4044 = BgL_new1223z00_4045;
				}
				((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1224z00_4044))->
						BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1113z00_3627)),
					BUNSPEC);
				((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1224z00_4044))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1114z00_3628)),
					BUNSPEC);
				return BgL_new1224z00_4044;
			}
		}
	}



/* &lambda1701 */
	obj_t BGl_z62lambda1701z62zz__evaluate_typesz00(obj_t BgL_envz00_3629,
		obj_t BgL_oz00_3630, obj_t BgL_vz00_3631)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			return
				((((BgL_ev_unwindzd2protectzd2_bglt) CREF(
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3630)))->
					BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3631)), BUNSPEC);
		}
	}



/* &lambda1700 */
	BgL_ev_exprz00_bglt BGl_z62lambda1700z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3632, obj_t BgL_oz00_3633)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3633)))->BgL_bodyz00);
		}
	}



/* &lambda1695 */
	obj_t BGl_z62lambda1695z62zz__evaluate_typesz00(obj_t BgL_envz00_3634,
		obj_t BgL_oz00_3635, obj_t BgL_vz00_3636)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			return
				((((BgL_ev_unwindzd2protectzd2_bglt) CREF(
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3635)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3636)), BUNSPEC);
		}
	}



/* &lambda1694 */
	BgL_ev_exprz00_bglt BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3637, obj_t BgL_oz00_3638)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3638)))->BgL_ez00);
		}
	}



/* &<anonymous:1669> */
	obj_t BGl_z62zc3anonymousza31669ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3639, obj_t BgL_new1111z00_3640)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_new1111z00_1523;

				{
					BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5170;

					BgL_new1111z00_1523 =
						((BgL_ev_bindzd2exitzd2_bglt) BgL_new1111z00_3640);
					{
						BgL_ev_varz00_bglt BgL_auxz00_5171;

						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL_classz00_2773;

							BgL_classz00_2773 = BGl_ev_varz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 83 */
								obj_t BgL__ortest_1278z00_2774;

								BgL__ortest_1278z00_2774 = BGL_CLASS_NIL(BgL_classz00_2773);
								if (CBOOL(BgL__ortest_1278z00_2774))
									{	/* Eval/evaluate_types.scm 83 */
										BgL_auxz00_5171 =
											((BgL_ev_varz00_bglt) BgL__ortest_1278z00_2774);
									}
								else
									{	/* Eval/evaluate_types.scm 83 */
										BgL_auxz00_5171 =
											((BgL_ev_varz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2773));
									}
							}
						}
						((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1111z00_1523))->
								BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_auxz00_5171), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5179;

						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL_classz00_2775;

							BgL_classz00_2775 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 83 */
								obj_t BgL__ortest_1278z00_2776;

								BgL__ortest_1278z00_2776 = BGL_CLASS_NIL(BgL_classz00_2775);
								if (CBOOL(BgL__ortest_1278z00_2776))
									{	/* Eval/evaluate_types.scm 83 */
										BgL_auxz00_5179 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2776);
									}
								else
									{	/* Eval/evaluate_types.scm 83 */
										BgL_auxz00_5179 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2775));
									}
							}
						}
						((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1111z00_1523))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5179), BUNSPEC);
					}
					BgL_auxz00_5170 = BgL_new1111z00_1523;
					return ((obj_t) BgL_auxz00_5170);
				}
			}
		}
	}



/* &lambda1667 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1667z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3641)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_new1110z00_4059;

				BgL_new1110z00_4059 =
					((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_bindzd2exitzd2_bgl))));
				{	/* Eval/evaluate_types.scm 83 */
					long BgL_arg1668z00_4060;

					{	/* Eval/evaluate_types.scm 83 */
						long BgL_res2325z00_4061;

						BgL_res2325z00_4061 =
							BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
						BgL_arg1668z00_4060 = BgL_res2325z00_4061;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1110z00_4059), BgL_arg1668z00_4060);
				}
				return BgL_new1110z00_4059;
			}
		}
	}



/* &lambda1665 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1665z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3642, obj_t BgL_var1108z00_3643, obj_t BgL_body1109z00_3644)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_new1222z00_4064;

				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1221z00_4065;

					BgL_new1221z00_4065 =
						((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_bindzd2exitzd2_bgl))));
					{	/* Eval/evaluate_types.scm 83 */
						long BgL_arg1666z00_4066;

						{	/* Eval/evaluate_types.scm 83 */
							long BgL_res2324z00_4067;

							BgL_res2324z00_4067 =
								BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
							BgL_arg1666z00_4066 = BgL_res2324z00_4067;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1221z00_4065), BgL_arg1666z00_4066);
					}
					BgL_new1222z00_4064 = BgL_new1221z00_4065;
				}
				((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1222z00_4064))->
						BgL_varz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_var1108z00_3643)),
					BUNSPEC);
				((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1222z00_4064))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1109z00_3644)),
					BUNSPEC);
				return BgL_new1222z00_4064;
			}
		}
	}



/* &lambda1680 */
	obj_t BGl_z62lambda1680z62zz__evaluate_typesz00(obj_t BgL_envz00_3645,
		obj_t BgL_oz00_3646, obj_t BgL_vz00_3647)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			return
				((((BgL_ev_bindzd2exitzd2_bglt) CREF(
							((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3646)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3647)), BUNSPEC);
		}
	}



/* &lambda1679 */
	BgL_ev_exprz00_bglt BGl_z62lambda1679z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3648, obj_t BgL_oz00_3649)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) CREF(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3649)))->BgL_bodyz00);
		}
	}



/* &lambda1675 */
	obj_t BGl_z62lambda1675z62zz__evaluate_typesz00(obj_t BgL_envz00_3650,
		obj_t BgL_oz00_3651, obj_t BgL_vz00_3652)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			return
				((((BgL_ev_bindzd2exitzd2_bglt) CREF(
							((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3651)))->BgL_varz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3652)), BUNSPEC);
		}
	}



/* &lambda1674 */
	BgL_ev_varz00_bglt BGl_z62lambda1674z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3653, obj_t BgL_oz00_3654)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) CREF(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3654)))->BgL_varz00);
		}
	}



/* &<anonymous:1659> */
	obj_t BGl_z62zc3anonymousza31659ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3655, obj_t BgL_new1106z00_3656)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_defglobalz00_bglt BgL_new1106z00_1502;

				{
					BgL_ev_defglobalz00_bglt BgL_auxz00_5211;

					BgL_new1106z00_1502 =
						((BgL_ev_defglobalz00_bglt) BgL_new1106z00_3656);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5212;

						{	/* Eval/evaluate_types.scm 82 */
							obj_t BgL_classz00_2756;

							BgL_classz00_2756 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 82 */
								obj_t BgL__ortest_1278z00_2757;

								BgL__ortest_1278z00_2757 = BGL_CLASS_NIL(BgL_classz00_2756);
								if (CBOOL(BgL__ortest_1278z00_2757))
									{	/* Eval/evaluate_types.scm 82 */
										BgL_auxz00_5212 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2757);
									}
								else
									{	/* Eval/evaluate_types.scm 82 */
										BgL_auxz00_5212 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2756));
									}
							}
						}
						((((BgL_ev_hookz00_bglt) CREF(
										((BgL_ev_hookz00_bglt) BgL_new1106z00_1502)))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5212), BUNSPEC);
					}
					((((BgL_ev_setglobalz00_bglt) CREF(
									((BgL_ev_setglobalz00_bglt) BgL_new1106z00_1502)))->
							BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1106z00_1502)))->BgL_namez00) =
						((obj_t) BGl_symbol2713z00zz__evaluate_typesz00), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1106z00_1502)))->BgL_modz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5211 = BgL_new1106z00_1502;
					return ((obj_t) BgL_auxz00_5211);
				}
			}
		}
	}



/* &lambda1657 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1657z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3657)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{	/* Eval/evaluate_types.scm 82 */
				BgL_ev_defglobalz00_bglt BgL_new1105z00_4077;

				BgL_new1105z00_4077 =
					((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_defglobalz00_bgl))));
				{	/* Eval/evaluate_types.scm 82 */
					long BgL_arg1658z00_4078;

					{	/* Eval/evaluate_types.scm 82 */
						long BgL_res2323z00_4079;

						BgL_res2323z00_4079 =
							BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00);
						BgL_arg1658z00_4078 = BgL_res2323z00_4079;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1105z00_4077), BgL_arg1658z00_4078);
				}
				return BgL_new1105z00_4077;
			}
		}
	}



/* &lambda1655 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1655z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3658, obj_t BgL_e1101z00_3659, obj_t BgL_loc1102z00_3660,
		obj_t BgL_name1103z00_3661, obj_t BgL_mod1104z00_3662)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{	/* Eval/evaluate_types.scm 82 */
				BgL_ev_defglobalz00_bglt BgL_new1220z00_4082;

				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_new1219z00_4083;

					BgL_new1219z00_4083 =
						((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_defglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 82 */
						long BgL_arg1656z00_4084;

						{	/* Eval/evaluate_types.scm 82 */
							long BgL_res2322z00_4085;

							BgL_res2322z00_4085 =
								BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00);
							BgL_arg1656z00_4084 = BgL_res2322z00_4085;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1219z00_4083), BgL_arg1656z00_4084);
					}
					BgL_new1220z00_4082 = BgL_new1219z00_4083;
				}
				((((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_new1220z00_4082)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1101z00_3659)),
					BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
									BgL_new1220z00_4082)))->BgL_locz00) =
					((obj_t) BgL_loc1102z00_3660), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
									BgL_new1220z00_4082)))->BgL_namez00) =
					((obj_t) BgL_name1103z00_3661), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
									BgL_new1220z00_4082)))->BgL_modz00) =
					((obj_t) BgL_mod1104z00_3662), BUNSPEC);
				return BgL_new1220z00_4082;
			}
		}
	}



/* &<anonymous:1631> */
	obj_t BGl_z62zc3anonymousza31631ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3663, obj_t BgL_new1099z00_3664)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_setglobalz00_bglt BgL_new1099z00_1449;

				{
					BgL_ev_setglobalz00_bglt BgL_auxz00_5246;

					BgL_new1099z00_1449 =
						((BgL_ev_setglobalz00_bglt) BgL_new1099z00_3664);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5247;

						{	/* Eval/evaluate_types.scm 78 */
							obj_t BgL_classz00_2741;

							BgL_classz00_2741 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 78 */
								obj_t BgL__ortest_1278z00_2742;

								BgL__ortest_1278z00_2742 = BGL_CLASS_NIL(BgL_classz00_2741);
								if (CBOOL(BgL__ortest_1278z00_2742))
									{	/* Eval/evaluate_types.scm 78 */
										BgL_auxz00_5247 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2742);
									}
								else
									{	/* Eval/evaluate_types.scm 78 */
										BgL_auxz00_5247 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2741));
									}
							}
						}
						((((BgL_ev_hookz00_bglt) CREF(
										((BgL_ev_hookz00_bglt) BgL_new1099z00_1449)))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5247), BUNSPEC);
					}
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1099z00_1449))->
							BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1099z00_1449))->
							BgL_namez00) =
						((obj_t) BGl_symbol2713z00zz__evaluate_typesz00), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1099z00_1449))->
							BgL_modz00) = ((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5246 = BgL_new1099z00_1449;
					return ((obj_t) BgL_auxz00_5246);
				}
			}
		}
	}



/* &lambda1627 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1627z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3665)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_new1098z00_4089;

				BgL_new1098z00_4089 =
					((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_setglobalz00_bgl))));
				{	/* Eval/evaluate_types.scm 78 */
					long BgL_arg1630z00_4090;

					{	/* Eval/evaluate_types.scm 78 */
						long BgL_res2321z00_4091;

						BgL_res2321z00_4091 =
							BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00);
						BgL_arg1630z00_4090 = BgL_res2321z00_4091;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1098z00_4089), BgL_arg1630z00_4090);
				}
				return BgL_new1098z00_4089;
			}
		}
	}



/* &lambda1623 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1623z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3666, obj_t BgL_e1094z00_3667, obj_t BgL_loc1095z00_3668,
		obj_t BgL_name1096z00_3669, obj_t BgL_mod1097z00_3670)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_new1218z00_4094;

				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_new1217z00_4095;

					BgL_new1217z00_4095 =
						((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_setglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 78 */
						long BgL_arg1626z00_4096;

						{	/* Eval/evaluate_types.scm 78 */
							long BgL_res2320z00_4097;

							BgL_res2320z00_4097 =
								BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00);
							BgL_arg1626z00_4096 = BgL_res2320z00_4097;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1217z00_4095), BgL_arg1626z00_4096);
					}
					BgL_new1218z00_4094 = BgL_new1217z00_4095;
				}
				((((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_new1218z00_4094)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1094z00_3667)),
					BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1218z00_4094))->BgL_locz00) =
					((obj_t) BgL_loc1095z00_3668), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1218z00_4094))->BgL_namez00) =
					((obj_t) BgL_name1096z00_3669), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1218z00_4094))->BgL_modz00) =
					((obj_t) BgL_mod1097z00_3670), BUNSPEC);
				return BgL_new1218z00_4094;
			}
		}
	}



/* &lambda1648 */
	obj_t BGl_z62lambda1648z62zz__evaluate_typesz00(obj_t BgL_envz00_3671,
		obj_t BgL_oz00_3672, obj_t BgL_vz00_3673)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) CREF(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3672)))->BgL_modz00) =
				((obj_t) BgL_vz00_3673), BUNSPEC);
		}
	}



/* &lambda1647 */
	obj_t BGl_z62lambda1647z62zz__evaluate_typesz00(obj_t BgL_envz00_3674,
		obj_t BgL_oz00_3675)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3675)))->BgL_modz00);
		}
	}



/* &lambda1643 */
	obj_t BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t BgL_envz00_3676,
		obj_t BgL_oz00_3677, obj_t BgL_vz00_3678)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) CREF(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3677)))->BgL_namez00) =
				((obj_t) BgL_vz00_3678), BUNSPEC);
		}
	}



/* &lambda1642 */
	obj_t BGl_z62lambda1642z62zz__evaluate_typesz00(obj_t BgL_envz00_3679,
		obj_t BgL_oz00_3680)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3680)))->BgL_namez00);
		}
	}



/* &lambda1638 */
	obj_t BGl_z62lambda1638z62zz__evaluate_typesz00(obj_t BgL_envz00_3681,
		obj_t BgL_oz00_3682, obj_t BgL_vz00_3683)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) CREF(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3682)))->BgL_locz00) =
				((obj_t) BgL_vz00_3683), BUNSPEC);
		}
	}



/* &lambda1637 */
	obj_t BGl_z62lambda1637z62zz__evaluate_typesz00(obj_t BgL_envz00_3684,
		obj_t BgL_oz00_3685)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3685)))->BgL_locz00);
		}
	}



/* &<anonymous:1599> */
	obj_t BGl_z62zc3anonymousza31599ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3686, obj_t BgL_new1092z00_3687)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_new1092z00_1416;

				{
					BgL_ev_setlocalz00_bglt BgL_auxz00_5287;

					BgL_new1092z00_1416 = ((BgL_ev_setlocalz00_bglt) BgL_new1092z00_3687);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5288;

						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL_classz00_2721;

							BgL_classz00_2721 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 76 */
								obj_t BgL__ortest_1278z00_2722;

								BgL__ortest_1278z00_2722 = BGL_CLASS_NIL(BgL_classz00_2721);
								if (CBOOL(BgL__ortest_1278z00_2722))
									{	/* Eval/evaluate_types.scm 76 */
										BgL_auxz00_5288 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2722);
									}
								else
									{	/* Eval/evaluate_types.scm 76 */
										BgL_auxz00_5288 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2721));
									}
							}
						}
						((((BgL_ev_hookz00_bglt) CREF(
										((BgL_ev_hookz00_bglt) BgL_new1092z00_1416)))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5288), BUNSPEC);
					}
					{
						BgL_ev_varz00_bglt BgL_auxz00_5297;

						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL_classz00_2723;

							BgL_classz00_2723 = BGl_ev_varz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 76 */
								obj_t BgL__ortest_1278z00_2724;

								BgL__ortest_1278z00_2724 = BGL_CLASS_NIL(BgL_classz00_2723);
								if (CBOOL(BgL__ortest_1278z00_2724))
									{	/* Eval/evaluate_types.scm 76 */
										BgL_auxz00_5297 =
											((BgL_ev_varz00_bglt) BgL__ortest_1278z00_2724);
									}
								else
									{	/* Eval/evaluate_types.scm 76 */
										BgL_auxz00_5297 =
											((BgL_ev_varz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2723));
									}
							}
						}
						((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1092z00_1416))->BgL_vz00) =
							((BgL_ev_varz00_bglt) BgL_auxz00_5297), BUNSPEC);
					}
					BgL_auxz00_5287 = BgL_new1092z00_1416;
					return ((obj_t) BgL_auxz00_5287);
				}
			}
		}
	}



/* &lambda1596 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1596z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3688)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_new1091z00_4110;

				BgL_new1091z00_4110 =
					((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_setlocalz00_bgl))));
				{	/* Eval/evaluate_types.scm 76 */
					long BgL_arg1598z00_4111;

					{	/* Eval/evaluate_types.scm 76 */
						long BgL_res2319z00_4112;

						BgL_res2319z00_4112 =
							BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00);
						BgL_arg1598z00_4111 = BgL_res2319z00_4112;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1091z00_4110), BgL_arg1598z00_4111);
				}
				return BgL_new1091z00_4110;
			}
		}
	}



/* &lambda1594 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1594z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3689, obj_t BgL_e1089z00_3690, obj_t BgL_v1090z00_3691)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_new1216z00_4115;

				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_new1215z00_4116;

					BgL_new1215z00_4116 =
						((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_setlocalz00_bgl))));
					{	/* Eval/evaluate_types.scm 76 */
						long BgL_arg1595z00_4117;

						{	/* Eval/evaluate_types.scm 76 */
							long BgL_res2318z00_4118;

							BgL_res2318z00_4118 =
								BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00);
							BgL_arg1595z00_4117 = BgL_res2318z00_4118;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1215z00_4116), BgL_arg1595z00_4117);
					}
					BgL_new1216z00_4115 = BgL_new1215z00_4116;
				}
				((((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_new1216z00_4115)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1089z00_3690)),
					BUNSPEC);
				((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1216z00_4115))->BgL_vz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_v1090z00_3691)),
					BUNSPEC);
				return BgL_new1216z00_4115;
			}
		}
	}



/* &lambda1606 */
	obj_t BGl_z62lambda1606z62zz__evaluate_typesz00(obj_t BgL_envz00_3692,
		obj_t BgL_oz00_3693, obj_t BgL_vz00_3694)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			return
				((((BgL_ev_setlocalz00_bglt) CREF(
							((BgL_ev_setlocalz00_bglt) BgL_oz00_3693)))->BgL_vz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3694)), BUNSPEC);
		}
	}



/* &lambda1605 */
	BgL_ev_varz00_bglt BGl_z62lambda1605z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3695, obj_t BgL_oz00_3696)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			return
				(((BgL_ev_setlocalz00_bglt) CREF(
						((BgL_ev_setlocalz00_bglt) BgL_oz00_3696)))->BgL_vz00);
		}
	}



/* &<anonymous:1587> */
	obj_t BGl_z62zc3anonymousza31587ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3697, obj_t BgL_new1087z00_3698)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_trapz00_bglt BgL_new1087z00_1395;

				{
					BgL_ev_trapz00_bglt BgL_auxz00_5325;

					BgL_new1087z00_1395 = ((BgL_ev_trapz00_bglt) BgL_new1087z00_3698);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5326;

						{	/* Eval/evaluate_types.scm 75 */
							obj_t BgL_classz00_2705;

							BgL_classz00_2705 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 75 */
								obj_t BgL__ortest_1278z00_2706;

								BgL__ortest_1278z00_2706 = BGL_CLASS_NIL(BgL_classz00_2705);
								if (CBOOL(BgL__ortest_1278z00_2706))
									{	/* Eval/evaluate_types.scm 75 */
										BgL_auxz00_5326 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2706);
									}
								else
									{	/* Eval/evaluate_types.scm 75 */
										BgL_auxz00_5326 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2705));
									}
							}
						}
						((((BgL_ev_hookz00_bglt) CREF(
										((BgL_ev_hookz00_bglt) BgL_new1087z00_1395)))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5326), BUNSPEC);
					}
					BgL_auxz00_5325 = BgL_new1087z00_1395;
					return ((obj_t) BgL_auxz00_5325);
				}
			}
		}
	}



/* &lambda1585 */
	BgL_ev_trapz00_bglt BGl_z62lambda1585z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3699)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{	/* Eval/evaluate_types.scm 75 */
				BgL_ev_trapz00_bglt BgL_new1086z00_4125;

				BgL_new1086z00_4125 =
					((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_trapz00_bgl))));
				{	/* Eval/evaluate_types.scm 75 */
					long BgL_arg1586z00_4126;

					{	/* Eval/evaluate_types.scm 75 */
						long BgL_res2317z00_4127;

						BgL_res2317z00_4127 =
							BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00);
						BgL_arg1586z00_4126 = BgL_res2317z00_4127;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1086z00_4125), BgL_arg1586z00_4126);
				}
				return BgL_new1086z00_4125;
			}
		}
	}



/* &lambda1583 */
	BgL_ev_trapz00_bglt BGl_z62lambda1583z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3700, obj_t BgL_e1085z00_3701)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{	/* Eval/evaluate_types.scm 75 */
				BgL_ev_trapz00_bglt BgL_new1214z00_4129;

				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_new1213z00_4130;

					BgL_new1213z00_4130 =
						((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_trapz00_bgl))));
					{	/* Eval/evaluate_types.scm 75 */
						long BgL_arg1584z00_4131;

						{	/* Eval/evaluate_types.scm 75 */
							long BgL_res2316z00_4132;

							BgL_res2316z00_4132 =
								BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00);
							BgL_arg1584z00_4131 = BgL_res2316z00_4132;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1213z00_4130), BgL_arg1584z00_4131);
					}
					BgL_new1214z00_4129 = BgL_new1213z00_4130;
				}
				((((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_new1214z00_4129)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1085z00_3701)),
					BUNSPEC);
				return BgL_new1214z00_4129;
			}
		}
	}



/* &<anonymous:1571> */
	obj_t BGl_z62zc3anonymousza31571ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3702, obj_t BgL_new1083z00_3703)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_hookz00_bglt BgL_new1083z00_1365;

				{
					BgL_ev_hookz00_bglt BgL_auxz00_5348;

					BgL_new1083z00_1365 = ((BgL_ev_hookz00_bglt) BgL_new1083z00_3703);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5349;

						{	/* Eval/evaluate_types.scm 73 */
							obj_t BgL_classz00_2690;

							BgL_classz00_2690 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 73 */
								obj_t BgL__ortest_1278z00_2691;

								BgL__ortest_1278z00_2691 = BGL_CLASS_NIL(BgL_classz00_2690);
								if (CBOOL(BgL__ortest_1278z00_2691))
									{	/* Eval/evaluate_types.scm 73 */
										BgL_auxz00_5349 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2691);
									}
								else
									{	/* Eval/evaluate_types.scm 73 */
										BgL_auxz00_5349 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2690));
									}
							}
						}
						((((BgL_ev_hookz00_bglt) CREF(BgL_new1083z00_1365))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5349), BUNSPEC);
					}
					BgL_auxz00_5348 = BgL_new1083z00_1365;
					return ((obj_t) BgL_auxz00_5348);
				}
			}
		}
	}



/* &lambda1569 */
	BgL_ev_hookz00_bglt BGl_z62lambda1569z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3704)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_new1082z00_4136;

				BgL_new1082z00_4136 =
					((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_hookz00_bgl))));
				{	/* Eval/evaluate_types.scm 73 */
					long BgL_arg1570z00_4137;

					{	/* Eval/evaluate_types.scm 73 */
						long BgL_res2315z00_4138;

						BgL_res2315z00_4138 =
							BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00);
						BgL_arg1570z00_4137 = BgL_res2315z00_4138;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1082z00_4136), BgL_arg1570z00_4137);
				}
				return BgL_new1082z00_4136;
			}
		}
	}



/* &lambda1566 */
	BgL_ev_hookz00_bglt BGl_z62lambda1566z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3705, obj_t BgL_e1081z00_3706)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_new1212z00_4140;

				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_new1211z00_4141;

					BgL_new1211z00_4141 =
						((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_hookz00_bgl))));
					{	/* Eval/evaluate_types.scm 73 */
						long BgL_arg1568z00_4142;

						{	/* Eval/evaluate_types.scm 73 */
							long BgL_res2314z00_4143;

							BgL_res2314z00_4143 =
								BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00);
							BgL_arg1568z00_4142 = BgL_res2314z00_4143;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1211z00_4141), BgL_arg1568z00_4142);
					}
					BgL_new1212z00_4140 = BgL_new1211z00_4141;
				}
				((((BgL_ev_hookz00_bglt) CREF(BgL_new1212z00_4140))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1081z00_3706)),
					BUNSPEC);
				return BgL_new1212z00_4140;
			}
		}
	}



/* &lambda1577 */
	obj_t BGl_z62lambda1577z62zz__evaluate_typesz00(obj_t BgL_envz00_3707,
		obj_t BgL_oz00_3708, obj_t BgL_vz00_3709)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			return
				((((BgL_ev_hookz00_bglt) CREF(
							((BgL_ev_hookz00_bglt) BgL_oz00_3708)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3709)), BUNSPEC);
		}
	}



/* &lambda1576 */
	BgL_ev_exprz00_bglt BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3710, obj_t BgL_oz00_3711)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			return
				(((BgL_ev_hookz00_bglt) CREF(
						((BgL_ev_hookz00_bglt) BgL_oz00_3711)))->BgL_ez00);
		}
	}



/* &<anonymous:1545> */
	obj_t BGl_z62zc3anonymousza31545ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3712, obj_t BgL_new1079z00_3713)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_prog2z00_bglt BgL_new1079z00_1325;

				{
					BgL_ev_prog2z00_bglt BgL_auxz00_5374;

					BgL_new1079z00_1325 = ((BgL_ev_prog2z00_bglt) BgL_new1079z00_3713);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5375;

						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL_classz00_2672;

							BgL_classz00_2672 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 70 */
								obj_t BgL__ortest_1278z00_2673;

								BgL__ortest_1278z00_2673 = BGL_CLASS_NIL(BgL_classz00_2672);
								if (CBOOL(BgL__ortest_1278z00_2673))
									{	/* Eval/evaluate_types.scm 70 */
										BgL_auxz00_5375 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2673);
									}
								else
									{	/* Eval/evaluate_types.scm 70 */
										BgL_auxz00_5375 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2672));
									}
							}
						}
						((((BgL_ev_prog2z00_bglt) CREF(BgL_new1079z00_1325))->BgL_e1z00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5375), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5383;

						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL_classz00_2674;

							BgL_classz00_2674 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 70 */
								obj_t BgL__ortest_1278z00_2675;

								BgL__ortest_1278z00_2675 = BGL_CLASS_NIL(BgL_classz00_2674);
								if (CBOOL(BgL__ortest_1278z00_2675))
									{	/* Eval/evaluate_types.scm 70 */
										BgL_auxz00_5383 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2675);
									}
								else
									{	/* Eval/evaluate_types.scm 70 */
										BgL_auxz00_5383 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2674));
									}
							}
						}
						((((BgL_ev_prog2z00_bglt) CREF(BgL_new1079z00_1325))->BgL_e2z00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5383), BUNSPEC);
					}
					BgL_auxz00_5374 = BgL_new1079z00_1325;
					return ((obj_t) BgL_auxz00_5374);
				}
			}
		}
	}



/* &lambda1543 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1543z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3714)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_new1078z00_4152;

				BgL_new1078z00_4152 =
					((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_prog2z00_bgl))));
				{	/* Eval/evaluate_types.scm 70 */
					long BgL_arg1544z00_4153;

					{	/* Eval/evaluate_types.scm 70 */
						long BgL_res2313z00_4154;

						BgL_res2313z00_4154 =
							BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00);
						BgL_arg1544z00_4153 = BgL_res2313z00_4154;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1078z00_4152), BgL_arg1544z00_4153);
				}
				return BgL_new1078z00_4152;
			}
		}
	}



/* &lambda1541 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1541z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3715, obj_t BgL_e11076z00_3716, obj_t BgL_e21077z00_3717)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_new1210z00_4157;

				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_new1209z00_4158;

					BgL_new1209z00_4158 =
						((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_prog2z00_bgl))));
					{	/* Eval/evaluate_types.scm 70 */
						long BgL_arg1542z00_4159;

						{	/* Eval/evaluate_types.scm 70 */
							long BgL_res2312z00_4160;

							BgL_res2312z00_4160 =
								BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00);
							BgL_arg1542z00_4159 = BgL_res2312z00_4160;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1209z00_4158), BgL_arg1542z00_4159);
					}
					BgL_new1210z00_4157 = BgL_new1209z00_4158;
				}
				((((BgL_ev_prog2z00_bglt) CREF(BgL_new1210z00_4157))->BgL_e1z00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e11076z00_3716)),
					BUNSPEC);
				((((BgL_ev_prog2z00_bglt) CREF(BgL_new1210z00_4157))->BgL_e2z00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e21077z00_3717)),
					BUNSPEC);
				return BgL_new1210z00_4157;
			}
		}
	}



/* &lambda1558 */
	obj_t BGl_z62lambda1558z62zz__evaluate_typesz00(obj_t BgL_envz00_3718,
		obj_t BgL_oz00_3719, obj_t BgL_vz00_3720)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			return
				((((BgL_ev_prog2z00_bglt) CREF(
							((BgL_ev_prog2z00_bglt) BgL_oz00_3719)))->BgL_e2z00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3720)), BUNSPEC);
		}
	}



/* &lambda1557 */
	BgL_ev_exprz00_bglt BGl_z62lambda1557z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3721, obj_t BgL_oz00_3722)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) CREF(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3722)))->BgL_e2z00);
		}
	}



/* &lambda1551 */
	obj_t BGl_z62lambda1551z62zz__evaluate_typesz00(obj_t BgL_envz00_3723,
		obj_t BgL_oz00_3724, obj_t BgL_vz00_3725)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			return
				((((BgL_ev_prog2z00_bglt) CREF(
							((BgL_ev_prog2z00_bglt) BgL_oz00_3724)))->BgL_e1z00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3725)), BUNSPEC);
		}
	}



/* &lambda1550 */
	BgL_ev_exprz00_bglt BGl_z62lambda1550z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3726, obj_t BgL_oz00_3727)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) CREF(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3727)))->BgL_e1z00);
		}
	}



/* &<anonymous:1534> */
	obj_t BGl_z62zc3anonymousza31534ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3728, obj_t BgL_new1074z00_3729)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{
				BgL_ev_andz00_bglt BgL_new1074z00_1304;

				{
					BgL_ev_andz00_bglt BgL_auxz00_5415;

					BgL_new1074z00_1304 = ((BgL_ev_andz00_bglt) BgL_new1074z00_3729);
					((((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_new1074z00_1304)))->BgL_argsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5415 = BgL_new1074z00_1304;
					return ((obj_t) BgL_auxz00_5415);
				}
			}
		}
	}



/* &lambda1532 */
	BgL_ev_andz00_bglt BGl_z62lambda1532z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3730)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{	/* Eval/evaluate_types.scm 69 */
				BgL_ev_andz00_bglt BgL_new1073z00_4168;

				BgL_new1073z00_4168 =
					((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_andz00_bgl))));
				{	/* Eval/evaluate_types.scm 69 */
					long BgL_arg1533z00_4169;

					{	/* Eval/evaluate_types.scm 69 */
						long BgL_res2311z00_4170;

						BgL_res2311z00_4170 =
							BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00);
						BgL_arg1533z00_4169 = BgL_res2311z00_4170;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1073z00_4168), BgL_arg1533z00_4169);
				}
				return BgL_new1073z00_4168;
			}
		}
	}



/* &lambda1530 */
	BgL_ev_andz00_bglt BGl_z62lambda1530z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3731, obj_t BgL_args1072z00_3732)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{	/* Eval/evaluate_types.scm 69 */
				BgL_ev_andz00_bglt BgL_new1208z00_4171;

				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_new1207z00_4172;

					BgL_new1207z00_4172 =
						((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_andz00_bgl))));
					{	/* Eval/evaluate_types.scm 69 */
						long BgL_arg1531z00_4173;

						{	/* Eval/evaluate_types.scm 69 */
							long BgL_res2310z00_4174;

							BgL_res2310z00_4174 =
								BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00);
							BgL_arg1531z00_4173 = BgL_res2310z00_4174;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1207z00_4172), BgL_arg1531z00_4173);
					}
					BgL_new1208z00_4171 = BgL_new1207z00_4172;
				}
				((((BgL_ev_listz00_bglt) CREF(
								((BgL_ev_listz00_bglt) BgL_new1208z00_4171)))->BgL_argsz00) =
					((obj_t) BgL_args1072z00_3732), BUNSPEC);
				return BgL_new1208z00_4171;
			}
		}
	}



/* &<anonymous:1519> */
	obj_t BGl_z62zc3anonymousza31519ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3733, obj_t BgL_new1070z00_3734)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{
				BgL_ev_orz00_bglt BgL_new1070z00_1284;

				{
					BgL_ev_orz00_bglt BgL_auxz00_5430;

					BgL_new1070z00_1284 = ((BgL_ev_orz00_bglt) BgL_new1070z00_3734);
					((((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_new1070z00_1284)))->BgL_argsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5430 = BgL_new1070z00_1284;
					return ((obj_t) BgL_auxz00_5430);
				}
			}
		}
	}



/* &lambda1517 */
	BgL_ev_orz00_bglt BGl_z62lambda1517z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3735)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{	/* Eval/evaluate_types.scm 68 */
				BgL_ev_orz00_bglt BgL_new1069z00_4176;

				BgL_new1069z00_4176 =
					((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_orz00_bgl))));
				{	/* Eval/evaluate_types.scm 68 */
					long BgL_arg1518z00_4177;

					{	/* Eval/evaluate_types.scm 68 */
						long BgL_res2309z00_4178;

						BgL_res2309z00_4178 =
							BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00);
						BgL_arg1518z00_4177 = BgL_res2309z00_4178;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1069z00_4176), BgL_arg1518z00_4177);
				}
				return BgL_new1069z00_4176;
			}
		}
	}



/* &lambda1515 */
	BgL_ev_orz00_bglt BGl_z62lambda1515z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3736, obj_t BgL_args1068z00_3737)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{	/* Eval/evaluate_types.scm 68 */
				BgL_ev_orz00_bglt BgL_new1206z00_4179;

				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_new1205z00_4180;

					BgL_new1205z00_4180 =
						((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_orz00_bgl))));
					{	/* Eval/evaluate_types.scm 68 */
						long BgL_arg1516z00_4181;

						{	/* Eval/evaluate_types.scm 68 */
							long BgL_res2308z00_4182;

							BgL_res2308z00_4182 =
								BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00);
							BgL_arg1516z00_4181 = BgL_res2308z00_4182;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1205z00_4180), BgL_arg1516z00_4181);
					}
					BgL_new1206z00_4179 = BgL_new1205z00_4180;
				}
				((((BgL_ev_listz00_bglt) CREF(
								((BgL_ev_listz00_bglt) BgL_new1206z00_4179)))->BgL_argsz00) =
					((obj_t) BgL_args1068z00_3737), BUNSPEC);
				return BgL_new1206z00_4179;
			}
		}
	}



/* &<anonymous:1498> */
	obj_t BGl_z62zc3anonymousza31498ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3738, obj_t BgL_new1066z00_3739)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{
				BgL_ev_listz00_bglt BgL_new1066z00_1254;

				{
					BgL_ev_listz00_bglt BgL_auxz00_5445;

					BgL_new1066z00_1254 = ((BgL_ev_listz00_bglt) BgL_new1066z00_3739);
					((((BgL_ev_listz00_bglt) CREF(BgL_new1066z00_1254))->BgL_argsz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5445 = BgL_new1066z00_1254;
					return ((obj_t) BgL_auxz00_5445);
				}
			}
		}
	}



/* &lambda1496 */
	BgL_ev_listz00_bglt BGl_z62lambda1496z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3740)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_new1065z00_4184;

				BgL_new1065z00_4184 =
					((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_listz00_bgl))));
				{	/* Eval/evaluate_types.scm 66 */
					long BgL_arg1497z00_4185;

					{	/* Eval/evaluate_types.scm 66 */
						long BgL_res2307z00_4186;

						BgL_res2307z00_4186 =
							BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00);
						BgL_arg1497z00_4185 = BgL_res2307z00_4186;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1065z00_4184), BgL_arg1497z00_4185);
				}
				return BgL_new1065z00_4184;
			}
		}
	}



/* &lambda1494 */
	BgL_ev_listz00_bglt BGl_z62lambda1494z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3741, obj_t BgL_args1064z00_3742)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_new1204z00_4187;

				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_new1203z00_4188;

					BgL_new1203z00_4188 =
						((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_listz00_bgl))));
					{	/* Eval/evaluate_types.scm 66 */
						long BgL_arg1495z00_4189;

						{	/* Eval/evaluate_types.scm 66 */
							long BgL_res2306z00_4190;

							BgL_res2306z00_4190 =
								BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00);
							BgL_arg1495z00_4189 = BgL_res2306z00_4190;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1203z00_4188), BgL_arg1495z00_4189);
					}
					BgL_new1204z00_4187 = BgL_new1203z00_4188;
				}
				((((BgL_ev_listz00_bglt) CREF(BgL_new1204z00_4187))->BgL_argsz00) =
					((obj_t) BgL_args1064z00_3742), BUNSPEC);
				return BgL_new1204z00_4187;
			}
		}
	}



/* &lambda1507 */
	obj_t BGl_z62lambda1507z62zz__evaluate_typesz00(obj_t BgL_envz00_3743,
		obj_t BgL_oz00_3744, obj_t BgL_vz00_3745)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			return
				((((BgL_ev_listz00_bglt) CREF(
							((BgL_ev_listz00_bglt) BgL_oz00_3744)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3745), BUNSPEC);
		}
	}



/* &lambda1506 */
	obj_t BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t BgL_envz00_3746,
		obj_t BgL_oz00_3747)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			return
				(((BgL_ev_listz00_bglt) CREF(
						((BgL_ev_listz00_bglt) BgL_oz00_3747)))->BgL_argsz00);
		}
	}



/* &<anonymous:1470> */
	obj_t BGl_z62zc3anonymousza31470ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3748, obj_t BgL_new1062z00_3749)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_ifz00_bglt BgL_new1062z00_1204;

				{
					BgL_ev_ifz00_bglt BgL_auxz00_5462;

					BgL_new1062z00_1204 = ((BgL_ev_ifz00_bglt) BgL_new1062z00_3749);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5463;

						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL_classz00_2611;

							BgL_classz00_2611 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 62 */
								obj_t BgL__ortest_1278z00_2612;

								BgL__ortest_1278z00_2612 = BGL_CLASS_NIL(BgL_classz00_2611);
								if (CBOOL(BgL__ortest_1278z00_2612))
									{	/* Eval/evaluate_types.scm 62 */
										BgL_auxz00_5463 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2612);
									}
								else
									{	/* Eval/evaluate_types.scm 62 */
										BgL_auxz00_5463 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2611));
									}
							}
						}
						((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_1204))->BgL_pz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5463), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5471;

						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL_classz00_2613;

							BgL_classz00_2613 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 62 */
								obj_t BgL__ortest_1278z00_2614;

								BgL__ortest_1278z00_2614 = BGL_CLASS_NIL(BgL_classz00_2613);
								if (CBOOL(BgL__ortest_1278z00_2614))
									{	/* Eval/evaluate_types.scm 62 */
										BgL_auxz00_5471 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2614);
									}
								else
									{	/* Eval/evaluate_types.scm 62 */
										BgL_auxz00_5471 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2613));
									}
							}
						}
						((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_1204))->BgL_tz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5471), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_5479;

						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL_classz00_2615;

							BgL_classz00_2615 = BGl_ev_exprz00zz__evaluate_typesz00;
							{	/* Eval/evaluate_types.scm 62 */
								obj_t BgL__ortest_1278z00_2616;

								BgL__ortest_1278z00_2616 = BGL_CLASS_NIL(BgL_classz00_2615);
								if (CBOOL(BgL__ortest_1278z00_2616))
									{	/* Eval/evaluate_types.scm 62 */
										BgL_auxz00_5479 =
											((BgL_ev_exprz00_bglt) BgL__ortest_1278z00_2616);
									}
								else
									{	/* Eval/evaluate_types.scm 62 */
										BgL_auxz00_5479 =
											((BgL_ev_exprz00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_2615));
									}
							}
						}
						((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_1204))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_5479), BUNSPEC);
					}
					BgL_auxz00_5462 = BgL_new1062z00_1204;
					return ((obj_t) BgL_auxz00_5462);
				}
			}
		}
	}



/* &lambda1468 */
	BgL_ev_ifz00_bglt BGl_z62lambda1468z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3750)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_new1061z00_4200;

				BgL_new1061z00_4200 =
					((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_ifz00_bgl))));
				{	/* Eval/evaluate_types.scm 62 */
					long BgL_arg1469z00_4201;

					{	/* Eval/evaluate_types.scm 62 */
						long BgL_res2305z00_4202;

						BgL_res2305z00_4202 =
							BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00);
						BgL_arg1469z00_4201 = BgL_res2305z00_4202;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1061z00_4200), BgL_arg1469z00_4201);
				}
				return BgL_new1061z00_4200;
			}
		}
	}



/* &lambda1466 */
	BgL_ev_ifz00_bglt BGl_z62lambda1466z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3751, obj_t BgL_p1058z00_3752, obj_t BgL_t1059z00_3753,
		obj_t BgL_e1060z00_3754)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_new1202z00_4206;

				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_new1201z00_4207;

					BgL_new1201z00_4207 =
						((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_ifz00_bgl))));
					{	/* Eval/evaluate_types.scm 62 */
						long BgL_arg1467z00_4208;

						{	/* Eval/evaluate_types.scm 62 */
							long BgL_res2304z00_4209;

							BgL_res2304z00_4209 =
								BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00);
							BgL_arg1467z00_4208 = BgL_res2304z00_4209;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1201z00_4207), BgL_arg1467z00_4208);
					}
					BgL_new1202z00_4206 = BgL_new1201z00_4207;
				}
				((((BgL_ev_ifz00_bglt) CREF(BgL_new1202z00_4206))->BgL_pz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_p1058z00_3752)),
					BUNSPEC);
				((((BgL_ev_ifz00_bglt) CREF(BgL_new1202z00_4206))->BgL_tz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_t1059z00_3753)),
					BUNSPEC);
				((((BgL_ev_ifz00_bglt) CREF(BgL_new1202z00_4206))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1060z00_3754)),
					BUNSPEC);
				return BgL_new1202z00_4206;
			}
		}
	}



/* &lambda1488 */
	obj_t BGl_z62lambda1488z62zz__evaluate_typesz00(obj_t BgL_envz00_3755,
		obj_t BgL_oz00_3756, obj_t BgL_vz00_3757)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) CREF(
							((BgL_ev_ifz00_bglt) BgL_oz00_3756)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3757)), BUNSPEC);
		}
	}



/* &lambda1487 */
	BgL_ev_exprz00_bglt BGl_z62lambda1487z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3758, obj_t BgL_oz00_3759)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3759)))->BgL_ez00);
		}
	}



/* &lambda1483 */
	obj_t BGl_z62lambda1483z62zz__evaluate_typesz00(obj_t BgL_envz00_3760,
		obj_t BgL_oz00_3761, obj_t BgL_vz00_3762)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) CREF(
							((BgL_ev_ifz00_bglt) BgL_oz00_3761)))->BgL_tz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3762)), BUNSPEC);
		}
	}



/* &lambda1482 */
	BgL_ev_exprz00_bglt BGl_z62lambda1482z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3763, obj_t BgL_oz00_3764)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3764)))->BgL_tz00);
		}
	}



/* &lambda1475 */
	obj_t BGl_z62lambda1475z62zz__evaluate_typesz00(obj_t BgL_envz00_3765,
		obj_t BgL_oz00_3766, obj_t BgL_vz00_3767)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) CREF(
							((BgL_ev_ifz00_bglt) BgL_oz00_3766)))->BgL_pz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3767)), BUNSPEC);
		}
	}



/* &lambda1474 */
	BgL_ev_exprz00_bglt BGl_z62lambda1474z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3768, obj_t BgL_oz00_3769)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3769)))->BgL_pz00);
		}
	}



/* &<anonymous:1453> */
	obj_t BGl_z62zc3anonymousza31453ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3770, obj_t BgL_new1056z00_3771)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{
				BgL_ev_littz00_bglt BgL_new1056z00_1172;

				{
					BgL_ev_littz00_bglt BgL_auxz00_5518;

					BgL_new1056z00_1172 = ((BgL_ev_littz00_bglt) BgL_new1056z00_3771);
					((((BgL_ev_littz00_bglt) CREF(BgL_new1056z00_1172))->BgL_valuez00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5518 = BgL_new1056z00_1172;
					return ((obj_t) BgL_auxz00_5518);
				}
			}
		}
	}



/* &lambda1451 */
	BgL_ev_littz00_bglt BGl_z62lambda1451z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3772)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_new1055z00_4220;

				BgL_new1055z00_4220 =
					((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_littz00_bgl))));
				{	/* Eval/evaluate_types.scm 60 */
					long BgL_arg1452z00_4221;

					{	/* Eval/evaluate_types.scm 60 */
						long BgL_res2303z00_4222;

						BgL_res2303z00_4222 =
							BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
						BgL_arg1452z00_4221 = BgL_res2303z00_4222;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1055z00_4220), BgL_arg1452z00_4221);
				}
				return BgL_new1055z00_4220;
			}
		}
	}



/* &lambda1449 */
	BgL_ev_littz00_bglt BGl_z62lambda1449z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3773, obj_t BgL_value1054z00_3774)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_new1200z00_4223;

				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_new1199z00_4224;

					BgL_new1199z00_4224 =
						((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_littz00_bgl))));
					{	/* Eval/evaluate_types.scm 60 */
						long BgL_arg1450z00_4225;

						{	/* Eval/evaluate_types.scm 60 */
							long BgL_res2302z00_4226;

							BgL_res2302z00_4226 =
								BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
							BgL_arg1450z00_4225 = BgL_res2302z00_4226;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1199z00_4224), BgL_arg1450z00_4225);
					}
					BgL_new1200z00_4223 = BgL_new1199z00_4224;
				}
				((((BgL_ev_littz00_bglt) CREF(BgL_new1200z00_4223))->BgL_valuez00) =
					((obj_t) BgL_value1054z00_3774), BUNSPEC);
				return BgL_new1200z00_4223;
			}
		}
	}



/* &lambda1458 */
	obj_t BGl_z62lambda1458z62zz__evaluate_typesz00(obj_t BgL_envz00_3775,
		obj_t BgL_oz00_3776, obj_t BgL_vz00_3777)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			return
				((((BgL_ev_littz00_bglt) CREF(
							((BgL_ev_littz00_bglt) BgL_oz00_3776)))->BgL_valuez00) =
				((obj_t) BgL_vz00_3777), BUNSPEC);
		}
	}



/* &lambda1457 */
	obj_t BGl_z62lambda1457z62zz__evaluate_typesz00(obj_t BgL_envz00_3778,
		obj_t BgL_oz00_3779)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			return
				(((BgL_ev_littz00_bglt) CREF(
						((BgL_ev_littz00_bglt) BgL_oz00_3779)))->BgL_valuez00);
		}
	}



/* &<anonymous:1427> */
	obj_t BGl_z62zc3anonymousza31427ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3780, obj_t BgL_new1052z00_3781)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{
				BgL_ev_globalz00_bglt BgL_new1052z00_1122;

				{
					BgL_ev_globalz00_bglt BgL_auxz00_5535;

					BgL_new1052z00_1122 = ((BgL_ev_globalz00_bglt) BgL_new1052z00_3781);
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_1122))->BgL_locz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_1122))->BgL_namez00) =
						((obj_t) BGl_symbol2713z00zz__evaluate_typesz00), BUNSPEC);
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_1122))->BgL_modz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5535 = BgL_new1052z00_1122;
					return ((obj_t) BgL_auxz00_5535);
				}
			}
		}
	}



/* &lambda1424 */
	BgL_ev_globalz00_bglt BGl_z62lambda1424z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3782)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_new1051z00_4230;

				BgL_new1051z00_4230 =
					((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_globalz00_bgl))));
				{	/* Eval/evaluate_types.scm 55 */
					long BgL_arg1426z00_4231;

					{	/* Eval/evaluate_types.scm 55 */
						long BgL_res2301z00_4232;

						BgL_res2301z00_4232 =
							BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00);
						BgL_arg1426z00_4231 = BgL_res2301z00_4232;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1051z00_4230), BgL_arg1426z00_4231);
				}
				return BgL_new1051z00_4230;
			}
		}
	}



/* &lambda1422 */
	BgL_ev_globalz00_bglt BGl_z62lambda1422z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3783, obj_t BgL_loc1048z00_3784, obj_t BgL_name1049z00_3785,
		obj_t BgL_mod1050z00_3786)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_new1198z00_4234;

				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_new1197z00_4235;

					BgL_new1197z00_4235 =
						((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_globalz00_bgl))));
					{	/* Eval/evaluate_types.scm 55 */
						long BgL_arg1423z00_4236;

						{	/* Eval/evaluate_types.scm 55 */
							long BgL_res2300z00_4237;

							BgL_res2300z00_4237 =
								BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00);
							BgL_arg1423z00_4236 = BgL_res2300z00_4237;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1197z00_4235), BgL_arg1423z00_4236);
					}
					BgL_new1198z00_4234 = BgL_new1197z00_4235;
				}
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1198z00_4234))->BgL_locz00) =
					((obj_t) BgL_loc1048z00_3784), BUNSPEC);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1198z00_4234))->BgL_namez00) =
					((obj_t) BgL_name1049z00_3785), BUNSPEC);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1198z00_4234))->BgL_modz00) =
					((obj_t) BgL_mod1050z00_3786), BUNSPEC);
				return BgL_new1198z00_4234;
			}
		}
	}



/* &lambda1443 */
	obj_t BGl_z62lambda1443z62zz__evaluate_typesz00(obj_t BgL_envz00_3787,
		obj_t BgL_oz00_3788, obj_t BgL_vz00_3789)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) CREF(
							((BgL_ev_globalz00_bglt) BgL_oz00_3788)))->BgL_modz00) =
				((obj_t) BgL_vz00_3789), BUNSPEC);
		}
	}



/* &lambda1442 */
	obj_t BGl_z62lambda1442z62zz__evaluate_typesz00(obj_t BgL_envz00_3790,
		obj_t BgL_oz00_3791)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3791)))->BgL_modz00);
		}
	}



/* &lambda1438 */
	obj_t BGl_z62lambda1438z62zz__evaluate_typesz00(obj_t BgL_envz00_3792,
		obj_t BgL_oz00_3793, obj_t BgL_vz00_3794)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) CREF(
							((BgL_ev_globalz00_bglt) BgL_oz00_3793)))->BgL_namez00) =
				((obj_t) BgL_vz00_3794), BUNSPEC);
		}
	}



/* &lambda1437 */
	obj_t BGl_z62lambda1437z62zz__evaluate_typesz00(obj_t BgL_envz00_3795,
		obj_t BgL_oz00_3796)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3796)))->BgL_namez00);
		}
	}



/* &lambda1432 */
	obj_t BGl_z62lambda1432z62zz__evaluate_typesz00(obj_t BgL_envz00_3797,
		obj_t BgL_oz00_3798, obj_t BgL_vz00_3799)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) CREF(
							((BgL_ev_globalz00_bglt) BgL_oz00_3798)))->BgL_locz00) =
				((obj_t) BgL_vz00_3799), BUNSPEC);
		}
	}



/* &lambda1431 */
	obj_t BGl_z62lambda1431z62zz__evaluate_typesz00(obj_t BgL_envz00_3800,
		obj_t BgL_oz00_3801)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3801)))->BgL_locz00);
		}
	}



/* &<anonymous:1398> */
	obj_t BGl_z62zc3anonymousza31398ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3802, obj_t BgL_new1046z00_3803)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{
				BgL_ev_varz00_bglt BgL_new1046z00_1067;

				{
					BgL_ev_varz00_bglt BgL_auxz00_5564;

					BgL_new1046z00_1067 = ((BgL_ev_varz00_bglt) BgL_new1046z00_3803);
					((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_1067))->BgL_namez00) =
						((obj_t) BGl_symbol2713z00zz__evaluate_typesz00), BUNSPEC);
					((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_1067))->BgL_effz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_1067))->BgL_typez00) =
						((obj_t) BUNSPEC), BUNSPEC);
					BgL_auxz00_5564 = BgL_new1046z00_1067;
					return ((obj_t) BgL_auxz00_5564);
				}
			}
		}
	}



/* &lambda1394 */
	BgL_ev_varz00_bglt BGl_z62lambda1394z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3804)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_new1045z00_4246;

				BgL_new1045z00_4246 =
					((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_varz00_bgl))));
				{	/* Eval/evaluate_types.scm 51 */
					long BgL_arg1397z00_4247;

					{	/* Eval/evaluate_types.scm 51 */
						long BgL_res2299z00_4248;

						BgL_res2299z00_4248 =
							BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00);
						BgL_arg1397z00_4247 = BgL_res2299z00_4248;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1045z00_4246), BgL_arg1397z00_4247);
				}
				return BgL_new1045z00_4246;
			}
		}
	}



/* &lambda1392 */
	BgL_ev_varz00_bglt BGl_z62lambda1392z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3805, obj_t BgL_name1042z00_3806, obj_t BgL_eff1043z00_3807,
		obj_t BgL_type1044z00_3808)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_new1196z00_4250;

				{	/* Eval/evaluate_types.scm 51 */
					BgL_ev_varz00_bglt BgL_new1195z00_4251;

					BgL_new1195z00_4251 =
						((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_varz00_bgl))));
					{	/* Eval/evaluate_types.scm 51 */
						long BgL_arg1393z00_4252;

						{	/* Eval/evaluate_types.scm 51 */
							long BgL_res2298z00_4253;

							BgL_res2298z00_4253 =
								BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00);
							BgL_arg1393z00_4252 = BgL_res2298z00_4253;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1195z00_4251), BgL_arg1393z00_4252);
					}
					BgL_new1196z00_4250 = BgL_new1195z00_4251;
				}
				((((BgL_ev_varz00_bglt) CREF(BgL_new1196z00_4250))->BgL_namez00) =
					((obj_t) BgL_name1042z00_3806), BUNSPEC);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1196z00_4250))->BgL_effz00) =
					((obj_t) BgL_eff1043z00_3807), BUNSPEC);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1196z00_4250))->BgL_typez00) =
					((obj_t) BgL_type1044z00_3808), BUNSPEC);
				return BgL_new1196z00_4250;
			}
		}
	}



/* &lambda1416 */
	obj_t BGl_z62lambda1416z62zz__evaluate_typesz00(obj_t BgL_envz00_3809,
		obj_t BgL_oz00_3810, obj_t BgL_vz00_3811)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) CREF(
							((BgL_ev_varz00_bglt) BgL_oz00_3810)))->BgL_typez00) =
				((obj_t) BgL_vz00_3811), BUNSPEC);
		}
	}



/* &lambda1415 */
	obj_t BGl_z62lambda1415z62zz__evaluate_typesz00(obj_t BgL_envz00_3812,
		obj_t BgL_oz00_3813)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3813)))->BgL_typez00);
		}
	}



/* &<anonymous:1410> */
	obj_t BGl_z62zc3anonymousza31410ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3814)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &lambda1409 */
	obj_t BGl_z62lambda1409z62zz__evaluate_typesz00(obj_t BgL_envz00_3815,
		obj_t BgL_oz00_3816, obj_t BgL_vz00_3817)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) CREF(
							((BgL_ev_varz00_bglt) BgL_oz00_3816)))->BgL_effz00) =
				((obj_t) BgL_vz00_3817), BUNSPEC);
		}
	}



/* &lambda1408 */
	obj_t BGl_z62lambda1408z62zz__evaluate_typesz00(obj_t BgL_envz00_3818,
		obj_t BgL_oz00_3819)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3819)))->BgL_effz00);
		}
	}



/* &lambda1403 */
	obj_t BGl_z62lambda1403z62zz__evaluate_typesz00(obj_t BgL_envz00_3820,
		obj_t BgL_oz00_3821, obj_t BgL_vz00_3822)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) CREF(
							((BgL_ev_varz00_bglt) BgL_oz00_3821)))->BgL_namez00) =
				((obj_t) BgL_vz00_3822), BUNSPEC);
		}
	}



/* &lambda1402 */
	obj_t BGl_z62lambda1402z62zz__evaluate_typesz00(obj_t BgL_envz00_3823,
		obj_t BgL_oz00_3824)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3824)))->BgL_namez00);
		}
	}



/* &<anonymous:1384> */
	obj_t BGl_z62zc3anonymousza31384ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3825, obj_t BgL_new1040z00_3826)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 49 */
			{
				BgL_ev_exprz00_bglt BgL_new1040z00_1045;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5594;

					BgL_new1040z00_1045 = ((BgL_ev_exprz00_bglt) BgL_new1040z00_3826);
					BgL_auxz00_5594 = BgL_new1040z00_1045;
					return ((obj_t) BgL_auxz00_5594);
				}
			}
		}
	}



/* &lambda1382 */
	BgL_ev_exprz00_bglt BGl_z62lambda1382z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3827)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 49 */
			{	/* Eval/evaluate_types.scm 49 */
				BgL_ev_exprz00_bglt BgL_new1039z00_4262;

				BgL_new1039z00_4262 =
					((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_ev_exprz00_bgl))));
				{	/* Eval/evaluate_types.scm 49 */
					long BgL_arg1383z00_4263;

					{	/* Eval/evaluate_types.scm 49 */
						long BgL_res2297z00_4264;

						BgL_res2297z00_4264 =
							BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00);
						BgL_arg1383z00_4263 = BgL_res2297z00_4264;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1039z00_4262), BgL_arg1383z00_4263);
				}
				return BgL_new1039z00_4262;
			}
		}
	}



/* &lambda1380 */
	BgL_ev_exprz00_bglt BGl_z62lambda1380z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3828)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 49 */
			{	/* Eval/evaluate_types.scm 49 */
				BgL_ev_exprz00_bglt BgL_new1194z00_4265;

				{	/* Eval/evaluate_types.scm 49 */
					BgL_ev_exprz00_bglt BgL_new1193z00_4266;

					BgL_new1193z00_4266 =
						((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_exprz00_bgl))));
					{	/* Eval/evaluate_types.scm 49 */
						long BgL_arg1381z00_4267;

						{	/* Eval/evaluate_types.scm 49 */
							long BgL_res2296z00_4268;

							BgL_res2296z00_4268 =
								BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00);
							BgL_arg1381z00_4267 = BgL_res2296z00_4268;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1193z00_4266), BgL_arg1381z00_4267);
					}
					BgL_new1194z00_4265 = BgL_new1193z00_4266;
				}
				return BgL_new1194z00_4265;
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 129954706),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 444693568),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 298117425),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 439353001),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1047446),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 454272164),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					381113196),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					231310901),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -282360853),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 525089452),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 159480991),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			return BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
		}
	}

#ifdef __cplusplus
}
#endif
